(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[   1865273,      34005]
NotebookOptionsPosition[   1841507,      33137]
NotebookOutlinePosition[   1841962,      33156]
CellTagsIndexPosition[   1841919,      33153]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Initialization Cell:", "Title",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648913430492567*^9, 3.6489134306925583`*^9}, {
  3.6489134947275963`*^9, 3.648913500090596*^9}}],

Cell[CellGroupData[{

Cell["LICENSING", "Chapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648909705786824*^9, 3.648909717271718*^9}, {
  3.6499610917291822`*^9, 3.649961120047433*^9}, {3.689094604613534*^9, 
  3.689094606564386*^9}, {3.689104999183379*^9, 3.6891050039013863`*^9}}],

Cell["\<\
The MIT License (MIT). MathIOmica is a general omics data analysis framework. \
The MathIOmica-MSViewer tool is provided as a standalone add-on tool to \
MathIOmica under an MIT License, Copyright (c) 2016 George I.Mias, G.Mias \
Lab, Department of Biochemistry and Molecular Biology, Michigan State \
University, East Lansing 48824. 
Permission is hereby granted, free of charge, to any person obtaining a copy \
of this software and associated documentation files (the \\\
\[CloseCurlyDoubleQuote] Software \\\[CloseCurlyDoubleQuote]), to deal in the \
Software without restriction, including without limitation the rights to use, \
copy, modify, merge, publish, distribute, sublicense, and/or sell copies of \
the Software, and to permit persons to whom the Software is furnished to do \
so, subject to the following conditions : The above copyright notice and this \
permission notice shall be included in all copies or substantial portions of \
the Software.THE SOFTWARE IS PROVIDED \\\[CloseCurlyDoubleQuote] AS IS \\\
\[CloseCurlyDoubleQuote], WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, \
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A \
PARTICULAR PURPOSE AND NONINFRINGEMENT.IN NO EVENT SHALL THE AUTHORS OR \
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, \
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR \
IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.\
\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationGroup->True,
 CellChangeTimes->{3.689094594951283*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["MZML Format:", "Chapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648909705786824*^9, 3.648909717271718*^9}, {
  3.6499610917291822`*^9, 3.649961120047433*^9}}],

Cell[CellGroupData[{

Cell["MZML MetaData:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.645151974098559*^9, {3.64605867421459*^9, 3.646058679997155*^9}, {
   3.649961143664509*^9, 3.649961178507818*^9}, {3.650306699185803*^9, 
   3.650306699717372*^9}, 3.650306821129236*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "MzmlRawMetaData", ",", "MzmlVersion", ",", "MzmlCvList", ",", 
   "MzmlFileDescriptionFileContent", ",", "MzmlFileDescriptionSourceFileList",
    ",", "MzmlReferenceableParamGroup", ",", "MzmlSoftware", ",", 
   "MzmlInstrumentConfiguration", ",", "MzmlDataProcessing", ",", 
   "MzmlSpectrumList", ",", "MzmlMetaData"}], "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.657315291484684*^9, 3.657383385399375*^9, 3.657384954929966*^9, 
   3.6573882042983713`*^9, 3.657393192651823*^9, 3.657407909733448*^9, 
   3.6574085522856417`*^9, 3.6574146704526567`*^9, 3.6574172544759493`*^9, 
   3.6574213308525763`*^9, 3.657423676604526*^9, 3.657922677012121*^9, {
   3.658170176325903*^9, 3.658170178786607*^9}}],

Cell[CellGroupData[{

Cell["Function 1 \[OpenCurlyDoubleQuote]MzmlRawMetaData\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64514393171447*^9, 3.645143945505776*^9}, 
   3.645143976721138*^9, 3.6499612140716887`*^9, {3.657315237159301*^9, 
   3.657315255062952*^9}}],

Cell["\<\
MzmlRawMetaData [mzMLFile]

Function MzmlRawMetaData takes one input and that is the mzML file path as a \
string e.g. mzMLfilePath = \[OpenCurlyDoubleQuote]small.msconvert.mzXML\
\[CloseCurlyDoubleQuote]. MzmlRawMetaData will extract the mzML file \
medtadata andwill be used as a refrance (downstream) for all other MetaData \
functions. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6451970760180683`*^9, 3.649961219908935*^9, {3.6499613042587767`*^9, 
   3.649961346437504*^9}, {3.649961413232018*^9, 3.6499614138156223`*^9}, {
   3.6499626036587467`*^9, 3.649962634254603*^9}, 3.649963013814165*^9, {
   3.6499632303869*^9, 3.649963281287786*^9}, {3.657315250413883*^9, 
   3.657315299516758*^9}, {3.657315375911066*^9, 3.6573153810278587`*^9}, 
   3.657315533900025*^9, {3.6573155970946503`*^9, 3.657315601379524*^9}, 
   3.6573832960008383`*^9, 3.6579834364328547`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlRawMetaData", "[", "mzMLFile_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"inputFile", "=", "mzMLFile"}], ",", "\[IndentingNewLine]", 
      "emptyList", ",", "filePath", ",", "allMetaData", ",", "testXML"}], 
     "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "OpenRead", " ", "is", " ", "used", " ", "to", " ", "open", " ", "the",
         " ", "input", " ", "file", " ", "and", " ", "form", " ", "a"}], " ", 
       "<", "Stream", ">"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"inputFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "SetStreamPosition", " ", "will", " ", "set", " ", "the", " ", "data", 
       " ", "streaming", " ", "position", " ", "to", " ", "zero", " ", "and", 
       " ", "this", " ", "way", " ", "it", " ", "will", " ", "stream", " ", 
       "from", " ", "the", " ", "begining", " ", "of", " ", "the", " ", 
       RowBox[{"file", ".", " ", "While"}], " ", "loop", " ", "and", " ", 
       "Read", " ", "are", " ", "used", " ", "to", " ", "keep", " ", 
       "reading", " ", "the", " ", "mzML", " ", 
       RowBox[{"file", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "0"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"allMetaData", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"filePath", ",", "String"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
             "StringCases", " ", "to", " ", "search", " ", "for", " ", 
              "\"\<scan\>\"", " ", "tag", " ", "and"}], " ", "<"}], ".."}], 
           ">", " ", 
           RowBox[{
           "is", " ", "to", " ", "keep", " ", "keep", " ", "representing", 
            " ", "\"\<scan\>\"", " ", "until", " ", "it", " ", "matches", " ",
             "and", " ", "if", " ", "no", " ", "matching"}]}], ",", " ", 
          RowBox[{
          "use", " ", "AppendTo", " ", "to", " ", "append", " ", "into", " ", 
           "the", " ", 
           RowBox[{"emptylist", ".", " ", "If"}], " ", "statement", " ", 
           "and", " ", "Break", " ", "to", " ", "stop", " ", "once", " ", 
           "\"\<scan\>\"", " ", 
           RowBox[{"matchs", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCases", "[", 
             RowBox[{"allMetaData", ",", 
              RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<spectrum\>\""}], 
          ",", 
          RowBox[{"Break", "[", "]"}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", "allMetaData"}], "]"}]}], "]"}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"These", " ", "<", 
       RowBox[{"/", "spectrumList"}], ">", "<", 
       RowBox[{"/", "run"}], ">", "<", 
       RowBox[{"/", "mzML"}], ">", "<", 
       RowBox[{"/", "indexedmzML"}], ">", " ", 
       RowBox[{
       "are", " ", "the", " ", "closing", " ", "tags", " ", "for", " ", "the",
         " ", "streamed", " ", "elements", " ", "that", " ", "we", " ", 
        "need", " ", "to", " ", "convert", " ", "to", " ", "the", " ", 
        "mathematica", " ", "\"\<XML\>\"", " ", 
        RowBox[{"format", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"AppendTo", "[", 
       RowBox[{
       "emptyList", ",", 
        "\"\<</spectrumList></run></mzML></indexedmzML>\>\""}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Import", " ", "as", " ", "\"\<XML\>\"", " ", "for", " ", "data", " ", 
       "conversion", " ", "to", " ", "XML", " ", "format"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"testXML", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", "emptyList", "]"}], ",", "\"\<XML\>\""}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "testXML", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6447628546550207`*^9, 3.644762996210917*^9}, {
   3.644763068296026*^9, 3.6447631691727047`*^9}, {3.644763211577642*^9, 
   3.644763212274149*^9}, {3.644763242542943*^9, 3.644763481208117*^9}, {
   3.644764044467108*^9, 3.644764062187825*^9}, {3.6447649933456182`*^9, 
   3.64476501446914*^9}, {3.644765275838953*^9, 3.644765276932578*^9}, {
   3.644765582888794*^9, 3.644765809116547*^9}, {3.644765925663106*^9, 
   3.644765995237475*^9}, {3.644766035225596*^9, 3.6447660384091187`*^9}, {
   3.6447674425774317`*^9, 3.644767472766119*^9}, {3.6447703338873377`*^9, 
   3.644770376410819*^9}, {3.6447704467294188`*^9, 3.644770451511731*^9}, 
   3.644770572960731*^9, {3.644770918088667*^9, 3.644770919778268*^9}, {
   3.644771002682041*^9, 3.644771007431048*^9}, 3.644771048696204*^9, {
   3.6447710811983757`*^9, 3.644771115801388*^9}, {3.6447712975821*^9, 
   3.644771333262453*^9}, {3.6448950638663893`*^9, 3.644895106661681*^9}, {
   3.645044759278908*^9, 3.645044784478283*^9}, {3.6450448569597683`*^9, 
   3.645044858028865*^9}, {3.645044897513955*^9, 3.6450449165929956`*^9}, {
   3.645045164785255*^9, 3.645045211918703*^9}, {3.645045262243972*^9, 
   3.645045608187998*^9}, {3.645045758763103*^9, 3.6450457853945427`*^9}, {
   3.645045821736349*^9, 3.6450458721126223`*^9}, {3.645046180383308*^9, 
   3.645046202153997*^9}, {3.645046251478219*^9, 3.64504628964716*^9}, 
   3.645046322213829*^9, {3.645046433448613*^9, 3.6450464613403387`*^9}, {
   3.645046519026263*^9, 3.6450465783792458`*^9}, {3.645123150855122*^9, 
   3.645123174556814*^9}, {3.645143768556624*^9, 3.645143768993648*^9}, 
   3.645269507791581*^9, {3.645269954060107*^9, 3.645269968683627*^9}, {
   3.645284306617404*^9, 3.64528438434704*^9}, 3.645284474061055*^9, {
   3.645284528376878*^9, 3.6452846247311077`*^9}, {3.645284701153255*^9, 
   3.645284980774201*^9}, 3.645285791791686*^9, 3.6458107844111347`*^9, {
   3.645811027861411*^9, 3.645811029263194*^9}, {3.645811129314465*^9, 
   3.645811151096376*^9}, 3.645811184348196*^9, 3.645811215802699*^9, {
   3.645811280867655*^9, 3.645811299708856*^9}, 3.645811357396846*^9, {
   3.645811403667143*^9, 3.645811425603901*^9}, 3.645811473780472*^9, 
   3.645811508813333*^9, 3.646479325125135*^9, 3.646479441343996*^9, 
   3.649089908883403*^9, {3.6499612282190123`*^9, 3.649961233035788*^9}, {
   3.649961385371229*^9, 3.649961406577471*^9}, {3.649962655713772*^9, 
   3.649962943685196*^9}, {3.649962994026842*^9, 3.649963004616617*^9}, {
   3.649963049837811*^9, 3.649963200543284*^9}, 3.657315278572195*^9, 
   3.6573833100900106`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 2 \
\[OpenCurlyDoubleQuote]MzmlVersion\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645179130743287*^9, 3.645179136676832*^9}, 
   3.645888397685547*^9, 3.646059233684887*^9, 3.657383387576584*^9}],

Cell["\<\
MzmlVersion [mzMLSchemaVersion]

Function MzmlVersion takes the output from MzmlRawMetaData for its input. It \
output the mzML schema version.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6500283137774*^9, 3.650028326754002*^9}, {
   3.6500284057797537`*^9, 3.650028437872395*^9}, {3.650028476576091*^9, 
   3.650028542267218*^9}, {3.650030724908771*^9, 3.6500307363931217`*^9}, 
   3.650070873299376*^9, 3.657315283084425*^9, 3.657383326591241*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlVersion", "[", "mzMLSchemaVersion_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"mzMLSchema", "=", "mzMLSchemaVersion"}], ",", 
      "\[IndentingNewLine]", "mzMLSchemaTag", ",", "allTogether"}], "}"}], 
    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"First", " ", "convert", " ", "to", " ", "string"}], ",", " ", 
      RowBox[{
       RowBox[{
       "then", " ", "we", " ", "use", " ", "StringCases", " ", "and", " ", 
        "string", " ", "pattern", " ", "matching", " ", "to", " ", "look", 
        " ", "for", " ", "\"\<mzML_\>\"", " ", "followed", " ", "by", " ", 
        "a", " ", "number"}], " ", "<", "NumberString", ">", " ", 
       RowBox[{
       "to", " ", "find", " ", "the", " ", "mzXML", " ", "version", " ", 
        RowBox[{"format", ".", " ", "\"\<mzML_\>\""}], " ", "will", " ", 
        "always", " ", "be", " ", "followed", " ", "by", " ", "a", " ", 
        "number", " ", "that", " ", "corresponds", " ", "to", " ", "the", " ",
         "mzML", " ", 
        RowBox[{"schema", ".", " ", "This"}], " ", "will", " ", "be", " ", 
        "output", " ", "in", " ", "the"}], " ", "<", "MetaData", ">", "."}]}],
      "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"mzMLSchemaTag", "=", 
      RowBox[{"Grid", "[", 
       RowBox[{"StringCases", "[", 
        RowBox[{
         RowBox[{"ToString", "[", "mzMLSchema", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"___", "~~", "\"\<mzML\>\"", "~~", 
           RowBox[{"x", ":", "NumberString"}], "~~", "___"}], ":>", 
          RowBox[{"{", 
           RowBox[{"\"\<mzML:\>\"", ",", "x"}], "}"}]}]}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzML", " ", "schema", " ", "version"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<mzML Schema:\>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "mzMLSchemaTag", "}"}]}], "}"}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6451789041314983`*^9, 3.645179047062994*^9}, {
   3.645179093592073*^9, 3.645179108046297*^9}, {3.6452849980225983`*^9, 
   3.645285173653984*^9}, {3.645285305178563*^9, 3.645285377137506*^9}, 
   3.645285787168878*^9, {3.645888390876381*^9, 3.645888391388008*^9}, {
   3.646059211320706*^9, 3.646059214748335*^9}, {3.646059247444167*^9, 
   3.646059250645855*^9}, {3.646059300211*^9, 3.646059364341895*^9}, 
   3.646083291873295*^9, {3.646083362940941*^9, 3.646083421473065*^9}, {
   3.646083466269196*^9, 3.646083523992687*^9}, {3.646693052123425*^9, 
   3.646693052838134*^9}, {3.646697881297443*^9, 3.6466979354621468`*^9}, 
   3.646946959222349*^9, {3.649089920706336*^9, 3.649089920976804*^9}, {
   3.650035355396069*^9, 3.650035435437883*^9}, {3.650035473240314*^9, 
   3.6500355466494493`*^9}, {3.650065421035513*^9, 3.650065483853957*^9}, 
   3.65738333774504*^9, 3.6881529512291117`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 3 \[OpenCurlyDoubleQuote]MzmlCvList\[CloseCurlyDoubleQuote]:", \
"Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6466690686643457`*^9, 3.6466690820225477`*^9}, 
   3.6467562318157663`*^9, 3.657384645747781*^9, 3.657384717676264*^9}],

Cell["\<\
MzmlCvList [cvListXMLElement]

Function MzmlCvList will take the output from MzmlRawMetaData as the only \
input. mzML file ontology information will then be output. This function is \
not used for the final output since the output can vary in size.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6500707052910967`*^9, 3.6500707376782722`*^9}, {
   3.650070782345459*^9, 3.650070799099431*^9}, {3.650070842404562*^9, 
   3.650070860072248*^9}, 3.657315286119072*^9, {3.657383670583673*^9, 
   3.657383679414153*^9}, {3.65738373484793*^9, 3.657383760622767*^9}, {
   3.657384721052753*^9, 3.657384768176901*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlCvList", "[", "cvListXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"cvListElement", ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "cvList", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "only", 
        " ", "input", " ", "and", " ", "that", " ", "is", " ", 
        "MzmlRawMetaData", " ", "output"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"cvList", "=", "cvListXMLElement"}], ",", "\[IndentingNewLine]",
       "cvListTag1", ",", "cvListTag2", ",", "cvListTag3", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"extract", " ", "Element"}], " ", "<", "cv", ">", " ", 
       RowBox[{
       "which", " ", "contain", " ", "the", " ", "information", " ", "about", 
        " ", "file", " ", "ontology", " ", "including", " ", "3", " ", 
        "required", " ", "attributes"}]}], ",", " ", "URI", ",", " ", 
      RowBox[{"FullName", " ", "and", " ", 
       RowBox[{"id", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"cvListElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"cvList", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<cv\>\"", ",", "_", ",", "_"}], "]"}], ",", "Infinity"}],
        "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"extracting", " ", "all"}], " ", "<", "id", ">", 
        RowBox[{"'", "s"}]}], ",", " ", 
       RowBox[{"<", "version", ">", 
        RowBox[{"'", "s"}]}], ",", " ", 
       RowBox[{"<", "fullName", ">", " ", "and", " ", "<", "URI", ">", " ", 
        RowBox[{"that", " ", "are", " ", "inside", " ", "cvListElement"}]}]}],
       "*)"}], "\[IndentingNewLine]", 
     RowBox[{"cvListTag1", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<id\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             RowBox[{"since", " ", "the", " ", "attribute"}], " ", "<", 
             "version", ">", " ", 
             RowBox[{"is", " ", "optional"}]}], ",", " ", 
            RowBox[{
            "so", " ", "we", " ", "have", " ", "an", " ", "if", " ", 
             "statment", " ", "here"}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", 
                "\"\<fullName\>\""}]}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<URI\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], "}"}], 
        "&"}], "/@", "cvListElement"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"ID", ":", " ", 
        RowBox[{"and", " ", "Full", " ", "Name"}], ":", " ", 
        RowBox[{
        "labeling", " ", "for", " ", "version", " ", "and", " ", "URI", " ", 
         "respectively"}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"cvListTag2", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<ID: \>\"", ",", "1"}], 
           "]"}], ",", 
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Version: \>\"", ",", 
            "1"}], "]"}], ",", 
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<Full Name: \>\"", ",", 
            "1"}], "]"}], ",", 
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<URI: \>\"", ",", "1"}],
            "]"}]}], "}"}], "&"}], "/@", "cvListTag1"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"cvListTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{"#", ",", 
                RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}], "&"}], "/@",
              "cvListTag2"}], ",", "1"}], "]"}], ",", 
          RowBox[{"Dividers", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Center", ",", 
             RowBox[{"{", 
              RowBox[{"True", ",", "True", ",", "True"}], "}"}]}], "}"}]}]}], 
         "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzML", " ", "schema", " ", "version"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"incase", " ", "Element"}], " ", "<", "cv", ">", " ", 
        RowBox[{"is", " ", "absent", " ", "from", " ", "the", " ", "file"}]}],
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"cvList", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<cv\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Ontology Information:\>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", "\"\<Not Found\>\"", "}"}]}], "}"}], "]"}], 
              "]"}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Ontology Information:\>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", "cvListTag3", "}"}]}], "}"}], "]"}], "]"}], 
             "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646669087909004*^9, 3.6466691325103283`*^9}, {
   3.646669172670328*^9, 3.6466692613274508`*^9}, 3.646691527201565*^9, {
   3.6466915654715357`*^9, 3.646691680686837*^9}, {3.646692144490899*^9, 
   3.646692282715651*^9}, {3.646692320454968*^9, 3.646692341172083*^9}, 
   3.6466924224952707`*^9, {3.646692464040028*^9, 3.646692508311933*^9}, {
   3.6466925730809727`*^9, 3.646692653265888*^9}, {3.646692695104664*^9, 
   3.646692703161689*^9}, {3.6466927440054092`*^9, 3.6466927997130117`*^9}, {
   3.646692858413838*^9, 3.646692913697723*^9}, {3.646692950601659*^9, 
   3.6466929631980047`*^9}, {3.6466933217458353`*^9, 3.646693323458159*^9}, {
   3.646704200966058*^9, 3.646704207732078*^9}, {3.646704245026062*^9, 
   3.6467043263854856`*^9}, {3.64670437140068*^9, 3.646704374309648*^9}, {
   3.6467044149415083`*^9, 3.646704434339281*^9}, 3.64674068768934*^9, 
   3.646756234895732*^9, 3.648750812372438*^9, {3.6487511747525454`*^9, 
   3.648751177976565*^9}, {3.648751219591947*^9, 3.648751268969487*^9}, {
   3.650066069661216*^9, 3.650066078394713*^9}, {3.650066244813623*^9, 
   3.650066310351507*^9}, 3.650066796209024*^9, {3.6500705289389687`*^9, 
   3.650070530331115*^9}, {3.650070576017667*^9, 3.6500705943201313`*^9}, {
   3.650070627231349*^9, 3.650070632701655*^9}, {3.650070666013383*^9, 
   3.650070680987438*^9}, {3.650070814421534*^9, 3.650070819845495*^9}, 
   3.650070933656259*^9, {3.650071088105*^9, 3.650071096791404*^9}, {
   3.650071128313942*^9, 3.650071196036181*^9}, {3.650071226241168*^9, 
   3.650071254514296*^9}, 3.657384620764436*^9, 3.6573846666558313`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 4 \[OpenCurlyDoubleQuote]MzmlFileDescriptionFileContent\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646693332057967*^9, 3.646693358251102*^9}, 
   3.646697729425796*^9, {3.646698307469111*^9, 3.646698307740855*^9}, 
   3.64673787863909*^9, 3.657388208769149*^9}],

Cell["\<\
MzmlFileDescriptionFileContent [fileDescriptionfileContentXMLElement1]

Function MzmlFileDescriptionFileContent will take the output from \
MzmlRawMetaData as the only input. The MzmlFileDescriptionFileContent will \
output the different type of spectra that can be expected in the mzML file.  \
\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6500707052910967`*^9, 3.6500707376782722`*^9}, {
   3.650070782345459*^9, 3.650070799099431*^9}, {3.650070842404562*^9, 
   3.650070860072248*^9}, 3.657315286119072*^9, {3.657383670583673*^9, 
   3.657383679414153*^9}, {3.65738373484793*^9, 3.657383760622767*^9}, 
   3.657384838480239*^9, {3.657388022273074*^9, 3.657388041050535*^9}, {
   3.6573880778736267`*^9, 3.657388139380625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzmlFileDescriptionFileContent", "[", 
   "fileDescriptionfileContentXMLElement1_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fileDescriptionElement", ",", "\[IndentingNewLine]", 
      RowBox[{
      "fileDescription", "=", "fileDescriptionfileContentXMLElement1"}], ",", 
      "\[IndentingNewLine]", "fileContentTag1", ",", "fileContentTag2", ",", 
      "fileContentTag3", ",", "fileContentTag4", ",", "fileContentTag5", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "fileDescriptionElement", " ", "is", " ", "equal", " ", "to", " ", "the",
       " ", "only", " ", "input", " ", "and", " ", "that", " ", "is", " ", 
      "the", " ", "MzmlRawMetaData", " ", "output"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fileDescriptionElement", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"extract", " ", "element"}], " ", "<", "fileDescription", ">",
         " ", 
        RowBox[{
        "where", " ", "information", " ", "pertaining", " ", "to", " ", "the",
          " ", "entire", " ", "mzML", " ", "file"}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Cases", "[", 
       RowBox[{"fileDescription", ",", "\[IndentingNewLine]", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<fileDescription\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "use", " ", "Cases", " ", "to", " ", "find", " ", "the", " ", 
        "extract", " ", "subelement", " ", "\"\<fileContent\>\"", " ", 
        "located", " ", "inside", " ", "element"}], " ", "<", 
       "fileDescription", ">", " ", 
       RowBox[{
       "which", " ", "summarizes", " ", "the", " ", "different", " ", "types",
         " ", "of", " ", "spectra", " ", "that", " ", "can", " ", "be", " ", 
        "expected", " ", "in", " ", "the", " ", 
        RowBox[{"file", "."}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"fileContentTag1", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"fileDescriptionElement", ",", "\[IndentingNewLine]", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<fileContent\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "cvParam", " ", "holds", " ", "additional", " ", "data", " ", "or", 
        " ", 
        RowBox[{"annotation", ".", " ", "Only"}], " ", "controlled", " ", 
        "values", " ", "are", " ", "allowed", " ", "here"}], ",", " ", 
       RowBox[{
       "while", " ", "userParam", " ", "holds", " ", "uncontrolled", " ", 
        "user", " ", "parameters"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"fileContentTag2", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"We", " ", "use", " ", "an", " ", "if", " ", "statment"}], 
        ",", " ", 
        RowBox[{
        "since", " ", "subelements", " ", "\"\<cvParam\>\"", " ", "and", " ", 
         "\"\<userParam\>\"", " ", "are", " ", "not", " ", "requered", " ", 
         "and", " ", "there", " ", "could", " ", "be", " ", "many", " ", "of",
          " ", "them"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"fileContentTag1", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{
             RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
             ",", "_"}], "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"fileContentTag1", ",", 
          RowBox[{"XMLElement", "[", 
           RowBox[{
            RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
            ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<name\>\"", " ", "is", " ", "the", 
        " ", "actual", " ", "required", " ", "name", " ", "for", " ", "the", 
        " ", "parameter"}], ",", 
       RowBox[{
        RowBox[{"from", " ", "the", " ", "referred"}], "-", 
        RowBox[{"to", " ", "controlled", " ", 
         RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
         "\"\<name\>\"", " ", "is", " ", "the", " ", "actual", " ", "name", 
         " ", "for", " ", "the", " ", "parameter"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"from", " ", "the", " ", "referred"}], "-", 
         RowBox[{"to", " ", "controlled", " ", 
          RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
          "\"\<value\>\"", " ", "is", " ", "the", " ", "optional", " ", 
          "value", " ", "for", " ", "the", " ", "parameter"}]}], ";", 
        RowBox[{"may", " ", "be", " ", "absent", " ", "if", " ", "not", " ", 
         RowBox[{"appropriate", ".", " ", "And"}], " ", "if", " ", "absent", 
         " ", "we", " ", "output", " ", "\"\<Unknown\>\""}]}]}], "*)"}], 
     RowBox[{"fileContentTag3", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "fileContentTag2"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"Name", ":", " ", 
        RowBox[{"and", " ", "Value"}], ":", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"fileContentTag4", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                 ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
          "fileContentTag3"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzML", " ", "schema", " ", "version"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "if", " ", "statment", " ", "in", " ", "case", " ", "the", " ", 
        "subelements", " ", "\"\<cvParam\>\"", " ", "and", " ", 
        "\"\<userParam\>\"", " ", "are", " ", "absent"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"fileContentTag1", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{
             RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
             ",", "_"}], "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<File Content:\>\"", ",", "Bold", ",", "Underlined"}], 
                   "]"}], "}"}], ",", 
                 RowBox[{"{", "\"\<Not Found\>\"", "}"}]}], "}"}], "]"}], 
              "]"}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<File Content:\>\"", ",", "Bold", ",", "Underlined"}], 
                   "]"}], "}"}], ",", 
                 RowBox[{"{", "fileContentTag4", "}"}]}], "}"}], "]"}], "]"}],
              "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646693369658627*^9, 3.646693391282755*^9}, {
   3.646693487192112*^9, 3.646693569341557*^9}, {3.6466936101598454`*^9, 
   3.6466936278121977`*^9}, {3.646693745648855*^9, 3.6466937467156143`*^9}, {
   3.646694596907419*^9, 3.646694673689753*^9}, {3.646694782869515*^9, 
   3.646694830576056*^9}, {3.646694981232821*^9, 3.646695120679002*^9}, {
   3.646695152978033*^9, 3.64669523631888*^9}, {3.646695792279695*^9, 
   3.646695868447832*^9}, 3.646695926991935*^9, {3.64669595790379*^9, 
   3.646695981902792*^9}, {3.646696111399168*^9, 3.6466961729005833`*^9}, {
   3.6466962567978153`*^9, 3.646696342097557*^9}, {3.646696450261351*^9, 
   3.646696623479498*^9}, {3.6466966768355093`*^9, 3.646696731306264*^9}, {
   3.6466967713509207`*^9, 3.646696811163005*^9}, {3.646697050917832*^9, 
   3.646697063833386*^9}, {3.646697104981584*^9, 3.646697151257407*^9}, {
   3.646697293946353*^9, 3.646697304438388*^9}, {3.646697638543577*^9, 
   3.646697668810754*^9}, {3.646697733460332*^9, 3.646697751865202*^9}, {
   3.6466983099077263`*^9, 3.646698310216558*^9}, 3.646737894123489*^9, 
   3.646946985418365*^9, {3.648751391638695*^9, 3.648751449382498*^9}, 
   3.6487515068560677`*^9, {3.648752029966461*^9, 3.648752038204815*^9}, {
   3.6487522413852053`*^9, 3.648752255224057*^9}, {3.657387078356492*^9, 
   3.6573870935764647`*^9}, {3.6573873890804377`*^9, 3.6573874022231197`*^9}, 
   3.657387600329537*^9, 3.657387830553656*^9, {3.6573878749850197`*^9, 
   3.657387955397504*^9}, 3.657387988227519*^9, {3.6573881627669497`*^9, 
   3.657388164009605*^9}, 3.6573884542916937`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 5 \[OpenCurlyDoubleQuote]MzmlFileDescriptionSourceFileList\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646698277811925*^9, 3.6466983039333487`*^9}, 
   3.646737881911051*^9, 3.657393194763525*^9}],

Cell["\<\
MzmlFileDescriptionSourceFileList [FileDescriptionSourceFileListXMLElement1]

Function MzmlFileDescriptionSourceFileList will take the output from \
MzmlRawMetaData as the only input. List and descriptions of the source files \
this mzML document was generated or derived from will be this function \
output. This function is not used for the final output since the output can \
vary in size.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
  3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
  3.657393106873217*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzmlFileDescriptionSourceFileList", "[", 
   "FileDescriptionSourceFileListXMLElement1_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"fileDescriptionElement", ",", "\[IndentingNewLine]", 
      RowBox[{
      "fileDescription", "=", "FileDescriptionSourceFileListXMLElement1"}], 
      ",", "\[IndentingNewLine]", "sourceFileListTag1", ",", 
      "sourceFileListTag2", ",", "sourceFileListTag3", ",", 
      "sourceFileListTag4", ",", "sourceFileListTag5", ",", 
      "sourceFileListTag6", ",", "sourceFileListTag7", ",", 
      "sourceFileListTag8"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "fileDescriptionElement", " ", "is", " ", "equal", " ", "to", " ", "the",
       " ", "only", " ", "input", " ", "and", " ", "that", " ", "is", " ", 
      "the", " ", "MzmlRawMetaData", " ", "output"}], "*)"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"fileDescriptionElement", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"extract", " ", "element"}], " ", "<", "fileDescription", ">",
         " ", 
        RowBox[{
        "where", " ", "information", " ", "pertaining", " ", "to", " ", "the",
          " ", "entire", " ", "mzML", " ", "file"}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Cases", "[", 
       RowBox[{"fileDescription", ",", "\[IndentingNewLine]", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<fileDescription\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
      "sourceFileListTag1", " ", "is", " ", "equal", " ", "to", " ", "the", 
       " ", "soureFile", " ", "subelement", " ", "and", " ", "that", " ", 
       "is", " ", "where", " ", "list", " ", "and", " ", "descriptions", " ", 
       "of", " ", "the", " ", "source", " ", "files", " ", "this", " ", 
       "mzML", " ", "document", " ", "was", " ", "generated", " ", "or", " ", 
       "derived", " ", "from"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag1", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "we", " ", "use", " ", "if", " ", "statement", " ", "in", " ", "case", 
        " ", "the", " ", "subelement", " ", "\"\<sourceFile\>\"", " ", "is", 
        " ", "absent"}], "*)"}], 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"fileDescriptionElement", ",", "\[IndentingNewLine]", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<sourceFile\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"fileDescriptionElement", ",", "\[IndentingNewLine]", 
          RowBox[{"XMLElement", "[", 
           RowBox[{"\"\<sourceFile\>\"", ",", "_", ",", "_"}], "]"}], ",", 
          "Infinity"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<id\>\"", " ", "is", " ", "the", " ",
         "required", " ", "identifier", " ", "for", " ", "the", " ", 
        "current", " ", 
        RowBox[{"file", ".", " ", "The"}], " ", "attribute", " ", 
        "\"\<location\>\"", " ", "is", " ", "the", " ", "required", " ", 
        "URI"}], "-", 
       RowBox[{
       "formatted", " ", "location", " ", "where", " ", "the", " ", "file", 
        " ", "was", " ", 
        RowBox[{"retrieved", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<id\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", 
                "\"\<location\>\""}]}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], "}"}], 
        "&"}], "/@", "sourceFileListTag1"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"ID", ":", " ", 
        RowBox[{"and", " ", "Location"}], ":", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"StringInsert", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<ID: \>\"", ",", 
                  "1"}], "]"}], ",", 
                RowBox[{"StringInsert", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Location: \>\"", 
                  ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
           "sourceFileListTag2"}], ",", 
          RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "cvParam", " ", "holds", " ", "additional", " ", "data", " ", "or", 
        " ", 
        RowBox[{"annotation", ".", " ", "Only"}], " ", "controlled", " ", 
        "values", " ", "are", " ", "allowed", " ", "here"}], ",", " ", 
       RowBox[{
       "while", " ", "userParam", " ", "holds", " ", "uncontrolled", " ", 
        "user", " ", "parameters"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag4", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"We", " ", "use", " ", "an", " ", "if", " ", "statment"}], 
        ",", " ", 
        RowBox[{
        "since", " ", "subelements", " ", "\"\<cvParam\>\"", " ", "and", " ", 
         "\"\<userParam\>\"", " ", "are", " ", "not", " ", "requered", " ", 
         "and", " ", "there", " ", "could", " ", "be", " ", "many", " ", "of",
          " ", "them"}]}], "*)"}], 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"sourceFileListTag1", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{
             RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
             ",", "_"}], "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"sourceFileListTag1", ",", 
          RowBox[{"XMLElement", "[", 
           RowBox[{
            RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
            ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<name\>\"", " ", "is", " ", "the", 
        " ", "actual", " ", "required", " ", "name", " ", "for", " ", "the", 
        " ", "parameter"}], ",", 
       RowBox[{
        RowBox[{"from", " ", "the", " ", "referred"}], "-", 
        RowBox[{"to", " ", "controlled", " ", 
         RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
         "\"\<name\>\"", " ", "is", " ", "the", " ", "actual", " ", "name", 
         " ", "for", " ", "the", " ", "parameter"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"from", " ", "the", " ", "referred"}], "-", 
         RowBox[{"to", " ", "controlled", " ", 
          RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
          "\"\<value\>\"", " ", "is", " ", "the", " ", "optional", " ", 
          "value", " ", "for", " ", "the", " ", "parameter"}]}], ";", 
        RowBox[{"may", " ", "be", " ", "absent", " ", "if", " ", "not", " ", 
         RowBox[{"appropriate", ".", " ", "And"}], " ", "if", " ", "absent", 
         " ", "we", " ", "output", " ", "\"\<Unknown\>\""}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag5", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "sourceFileListTag4"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"Name", ":", " ", 
        RowBox[{"and", " ", "Value"}], ":", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag6", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{"StringInsert", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",",
                   "1"}], "]"}], ",", 
                RowBox[{"StringInsert", "[", 
                 RowBox[{
                  RowBox[{"#", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Value: \>\"", 
                  ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
           "sourceFileListTag5"}], ",", 
          RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag7", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{"Transpose", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", "sourceFileListTag3", "}"}], ",", 
              RowBox[{"{", "sourceFileListTag6", "}"}]}], "}"}], "]"}], "]"}],
           ",", 
          RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "sourceFileListTag8", " ", "is", " ", "to", " ", "output", " ", "a", 
       " ", "readable", " ", "mzML", " ", "schema", " ", "version"}], " ", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"sourceFileListTag8", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "if", " ", "statment", " ", "in", " ", "case", " ", "the", " ", 
        "subelements", " ", "\"\<cvParam\>\"", " ", "and", " ", 
        "\"\<userParam\>\"", " ", "are", " ", "absent"}], "*)"}], 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"sourceFileListTag1", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{
             RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
             ",", "_"}], "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Source File: \>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "\"\<Not Found\>\"", "}"}]}], "}"}], "]"}], "]"}],
            "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Source File: \>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "sourceFileListTag7", "}"}]}], "}"}], "]"}], 
            "]"}], "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "sourceFileListTag8", "]"}]}]}], "]"}]}]], "Input",\

 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64669833572672*^9, 3.646698463416334*^9}, {
   3.6466985662624283`*^9, 3.646698574535478*^9}, {3.646698616686198*^9, 
   3.6466986180610456`*^9}, {3.646703132014723*^9, 3.646703146569643*^9}, 
   3.646703211600006*^9, {3.646704609305999*^9, 3.646704883762453*^9}, 
   3.64673788950921*^9, {3.646739131252685*^9, 3.646739137042886*^9}, {
   3.646931322361301*^9, 3.646931473072534*^9}, {3.646931517600144*^9, 
   3.646931527420987*^9}, {3.64693159283117*^9, 3.646931615993326*^9}, {
   3.646931649445437*^9, 3.646931694135496*^9}, {3.646931732266218*^9, 
   3.646931810859158*^9}, {3.64693192728389*^9, 3.646931956540656*^9}, {
   3.6469320389977837`*^9, 3.646932071695856*^9}, {3.646932117169924*^9, 
   3.646932180585335*^9}, {3.646932215866515*^9, 3.646932235430592*^9}, {
   3.646932289895925*^9, 3.646932365569311*^9}, {3.646932400602159*^9, 
   3.646932433094284*^9}, {3.646932527070896*^9, 3.646932529859589*^9}, {
   3.646944821926198*^9, 3.646944822480885*^9}, {3.647002152544029*^9, 
   3.647002171789008*^9}, {3.6470022102275267`*^9, 3.647002265606475*^9}, 
   3.647002353392665*^9, 3.647002385720997*^9, {3.647002420120636*^9, 
   3.647002483460393*^9}, {3.647002530198864*^9, 3.647002538341178*^9}, 
   3.6487530615752583`*^9, {3.65739180466109*^9, 3.6573918102680283`*^9}, {
   3.6573923113355713`*^9, 3.657392349967301*^9}, {3.657392383367446*^9, 
   3.657392542251726*^9}, {3.6573927615531187`*^9, 3.657393001216551*^9}, {
   3.65739303690653*^9, 3.657393078479876*^9}, {3.657393135812573*^9, 
   3.657393136779112*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 6 \[OpenCurlyDoubleQuote]MzmlReferenceableParamGroup\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646698277811925*^9, 3.6466983039333487`*^9}, {
   3.646737839965345*^9, 3.646737861072351*^9}, {3.646737917022407*^9, 
   3.646737932276071*^9}, 3.6574079119363527`*^9}],

Cell["\<\
MzmlReferenceableParamGroup [referenceableParamGroupXMLElement]

Function MzmlReferenceableParamGroup will take the output from \
MzmlRawMetaData as the only input. A collection of CVParam and UserParam \
elements that can used to find the file instrument Params. This function is \
not used for the final output since the output can vary in size.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzmlReferenceableParamGroup", "[", "referenceableParamGroupXMLElement_", 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"referenceableParamGroupElement", ",", "\[IndentingNewLine]", 
      RowBox[{
      "referenceableParamGroup", "=", "referenceableParamGroupXMLElement"}], 
      ",", "\[IndentingNewLine]", "referenceableParamGroupTag1", ",", 
      "referenceableParamGroupTag2", ",", "referenceableParamGroupTag3", ",", 
      "referenceableParamGroupTag4"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Using", " ", "Cases", " ", "to", " ", "extract", " ", "the", " ", 
      "file", " ", "element", " ", "\"\<referenceableParamGroup\>\""}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"referenceableParamGroupElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"referenceableParamGroup", ",", "\[IndentingNewLine]", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<referenceableParamGroup\>\"", ",", "_", ",", "_"}], 
         "]"}], ",", "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "cvParam", " ", "holds", " ", "additional", " ", "data", " ", "or", 
        " ", 
        RowBox[{"annotation", ".", " ", "Only"}], " ", "controlled", " ", 
        "values", " ", "are", " ", "allowed", " ", "here"}], ",", " ", 
       RowBox[{
       "while", " ", "userParam", " ", "holds", " ", "uncontrolled", " ", 
        "user", " ", "parameters"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"referenceableParamGroupTag1", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"referenceableParamGroupElement", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{
          RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", "_", 
          ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<name\>\"", " ", "is", " ", "the", 
        " ", "actual", " ", "name", " ", "for", " ", "the", " ", 
        "parameter"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"from", " ", "the", " ", "referred"}], "-", 
         RowBox[{"to", " ", "controlled", " ", 
          RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
          "\"\<value\>\"", " ", "is", " ", "the", " ", "optional", " ", 
          "value", " ", "for", " ", "the", " ", "parameter"}]}], ";", 
        RowBox[{"may", " ", "be", " ", "absent", " ", "if", " ", "not", " ", 
         RowBox[{"appropriate", ".", " ", "And"}], " ", "if", " ", "absent", 
         " ", "we", " ", "output", " ", "\"\<Unknown\>\""}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"referenceableParamGroupTag2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}], 
             "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "referenceableParamGroupTag1"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"Name", ":", " ", 
        RowBox[{"and", " ", "Value"}], ":", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"referenceableParamGroupTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                 ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
          "referenceableParamGroupTag2"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "we", " ", "use", " ", "if", " ", "statement", " ", "in", " ", "case", 
       " ", "the", " ", "subelement", " ", "\"\<referenceableParamGroup\>\"", 
       " ", "is", " ", "absent"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"referenceableParamGroupTag4", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"referenceableParamGroup", ",", "\[IndentingNewLine]", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<referenceableParamGroup\>\"", ",", "_", ",", "_"}], 
            "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Instrument Params: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                  RowBox[{"{", "\"\<Not Found\>\"", "}"}]}], "}"}], "]"}], 
               "]"}], ",", 
              RowBox[{"Dividers", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"False", ",", "False"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True", ",", "True"}], "}"}]}], 
                "}"}]}]}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{
              RowBox[{"Transpose", "[", 
               RowBox[{"Transpose", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Instrument Params: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                  RowBox[{"{", "referenceableParamGroupTag3", "}"}]}], "}"}], 
                "]"}], "]"}], ",", 
              RowBox[{"Dividers", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"False", ",", "False"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{"False", ",", "True", ",", "True"}], "}"}]}], 
                "}"}]}]}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "referenceableParamGroupTag4", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64669833572672*^9, 3.646698463416334*^9}, {
   3.6466985662624283`*^9, 3.646698574535478*^9}, {3.646698616686198*^9, 
   3.6466986180610456`*^9}, {3.646703132014723*^9, 3.646703146569643*^9}, 
   3.646703211600006*^9, {3.646704609305999*^9, 3.646704883762453*^9}, {
   3.646737939413672*^9, 3.646738055309119*^9}, {3.646738097514516*^9, 
   3.6467381285092087`*^9}, {3.646738182273487*^9, 3.646738392638167*^9}, {
   3.6467384260660887`*^9, 3.646738566841756*^9}, {3.646738619461307*^9, 
   3.646738646975835*^9}, {3.646738694523511*^9, 3.646738789204874*^9}, {
   3.646738839987809*^9, 3.646738871422044*^9}, 3.64673891573076*^9, {
   3.646738986629038*^9, 3.64673898747538*^9}, {3.646739149778329*^9, 
   3.646739155328507*^9}, {3.646740023179158*^9, 3.646740033664164*^9}, {
   3.646740095662664*^9, 3.646740098015504*^9}, {3.646742376883212*^9, 
   3.6467423862735662`*^9}, {3.64875324781297*^9, 3.6487532882920017`*^9}, 
   3.648753373373505*^9, {3.6487534106006107`*^9, 3.6487534115364513`*^9}, 
   3.648753453615158*^9, {3.6487553786639147`*^9, 3.648755379381428*^9}, {
   3.657406503190729*^9, 3.657406506181074*^9}, {3.6574065588748083`*^9, 
   3.657406559896142*^9}, {3.657407076922587*^9, 3.657407097593169*^9}, {
   3.657407131446788*^9, 3.657407136632093*^9}, 3.657407186640181*^9, {
   3.657407271536031*^9, 3.657407293647677*^9}, {3.657407741478167*^9, 
   3.6574077867105637`*^9}, {3.657407823656955*^9, 3.657407833624857*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 7 \
\[OpenCurlyDoubleQuote]MzmlSoftware\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646698277811925*^9, 3.6466983039333487`*^9}, {
   3.646737839965345*^9, 3.646737861072351*^9}, {3.646737917022407*^9, 
   3.646737932276071*^9}, {3.646739945098748*^9, 3.646739956048758*^9}, 
   3.657408554310707*^9}],

Cell["\<\
MzmlSoftware [softwareXMLElement]

Function MzmlSoftware will take the output from MzmlRawMetaData as the only \
input. The softwares defined and used in this mzML file will be the output of \
this function.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}, {3.65740807437075*^9, 
   3.657408081633554*^9}, {3.657408168826683*^9, 3.657408221527967*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSoftware", "[", "softwareXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"softwareElement", ",", "\[IndentingNewLine]", 
      RowBox[{"software", "=", "softwareXMLElement"}], ",", 
      "\[IndentingNewLine]", "softwareTag1", ",", "softwareTag2", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Using", " ", "Cases", " ", "to", " ", "extract", " ", "the", " ", 
      "file", " ", "element", " ", "\"\<software\>\""}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"softwareElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"software", ",", "\[IndentingNewLine]", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<software\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<id\>\"", " ", "is", " ", "an", " ", 
        "identifier", " ", "for", " ", "the", " ", "software", " ", "that", 
        " ", "is", " ", "unique", " ", "across", " ", "all", " ", "software", 
        " ", "types", " ", "used", " ", "in", " ", "this", " ", 
        RowBox[{"file", ".", " ", "The"}], " ", "attribute", " ", 
        "\"\<version\>\"", " ", "is", " ", "the", " ", "software", " ", 
        RowBox[{"version", ".", " ", "While"}], " ", "the", " ", "attribute", 
        " ", "\"\<name\>\"", " ", "is", " ", "the", " ", "actual", " ", 
        "name", " ", "for", " ", "the", " ", "parameter"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"from", " ", "the", " ", "referred"}], "-", 
         RowBox[{"to", " ", "controlled", " ", 
          RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
          "\"\<value\>\"", " ", "is", " ", "the", " ", "optional", " ", 
          "value", " ", "for", " ", "the", " ", "parameter"}]}], ";", 
        RowBox[{"may", " ", "be", " ", "absent", " ", "if", " ", "not", " ", 
         RowBox[{"appropriate", ".", " ", "And"}], " ", "if", " ", "the", " ",
          "attributes", " ", "\"\<name\>\"", " ", "and", " ", "\"\<value\>\"",
          " ", "are", " ", "absent", " ", "we", " ", "output", " ", 
         "\"\<Unknown\>\""}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"softwareTag1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<id\>\""}]}]}], 
               "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
               "\[Equal]", 
               RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
              RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
              RowBox[{"Cases", "[", 
               RowBox[{"#", ",", 
                RowBox[{
                 RowBox[{"x_", "/;", " ", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
             "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
               "\[Equal]", 
               RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
              RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
              RowBox[{"Cases", "[", 
               RowBox[{"#", ",", 
                RowBox[{
                 RowBox[{"x_", "/;", " ", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
             "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
       "softwareElement"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"capitalized", " ", "ID"}], ",", " ", 
       RowBox[{"Name", " ", "and", " ", "Value", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"softwareTag2", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<ID: \>\"", ",", 
                "1"}], "]"}], ",", 
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Version: \>\"", 
                ",", "1"}], "]"}], ",", 
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                "1"}], "]"}], ",", 
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "4", "]"}], "]"}], ",", "\"\<Value: \>\"", ",", 
                "1"}], "]"}]}], "}"}], "&"}], "/@", "softwareTag1"}], "]"}], 
         "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "we", " ", "use", " ", "if", " ", "statement", " ", "in", " ", "case", 
       " ", "the", " ", "subelement", " ", "\"\<software\>\"", " ", "is", " ",
        "absent"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"software", ",", "\[IndentingNewLine]", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<software\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Instrument Software List: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", "\"\<Not Found\>\"", "}"}]}], "}"}], "]"}], 
              "]"}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Instrument Software List: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", "softwareTag2", "}"}]}], "}"}], "]"}], "]"}], 
             "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64669833572672*^9, 3.646698463416334*^9}, {
   3.6466985662624283`*^9, 3.646698574535478*^9}, {3.646698616686198*^9, 
   3.6466986180610456`*^9}, {3.646703132014723*^9, 3.646703146569643*^9}, 
   3.646703211600006*^9, {3.646704609305999*^9, 3.646704883762453*^9}, {
   3.646737939413672*^9, 3.646738055309119*^9}, {3.646738097514516*^9, 
   3.6467381285092087`*^9}, {3.646738182273487*^9, 3.646738392638167*^9}, {
   3.6467384260660887`*^9, 3.646738566841756*^9}, {3.646738619461307*^9, 
   3.646738646975835*^9}, {3.646738694523511*^9, 3.646738789204874*^9}, {
   3.646738839987809*^9, 3.646738871422044*^9}, 3.64673891573076*^9, {
   3.646738986629038*^9, 3.64673898747538*^9}, {3.646739149778329*^9, 
   3.646739155328507*^9}, {3.646739963109747*^9, 3.646740005117002*^9}, {
   3.646740045482648*^9, 3.6467400623620043`*^9}, {3.646740114189066*^9, 
   3.646740442112377*^9}, {3.646740479328918*^9, 3.646740537944531*^9}, {
   3.646740608011273*^9, 3.646740701480365*^9}, {3.646740732363199*^9, 
   3.646740838584517*^9}, 3.6467410036555758`*^9, {3.646741042106131*^9, 
   3.646741069422122*^9}, {3.6467411257377167`*^9, 3.646741241557414*^9}, {
   3.646741283194541*^9, 3.646741288329788*^9}, {3.646741323161853*^9, 
   3.6467413494367332`*^9}, {3.6467413938367167`*^9, 
   3.6467414433273487`*^9}, {3.646741495770391*^9, 3.64674156442358*^9}, {
   3.646741679937155*^9, 3.6467416949621067`*^9}, {3.6467417254312553`*^9, 
   3.6467417461354933`*^9}, {3.6467417890032797`*^9, 3.646741865916458*^9}, {
   3.646741976439419*^9, 3.646742151464776*^9}, {3.6467421827341137`*^9, 
   3.6467422628813057`*^9}, {3.64674230639211*^9, 3.646742363793953*^9}, {
   3.6467424053636913`*^9, 3.646742412856667*^9}, {3.64674252045927*^9, 
   3.646742524869245*^9}, {3.6467426825846024`*^9, 3.6467427060472527`*^9}, {
   3.646947034975628*^9, 3.646947072092134*^9}, {3.6469471032122583`*^9, 
   3.6469471248732347`*^9}, {3.648753531478837*^9, 3.648753581756729*^9}, {
   3.649089975301154*^9, 3.649089975539987*^9}, {3.657408007493211*^9, 
   3.65740801983431*^9}, {3.657408242453623*^9, 3.6574085023511267`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 8 \[OpenCurlyDoubleQuote]MzmlInstrumentConfiguration\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646153154298376*^9, 3.646153159515953*^9}, 
   3.646748452208385*^9, 3.657414672451909*^9}],

Cell["\<\
MzmlInstrumentConfiguration [instrumentConfigurationXMLElement]

Function MzmlInstrumentConfiguration will take the output from \
MzmlRawMetaData as the only input. This function/module contain four \
functions inside it. The 1st function will output the mass spectromatry \
electrospray ionization, 2nd function will output the ionization source, 3rd \
function will output the type of analyzer, last function will output detector\
\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}, {3.65740807437075*^9, 
   3.657408081633554*^9}, {3.657408168826683*^9, 3.657408221527967*^9}, {
   3.657412557725439*^9, 3.6574125612718353`*^9}, {3.657412600396237*^9, 
   3.657412681801894*^9}, {3.657412895845338*^9, 3.6574129293540077`*^9}, {
   3.6574129600939493`*^9, 3.657412976511739*^9}, {3.657413109391059*^9, 
   3.657413126311365*^9}, {3.6574131691829863`*^9, 3.657413213835129*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzmlInstrumentConfiguration", "[", "instrumentConfigurationXMLElement_", 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"instrumentConfigurationElement", ",", "\[IndentingNewLine]", 
      RowBox[{
      "instrumentConfiguration", "=", "instrumentConfigurationXMLElement"}], 
      ",", "\[IndentingNewLine]", "EmptyFileContent", ",", 
      "SourceAllTogether", ",", "AnalyzerAllTogether", ",", 
      "DetectorAllTogether", ",", "overAllInstrumentConfigurationTag"}], 
     "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{"Extracting", " ", "the", " ", "Element"}], " ", "<", 
       "instrumentConfigurationList", ">", " ", 
       RowBox[{
       "where", " ", "there", " ", "will", " ", "be", " ", "a", " ", "list", 
        " ", "and", " ", "descriptions", " ", "of", " ", "the", " ", 
        "instrument", " ", 
        RowBox[{"configurations", ".", " ", "The"}], " ", "attribute", " ", 
        "\"\<id\>\"", " ", "is", " ", "required", " ", "and", " ", "that", 
        " ", "is", " ", "identifier", " ", "for", " ", "the", " ", 
        "instrument", " ", 
        RowBox[{"configuration", ".", " ", "Also"}]}]}], ",", 
      RowBox[{
      "At", " ", "least", " ", "one", " ", "instrument", " ", "configuration",
        " ", "MUST", " ", "be", " ", "specified"}], ",", 
      RowBox[{
      "even", " ", "if", " ", "it", " ", "is", " ", "only", " ", "to", " ", 
       "specify", " ", "that", " ", "the", " ", "instrument", " ", "is", " ", 
       
       RowBox[{"unknown", ".", " ", "In"}], " ", "that", " ", "case"}], ",", 
      RowBox[{
      "the", " ", "\"\<instrument model\>\"", " ", "term", " ", "is", " ", 
       "used", " ", "to", " ", "indicate", " ", "the", " ", "unknown", " ", 
       "instrument", " ", "in", " ", "the", " ", 
       RowBox[{"instrumentConfiguration", "."}]}]}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
      RowBox[{"EmptyFileContent", "[", "Content_", "]"}], ":=", 
      "\[IndentingNewLine]", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                 ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
          RowBox[{"(", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Cases", "[", 
               RowBox[{"Content", ",", 
                RowBox[{"XMLElement", "[", 
                 RowBox[{
                  RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], ",", 
                  "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}], 
              "\[NotEqual]", 
              RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"Flatten", "[", 
                RowBox[{
                 RowBox[{"{", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}], ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
              RowBox[{"(", 
               RowBox[{"Cases", "[", 
                RowBox[{"Content", ",", "\[IndentingNewLine]", 
                 RowBox[{"XMLElement", "[", 
                  RowBox[{
                  "\"\<instrumentConfigurationList\>\"", ",", "_", ",", "_"}],
                   "]"}], ",", "Infinity"}], "]"}], ")"}]}]}], "]"}], ")"}]}],
          "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "Extracting", " ", "the", " ", "subelement", " ", "\"\<source\>\"", 
        " ", "with", " ", "in", " ", "the", " ", "Element"}], " ", "<", 
       "instrumentConfigurationList", ">", 
       RowBox[{
        RowBox[{".", " ", "This"}], " ", "subelement", " ", "indicate", " ", 
        "the", " ", "mass", " ", "spectroscopy", " ", "ionization", " ", 
        "source", " ", 
        RowBox[{"component", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SourceAllTogether", "[", "Content1_", "]"}], ":=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Ionization Source: \>\"", ",", "Bold", ",", 
                  "Underlined"}], "]"}], "}"}], ",", 
               RowBox[{"(", 
                RowBox[{"{", 
                 RowBox[{"Insert", "[", 
                  RowBox[{
                   RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", 
                    ",", "1"}], "]"}], ",", 
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                    ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<source\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<source\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content1"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<source\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<source\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content1"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], 
                    "]"}], ")"}]}], ")"}]}], "]"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                  "]"}], "}"}], ")"}]}], "}"}], "]"}], "]"}], "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "Extracting", " ", "the", " ", "subelement", " ", "\"\<analyzer\>\"", 
        " ", "with", " ", "in", " ", "the", " ", "Element"}], " ", "<", 
       "instrumentConfigurationList", ">", 
       RowBox[{
        RowBox[{".", " ", "This"}], " ", "subelement", " ", "indicate", " ", 
        "mass", " ", "analyzer", " ", 
        RowBox[{"(", 
         RowBox[{"or", " ", "mass", " ", "filter"}], ")"}], " ", 
        RowBox[{"component", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"AnalyzerAllTogether", "[", "Content2_", "]"}], ":=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Mass Analyzer: \>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"(", 
                 RowBox[{"Insert", "[", 
                  RowBox[{
                   RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", 
                    ",", "1"}], "]"}], ",", 
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                    ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<analyzer\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<analyzer\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content2"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<analyzer\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<analyzer\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content2"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], 
                    "]"}], ")"}]}], ")"}]}], "]"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                  "]"}], ")"}], "}"}]}], "}"}], "]"}], "]"}], "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "Extracting", " ", "the", " ", "subelement", " ", "\"\<detector\>\"", 
        " ", "with", " ", "in", " ", "the", " ", "Element"}], " ", "<", 
       "instrumentConfigurationList", ">", 
       RowBox[{
        RowBox[{".", " ", "This"}], " ", "subelement", " ", "indicate", " ", 
        "the", " ", "detector", " ", 
        RowBox[{"component", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"DetectorAllTogether", "[", "Content3_", "]"}], ":=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Detector: \>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"(", 
                 RowBox[{"Insert", "[", 
                  RowBox[{
                   RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", 
                    ",", "1"}], "]"}], ",", 
                    RowBox[{"StringInsert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "\"\< Value: \>\"", 
                    ",", "1"}], "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}], ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<detector\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<detector\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content3"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}], 
                    "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<detector\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", "\[IndentingNewLine]", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{"\"\<detector\>\"", ",", "_", ",", "_"}], "]"}], 
                    ",", "Infinity"}], "]"}]}], "]"}], "&"}], "/@", 
                    "Content3"}], ")"}], ",", 
                    RowBox[{"XMLElement", "[", 
                    RowBox[{
                    RowBox[{"\"\<cvParam\>\"", "|", "\"\<userParam\>\""}], 
                    ",", "_", ",", "_"}], "]"}], ",", "Infinity"}], "]"}]}], 
                    "]"}], ")"}]}], ")"}]}], "]"}], ",", 
                   RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                  "]"}], ")"}], "}"}]}], "}"}], "]"}], "]"}], "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "overAllInstrumentConfigurationTag", " ", "is", " ", "to", " ", 
       "output", " ", "a", " ", "readable", " ", "format"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
     "overAllInstrumentConfigurationTag", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "we", " ", "use", " ", "if", " ", "statement", " ", "in", " ", "case", 
        " ", "the", " ", "subelement", " ", "\"\<componentList\>\"", " ", 
        "is", " ", "absent"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"instrumentConfiguration", ",", "\[IndentingNewLine]", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<componentList\>\"", ",", "_", ",", "_"}], "]"}], ",",
            "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Instrument Configuration: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "EmptyFileContent", "[", "instrumentConfiguration", "]"}], 
                  "}"}]}], "}"}], "]"}], "]"}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}], ",", 
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Insert", "[", 
           RowBox[{
            RowBox[{"Grid", "[", 
             RowBox[{"Transpose", "[", 
              RowBox[{"Transpose", "[", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"Style", "[", 
                   RowBox[{
                   "\"\<Instrument Configuration: \>\"", ",", "Bold", ",", 
                    "Underlined"}], "]"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "SourceAllTogether", "[", "instrumentConfiguration", "]"}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "DetectorAllTogether", "[", "instrumentConfiguration", 
                   "]"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                  "AnalyzerAllTogether", "[", "instrumentConfiguration", 
                   "]"}], "}"}]}], "}"}], "]"}], "]"}], "]"}], ",", 
            RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
          
          RowBox[{"Spacings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", 
              RowBox[{"2", ",", 
               RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",",
           "2"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "overAllInstrumentConfigurationTag", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646151999171256*^9, 3.646152570116085*^9}, {
   3.646152605343564*^9, 3.646153116408037*^9}, 3.6464201003673277`*^9, 
   3.646420155339798*^9, 3.6464470063413467`*^9, {3.646448409639015*^9, 
   3.646448414214684*^9}, 3.646476143212729*^9, {3.6464782959036703`*^9, 
   3.646478317431924*^9}, {3.64647834910168*^9, 3.646478561195486*^9}, {
   3.646478621337199*^9, 3.6464786435281754`*^9}, {3.646478748272771*^9, 
   3.646478760015029*^9}, {3.646478792891164*^9, 3.646478799868422*^9}, {
   3.646480761568256*^9, 3.646480766580976*^9}, {3.646480837901129*^9, 
   3.6464808420161877`*^9}, {3.6467484754630337`*^9, 3.646748502695002*^9}, {
   3.6467486201834*^9, 3.646748729747231*^9}, {3.646748785272888*^9, 
   3.646748881366639*^9}, {3.64674894507318*^9, 3.646749005637302*^9}, {
   3.646749037274453*^9, 3.646749113336411*^9}, {3.646749146594233*^9, 
   3.646749351033555*^9}, 3.646749424558386*^9, {3.646749464364645*^9, 
   3.646749485082934*^9}, {3.646749533686912*^9, 3.646749552647591*^9}, {
   3.646749887193123*^9, 3.6467500326071253`*^9}, {3.646750183051524*^9, 
   3.646750213175955*^9}, {3.6467502642204123`*^9, 3.646750318450222*^9}, {
   3.646750353056109*^9, 3.646750389511654*^9}, {3.646750428598192*^9, 
   3.646750450682734*^9}, {3.6467505210487747`*^9, 3.646750787421792*^9}, {
   3.646750851434753*^9, 3.646751251480657*^9}, {3.646751305328244*^9, 
   3.646751453727603*^9}, {3.646751493791194*^9, 3.6467515013330193`*^9}, {
   3.6467515366875467`*^9, 3.646751572651619*^9}, {3.6467516263612633`*^9, 
   3.646751670273094*^9}, 3.646751704018465*^9, {3.646751758516223*^9, 
   3.646751785925247*^9}, {3.646751854578129*^9, 3.646751891274909*^9}, {
   3.6467520386827803`*^9, 3.646752073016259*^9}, {3.646752110834531*^9, 
   3.646752157918901*^9}, {3.646752191751957*^9, 3.6467524284133587`*^9}, {
   3.6467524606222153`*^9, 3.646752600303842*^9}, {3.646752631239275*^9, 
   3.6467526353868923`*^9}, {3.646754361875736*^9, 3.646754376647674*^9}, {
   3.646756045447236*^9, 3.646756096583564*^9}, 3.646947145072839*^9, {
   3.6487536441363497`*^9, 3.6487536756394253`*^9}, {3.6487537173397818`*^9, 
   3.648753914596397*^9}, {3.648753955347767*^9, 3.64875397096937*^9}, {
   3.6487540122212133`*^9, 3.648754018036725*^9}, {3.64875406540165*^9, 
   3.648754087192074*^9}, {3.6487541491953278`*^9, 3.64875416616856*^9}, {
   3.648754226077924*^9, 3.64875423642806*^9}, {3.648754937702286*^9, 
   3.64875494468475*^9}, {3.6487555527536077`*^9, 3.6487555853727007`*^9}, {
   3.648756296289528*^9, 3.6487563095574102`*^9}, {3.648756466008067*^9, 
   3.648756505869995*^9}, {3.648756535906919*^9, 3.648756543179014*^9}, {
   3.6487572779444923`*^9, 3.648757300989738*^9}, {3.648757335589773*^9, 
   3.648757433286777*^9}, {3.648757465327694*^9, 3.6487574780386953`*^9}, {
   3.64875750854289*^9, 3.648757584249447*^9}, {3.648762029755981*^9, 
   3.648762093227913*^9}, {3.648762538621983*^9, 3.6487626745928164`*^9}, 
   3.648762768906458*^9, {3.648779891733849*^9, 3.6487799844675913`*^9}, {
   3.648780069560137*^9, 3.648780076414892*^9}, {3.6487801450447483`*^9, 
   3.6487801567709017`*^9}, {3.6488033684094353`*^9, 3.648803415771099*^9}, {
   3.648804002603485*^9, 3.64880401512297*^9}, {3.648804061266922*^9, 
   3.648804131033687*^9}, {3.648804170540766*^9, 3.6488042256435347`*^9}, {
   3.648804276894597*^9, 3.648804311258453*^9}, {3.6488043563326883`*^9, 
   3.6488044122080584`*^9}, {3.648804546267469*^9, 3.648804746034527*^9}, {
   3.648804778539908*^9, 3.648804943008572*^9}, {3.648805778247892*^9, 
   3.6488058067490463`*^9}, {3.6488058470238*^9, 3.6488058971470947`*^9}, {
   3.648805947984993*^9, 3.6488059677088747`*^9}, {3.64880606402304*^9, 
   3.6488063633448067`*^9}, 3.6488063934362926`*^9, {3.648806432320841*^9, 
   3.6488064853492947`*^9}, {3.648806595164185*^9, 3.648806830309711*^9}, {
   3.648806864868292*^9, 3.648806918631029*^9}, {3.648806976274096*^9, 
   3.6488069912460938`*^9}, {3.648807021742826*^9, 3.648807025756908*^9}, {
   3.648807088199188*^9, 3.648807256759282*^9}, {3.6488072882225647`*^9, 
   3.6488073215304413`*^9}, {3.648807367516844*^9, 3.648807524863984*^9}, {
   3.648807577889673*^9, 3.6488077765607433`*^9}, 3.648807843378112*^9, {
   3.648899820431171*^9, 3.648899827336535*^9}, {3.6574110975991907`*^9, 
   3.6574111029170113`*^9}, {3.657411134771785*^9, 3.657411160745111*^9}, {
   3.657411213041675*^9, 3.657411215399878*^9}, {3.657412528114354*^9, 
   3.6574125292124863`*^9}, {3.6574137403284807`*^9, 3.65741384395901*^9}, {
   3.657413883138012*^9, 3.657413930874045*^9}, {3.6574140163031387`*^9, 
   3.657414154513291*^9}, {3.657414356303101*^9, 3.657414397913576*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 9 \[OpenCurlyDoubleQuote]MzmlDataProcessing\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646153154298376*^9, 3.646153159515953*^9}, 
   3.646748452208385*^9, {3.6467526972078733`*^9, 3.646752698709209*^9}, {
   3.64675276150736*^9, 3.646752761962268*^9}, 3.657417145810227*^9}],

Cell["\<\
MzmlDataProcessing [dataProcessingXMLElement]

Function MzmlDataProcessing will take the output from MzmlRawMetaData as the \
only input. Description of the default peak processing method. This element \
describes the base method used in the generation of a particular mzML file. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}, {3.65740807437075*^9, 
   3.657408081633554*^9}, {3.657408168826683*^9, 3.657408221527967*^9}, {
   3.657412557725439*^9, 3.6574125612718353`*^9}, {3.657412600396237*^9, 
   3.657412681801894*^9}, {3.657412895845338*^9, 3.6574129293540077`*^9}, {
   3.6574129600939493`*^9, 3.657412976511739*^9}, {3.657413109391059*^9, 
   3.657413126311365*^9}, {3.6574131691829863`*^9, 3.657413213835129*^9}, {
   3.657415806906954*^9, 3.657415814498262*^9}, {3.6574170343792686`*^9, 
   3.657417110780445*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlDataProcessing", "[", "dataProcessingXMLElement_", "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"dataProcessingElement", ",", "\[IndentingNewLine]", 
      RowBox[{"dataProcessing", "=", "dataProcessingXMLElement"}], ",", 
      "\[IndentingNewLine]", "dataProcessingTag1", ",", "dataProcessingTag2", 
      ",", "dataProcessingElement1", ",", "overAlldataProcessingTag"}], "}"}],
     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Using", " ", "Cases", " ", "to", " ", "extract", " ", "the", " ", 
       "file", " ", "subelement", " ", "\"\<processingMethod\>\"", " ", 
       "found", " ", "in", " ", "Element"}], " ", "<", "dataProcessing", 
      ">"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dataProcessingElement", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"#", ",", "\[IndentingNewLine]", 
             RowBox[{"XMLElement", "[", 
              RowBox[{"\"\<processingMethod\>\"", ",", "_", ",", "_"}], "]"}],
              ",", "Infinity"}], "]"}], "\[Equal]", 
           RowBox[{"{", "}"}]}], ",", 
          RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", "\[IndentingNewLine]", 
            RowBox[{"XMLElement", "[", 
             RowBox[{"\"\<processingMethod\>\"", ",", "_", ",", "_"}], "]"}], 
            ",", "Infinity"}], "]"}]}], "]"}], "&"}], "@", 
       "dataProcessing"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "cvParam", " ", "holds", " ", "additional", " ", "data", " ", "or", 
        " ", 
        RowBox[{"annotation", ".", " ", "Only"}], " ", "controlled", " ", 
        "values", " ", "are", " ", "allowed", " ", "here"}], ",", " ", 
       RowBox[{
       "while", " ", "userParam", " ", "holds", " ", "uncontrolled", " ", 
        "user", " ", "parameters"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dataProcessingElement1", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"dataProcessingElement", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<cvParam\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"dataProcessingElement", ",", 
          RowBox[{"XMLElement", "[", 
           RowBox[{"\"\<cvParam\>\"", ",", "_", ",", "_"}], "]"}], ",", 
          "Infinity"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "The", " ", "attribute", " ", "\"\<name\>\"", " ", "is", " ", "the", 
        " ", "actual", " ", "name", " ", "for", " ", "the", " ", 
        "parameter"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"from", " ", "the", " ", "referred"}], "-", 
         RowBox[{"to", " ", "controlled", " ", 
          RowBox[{"vocabulary", ".", " ", "The"}], " ", "attribute", " ", 
          "\"\<value\>\"", " ", "is", " ", "the", " ", "optional", " ", 
          "value", " ", "for", " ", "the", " ", "parameter"}]}], ";", 
        RowBox[{"may", " ", "be", " ", "absent", " ", "if", " ", "not", " ", 
         RowBox[{"appropriate", ".", " ", "And"}], " ", "if", " ", "absent", 
         " ", "we", " ", "output", " ", "\"\<Unknown\>\""}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"dataProcessingTag1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                  "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
               "\[Equal]", 
               RowBox[{"{", "\"\<\>\"", "}"}]}], ",", 
              RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
              RowBox[{"Cases", "[", 
               RowBox[{"#", ",", 
                RowBox[{
                 RowBox[{"x_", "/;", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
             "]"}]}], "}"}], ",", "1"}], "]"}], "&"}], "/@", 
       "dataProcessingElement1"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"capitalized", " ", 
       RowBox[{"Name", ":", " ", 
        RowBox[{"and", " ", "Value"}], ":", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"dataProcessingTag2", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
               "1"}], "]"}], ",", 
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Value: \>\"", ",", 
               "1"}], "]"}]}], "}"}], "&"}], "/@", "dataProcessingTag1"}], 
         "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "overAlldataProcessingTag", " ", "is", " ", "to", " ", "output", " ", 
       "a", " ", "readable", " ", "\"\<Data Processing: \>\""}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"overAlldataProcessingTag", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Data Processing: \>\"", ",", "Bold", ",", 
                  "Underlined"}], "]"}], "}"}], ",", 
               RowBox[{"{", "dataProcessingTag2", "}"}]}], "}"}], "]"}], 
            "]"}], "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "overAlldataProcessingTag", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646151999171256*^9, 3.646152570116085*^9}, {
   3.646152605343564*^9, 3.646153116408037*^9}, 3.6464201003673277`*^9, 
   3.646420155339798*^9, 3.6464470063413467`*^9, {3.646448409639015*^9, 
   3.646448414214684*^9}, 3.646476143212729*^9, {3.6464782959036703`*^9, 
   3.646478317431924*^9}, {3.64647834910168*^9, 3.646478561195486*^9}, {
   3.646478621337199*^9, 3.6464786435281754`*^9}, {3.646478748272771*^9, 
   3.646478760015029*^9}, {3.646478792891164*^9, 3.646478799868422*^9}, {
   3.646480761568256*^9, 3.646480766580976*^9}, {3.646480837901129*^9, 
   3.6464808420161877`*^9}, {3.6467484754630337`*^9, 3.646748502695002*^9}, {
   3.6467486201834*^9, 3.646748729747231*^9}, {3.646748785272888*^9, 
   3.646748881366639*^9}, {3.64674894507318*^9, 3.646749005637302*^9}, {
   3.646749037274453*^9, 3.646749113336411*^9}, {3.646749146594233*^9, 
   3.646749351033555*^9}, 3.646749424558386*^9, {3.646749464364645*^9, 
   3.646749485082934*^9}, {3.646749533686912*^9, 3.646749552647591*^9}, {
   3.646749887193123*^9, 3.6467500326071253`*^9}, {3.646750183051524*^9, 
   3.646750213175955*^9}, {3.6467502642204123`*^9, 3.646750318450222*^9}, {
   3.646750353056109*^9, 3.646750389511654*^9}, {3.646750428598192*^9, 
   3.646750450682734*^9}, {3.6467505210487747`*^9, 3.646750787421792*^9}, {
   3.646750851434753*^9, 3.646751251480657*^9}, {3.646751305328244*^9, 
   3.646751453727603*^9}, {3.646751493791194*^9, 3.6467515013330193`*^9}, {
   3.6467515366875467`*^9, 3.646751572651619*^9}, {3.6467516263612633`*^9, 
   3.646751670273094*^9}, 3.646751704018465*^9, {3.646751758516223*^9, 
   3.646751785925247*^9}, {3.646751854578129*^9, 3.646751891274909*^9}, {
   3.6467520386827803`*^9, 3.646752073016259*^9}, {3.646752110834531*^9, 
   3.646752157918901*^9}, {3.646752191751957*^9, 3.6467524284133587`*^9}, {
   3.6467524606222153`*^9, 3.646752600303842*^9}, {3.646752631239275*^9, 
   3.6467526353868923`*^9}, {3.6467527052853203`*^9, 3.646752777801467*^9}, {
   3.6467529675702753`*^9, 3.6467529684732513`*^9}, {3.646753038353202*^9, 
   3.6467531033404493`*^9}, {3.646753137138294*^9, 3.646753251979937*^9}, {
   3.646753286057651*^9, 3.646753294817636*^9}, {3.6467533470847054`*^9, 
   3.646753395456396*^9}, {3.646753456498547*^9, 3.646753519519835*^9}, {
   3.646753555079352*^9, 3.6467537415886602`*^9}, 3.646753780852922*^9, {
   3.646753816138751*^9, 3.646753841937307*^9}, {3.646753878617597*^9, 
   3.6467539807861557`*^9}, {3.646754014953813*^9, 3.646754073706316*^9}, 
   3.646754181632637*^9, {3.646754237268523*^9, 3.646754298338895*^9}, {
   3.646754332750511*^9, 3.646754344916437*^9}, {3.646754424879424*^9, 
   3.646754429082088*^9}, 3.646947157052471*^9, 3.649090001518538*^9, {
   3.6574150241412363`*^9, 3.657415027418812*^9}, 3.657415791281138*^9, {
   3.6574165603282957`*^9, 3.6574165605813313`*^9}, {3.657416690034952*^9, 
   3.657416732901371*^9}, {3.657416809579508*^9, 3.657416809799507*^9}, {
   3.657416880902535*^9, 3.65741698521216*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 10 \[OpenCurlyDoubleQuote]MzmlSpectrumList\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646153154298376*^9, 3.646153159515953*^9}, 
   3.646748452208385*^9, {3.6467526972078733`*^9, 3.646752698709209*^9}, {
   3.64675276150736*^9, 3.646752761962268*^9}, 3.646754655907379*^9, {
   3.6467547869527683`*^9, 3.646754787247772*^9}, 3.657421332789936*^9}],

Cell["\<\
MzmlSpectrumList [spectrumListXMLElement_]

Function MzmlDataProcessing will take the output from MzmlRawMetaData as the \
only input. This element a single run in mzML, consecutive and coherent set \
of scans on an instrument. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}, {3.65740807437075*^9, 
   3.657408081633554*^9}, {3.657408168826683*^9, 3.657408221527967*^9}, {
   3.657412557725439*^9, 3.6574125612718353`*^9}, {3.657412600396237*^9, 
   3.657412681801894*^9}, {3.657412895845338*^9, 3.6574129293540077`*^9}, {
   3.6574129600939493`*^9, 3.657412976511739*^9}, {3.657413109391059*^9, 
   3.657413126311365*^9}, {3.6574131691829863`*^9, 3.657413213835129*^9}, {
   3.657415806906954*^9, 3.657415814498262*^9}, {3.6574170343792686`*^9, 
   3.657417110780445*^9}, {3.657420666388935*^9, 3.657420669134591*^9}, {
   3.657420712626527*^9, 3.657420755623719*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumList", "[", "spectrumListXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"spectrumListElement", ",", "\[IndentingNewLine]", 
      RowBox[{"spectrumList", "=", "spectrumListXMLElement"}], ",", 
      "\[IndentingNewLine]", "spectrumListTag1", ",", "spectrumListTag2", ",",
       "spectrumListTag3", ",", "spectrumListTag4", ",", "spectrumListTag5", 
      ",", "overAllspectrumListTag"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Using", " ", "Cases", " ", "to", " ", "extract", " ", "the", " ", 
       "file", " ", "Element"}], " ", "<", "run", ">"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"spectrumListElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"spectrumList", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<run\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "The", " ", "attribute", " ", "\"\<id\>\"", " ", "is", " ", "a", " ", 
       "unique", " ", "identifier", " ", "for", " ", "this", " ", 
       RowBox[{"run", ".", " ", "And"}], " ", "the", " ", "attribute", " ", 
       "\"\<defaultInstrumentConfigurationRef\>\"", " ", "is", " ", "the", 
       " ", "attribute", " ", "that", " ", "MUST", " ", "reference", " ", 
       RowBox[{"the", " ", "'"}], 
       RowBox[{"id", "'"}], " ", "of", " ", "the", " ", "default", " ", 
       "instrument", " ", 
       RowBox[{"configuration", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"spectrumListTag1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                  "\"\<id\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                  "\"\<defaultInstrumentConfigurationRef\>\""}]}]}], 
               "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "}"}], ",", "1"}], "]"}], "&"}], "/@", "spectrumListElement"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"capitalized", " ", "ID"}], ",", " ", 
       RowBox[{"Name", " ", "and", " ", "Value", " ", "labeling"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"spectrumListTag2", "=", "\[IndentingNewLine]", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<ID: \>\"", ",", 
                "1"}], "]"}], ",", 
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", 
                "\"\<Default Instrument Configuration: \>\"", ",", "1"}], 
               "]"}]}], "}"}], "&"}], "/@", "spectrumListTag1"}], "]"}], 
         "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "The", " ", "subelement", " ", "\"\<spectrumList\>\"", " ", "is", " ", 
       "where", " ", "all", " ", "mass", " ", "spectra", " ", "and", " ", 
       "the", " ", "acquisitions", " ", "underlying", " ", "them", " ", "are",
        " ", "described", " ", "and", " ", "attached", " ", 
       RowBox[{"here", ".", " ", "Subsidiary"}], " ", "data", " ", "arrays", 
       " ", "are", " ", "also", " ", "both", " ", "described", " ", "and", 
       " ", "attached", " ", 
       RowBox[{"here", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"spectrumListTag3", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"#", ",", "\[IndentingNewLine]", 
             RowBox[{"XMLElement", "[", 
              RowBox[{"\"\<spectrumList\>\"", ",", "_", ",", "_"}], "]"}], 
             ",", "Infinity"}], "]"}], "\[Equal]", 
           RowBox[{"{", "}"}]}], ",", 
          RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", "\[IndentingNewLine]", 
            RowBox[{"XMLElement", "[", 
             RowBox[{"\"\<spectrumList\>\"", ",", "_", ",", "_"}], "]"}], ",",
             "Infinity"}], "]"}]}], "]"}], "&"}], "@", 
       "spectrumListElement"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "the", " ", "attribute", " ", "\"\<count\>\"", " ", "is", " ", "the", 
       " ", "number", " ", "of", " ", "spectra", " ", "defined", " ", "in", 
       " ", "this", " ", "mzML", " ", 
       RowBox[{"file", ".", " ", "And"}], " ", "the", " ", "attribute", " ", 
       "\"\<defaultDataProcessingRef\>\"", " ", "is", " ", "used", " ", "as", 
       " ", "a", " ", "reference", " ", "of", " ", "the", " ", "default", " ",
        "data", " ", "processing", " ", "for", " ", "the", " ", "spectrum", 
       " ", 
       RowBox[{"list", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"spectrumListTag4", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                  "\"\<count\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                  "\"\<defaultDataProcessingRef\>\""}]}]}], "\[RuleDelayed]", 
               
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "}"}], ",", "1"}], "]"}], "&"}], "/@", "spectrumListTag3"}]}], ";",
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "adding", "  ", "\"\<Number of Spectra: \>\"", " ", "labeling", " ", 
       "to", " ", "the", " ", "final", " ", "spectra", " ", "count"}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"spectrumListTag5", "=", "\[IndentingNewLine]", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                "\"\<Number of Spectra: \>\"", ",", "1"}], "]"}], ",", 
              RowBox[{"StringInsert", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", 
                "\"\<Default Data Processing: \>\"", ",", "1"}], "]"}]}], 
             "}"}], "&"}], "/@", "spectrumListTag4"}], "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"overAllspectrumListTag", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Instrument Scans: \>\"", ",", "Bold", ",", 
                  "Underlined"}], "]"}], "}"}], ",", 
               RowBox[{"{", "spectrumListTag2", "}"}], ",", 
               RowBox[{"{", "spectrumListTag5", "}"}]}], "}"}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "overAllspectrumListTag", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646151999171256*^9, 3.646152570116085*^9}, {
   3.646152605343564*^9, 3.646153116408037*^9}, 3.6464201003673277`*^9, 
   3.646420155339798*^9, 3.6464470063413467`*^9, {3.646448409639015*^9, 
   3.646448414214684*^9}, 3.646476143212729*^9, {3.6464782959036703`*^9, 
   3.646478317431924*^9}, {3.64647834910168*^9, 3.646478561195486*^9}, {
   3.646478621337199*^9, 3.6464786435281754`*^9}, {3.646478748272771*^9, 
   3.646478760015029*^9}, {3.646478792891164*^9, 3.646478799868422*^9}, {
   3.646480761568256*^9, 3.646480766580976*^9}, {3.646480837901129*^9, 
   3.6464808420161877`*^9}, {3.6467484754630337`*^9, 3.646748502695002*^9}, {
   3.6467486201834*^9, 3.646748729747231*^9}, {3.646748785272888*^9, 
   3.646748881366639*^9}, {3.64674894507318*^9, 3.646749005637302*^9}, {
   3.646749037274453*^9, 3.646749113336411*^9}, {3.646749146594233*^9, 
   3.646749351033555*^9}, 3.646749424558386*^9, {3.646749464364645*^9, 
   3.646749485082934*^9}, {3.646749533686912*^9, 3.646749552647591*^9}, {
   3.646749887193123*^9, 3.6467500326071253`*^9}, {3.646750183051524*^9, 
   3.646750213175955*^9}, {3.6467502642204123`*^9, 3.646750318450222*^9}, {
   3.646750353056109*^9, 3.646750389511654*^9}, {3.646750428598192*^9, 
   3.646750450682734*^9}, {3.6467505210487747`*^9, 3.646750787421792*^9}, {
   3.646750851434753*^9, 3.646751251480657*^9}, {3.646751305328244*^9, 
   3.646751453727603*^9}, {3.646751493791194*^9, 3.6467515013330193`*^9}, {
   3.6467515366875467`*^9, 3.646751572651619*^9}, {3.6467516263612633`*^9, 
   3.646751670273094*^9}, 3.646751704018465*^9, {3.646751758516223*^9, 
   3.646751785925247*^9}, {3.646751854578129*^9, 3.646751891274909*^9}, {
   3.6467520386827803`*^9, 3.646752073016259*^9}, {3.646752110834531*^9, 
   3.646752157918901*^9}, {3.646752191751957*^9, 3.6467524284133587`*^9}, {
   3.6467524606222153`*^9, 3.646752600303842*^9}, {3.646752631239275*^9, 
   3.6467526353868923`*^9}, {3.6467527052853203`*^9, 3.646752777801467*^9}, {
   3.6467529675702753`*^9, 3.6467529684732513`*^9}, {3.646753038353202*^9, 
   3.6467531033404493`*^9}, {3.646753137138294*^9, 3.646753251979937*^9}, {
   3.646753286057651*^9, 3.646753294817636*^9}, {3.6467533470847054`*^9, 
   3.646753395456396*^9}, {3.646753456498547*^9, 3.646753519519835*^9}, {
   3.646753555079352*^9, 3.6467537415886602`*^9}, 3.646753780852922*^9, {
   3.646753816138751*^9, 3.646753841937307*^9}, {3.646753878617597*^9, 
   3.6467539807861557`*^9}, {3.646754014953813*^9, 3.646754073706316*^9}, 
   3.646754181632637*^9, {3.646754237268523*^9, 3.646754298338895*^9}, {
   3.646754332750511*^9, 3.646754344916437*^9}, {3.646754424879424*^9, 
   3.646754429082088*^9}, {3.6467546661500263`*^9, 3.646754679951095*^9}, {
   3.646754713603504*^9, 3.646754716356864*^9}, {3.646754755732402*^9, 
   3.6467547778392763`*^9}, {3.6467548203882217`*^9, 3.646755010466235*^9}, {
   3.646755048435528*^9, 3.646755085345421*^9}, {3.646755120399562*^9, 
   3.6467553583372803`*^9}, {3.646755434850169*^9, 3.646755439894948*^9}, {
   3.646755482750988*^9, 3.6467558351675863`*^9}, {3.646755874887135*^9, 
   3.64675598430238*^9}, 3.646947167924356*^9, 3.649090010071555*^9, 
   3.65741960987157*^9, 3.6574205781277018`*^9, {3.657420644731367*^9, 
   3.657420647074149*^9}, 3.6574207891678133`*^9, {3.657420851984828*^9, 
   3.6574212715004597`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 11 \
\[OpenCurlyDoubleQuote]MzmlMetaData\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648920624147759*^9, 3.648920642711904*^9}, 
   3.648926956303378*^9, {3.648927405183964*^9, 3.648927405373972*^9}, 
   3.657423681977545*^9, 3.657922683909293*^9}],

Cell["\<\
MzmlMetaData [input]

Function MzmlMetaData will take the output from MzmlRawMetaData as the only \
input. This function will output the follwoing: MzmlVersion, \
MzmlFileDescriptionFileContent, MzmlSoftware, MzmlSpectrumList, \
MzmlDataProcessing and MzmlInstrumentConfiguration.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657391885340314*^9, 3.657391898213896*^9}, {
   3.6573919690373497`*^9, 3.6573920165940647`*^9}, {3.657393104748034*^9, 
   3.657393106873217*^9}, {3.657406793967379*^9, 3.657406830624319*^9}, {
   3.657406901845228*^9, 3.65740691718648*^9}, 3.6574069667801247`*^9, {
   3.6574070070446033`*^9, 3.657407039152257*^9}, {3.65740807437075*^9, 
   3.657408081633554*^9}, {3.657408168826683*^9, 3.657408221527967*^9}, {
   3.657412557725439*^9, 3.6574125612718353`*^9}, {3.657412600396237*^9, 
   3.657412681801894*^9}, {3.657412895845338*^9, 3.6574129293540077`*^9}, {
   3.6574129600939493`*^9, 3.657412976511739*^9}, {3.657413109391059*^9, 
   3.657413126311365*^9}, {3.6574131691829863`*^9, 3.657413213835129*^9}, {
   3.657415806906954*^9, 3.657415814498262*^9}, {3.6574170343792686`*^9, 
   3.657417110780445*^9}, {3.657420666388935*^9, 3.657420669134591*^9}, {
   3.657420712626527*^9, 3.657420755623719*^9}, {3.6574224261713543`*^9, 
   3.657422439410997*^9}, {3.657422469812841*^9, 3.657422498306614*^9}, {
   3.657422553525878*^9, 3.657422619385396*^9}, {3.657422840365415*^9, 
   3.657422849299429*^9}, 3.657921516379944*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlMetaData", "[", "input_", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "overall", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "only", 
       " ", "input", " ", "to", " ", "this", " ", "function"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"overall", "=", "input"}], ",", "\[IndentingNewLine]", 
      "metaDataOverall"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     StyleBox[
      RowBox[{"metaDataOverall", "=", 
       RowBox[{"Grid", "[", 
        RowBox[{"Partition", "[", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "this", " ", "is", " ", "the", " ", "viewer", " ", "title", " ", 
           "joined", " ", "with", " ", "the", " ", "other", " ", 
           "functions"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"Insert", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{"Transpose", "[", 
                 RowBox[{"Partition", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<MathIOmica-MSViewer\>\"", ",", "35", ",", "Bold"}], 
                    "]"}], ",", 
                    GraphicsBox[
                    TagBox[RasterBox[CompressedData["
1:eJzsXQd4VEXXHgtKkR4gIaRveu+9kd5D+iZAEgIpJCQQeu9KUQQBFVCKiIIf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                    "], {{0, 230}, {230, 
                    0}}, {0, 255},
                    ColorFunction->RGBColor],
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True],
                    Selectable->False],
                    BaseStyle->"ImageGraphics",
                    ImageSizeRaw->{230, 230},
                    PlotRange->{{0, 230}, {0, 230}}]}], "}"}], ",", "1"}], 
                  "]"}], "]"}], "]"}], ",", 
               RowBox[{"Alignment", "\[Rule]", "Center"}], ",", "2"}], "]"}], 
             "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"Insert", "[", 
              RowBox[{
               RowBox[{"Grid", "[", 
                RowBox[{"Partition", "[", 
                 RowBox[{
                  RowBox[{"Join", "[", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<MetaData:\>\"", ",", "15", ",", "Underlined", ",", 
                    "Bold"}], "]"}], ",", "\"\<\>\""}], "}"}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}], "}"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"Framed", "[", "\[IndentingNewLine]", 
                    RowBox[{"Insert", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Insert", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Transpose", "[", "\[IndentingNewLine]", 
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Insert", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "these", " ", "are", " ", "4", " ", "functions", " ", 
                    "that", " ", "are", " ", "output", " ", 
                    RowBox[{"together", ".", " ", "The"}], " ", "4", " ", 
                    "functions", " ", 
                    RowBox[{"are", ":", " ", 
                    RowBox[{"mzML", " ", "file", " ", "version"}]}]}], ",", 
                    " ", "discription", ",", " ", "software", ",", " ", 
                    RowBox[{"and", " ", "spectrum", " ", 
                    RowBox[{"list", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    
                    RowBox[{
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Partition", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"MzmlVersion", "[", "overall", "]"}], "}"}], ",", 
                    
                    RowBox[{"{", 
                    RowBox[{
                    "MzmlFileDescriptionFileContent", "[", "overall", "]"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"MzmlSoftware", "[", "overall", "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"MzmlSpectrumList", "[", "overall", "]"}], 
                    "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    RowBox[{"Insert", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{"these", " ", "are", " ", "2", " ", "other", " ", 
                    "functions", " ", "that", " ", "are", " ", "output", " ", 
                    
                    RowBox[{"together", ".", " ", "The"}], " ", "2", " ", 
                    "functions", " ", 
                    RowBox[{"are", ":", " ", 
                    RowBox[{
                    "mzML", " ", "file", " ", "data", " ", "processing", " ", 
                    "and", " ", "instrument", " ", 
                    RowBox[{"configuration", "."}]}]}]}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Partition", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"MzmlDataProcessing", "[", "overall", "]"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "MzmlInstrumentConfiguration", "[", "overall", "]"}], 
                    "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}], ",", "2"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "]"}], "}"}]}], 
                   "]"}], ",", "1"}], "]"}], "]"}], ",", 
               RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], 
             "}"}]}], "]"}], ",", "1"}], "]"}], "]"}]}], "Input"], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "metaDataOverall", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648920653584135*^9, 3.6489208612180233`*^9}, 
   3.6489210158012114`*^9, {3.648921064863975*^9, 3.648921065487198*^9}, {
   3.648921250272161*^9, 3.6489212610094976`*^9}, {3.6489269940480537`*^9, 
   3.648926999492222*^9}, {3.6489271540587683`*^9, 3.6489271651118317`*^9}, 
   3.6573171946684437`*^9, 3.657408570824589*^9, 3.657415788417777*^9, {
   3.657419538294684*^9, 3.657419547027165*^9}, 3.6574196118234873`*^9, {
   3.657422368117879*^9, 3.657422369747954*^9}, {3.657422419971952*^9, 
   3.657422421457323*^9}, {3.657422512602511*^9, 3.657422534224226*^9}, 
   3.657422597135128*^9, {3.657422863807046*^9, 3.657422931203217*^9}, {
   3.657423162740684*^9, 3.657423167578923*^9}, {3.657423206005631*^9, 
   3.65742322111306*^9}, {3.657423367708335*^9, 3.657423369949401*^9}, {
   3.6579226941252947`*^9, 3.6579227186988983`*^9}, 3.688152991958515*^9, 
   3.68815616555541*^9, {3.688935700629681*^9, 3.6889357015553627`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["MZML Back-End:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786737434413*^9, 3.641786829124805*^9}, {
   3.6418238840722103`*^9, 3.641823886343548*^9}, {3.643385693105163*^9, 
   3.643385695393354*^9}, {3.643386033066502*^9, 3.643386037601122*^9}, {
   3.643386087407484*^9, 3.643386087909823*^9}, {3.6457512997797203`*^9, 
   3.645751302072047*^9}, 3.645751455446384*^9, 3.649092496458444*^9, {
   3.6499611481265182`*^9, 3.649961149742342*^9}, {3.649961180275613*^9, 
   3.649961186643022*^9}, {3.650306704683824*^9, 3.650306707499609*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "mzmlControlledVocabulary", ",", 
   "MzmlDictionaryAssociationForAccessionNumberAndNames", ",", 
   "MzmlDictionaryMSUOLabeling", ",", "MzmlTimeAndMassLabeling", ",", 
   "MzmlSpectrumBinaryDecoder", ",", "MzmlOffSetListCounter", ",", 
   "MzmlSpectrumSelector", ",", "MzmlGetSpectraMSLevel", ",", 
   "MzmlSpectrumMassTimeAssociation", ",", "MzmlGetChromatogramTIC", ",", 
   "MzmlTotalIonChromatogram", ",", "MzmlGetPrecursorSpectraAtMSLevel", ",", 
   "MzmlGetMSSpectraLocationAndBinary", ",", "MzmlSpectrumPlotLabels", ",", 
   "MzmlSpectrumPlotter"}], "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650306518934114*^9, 3.650306684771881*^9}, 
   3.652661833901569*^9, 3.652661920560135*^9, 3.652661995020323*^9, 
   3.652662159800791*^9, {3.655138435393155*^9, 3.6551384364065847`*^9}, 
   3.655218613519959*^9, 3.655403917786087*^9, 3.655417154702448*^9, 
   3.6554748282033653`*^9, 3.655510834683689*^9, 3.655517254855012*^9, 
   3.65713379578019*^9, 3.657214155986356*^9, 3.6572339786724787`*^9, 
   3.657234020844782*^9, 3.657234057636709*^9, {3.658170195621418*^9, 
   3.6581701962345333`*^9}, {3.658170331056115*^9, 3.658170333027431*^9}}],

Cell[CellGroupData[{

Cell["Function I \"MzmlDictionary&Labeling\":", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.630435437083754*^9, 3.630435439905949*^9}, 
   3.630436042973824*^9, {3.63077208757241*^9, 3.63077209447475*^9}, {
   3.6374150266007957`*^9, 3.637415034312352*^9}, {3.641433781278245*^9, 
   3.641433781502376*^9}, 3.6419173418244953`*^9, {3.648219104639389*^9, 
   3.648219105036327*^9}, 3.649073832921698*^9, {3.649083626558959*^9, 
   3.649083636515766*^9}, {3.657233850939744*^9, 3.657233851952551*^9}}],

Cell[CellGroupData[{

Cell["mzML Controlled Vocabulary Constant:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowGroupOpener->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64892297563735*^9, 3.648922985578772*^9}, {
   3.6490893935020037`*^9, 3.649089395516583*^9}, 3.65266202714992*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"mzmlControlledVocabulary", "=", 
   RowBox[{"{", 
    RowBox[{
    "\"\<[Typedef]\>\"", ",", "\"\<id: has_regexp\>\"", ",", 
     "\"\<name: has regexp\>\"", ",", "\"\<\>\"", ",", "\"\<[Typedef]\>\"", 
     ",", "\"\<id: has_units\>\"", ",", "\"\<name: has_units\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Typedef]\>\"", ",", "\"\<id: part_of\>\"", ",", 
     "\"\<name: part_of\>\"", ",", "\"\<is_transitive: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Typedef]\>\"", ",", "\"\<id: has_order\>\"", ",", 
     "\"\<name: has_order\>\"", ",", "\"\<\>\"", ",", "\"\<[Typedef]\>\"", 
     ",", "\"\<id: has_domain\>\"", ",", "\"\<name: has_domain\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:0000000\>\"", ",", 
     "\"\<name: Proteomics Standards Initiative Mass Spectrometry \
Vocabularies\>\"", ",", 
     "\"\<def: \\\"Proteomics Standards Initiative Mass Spectrometry \
Vocabularies.\\\" [PSI:MS]\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000001\>\"", ",", "\"\<name: sample number\>\"", ",", 
     "\"\<def: \\\"A reference number relevant to the sample under study.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000002\>\"", ",", 
     "\"\<name: sample name\>\"", ",", 
     "\"\<def: \\\"A reference string relevant to the sample under study.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000003\>\"", ",", 
     "\"\<name: sample state\>\"", ",", 
     "\"\<def: \\\"The chemical phase of a pure sample, or the state of a \
mixed sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000004\>\"", ",", 
     "\"\<name: sample mass\>\"", ",", 
     "\"\<def: \\\"Total mass of sample used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000021 ! gram\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000005\>\"", ",", 
     "\"\<name: sample volume\>\"", ",", 
     "\"\<def: \\\"Total volume of solution used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000098 ! milliliter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000006\>\"", ",", 
     "\"\<name: sample concentration\>\"", ",", 
     "\"\<def: \\\"Concentration of sample in picomol/ul, femtomol/ul or \
attomol/ul solution used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000175 ! gram per liter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000007\>\"", ",", 
     "\"\<name: inlet type\>\"", ",", 
     "\"\<def: \\\"The nature of the sample inlet.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000008\>\"", ",", 
     "\"\<name: ionization type\>\"", ",", 
     "\"\<def: \\\"The method by which gas phase ions are generated from the \
sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000009\>\"", ",", 
     "\"\<name: ionization mode\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Whether positive or negative ions are selected \
for analysis by the spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
scan polarity (MS:1000465).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000010\>\"", ",", 
     "\"\<name: analyzer type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The common name of the particular analyzer stage \
being described. Synonym of mass analyzer, should be obsoleted.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000011\>\"", ",", "\"\<name: mass resolution\>\"", 
     ",", "\"\<def: \\\"Smallest mass difference between two equal magnitude \
peaks so that the valley between them is a specified fraction of the peak \
height.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000012\>\"", ",", 
     "\"\<name: resolution measurement method\>\"", ",", 
     "\"\<def: \\\"Which of the available standard measures is used to define \
whether two peaks are separate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000596 ! measurement method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000013\>\"", ",", 
     "\"\<name: resolution type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Specify the nature of resolution for the mass \
analyzer. Resolution is usually either constant with respect to m/z or \
proportional to m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000014\>\"", ",", "\"\<name: accuracy\>\"", ",", 
     "\"\<def: \\\"Accuracy is the degree of conformity of a measured mass to \
its actual value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000480 ! mass analyzer attribute\>\"", 
     ",", "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", 
     "\"\<relationship: has_units UO:0000169 ! parts per million\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000015\>\"", ",", 
     "\"\<name: scan rate\>\"", ",", 
     "\"\<def: \\\"Rate in Th/sec for scanning analyzers.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", 
     ",", "\"\<relationship: has_units MS:1000807 ! Th/s\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000016\>\"", ",", 
     "\"\<name: scan start time\>\"", ",", 
     "\"\<def: \\\"The time that an analyzer started a scan, relative to the \
start of the MS run.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<is_a: MS:1002345 ! PSM-level attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000017\>\"", ",", 
     "\"\<name: Scan Function\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Describes the type of mass analysis being \
performed. Two primary modes are: typical acquisition over a range of masses \
(Mass Scan), and Selected Ion Detection. The primary difference is that \
Selected Ion Detection produces a single value for the signal at the selected \
mass rather than producing a mass spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: OBSOLETE This former purgatory term was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000018\>\"", ",", 
     "\"\<name: scan direction\>\"", ",", 
     "\"\<def: \\\"Direction in terms of m/z of the scan for scanning \
analyzers (low to high, or high to low).\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000019\>\"", ",", 
     "\"\<name: scan law\>\"", ",", 
     "\"\<def: \\\"Describes the function in control of the m/z scan (for \
scanning instruments). Commonly the scan function is linear, but in principle \
any function can be used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000020\>\"", ",", 
     "\"\<name: scanning method\>\"", ",", 
     "\"\<def: \\\"Describes the acquisition data type produced by a tandem \
mass spectrometry experiment.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: OBSOLETE This former purgatory term was made \
obsolete.\>\"", ",", 
     "\"\<synonym: \\\"Tandem Scanning Method\\\" RELATED []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000021\>\"", ",", "\"\<name: reflectron state\>\"", 
     ",", "\"\<def: \\\"Status of the reflectron, turned on or off.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000480 ! mass analyzer attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000022\>\"", 
     ",", "\"\<name: TOF Total Path Length\>\"", ",", 
     "\"\<def: \\\"The length of the field free drift space in a time of \
flight mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000480 ! mass analyzer attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000008 ! meter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000023\>\"", ",", 
     "\"\<name: isolation width\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The total width (i.e. not half for plus-or-minus) \
of the gate applied around a selected precursor ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<relationship: has_units MS:1000040 ! m/z\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000024\>\"", ",", "\"\<name: final MS exponent\>\"", 
     ",", "\"\<def: \\\"Final MS level achieved when performing PFF with the \
ion trap (e.g. MS E10).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1000480 ! mass analyzer attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000025\>\"", 
     ",", "\"\<name: magnetic field strength\>\"", ",", 
     "\"\<def: \\\"A property of space that produces a force on a charged \
particle equal to qv x B where q is the particle charge and v its velocity.\\\
\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"B\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Magnetic Field\\\" RELATED []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000480 ! mass analyzer attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000228 ! tesla\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000026\>\"", ",", 
     "\"\<name: detector type\>\"", ",", 
     "\"\<def: \\\"Type of detector used in the mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000453 ! detector\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000027\>\"", 
     ",", "\"\<name: detector acquisition mode\>\"", ",", 
     "\"\<def: \\\"Method by which detector signal is acquired by the data \
system.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000453 ! detector\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000028\>\"", ",", 
     "\"\<name: detector resolution\>\"", ",", 
     "\"\<def: \\\"The resolving power of the detector to detect the smallest \
difference between two ions so that the valley between them is a specified \
fraction of the peak height.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000481 ! detector attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000029\>\"", ",", 
     "\"\<name: sampling frequency\>\"", ",", 
     "\"\<def: \\\"The rate of signal sampling (measurement) with respect to \
time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ADC Sampling Frequency\\\" NARROW []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000481 ! detector attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000106 ! hertz\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000030\>\"", ",", 
     "\"\<name: vendor\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Name of instrument vendor.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it was replaced \
by instrument model (MS:1000031).\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000031\>\"", 
     ",", "\"\<name: instrument model\>\"", ",", 
     "\"\<def: \\\"Instrument model name not including the vendor's name.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000463 ! instrument\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000032\>\"", 
     ",", "\"\<name: customization\>\"", ",", 
     "\"\<def: \\\"Free text description of a single customization made to \
the instrument; for several modifications, use several entries.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000496 ! instrument attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000033\>\"", 
     ",", "\"\<name: deisotoping\>\"", ",", 
     "\"\<def: \\\"The removal of isotope peaks to represent the fragment ion \
as one data point and is commonly done to reduce complexity. It is done in \
conjunction with the charge state deconvolution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000034\>\"", ",", 
     "\"\<name: charge deconvolution\>\"", ",", 
     "\"\<def: \\\"The determination of the mass of an ion based on the mass \
spectral peaks that represent multiple-charge ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000035\>\"", ",", 
     "\"\<name: peak picking\>\"", ",", 
     "\"\<def: \\\"Spectral peak processing conducted on the acquired data to \
convert profile data to centroided data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000036\>\"", ",", 
     "\"\<name: scan mode\>\"", ",", 
     "\"\<def: \\\"OBSOLETE.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because .\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000037\>\"", ",", "\"\<name: polarity\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Terms to describe the polarity setting of the \
instrument.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Pato Ontology term polarity (UO:0002186).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000038\>\"", ",", "\"\<name: minute\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Acquisition time in minutes.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it was redundant \
with Unit Ontology minute (UO:0000031).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000039\>\"", ",", "\"\<name: second\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Acquisition time in seconds.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it was redundant \
with Unit Ontology second (UO:0000010).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000040\>\"", ",", "\"\<name: m/z\>\"", ",", 
     "\"\<def: \\\"Three-character symbol m/z is used to denote the quantity \
formed by dividing the mass of an ion in unified atomic mass units by its \
charge number (regardless of sign). The symbol is written in italicized lower \
case letters with no spaces. Note 1: The term mass-to-charge-ratio is \
deprecated. Mass-to-charge ratio has been used for the abscissa of a mass \
spectrum, although the quantity measured is not the quotient of the ion's \
mass to its electric charge. The three-character symbol m/z is recommended \
for the quantity that is the independent variable in a mass spectrum Note 2: \
The proposed unit thomson (Th) is deprecated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"mass-to-charge ratio\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Th\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"thomson\\\" EXACT []\>\"", ",", 
     "\"\<is_a: UO:0000000 ! unit\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000041\>\"", ",", 
     "\"\<name: charge state\>\"", ",", 
     "\"\<def: \\\"The charge state of the ion, single or multiple and \
positive or negatively charged.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"z\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000042\>\"", 
     ",", "\"\<name: peak intensity\>\"", ",", 
     "\"\<def: \\\"Intensity of ions as measured by the height or area of a \
peak in a mass spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", 
     ",", "\"\<relationship: has_units MS:1000131 ! number of detector counts\
\>\"", ",", 
     "\"\<relationship: has_units MS:1000132 ! percent of base peak\>\"", 
     ",", "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", 
     ",", "\"\<relationship: has_units MS:1000905 ! percent of base peak \
times 100\>\"", ",", 
     "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", ",", 
     "\"\<relationship: part_of MS:1000231 ! peak\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000043\>\"", ",", 
     "\"\<name: intensity unit\>\"", ",", 
     "\"\<def: \\\"Intensity units are commonly arbitrary. Detected in counts \
per second (cps) when using counting detectors, but measured in volts when \
using analog detectors.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: UO:0000000 ! unit\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000044\>\"", ",", 
     "\"\<name: dissociation method\>\"", ",", 
     "\"\<def: \\\"Fragmentation method used for dissociation or \
fragmentation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Activation Method\\\" RELATED []\>\"", ",", 
     "\"\<relationship: part_of MS:1000456 ! precursor activation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000045\>\"", ",", 
     "\"\<name: collision energy\>\"", ",", 
     "\"\<def: \\\"Energy for an ion experiencing collision with a stationary \
gas particle resulting in dissociation of the ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000046\>\"", ",", 
     "\"\<name: energy unit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Energy units are represented in either eV or \
Joules.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Unit Ontology term energy unit (UO:0000111).\>\"", ",", 
     "\"\<is_a: UO:0000000 ! unit\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000047\>\"", 
     ",", "\"\<name: emulsion\>\"", ",", 
     "\"\<def: \\\"State if the sample is in emulsion form.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000048\>\"", ",", 
     "\"\<name: gaseous sample state\>\"", ",", 
     "\"\<def: \\\"State if the sample is in gaseous form.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000049\>\"", ",", 
     "\"\<name: liquid sample state\>\"", ",", 
     "\"\<def: \\\"State if the sample is in liquid form.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000050\>\"", ",", 
     "\"\<name: solid sample state\>\"", ",", 
     "\"\<def: \\\"State if the sample is in solid form.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000051\>\"", ",", 
     "\"\<name: solution\>\"", ",", 
     "\"\<def: \\\"State if the sample is in solution form.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000052\>\"", ",", 
     "\"\<name: suspension\>\"", ",", 
     "\"\<def: \\\"State if the sample is in suspension form.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000003 ! sample state\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000053\>\"", ",", 
     "\"\<name: sample batch\>\"", ",", 
     "\"\<def: \\\"Sample batch lot identifier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000054\>\"", ",", 
     "\"\<name: chromatography\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Chromatographic conditions used to obtain the \
sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000055\>\"", ",", 
     "\"\<name: continuous flow fast atom bombardment\>\"", ",", 
     "\"\<def: \\\"Fast atom bombardment ionization in which the analyte in \
solution is entrained in a flowing liquid matrix.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"CF-FAB\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000056\>\"", ",", 
     "\"\<name: direct inlet\>\"", ",", 
     "\"\<def: \\\"The sample is directly inserted into the ion source, \
usually on the end of a heatable probe.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000057\>\"", ",", 
     "\"\<name: electrospray inlet\>\"", ",", 
     "\"\<def: \\\"Inlet used for introducing the liquid sample into an \
electrospray ionization source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000058\>\"", ",", 
     "\"\<name: flow injection analysis\>\"", ",", 
     "\"\<def: \\\"Sample is directly injected or infused into the ionization \
source.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000059\>\"", ",", 
     "\"\<name: inductively coupled plasma\>\"", ",", 
     "\"\<def: \\\"A gas discharge ion source in which the energy to the \
plasma is supplied by electromagnetic induction.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000060\>\"", ",", 
     "\"\<name: infusion\>\"", ",", 
     "\"\<def: \\\"The continuous flow of solution of a sample into the \
ionization source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000061\>\"", ",", 
     "\"\<name: jet separator\>\"", ",", 
     "\"\<def: \\\"A device that separates carrier gas from gaseous analyte \
molecules on the basis of diffusivity.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000062\>\"", ",", 
     "\"\<name: membrane separator\>\"", ",", 
     "\"\<def: \\\"A device to separate carrier molecules from analyte \
molecules on the basis of ease of diffusion across a semipermeable \
membrane.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000063\>\"", 
     ",", "\"\<name: moving belt\>\"", ",", 
     "\"\<def: \\\"Continuous moving surface in the form of a belt which \
passes through an ion source carrying analyte molecules.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000064\>\"", ",", 
     "\"\<name: moving wire\>\"", ",", 
     "\"\<def: \\\"Continuous moving surface in the form of a wire which \
passes through an ion source carrying analyte molecules.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000065\>\"", ",", 
     "\"\<name: open split\>\"", ",", 
     "\"\<def: \\\"A division of flowing stream of liquid into two streams.\\\
\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000066\>\"", ",", 
     "\"\<name: particle beam\>\"", ",", 
     "\"\<def: \\\"Method for generating ions from a solution of an \
analyte.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000067\>\"", 
     ",", "\"\<name: reservoir\>\"", ",", 
     "\"\<def: \\\"A sample inlet method involving a reservoir.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000068\>\"", ",", 
     "\"\<name: septum\>\"", ",", 
     "\"\<def: \\\"A disc composed of a flexible material that seals the \
entrance to the reservoir. Can also be entrance to the vacuum chamber.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000069\>\"", ",", 
     "\"\<name: thermospray inlet\>\"", ",", 
     "\"\<def: \\\"A method for generating gas phase ions from a solution of \
an analyte by rapid heating of the sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000070\>\"", ",", 
     "\"\<name: atmospheric pressure chemical ionization\>\"", ",", 
     "\"\<def: \\\"Chemical ionization that takes place at atmospheric \
pressure as opposed to the reduced pressure is normally used for chemical \
ionization.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"APCI\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000240 ! atmospheric pressure ionization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000071\>\"", ",", 
     "\"\<name: chemical ionization\>\"", ",", 
     "\"\<def: \\\"The formation of a new ion by the reaction of a neutral \
species with an ion. The process may involve transfer of an electron, a \
proton or other charged species between the reactants. When a positive ion \
results from chemical ionization the term may be used without qualification. \
When a negative ion results the term negative ion chemical ionization should \
be used. Note that this term is not synonymous with chemi-ionization.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"CI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000072\>\"", ",", 
     "\"\<name: Electronic Ionization\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The ionization of an atom or molecule by \
electrons that are typically accelerated to energies between 50 and 150 eV. \
Usually 70 eV electrons are used to produce positive ions. The term 'electron \
impact' is not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
electron ionization (MS:1000389).\>\"", ",", 
     "\"\<synonym: \\\"EI\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000073\>\"", 
     ",", "\"\<name: electrospray ionization\>\"", ",", 
     "\"\<def: \\\"A process in which ionized species in the gas phase are \
produced from an analyte-containing solution via highly charged fine \
droplets, by means of spraying the solution from a narrow-bore needle tip at \
atmospheric pressure in the presence of a high electric field. When a \
pressurized gas is used to aid in the formation of a stable spray, the term \
pneumatically assisted electrospray ionization is used. The term ion spray is \
not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ESI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000074\>\"", ",", 
     "\"\<name: fast atom bombardment ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of any species by the interaction of a \
focused beam of neutral atoms having a translational energy of several \
thousand eV with a sample that is typically dissolved in a solvent matrix. \
See also secondary ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FAB\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000075\>\"", ",", 
     "\"\<name: matrix-assisted laser desorption ionization\>\"", ",", 
     "\"\<def: \\\"The formation of gas-phase ions from molecules that are \
present in a solid or solvent matrix that is irradiated with a pulsed laser. \
See also laser desorption/ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"MALDI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000247 ! desorption ionization\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000076\>\"", ",", 
     "\"\<name: negative ion mode\>\"", ",", 
     "\"\<def: \\\"OBSOLETE.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
negative scan (MS:1000129).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000077\>\"", ",", 
     "\"\<name: positive ion mode\>\"", ",", 
     "\"\<def: \\\"OBSOLETE.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
positive scan (MS:1000130).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000078\>\"", ",", 
     "\"\<name: axial ejection linear ion trap\>\"", ",", 
     "\"\<def: \\\"A linear ion trap mass spectrometer where ions are ejected \
along the axis of the analyzer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000291 ! linear ion trap\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000079\>\"", ",", 
     "\"\<name: fourier transform ion cyclotron resonance mass spectrometer\>\
\"", ",", 
     "\"\<def: \\\"A mass spectrometer based on the principle of ion \
cyclotron resonance in which an ion in a magnetic field moves in a circular \
orbit at a frequency characteristic of its m/z value. Ions are coherently \
excited to a larger radius orbit using a pulse of radio frequency energy and \
their image charge is detected on receiver plates as a time domain signal. \
Fourier transformation of the time domain signal results in a frequency \
domain signal which is converted to a mass spectrum based in the inverse \
relationship between frequency and m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FT_ICR\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000080\>\"", ",", 
     "\"\<name: magnetic sector\>\"", ",", 
     "\"\<def: \\\"A device that produces a magnetic field perpendicular to a \
charged particle beam that deflects the beam to an extent that is \
proportional to the particle momentum per unit charge. For a monoenergetic \
beam, the deflection is proportional to m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000081\>\"", ",", 
     "\"\<name: quadrupole\>\"", ",", 
     "\"\<def: \\\"A mass spectrometer that consists of four parallel rods \
whose centers form the corners of a square and whose opposing poles are \
connected. The voltage applied to the rods is a superposition of a static \
potential and a sinusoidal radio frequency potential. The motion of an ion in \
the x and y dimensions is described by the Matthieu equation whose solutions \
show that ions in a particular m/z range can be transmitted along the z axis.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000082\>\"", 
     ",", "\"\<name: quadrupole ion trap\>\"", ",", 
     "\"\<def: \\\"Quadrupole Ion Trap mass analyzer captures the ions in a \
three dimensional ion trap and then selectively ejects them by varying the RF \
and DC potentials.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Paul Ion trap\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"QIT\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Quistor\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000264 ! ion trap\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000083\>\"", ",", 
     "\"\<name: radial ejection linear ion trap\>\"", ",", 
     "\"\<def: \\\"A linear ion trap mass spectrometer where ions are ejected \
along the radius of the analyzer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000291 ! linear ion trap\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000084\>\"", ",", 
     "\"\<name: time-of-flight\>\"", ",", 
     "\"\<def: \\\"Instrument that separates ions by m/z in a field-free \
region after acceleration to a fixed acceleration energy.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"TOF\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000085\>\"", ",", 
     "\"\<name: baseline\>\"", ",", 
     "\"\<def: \\\"An attribute of resolution when recording the detector \
response in absence of the analyte.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000012 ! resolution measurement method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000086\>\"", ",", 
     "\"\<name: full width at half-maximum\>\"", ",", 
     "\"\<def: \\\"A measure of resolution represented as width of the peak \
at half peak height.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FWHM\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000012 ! resolution measurement method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000087\>\"", ",", 
     "\"\<name: ten percent valley\>\"", ",", 
     "\"\<def: \\\"An attribute of resolution when the ratio between adjacent \
signals is 10% of the signal height.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000012 ! resolution measurement method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000088\>\"", ",", 
     "\"\<name: constant\>\"", ",", 
     "\"\<def: \\\"OBSOLETE When resolution is constant with respect to \
m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term resolution type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000089\>\"", ",", 
     "\"\<name: proportional\>\"", ",", 
     "\"\<def: \\\"OBSOLETE When resolution is proportional with respect to \
m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term resolution type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000090\>\"", ",", 
     "\"\<name: mass scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A variation of instrument where a selected mass \
is scanned.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term Scan Function was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000091\>\"", ",", 
     "\"\<name: selected ion detection\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Please see Single Ion Monitoring.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term Scan Function was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000092\>\"", ",", 
     "\"\<name: decreasing m/z scan\>\"", ",", 
     "\"\<def: \\\"High to low direction in terms of m/z of the scan for \
scanning analyzers.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000018 ! scan direction\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000093\>\"", ",", 
     "\"\<name: increasing m/z scan\>\"", ",", 
     "\"\<def: \\\"Low to high direction in terms of m/z of the scan for \
scanning analyzers.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000018 ! scan direction\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000094\>\"", ",", 
     "\"\<name: exponential\>\"", ",", 
     "\"\<def: \\\"The mass scan is done in exponential mode.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000019 ! scan law\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000095\>\"", ",", 
     "\"\<name: linear\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The mass scan is done in linear mode.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Pato Ontology term linear (UO:0001199).\>\"", ",", 
     "\"\<is_a: MS:1000019 ! scan law\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000096\>\"", 
     ",", "\"\<name: quadratic\>\"", ",", 
     "\"\<def: \\\"The mass scan is done in quadratic mode.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000019 ! scan law\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000097\>\"", ",", 
     "\"\<name: constant neutral mass loss\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A spectrum formed of all product ions that have \
been produced with a selected m/z decrement from any precursor ions. The \
spectrum shown correlates to the precursor ion spectrum. See also neutral \
loss spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000098\>\"", ",", 
     "\"\<name: multiple ion monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Data acquired when monitoring the ion current of \
a few specific m/z values. Remap to MS:1000205 -Selected Ion Monitoring.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",",
      "\"\<id: MS:1000099\>\"", ",", 
     "\"\<name: multiple reaction monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE This term is not recommended. See Selected \
Reaction Monitoring.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was merged with \
selected reaction monitoring (MS:1000206).\>\"", ",", 
     "\"\<synonym: \\\"MRM\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000100\>\"", ",", "\"\<name: precursor ion scan\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The specific scan function or process that \
will record a precursor ion spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000101\>\"", ",", "\"\<name: product ion scan\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The specific scan function or process that \
records product ion spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000102\>\"", ",", 
     "\"\<name: single ion monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The operation of a mass spectrometer to monitor a \
single ion rather than scanning entire mass spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
single ion monitoring (MS:100205).\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000103\>\"", 
     ",", "\"\<name: single reaction monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE This term is not recommended. See Selected \
Reaction Monitoring.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
selected reaction monitoring (MS:1000206).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",",
      "\"\<id: MS:1000104\>\"", ",", "\"\<name: None ??\>\"", ",", 
     "\"\<def: \\\"OBSOLETE None.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because .\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000105\>\"", ",", "\"\<name: reflectron off\>\"", ",", 
     "\"\<def: \\\"Reflectron is off.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000021 ! reflectron state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000106\>\"", ",", 
     "\"\<name: reflectron on\>\"", ",", 
     "\"\<def: \\\"Reflectron is on.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000021 ! reflectron state\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000107\>\"", ",", 
     "\"\<name: channeltron\>\"", ",", 
     "\"\<def: \\\"A horn-shaped (or cone-shaped) continuous dynode particle \
multiplier. The ion strikes the inner surface of the device and induces the \
production of secondary electrons that in turn impinge on the inner surfaces \
to produce more secondary electrons. This avalanche effect produces an \
increase in signal in the final measured current pulse.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"Channeltron Detector\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000108\>\"", ",", 
     "\"\<name: conversion dynode electron multiplier\>\"", ",", 
     "\"\<def: \\\"A surface that is held at high potential so that ions \
striking the surface produce electrons that are subsequently detected.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000346 ! conversion dynode\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000109\>\"", ",", 
     "\"\<name: conversion dynode photomultiplier\>\"", ",", 
     "\"\<def: \\\"A detector in which ions strike a conversion dynode to \
produce electrons that in turn generate photons through a phosphorescent \
screen that are detected by a photomultiplier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ion-to-photon detector\\\" RELATED []\>\"", ",", 
     "\"\<is_a: MS:1000346 ! conversion dynode\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000110\>\"", ",", 
     "\"\<name: daly detector\>\"", ",", 
     "\"\<def: \\\"Detector consisting of a conversion dynode, scintillator \
and photomultiplier. The metal knob at high potential emits secondary \
electrons when ions impinge on the surface. The secondary electrons are \
accelerated onto the scintillator that produces light that is then detected \
by the photomultiplier detector.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Daly\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000111\>\"", ",", 
     "\"\<name: electron multiplier tube\>\"", ",", 
     "\"\<def: \\\"A device to amplify the current of a beam or packet of \
charged particles or photons by incidence upon the surface of an electrode to \
produce secondary electrons.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"EMT\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000253 ! electron multiplier\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000112\>\"", ",", 
     "\"\<name: faraday cup\>\"", ",", 
     "\"\<def: \\\"A conducting cup or chamber that intercepts a charged \
particle beam and is electrically connected to a current measuring \
device.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000026 ! detector type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000113\>\"", 
     ",", "\"\<name: focal plane array\>\"", ",", 
     "\"\<def: \\\"An array of detectors for spatially disperse ion beams in \
which all ions simultaneously impinge on the detector plane.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000348 ! focal plane collector\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000114\>\"", ",", 
     "\"\<name: microchannel plate detector\>\"", ",", 
     "\"\<def: \\\"A thin plate that contains a closely spaced array of \
channels that each act as a continuous dynode particle multiplier. A charged \
particle, fast neutral particle, or photon striking the plate causes a \
cascade of secondary electrons that ultimately exits the opposite side of the \
plate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"multichannel plate\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000345 ! array detector\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000115\>\"", ",", 
     "\"\<name: multi-collector\>\"", ",", 
     "\"\<def: \\\"A detector system commonly used in inductively coupled \
plasma mass spectrometers.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000116\>\"", ",", 
     "\"\<name: photomultiplier\>\"", ",", 
     "\"\<def: \\\"A detector for conversion of the ion/electron signal into \
photon(s) which are then amplified and detected.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"PMT\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000117\>\"", ",", 
     "\"\<name: analog-digital converter\>\"", ",", 
     "\"\<def: \\\"Analog-to-digital converter (abbreviated ADC, A/D or A to \
D) is an electronic integrated circuit (i/c) that converts continuous signals \
to discrete digital numbers.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ADC\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000027 ! detector acquisition mode\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000118\>\"", ",", 
     "\"\<name: pulse counting\>\"", ",", 
     "\"\<def: \\\"Definition to do.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000027 ! detector acquisition mode\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000119\>\"", ",", 
     "\"\<name: time-digital converter\>\"", ",", 
     "\"\<def: \\\"A device for converting a signal of sporadic pluses into a \
digital representation of their time indices.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"TDC\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000027 ! detector acquisition mode\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000120\>\"", ",", 
     "\"\<name: transient recorder\>\"", ",", 
     "\"\<def: \\\"A detector acquisition mode used for detecting transient \
signals.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000027 ! detector acquisition mode\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000121\>\"", ",", 
     "\"\<name: SCIEX instrument model\>\"", ",", 
     "\"\<def: \\\"The brand of instruments from the joint venture between \
Applied Biosystems and MDS Analytical Technologies (formerly MDS SCIEX). \
Previously branded as \\\\\\\"Applied Biosystems|MDS SCIEX\\\\\\\".\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Applied Biosystems|MDS SCIEX\\\" RELATED []\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000122\>\"", ",", 
     "\"\<name: Bruker Daltonics instrument model\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000123\>\"", ",", 
     "\"\<name: IonSpec instrument model\>\"", ",", 
     "\"\<def: \\\"IonSpec corporation instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000489 ! Varian instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000124\>\"", ",", 
     "\"\<name: Shimadzu instrument model\>\"", ",", 
     "\"\<def: \\\"Shimadzu corporation instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000125\>\"", ",", 
     "\"\<name: Thermo Finnigan instrument model\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan from Thermo Electron Corporation instrument \
model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000483 ! Thermo Fisher Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000126\>\"", 
     ",", "\"\<name: Waters instrument model\>\"", ",", 
     "\"\<def: \\\"Waters Corporation instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000127\>\"", ",", 
     "\"\<name: centroid spectrum\>\"", ",", 
     "\"\<def: \\\"Processing of profile data to produce spectra that \
contains discrete peaks of zero width. Often used to reduce the size of \
dataset.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Discrete Mass Spectrum\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000525 ! spectrum representation\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000128\>\"", ",", 
     "\"\<name: profile spectrum\>\"", ",", 
     "\"\<def: \\\"A profile mass spectrum is created when data is recorded \
with ion current (counts per second) on one axis and mass/charge ratio on \
another axis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"continuous mass spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Continuum Mass Spectrum\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000525 ! spectrum representation\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000129\>\"", ",", 
     "\"\<name: negative scan\>\"", ",", 
     "\"\<def: \\\"Polarity of the scan is negative.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: PATO:0002186 ! polarity\>\"", ",", 
     "\"\<is_a: MS:1000465 ! scan polarity\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000130\>\"", ",", 
     "\"\<name: positive scan\>\"", ",", 
     "\"\<def: \\\"Polarity of the scan is positive.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: PATO:0002186 ! polarity\>\"", ",", 
     "\"\<is_a: MS:1000465 ! scan polarity\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000131\>\"", ",", 
     "\"\<name: number of detector counts\>\"", ",", 
     "\"\<def: \\\"The number of counted events observed in one or a group of \
elements of a detector.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000043 ! intensity unit\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000132\>\"", ",", 
     "\"\<name: percent of base peak\>\"", ",", 
     "\"\<def: \\\"The magnitude of a peak or measurement element expressed \
in terms of the percentage of the magnitude of the base peak intensity.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000043 ! intensity unit\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000133\>\"", ",", 
     "\"\<name: collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"The dissociation of an ion after collisional excitation. \
The term collisional-activated dissociation is not recommended.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"CID\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"CAD\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"collisionally activated dissociation\\\" EXACT []\>\"",
      ",", "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000134\>\"", ",", 
     "\"\<name: plasma desorption\>\"", ",", 
     "\"\<def: \\\"The ionization of material in a solid sample by bombarding \
it with ionic or neutral atoms formed as a result of the fission of a \
suitable nuclide, typically 252Cf. Synonymous with fission fragment \
ionization.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"PD\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000135\>\"", ",", 
     "\"\<name: post-source decay\>\"", ",", 
     "\"\<def: \\\"A technique specific to reflectron time-of-flight mass \
spectrometers where product ions of metastable transitions or \
collision-induced dissociations generated in the drift tube prior to entering \
the reflectron are m/z separated to yield product ion spectra.\\\" [PSI:MS]\>\
\"", ",", "\"\<synonym: \\\"PSD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000136\>\"", ",", 
     "\"\<name: surface-induced dissociation\>\"", ",", 
     "\"\<def: \\\"Fragmentation that results from the collision of an ion \
with a surface.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"SID\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000137\>\"", ",", 
     "\"\<name: electron volt\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A non-SI unit of energy (eV) defined as the \
energy acquired by a particle containing one unit of charge through a \
potential difference of one volt. An electron-volt is equal to 1.602 176 \
53(14) x 10^-19 J.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Unit Ontology term electron volt (UO:0000266).\>\"", ",", 
     "\"\<synonym: \\\"eV\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000138\>\"", 
     ",", "\"\<name: normalized collision energy\>\"", ",", 
     "\"\<def: \\\"Instrument setting, expressed in percent, for adjusting \
collisional energies of ions in an effort to provide equivalent excitation of \
all ions.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000139\>\"", ",", 
     "\"\<name: 4000 QTRAP\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX Q 4000 TRAP MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000140\>\"", ",", 
     "\"\<name: 4700 Proteomics Analyzer\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX 4700 Proteomics Analyzer \
MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000495 ! Applied Biosystems instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000141\>\"", ",", 
     "\"\<name: apex IV\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' apex IV: ESI, MALDI, Nanospray, APCI, \
APPI, Qh-FT_ICR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001556 ! Bruker Daltonics apex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000142\>\"", ",", 
     "\"\<name: apex Q\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' apex Q: ESI, MALDI, Nanospray, APCI, \
APPI, Qh-FT_ICR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001556 ! Bruker Daltonics apex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000143\>\"", ",", 
     "\"\<name: API 150EX\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 150EX MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000144\>\"", ",", 
     "\"\<name: API 150EX Prep\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 150EX Prep MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000145\>\"", ",", 
     "\"\<name: API 2000\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 2000 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000146\>\"", ",", 
     "\"\<name: API 3000\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 3000 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000147\>\"", ",", 
     "\"\<name: API 4000\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 4000 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000148\>\"", ",", 
     "\"\<name: autoflex II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex II: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000149\>\"", 
     ",", "\"\<name: autoflex TOF/TOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex TOF/TOF MS: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000150\>\"", 
     ",", "\"\<name: Auto Spec Ultima NT\>\"", ",", 
     "\"\<def: \\\"Waters magnetic sector based AutoSpec Ultima NT MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000151\>\"", 
     ",", "\"\<name: BioTOF II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' BioTOF II: ESI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001535 ! Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000152\>\"", ",", 
     "\"\<name: BioTOF-Q\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' BioTOF-Q: ESI Q-TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001535 ! Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000153\>\"", ",", 
     "\"\<name: DELTA plusAdvantage\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan DELTA plusAdvantage MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000154\>\"", ",", 
     "\"\<name: DELTAplusXP\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan DELTAplusXP MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000155\>\"", ",", 
     "\"\<name: ELEMENT2\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ThermoFinnigan ELEMENT2 MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000156\>\"", ",", "\"\<name: esquire 4000\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' esquire 4000: linear ion trap, ESI, \
MALDI, Nanospray, APCI, APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001533 ! Bruker Daltonics esquire series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000157\>\"", ",", 
     "\"\<name: esquire 6000\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' esquire 6000: linear ion trap, ESI, \
MALDI, Nanospray, APCI, APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001533 ! Bruker Daltonics esquire series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000158\>\"", ",", 
     "\"\<name: explorer\>\"", ",", 
     "\"\<def: \\\"IonSpec Explorer MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000159\>\"", ",", 
     "\"\<name: GCT\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based GCT.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000160\>\"", ",", 
     "\"\<name: HCT\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCT: ESI Q-TOF, Nanospray, APCI, APPI.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000697 ! Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000161\>\"", ",", 
     "\"\<name: HCTplus\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCTplus: ESI Q-TOF, Nanospray, APCI, \
APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000697 ! Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000162\>\"", ",", 
     "\"\<name: HiRes ESI\>\"", ",", 
     "\"\<def: \\\"IonSpec HiResESI MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000163\>\"", ",", 
     "\"\<name: HiRes MALDI\>\"", ",", 
     "\"\<def: \\\"IonSpec HiResMALDI MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000164\>\"", ",", 
     "\"\<name: IsoPrime\>\"", ",", 
     "\"\<def: \\\"Waters IsoPrime MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000165\>\"", ",", 
     "\"\<name: IsoProbe\>\"", ",", 
     "\"\<def: \\\"Waters IsoProbe MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000166\>\"", ",", 
     "\"\<name: IsoProbe T\>\"", ",", 
     "\"\<def: \\\"Waters IsoProbe T MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000167\>\"", ",", 
     "\"\<name: LCQ Advantage\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan LCQ Advantage MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000168\>\"", ",", 
     "\"\<name: LCQ Classic\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan LCQ Classic MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000169\>\"", ",", 
     "\"\<name: LCQ Deca XP Plus\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan LCQ Deca XP Plus MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000170\>\"", ",", 
     "\"\<name: M@LDI L\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI L.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000171\>\"", ",", 
     "\"\<name: M@LDI LR\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI LR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000172\>\"", ",", 
     "\"\<name: MAT253\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan MAT253 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000173\>\"", ",", 
     "\"\<name: MAT900XP\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan MAT900XP MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000174\>\"", ",", 
     "\"\<name: MAT900XP Trap\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan MAT900XP Trap MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000175\>\"", ",", 
     "\"\<name: MAT95XP\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan MAT95XP MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000176\>\"", ",", 
     "\"\<name: MAT95XP Trap\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan MAT95XP Trap MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000177\>\"", ",", 
     "\"\<name: microflex\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' microflex: MALDI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000178\>\"", ",", 
     "\"\<name: microTOF LC\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' microTOF LC: ESI TOF, Nanospray, APCI, \
APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000179\>\"", ",", 
     "\"\<name: neptune\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan NEPTUNE MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000180\>\"", ",", 
     "\"\<name: NG-5400\>\"", ",", 
     "\"\<def: \\\"Waters NG-5400 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000181\>\"", ",", 
     "\"\<name: OMEGA\>\"", ",", 
     "\"\<def: \\\"IonSpec OMEGA MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000182\>\"", ",", 
     "\"\<name: OMEGA-2001\>\"", ",", 
     "\"\<def: \\\"IonSpec OMEGA-2001 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000183\>\"", ",", 
     "\"\<name: OmniFlex\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' OmniFlex: MALDI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000184\>\"", ",", 
     "\"\<name: Platform ICP\>\"", ",", 
     "\"\<def: \\\"Waters Platform ICP MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000185\>\"", ",", 
     "\"\<name: PolarisQ\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan PolarisQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000186\>\"", ",", 
     "\"\<name: proteomics solution 1\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX Proteomics Solution 1 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000187\>\"", ",", 
     "\"\<name: Q TRAP\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX Q TRAP MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000188\>\"", ",", 
     "\"\<name: Q-Tof micro\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Q-Tof micro.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000189\>\"", ",", 
     "\"\<name: Q-Tof Ultima\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Q-Tof Ultima.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000190\>\"", ",", 
     "\"\<name: QSTAR\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX QSTAR MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000191\>\"", ",", 
     "\"\<name: quattro micro\>\"", ",", 
     "\"\<def: \\\"Waters (triple) quadrupole based micro.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000192\>\"", ",", 
     "\"\<name: Quattro Ultima\>\"", ",", 
     "\"\<def: \\\"Waters (triple) quadrupole based Ultima.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000193\>\"", ",", 
     "\"\<name: Surveyor MSQ\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan Surveyor MSQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000194\>\"", ",", 
     "\"\<name: SymBiot I\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX SymBiot I MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000195\>\"", ",", 
     "\"\<name: SymBiot XVI\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX SymBiot XVI MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000196\>\"", ",", 
     "\"\<name: TEMPUS TOF\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TEMPUS TOF MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000197\>\"", ",", 
     "\"\<name: TRACE DSQ\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TRACE DSQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000198\>\"", ",", 
     "\"\<name: TRITON\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TRITON MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000199\>\"", ",", 
     "\"\<name: TSQ Quantum\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TSQ Quantum MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000200\>\"", ",", 
     "\"\<name: ultima\>\"", ",", 
     "\"\<def: \\\"IonSpec Ultima MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000123 ! IonSpec instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000201\>\"", ",", 
     "\"\<name: ultraflex\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' ultraflex: MALDI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000202\>\"", ",", 
     "\"\<name: ultraflex TOF/TOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' ultraflex TOF/TOF: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000203\>\"", 
     ",", "\"\<name: Voyager-DE PRO\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX Voyager-DE PRO MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000495 ! Applied Biosystems instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000204\>\"", ",", 
     "\"\<name: Voyager-DE STR\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX Voyager-DE STR MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000495 ! Applied Biosystems instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000205\>\"", ",", 
     "\"\<name: selected ion monitoring\>\"", ",", 
     "\"\<def: \\\"The operation of a mass spectrometer in which the \
intensities of several specific m/z values are recorded rather than the \
entire mass spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"MIM\\\" RELATED []\>\"", ",", 
     "\"\<synonym: \\\"Multiple Ion Monitoring\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"SIM\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000596 ! measurement method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000206\>\"", ",", 
     "\"\<name: selected reaction monitoring\>\"", ",", 
     "\"\<def: \\\"Data acquired from specific product ions corresponding to \
m/z selected precursor ions recorded via multiple stages of mass \
spectrometry. Selected reaction monitoring can be performed in time or in \
space.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"MRM\\\" RELATED []\>\"", 
     ",", "\"\<synonym: \\\"Multiple Reaction Monitoring\\\" RELATED []\>\"", 
     ",", "\"\<synonym: \\\"SRM\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000596 ! measurement method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000207\>\"", ",", 
     "\"\<name: accurate mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An experimentally determined mass that is can be \
to determine a unique elemental formula. For ions less than 200 u, a \
measurement with 5 ppm accuracy is sufficient to determine the elemental \
composition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000208\>\"", ",", "\"\<name: average mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The mass of an ion or molecule calculated using \
the average mass of each element weighted for its natural isotopic abundance.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000209\>\"", ",", "\"\<name: appearance energy\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The minimum energy that must be imparted to \
an atom or molecule to produce a specified ion. The term appearance potential \
is not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"AE\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000210\>\"", ",", "\"\<name: base peak\>\"", ",", 
     "\"\<def: \\\"The peak in a mass spectrum that has the greatest \
intensity. This term may be applied to the spectra of pure substances or \
mixtures.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"BP\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000231 ! peak\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000211\>\"", ",", 
     "\"\<name: OBSOLETE charge number\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The total charge on an ion divided by the \
electron charge e. OBSOLETED 2009-10-27 since this was viewed as a \
duplication of 00041 charge state.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"z\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000212\>\"", ",", 
     "\"\<name: dalton\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A non-SI unit of mass (symbol Da) that is equal \
to the unified atomic mass unit: 1.660 538 86(28) x 10^-27 kg.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Unit Ontology term dalton (UO:0000221).\>\"", ",", 
     "\"\<synonym: \\\"Da\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000213\>\"", 
     ",", "\"\<name: electron affinity\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The electron affinity of M is the minimum energy \
required for the process M- ? M + e where M- and M are in their ground \
rotational, vibrational and electronic states and the electron has zero \
kinetic energy.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"EA\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000214\>\"", ",", 
     "\"\<name: electron energy obsolete\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The potential difference through which electrons \
are accelerated before they are used to bring about electron ionization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000215\>\"", ",", "\"\<name: exact mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The calculated mass of an ion or molecule \
containing a single isotope of each atom.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000216\>\"", ",", "\"\<name: field-free region\>\"", 
     ",", "\"\<def: \\\"A section of a mass spectrometer in which there are \
no electric or magnetic fields.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FFR\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000487 ! ion optics attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000217\>\"", ",", 
     "\"\<name: ionization cross section\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A measure of the probability that a given \
ionization process will occur when an atom or molecule interacts with a \
photon, electron, atom or molecule.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000218\>\"", ",", 
     "\"\<name: ionization efficiency\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The ratio of the number of ions formed to the \
number of electrons, molecules or photons used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
ionization efficiency (MS:1000392).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000219\>\"", ",", 
     "\"\<name: ionization energy\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The minimum energy required to remove an electron \
from an atom or molecule to produce a positive ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"IE\\\" EXACT []\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000220\>\"", ",", 
     "\"\<name: isotope dilution mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A quantitative mass spectrometry technique in \
which an isotopically enriched compound is used as an internal standard.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometry \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"IDMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000221\>\"", ",", "\"\<name: magnetic deflection\>\"", 
     ",", "\"\<def: \\\"The deflection of charged particles in a magnetic \
field due to a force equal to qvxB where q is the particle charge, v its \
velocity and B the magnetic field. Magnetic deflection of an ion beam is used \
for m/z separation in a magnetic sector mass spectrometer.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000222\>\"", ",", 
     "\"\<name: mass defect\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The difference between the monoisotopic and \
nominal mass of a molecule or atom.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000223\>\"", ",", "\"\<name: mass number\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The sum of the protons and neutrons in an atom, \
molecule or ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000224\>\"", ",", 
     "\"\<name: molecular mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The mass of one mole of a molecular substance \
(6.022 1415(10) x 10^23 molecules).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000225\>\"", ",", "\"\<name: monoisotopic mass\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The mass of an ion or molecule calculated \
using the mass of the most abundant isotope of each element.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000226\>\"", ",", 
     "\"\<name: molecular beam mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometry technique in which the sample \
is introduced into the mass spectrometer as a molecular beam.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"MBMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000227\>\"", ",", 
     "\"\<name: multiphoton ionization\>\"", ",", 
     "\"\<def: \\\"Photoionization of an atom or molecule in which in two or \
more photons are absorbed.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"MPI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000228\>\"", ",", 
     "\"\<name: nitrogen rule\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An organic molecule containing the elements C, H, \
O, S, P, or halogen has an odd nominal mass if it contains an odd number of \
nitrogen atoms.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000229\>\"", ",", 
     "\"\<name: nominal mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The mass of an ion or molecule calculated using \
the mass of the most abundant isotope of each element rounded to the nearest \
integer value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion attribute was \
made obsolete.\>\"", ",", 
     "\"\<relationship: has_units UO:0000002 ! mass unit\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000230\>\"", ",", "\"\<name: odd-electron rule\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Odd-electron ions may dissociate to form \
either odd or even-electron ions, whereas even-electron ions generally form \
even-electron fragment ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000231\>\"", ",", 
     "\"\<name: peak\>\"", ",", 
     "\"\<def: \\\"A localized region of relatively large ion signal in a \
mass spectrum. Although peaks are often associated with particular ions, the \
terms peak and ion should not be used interchangeably.\\\" [PSI:MS]\>\"", 
     ",", "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000232\>\"", ",", 
     "\"\<name: peak intensity\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The height or area of a peak in a mass \
spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
base peak intensity (MS:1000505).\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000233\>\"", 
     ",", "\"\<name: proton affinity\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The proton affinity of a species M is defined as \
the negative of the enthalpy change for the reaction M + H+ ->[M+H]+, where \
all species are in their ground rotational, vibrational and electronic \
states.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"PA\\\" EXACT [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term ion attribute \
was made obsolete.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000234\>\"", ",", 
     "\"\<name: mass resolving power\>\"", ",", 
     "\"\<def: \\\"OBSOLETE In a mass spectrum, the observed mass divided by \
the difference between two masses that can be separated. The method by which \
delta m was obtained and the mass at which the measurement was made should be \
reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
mass resolving power (MS:1000800).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000235\>\"", ",", 
     "\"\<name: total ion current chromatogram\>\"", ",", 
     "\"\<def: \\\"Chromatogram obtained by plotting the total ion current \
detected in each of a series of mass spectra recorded as a function of \
retention time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"TIC chromatogram\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000236\>\"", ",", 
     "\"\<name: transmission\>\"", ",", 
     "\"\<def: \\\"The ratio of the number of ions leaving a region of a mass \
spectrometer to the number entering that region.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000496 ! instrument attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000237\>\"", 
     ",", "\"\<name: unified atomic mass unit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A non-SI unit of mass (u) defined as one twelfth \
of ^12 C in its ground state and equal to 1.660 538 86(28) x 10^-27 kg.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
Unit Ontology dalton (UO:0000221).\>\"", ",", 
     "\"\<synonym: \\\"u\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000238\>\"", 
     ",", "\"\<name: accelerator mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometry technique in which atoms \
extracted from a sample are ionized, accelerated to MeV energies and \
separated according to their momentum, charge and energy.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term mass \
spectrometer was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"AMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000239\>\"", ",", 
     "\"\<name: atmospheric pressure matrix-assisted laser desorption \
ionization\>\"", ",", 
     "\"\<def: \\\"Matrix-assisted laser desorption ionization in which the \
sample target is at atmospheric pressure and the ions formed by the pulsed \
laser are sampled through a small aperture into the mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"AP MALDI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000240 ! atmospheric pressure ionization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000240\>\"", ",", 
     "\"\<name: atmospheric pressure ionization\>\"", ",", 
     "\"\<def: \\\"Any ionization process in which ions are formed in the gas \
phase at atmospheric pressure.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"API\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000241\>\"", ",", 
     "\"\<name: Atmostpheric Pressure Photoionization\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Atmospheric pressure chemical ionization in which \
the reactant ions are generated by photo-ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
atmospheric pressure photoionization (MS:1000382).\>\"", ",", 
     "\"\<synonym: \\\"APPI\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000242\>\"", ",", 
     "\"\<name: blackbody infrared radiative dissociation\>\"", ",", 
     "\"\<def: \\\"A special case of infrared multiphoton dissociation \
wherein excitation of the reactant ion is caused by absorption of infrared \
photons radiating from heated blackbody surroundings, which are usually the \
walls of a vacuum chamber. See also infrared multiphoton dissociation.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"BIRD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000243\>\"", ",", 
     "\"\<name: charge-remote fragmentation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A fragmentation of an even-electron ion in which \
the cleaved bond is not adjacent to the apparent charge site.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"CRF\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000244\>\"", ",", 
     "\"\<name: consecutive reaction monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE MSn experiment with three or more stages of m/z \
separation and in which a particular multi-step reaction path is monitored.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"CRM\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000245\>\"", ",", "\"\<name: charge stripping\>\"", 
     ",", "\"\<def: \\\"The reaction of a positive ion with an atom or \
molecule that results in the removal of one or more electrons from the ion.\\\
\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"CS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000246\>\"", ",", 
     "\"\<name: delayed extraction\>\"", ",", 
     "\"\<def: \\\"The application of the accelerating voltage pulse after a \
time delay in desorption ionization from a surface. The extraction delay can \
produce energy focusing in a time-of-flight mass spectrometer.\\\" [PSI:MS]\>\
\"", ",", "\"\<synonym: \\\"DE\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000247\>\"", ",", 
     "\"\<name: desorption ionization\>\"", ",", 
     "\"\<def: \\\"The formation of ions from a solid or liquid material \
after the rapid vaporization of that sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"DI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000248\>\"", ",", 
     "\"\<name: direct insertion probe\>\"", ",", 
     "\"\<def: \\\"A device for introducing a solid or liquid sample into a \
mass spectrometer ion source for desorption ionization.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"DIP\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000249\>\"", ",", 
     "\"\<name: direct liquid introduction\>\"", ",", 
     "\"\<def: \\\"The delivery of a liquid sample into a mass spectrometer \
for spray or desorption ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"DLI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000250\>\"", ",", 
     "\"\<name: electron capture dissociation\>\"", ",", 
     "\"\<def: \\\"A process in which a multiply protonated molecules \
interacts with a low energy electrons. Capture of the electron leads the \
liberation of energy and a reduction in charge state of the ion with the \
production of the (M + nH) (n-1)+ odd electron ion, which readily \
fragments.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"ECD\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000251\>\"", ",", 
     "\"\<name: even-electron ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion containing no unpaired electrons in its \
ground electronic state, e.g. CH3+ in its ground state.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term ion chemical \
type was made obsolete.\>\"", ",", "\"\<synonym: \\\"EE\\\" EXACT []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000252\>\"", ",", 
     "\"\<name: electron-induced excitation in organics\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with an electron in which \
the translational energy of the collision is converted into internal energy \
of the ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"EIEIO\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000253\>\"", ",", "\"\<name: electron multiplier\>\"", 
     ",", "\"\<def: \\\"A device to amplify the current of a beam or packet \
of charged particles or photons by incidence upon the surface of an electrode \
to produce secondary electrons. The secondary electrons are then accelerated \
to other electrodes or parts of a continuous electrode to produce further \
secondary electrons.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"EM\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000254\>\"", ",", 
     "\"\<name: electrostatic energy analyzer\>\"", ",", 
     "\"\<def: \\\"A device consisting of conducting parallel plates, \
concentric cylinders or concentric spheres that separates charged particles \
according to their kinetic energy by means of an electric field that is \
constant in time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ESA\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000255\>\"", ",", 
     "\"\<name: flowing afterglow\>\"", ",", 
     "\"\<def: \\\"An ion source immersed in a flow of helium or other inert \
buffer gas that carries the ions through a meter-long reactor at pressures \
around 100 Pa.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"FA\\\" EXACT []\>\"",
      ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000256\>\"", ",", 
     "\"\<name: high-field asymmetric waveform ion mobility spectrometry\>\"",
      ",", "\"\<def: \\\"OBSOLETE The separation of ions between two \
concentric cylindrical electrodes due to application of a high voltage \
asymmetric waveform whereby ions migrate towards one of the two electrodes \
depending on the ratio of the high- to low-field mobility of the ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"FAIMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000257\>\"", ",", "\"\<name: field desorption\>\"", 
     ",", 
     "\"\<def: \\\"The formation of gas-phase ions from a material deposited \
on a solid surface in the presence of a high electric field. Because this \
process may encompass ionization by field ionization or other mechanisms, it \
is not recommended as a synonym for field desorption ionization.\\\" [PSI:MS]\
\>\"", ",", "\"\<synonym: \\\"FD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000247 ! desorption ionization\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000258\>\"", ",", 
     "\"\<name: field ionization\>\"", ",", 
     "\"\<def: \\\"The removal of electrons from any species by interaction \
with a high electric field.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000259\>\"", ",", 
     "\"\<name: glow discharge ionization\>\"", ",", 
     "\"\<def: \\\"The formation of ions in the gas phase and from solid \
samples at the cathode by application of a voltage to a low pressure gas.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"GD-MS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000260\>\"", ",", 
     "\"\<name: ion kinetic energy spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A method of analysis in which a beam of ions is \
separated according to the ratio of its translational energy to charge.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"IKES\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000261\>\"", ",", 
     "\"\<name: ion mobility spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The separation of ions according to their \
velocity through a buffer gas under the influence of an electric field.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"IMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000262\>\"", ",", 
     "\"\<name: infrared multiphoton dissociation\>\"", ",", 
     "\"\<def: \\\"Multiphoton ionization where the reactant ion dissociates \
as a result of the absorption of multiple infrared photons.\\\" [PSI:MS]\>\"",
      ",", "\"\<synonym: \\\"IRMPD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000263\>\"", ",", 
     "\"\<name: isotope ratio mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The measurement of the relative quantity of the \
different isotopes of an element in a material with a mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometry \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"IRMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000264\>\"", ",", "\"\<name: ion trap\>\"", ",", 
     "\"\<def: \\\"A device for spatially confining ions using electric and \
magnetic fields alone or in combination.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"IT\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000265\>\"", ",", 
     "\"\<name: kinetic energy release distribution\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Distribution of values of translational kinetic \
energy release for an ensemble of metastable ions undergoing a specific \
dissociation reaction.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"KERD\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000266\>\"", ",", "\"\<name: Laser Desorption\>\"", 
     ",", "\"\<alt_id: MS:1000393\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The formation of ions through the interaction of \
a laser with a material or with gas-phase ions or molecules.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
laser desorption ionization (MS:1000393).\>\"", ",", 
     "\"\<synonym: \\\"Laser Ionization MERGE\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"LD\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000267\>\"", 
     ",", "\"\<name: mass analyzed ion kinetic energy spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Spectra that are obtained from a sector mass \
spectrometer that incorporates at least one magnetic sector plus one electric \
sector in reverse geometry. The accelerating voltage, V, and the magnetic \
sector field, B, are set at fixed values to select the precursor ions, which \
are then allowed to dissociate or to react in a field free region between the \
two sectors. The kinetic energy product ions of m/z selected precursor ions \
is analyzed by scanning the electric sector field, E. The width of the \
product ion spectrum peaks is related to the kinetic energy release \
distribution (KERD) for the dissociation process.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"MIKES\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000268\>\"", ",", "\"\<name: mass spectrometry\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The branch of science that deals with all \
aspects of mass spectrometers and the results obtained with these \
instruments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"MS\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000269\>\"", 
     ",", "\"\<name: mass spectrometry/mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The acquisition, study and spectra of the \
electrically charged products or precursors of a m/z selected ion or \
ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"MS/MS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000270\>\"", ",", 
     "\"\<name: multiple stage mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Multiple stages of precursor ion m/z selection \
followed by product ion detection for successive progeny ions.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<synonym: \\\"MSn\\\" EXACT []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000271\>\"", ",", 
     "\"\<name: Negative Ion chemical ionization\>\"", ",", 
     "\"\<def: \\\"Chemical ionization that results in the formation of \
negative ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"NICI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000272\>\"", ",", 
     "\"\<name: neutralization reionization mass spectrometry\>\"", ",", 
     "\"\<def: \\\"With this technique, m/z selected ions form neutrals by \
charge transfer to a collision gas or by dissociation. The neutrals are \
separated from the remaining ions and ionized in collisions with a second \
gas. This method is used to investigate reaction intermediates and other \
unstable species.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"NRMS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000273\>\"", ",", 
     "\"\<name: photoionization\>\"", ",", 
     "\"\<def: \\\"The ionization of an atom or molecule by a photon, written \
M + h? ? M^+ + e. The term photon impact is not recommended.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"PI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000274\>\"", ",", 
     "\"\<name: pyrolysis mass spectrometry\>\"", ",", 
     "\"\<def: \\\"A mass spectrometry technique in which the sample is \
heated to the point of decomposition and the gaseous decomposition products \
are introduced into the ion source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"PyMS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000275\>\"", ",", 
     "\"\<name: collision quadrupole\>\"", ",", 
     "\"\<def: \\\"A transmission quadrupole to which an oscillating \
potential is applied so as to focus a beam of ions through a collision gas \
with no m/z separation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"q\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000276\>\"", ",", 
     "\"\<name: resonance enhanced multiphoton ionization\>\"", ",", 
     "\"\<def: \\\"Multiphoton ionization in which the ionization cross \
section is significantly enhanced because the energy of the incident photons \
is resonant with an intermediate excited state of the neutral species.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"REMPI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000277\>\"", ",", 
     "\"\<name: residual gas analyzer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer used to measure the \
composition and pressure of gasses in an evacuated chamber.\\\" [PSI:MS]\>\"",
      ",", "\"\<comment: This child of the former purgatory term mass \
spectrometer was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"RGA\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000278\>\"", ",", 
     "\"\<name: surface enhanced laser desorption ionization\>\"", ",", 
     "\"\<def: \\\"The formation of ionized species in the gas phase from \
analytes deposited on a particular surface substrate which is irradiated with \
a laser beam of which wavelength is absorbed by the surface. See also \
desorption/ionization on silicon and laser desorption/ionization.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"SELDI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000406 ! surface ionization\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000279\>\"", ",", 
     "\"\<name: surface enhanced neat desorption\>\"", ",", 
     "\"\<def: \\\"Matrix-assisted laser desorption ionization in which the \
matrix is covalently linked to the target surface.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"SEND\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000406 ! surface ionization\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000280\>\"", ",", 
     "\"\<name: suface ionization\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The ionization of a neutral species when it \
interacts with a solid surface with an appropriate work function and \
temperature.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
surface ionization (MS:1000406).\>\"", ",", 
     "\"\<synonym: \\\"SI\\\" EXACT []\>\"", ",", "\"\<is_obsolete: true\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000281\>\"", 
     ",", "\"\<name: selected ion flow tube\>\"", ",", 
     "\"\<def: \\\"A device in which m/z selected ions are entrained in an \
inert carrier gas and undergo ion-molecule reactions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"SIFT\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000282\>\"", ",", 
     "\"\<name: sustained off-resonance irradiation\>\"", ",", 
     "\"\<def: \\\"A technique associated with Fourier transform ion \
cyclotron resonance (FT-ICR) mass spectrometry to carry out ion/neutral \
reactions such as low-energy collision-induced dissociation. A \
radio-frequency electric field of slightly off-resonance to the cyclotron \
frequency of the reactant ion cyclically accelerates and decelerates the \
reactant ion that is confined in the Penning ion trap. The ion's orbit does \
not exceed the dimensions of ion trap while the ion undergoes an ion/neutral \
species process that produces a high average translational energy for an \
extended time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"SORI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000283\>\"", ",", 
     "\"\<name: Spark Source Mass Spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Mass spectrometry using spark ionization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
spark ionization (MS:1000404).\>\"", ",", 
     "\"\<synonym: \\\"SSMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000284\>\"", ",", 
     "\"\<name: stored waveform inverse fourier transform\>\"", ",", 
     "\"\<def: \\\"A technique to create excitation waveforms for ions in \
FT-ICR mass spectrometer or Paul ion trap. An excitation waveform in the \
time-domain is generated by taking the inverse Fourier transform of an \
appropriate frequency-domain programmed excitation spectrum, in which the \
resonance frequencies of ions to be excited are included. This technique may \
be used for selection of precursor ions in MS2 experiments.\\\" [PSI:MS]\>\"",
      ",", "\"\<synonym: \\\"SWIFT\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000285\>\"", ",", 
     "\"\<name: total ion current\>\"", ",", 
     "\"\<def: \\\"The sum of all the separate ion currents carried by the \
ions of different m/z contributing to a complete mass spectrum or in a \
specified m/z range of a mass spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"TIC\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000286\>\"", ",", 
     "\"\<name: time lag focusing\>\"", ",", 
     "\"\<def: \\\"Energy focusing in a time-of-flight mass spectrometer that \
is accomplished by introducing a time delay between the formation of the ions \
and the application of the accelerating voltage pulse.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"TLF\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000287\>\"", ",", 
     "\"\<name: time-of-flight mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An instrument that separates ions by m/z in a \
field-free region after acceleration to a fixed kinetic energy.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<synonym: \\\"TOF-MS\\\" EXACT []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000288\>\"", ",", "\"\<name: cyclotron\>\"", ",", 
     "\"\<def: \\\"A device that uses an oscillating electric field and \
magnetic field to accelerate charged particles.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000289\>\"", ",", 
     "\"\<name: double-focusing mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer that uses a magnetic sector \
for m/z focusing and an electric sector for energy focusing of an ion beam.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000290\>\"", ",", 
     "\"\<name: hybrid mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer that combines m/z analyzers \
of different types to perform tandem mass spectrometry.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term mass \
spectrometer was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000291\>\"", ",", 
     "\"\<name: linear ion trap\>\"", ",", 
     "\"\<def: \\\"A two dimensional Paul ion trap in which ions are confined \
in the axial dimension by means of an electric field at the ends of the trap.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000264 ! ion trap\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000292\>\"", ",", 
     "\"\<name: mass spectrograph obsolete\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An instrument that separates a beam of ions \
according to their mass-to-charge ratio in which the ions are directed onto a \
focal plane detector such as a photographic plate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000293\>\"", ",", "\"\<name: mass spectrometer\>\"", 
     ",", "\"\<def: \\\"OBSOLETE An instrument that measures the \
mass-to-charge ratio and relative abundances of ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000294\>\"", ",", "\"\<name: mass spectrum\>\"", ",", 
     "\"\<def: \\\"A plot of the relative abundance of a beam or other \
collection of ions as a function of the mass-to-charge ratio (m/z).\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000295\>\"", ",", 
     "\"\<name: mattauch-herzog geometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An arrangement for a double-focusing mass \
spectrometer in which a deflection of ?/(4 ?(2)) radians in a radial electric \
field is followed by a magnetic deflection of ?/2 radians.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000296\>\"", ",", 
     "\"\<name: nier-johnson geometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An arrangement for a double-focusing mass \
spectrometer in which a deflection of ?/2 radians in a radial electric field \
analyzer is followed by a magnetic deflection of ?/3 radians.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000297\>\"", ",", "\"\<name: paul ion trap\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A device that permits the trapping of ions by \
means of an alternating current voltage. The ejection of ions with a m/z less \
than a prescribed value and retention of those with higher mass depends on \
the application of radio frequency voltages between a ring electrode and two \
end-cap electrodes to confine the ions in a circular path. The choice of \
these voltages determines the m/z below which ions are ejected.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it is redundant to \
quadrupole ion trap.\>\"", ",", 
     "\"\<synonym: \\\"quadrupole ion trap\\\" RELATED []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000298\>\"", ",", 
     "\"\<name: prolate traochoidal mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer in which the ions of \
different m/z are separated by means of crossed electric and magnetic fields \
in such a way that the selected ions follow a prolate trochoidal path.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000299\>\"", ",", 
     "\"\<name: quistor\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An abbreviation of quadrupole ion storage trap. \
This term is synonymous with Paul Ion Trap. If so then add a synonym to paul \
and obsolete this term.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000300\>\"", ",", "\"\<name: reflectron\>\"", ",", 
     "\"\<def: \\\"A time-of-flight mass spectrometer that uses a static \
electric field to reverse the direction of travel of the ions entering it. A \
reflectron improves mass resolution by assuring that ions of the same m/z but \
different kinetic energy arrive at the detector at the same time.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000301\>\"", ",", 
     "\"\<name: sector mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer consisting of one or more \
magnetic sectors for m/z selection in a beam of ions. Such instruments may \
also have one or more electric sectors for energy selection.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000302\>\"", ",", 
     "\"\<name: tandem mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer designed for mass \
spectrometry/mass spectrometry.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000303\>\"", ",", 
     "\"\<name: transmission quadrupole mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer that consists of four \
parallel rods whose centers form the corners of a square and whose opposing \
poles are connected. The voltage applied to the rods is a superposition of a \
static potential and a sinusoidal radio frequency potential. The motion of an \
ion in the x and y dimensions is described by the Matthieu equation whose \
solutions show that ions in a particular m/z range can be transmitted along \
the z axis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000304\>\"", ",", 
     "\"\<name: accelerating voltage\>\"", ",", 
     "\"\<def: \\\"The electrical potential used to impart kinetic energy to \
ions in a mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000487 ! ion optics attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000305\>\"", ",", 
     "\"\<name: cyclotron motion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The circular motion of a charged particle moving \
at velocity v in a magnetic field B that results from the force qvB.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000306\>\"", ",", 
     "\"\<name: dynamic mass spectrometry\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrometer in which m/z separation using \
one or more electric fields that vary with time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term mass spectrometer \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000307\>\"", ",", 
     "\"\<name: einzel lens\>\"", ",", 
     "\"\<def: \\\"Three element charged particle lens in which the first and \
third elements are held at the same voltage. Such a lens produces focusing \
without changing the translational energy of the particle.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000308\>\"", ",", 
     "\"\<name: electric field strength\>\"", ",", 
     "\"\<def: \\\"The magnitude of the force per unit charge at a given \
point in space.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000487 ! ion optics attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000268 ! volt per meter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000309\>\"", ",", 
     "\"\<name: first stability region\>\"", ",", 
     "\"\<def: \\\"The region of a Mathieu stability diagram closest to the \
origin. Ions within this region can traverse the full length of a \
transmission quadrupole.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000310\>\"", ",", 
     "\"\<name: fringing field\>\"", ",", 
     "\"\<def: \\\"The electric or magnetic field that extends from the edge \
of a sector, lens or other ion optics element.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000311\>\"", ",", 
     "\"\<name: kinetic energy analyzer\>\"", ",", 
     "\"\<def: \\\"A device for measuring the kinetic energy of charged \
particles using a retarding field, time-of-flight, or the extent of \
deflection in an electric or magnetic field.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000597 ! ion optics type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000312\>\"", ",", 
     "\"\<name: mass limit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The m/z value above which ions cannot be detected \
in a mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000313\>\"", ",", "\"\<name: scan m/z range?\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The limit of m/z over which a mass \
spectrometer can detect ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000314\>\"", ",", 
     "\"\<name: mass selective axial ejection\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The use of mass selective instability to eject \
ions of selected m/z values from an ion trap.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000315\>\"", ",", 
     "\"\<name: mass selective instability\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A method for selective ejection of ions according \
to their m/z value in an ion trap.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000316\>\"", ",", 
     "\"\<name: mathieu stability diagram\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A graphical representation expressed in terms of \
reduced coordinates that describes charged particle motion in a quadrupole \
mass filter or quadrupole ion trap mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000317\>\"", ",", 
     "\"\<name: orthogonal extraction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The pulsed acceleration of ions perpendicular to \
their direction of travel into a time-of-flight mass spectrometer. Ions may \
be extracted from a directional ion source, drift tube or m/z separation \
stage.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000318\>\"", ",", 
     "\"\<name: resonance ion ejection\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mode of ion ejection in a quadrupole ion trap \
that relies on a auxiliary radio frequency voltage that is applied to the \
end-cap electrodes. The voltage is tuned to the secular frequency of a \
particular ion to eject it.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000319\>\"", ",", 
     "\"\<name: space charge effect\>\"", ",", 
     "\"\<def: \\\"The mutual repulsion of particles of like charge that \
limits the current in a charged-particle beam and causes beams or packets of \
charged particles to expand radially over time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000487 ! ion optics attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000320\>\"", ",", 
     "\"\<name: static field\>\"", ",", 
     "\"\<def: \\\"An electric or magnetic field that does not change in \
time.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000597 ! ion optics type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000321\>\"", 
     ",", "\"\<name: 2E Mass Spectrum\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A mass spectrum obtained by setting the electric \
sector field E to twice the value required to transmit the main ion-beam \
thereby allowing ions with a kinetic energy-to-charge ratio twice that of the \
main ion-beam to be transmitted. Product ions resulting from partial charge \
transfer reactions such as m^2+ + N ? m^+ + N^+ that occur in a collision \
cell (containing a gas, N) located in a field-free region preceding a \
magnetic and electric sector combination are detected. When the magnetic \
sector field B is scanned, a mass spectrum of singly charged product ions of \
doubly charged precursor ions is obtained.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000322\>\"", ",", 
     "\"\<name: charge inversion mass spectrum\>\"", ",", 
     "\"\<def: \\\"The measurement of the relative abundance of ions that \
result from a charge inversion reaction as a function of m/z.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000323\>\"", ",", 
     "\"\<name: constant neutral loss scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Spectrum of all precursor ions that undergo a \
selected m/z decrement.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"constant neutral mass loss scan\\\" RELATED []\>\"", 
     ",", "\"\<synonym: \\\"fixed neutral fragment scan\\\" RELATED []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000324\>\"", ",", 
     "\"\<name: constant neutral gain scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Spectrum of all precursor ions that undergo a \
selected m/z increment.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"Constant Neutral Mass Gain Scan\\\" EXACT []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000325\>\"", ",", 
     "\"\<name: constant neutral gain spectrum\>\"", ",", 
     "\"\<def: \\\"A spectrum formed of all product ions that have been \
produced by gain of a pre-selected neutral mass following the reaction with \
and addition of the gas in a collision cell.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"constant neutral mass gain spectrum\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000326\>\"", ",", 
     "\"\<name: constant neutral loss spectrum\>\"", ",", 
     "\"\<def: \\\"A spectrum formed of all product ions that have been \
produced with a selected m/z decrement from any precursor ions. The spectrum \
shown correlates to the precursor ion spectrum. See also neutral loss \
spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"constant neutral mass loss spectrum\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000327\>\"", ",", 
     "\"\<name: consecutive reaction monitoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A type of MS2 experiments with three or more \
stages of m/z separation and in which a particular multi-step reaction path \
is monitored.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
consecutive reaction monitoring (MS:1000244).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000328\>\"", ",", "\"\<name: e/2 mass spectrum\>\"", 
     ",", "\"\<def: \\\"A mass spectrum obtained using a sector mass \
spectrometer in which the electric sector field E is set to half the value \
required to transmit the main ion-beam. This spectrum records the signal from \
doubly charged product ions of charge-stripping reactions.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000329\>\"", ",", 
     "\"\<name: linked scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A scan in an instrument with two or more m/z \
analysers or in a sector mass spectrometer that incorporates at least one \
magnetic sector and one electric sector. Two or more of the analyzers are \
scanned simultaneously so as to preserve a predetermined relationship between \
scan parameters to produce a product ion, precursor ion or constant neutral \
loss spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000330\>\"", ",", 
     "\"\<name: linked scan at constant b/e\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A linked scan at constant B/E may be performed on \
a sector mass spectrometer that incorporates at least one magnetic sector \
plus one electric sector. The magnetic field B and the electric field E are \
scanned simultaneously while the accelerating voltage V is held constant, so \
as to maintain the ratio of the two fields constant. This linked scan may \
record a product ion spectrum of dissociation or other reactions occurring in \
a field free region preceding the two sectors.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term linked scan was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000331\>\"", ",", 
     "\"\<name: Linked Scan at Constant E2/V\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A linked scan performed on a sector instrument \
that incorporates at least one electric sector plus one magnetic sector. The \
electric sector field, E, and the accelerating voltage, V, are scanned \
simultaneously, so as to maintain the ratio E2/V at a constant value. This \
linked scan recordss a product ion spectrum of dissociation or other \
reactions occurring in a field free region (FFR) preceding the two sectors.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term linked scan was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000332\>\"", ",", 
     "\"\<name: Linked Scan at Constant B2/E\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A linked scan performed on a sector mass \
spectrometer that incorporates at least one electric sector plus one magnetic \
sector in either order. The accelerating voltage is fixed and the magnetic \
field, B, and the electric field, E, are scanned simultaneously so as to \
maintain the ratio B2/E at a constant value. This linked scan records a \
precursor ion spectrum of dissociation or other reactions occurring in the \
field free region preceding the two sectors. The term B2/E linked scan is not \
recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term linked scan was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000333\>\"", ",", 
     "\"\<name: Linked Scan at Constant B[1-(E/E0)]^1/2 / E\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A linked scan performed on a sector instrument \
that incorporates at least one electric sector plus one magnetic sector \
placed in either order. The accelerating voltage is fixed while scanning the \
magnetic field, B, and electric field, E, simultaneously, so as to maintain \
the quantity B[1-(E/E0)]1/2/E at a constant value. This linked scan records a \
constant neutral mass loss (or gain) spectrum of dissociation or other \
reactions occurring in a field free region preceding the two sectors. E0 is \
the electric field required to transmit the singly charged analog of the \
desired neutral fragment. The term B[1-(E/E0)]1/2/E linked scan.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<comment: This child of the former purgatory term linked scan was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000334\>\"", ",", 
     "\"\<name: MS/MS in Time\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A tandem mass spectrometry method in which \
product ion spectra are recorded in a single m/z analyzer (such as a Paul Ion \
Trap or FTMS) in discreet steps over time. Ions in a specific m/z range are \
selected, dissociated, and the product ions analyzed sequentially in \
time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000335\>\"", ",", 
     "\"\<name: MS/MS in Space\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A tandem mass spectrometry method in which \
product ion spectra are recorded in m/z analyzers separated in space. \
Specific m/z separation functions are designed such that in one section of \
the instrument ions are selected, dissociated in an intermediate region, and \
the product ions are then transmitted to another analyser for m/z separation \
and data acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term m/z Separation \
Method was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000336\>\"", ",", 
     "\"\<name: neutral loss\>\"", ",", 
     "\"\<def: \\\"The loss of an uncharged species during a rearrangement \
process. The value slot holds the molecular formula in Hill notation of the \
neutral loss molecule, see PMID: 21182243. This term must be used in \
conjunction with a child of the term MS:1002307 (fragmentation ion type).\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001055 ! modification parameters\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000337\>\"", 
     ",", "\"\<name: nth generation product ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Serial product ions from dissociation of selected \
precursor ions where n refers to the number of stages of dissociation. The \
term granddaughter ion is deprecated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term product ion was \
made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"granddaughter ion\\\" RELATED []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000338\>\"", ",", 
     "\"\<name: nth generation product ion scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The specific scan functions or processes that \
record the appropriate generation of product ion or ions of any m/z selected \
precursor ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000339\>\"", ",", 
     "\"\<name: nth generation product ion spectrum\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The mass spectrum recorded from any mass \
spectrometer in which the appropriate scan function can be set to record the \
appropriate generation product ion or ions of m/z selected precursor \
ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was merged with MSn \
spectrum (MS:1000580).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000340\>\"", ",", 
     "\"\<name: precursor ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion that reacts to form particular product \
ions. The reaction can be unimolecular dissociation, ion/molecule reaction, \
isomerization, or change in charge state. The term parent ion is \
deprecated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion role was made \
obsolete.\>\"", ",", "\"\<synonym: \\\"parent ion\\\" RELATED []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000341\>\"", ",", 
     "\"\<name: precursor ion spectrum\>\"", ",", 
     "\"\<def: \\\"Spectrum generated by scanning precursor m/z while \
monitoring a fixed product m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000342\>\"", ",", 
     "\"\<name: product ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed as the product of a reaction \
involving a particular precursor ion. The reaction can be unimolecular \
dissociation to form fragment ions, an ion/molecule reaction, or simply \
involve a change in the number of charges. The term fragment ion is \
deprecated. The term daughter ion is deprecated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion role was made \
obsolete.\>\"", ",", "\"\<synonym: \\\"daughter ion\\\" RELATED []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000343\>\"", ",", "\"\<name: product ion spectrum\>\"",
      ",", "\"\<def: \\\"OBSOLETE A mass spectrum recorded from any \
spectrometer in which the appropriate m/z separation scan function is set to \
record the product ion or ions of selected precursor ions.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it was merged \
with MSn spectrum (MS:1000580).\>\"", ",", 
     "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000344\>\"", ",", "\"\<name: progeny ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A charged product of a series of consecutive \
reactions that includes product ions, 1st generation product ions, 2nd \
generation product ions, etc. Given the sequential fragmentation scheme: M1+ \
-> M2+ -> M3+ -> M4+ -> M5+. M4+ is the precursor ion of M5+, a 1st \
generation product ion of M3+, a 2nd generation product ion of M2+ and a 3rd \
generation product ion of M1+.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"Progeny Fragment Ion\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000345\>\"", ",", "\"\<name: array detector\>\"", ",", 
     "\"\<def: \\\"Detector comprising several ion collection elements, \
arranged in a line or grid where each element is an individual detector.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000026 ! detector type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000346\>\"", ",", 
     "\"\<name: conversion dynode\>\"", ",", 
     "\"\<def: \\\"A surface that is held at high potential such that ions \
striking the surface produce electrons that are subsequently detected.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000026 ! detector type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000347\>\"", ",", 
     "\"\<name: dynode\>\"", ",", 
     "\"\<def: \\\"One of a series of electrodes in a photomultiplier tube. \
Such an arrangement is able to amplify the current emitted by the \
photocathode.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000348\>\"", ",", 
     "\"\<name: focal plane collector\>\"", ",", 
     "\"\<def: \\\"A detector for spatially disperse ion beams in which all \
ions simultaneously impinge on the detector plane.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000349\>\"", ",", 
     "\"\<name: ion-to-photon detector\>\"", ",", 
     "\"\<def: \\\"A detector in which ions strike a conversion dynode to \
produce electrons that in turn strike a phosphor and the resulting photons \
are detected by a photomultiplier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000350\>\"", ",", 
     "\"\<name: point collector\>\"", ",", 
     "\"\<def: \\\"A detector in which the ion beam is focused onto a point \
and the individual ions arrive sequentially.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000351\>\"", ",", 
     "\"\<name: postacceleration detector\>\"", ",", 
     "\"\<def: \\\"A detector in which the charged particles are accelerated \
to a high velocity and impinge on a conversion dynode, emitting secondary \
electrons. The electrons are accelerated onto a phosphor screen, which emits \
photons that are in turn detected using a photomultiplier or other photon \
detector.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000026 ! detector type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000352\>\"", 
     ",", "\"\<name: secondary electron\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Electrons that are ejected from a sample surface \
as a result of bombardment by a primary beam of atoms, ions or photons. WAS \
IN DETECTOR TYPE. Where should it go.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000353\>\"", ",", "\"\<name: adduct ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Ion formed by the interaction of an ion with one \
or more atoms or molecules to form an ion containing all the constituent \
atoms of the precursor ion as well as the additional atoms from the \
associated atoms or molecules.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000354\>\"", ",", 
     "\"\<name: aromatic ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A planar cyclic ion that obeys the Hueckel (4n + \
2) rule where n is a positive integer representing the number of conjugated \
Pi electrons. Charge delocalization leads to greater stability compared to a \
hypothetical localized structure.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000355\>\"", ",", 
     "\"\<name: analog ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Ions that have similar chemical valence, for \
example the acetyl cation CH3-CO+ and the thioacetyl cation CH3-CS+.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000356\>\"", ",", 
     "\"\<name: anti-aromatic ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A planar cyclic ion with 4n ? electrons and is \
therefore not aromatic.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000357\>\"", ",", 
     "\"\<name: cationized molecule\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed by the association of a cation with \
a neutral molecule, M, for example [M+ Na]+ and [M + K]+. The terms \
quasi-molecular ion and pseudo-molecular ion should not be used.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000358\>\"", ",", 
     "\"\<name: cluster ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed by a multi-component atomic or \
molecular assembly of one or more ions with atoms or molecules, such as \
[(H20)nH]+, [(NaCl)nNa]+ and [(H3PO3)nHPO3]-.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000359\>\"", ",", 
     "\"\<name: Conventional ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A radical cation or anion in which the charge \
site and the unpaired electron spin are both formally located in the same \
atom or group of atoms, as opposed to the spatially separate electronic \
configuration of distonic ions. The radical cation of methanol, CH3OH+, in \
which the charge and spin sites are formally located at the O atom is an \
example of a conventional ion, whereas .CH2-OH2+ is a distonic ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000360\>\"", ",", 
     "\"\<name: diagnostic ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A product ion whose formation reveals structural \
or compositional information of its precursor. For instance, the phenyl \
cation in an electron ionization mass spectrum is a diagnostic ion for \
benzene and derivatives.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000361\>\"", ",", 
     "\"\<name: dimeric ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed by ionization of a dimer or by the \
association of an ion with its neutral counterpart such as [M2]+ or [M-H-M]+.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000362\>\"", ",", 
     "\"\<name: distonic ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A radical cation or anion in which the charge \
site and the unpaired electron spin cannot be both formally located in the \
same atom or group of atoms as it can be with a conventional ion. For \
example, CH2-OH2+ is a distonic ion whereas the radical cation of methanol, \
CH3OH+ is a conventional ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000363\>\"", ",", 
     "\"\<name: enium ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A positively charged lower-valency ion of the \
nonmetallic elements. The methenium ion is CH3+. Other examples are the \
oxenium, sulfenium, nitrenium, phosphenium, and halenium ions.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000364\>\"", ",", 
     "\"\<name: fragment ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A product ion that results from the dissociation \
of a precursor ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
product ion (MS:1000342).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000365\>\"", ",", 
     "\"\<name: ion?\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An atomic or molecular species having a net \
positive or negative electric charge.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000366\>\"", ",", "\"\<name: Isotopologue ion\>\"", 
     ",", "\"\<def: \\\"OBSOLETE An ion that differs only in the isotopic \
composition of one or more of its constituent atoms. For example CH4+ and \
CH3D+ or 10BF3 and 11BF3. The term isotopologue is a contraction of isotopic \
homologue.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000367\>\"", ",", 
     "\"\<name: Isotopomeric ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Isomeric ion having the same numbers of each \
isotopic atom but differing in their positions. Isotopomeric ions can be \
either configurational isomers in which two atomic isotopes exchange \
positions or isotopic stereoisomers. The term isotopomer is a shortening of \
isotopic isomer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000368\>\"", ",", 
     "\"\<name: metastable ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion that is formed with internal energy higher \
than the threshold for dissociation but with a lifetime great enough to allow \
it to exit the ion source and enter the mass spectrometer where it \
dissociates before detection.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion stability type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000369\>\"", ",", 
     "\"\<name: molecular ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed by the removal of one or more \
electrons to form a positive ion or the addition off one or more electrons to \
form a negative ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000370\>\"", ",", 
     "\"\<name: negative ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An atomic or molecular species having a net \
negative electric charge.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000371\>\"", ",", 
     "\"\<name: non-classical ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Hyper-coordinated carbonium ion such as the \
penta-coordinated norbornyl cation. Note: Tri-coordinated carbenium ions are \
termed classical ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000372\>\"", ",", 
     "\"\<name: onium ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A positively charged hypervalent ion of the \
nonmetallic elements. Examples are the methonium ion CH5+, the hydrogenonium \
ion H3+ and the hydronium ion H3O+. Other examples are the carbonium, \
oxonium, sulfonium, nitronium, diazonium, phosphonium, and halonium ions. \
Onium ions are not limited to monopositive ions; multiply-charged onium ions \
exist such as the gitonic (proximal) oxonium dication H4O2+ and the distonic \
oxonium dication H2O+-CH2-CH2-OH2+.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000373\>\"", ",", 
     "\"\<name: principal ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Most abundant ion of an isotope cluster, such as \
the 11B79Br2 81Br+ ion of m/z 250 of the cluster of isotopologue molecular \
ions of BBr3. The term principal ion has also been used to describe ions that \
have been artificially isotopically enriched in one or more positions such as \
CH3 13CH3+ or CH2D2 +, but those are best defined as isotopologue ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000374\>\"", ",", 
     "\"\<name: positive ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An atomic or molecular species having a net \
positive electric charge.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000375\>\"", ",", 
     "\"\<name: protonated molecule\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion formed by interaction of a neutral \
molecule with a proton and represented by the symbol [M + H]+, where M is the \
neutral molecule. The term 'protonated molecular ion,' 'quasi-molecular ion' \
and 'pseudo-molecular ion' are not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000376\>\"", ",", 
     "\"\<name: radical ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion, either a cation or anion, containing \
unpaired electrons in its ground state. The unpaired electron is denoted by a \
superscript dot alongside the superscript symbol for charge, such as for the \
molecular ion of a molecule M, that is, M+. Radical ions with more than one \
charge and/or more than one unpaired electron are denoted such as M(2+)(2). \
Unless the positions of the unpaired electron and charge can be associated \
with specific atoms, superscript charge designation should be placed before \
the superscript dot designation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000377\>\"", ",", 
     "\"\<name: reference ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A stable ion whose structure is known with \
certainty. These ions are usually formed by direct ionization of a neutral \
molecule of known structure and are used to verify by comparison the \
structure of an unknown ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion chemical type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000378\>\"", ",", 
     "\"\<name: stable ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion with internal energy sufficiently low that \
it does not rearrange or dissociate prior to detection in a mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion stability type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000379\>\"", ",", 
     "\"\<name: unstable ion\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion with sufficient energy to dissociate \
within the ion source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion stability type \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000380\>\"", ",", 
     "\"\<name: adiabatic ionization\>\"", ",", 
     "\"\<def: \\\"A process whereby an electron is removed from an atom, \
ion, or molecule to produce an ion in its lowest energy state.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000381\>\"", ",", 
     "\"\<name: associative ionization\>\"", ",", 
     "\"\<def: \\\"An ionization process in which two excited atoms or \
molecules react to form a single positive ion and an electron.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000382\>\"", ",", 
     "\"\<name: atmospheric pressure photoionization\>\"", ",", 
     "\"\<def: \\\"Atmospheric pressure chemical ionization in which the \
reactant ions are generated by photo-ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000240 ! atmospheric pressure ionization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000383\>\"", ",", 
     "\"\<name: autodetachment\>\"", ",", 
     "\"\<def: \\\"The formation of a neutral when a negative ion in a \
discrete state with an energy greater than the detachment threshold loses an \
electron spontaneously without further interaction with an energy source.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000384\>\"", ",", 
     "\"\<name: autoionization\>\"", ",", 
     "\"\<def: \\\"The formation of an ion when an atom or molecule in a \
discrete state with an energy greater than the ionization threshold loses an \
electron spontaneously without further interaction with an energy source.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000385\>\"", ",", 
     "\"\<name: charge exchange ionization\>\"", ",", 
     "\"\<def: \\\"The interaction of an ion with an atom or molecule in \
which the charge on the ion is transferred to the neutral without the \
dissociation of either. Synonymous with charge transfer ionization.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000386\>\"", ",", 
     "\"\<name: chemi-ionization\>\"", ",", 
     "\"\<def: \\\"The reaction of a neutral molecule with an internally \
excited molecule to form an ion. Note that this term is not synonymous with \
chemical ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000387\>\"", ",", 
     "\"\<name: desorption/ionization on silicon\>\"", ",", 
     "\"\<def: \\\"The formation of ions by laser desorption ionization of a \
sample deposited on a porous silicon surface.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000247 ! desorption ionization\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000388\>\"", ",", 
     "\"\<name: dissociative ionization\>\"", ",", 
     "\"\<def: \\\"The reaction of a gas-phase molecule that results in its \
decomposition to form products, one of which is an ion.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000389\>\"", ",", 
     "\"\<name: electron ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of an atom or molecule by electrons that \
are typically accelerated to energies between 50 and 150 eV. Usually 70 eV \
electrons are used to produce positive ions. The term 'electron impact' is \
not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000390\>\"", ",", 
     "\"\<name: ion desolvation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The removal of solvent molecules clustered around \
a gas-phase ion by means of heating and/or collisions with gas molecules.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000391\>\"", ",", 
     "\"\<name: ion-pair formation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of a molecule to form both a \
positive ion and negative ion fragment among the products.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term ion reaction \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000392\>\"", ",", 
     "\"\<name: ionization efficiency\>\"", ",", 
     "\"\<def: \\\"The ratio of the number of ions formed to the number of \
electrons, molecules or photons used.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000393\>\"", ",", 
     "\"\<name: laser desorption ionization\>\"", ",", 
     "\"\<def: \\\"The formation of gas-phase ions by the interaction of a \
pulsed laser with a solid or liquid material.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000247 ! desorption ionization\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000395\>\"", ",", 
     "\"\<name: liquid secondary ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of any species by the interaction of a \
focused beam of ions with a sample that is dissolved in a solvent matrix. See \
also fast atom bombardment and secondary ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000396\>\"", ",", 
     "\"\<name: membrane inlet\>\"", ",", 
     "\"\<def: \\\"A semi-permeable membrane separator that permits the \
passage of gas sample directly to the mass spectrometer ion source.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000007 ! inlet type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000397\>\"", ",", 
     "\"\<name: microelectrospray\>\"", ",", 
     "\"\<def: \\\"Electrospray ionization at a solvent flow rate of 300-800 \
nL/min where the flow is a result of a mechanical pump. See nanoelectrospray.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000073 ! electrospray ionization\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000398\>\"", 
     ",", "\"\<name: nanoelectrospray\>\"", ",", 
     "\"\<def: \\\"Electrospray ionization at a flow rate less than ~25 \
nL/min. Nanoelectrospray is synonymous with nanospray. The flow is dependent \
on the potenial on the tip of the electrospray needle and/or a gas presure to \
push the sample through the needle. See also electrospray ionization and \
microelectrospray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"nanospray\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000073 ! electrospray ionization\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000399\>\"", ",", 
     "\"\<name: penning ionization\>\"", ",", 
     "\"\<def: \\\"Ionization that occurs through the interaction of two or \
more neutral gaseous species, at least one of which is internally \
excited.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000400\>\"", 
     ",", "\"\<name: plasma desorption ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of material in a solid sample by bombarding \
it with ionic or neutral atoms formed as a result of the fission of a \
suitable nuclide, typically 252Cf. Synonymous with fission fragment \
ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000401\>\"", ",", 
     "\"\<name: pre-ionization state\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An electronic state capable of undergoing \
auto-Ionization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000402\>\"", ",", 
     "\"\<name: secondary ionization\>\"", ",", 
     "\"\<def: \\\"The process in which ions are ejected from a sample \
surface as a result of bombardment by a primary beam of atoms or ions.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000403\>\"", ",", 
     "\"\<name: soft ionization\>\"", ",", 
     "\"\<def: \\\"The formation of gas-phase ions without extensive \
fragmentation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000404\>\"", ",", 
     "\"\<name: spark ionization\>\"", ",", 
     "\"\<def: \\\"The formation of ions from a solid material by an \
intermittent electrical discharge.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000405\>\"", ",", 
     "\"\<name: surface-assisted laser desorption ionization\>\"", ",", 
     "\"\<def: \\\"The formation of gas-phase ions from molecules that are \
deposited on a particular surface substrate that is irradiated with a pulsed \
laser. See also matrix-assisted laser desorption ionization.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000247 ! desorption ionization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000406\>\"", ",", 
     "\"\<name: surface ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of a neutral species when it interacts with \
a solid surface with an appropriate work function and temperature.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000407\>\"", ",", 
     "\"\<name: thermal ionization\>\"", ",", 
     "\"\<def: \\\"The ionization of a neutral species through contact with a \
high temperature surface.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000408\>\"", ",", 
     "\"\<name: vertical ionization\>\"", ",", 
     "\"\<def: \\\"A process in which an electron is removed from or added to \
a molecule without a change in the positions of the atoms. The resulting ion \
is typically in an excited vibrational state.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000409\>\"", ",", 
     "\"\<name: association reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral species in \
which the reactants combine to form a single ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000410\>\"", ",", 
     "\"\<name: alpha-cleavage\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A homolytic cleavage where the bond fission \
occurs between at the atom adjacent to the atom at the apparent charge site \
and an atom removed from the aparent charge site by two bonds.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000411\>\"", ",", 
     "\"\<name: beta-cleavage\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A homolytic cleavage where the bond fission \
occurs between at an atom removed from the apparent charge site atom by two \
bonds and an atom adjacent to that atom and removed from the aparent charge \
site by three bonds.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000412\>\"", ",", 
     "\"\<name: buffer gas\>\"", ",", 
     "\"\<def: \\\"An inert gas used for collisional deactivation of \
internally excited ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000413\>\"", ",", 
     "\"\<name: charge-induced fragmentation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Fragmentation of an odd electron ion in which the \
cleaved bond is adjacent to the apparent charge site. Synonymous with charge \
mediated fragmentation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000414\>\"", ",", 
     "\"\<name: charge inversion reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Reaction of an ion with a neutral species in \
which the charge on the product ion is reversed in sign with respect to the \
reactant ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000415\>\"", ",", 
     "\"\<name: charge permutation reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral species \
with a resulting change in the magnitude or sign of the charge on the \
reactant ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000416\>\"", ",", 
     "\"\<name: charge stripping reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Reaction of a positive ion with a neutral species \
in which the positive charge on the product ion is greater than that on the \
reactant ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000417\>\"", ",", 
     "\"\<name: charge transfer reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral species in \
which some or all of the charge of the reactant ion is transferred to the \
neutral species.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000418\>\"", ",", 
     "\"\<name: collisional excitation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral species in \
which the translational energy of the collision is converted into internal \
energy of the ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000419\>\"", ",", 
     "\"\<name: collision gas\>\"", ",", 
     "\"\<def: \\\"An inert gas used for collisional excitation. The term \
target gas is not recommended.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000420\>\"", ",", 
     "\"\<name: heterolytic cleavage\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Fragmentation of a molecule or ion in which both \
electrons forming the single bond that is broken remain on one of the atoms \
that were originally bonded. This term is synonymous with heterolysis.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"heterolysis\\\" RELATED []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000421\>\"", ",", 
     "\"\<name: high energy collision\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Collision-induced dissociation process wherein \
the projectile ion has laboratory-frame translational energy higher than 1 \
keV.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000422\>\"", ",", 
     "\"\<name: beam-type collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"A collision-induced dissociation process that occurs in a \
beam-type collision cell.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"HCD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000133 ! collision-induced dissociation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000423\>\"", ",", 
     "\"\<name: homolytic cleavage\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Fragmentation of an odd electron ion that results \
from one of a pair of electrons that form a bond between two atoms moving to \
form a pair with the odd electron on the atom at the apparent charge site. \
Fragmentation results in the formation of an even electron ion and a radical. \
This reaction involves the movement of a single electron and is symbolized by \
a single-barbed arrow. Synonymous with Homolysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<synonym: \\\"homolysis\\\" RELATED []\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000424\>\"", ",", 
     "\"\<name: hydrogen/deuterium exchange\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Exchange of hydrogen atoms with deuterium atoms \
in a molecule or pre-formed ion in solution prior to introduction into a mass \
spectrometer, or by reaction of an ion with a deuterated collision gas inside \
a mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000425\>\"", ",", 
     "\"\<name: ion energy loss spectrum\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A plot of the relative abundance of a beam or \
other collection of ions as a function their loss of translational energy in \
reactions with neutral species.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000426\>\"", ",", "\"\<name: ionizing collision\>\"", 
     ",", "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral \
species in which one or more electrons are removed from either the ion or \
neutral.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000427\>\"", ",", 
     "\"\<name: ion/molecule reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The reaction of an ion with a neutral molecule. \
The term ion-molecule reaction is not recommended because the hyphen suggests \
a single species that is that is both an ion and a molecule.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000428\>\"", ",", 
     "\"\<name: ion/neutral complex\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A particular type of transition state that lies \
between precursor and product ions on the reaction coordinate of some ion \
reactions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000429\>\"", ",", 
     "\"\<name: ion/neutral species reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A process wherein a charged species interacts \
with a neutral reactant to produce either chemically different species or \
changes in the internal energy of one or both of the reactants.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000430\>\"", ",", 
     "\"\<name: ion/neutral species exchange reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE In this reaction an association reaction is \
accompanied by the subsequent or simultaneous liberation of a different \
neutral species as a product.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000431\>\"", ",", 
     "\"\<name: kinetic method\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An approach to determination of ion thermodynamic \
quantities by a bracketing procedure in which the relative probabilities of \
competing ion fragmentations are measured via the relative abundances of the \
reaction products. The extended kinetic method takes the associated entropy \
changes into account.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000432\>\"", ",", 
     "\"\<name: low energy collisions\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A collision between an ion and neutral species \
with translational energy approximately 1000 eV or lower.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term ion reaction \
was made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000433\>\"", ",", 
     "\"\<name: low-energy collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"A collision-induced dissociation process wherein the \
precursor ion has the translational energy lower than approximately 1000 eV. \
This process typically requires multiple collisions and the collisional \
excitation is cumulative.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000434\>\"", ",", 
     "\"\<name: McLafferty Rearrangement\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A dissociation reaction triggered by transfer of \
a hydrogen atom via a 6-member transition state to the formal radical/charge \
site from a carbon atom four atoms removed from the charge/radical site (the \
gamma-carbon); subsequent rearrangement of electron density leads to \
expulsion of an olefin molecule. This term was originally applied to ketone \
ions where the charge/radical site is the carbonyl oxygen, but it is now more \
widely applied.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000435\>\"", ",", 
     "\"\<name: photodissociation\>\"", ",", 
     "\"\<def: \\\"A process wherein the reactant ion is dissociated as a \
result of absorption of one or more photons.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"multiphoton dissociation\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"MPD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000436\>\"", ",", 
     "\"\<name: partial charge transfer reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Reaction of an ion with a neutral species in \
which some but not all of the ion charge is transferred to the neutral.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000437\>\"", ",", 
     "\"\<name: ion reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Chemical transformation involving an ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion? was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000438\>\"", ",", 
     "\"\<name: superelastic collision\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Collision in which the translational energy of \
the fast-moving collision partner is increased at the expense of internal \
energy of one or both collision partners.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000439\>\"", ",", 
     "\"\<name: surface-induced reaction\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A process wherein a reactant ion interacts with a \
surface to produce either chemically different species or a change in the \
internal energy of the reactant ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000440\>\"", ",", 
     "\"\<name: unimolecular dissociation\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Fragmentation reaction in which the molecularity \
is treated as one, irrespective of whether the dissociative state is that of \
a metastable ion produced in the ion source or results from collisional \
excitation of a stable ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion reaction was \
made obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000441\>\"", ",", 
     "\"\<name: scan\>\"", ",", 
     "\"\<def: \\\"Function or process of the mass spectrometer where it \
records a spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000442\>\"", ",", "\"\<name: spectrum\>\"", ",", 
     "\"\<def: \\\"A mass spectrum is an intensity vs m/z (mass-to-charge \
ratio) plot representing a chemical analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000443\>\"", ",", "\"\<name: mass analyzer type\>\"", ",", 
     "\"\<def: \\\"Mass analyzer separates the ions according to their \
mass-to-charge ratio.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000451 ! mass analyzer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000444\>\"", ",", 
     "\"\<name: m/z Separation Method\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Mass/charge separation Method.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000445\>\"", ",", 
     "\"\<name: sequential m/z separation method\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Sequential m/z separation method.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000446\>\"", ",", "\"\<name: fast ion bombardment\>\"",
      ",", "\"\<def: \\\"The ionization of any species by the interaction of \
a focused beam of ions having a translational energy of several thousand eV \
with a solid sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FIB\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000008 ! ionization type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000447\>\"", ",", 
     "\"\<name: LTQ\>\"", ",", 
     "\"\<def: \\\"Finnigan LTQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000448\>\"", ",", 
     "\"\<name: LTQ FT\>\"", ",", 
     "\"\<def: \\\"Finnigan LTQ FT MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000449\>\"", ",", 
     "\"\<name: LTQ Orbitrap\>\"", ",", 
     "\"\<def: \\\"Finnigan LTQ Orbitrap MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000450\>\"", ",", 
     "\"\<name: LXQ\>\"", ",", 
     "\"\<def: \\\"Finnigan LXQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000451\>\"", ",", 
     "\"\<name: mass analyzer\>\"", ",", 
     "\"\<def: \\\"Terms used to describe the Analyzer.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"analyzer\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1000463 ! instrument\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000452\>\"", ",", 
     "\"\<name: data transformation\>\"", ",", 
     "\"\<def: \\\"Terms used to describe types of data processing.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"data processing\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000453\>\"", ",", "\"\<name: detector\>\"", ",", 
     "\"\<def: \\\"The device that detects ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000463 ! instrument\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000454\>\"", ",", 
     "\"\<name: instrument additional description\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Additional terms to describe the instrument as \
outlined in the mass spec doc, Appendix 1, section 1.5.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000455\>\"", ",", 
     "\"\<name: ion selection attribute\>\"", ",", 
     "\"\<def: \\\"Ion selection properties that are associated with a value.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000456\>\"", ",", 
     "\"\<name: precursor activation\>\"", ",", 
     "\"\<def: \\\"Terms to describe the precursor activation.\\\" [PSI:MS]\>\
\"", ",", "\"\<synonym: \\\"activation\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000457\>\"", ",", 
     "\"\<name: sample\>\"", ",", 
     "\"\<def: \\\"Terms to describe the sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000458\>\"", ",", "\"\<name: source\>\"", ",", 
     "\"\<def: \\\"Terms to describe the source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000463 ! instrument\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000459\>\"", ",", 
     "\"\<name: spectrum instrument description\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Terms used to describe the spectrum.\\\" [PSI:MS]\
\>\"", ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000460\>\"", ",", "\"\<name: unit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Terms to describe units.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Unit Ontology term unit (UO:0000000).\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000461\>\"", ",", 
     "\"\<name: additional description\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Terms to describe Additional.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This former purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000462\>\"", ",", "\"\<name: ion optics\>\"", ",", 
     "\"\<def: \\\"Device used in the construction of a mass spectrometer to \
focus, contain or otherwise manipulate ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000463 ! instrument\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000463\>\"", ",", 
     "\"\<name: instrument\>\"", ",", 
     "\"\<def: \\\"Description of the instrument or the mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"instrument configuration\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000464\>\"", ",", "\"\<name: mass unit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A unit of measurement for mass.\\\" [PSI:MS]\>\"",
      ",", "\"\<comment: This term was made obsolete because it was redundant \
with Unit Ontology mass unit (UO:0000002).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000465\>\"", ",", "\"\<name: scan polarity\>\"", ",", 
     "\"\<def: \\\"An acquisition mode to which specifies weather polarity is \
negative, positive or alternating.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000466\>\"", ",", 
     "\"\<name: alternating\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Alternating.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because .\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000467\>\"", ",", 
     "\"\<name: 1200 series LC/MSD SL\>\"", ",", 
     "\"\<def: \\\"The 1200 Series LC/MSD SL ion trap belongs to the Agilent \
LC/MSD ion trap family. It provides fast polarity switching and multisignal \
data acquisition capabilities in a single run while also providing 5 stages \
of automated data dependent MS2 and 11 stages of manual MS2.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000468\>\"", 
     ",", "\"\<name: 6110 Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6110 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with an entry level single quadrupole mass \
spectrometer from the 6100 Series of Agilent quadrupole mass spectrometers. \
6110 Quadrupole mass spectrometer has m/z range of 10-1500 and 2500 u/s scan \
speed. It proves useful for wide range of SIM quantitative applications.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000469\>\"", 
     ",", "\"\<name: 6120 Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6120 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a single quadrupole mass spectrometer \
from the 6100 Series of Agilent mass spectrometers. 6120 quadrupole mass \
spectrometer has m/z range of 10-1500, 2500 u/s scan speed and utilizes \
multiple signal acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000470\>\"", ",", 
     "\"\<name: 6130 Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6130 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a single quadrupole mass spectrometer \
from the 6100 series of Agilent mass spectrometers. The 6130 quadrupole mass \
spectrometer has m/z range of 2-3000, 2500 u/s scan speed in standard mode \
and 5250 u/s speed in fast-scan mode. It also uses multiple signal \
acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000471\>\"", ",", 
     "\"\<name: 6140 Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6140 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a single quadrupole mass spectrometer \
from the 6100 Series of Agilent quadrupole mass spectrometers. 6140 \
Quadrupole mass spectrometer has m/z range of 10-1350, 2500 u/s scan speed in \
standard mode and 10000 u/s speed in fast-scan mode. It also uses multiple \
signal acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000472\>\"", ",", 
     "\"\<name: 6210 Time-of-Flight LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6210 Time-of-Flight LC/MS is a Agilent liquid \
chromatography instrument combined with a Agilent time of flight mass \
spectrometer. This time of flight mass spectrometer has a m/z range of \
50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 \
at m/z 2722. It has multiple ion sources and can be used with multimode ion \
sources.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000473\>\"", ",", 
     "\"\<name: 6310 Ion Trap LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6310 Ion Trap LC/MS is a Agilent liquid chromatography \
instrument combined with a 6300 series Agilent ion trap. It has a mass range \
of 50-2200 between 0.6 to 0.35 resolution and mass range of 200-4000 with \
resolution of 3-4. The scan speed varies from 1650-27000 for the respective \
mass ranges.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000474\>\"", ",", 
     "\"\<name: 6320 Ion Trap LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6320 Ion Trap LC/MS is a Agilent liquid chromatography \
instrument combined with a 6300 series Agilent ion trap. It has a mass range \
of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with \
resolution of less than 3. The scan speed varies from 1650-27000 for the \
respective mass ranges.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000475\>\"", ",", 
     "\"\<name: 6330 Ion Trap LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6330 Ion Trap LC/MS is a Agilent liquid chromatography \
instrument combined with a 6300 series Agilent ion trap. It has a mass range \
of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with \
resolution of less than 3. The scan speed varies from 1650-27000 for the \
respective mass ranges.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000476\>\"", ",", 
     "\"\<name: 6340 Ion Trap LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6340 Ion Trap LC/MS is a Agilent liquid chromatography \
instrument combined with a 6300 series Agilent ion trap. It has a mass range \
of 50-2200 between 0.6 to 0.25 resolution and mass range of 200-4000 with \
resolution of less than 3. The scan speed varies from 1650-27000 for the \
respective mass ranges.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000477\>\"", ",", 
     "\"\<name: 6410 Triple Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6410 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a Agilent triple quadrupole mass \
spectrometer. Mass range of the mass spectrometer is 15-1650 m/z, resolution \
is at three settings of 0.7 u (unit), 1.2 u (wide) and 2.5 u (widest). The \
mass accuracy for 6410 mass spectrometer is 0.1 across the mass range. The \
collision cell is a hexapole with linear acceleration.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"6410 Triple Quad LC/MS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000478\>\"", ",", 
     "\"\<name: 1200 series LC/MSD VL\>\"", ",", 
     "\"\<def: \\\"The LC/MSD VL ion trap is part of the family of Agilent \
ion trap mass spectrometers. It has ESI, APCI and APPI ion sources and is a \
useful ion trap when the amount of sample is not the limiting factor.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000479\>\"", 
     ",", "\"\<name: purgatory\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Terms that will likely become obsolete unless \
there are wails of dissent.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: The whole branch purgatory term was made obsolete.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000480\>\"", ",", 
     "\"\<name: mass analyzer attribute\>\"", ",", 
     "\"\<def: \\\"Analyzer properties that are associated with a value.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000451 ! mass analyzer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000481\>\"", ",", 
     "\"\<name: detector attribute\>\"", ",", 
     "\"\<def: \\\"Detector attribute recognized as a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000453 ! detector\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000482\>\"", 
     ",", "\"\<name: source attribute\>\"", ",", 
     "\"\<def: \\\"Property of a source device that need a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000483\>\"", ",", 
     "\"\<name: Thermo Fisher Scientific instrument model\>\"", ",", 
     "\"\<def: \\\"Thermo Fisher Scientific instrument model. The company has \
gone through several names including Thermo Finnigan, Thermo Scientific.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"Thermo Scientific\\\" RELATED []\>\"", 
     ",", "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000484\>\"", ",", 
     "\"\<name: orbitrap\>\"", ",", 
     "\"\<def: \\\"An ion trapping device that consists of an outer \
barrel-like electrode and a coaxial inner spindle-like electrode that form an \
electrostatic field with quadro-logarithmic potential distribution. The \
frequency of harmonic oscillations of the orbitally trapped ions along the \
axis of the electrostatic field is independent of the ion velocity and is \
inversely proportional to the square root of m/z so that the trap can be used \
as a mass analyzer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000443 ! mass analyzer type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000485\>\"", ",", 
     "\"\<name: nanospray inlet\>\"", ",", 
     "\"\<def: \\\"Nanospray Inlet.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000057 ! electrospray inlet\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000486\>\"", ",", 
     "\"\<name: source potential\>\"", ",", 
     "\"\<def: \\\"Potential difference at the MS source in volts.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000487\>\"", ",", 
     "\"\<name: ion optics attribute\>\"", ",", 
     "\"\<def: \\\"Ion optics involves components that help focus ion streams \
in mass spectrometry.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000462 ! ion optics\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000488\>\"", ",", 
     "\"\<name: Hitachi instrument model\>\"", ",", 
     "\"\<def: \\\"Hitachi instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000489\>\"", ",", 
     "\"\<name: Varian instrument model\>\"", ",", 
     "\"\<def: \\\"Varian instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000490\>\"", ",", 
     "\"\<name: Agilent instrument model\>\"", ",", 
     "\"\<def: \\\"Agilent instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000491\>\"", ",", 
     "\"\<name: Dionex instrument model\>\"", ",", 
     "\"\<def: \\\"Dionex instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000492\>\"", ",", 
     "\"\<name: Thermo Electron instrument model\>\"", ",", 
     "\"\<def: \\\"Thermo Electron Corporation instrument model.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<is_a: MS:1000483 ! Thermo Fisher Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000493\>\"", 
     ",", "\"\<name: Finnigan MAT instrument model\>\"", ",", 
     "\"\<def: \\\"Finnigan MAT instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000483 ! Thermo Fisher Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000494\>\"", 
     ",", "\"\<name: Thermo Scientific instrument model\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000483 ! Thermo Fisher Scientific instrument model\>\
\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000495\>\"", 
     ",", "\"\<name: Applied Biosystems instrument model\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"ABI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000496\>\"", ",", 
     "\"\<name: instrument attribute\>\"", ",", 
     "\"\<def: \\\"Instrument properties that are associated with a \
value.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", 
     ",", "\"\<relationship: part_of MS:1000463 ! instrument\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000497\>\"", ",", 
     "\"\<name: zoom scan\>\"", ",", 
     "\"\<def: \\\"Special scan mode, where data with improved resolution is \
acquired. This is typically achieved by scanning a more narrow m/z window or \
scanning with a lower scan rate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"enhanced resolution scan\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000498\>\"", ",", 
     "\"\<name: full scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Feature of the ion trap mass spectrometer where \
MS data is acquired over a mass range.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000499\>\"", ",", "\"\<name: spectrum attribute\>\"", 
     ",", "\"\<def: \\\"Spectrum properties that are associated with a value.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000500\>\"", ",", 
     "\"\<name: scan window upper limit\>\"", ",", 
     "\"\<def: \\\"The lower m/z bound of a mass spectrometer scan \
window.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"mzRangeStop\\\" RELATED []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000549 ! selection window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000501\>\"", ",", 
     "\"\<name: scan window lower limit\>\"", ",", 
     "\"\<def: \\\"The upper m/z bound of a mass spectrometer scan \
window.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"mzRangeStart\\\" RELATED []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000549 ! selection window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000502\>\"", ",", 
     "\"\<name: dwell time\>\"", ",", 
     "\"\<def: \\\"The time spent gathering data across a peak.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"Scan Duration\\\" RELATED []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000503\>\"", ",", 
     "\"\<name: scan attribute\>\"", ",", 
     "\"\<def: \\\"Scan properties that are associated with a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000504\>\"", ",", 
     "\"\<name: base peak m/z\>\"", ",", 
     "\"\<def: \\\"M/z value of the signal of highest intensity in the mass \
spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000505\>\"", ",", 
     "\"\<name: base peak intensity\>\"", ",", 
     "\"\<def: \\\"The intensity of the greatest peak in the mass spectrum.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000506\>\"", 
     ",", "\"\<name: ion role\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Ion Role.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion? was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000507\>\"", ",", 
     "\"\<name: ion attribute\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Ion properties that are associated with a \
value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion? was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000508\>\"", ",", 
     "\"\<name: ion chemical type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Ion Type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion? was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000509\>\"", ",", 
     "\"\<name: activation energy\>\"", ",", 
     "\"\<def: \\\"Activation Energy.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000510\>\"", ",", 
     "\"\<name: precursor activation attribute\>\"", ",", 
     "\"\<def: \\\"Precursor Activation Attribute.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000456 ! precursor activation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000511\>\"", ",", 
     "\"\<name: ms level\>\"", ",", 
     "\"\<def: \\\"Stages of ms achieved in a multi stage mass spectrometry \
experiment.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000512\>\"", ",", 
     "\"\<name: filter string\>\"", ",", 
     "\"\<def: \\\"A string unique to Thermo instrument describing instrument \
settings for the scan.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000513\>\"", ",", 
     "\"\<name: binary data array\>\"", ",", 
     "\"\<def: \\\"A data array of values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<relationship: part_of MS:1000625 ! chromatogram\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000514\>\"", ",", 
     "\"\<name: m/z array\>\"", ",", 
     "\"\<def: \\\"A data array of m/z values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000515\>\"", ",", 
     "\"\<name: intensity array\>\"", ",", 
     "\"\<def: \\\"A data array of intensity values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000516\>\"", 
     ",", "\"\<name: charge array\>\"", ",", 
     "\"\<def: \\\"A data array of charge values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000519 \\\"32-bit integer\\\"\>\"", 
     ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000517\>\"", ",", 
     "\"\<name: signal to noise array\>\"", ",", 
     "\"\<def: \\\"A data array of signal-to-noise values.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit \
float\\\"\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit float\\\"\>\"", 
     ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000518\>\"", ",", 
     "\"\<name: binary data type\>\"", ",", 
     "\"\<def: \\\"Encoding type of binary data specifying the binary \
representation and precision, e.g. 64-bit float.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<relationship: part_of MS:1000625 ! chromatogram\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000519\>\"", ",", 
     "\"\<name: 32-bit integer\>\"", ",", 
     "\"\<def: \\\"Signed 32-bit little-endian integer.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000520\>\"", ",", 
     "\"\<name: 16-bit float\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Signed 16-bit float.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000521\>\"", ",", "\"\<name: 32-bit float\>\"", ",", 
     "\"\<def: \\\"32-bit precision little-endian floating point conforming \
to IEEE-754.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000522\>\"", ",", 
     "\"\<name: 64-bit integer\>\"", ",", 
     "\"\<def: \\\"Signed 64-bit little-endian integer.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000523\>\"", ",", 
     "\"\<name: 64-bit float\>\"", ",", 
     "\"\<def: \\\"64-bit precision little-endian floating point conforming \
to IEEE-754.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000524\>\"", ",", 
     "\"\<name: data file content\>\"", ",", 
     "\"\<def: \\\"Describes the data content on the file.\\\" [PSI:MS]\>\"", 
     ",", "\"\<relationship: part_of MS:1000577 ! raw data file\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000525\>\"", ",", 
     "\"\<name: spectrum representation\>\"", ",", 
     "\"\<def: \\\"Way in which the spectrum is represented, either with \
regularly spaced data points or with a list of centroided peaks.\\\" [PSI:MS]\
\>\"", ",", "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000526\>\"", ",", 
     "\"\<name: Waters raw format\>\"", ",", 
     "\"\<def: \\\"Waters data file format found in a Waters RAW directory, \
generated from an MS acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000527\>\"", ",", 
     "\"\<name: highest observed m/z\>\"", ",", 
     "\"\<def: \\\"Highest m/z value observed in the m/z array.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000528\>\"", ",", 
     "\"\<name: lowest observed m/z\>\"", ",", 
     "\"\<def: \\\"Lowest m/z value observed in the m/z array.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000529\>\"", ",", 
     "\"\<name: instrument serial number\>\"", ",", 
     "\"\<def: \\\"Serial Number of the instrument.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000496 ! instrument attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000530\>\"", 
     ",", "\"\<name: file format conversion\>\"", ",", 
     "\"\<def: \\\"Conversion of one file format to another.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000452 ! data transformation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000531\>\"", ",", 
     "\"\<name: software\>\"", ",", 
     "\"\<def: \\\"Software related to the recording or transformation of \
spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000532\>\"", ",", "\"\<name: Xcalibur\>\"", ",", 
     "\"\<def: \\\"Thermo Finnigan software for data acquisition and \
analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000693 ! Thermo Finnigan software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000533\>\"", ",", 
     "\"\<name: Bioworks\>\"", ",", 
     "\"\<def: \\\"Thermo Finnigan software for data analysis of peptides and \
proteins.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Bioworks Browser\\\" RELATED []\>\"", ",", 
     "\"\<is_a: MS:1000693 ! Thermo Finnigan software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000534\>\"", ",", 
     "\"\<name: MassLynx\>\"", ",", 
     "\"\<def: \\\"Micromass software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000694 ! Waters software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000535\>\"", ",", 
     "\"\<name: FlexAnalysis\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000536\>\"", ",", 
     "\"\<name: Data Explorer\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems software for data acquisition and \
analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000691 ! Applied Biosystems software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000537\>\"", ",", 
     "\"\<name: 4700 Explorer\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems software for data acquisition and \
analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000691 ! Applied Biosystems software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000538\>\"", ",", 
     "\"\<name: massWolf\>\"", ",", 
     "\"\<def: \\\"A software for converting Waters raw directory format to \
mzXML or mzML. MassWolf was originally developed at the Institute for Systems \
Biology.\\\" [PSI:MS]\>\"", ",", "\"\<synonym: \\\"wolf\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000539\>\"", ",", 
     "\"\<name: Voyager Biospectrometry Workstation System\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems MALDI-TOF data acquisition and analysis \
system.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000691 ! Applied Biosystems software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000540\>\"", ",", 
     "\"\<name: FlexControl\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000541\>\"", ",", 
     "\"\<name: ReAdW\>\"", ",", 
     "\"\<def: \\\"A software program for converting Thermo Finnigan RAW file \
format to mzXML or mzML. ReAdW was originally developed at the Institute for \
Systems Biology. Its whimsical interleaved spelling and capitalization is \
pronounced \\\\\\\"readraw\\\\\\\".\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000542\>\"", ",", 
     "\"\<name: MzStar\>\"", ",", 
     "\"\<def: \\\"A software program for converting Applied Biosystems wiff \
file format to mzXML format. MzStar was originally developed at the Institute \
for Systems Biology. It is now obsoleted by the MzWiff program.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001457 ! data processing software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000543\>\"", 
     ",", "\"\<name: data processing action\>\"", ",", 
     "\"\<def: \\\"Data processing attribute used to describe the type of \
data processing performed on the data file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000452 ! data transformation\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000544\>\"", ",", 
     "\"\<name: Conversion to mzML\>\"", ",", 
     "\"\<def: \\\"Conversion of a file format to Proteomics Standards \
Initiative mzML file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000530 ! file format conversion\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000545\>\"", ",", 
     "\"\<name: Conversion to mzXML\>\"", ",", 
     "\"\<def: \\\"Conversion of a file format to Institute of Systems \
Biology mzXML file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000530 ! file format conversion\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000546\>\"", ",", 
     "\"\<name: Conversion to mzData\>\"", ",", 
     "\"\<def: \\\"Conversion of a file format to Proteomics Standards \
Initiative mzData file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000530 ! file format conversion\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000547\>\"", ",", 
     "\"\<name: object attribute\>\"", ",", 
     "\"\<def: \\\"Object Attribute.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000548\>\"", ",", "\"\<name: sample attribute\>\"", ",", 
     "\"\<def: \\\"Sample properties that are associated with a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000457 ! sample\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000549\>\"", ",", 
     "\"\<name: selection window attribute\>\"", ",", 
     "\"\<def: \\\"Selection window properties that are associated with a \
value.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", 
     ",", "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000550\>\"", ",", 
     "\"\<name: time unit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Time Unit.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Unit Ontology term time unit (UO:0000003).\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000551\>\"", ",", "\"\<name: Analyst\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX software for data \
acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000552\>\"", ",", 
     "\"\<name: maldi spot identifier\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Maldi Spot Identifier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000553\>\"", ",", "\"\<name: Trapper\>\"", ",", 
     "\"\<def: \\\"A software program for converting Agilent MassHunter \
format to mzXML or mzML. Trapper was originally developed at the Institute \
for Systems Biology.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000554\>\"", ",", 
     "\"\<name: LCQ Deca\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan LCQ Deca.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000555\>\"", ",", 
     "\"\<name: LTQ Orbitrap Discovery\>\"", ",", 
     "\"\<def: \\\"LTQ Orbitrap Discovery.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000556\>\"", ",", 
     "\"\<name: LTQ Orbitrap XL\>\"", ",", 
     "\"\<def: \\\"LTQ Orbitrap XL.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000557\>\"", ",", 
     "\"\<name: LTQ FT Ultra\>\"", ",", 
     "\"\<def: \\\"LTQ FT Ultra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000558\>\"", ",", 
     "\"\<name: GC Quantum\>\"", ",", 
     "\"\<def: \\\"GC Quantum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000559\>\"", ",", 
     "\"\<name: spectrum type\>\"", ",", 
     "\"\<def: \\\"Spectrum type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000560\>\"", ",", 
     "\"\<name: mass spectrometer file format\>\"", ",", 
     "\"\<def: \\\"The format of the file being used. This could be a \
instrument or vendor specific proprietary file format or a converted open \
file format.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1001459 ! file format\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000561\>\"", 
     ",", "\"\<name: data file checksum type\>\"", ",", 
     "\"\<def: \\\"Checksum is a form of redundancy check, a simple way to \
protect the integrity of data by detecting errors in data.\\\" [PSI:MS]\>\"", 
     ",", "\"\<relationship: part_of MS:1000577 ! raw data file\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000562\>\"", ",", 
     "\"\<name: ABI WIFF format\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems WIFF file format.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000563\>\"", ",", 
     "\"\<name: Thermo RAW format\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific RAW file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000564\>\"", ",", 
     "\"\<name: PSI mzData format\>\"", ",", 
     "\"\<def: \\\"Proteomics Standards Inititative mzData file format.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000565\>\"", ",", 
     "\"\<name: Micromass PKL format\>\"", ",", 
     "\"\<def: \\\"Micromass PKL file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000566\>\"", ",", 
     "\"\<name: ISB mzXML format\>\"", ",", 
     "\"\<def: \\\"Institute of Systems Biology mzXML file format.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000567\>\"", ",", 
     "\"\<name: Bruker/Agilent YEP format\>\"", ",", 
     "\"\<def: \\\"Bruker/Agilent YEP file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000568\>\"", ",", 
     "\"\<name: MD5\>\"", ",", 
     "\"\<def: \\\"MD5 (Message-Digest algorithm 5) is a cryptographic hash \
function with a 128-bit hash value used to check the integrity of files.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000561 ! data file checksum type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000569\>\"", 
     ",", "\"\<name: SHA-1\>\"", ",", 
     "\"\<def: \\\"SHA-1 (Secure Hash Algorithm-1) is a cryptographic hash \
function designed by the National Security Agency (NSA) and published by the \
NIST as a U. S. government standard. It is also used to verify file \
integrity.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000561 ! data file checksum type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000570\>\"", 
     ",", "\"\<name: spectra combination\>\"", ",", 
     "\"\<def: \\\"Method used to combine the mass spectra.\\\" [PSI:MS]\>\"",
      ",", "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000571\>\"", ",", 
     "\"\<name: sum of spectra\>\"", ",", 
     "\"\<def: \\\"Spectra Sum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000570 ! spectra combination\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000572\>\"", ",", 
     "\"\<name: binary data compression type\>\"", ",", 
     "\"\<def: \\\"Compression Type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000442 ! spectrum\>\"", ",", 
     "\"\<relationship: part_of MS:1000625 ! chromatogram\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000573\>\"", ",", 
     "\"\<name: median of spectra\>\"", ",", 
     "\"\<def: \\\"Spectra is combined by calculating the median of the \
spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000570 ! spectra combination\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000574\>\"", ",", 
     "\"\<name: zlib compression\>\"", ",", 
     "\"\<def: \\\"Zlib.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000572 ! binary data compression type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000575\>\"", ",", 
     "\"\<name: mean of spectra\>\"", ",", 
     "\"\<def: \\\"Spectra is combined by calculating the mean of the \
spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000570 ! spectra combination\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000576\>\"", ",", 
     "\"\<name: no compression\>\"", ",", 
     "\"\<def: \\\"No Compression.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000572 ! binary data compression type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000577\>\"", ",", 
     "\"\<name: raw data file\>\"", ",", 
     "\"\<def: \\\"Describes the type of file and its content.\\\" [PSI:MS]\>\
\"", ",", "\"\<synonym: \\\"source file\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000578\>\"", ",", "\"\<name: LCQ Fleet\>\"", ",", 
     "\"\<def: \\\"LCQ Fleet.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000579\>\"", ",", 
     "\"\<name: MS1 spectrum\>\"", ",", 
     "\"\<def: \\\"Mass spectrum created by a single-stage MS experiment or \
the first stage of a multi-stage experiment.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"full spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Q1 spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Q3 spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Single-Stage Mass Spectrometry\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000580\>\"", ",", 
     "\"\<name: MSn spectrum\>\"", ",", 
     "\"\<def: \\\"MSn refers to multi-stage MS2 experiments designed to \
record product ion spectra where n is the number of product ion stages \
(progeny ions). For ion traps, sequential MS/MS experiments can be undertaken \
where n > 2 whereas for a simple triple quadrupole system n=2. Use the term \
ms level (MS:1000511) for specifying n.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"multiple-stage mass spectrometry spectrum\\\" EXACT []\
\>\"", ",", 
     "\"\<synonym: \\\"nth generation product ion spectrum\\\" EXACT []\>\"", 
     ",", "\"\<synonym: \\\"product ion spectrum\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000581\>\"", ",", 
     "\"\<name: CRM spectrum\>\"", ",", 
     "\"\<def: \\\"Spectrum generated from MSn experiment with three or more \
stages of m/z separation and in which a particular multi-step reaction path \
is monitored.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000582\>\"", ",", 
     "\"\<name: SIM spectrum\>\"", ",", 
     "\"\<def: \\\"Spectrum obtained with the operation of a mass \
spectrometer in which the abundances of one ion or several ions of specific \
m/z values are recorded rather than the entire mass spectrum (Selected Ion \
Monitoring).\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"MIM spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"multiple ion monitoring spectrum\\\" EXACT []\>\"", 
     ",", "\"\<synonym: \\\"selected ion monitoring spectrum\\\" EXACT \
[]\>\"", ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000583\>\"", ",", 
     "\"\<name: SRM spectrum\>\"", ",", 
     "\"\<def: \\\"Spectrum obtained when data are acquired from specific \
product ions corresponding to m/z values of selected precursor ions a \
recorded via two or more stages of mass spectrometry. The precursor/product \
ion pair is called a transition pair. Data can be obtained for a single \
transition pair or multiple transition pairs. Multiple time segments of \
different transition pairs can exist in a single file. Single precursor ions \
can have multiple product ions consitituting multiple transition pairs. \
Selected reaction monitoring can be performed as tandem mass spectrometry in \
time or tandem mass spectrometry in space.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"MRM spectrum\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"multiple reaction monitoring spectrum\\\" EXACT \
[]\>\"", ",", 
     "\"\<synonym: \\\"selected reaction monitoring spectrum\\\" EXACT \
[]\>\"", ",", "\"\<is_a: MS:1000294 ! mass spectrum\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000584\>\"", ",", 
     "\"\<name: mzML format\>\"", ",", 
     "\"\<def: \\\"Proteomics Standards Inititative mzML file format.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000585\>\"", ",", 
     "\"\<name: contact attribute\>\"", ",", 
     "\"\<def: \\\"Details about a person or organization to contact in case \
of concern or discussion about the file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000586\>\"", ",", "\"\<name: contact name\>\"", ",", 
     "\"\<def: \\\"Name of the contact person or organization.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000587\>\"", ",", 
     "\"\<name: contact address\>\"", ",", 
     "\"\<def: \\\"Postal address of the contact person or organization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000588\>\"", ",", 
     "\"\<name: contact URL\>\"", ",", 
     "\"\<def: \\\"Uniform Resource Locator related to the contact person or \
organization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000589\>\"", ",", 
     "\"\<name: contact email\>\"", ",", 
     "\"\<def: \\\"Email address of the contact person or organization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000590\>\"", ",", 
     "\"\<name: contact affiliation\>\"", ",", 
     "\"\<def: \\\"Home institution of the contact person.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000591\>\"", 
     ",", "\"\<name: MzWiff\>\"", ",", 
     "\"\<def: \\\"A software program for converting Applied Biosystems wiff \
file format to the mzXML or mzML format. MzWiff is currently maintained at \
the Institute for Systems Biology. It replaces the slower mzStar program.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001457 ! data processing software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000592\>\"", 
     ",", "\"\<name: smoothing\>\"", ",", 
     "\"\<def: \\\"A process of reducing spikes of intensity in order to \
reduce noise while preserving real peak signal. Many algorithms can be \
applied for this process.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000593\>\"", ",", 
     "\"\<name: baseline reduction\>\"", ",", 
     "\"\<def: \\\"A process of removal of varying intensities generated due \
to variable energy absorption before further processing can take place. \
Baseline reduction facilitates meaningful comparision between intensities of \
m/z values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000594\>\"", ",", 
     "\"\<name: low intensity data point removal\>\"", ",", 
     "\"\<def: \\\"The removal of very low intensity data points that are \
likely to be spurious noise rather than real signal.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"thresholding\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001486 ! data filtering\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000595\>\"", ",", 
     "\"\<name: time array\>\"", ",", 
     "\"\<def: \\\"A data array of relative time offset values from a \
reference time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000596\>\"", ",", 
     "\"\<name: measurement method\>\"", ",", 
     "\"\<def: \\\"An attribute of resolution when recording the detector \
response in absence of the analyte.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000597\>\"", ",", "\"\<name: ion optics type\>\"", ",", 
     "\"\<def: \\\"The electrical potential used to impart kinetic energy to \
ions in a mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000462 ! ion optics\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000598\>\"", ",", 
     "\"\<name: electron transfer dissociation\>\"", ",", 
     "\"\<def: \\\"A process to fragment ions in a mass spectrometer by \
inducing fragmentation of cations (e.g. peptides or proteins) by transferring \
electrons to them.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"ETD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000599\>\"", ",", 
     "\"\<name: pulsed q dissociation\>\"", ",", 
     "\"\<def: \\\"A process that involves precursor ion activation at high \
Q, a time delay to allow the precursor to fragment, then a rapid pulse to low \
Q where all fragment ions are trapped. The product ions can then be scanned \
out of the ion trap and detected.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"PQD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000600\>\"", ",", 
     "\"\<name: Proteios\>\"", ",", 
     "\"\<def: \\\"Database application and analysis platform for proteomics.\
\\\" [PSI:MS, source:http://www.proteios.org]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000601\>\"", ",", 
     "\"\<name: ProteinLynx Global Server\>\"", ",", 
     "\"\<def: \\\"Waters software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000694 ! Waters software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000602\>\"", ",", 
     "\"\<name: Shimadzu MALDI-TOF instrument model\>\"", ",", 
     "\"\<def: \\\"Shimadzu MALDI-TOF instrument model.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000124 ! Shimadzu instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000603\>\"", ",", 
     "\"\<name: Shimadzu Scientific Instruments instrument model\>\"", ",", 
     "\"\<def: \\\"Shimadzu Scientific Instruments instrument model.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000124 ! Shimadzu instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000604\>\"", 
     ",", "\"\<name: LCMS-IT-TOF\>\"", ",", 
     "\"\<def: \\\"Shimadzu Scientific Instruments LCMS-IT-TOF MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000603 ! Shimadzu Scientific Instruments instrument model\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000605\>\"", 
     ",", "\"\<name: LCMS-2010EV\>\"", ",", 
     "\"\<def: \\\"Shimadzu Scientific Instruments LCMS-2010EV MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000603 ! Shimadzu Scientific Instruments instrument model\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000606\>\"", 
     ",", "\"\<name: LCMS-2010A\>\"", ",", 
     "\"\<def: \\\"Shimadzu Scientific Instruments LCMS-2010A MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000603 ! Shimadzu Scientific Instruments instrument model\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000607\>\"", 
     ",", "\"\<name: AXIMA CFR MALDI-TOF\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA CFR MALDI-TOF MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000608\>\"", 
     ",", "\"\<name: AXIMA-QIT\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA-QIT MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000609\>\"", ",", 
     "\"\<name: AXIMA-CFR plus\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA-CFR plus MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000610\>\"", 
     ",", "\"\<name: AXIMA Performance MALDI-TOF/TOF\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA Performance MALDI-TOF/TOF MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000611\>\"", ",", 
     "\"\<name: AXIMA Confidence MALDI-TOF\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA Confidence MALDI-TOF (curved field \
reflectron) MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000612\>\"", ",", 
     "\"\<name: AXIMA Assurance Linear MALDI-TOF\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech AXIMA Assurance Linear MALDI-TOF MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000613\>\"", ",", 
     "\"\<name: DTA format\>\"", ",", 
     "\"\<def: \\\"SEQUEST DTA file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000614\>\"", ",", 
     "\"\<name: ProteinLynx Global Server mass spectrum XML format\>\"", ",", 
     "\"\<def: \\\"Peak list file format used by ProteinLynx Global Server.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000615\>\"", ",", 
     "\"\<name: ProteoWizard software\>\"", ",", 
     "\"\<def: \\\"ProteoWizard software for data processing and analysis. \
Primarily developed by the labs of P. Malick and D. Tabb.\\\" [PSI:MS]\>\"", 
     ",", "\"\<synonym: \\\"pwiz\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000616\>\"", ",", 
     "\"\<name: preset scan configuration\>\"", ",", 
     "\"\<def: \\\"A user-defined scan configuration that specifies the \
instrumental settings in which a spectrum is acquired. An instrument may \
cycle through a list of preset scan configurations to acquire data. This is a \
more generic term for the Thermo \\\\\\\"scan event\\\\\\\", which is defined \
in the Thermo Xcalibur glossary as: a mass spectrometer scan that is defined \
by choosing the necessary scan parameter settings. Multiple scan events can \
be defined for each segment of time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000617\>\"", ",", 
     "\"\<name: wavelength array\>\"", ",", 
     "\"\<def: \\\"A data array of electromagnetic radiation wavelength \
values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units UO:0000018 ! nanometer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000618\>\"", ",", 
     "\"\<name: highest observed wavelength\>\"", ",", 
     "\"\<def: \\\"Highest wavelength observed in an EMR spectrum.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000018 ! nanometer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000619\>\"", ",", 
     "\"\<name: lowest observed wavelength\>\"", ",", 
     "\"\<def: \\\"Lowest wavelength observed in an EMR spectrum.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000018 ! nanometer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000620\>\"", ",", 
     "\"\<name: PDA spectrum\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Spectrum generated from a photodiode array \
detector (ultraviolet/visible spectrum).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by \
absorption spectrum (MS:1000806).\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000621\>\"", ",", 
     "\"\<name: photodiode array detector\>\"", ",", 
     "\"\<def: \\\"An array detector used to record spectra in the \
ultraviolet and visible region of light.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"PDA\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000345 ! array detector\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000622\>\"", ",", 
     "\"\<name: Surveyor PDA\>\"", ",", 
     "\"\<def: \\\"Surveyor PDA.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000623\>\"", ",", 
     "\"\<name: Accela PDA\>\"", ",", 
     "\"\<def: \\\"Accela PDA.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000624\>\"", ",", 
     "\"\<name: inductive detector\>\"", ",", 
     "\"\<def: \\\"Inductive detector.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"image current detector\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000625\>\"", ",", 
     "\"\<name: chromatogram\>\"", ",", 
     "\"\<def: \\\"The representation of detector response versus time.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000626\>\"", ",", "\"\<name: chromatogram type\>\"", ",", 
     "\"\<def: \\\"Broad category or type of a chromatogram.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000625 ! chromatogram\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000627\>\"", 
     ",", "\"\<name: selected ion current chromatogram\>\"", ",", 
     "\"\<def: \\\"Chromatogram created by creating an array of the \
measurements of a specific single ion current at each time point.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"SIC chromatogram\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000628\>\"", ",", 
     "\"\<name: basepeak chromatogram\>\"", ",", 
     "\"\<def: \\\"Chromatogram created by creating an array of the most \
intense peaks at each time point.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000629\>\"", ",", 
     "\"\<name: low intensity threshold\>\"", ",", 
     "\"\<def: \\\"Threshold below which some action is taken.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000630\>\"", 
     ",", "\"\<name: data processing parameter\>\"", ",", 
     "\"\<def: \\\"Data processing parameter used in the data processing \
performed on the data file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000631\>\"", ",", "\"\<name: high intensity threshold\>\"", 
     ",", "\"\<def: \\\"Threshold above which some action is taken.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000632\>\"", 
     ",", "\"\<name: Q-Tof Premier\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Q-Tof Premier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000633\>\"", ",", 
     "\"\<name: possible charge state\>\"", ",", 
     "\"\<def: \\\"A possible charge state of the ion in a situation where \
the charge of an ion is known to be one of several possible values rather \
than a completely unknown value or determined to be a specific charge with \
reasonable certainty.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000634\>\"", 
     ",", "\"\<name: DSQ\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan DSQ GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000125 ! Thermo Finnigan instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000635\>\"", ",", 
     "\"\<name: ITQ 700\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific ITQ 700 GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000636\>\"", ",", 
     "\"\<name: ITQ 900\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific ITQ 900 GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000637\>\"", ",", 
     "\"\<name: ITQ 1100\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific ITQ 1100 GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000638\>\"", ",", 
     "\"\<name: LTQ XL ETD\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific LTQ XL MS with ETD.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000639\>\"", 
     ",", "\"\<name: LTQ Orbitrap XL ETD\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific LTQ Orbitrap XL MS with ETD.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000640\>\"", ",", 
     "\"\<name: DFS\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific DFS HR GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000641\>\"", ",", 
     "\"\<name: DSQ II\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific DSQ II GC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000642\>\"", ",", 
     "\"\<name: MALDI LTQ XL\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific MALDI LTQ XL MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000643\>\"", ",", 
     "\"\<name: MALDI LTQ Orbitrap\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific MALDI LTQ Orbitrap MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000644\>\"", 
     ",", "\"\<name: TSQ Quantum Access\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ Quantum Access MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000645\>\"", 
     ",", "\"\<name: Element XR\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Element XR HR-ICP-MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000646\>\"", 
     ",", "\"\<name: Element 2\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Element 2 HR-ICP-MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000647\>\"", 
     ",", "\"\<name: Element GD\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Element GD Glow Discharge MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000648\>\"", ",", 
     "\"\<name: GC IsoLink\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific GC IsoLink Isotope Ratio MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000649\>\"", ",", 
     "\"\<name: Exactive\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Exactive MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000650\>\"", ",", 
     "\"\<name: Proteome Discoverer\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific software for data analysis of peptides \
and proteins.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000693 ! Thermo Finnigan software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000651\>\"", ",", 
     "\"\<name: 3200 QTRAP\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX QTRAP 3200.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000652\>\"", ",", 
     "\"\<name: 4800 Plus MALDI TOF/TOF\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX 4800 Plus MALDI \
TOF-TOF Analyzer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000653\>\"", ",", 
     "\"\<name: API 3200\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX API 3200 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000654\>\"", ",", 
     "\"\<name: API 5000\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX API 5000 MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000655\>\"", ",", 
     "\"\<name: QSTAR Elite\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX QSTAR Elite.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000656\>\"", ",", 
     "\"\<name: QSTAR Pulsar\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX QSTAR Pulsar.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000657\>\"", ",", 
     "\"\<name: QSTAR XL\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX QSTAR XL.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000658\>\"", ",", 
     "\"\<name: 4800 Proteomics Analyzer\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX 4800 Proteomics Analyzer.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000495 ! Applied Biosystems instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000659\>\"", ",", 
     "\"\<name: 4000 Series Explorer Software\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems software for data acquisition \
and analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000661\>\"", ",", 
     "\"\<name: GPS Explorer\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems software for data acquisition \
and analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000662\>\"", ",", 
     "\"\<name: LightSight Software\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX software metabolite \
identification.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000663\>\"", ",", 
     "\"\<name: ProteinPilot Software\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems|MDS SCIEX software for protein \
ID and quant.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000664\>\"", ",", 
     "\"\<name: TissueView Software\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for tissue \
imaging.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000690 ! SCIEX software\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000665\>\"", ",", 
     "\"\<name: MarkerView Software\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for metabolomics and \
biomarker profiling.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000666\>\"", ",", 
     "\"\<name: MRMPilot Software\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for MRM assay \
development.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000667\>\"", ",", 
     "\"\<name: BioAnalyst\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for bio-related data \
exploration.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000668\>\"", ",", 
     "\"\<name: Pro ID\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for protein \
identification.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000669\>\"", ",", 
     "\"\<name: Pro ICAT\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for protein ID and \
quant by ICAT.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000670\>\"", ",", 
     "\"\<name: Pro Quant\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for protein ID and \
quant by iTRAQ.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000671\>\"", ",", 
     "\"\<name: Pro BLAST\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for MS-BLAST \
identification.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000672\>\"", ",", 
     "\"\<name: Cliquid\>\"", ",", 
     "\"\<def: \\\"SCIEX Cliquid software for data analysis and quantitation.\
\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000673\>\"", ",", 
     "\"\<name: MIDAS Workflow Designer\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for MRM assay \
development.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000674\>\"", ",", 
     "\"\<name: MultiQuant\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for MRM-based \
quantitation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000675\>\"", ",", 
     "\"\<name: 6220 Time-of-Flight LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6220 Time-of-Flight LC/MS is a Agilent liquid \
chromatography instrument combined with a Agilent time of flight mass \
spectrometer. This time of flight mass spectrometer has a m/z range of \
50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 \
at m/z 2722. It has multiple ion sources and can be used with multimode ion \
sources.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000676\>\"", ",", 
     "\"\<name: 6510 Quadrupole Time-of-Flight LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6510 Quadrupole Time-of-Flight LC/MS is a Agilent \
liquid chromatography instrument combined with a Agilent time of flight mass \
spectrometer. This time of flight mass spectrometer has a m/z range of \
50-12000, mass accuracy of less than 2 ppm and resolution greater than 13,000 \
at m/z 2722. It has multiple ion sources and can be used with multimode ion \
sources.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000677\>\"", ",", 
     "\"\<name: 6520 Quadrupole Time-of-Flight LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6520 Quadrupole Time-of-Flight LC/MS is a Agilent \
liquid chromatography instrument combined with a Agilent time of flight mass \
spectrometer. This time of flight mass spectrometer has a m/z range of \
50-12000, mass accuracy of less than 2 ppm and resolution greater than 26,000 \
at m/z 2722. It has multiple ion sources and can be used with multimode ion \
sources.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000678\>\"", ",", 
     "\"\<name: MassHunter Data Acquisition\>\"", ",", 
     "\"\<def: \\\"Software for data acquisition of 6000 series \
instruments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000679\>\"", ",", 
     "\"\<name: MassHunter Easy Access\>\"", ",", 
     "\"\<def: \\\"Software for open access data acquisition.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000680\>\"", ",", 
     "\"\<name: MassHunter Qualitative Analysis\>\"", ",", 
     "\"\<def: \\\"Software for data analysis of data from 6000 series \
instruments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000681\>\"", ",", 
     "\"\<name: MassHunter Quantitative Analysis\>\"", ",", 
     "\"\<def: \\\"Software for quantitation of Triple Quadrupole and \
Quadrupole Time-of-Flight data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000682\>\"", ",", 
     "\"\<name: MassHunter Metabolite ID\>\"", ",", 
     "\"\<def: \\\"Software for identification of metabolites.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000683\>\"", ",", 
     "\"\<name: MassHunter BioConfirm\>\"", ",", 
     "\"\<def: \\\"Software for protein characterization.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000684\>\"", ",", 
     "\"\<name: Genespring MS\>\"", ",", 
     "\"\<def: \\\"Software for quantitation and statistical analysis of TOF \
and Q-TOF LC/MS data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000685\>\"", ",", 
     "\"\<name: MassHunter Mass Profiler\>\"", ",", 
     "\"\<def: \\\"Software for quantitation and statistical analysis of TOF \
and Q-TOF LC/MS data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000686\>\"", ",", 
     "\"\<name: METLIN\>\"", ",", 
     "\"\<def: \\\"Personal Metabolite Database for MassHunter Workstation. \
Software for identification of human metabolites.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000687\>\"", ",", 
     "\"\<name: Spectrum Mill for MassHunter Workstation\>\"", ",", 
     "\"\<def: \\\"Software for protein identification and characterization \
of complex protein digest mixtures.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000688\>\"", ",", 
     "\"\<name: 6300 Series Ion Trap Data Analysis Software\>\"", ",", 
     "\"\<def: \\\"Software for data analysis of 6300 series ion trap mass \
spectrometers.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000689 ! Agilent software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000689\>\"", ",", 
     "\"\<name: Agilent software\>\"", ",", 
     "\"\<def: \\\"Agilent software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000690\>\"", ",", 
     "\"\<name: SCIEX software\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems software for data acquisition \
and analysis.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000691\>\"", 
     ",", "\"\<name: Applied Biosystems software\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX software for data acquisition \
and analysis.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000692\>\"", 
     ",", "\"\<name: Bruker software\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000693\>\"", ",", 
     "\"\<name: Thermo Finnigan software\>\"", ",", 
     "\"\<def: \\\"Thermo Finnigan software for data acquisition and \
analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Bioworks Browser\\\" RELATED []\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000694\>\"", ",", 
     "\"\<name: Waters software\>\"", ",", 
     "\"\<def: \\\"Waters software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000695\>\"", ",", 
     "\"\<name: apex ultra\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' apex ultra: ESI, MALDI, Nanospray, APCI, \
APPI, Qh-FT_ICR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001556 ! Bruker Daltonics apex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000696\>\"", ",", 
     "\"\<name: autoflex III smartbeam\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex III smartbeam: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000697\>\"", 
     ",", "\"\<name: Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCT Series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000698\>\"", ",", 
     "\"\<name: HCTultra\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCTultra: ESI TOF, Nanospray, APCI, \
APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000697 ! Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000699\>\"", ",", 
     "\"\<name: HCTultra PTM\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCTultra PTM: ESI TOF, Nanospray, APCI, \
APPI, PTR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000697 ! Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000700\>\"", ",", 
     "\"\<name: HCTultra ETD II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' HCTultra ETD II: ESI Q-TOF, Nanospray, \
APCI, APPI, ETD.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000697 ! Bruker Daltonics HCT Series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000701\>\"", ",", 
     "\"\<name: microflex LT\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' microflex LT: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000702\>\"", 
     ",", "\"\<name: micrOTOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF: ESI TOF, APCI, APPI.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000703\>\"", ",", 
     "\"\<name: micrOTOF-Q\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF-Q: ESI Q-TOF, Nanospray, APCI, \
APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000704\>\"", ",", 
     "\"\<name: micrOTOF-Q II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF-Q II: ESI Q-TOF, Nanospray, \
APCI, APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000705\>\"", ",", 
     "\"\<name: ultraflex III TOF/TOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' ultraflex III TOF/TOF: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000706\>\"", 
     ",", "\"\<name: apexControl\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000707\>\"", ",", 
     "\"\<name: BioTools\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000708\>\"", ",", 
     "\"\<name: CLINPROT\>\"", ",", 
     "\"\<def: \\\"Bruker CLINPROT software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000709\>\"", ",", 
     "\"\<name: CLINPROT micro\>\"", ",", 
     "\"\<def: \\\"Bruker CLINPROT micro software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000710\>\"", ",", 
     "\"\<name: CLINPROT robot\>\"", ",", 
     "\"\<def: \\\"Bruker CLINPROT robot software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000711\>\"", ",", 
     "\"\<name: ClinProTools\>\"", ",", 
     "\"\<def: \\\"Bruker ClinProTools software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000712\>\"", ",", 
     "\"\<name: Compass\>\"", ",", 
     "\"\<def: \\\"Bruker Compass software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000713\>\"", ",", 
     "\"\<name: Compass for HCT/esquire\>\"", ",", 
     "\"\<def: \\\"Bruker Compass for HCT/esquire software.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000714\>\"", ",", 
     "\"\<name: Compass for micrOTOF\>\"", ",", 
     "\"\<def: \\\"Bruker Compass for micrOTOF software.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000715\>\"", ",", 
     "\"\<name: Compass OpenAccess\>\"", ",", 
     "\"\<def: \\\"Bruker compass OpenAccess software.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000716\>\"", ",", 
     "\"\<name: Compass Security Pack\>\"", ",", 
     "\"\<def: \\\"Bruker compass Security Pack software.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000717\>\"", ",", 
     "\"\<name: CompassXport\>\"", ",", 
     "\"\<def: \\\"Bruker stand-alone software for data conversion.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000718\>\"", ",", 
     "\"\<name: CompassXtract\>\"", ",", 
     "\"\<def: \\\"Bruker software library for data access.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000719\>\"", ",", 
     "\"\<name: DataAnalysis\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000720\>\"", ",", 
     "\"\<name: dpControl\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000721\>\"", ",", 
     "\"\<name: esquireControl\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000722\>\"", ",", 
     "\"\<name: flexImaging\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000723\>\"", ",", 
     "\"\<name: GENOLINK\>\"", ",", 
     "\"\<def: \\\"Bruker GENOLINK software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000724\>\"", ",", 
     "\"\<name: GenoTools\>\"", ",", 
     "\"\<def: \\\"Bruker GenoTools software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000725\>\"", ",", 
     "\"\<name: HCTcontrol\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000726\>\"", ",", 
     "\"\<name: micrOTOFcontrol\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000727\>\"", ",", 
     "\"\<name: PolyTools\>\"", ",", 
     "\"\<def: \\\"Bruker PolyTools software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000728\>\"", ",", 
     "\"\<name: ProfileAnalysis\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000729\>\"", ",", 
     "\"\<name: PROTEINEER\>\"", ",", 
     "\"\<def: \\\"Bruker PROTEINEER software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000730\>\"", ",", 
     "\"\<name: PROTEINEER dp\>\"", ",", 
     "\"\<def: \\\"Bruker PROTEINEER dp software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000731\>\"", ",", 
     "\"\<name: PROTEINEER fc\>\"", ",", 
     "\"\<def: \\\"Bruker PROTEINEER fc software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000732\>\"", ",", 
     "\"\<name: PROTEINEER spII\>\"", ",", 
     "\"\<def: \\\"Bruker PROTEINEER spII software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000733\>\"", ",", 
     "\"\<name: PROTEINEER-LC\>\"", ",", 
     "\"\<def: \\\"Bruker PROTEINEER-LC software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000734\>\"", ",", 
     "\"\<name: ProteinScape\>\"", ",", 
     "\"\<def: \\\"Bruker ProteinScape software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000735\>\"", ",", 
     "\"\<name: PureDisk\>\"", ",", 
     "\"\<def: \\\"BrukerPureDisk software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000736\>\"", ",", 
     "\"\<name: QuantAnalysis\>\"", ",", 
     "\"\<def: \\\"Bruker software for data analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000737\>\"", ",", 
     "\"\<name: spControl\>\"", ",", 
     "\"\<def: \\\"Bruker software for data acquisition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000738\>\"", ",", 
     "\"\<name: TargetAnalysis\>\"", ",", 
     "\"\<def: \\\"Bruker TargetAnalysis software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000739\>\"", ",", 
     "\"\<name: WARP-LC\>\"", ",", 
     "\"\<def: \\\"Bruker WARP-LC software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000740\>\"", ",", 
     "\"\<name: parameter file\>\"", ",", 
     "\"\<def: \\\"Parameter file used to configure the acquisition of raw \
data on the instrument.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000741\>\"", ",", 
     "\"\<name: Conversion to dta\>\"", ",", 
     "\"\<def: \\\"Conversion to dta format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000530 ! file format conversion\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000742\>\"", ",", 
     "\"\<name: Bioworks SRF format\>\"", ",", 
     "\"\<def: \\\"Thermo Finnigan SRF file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000743\>\"", ",", 
     "\"\<name: TSQ Quantum Ultra AM\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ Quantum Ultra AM.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000744\>\"", 
     ",", "\"\<name: selected ion m/z\>\"", ",", 
     "\"\<def: \\\"Mass-to-charge ratio of an selected ion.\\\" [PSI:MS]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000745\>\"", ",", 
     "\"\<name: retention time alignment\>\"", ",", 
     "\"\<def: \\\"The correction of the spectrum scan times, as used e.g. in \
label-free proteomics.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000746\>\"", ",", 
     "\"\<name: high intensity data point removal\>\"", ",", 
     "\"\<def: \\\"The removal of very high intensity data points.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001486 ! data filtering\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000747\>\"", ",", 
     "\"\<name: completion time\>\"", ",", 
     "\"\<def: \\\"The time that a data processing action was finished.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:date \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000748\>\"", ",", 
     "\"\<name: SSQ 7000\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan SSQ 7000 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000749\>\"", ",", 
     "\"\<name: TSQ 7000\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TSQ 7000 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000750\>\"", ",", 
     "\"\<name: TSQ\>\"", ",", 
     "\"\<def: \\\"ThermoFinnigan TSQ MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000493 ! Finnigan MAT instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000751\>\"", ",", 
     "\"\<name: TSQ Quantum Ultra\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ Quantum Ultra.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000752\>\"", 
     ",", "\"\<name: TOPP software\>\"", ",", 
     "\"\<def: \\\"TOPP (The OpenMS proteomics pipeline) software.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000753\>\"", ",", 
     "\"\<name: BaselineFilter\>\"", ",", 
     "\"\<def: \\\"Removes the baseline from profile spectra using a top-hat \
filter.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000754\>\"", 
     ",", "\"\<name: DBExporter\>\"", ",", 
     "\"\<def: \\\"Exports data from an OpenMS database to a file.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000755\>\"", ",", 
     "\"\<name: DBImporter\>\"", ",", 
     "\"\<def: \\\"Imports data to an OpenMS database.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000756\>\"", ",", 
     "\"\<name: FileConverter\>\"", ",", 
     "\"\<def: \\\"Converts between different MS file formats.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000757\>\"", ",", 
     "\"\<name: FileFilter\>\"", ",", 
     "\"\<def: \\\"Extracts or manipulates portions of data from peak, \
feature or consensus feature files.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000758\>\"", ",", 
     "\"\<name: FileMerger\>\"", ",", 
     "\"\<def: \\\"Merges several MS files into one file.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000759\>\"", ",", 
     "\"\<name: InternalCalibration\>\"", ",", 
     "\"\<def: \\\"Applies an internal calibration.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000760\>\"", ",", 
     "\"\<name: MapAligner\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Corrects retention time distortions between maps.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because it is replaced by the \
terms under the 'TOPP map aligner' (MS:1002147) branch.\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000761\>\"", ",", "\"\<name: MapNormalizer\>\"", ",", 
     "\"\<def: \\\"Normalizes peak intensities in an MS run.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000762\>\"", ",", 
     "\"\<name: NoiseFilter\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Removes noise from profile spectra by using \
different smoothing techniques.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because it is replaced by the \
terms under the 'TOPP noise filter' (MS:1002131) branch.\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000763\>\"", ",", "\"\<name: PeakPicker\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Finds mass spectrometric peaks in profile mass \
spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because it is replaced by the \
terms under the 'TOPP peak picker' (MS:1002134) branch.\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000764\>\"", ",", "\"\<name: Resampler\>\"", ",", 
     "\"\<def: \\\"Transforms an LC/MS map into a resampled map or a png \
image.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000765\>\"", 
     ",", "\"\<name: SpectraFilter\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Applies a filter to peak spectra.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because it is replaced by the \
terms under the 'TOPP spectra filter' (MS:1002137) branch.\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000766\>\"", ",", "\"\<name: TOFCalibration\>\"", ",", 
     "\"\<def: \\\"Applies time of flight calibration.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000767\>\"", ",", 
     "\"\<name: native spectrum identifier format\>\"", ",", 
     "\"\<def: \\\"Describes how the native spectrum identifiers are \
formated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"nativeID format\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1000577 ! raw data file\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000768\>\"", ",", 
     "\"\<name: Thermo nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by \
controllerType=xsd:nonNegativeInteger controllerNumber=xsd:positiveInteger \
scan=xsd:positiveInteger.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000769\>\"", ",", 
     "\"\<name: Waters nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by function=xsd:positiveInteger \
process=xsd:nonNegativeInteger scan=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000770\>\"", 
     ",", "\"\<name: WIFF nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by sample=xsd:nonNegativeInteger \
period=xsd:nonNegativeInteger cycle=xsd:nonNegativeInteger \
experiment=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000771\>\"", ",", 
     "\"\<name: Bruker/Agilent YEP nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by scan=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000772\>\"", ",", 
     "\"\<name: Bruker BAF nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by scan=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000773\>\"", ",", 
     "\"\<name: Bruker FID nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by file=xsd:IDREF.\\\" [PSI:MS]\>\"",
      ",", "\"\<comment: The nativeID must be the same as the source file ID.\
\>\"", ",", "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000774\>\"", 
     ",", "\"\<name: multiple peak list nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by index=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: Used for conversion of peak list files with multiple \
spectra, i.e. MGF, PKL, merged DTA files. Index is the spectrum number in the \
file, starting from 0.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000775\>\"", ",", 
     "\"\<name: single peak list nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by file=xsd:IDREF.\\\" [PSI:MS]\>\"",
      ",", "\"\<comment: The nativeID must be the same as the source file ID. \
Used for conversion of peak list files with one spectrum per file, typically \
folder of PKL or DTAs, each sourceFileRef is different.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000776\>\"", ",", 
     "\"\<name: scan number only nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by scan=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: Used for conversion from mzXML, or DTA folder where native \
scan numbers can be derived.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000777\>\"", ",", 
     "\"\<name: spectrum identifier nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by \
spectrum=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: Used for conversion from mzData. The spectrum id attribute \
is referenced.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000778\>\"", ",", 
     "\"\<name: charge state calculation\>\"", ",", 
     "\"\<def: \\\"A process that infers the charge state of an MSn \
spectrum's precursor(s) by the application of some algorithm.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000779\>\"", ",", 
     "\"\<name: below precursor intensity dominance charge state \
calculation\>\"", ",", 
     "\"\<def: \\\"Infers charge state as single or ambiguously multiple by \
determining the fraction of intensity below the precursor m/z.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000778 ! charge state calculation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000780\>\"", ",", 
     "\"\<name: precursor recalculation\>\"", ",", 
     "\"\<def: \\\"A process that recalculates existing precursor selected \
ions with one or more algorithmically determined precursor selected ions.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000781\>\"", ",", 
     "\"\<name: msPrefix precursor recalculation\>\"", ",", 
     "\"\<def: \\\"Recalculates one or more precursor selected ions by peak \
detection in the isolation windows of high accuracy MS precursor scans.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000780 ! precursor recalculation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000782\>\"", 
     ",", "\"\<name: Savitzky-Golay smoothing\>\"", ",", 
     "\"\<def: \\\"Reduces intensity spikes by applying local polynomial \
regression (of degree k) on a distribution (of at least k+1 equally spaced \
points) to determine the smoothed value for each point. It tends to preserve \
features of the distribution such as relative maxima, minima and width, which \
are usually 'flattened' by other adjacent averaging techniques.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000592 ! smoothing\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000783\>\"", ",", 
     "\"\<name: LOWESS smoothing\>\"", ",", 
     "\"\<def: \\\"Reduces intensity spikes by applying a modelling method \
known as locally weighted polynomial regression. At each point in the data \
set a low-degree polynomial is fit to a subset of the data, with explanatory \
variable values near the point whose response is being estimated. The \
polynomial is fit using weighted least squares, giving more weight to points \
near the point whose response is being estimated and less weight to points \
further away. The value of the regression function for the point is then \
obtained by evaluating the local polynomial using the explanatory variable \
values for that data point. The LOESS fit is complete after regression \
function values have been computed for each of the n data points. Many of the \
details of this method, such as the degree of the polynomial model and the \
weights, are flexible.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000592 ! smoothing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000784\>\"", ",", 
     "\"\<name: Gaussian smoothing\>\"", ",", 
     "\"\<def: \\\"Reduces intensity spikes by convolving the data with a \
one-dimensional Gaussian function.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"binomial smoothing\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Weierstrass transform\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000592 ! smoothing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000785\>\"", ",", 
     "\"\<name: moving average smoothing\>\"", ",", 
     "\"\<def: \\\"Reduces intensity spikes by averaging each point with two \
or more adjacent points. The more adjacent points that used, the stronger the \
smoothing effect.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"box smoothing\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"boxcar smoothing\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"sliding average smoothing\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000592 ! smoothing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000786\>\"", ",", 
     "\"\<name: non-standard data array\>\"", ",", 
     "\"\<def: \\\"A data array that contains data not covered by any other \
term in this group. Please do not use this term, if the binary data array \
type might be commonly used - contact the PSI-MS working group in order to \
have another CV term added.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000519 \\\"32-bit integer\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit \
float\\\"\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000522 \\\"64-bit integer\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1001479 \\\"null-terminated ASCII \
string\\\"\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000787\>\"", ",", 
     "\"\<name: inclusive low intensity threshold\>\"", ",", 
     "\"\<def: \\\"Threshold at or below which some action is taken.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000788\>\"", 
     ",", "\"\<name: inclusive high intensity threshold\>\"", ",", 
     "\"\<def: \\\"Threshold at or above which some action is taken.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<relationship: has_units UO:0000269 ! absorbance unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000789\>\"", 
     ",", "\"\<name: enhanced multiply charged spectrum\>\"", ",", 
     "\"\<def: \\\"MS1 spectrum that is enriched in multiply-charged ions \
compared to singly-charged ions.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000579 ! MS1 spectrum\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000790\>\"", ",", 
     "\"\<name: time-delayed fragmentation spectrum\>\"", ",", 
     "\"\<def: \\\"MSn spectrum in which the product ions are collected after \
a time delay, which allows the observation of lower energy fragmentation \
processes after precursor ion activation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000580 ! MSn spectrum\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000791\>\"", ",", 
     "\"\<name: enhanced resolution scan\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Scan with enhanced resolution.\\\" [PSI:MS]\>\"", 
     ",", 
     "\"\<comment: This term was made obsolete because it was merged with \
zoom scan (MS:1000497).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000792\>\"", ",", 
     "\"\<name: isolation window attribute\>\"", ",", 
     "\"\<def: \\\"Isolation window parameter.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000441 ! scan\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000793\>\"", ",", 
     "\"\<name: isolation window upper limit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The highest m/z being isolated in an isolation \
window.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was obsoleted in favour of using a target, \
lower, upper offset scheme. See terms 1000827-1000829.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000792 ! isolation window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000794\>\"", ",", 
     "\"\<name: isolation window lower limit\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The lowest m/z being isolated in an isolation \
window.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was obsoleted in favour of using a target, \
lower, upper offset scheme. See terms 1000827-1000829.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000792 ! isolation window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000795\>\"", ",", "\"\<name: no combination\>\"", ",", 
     "\"\<def: \\\"Use this term if only one scan was recorded or there is no \
information about scans available.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000570 ! spectra combination\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000796\>\"", ",", 
     "\"\<name: spectrum title\>\"", ",", 
     "\"\<def: \\\"A free-form text title describing a spectrum.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<comment: This is the preferred storage place for the spectrum TITLE \
from an MGF peak list.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000797\>\"", 
     ",", "\"\<name: peak list scans\>\"", ",", 
     "\"\<def: \\\"A list of scan numbers and or scan ranges associated with \
a peak list. If possible the list of scans should be converted to native \
spectrum identifiers instead of using this term.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This is the preferred storage place for the spectrum SCANS \
attribute from an MGF peak list.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000798\>\"", 
     ",", "\"\<name: peak list raw scans\>\"", ",", 
     "\"\<def: \\\"A list of raw scans and or scan ranges used to generate a \
peak list. If possible the list of scans should be converted to native \
spectrum identifiers instead of using this term.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This is the preferred storage place for the spectrum \
RAWSCANS attribute from an MGF peak list.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000499 ! spectrum attribute\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000799\>\"", 
     ",", "\"\<name: custom unreleased software tool\>\"", ",", 
     "\"\<def: \\\"A software tool that has not yet been released. The value \
should describe the software. Please do not use this term for publicly \
available software - contact the PSI-MS working group in order to have \
another CV term added.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000800\>\"", ",", 
     "\"\<name: mass resolving power\>\"", ",", 
     "\"\<def: \\\"The observed mass divided by the difference between two \
masses that can be separated: m/dm. The procedure by which dm was obtained \
and the mass at which the measurement was made should be reported.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000801\>\"", ",", 
     "\"\<name: area peak picking\>\"", ",", 
     "\"\<def: \\\"Spectral peak processing conducted on the acquired data to \
convert profile data to centroided data. The area defined by all raw data \
points that belong to the peak is reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"sum peak picking\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000035 ! peak picking\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000802\>\"", ",", 
     "\"\<name: height peak picking\>\"", ",", 
     "\"\<def: \\\"Spectral peak processing conducted on the acquired data to \
convert profile data to centroided data. The maximum intensity of all raw \
data points that belong to the peak is reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"max peak picking\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000035 ! peak picking\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000803\>\"", ",", 
     "\"\<name: analyzer scan offset\>\"", ",", 
     "\"\<def: \\\"Offset between two analyzers in a constant neutral loss or \
neutral gain scan. The value corresponds to the neutral loss or neutral gain \
value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000804\>\"", ",", 
     "\"\<name: electromagnetic radiation spectrum\>\"", ",", 
     "\"\<def: \\\"A plot of the relative intensity of electromagnetic \
radiation as a function of the wavelength.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"EMR spectrum\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000805\>\"", ",", 
     "\"\<name: emission spectrum\>\"", ",", 
     "\"\<def: \\\"A plot of the relative intensity of electromagnetic \
radiation emitted by atoms or molecules when excited.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000806\>\"", ",", 
     "\"\<name: absorption spectrum\>\"", ",", 
     "\"\<def: \\\"A plot of the relative intensity of electromagnetic \
radiation absorbed by atoms or molecules when excited.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000807\>\"", ",", 
     "\"\<name: Th/s\>\"", ",", 
     "\"\<def: \\\"Unit describing the scan rate of a spectrum in Thomson per \
second.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: UO:0000000 ! unit\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000808\>\"", ",", 
     "\"\<name: chromatogram attribute\>\"", ",", 
     "\"\<def: \\\"Chromatogram properties that are associated with a \
value.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", 
     ",", "\"\<relationship: part_of MS:1000625 ! chromatogram\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000809\>\"", ",", 
     "\"\<name: chromatogram title\>\"", ",", 
     "\"\<def: \\\"A free-form text title describing a chromatogram.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This is the preferred storage place for the spectrum \
title.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000808 ! chromatogram attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000810\>\"", 
     ",", "\"\<name: mass chromatogram\>\"", ",", 
     "\"\<def: \\\"A plot of the relative abundance of a beam or other \
collection of ions as a function of the retention time.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000626 ! chromatogram type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000811\>\"", ",", 
     "\"\<name: electromagnetic radiation chromatogram\>\"", ",", 
     "\"\<def: \\\"The measurement of electromagnetic properties as a \
function of the retention time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"EMR radiation chromatogram\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000626 ! chromatogram type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000812\>\"", ",", 
     "\"\<name: absorption chromatogram\>\"", ",", 
     "\"\<def: \\\"The measurement of light absorbed by the sample as a \
function of the retention time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000811 ! electromagnetic radiation chromatogram\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000813\>\"", 
     ",", "\"\<name: emission chromatogram\>\"", ",", 
     "\"\<def: \\\"The measurement of light emitted by the sample as a \
function of the retention time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000811 ! electromagnetic radiation chromatogram\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000814\>\"", 
     ",", "\"\<name: counts per second\>\"", ",", 
     "\"\<def: \\\"The number of counted events observed per second in one or \
a group of elements of a detector.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000043 ! intensity unit\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000815\>\"", ",", 
     "\"\<name: Bruker BAF format\>\"", ",", 
     "\"\<def: \\\"Bruker BAF raw file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000816\>\"", ",", 
     "\"\<name: Bruker U2 format\>\"", ",", 
     "\"\<def: \\\"Bruker HyStar U2 file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000817\>\"", ",", 
     "\"\<name: HyStar\>\"", ",", 
     "\"\<def: \\\"Bruker software for hyphenated experiments.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000818\>\"", ",", 
     "\"\<name: Acquity UPLC PDA\>\"", ",", 
     "\"\<def: \\\"Acquity UPLC Photodiode Array Detector.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<is_a: MS:1000621 ! photodiode array detector\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000819\>\"", ",", 
     "\"\<name: Acquity UPLC FLR\>\"", ",", 
     "\"\<def: \\\"Acquity UPLC Fluorescence Detector.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<is_a: MS:1002308 ! fluorescence detector\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000820\>\"", ",", 
     "\"\<name: flow rate array\>\"", ",", 
     "\"\<def: \\\"A data array of flow rate measurements.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit \
float\\\"\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit float\\\"\>\"", 
     ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000821\>\"", ",", 
     "\"\<name: pressure array\>\"", ",", 
     "\"\<def: \\\"A data array of pressure measurements.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit \
float\\\"\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit float\\\"\>\"", 
     ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units UO:0000110 ! pascal\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000822\>\"", ",", 
     "\"\<name: temperature array\>\"", ",", 
     "\"\<def: \\\"A data array of temperature measurements.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units UO:0000012 ! kelvin\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000823\>\"", ",", 
     "\"\<name: Bruker U2 nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by \
declaration=xsd:nonNegativeInteger collection=xsd:nonNegativeInteger \
scan=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000824\>\"", ",", 
     "\"\<name: no nativeID format\>\"", ",", 
     "\"\<def: \\\"No nativeID format indicates that the file tagged with \
this term does not contain spectra that can have a nativeID format.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000825\>\"", ",", 
     "\"\<name: Bruker FID format\>\"", ",", 
     "\"\<def: \\\"Bruker FID file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000826\>\"", ",", 
     "\"\<name: elution time\>\"", ",", 
     "\"\<def: \\\"The time of elution from all used chromatographic columns \
(one or more) in the chromatographic separation step, relative to the start \
of the chromatography.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000827\>\"", ",", 
     "\"\<name: isolation window target m/z\>\"", ",", 
     "\"\<def: \\\"The primary or reference m/z about which the isolation \
window is defined.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000792 ! isolation window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000828\>\"", ",", 
     "\"\<name: isolation window lower offset\>\"", ",", 
     "\"\<def: \\\"The extent of the isolation window in m/z below the \
isolation window target m/z. The lower and upper offsets may be asymmetric \
about the target m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000792 ! isolation window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000829\>\"", ",", 
     "\"\<name: isolation window upper offset\>\"", ",", 
     "\"\<def: \\\"The extent of the isolation window in m/z above the \
isolation window target m/z. The lower and upper offsets may be asymmetric \
about the target m/z.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000792 ! isolation window attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000831\>\"", ",", 
     "\"\<name: sample preparation\>\"", ",", 
     "\"\<def: \\\"Properties of the preparation steps which took place \
before the measurement was performed.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000548 ! sample attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000832\>\"", ",", 
     "\"\<name: MALDI matrix application\>\"", ",", 
     "\"\<def: \\\"Attributes to describe the technique how the sample is \
prepared with the matrix solution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000831 ! sample preparation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000833\>\"", ",", 
     "\"\<name: matrix application type\>\"", ",", 
     "\"\<def: \\\"Describes the technique how the matrix is put on the \
sample target.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000832 ! MALDI matrix application\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000834\>\"", 
     ",", "\"\<name: matrix solution\>\"", ",", 
     "\"\<def: \\\"Describes the chemical solution used as matrix.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000832 ! MALDI matrix application\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000835\>\"", 
     ",", "\"\<name: matrix solution concentration\>\"", ",", 
     "\"\<def: \\\"Concentration of the chemical solution used as matrix.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000832 ! MALDI matrix application\>\"",
      ",", "\"\<relationship: has_units UO:0000175 ! gram per liter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000836\>\"", 
     ",", "\"\<name: dried droplet MALDI matrix preparation\>\"", ",", 
     "\"\<def: \\\"Dried droplet in MALDI matrix preparation.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000833 ! matrix application type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000837\>\"", 
     ",", "\"\<name: printed MALDI matrix preparation\>\"", ",", 
     "\"\<def: \\\"Printed MALDI matrix preparation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000838\>\"", ",", 
     "\"\<name: sprayed MALDI matrix preparation\>\"", ",", 
     "\"\<def: \\\"Sprayed MALDI matrix preparation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000839\>\"", ",", 
     "\"\<name: precoated MALDI sample plate\>\"", ",", 
     "\"\<def: \\\"Precoated MALDI sample plate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", 
     "\"\<is_a: MS:1001938 ! sample plate type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000840\>\"", ",", 
     "\"\<name: laser\>\"", ",", 
     "\"\<def: \\\"Device that emits light (electromagnetic radiation) \
through a process called stimulated emission. The term is an acronym for \
Light Amplification by Stimulated Emission of Radiation.\\\" [PSI:MS]\>\"", 
     ",", "\"\<relationship: part_of MS:1000482 ! source attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000841\>\"", ",", 
     "\"\<name: laser attribute\>\"", ",", 
     "\"\<def: \\\"Laser properties that are associated with a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000840 ! laser\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000842\>\"", ",", 
     "\"\<name: laser type\>\"", ",", 
     "\"\<def: \\\"Type of laser used for desorption purpose.\\\" \
[PSI:MS]\>\"", ",", "\"\<relationship: part_of MS:1000840 ! laser\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000843\>\"", ",", 
     "\"\<name: wavelength\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The distance between two peaks of the emitted \
laser beam.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
the Pato Ontology term wavelength (UO:0001242).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000018 ! nanometer\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000844\>\"", ",", "\"\<name: focus diameter x\>\"", 
     ",", "\"\<def: \\\"Describes the diameter of the laser beam in x \
direction.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000017 ! micrometer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000845\>\"", ",", 
     "\"\<name: focus diameter y\>\"", ",", 
     "\"\<def: \\\"Describes the diameter of the laser beam in y direction.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000017 ! micrometer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000846\>\"", ",", 
     "\"\<name: pulse energy\>\"", ",", 
     "\"\<def: \\\"Describes output energy of the laser system. May be \
attenuated by filters or other means.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000112 ! joule\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000847\>\"", ",", 
     "\"\<name: pulse duration\>\"", ",", 
     "\"\<def: \\\"Describes how long the laser beam was emitted from the \
laser device.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000150 ! nanosecond\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000848\>\"", ",", 
     "\"\<name: attenuation\>\"", ",", 
     "\"\<def: \\\"Describes the reduction of the intensity of the laser beam \
energy.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000849\>\"", ",", 
     "\"\<name: impact angle\>\"", ",", 
     "\"\<def: \\\"Describes the angle between the laser beam and the sample \
target.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000841 ! laser attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000185 ! degree\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000850\>\"", ",", 
     "\"\<name: gas laser\>\"", ",", 
     "\"\<def: \\\"Laser which is powered by a gaseous medium.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000842 ! laser type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000851\>\"", ",", 
     "\"\<name: solid-state laser\>\"", ",", 
     "\"\<def: \\\"Solid state laser materials are commonly made by doping a \
crystalline solid host with ions that provide the required energy states.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000842 ! laser type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000852\>\"", ",", 
     "\"\<name: dye-laser\>\"", ",", 
     "\"\<def: \\\"Dye lasers use an organic dye as the gain medium.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000842 ! laser type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000853\>\"", ",", 
     "\"\<name: free electron laser\>\"", ",", 
     "\"\<def: \\\"Free electron laser uses a relativistic electron beam as \
the lasing medium which move freely through a magnetic structure, hence the \
term.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000842 ! laser type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000854\>\"", ",", 
     "\"\<name: LTQ XL\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific LTQ XL MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000855\>\"", ",", 
     "\"\<name: LTQ Velos\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific LTQ Velos MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000856\>\"", ",", 
     "\"\<name: LTQ Velos ETD\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific LTQ Velos MS with ETD.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000857\>\"", 
     ",", "\"\<name: run attribute\>\"", ",", 
     "\"\<def: \\\"Properties of the described run.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000858\>\"", ",", 
     "\"\<name: fraction identifier\>\"", ",", 
     "\"\<def: \\\"Identier string that describes the sample fraction. This \
identifier should contain the fraction number(s) or similar information.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000857 ! run attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000859\>\"", ",", 
     "\"\<name: molecule\>\"", ",", 
     "\"\<def: \\\"A molecules is a fundamental component of a chemical \
compound that is the smallest part of the compound that can participate in a \
chemical reaction.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000881 ! chemical compound\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000860\>\"", ",", 
     "\"\<name: peptide\>\"", ",", 
     "\"\<def: \\\"A compound of low molecular weight that is composed of two \
or more amino acids.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000881 ! chemical compound\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000861\>\"", ",", 
     "\"\<name: chemical compound attribute\>\"", ",", 
     "\"\<def: \\\"A describable property of a chemical compound.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000881 ! chemical compound\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000862\>\"", ",", 
     "\"\<name: isoelectric point\>\"", ",", 
     "\"\<def: \\\"The pH of a solution at which a charged molecule does not \
migrate in an electric field.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"pI\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000861 ! chemical compound attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000863\>\"", ",", 
     "\"\<name: predicted isoelectric point\>\"", ",", 
     "\"\<def: \\\"The pH of a solution at which a charged molecule would not \
migrate in an electric field, as predicted by a software algorithm.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"predicted pI\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000862 ! isoelectric point\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000864\>\"", ",", 
     "\"\<name: chemical compound formula\>\"", ",", 
     "\"\<def: \\\"A combination of symbols used to express the chemical \
composition of a compound.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000881 ! chemical compound\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000865\>\"", ",", 
     "\"\<name: empirical formula\>\"", ",", 
     "\"\<def: \\\"A chemical formula which expresses the proportions of the \
elements present in a substance.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000864 ! chemical compound formula\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000866\>\"", ",", 
     "\"\<name: molecular formula\>\"", ",", 
     "\"\<def: \\\"A chemical compound formula expressing the number of atoms \
of each element present in a compound, without indicating how they are \
linked.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000864 ! chemical compound formula\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000867\>\"", ",", 
     "\"\<name: structural formula\>\"", ",", 
     "\"\<def: \\\"A chemical formula showing the number of atoms of each \
element in a molecule, their spatial arrangement, and their linkage to each \
other.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000864 ! chemical compound formula\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000868\>\"", ",", 
     "\"\<name: SMILES string\>\"", ",", 
     "\"\<def: \\\"The simplified molecular input line entry specification or \
SMILES is a specification for unambiguously describing the structure of a \
chemical compound using a short ASCII string.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000864 ! chemical compound formula\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000869\>\"", ",", 
     "\"\<name: collision gas pressure\>\"", ",", 
     "\"\<def: \\\"The gas pressure of the collision gas used for collisional \
excitation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000110 ! pascal\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000870\>\"", ",", 
     "\"\<name: 4000 QTRAP\>\"", ",", 
     "\"\<def: \\\"OBSOLETE SCIEX or Applied Biosystems|MDS SCIEX QTRAP 4000.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was obsoleted because was redundant to \
MS:1000139.\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1000871\>\"", ",", "\"\<name: SRM software\>\"", ",", 
     "\"\<def: \\\"Software used to predict, select, or optimize transitions \
or analyze the results of selected reaction monitoring runs.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000872\>\"", ",", 
     "\"\<name: MaRiMba\>\"", ",", 
     "\"\<def: \\\"Software used to predict transitions for selected reaction \
monitoring experiments based on observed spectrum libraries developed and \
distributed by the Institute for Systems Biology.\\\" \
[http://tools.proteomecenter.org/wiki/index.php?title=Software:TPP-MaRiMba]\>\
\"", ",", "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000873\>\"", ",", 
     "\"\<name: peptide attribute calculation software\>\"", ",", 
     "\"\<def: \\\"Software used to predict or calculate numerical attributes \
of peptides.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000874\>\"", 
     ",", "\"\<name: SSRCalc\>\"", ",", 
     "\"\<def: \\\"Sequence Specific Retention Calculator estimates the \
retention time of peptides based on their sequence.\\\" \
[http://hs2.proteome.ca/SSRCalc/SSRCalc.html]\>\"", ",", 
     "\"\<is_a: MS:1000873 ! peptide attribute calculation software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000875\>\"", 
     ",", "\"\<name: declustering potential\>\"", ",", 
     "\"\<def: \\\"Potential difference between the orifice and the skimmer \
in volts.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000876\>\"", ",", 
     "\"\<name: cone voltage\>\"", ",", 
     "\"\<def: \\\"Potential difference between the sampling cone/orifice in \
volts.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000877\>\"", ",", 
     "\"\<name: tube lens voltage\>\"", ",", 
     "\"\<def: \\\"Potential difference setting of the tube lens in \
volts.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000878\>\"", ",", 
     "\"\<name: external reference identifier\>\"", ",", 
     "\"\<def: \\\"An identifier/accession number to an external reference \
database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000879\>\"", ",", "\"\<name: PubMed identifier\>\"", 
     ",", "\"\<def: \\\"A unique identifier for a publication in the PubMed \
database (MIR:00000015).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000880\>\"", ",", 
     "\"\<name: interchannel delay\>\"", ",", 
     "\"\<def: \\\"The duration of intervals between scanning, during which \
the instrument configuration is switched.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000881\>\"", ",", 
     "\"\<name: chemical compound\>\"", ",", 
     "\"\<def: \\\"A substance formed by chemical union of two or more \
elements or ingredients in definite proportion by weight.\\\" [PSI:MS]\>\"", 
     ",", "\"\<relationship: part_of MS:0000000 ! Proteomics Standards \
Initiative Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000882\>\"", ",", 
     "\"\<name: protein\>\"", ",", 
     "\"\<def: \\\"A compound composed of one or more chains of amino acids \
in a specific order determined by the base sequence of nucleotides in the DNA \
coding for the protein.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000881 ! chemical compound\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000883\>\"", ",", 
     "\"\<name: protein short name\>\"", ",", 
     "\"\<def: \\\"A short name or symbol of a protein (e.g., HSF 1 or \
HSF1_HUMAN).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000884 ! protein attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000884\>\"", ",", 
     "\"\<name: protein attribute\>\"", ",", 
     "\"\<def: \\\"An nonphysical attribute describing a specific \
protein.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000882 ! protein\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000885\>\"", ",", 
     "\"\<name: protein accession\>\"", ",", 
     "\"\<def: \\\"Accession number for a specific protein in a database.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000884 ! protein attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000886\>\"", ",", 
     "\"\<name: protein name\>\"", ",", 
     "\"\<def: \\\"A long name describing the function of the protein.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000884 ! protein attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000887\>\"", ",", 
     "\"\<name: peptide attribute\>\"", ",", 
     "\"\<def: \\\"A nonphysical attribute that can be used to describe a \
peptide.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000860 ! peptide\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000888\>\"", ",", 
     "\"\<name: unmodified peptide sequence\>\"", ",", 
     "\"\<def: \\\"A sequence of letter symbols denoting the order of amino \
acids that compose the peptide, without encoding any amino acid mass \
modifications that might be present.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000887 ! peptide attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000889\>\"", ",", 
     "\"\<name: modified peptide sequence\>\"", ",", 
     "\"\<def: \\\"A sequence of letter symbols denoting the order of amino \
acids that compose the peptide plus the encoding any amino acid modifications \
that are present.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: Make it more general as there are actually many other ways \
to display a modified peptide sequence.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000887 ! peptide attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000890\>\"", ",", 
     "\"\<name: peptide labeling state\>\"", ",", 
     "\"\<def: \\\"A state description of how a peptide might be isotopically \
or isobarically labelled.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000887 ! peptide attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000891\>\"", ",", 
     "\"\<name: heavy labeled peptide\>\"", ",", 
     "\"\<def: \\\"A peptide that has been created or labelled with some \
heavier-than-usual isotopes.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000890 ! peptide labeling state\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000892\>\"", ",", 
     "\"\<name: unlabeled peptide\>\"", ",", 
     "\"\<def: \\\"A peptide that has not been labelled with \
heavier-than-usual isotopes. This is often referred to as \\\\\\\"light\\\\\\\
\" to distinguish from \\\\\\\"heavy\\\\\\\".\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"light labeled peptide\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000890 ! peptide labeling state\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000893\>\"", ",", 
     "\"\<name: peptide group label\>\"", ",", 
     "\"\<def: \\\"An arbitrary string label used to mark a set of peptides \
that belong together in a set, whereby the members are differentiated by \
different isotopic labels. For example, the heavy and light forms of the same \
peptide will both be assigned the same peptide group label.\\\" [PSI:MS]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000887 ! peptide attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000894\>\"", ",", 
     "\"\<name: retention time\>\"", ",", 
     "\"\<def: \\\"A time interval from the start of chromatography when an \
analyte exits a chromatographic column.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000887 ! peptide attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000895\>\"", ",", 
     "\"\<name: local retention time\>\"", ",", 
     "\"\<def: \\\"A time interval from the start of chromatography when an \
analyte exits an unspecified local chromatographic column and instrumental \
setup.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000894 ! retention time\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000896\>\"", ",", 
     "\"\<name: normalized retention time\>\"", ",", 
     "\"\<def: \\\"A time interval from the start of chromatography when an \
analyte exits a standardized reference chromatographic column and \
instrumental setup.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000894 ! retention time\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000897\>\"", ",", 
     "\"\<name: predicted retention time\>\"", ",", 
     "\"\<def: \\\"A time interval from the start of chromatography when an \
analyte exits a chromatographic column as predicted by a referenced software \
application.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000894 ! retention time\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000898\>\"", ",", 
     "\"\<name: standard\>\"", ",", 
     "\"\<def: \\\"Something, such as a practice or a product, that is widely \
recognized or employed, especially because of its excellence.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1000899\>\"", ",", "\"\<name: de facto standard\>\"", 
     ",", "\"\<def: \\\"A practice or product that has become a standard not \
because it has been approved by a standards organization but because it is \
widely used and recognized by the industry as being standard.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000898 ! standard\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000900\>\"", ",", 
     "\"\<name: minimum information standard\>\"", ",", 
     "\"\<def: \\\"A specification of a minimum amount of information needed \
to reproduce or fully interpret a scientific result.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000898 ! standard\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000901\>\"", ",", 
     "\"\<name: retention time normalization standard\>\"", ",", 
     "\"\<def: \\\"A standard providing the retention times at which a set of \
reference compounds exit the reference chromatographic column.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000898 ! standard\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000902\>\"", ",", 
     "\"\<name: H-PINS retention time normalization standard\>\"", ",", 
     "\"\<def: \\\"The de facto standard providing the retention times at \
which a set of halogenated reference peptides exit the reference \
chromatographic column.\\\" [DOI:10.1074/mcp.M800569-MCP200, PMID:19411281]\>\
\"", ",", "\"\<is_a: MS:1000901 ! retention time normalization standard\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000903\>\"", 
     ",", "\"\<name: product ion series ordinal\>\"", ",", 
     "\"\<def: \\\"The ordinal of the fragment within a specified ion series. \
(e.g. 8 for a y8 ion).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000904\>\"", ",", 
     "\"\<name: product ion m/z delta\>\"", ",", 
     "\"\<def: \\\"The difference in m/z of the predicted m/z based on the \
assigned product ion minus the actual observed peak m/z.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000905\>\"", ",", 
     "\"\<name: percent of base peak times 100\>\"", ",", 
     "\"\<def: \\\"The magnitude of a peak expressed in terms of the \
percentage of the magnitude of the base peak intensity multiplied by 100. The \
base peak is therefore 10000. This unit is common in normalized spectrum \
libraries.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000043 ! intensity unit\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000906\>\"", ",", 
     "\"\<name: peak intensity rank\>\"", ",", 
     "\"\<def: \\\"Ordinal specifying the rank in intensity of a peak in a \
spectrum. Base peak is 1. The next most intense peak is 2, etc.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000231 ! peak\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000907\>\"", ",", 
     "\"\<name: peak targeting suitability rank\>\"", ",", 
     "\"\<def: \\\"Ordinal specifying the rank of a peak in a spectrum in \
terms of suitability for targeting. The most suitable peak is 1. The next \
most suitability peak is 2, etc. Suitability is algorithm and context \
dependant.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000231 ! peak\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000908\>\"", ",", 
     "\"\<name: transition\>\"", ",", 
     "\"\<def: \\\"A set of two m/z values corresponding to the precursor m/z \
and a fragment m/z that in combination can be used to identify or quantify a \
specific ion, although not necessarily uniquely.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"reaction\\\" EXACT []\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000909\>\"", ",", 
     "\"\<name: transition validation method\>\"", ",", 
     "\"\<def: \\\"The strategy used to validate that a transition is \
effective.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000908 ! transition\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000910\>\"", ",", 
     "\"\<name: transition optimized on specified instrument\>\"", ",", 
     "\"\<def: \\\"The transition has been optimized by direct injection of \
the peptide into an instrument specified in a separate term, and the optimum \
voltages and fragmentation energies have been determined.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000909 ! transition validation method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000911\>\"", ",", 
     "\"\<name: transition validated with an MS/MS spectrum on specified \
instrument\>\"", ",", 
     "\"\<def: \\\"The transition has been validated by obtaining an MS2 \
spectrum and demonstrating that the peak is detectable on the instrument \
specified with a separate term.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000909 ! transition validation method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000912\>\"", ",", 
     "\"\<name: transition purported from an MS/MS spectrum on a different, \
specified instrument\>\"", ",", 
     "\"\<def: \\\"The transition has been purported by obtaining an MS2 \
spectrum and demonstrating that the peak is detectable on the instrument \
specified with a separate term. However, the detecting instrument is of a \
different type (e.g. ion trap) than the instrument that the transition will \
eventually be used on (e.g. triple quad).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000909 ! transition validation method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000913\>\"", ",", 
     "\"\<name: transition predicted by informatic analysis\>\"", ",", 
     "\"\<def: \\\"The transition has been predicted by informatics software \
without any direct spectral evidence.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000909 ! transition validation method\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000914\>\"", ",", 
     "\"\<name: tab delimited text format\>\"", ",", 
     "\"\<def: \\\"A file format that has two or more columns of tabular data \
where each column is separated by a TAB character.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001459 ! file format\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000915\>\"", ",", 
     "\"\<name: retention time window attribute\>\"", ",", 
     "\"\<def: \\\"An attribute of a window in time about which a peptide \
might elute from the column.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000894 ! retention time\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000916\>\"", ",", 
     "\"\<name: retention time window lower offset\>\"", ",", 
     "\"\<def: \\\"The extent of the retention time window in time units \
below the target retention time. The lower and upper offsets may be \
asymmetric about the target time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000915 ! retention time window attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000917\>\"", ",", 
     "\"\<name: retention time window upper offset\>\"", ",", 
     "\"\<def: \\\"The extent of the retention time window in time units \
above the target retention time. The lower and upper offsets may be \
asymmetric about the target time.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000915 ! retention time window attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000918\>\"", ",", 
     "\"\<name: target list\>\"", ",", 
     "\"\<def: \\\"A list of peptides or compounds and their expected m/z \
coordinates that can be used to cause a mass spectrometry to obtain spectra \
of those molecules specifically.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1000919\>\"", ",", 
     "\"\<name: target inclusion exclusion priority\>\"", ",", 
     "\"\<def: \\\"A priority setting specifying whether included or excluded \
targets have priority over the other.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000918 ! target list\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000920\>\"", ",", 
     "\"\<name: includes supersede excludes\>\"", ",", 
     "\"\<def: \\\"A priority setting specifying that included targets have \
priority over the excluded targets if there is a conflict.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000919 ! target inclusion exclusion priority\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000921\>\"", 
     ",", "\"\<name: excludes supersede includes\>\"", ",", 
     "\"\<def: \\\"A priority setting specifying that excluded targets have \
priority over the included targets if there is a conflict.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000919 ! target inclusion exclusion priority\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000922\>\"", 
     ",", "\"\<name: Skyline\>\"", ",", 
     "\"\<def: \\\"Software used to predict, select, and optimize transitions \
as well as analyze the results of selected reaction monitoring runs developed \
and distributed by the MacCoss lab at the University of Washington.\\\" \
[https://brendanx-uw1.gs.washington.edu/labkey/wiki/home/software/Skyline/\
page.view?name=default \\\"\\\"]\>\"", ",", 
     "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000923\>\"", ",", 
     "\"\<name: TIQAM\>\"", ",", 
     "\"\<def: \\\"Software used to predict, select, and optimize transitions \
for selected reaction monitoring experiments developed and distributed by the \
Institute for Systems Biology.\\\" \
[http://tools.proteomecenter.org/TIQAM/TIQAM.html]\>\"", ",", 
     "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000924\>\"", ",", 
     "\"\<name: MaRiMba\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Software used to predict transitions for selected \
reaction monitoring experiments based on observed spectrum libraries \
developed and distributed by the Institute for Systems Biology.\\\" \
[http://tools.proteomecenter.org/wiki/index.php?title=Software:TPP-MaRiMba]\>\
\"", ",", 
     "\"\<comment: This term was made obsolete because it was redundant with \
an existing term (MS:1000872).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", 
     "\"\<replaced_by: MS:1000872\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000925\>\"", ",", 
     "\"\<name: ATAQS\>\"", ",", 
     "\"\<def: \\\"Software suite used to predict, select, and optimize \
transitions as well as analyze the results of selected reaction monitoring \
runs developed and distributed by the Institute for Systems Biology.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000926\>\"", ",", 
     "\"\<name: product interpretation rank\>\"", ",", 
     "\"\<def: \\\"The integer rank given an interpretation of an observed \
product ion. For example, if y8 is selected as the most likely interpretation \
of a peak, then it is assigned a rank of 1.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000927\>\"", ",", 
     "\"\<name: ion injection time\>\"", ",", 
     "\"\<def: \\\"The length of time spent filling an ion trapping device.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000028 ! millisecond\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000928\>\"", ",", 
     "\"\<name: calibration spectrum\>\"", ",", 
     "\"\<def: \\\"A spectrum derived from a special calibration source, \
rather than from the primary injected sample. A calibration spectrum is \
typically derived from a substance that can be used to correct systematic \
shift in m/z for spectra of the primary inject sample.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000559 ! spectrum type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1000929\>\"", ",", 
     "\"\<name: Shimadzu Biotech nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by source=xsd:string \
start=xsd:nonNegativeInteger end=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000930\>\"", 
     ",", "\"\<name: Shimadzu Biotech database entity\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000931\>\"", ",", 
     "\"\<name: QTRAP 5500\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems|MDS SCIEX QTRAP 5500.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000932\>\"", ",", 
     "\"\<name: TripleTOF 5600\>\"", ",", 
     "\"\<def: \\\"SCIEX TripleTOF 5600, a quadrupole - quadrupole - \
time-of-flight mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000933\>\"", ",", 
     "\"\<name: protein modifications\>\"", ",", 
     "\"\<def: \\\"Encoding of modifications of the protein sequence from the \
specified accession, written in PEFF notation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000884 ! protein attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1000934\>\"", ",", 
     "\"\<name: gene name\>\"", ",", 
     "\"\<def: \\\"Name of the gene from which the protein is translated.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000884 ! protein attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001000\>\"", ",", 
     "\"\<name: spectrum interpretation\>\"", ",", 
     "\"\<def: \\\"Collection of terms from the PSI Proteome Informatics \
standards describing the interpretation of spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001005\>\"", ",", "\"\<name: SEQUEST:CleavesAt\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001006\>\"", ",", 
     "\"\<name: SEQUEST:ViewCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST View Input Parameters.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001007\>\"", ",", 
     "\"\<name: SEQUEST:OutputLines\>\"", ",", 
     "\"\<def: \\\"Number of peptide results to show.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001009\>\"", ",", 
     "\"\<name: SEQUEST:DescriptionLines\>\"", ",", 
     "\"\<def: \\\"Number of full protein descriptions to show for top N \
peptides.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001010\>\"", 
     ",", "\"\<name: de novo search\>\"", ",", 
     "\"\<def: \\\"A de novo sequencing search (without database).\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001011\>\"", ",", 
     "\"\<name: search database details\>\"", ",", 
     "\"\<def: \\\"Details about the database searched.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001012\>\"", ",", 
     "\"\<name: database source\>\"", ",", 
     "\"\<def: \\\"The organisation, project or laboratory from where the \
database is obtained (UniProt, NCBI, EBI, other).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001013\>\"", 
     ",", "\"\<name: database name\>\"", ",", 
     "\"\<def: \\\"The name of the search database (nr, SwissProt or \
est_human).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001014\>\"", ",", 
     "\"\<name: database local file path\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: Use attribute in mzIdentML instead. Local file \
path of the search database from the search engine's point of view.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001015\>\"", ",", 
     "\"\<name: database original uri\>\"", ",", 
     "\"\<def: \\\"URI, from where the search database was originally \
downloaded.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001016\>\"", 
     ",", "\"\<name: database version\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: Use attribute in mzIdentML instead. Version of \
the search database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001017\>\"", ",", 
     "\"\<name: database release date\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: Use attribute in mzIdentML instead. Release date \
of the search database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001018\>\"", ",", "\"\<name: database type\>\"", ",", 
     "\"\<def: \\\"Database containing amino acid or nucleic acid \
sequences.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001019\>\"", ",", 
     "\"\<name: database filtering\>\"", ",", 
     "\"\<def: \\\"Was there filtering used on the database.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001020\>\"", 
     ",", "\"\<name: DB filter taxonomy\>\"", ",", 
     "\"\<def: \\\"A taxonomy filter was to the database search.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001511 ! Sequence database filter types\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001021\>\"", ",", 
     "\"\<name: DB filter on accession numbers\>\"", ",", 
     "\"\<def: \\\"Filtering applied specifically by accession number \
pattern.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001511 ! Sequence database filter types\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001022\>\"", ",", 
     "\"\<name: DB MW filter\>\"", ",", 
     "\"\<def: \\\"Filtering applied specifically by protein molecular \
weight, specified as either a range or above/below a threshold value.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001511 ! Sequence database filter types\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001023\>\"", ",", 
     "\"\<name: DB PI filter\>\"", ",", 
     "\"\<def: \\\"Filtering applied specifically by predicted protein \
isoelectric focussing point (pI), specified as either a range or above/below \
a threshold value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001511 ! Sequence database filter types\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001024\>\"", ",", 
     "\"\<name: translation frame\>\"", ",", 
     "\"\<def: \\\"The translated open reading frames from a nucleotide \
database considered in the search (range: 1-6).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001025\>\"", ",", 
     "\"\<name: translation table\>\"", ",", 
     "\"\<def: \\\"The translation table used to translate the nucleotides to \
amino acids.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001026\>\"", 
     ",", "\"\<name: SEQUEST:NormalizeXCorrValues\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001027\>\"", ",", 
     "\"\<name: DB filter on sequence pattern\>\"", ",", 
     "\"\<def: \\\"Filtering applied specifically by amino acid sequence \
pattern.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001511 ! Sequence database filter types\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001028\>\"", ",", 
     "\"\<name: SEQUEST:SequenceHeaderFilter\>\"", ",", 
     "\"\<def: \\\"String in the header of a sequence entry for that entry to \
be searched.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001029\>\"", 
     ",", "\"\<name: number of sequences searched\>\"", ",", 
     "\"\<def: \\\"The number of sequences (proteins / nucleotides) from the \
database search after filtering.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001030\>\"", ",", 
     "\"\<name: number of peptide seqs compared to each spectrum\>\"", ",", 
     "\"\<def: \\\"Number of peptide seqs compared to each spectrum.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001031\>\"", 
     ",", "\"\<name: spectral library search\>\"", ",", 
     "\"\<def: \\\"A search using a library of spectra.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001032\>\"", ",", 
     "\"\<name: SEQUEST:SequencePartialFilter\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001035\>\"", 
     ",", "\"\<name: date / time search performed\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: use attribute in mzIdentML instead. Date and \
time of the actual search run.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001184 ! search statistics\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001036\>\"", ",", "\"\<name: search time taken\>\"", 
     ",", "\"\<def: \\\"The time taken to complete the search in seconds.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001184 ! search statistics\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001037\>\"", ",", 
     "\"\<name: SEQUEST:ShowFragmentIons\>\"", ",", 
     "\"\<def: \\\"Flag indicating that fragment ions should be shown.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001038\>\"", ",", 
     "\"\<name: SEQUEST:Consensus\>\"", ",", 
     "\"\<def: \\\"Specify depth as value of the CVParam.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001006 ! SEQUEST:ViewCV\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001040\>\"", ",", 
     "\"\<name: intermediate analysis format\>\"", ",", 
     "\"\<def: \\\"Type of the source file, the mzIdentML was created from.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001459 ! file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001041\>\"", ",", 
     "\"\<name: SEQUEST:sortCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST View / Sort Input Parameters.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001006 ! SEQUEST:ViewCV\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001042\>\"", ",", 
     "\"\<name: SEQUEST:LimitTo\>\"", ",", 
     "\"\<def: \\\"Specify \\\\\\\"number of dtas shown\\\\\\\" as value of \
the CVParam.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001044\>\"", ",", 
     "\"\<name: cleavage agent details\>\"", ",", 
     "\"\<def: \\\"Details of cleavage agent (enzyme).\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001045\>\"", ",", 
     "\"\<name: cleavage agent name\>\"", ",", 
     "\"\<def: \\\"The name of the cleavage agent.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001044 ! cleavage agent details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001046\>\"", ",", 
     "\"\<name: SEQUEST:sort by dCn\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results by the delta of the \
normalized correlation score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001047\>\"", 
     ",", "\"\<name: SEQUEST:sort by dM\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results by the difference \
between a theoretically calculated and the corresponding experimentally \
measured molecular mass M.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001048\>\"", 
     ",", "\"\<name: SEQUEST:sort by Ions\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the \
ions.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001049\>\"", 
     ",", "\"\<name: SEQUEST:sort by MH+\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the mass of \
the protonated ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001050\>\"", 
     ",", "\"\<name: SEQUEST:sort by P\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the \
probability.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001051\>\"", 
     ",", "\"\<name: multiple enzyme combination rules\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: use attribute independent in mzIdentML instead. \
Description of multiple enzyme digestion protocol, if any.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001052\>\"", ",", 
     "\"\<name: SEQUEST:sort by PreviousAminoAcid\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the previous \
amino acid.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001053\>\"", 
     ",", "\"\<name: SEQUEST:sort by Ref\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the \
reference.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001055\>\"", 
     ",", "\"\<name: modification parameters\>\"", ",", 
     "\"\<def: \\\"Modification parameters for the search engine run.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001056\>\"", 
     ",", "\"\<name: modification specificity rule\>\"", ",", 
     "\"\<def: \\\"The specificity rules for the modifications applied by the \
search engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001055 ! modification parameters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001057\>\"", ",", 
     "\"\<name: tolerance on types\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: Tolerance on types.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001055 ! modification parameters\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001058\>\"", ",", 
     "\"\<name: quality estimation by manual validation\>\"", ",", 
     "\"\<def: \\\"The quality estimation was done manually.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001060 ! quality estimation method details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001059\>\"", ",", 
     "\"\<name: SEQUEST:sort by RSp\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the result \
'Sp' of 'Rank/Sp' in the out file (peptide).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001060\>\"", 
     ",", "\"\<name: quality estimation method details\>\"", ",", 
     "\"\<def: \\\"Method for quality estimation (manually or with decoy \
database).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001061\>\"", ",", 
     "\"\<name: neutral loss\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: replaced by MS:1000336 (neutral loss): Leave \
this to PSI-MOD.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001055 ! modification parameters\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1000336\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001062\>\"", 
     ",", "\"\<name: Mascot MGF format\>\"", ",", 
     "\"\<def: \\\"Mascot MGF file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001065\>\"", ",", 
     "\"\<name: TODOscoring model\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: There is Phenyx:ScoringModel for Phenyx! Scoring \
model (more detailed granularity). TODO: add some child terms.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<comment: This term was made obsolete and is replaced by the term \
(MS:1001961).\>\"", ",", "\"\<is_a: MS:1001249 ! search input details\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1001961\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001066\>\"", 
     ",", "\"\<name: ions series considered in search\>\"", ",", 
     "\"\<def: \\\"The description of the DEPRECATED ion fragment series \
(including charges and neutral losses) that are considered by the search \
engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001068\>\"", ",", 
     "\"\<name: SEQUEST:sort by Sp\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results by the Sp score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001069\>\"", 
     ",", "\"\<name: SEQUEST:sort by TIC\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the total \
ion current.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001070\>\"", 
     ",", "\"\<name: SEQUEST:sort by Scan\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the scan \
number.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001071\>\"", 
     ",", "\"\<name: SEQUEST:sort by Sequence\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the \
sequence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001072\>\"", 
     ",", "\"\<name: SEQUEST:sort by Sf\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the SEQUEST \
result 'Sf'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001073\>\"", 
     ",", "\"\<name: database type amino acid\>\"", ",", 
     "\"\<def: \\\"Database contains amino acid sequences.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001018 ! database type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001079\>\"", ",", 
     "\"\<name: database type nucleotide\>\"", ",", 
     "\"\<def: \\\"Database contains nucleic acid sequences.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001018 ! database type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001080\>\"", ",", 
     "\"\<name: search type\>\"", ",", 
     "\"\<def: \\\"Enumeration of type of search value (i.e. from PMF, \
sequence tag, MS2).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001081\>\"", ",", 
     "\"\<name: pmf search\>\"", ",", 
     "\"\<def: \\\"A peptide mass fingerprint search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001082\>\"", ",", 
     "\"\<name: tag search\>\"", ",", 
     "\"\<def: \\\"A sequence tag search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001083\>\"", ",", 
     "\"\<name: ms-ms search\>\"", ",", 
     "\"\<def: \\\"An MS2 search (with fragment ions).\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001084\>\"", ",", 
     "\"\<name: database nr\>\"", ",", 
     "\"\<def: \\\"Non-redundant GenBank sequence database.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1001013 ! database name\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001085\>\"", ",", 
     "\"\<name: protein-level identification attribute\>\"", ",", 
     "\"\<def: \\\"Protein level information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001086\>\"", 
     ",", "\"\<name: SEQUEST:sort by XCorr\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results by the correlation \
score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001087\>\"", 
     ",", "\"\<name: SEQUEST:ProcessCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST View / Process Input Parameters.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001088\>\"", ",", 
     "\"\<name: protein description\>\"", ",", 
     "\"\<def: \\\"The protein description line from the sequence entry in \
the source database FASTA file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<is_a: MS:1001342 ! database sequence details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001089\>\"", ",", 
     "\"\<name: molecule taxonomy\>\"", ",", 
     "\"\<def: \\\"The taxonomy of the resultant molecule from the \
search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<is_a: MS:1001342 ! database sequence details\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001090\>\"", ",", 
     "\"\<name: taxonomy nomenclature\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: The system used to indicate taxonomy. There \
should be an enumerated list of options: latin name, NCBI TaxID, common name, \
Swiss-Prot species ID (ex. RABIT from the full protein ID ALBU_RABIT).\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001089 ! molecule taxonomy\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1001467\>\"", 
     ",", "\"\<replaced_by: MS:1001468\>\"", ",", 
     "\"\<replaced_by: MS:1001469\>\"", ",", 
     "\"\<replaced_by: MS:1001470\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001091\>\"", ",", 
     "\"\<name: NoEnzyme\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<comment: This term was made obsolete because it is ambiguous and is \
replaced by NoCleavage (MS:1001955) and unspecific cleavage \
(MS:1001956).\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001092\>\"", ",", 
     "\"\<name: peptide sequence-level identification statistic\>\"", ",", 
     "\"\<def: \\\"Identification confidence metric for a peptide.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001093\>\"", ",", "\"\<name: sequence coverage\>\"", ",", 
     "\"\<def: \\\"The percent coverage for the protein based upon the \
matched peptide sequences (can be calculated).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:decimal \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001094\>\"", 
     ",", "\"\<name: SEQUEST:sort by z\>\"", ",", 
     "\"\<def: \\\"Sort order of SEQUEST search results given by the \
charge.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001041 ! SEQUEST:sortCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001095\>\"", 
     ",", "\"\<name: SEQUEST:ProcessAll\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001087 ! SEQUEST:ProcessCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001096\>\"", 
     ",", "\"\<name: SEQUEST:TopPercentMostIntense\>\"", ",", 
     "\"\<def: \\\"Specify \\\\\\\"percentage\\\\\\\" as value of the \
CVParam.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001087 ! SEQUEST:ProcessCV\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001097\>\"", ",", 
     "\"\<name: distinct peptide sequences\>\"", ",", 
     "\"\<def: \\\"This counts distinct sequences hitting the protein without \
regard to a minimal confidence threshold.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001098\>\"", 
     ",", "\"\<name: confident distinct peptide sequences\>\"", ",", 
     "\"\<def: \\\"This counts the number of distinct peptide sequences. \
Multiple charge states and multiple modification states do NOT count as \
multiple sequences. The definition of 'confident' must be qualified \
elsewhere.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001099\>\"", 
     ",", "\"\<name: confident peptide qualification\>\"", ",", 
     "\"\<def: \\\"The point of this entry is to define what is meant by \
confident for the term Confident distinct peptide sequence and/or Confident \
peptides. Example 1 - metric=Paragon:Confidence value=95 sense=greater than \
Example 2 - metric=Mascot:Eval value=0.05 sense=less than.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001100\>\"", 
     ",", "\"\<name: confident peptide sequence number\>\"", ",", 
     "\"\<def: \\\"This counts the number of peptide sequences without regard \
to whether they are distinct. Multiple charges states and multiple \
modification states DO count as multiple peptides. The definition of \
'confident' must be qualified elsewhere.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001101\>\"", 
     ",", "\"\<name: protein group or subset relationship\>\"", ",", 
     "\"\<def: \\\"Protein group or subset relationships.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001102\>\"", 
     ",", "\"\<name: SEQUEST:Chromatogram\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001006 ! SEQUEST:ViewCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001103\>\"", 
     ",", "\"\<name: SEQUEST:InfoAndLog\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001006 ! SEQUEST:ViewCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001104\>\"", 
     ",", "\"\<name: database UniProtKB/Swiss-Prot\>\"", ",", 
     "\"\<def: \\\"The name of the UniProtKB/Swiss-Prot knowledgebase.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002126 ! database UniProtKB\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001105\>\"", ",", 
     "\"\<name: peptide sequence-level identification attribute\>\"", ",", 
     "\"\<def: \\\"Peptide level information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001106\>\"", 
     ",", "\"\<name: SEQUEST:TopNumber\>\"", ",", 
     "\"\<def: \\\"Specify \\\\\\\"number\\\\\\\" as value of the \
CVParam.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001087 ! SEQUEST:ProcessCV\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001107\>\"", ",", 
     "\"\<name: data stored in database\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was a data set in a \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001108\>\"", ",", 
     "\"\<name: param: a ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: a ion with charge \
on the N-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001109\>\"", ",", 
     "\"\<name: SEQUEST:CullTo\>\"", ",", 
     "\"\<def: \\\"Specify cull string as value of the CVParam.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001087 ! SEQUEST:ProcessCV\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001110\>\"", ",", 
     "\"\<name: SEQUEST:modeCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST Mode Input Parameters.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001111\>\"", ",", 
     "\"\<name: SEQUEST:Full\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001110 ! SEQUEST:modeCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001112\>\"", 
     ",", "\"\<name: n-terminal flanking residue\>\"", ",", 
     "\"\<def: \\\"The residue preceding the first amino acid in the peptide \
sequence as it occurs in the protein. Use 'N-term' to denote if the peptide \
starts at the N terminus of the protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001113\>\"", ",", 
     "\"\<name: c-terminal flanking residue\>\"", ",", 
     "\"\<def: \\\"The residue following the last amino acid in the peptide \
sequence as it occurs in the protein. Use 'C-term' to denote if the peptide \
ends at the C terminus of the protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001114\>\"", ",", "\"\<name: retention time(s)\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Retention time of the spectrum from the source \
file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete because scan start time \
(MS:1000016) should be used instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001105 ! peptide result details\>\"", 
     ",", "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"",
      ",", "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001115\>\"", ",", "\"\<name: scan number(s)\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: use spectrumID attribute of \
SpectrumIdentificationResult. Take from mzData.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001116\>\"", ",", 
     "\"\<name: single protein identification statistic\>\"", ",", 
     "\"\<def: \\\"Results specific for one protein as part of a protein \
ambiguity group (a result not valid for all the other proteins in the protein \
ambiguity group).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001117\>\"", 
     ",", "\"\<name: theoretical mass\>\"", ",", 
     "\"\<def: \\\"The theoretical mass of the molecule (e.g. the peptide \
sequence and its modifications).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<relationship: has_units UO:0000221 ! dalton\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001118\>\"", 
     ",", "\"\<name: param: b ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: b ion with charge \
on the N-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001119\>\"", ",", 
     "\"\<name: param: c ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: c ion with charge \
on the N-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001120\>\"", ",", 
     "\"\<name: SEQUEST:FormatAndLinks\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001110 ! SEQUEST:modeCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001121\>\"", 
     ",", "\"\<name: number of matched peaks\>\"", ",", 
     "\"\<def: \\\"The number of peaks that were matched as qualified by the \
ion series considered field. If a peak matches multiple ions then only 1 \
would be added the count.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001122\>\"", ",", "\"\<name: ions series considered\>\"", 
     ",", 
     "\"\<def: \\\"The ion series that were used during the calculation of \
the count (e.g. a, b, c, d, v, w, x, y, z, a-H2O, a-NH3, b-H2O, b-NH3, y-H2O, \
y-NH3, b-H20, b+, z-, z+1, z+2, b-H3PO4, y-H3PO4, immonium, internal ya, \
internal yb).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001123\>\"", ",", "\"\<name: number of peaks used\>\"", 
     ",", "\"\<def: \\\"The number of peaks from the original peak list that \
are used to calculate the scores for a particular search engine. All ions \
that have the opportunity to match or be counted even if they don't.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001124\>\"", ",", "\"\<name: number of peaks submitted\>\"",
      ",", "\"\<def: \\\"The number of peaks from the original peaks listed \
that were submitted to the search engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001125\>\"", ",", "\"\<name: manual validation\>\"", ",", 
     "\"\<def: \\\"Result of quality estimation: decision of a manual \
validation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001126\>\"", 
     ",", "\"\<name: SEQUEST:Fast\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001110 ! SEQUEST:modeCV\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001127\>\"", 
     ",", "\"\<name: peptide sharing details\>\"", ",", 
     "\"\<def: \\\"Accessions Containing Sequence - Accessions for each \
protein containing this peptide.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001128\>\"", ",", "\"\<name: SEQUEST:selectCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST Select Input Parameters.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002096 ! SEQUEST input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001129\>\"", ",", 
     "\"\<name: quantification information\>\"", ",", 
     "\"\<def: \\\"Quantification information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001130\>\"", 
     ",", "\"\<name: peptide raw area\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Peptide raw area.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it is replaced by 'MS1 \
feature area' (MS:1001844).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001131\>\"", ",", 
     "\"\<name: error on peptide area\>\"", ",", 
     "\"\<def: \\\"Error on peptide area.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001132\>\"", 
     ",", "\"\<name: peptide ratio\>\"", ",", 
     "\"\<def: \\\"Peptide ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001133\>\"", 
     ",", "\"\<name: error on peptide ratio\>\"", ",", 
     "\"\<def: \\\"Error on peptide ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001134\>\"", 
     ",", "\"\<name: protein ratio\>\"", ",", 
     "\"\<def: \\\"Protein ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001135\>\"", 
     ",", "\"\<name: error on protein ratio\>\"", ",", 
     "\"\<def: \\\"Error on protein ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001136\>\"", 
     ",", "\"\<name: p-value (protein diff from 1 randomly)\>\"", ",", 
     "\"\<def: \\\"OBSOLETE P-value (protein diff from 1 randomly).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it is replaced by \
't-test p-value' (MS:1001855).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001137\>\"", ",", "\"\<name: absolute quantity\>\"", 
     ",", 
     "\"\<def: \\\"Absolute quantity in terms of real concentration or \
molecule copy number in sample.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001138\>\"", 
     ",", "\"\<name: error on absolute quantity\>\"", ",", 
     "\"\<def: \\\"Error on absolute quantity.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001139\>\"", 
     ",", "\"\<name: quantitation software name\>\"", ",", 
     "\"\<def: \\\"Quantitation software name.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", 
     "\"\<is_a: MS:1001129 ! quantification information\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001140\>\"", ",", 
     "\"\<name: quantitation software version\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Quantitation software version.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because part of mzQuantML \
schema.\>\"", ",", "\"\<is_a: MS:1001129 ! quantification information\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001141\>\"", ",", 
     "\"\<name: intensity of precursor ion\>\"", ",", 
     "\"\<def: \\\"The intensity of the precursor ion.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001805 ! quantification datatype\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001142\>\"", ",", 
     "\"\<name: database IPI_human\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Homo sapiens \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001143\>\"", 
     ",", "\"\<name: PSM-level search engine specific statistic\>\"", ",", 
     "\"\<def: \\\"Search engine specific peptide spectrum match scores.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001144\>\"", ",", 
     "\"\<name: SEQUEST:SelectDefault\>\"", ",", 
     "\"\<is_a: MS:1001128 ! SEQUEST:selectCV\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001145\>\"", ",", 
     "\"\<name: SEQUEST:SelectAdvancedCV\>\"", ",", 
     "\"\<def: \\\"SEQUEST Select Advanced Input Parameters.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001128 ! SEQUEST:selectCV\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001146\>\"", ",", 
     "\"\<name: param: a ion-NH3 DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion a-NH3 parameter information, type of product: a ion \
with lost ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001147\>\"", ",", 
     "\"\<name: protein ambiguity group result details\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001148\>\"", ",", 
     "\"\<name: param: a ion-H2O DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion a-H2O if a significant and fragment includes STED.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001149\>\"", ",", 
     "\"\<name: param: b ion-NH3 DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion b-NH3 parameter information, type of product: b ion \
with lost ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001150\>\"", ",", 
     "\"\<name: param: b ion-H2O DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion b-H2O if b significant and fragment includes STED.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001151\>\"", ",", 
     "\"\<name: param: y ion-NH3 DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion y-NH3 parameter information, type of product: y ion \
with lost ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001152\>\"", ",", 
     "\"\<name: param: y ion-H2O DEPRECATED\>\"", ",", 
     "\"\<comment: This term was made obsolete - use MS:1001262 and \
MS:1002455 instead.\>\"", ",", 
     "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001153\>\"", ",", 
     "\"\<name: search engine specific score\>\"", ",", 
     "\"\<def: \\\"Search engine specific scores.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001154\>\"", 
     ",", "\"\<name: SEQUEST:probability\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Probability'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001155\>\"", 
     ",", "\"\<name: SEQUEST:xcorr\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'XCorr'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001156\>\"", 
     ",", "\"\<name: SEQUEST:deltacn\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'DeltaCn'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001157\>\"", 
     ",", "\"\<name: SEQUEST:sp\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Sp' (protein).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001158\>\"", 
     ",", "\"\<name: SEQUEST:Uniq\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001159\>\"", 
     ",", "\"\<name: SEQUEST:expectation value\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Expectation value'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001160\>\"", ",", 
     "\"\<name: SEQUEST:sf\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Sf'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001161\>\"", 
     ",", "\"\<name: SEQUEST:matched ions\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Matched Ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001162\>\"", 
     ",", "\"\<name: SEQUEST:total ions\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Total Ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001163\>\"", 
     ",", "\"\<name: SEQUEST:consensus score\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Consensus Score'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001164\>\"", ",", 
     "\"\<name: Paragon:unused protscore\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Unused ProtScore'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001165\>\"", ",", "\"\<name: Paragon:total protscore\>\"", 
     ",", "\"\<def: \\\"The Paragon result 'Total ProtScore'.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001166\>\"", ",", "\"\<name: Paragon:score\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Score'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001167\>\"", 
     ",", "\"\<name: Paragon:confidence\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Confidence'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001168\>\"", 
     ",", "\"\<name: Paragon:expression error factor\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Expression Error Factor'.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001169\>\"", 
     ",", "\"\<name: Paragon:expression change p-value\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Expression change P-value'.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001170\>\"", 
     ",", "\"\<name: Paragon:contrib\>\"", ",", 
     "\"\<def: \\\"The Paragon result 'Contrib'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001171\>\"", 
     ",", "\"\<name: Mascot:score\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'Score'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001172\>\"", 
     ",", "\"\<name: Mascot:expectation value\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'expectation value'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001173\>\"", 
     ",", "\"\<name: Mascot:matched ions\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'Matched ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001174\>\"", 
     ",", "\"\<name: Mascot:total ions\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'Total ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001175\>\"", 
     ",", "\"\<name: peptide shared in multiple proteins\>\"", ",", 
     "\"\<def: \\\"A peptide matching multiple proteins.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001127 ! peptide sharing details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001176\>\"", ",", 
     "\"\<name: (?<=[KR])(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for Trypsin.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001177\>\"", ",", 
     "\"\<name: number of molecular hypothesis considered\>\"", ",", 
     "\"\<def: \\\"Number of Molecular Hypothesis Considered - This is the \
number of molecules (e.g. peptides for proteomics) considered for a \
particular search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001184 ! search statistics\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001178\>\"", ",", 
     "\"\<name: database EST\>\"", ",", 
     "\"\<def: \\\"Expressed sequence tag nucleotide sequence database.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001079 ! database type nucleotide\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001180\>\"", 
     ",", "\"\<name: Cleavage agent regular expression\>\"", ",", 
     "\"\<def: \\\"Regular expressions for cleavage enzymes.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001044 ! cleavage agent details\>\"", 
     ",", "\"\<is_a: MS:1002479 ! regular expression\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001184\>\"", ",", 
     "\"\<name: search statistics\>\"", ",", 
     "\"\<def: \\\"The details of the actual run of the search.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001189\>\"", 
     ",", "\"\<name: modification specificity peptide N-term\>\"", ",", 
     "\"\<def: \\\"As parameter for search engine: apply the modification \
only at the N-terminus of a peptide.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001190\>\"", ",", 
     "\"\<name: modification specificity peptide C-term\>\"", ",", 
     "\"\<def: \\\"As parameter for search engine: apply the modification \
only at the C-terminus of a peptide.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001191\>\"", ",", 
     "\"\<name: p-value\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Quality estimation by p-value.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because now is split into \
peptide and protein terms.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide identification confidence metric\>\"", 
     ",", "\"\<is_a: MS:1001198 ! protein identification confidence \
metric\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001192\>\"", ",", 
     "\"\<name: Expect value\>\"", ",", 
     "\"\<def: \\\"Result of quality estimation: Expect value.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001193\>\"", 
     ",", "\"\<name: confidence score\>\"", ",", 
     "\"\<def: \\\"Result of quality estimation: confidence score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001194\>\"", 
     ",", "\"\<name: quality estimation with decoy database\>\"", ",", 
     "\"\<def: \\\"Quality estimation by decoy database.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001060 ! quality estimation method details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001195\>\"", ",", 
     "\"\<name: decoy DB type reverse\>\"", ",", 
     "\"\<def: \\\"Decoy type: Amino acids of protein sequences are used in \
reverse order.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001196\>\"", ",", 
     "\"\<name: decoy DB type randomized\>\"", ",", 
     "\"\<def: \\\"Decoy type: Amino acids of protein sequences are \
randomized (keeping the original protein mass).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001197\>\"", ",", 
     "\"\<name: DB composition target+decoy\>\"", ",", 
     "\"\<def: \\\"Decoy database composition: database contains original \
(target) and decoy entries.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001198\>\"", ",", 
     "\"\<name: protein identification confidence metric\>\"", ",", 
     "\"\<def: \\\"Identification confidence metric for a protein.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein result details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001199\>\"", ",", 
     "\"\<name: Mascot DAT format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in Mascot DAT file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001200\>\"", ",", 
     "\"\<name: SEQUEST out file format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in SEQUEST out file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001201\>\"", ",", 
     "\"\<name: DB MW filter maximum\>\"", ",", 
     "\"\<def: \\\"Maximum value of molecular weight filter.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", 
     "\"\<relationship: has_units UO:0000222 ! kilodalton\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001202\>\"", ",", 
     "\"\<name: DB MW filter minimum\>\"", ",", 
     "\"\<def: \\\"Minimum value of molecular weight filter.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", 
     "\"\<relationship: has_units UO:0000222 ! kilodalton\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001203\>\"", ",", 
     "\"\<name: DB PI filter maximum\>\"", ",", 
     "\"\<def: \\\"Maximum value of isoelectric point filter.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001204\>\"", ",", 
     "\"\<name: DB PI filter minimum\>\"", ",", 
     "\"\<def: \\\"Minimum value of isoelectric point filter.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001207\>\"", ",", 
     "\"\<name: Mascot\>\"", ",", 
     "\"\<def: \\\"The name of the Mascot search engine.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001208\>\"", ",", 
     "\"\<name: SEQUEST\>\"", ",", 
     "\"\<def: \\\"The name of the SEQUEST search engine.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001209\>\"", ",", 
     "\"\<name: Phenyx\>\"", ",", 
     "\"\<def: \\\"The name of the Phenyx search engine.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001210\>\"", ",", 
     "\"\<name: mass type settings\>\"", ",", 
     "\"\<def: \\\"The type of mass difference value to be considered by the \
search engine (monoisotopic or average).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001211\>\"", ",", 
     "\"\<name: parent mass type mono\>\"", ",", 
     "\"\<def: \\\"Mass type setting for parent mass was monoisotopic.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001210 ! mass type settings\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001212\>\"", ",", 
     "\"\<name: parent mass type average\>\"", ",", 
     "\"\<def: \\\"Mass type setting for parent mass was average \
isotopic.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001210 ! mass type settings\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001213\>\"", ",", 
     "\"\<name: search result details\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: Scores and global result characteristics.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001214\>\"", ",", 
     "\"\<name: protein-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate of proteins.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002705 ! protein-level result list statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001215\>\"", ",", "\"\<name: SEQUEST:PeptideSp\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Sp' in out file (peptide).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001217\>\"", 
     ",", "\"\<name: SEQUEST:PeptideRankSp\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Sp' of 'Rank/Sp' in out file \
(peptide). Also called 'rsp'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001218\>\"", 
     ",", "\"\<name: SEQUEST:PeptideNumber\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result '#' in out file (peptide).\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001219\>\"", 
     ",", "\"\<name: SEQUEST:PeptideIdnumber\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'Id#' in out file (peptide).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:integer \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001220\>\"", 
     ",", "\"\<name: frag: y ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: y ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001221\>\"", ",", 
     "\"\<name: product ion attribute\>\"", ",", 
     "\"\<def: \\\"Fragmentation information like ion types.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001222\>\"", 
     ",", "\"\<name: frag: b ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: b ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001223\>\"", ",", 
     "\"\<name: frag: y ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: y ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001224\>\"", ",", 
     "\"\<name: frag: b ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: b ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001225\>\"", ",", 
     "\"\<name: product ion m/z\>\"", ",", 
     "\"\<def: \\\"The m/z of the product ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"fragment ion m/z\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001226\>\"", ",", 
     "\"\<name: product ion intensity\>\"", ",", 
     "\"\<def: \\\"The intensity of a single product ion.\\\" [PSI:PI]\>\"", 
     ",", "\"\<synonym: \\\"fragment ion intensity\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001227\>\"", 
     ",", "\"\<name: product ion m/z error\>\"", ",", 
     "\"\<def: \\\"The product ion m/z error.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", 
     "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", 
     "\"\<relationship: has_units UO:0000166 ! parts per notation unit\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001228\>\"", 
     ",", "\"\<name: frag: x ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: x ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001229\>\"", ",", 
     "\"\<name: frag: a ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: a ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001230\>\"", ",", 
     "\"\<name: frag: z ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: z ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001231\>\"", ",", 
     "\"\<name: frag: c ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: c ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001232\>\"", ",", 
     "\"\<name: frag: b ion - NH3\>\"", ",", 
     "\"\<def: \\\"Ion b-NH3 fragmentation information, type of product: b \
ion without ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001233\>\"", ",", 
     "\"\<name: frag: y ion - NH3\>\"", ",", 
     "\"\<def: \\\"Ion y-NH3 fragmentation information, type of product: y \
ion without ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001234\>\"", ",", 
     "\"\<name: frag: a ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: a ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001235\>\"", ",", 
     "\"\<name: frag: a ion - NH3\>\"", ",", 
     "\"\<def: \\\"Ion a-NH3 fragmentation information, type of product: a \
ion without ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001236\>\"", ",", 
     "\"\<name: frag: d ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: d ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001237\>\"", ",", 
     "\"\<name: frag: v ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: v ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001238\>\"", ",", 
     "\"\<name: frag: w ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: w ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001239\>\"", ",", 
     "\"\<name: frag: immonium ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: immonium \
ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001240\>\"", ",", 
     "\"\<name: non-identified ion\>\"", ",", 
     "\"\<def: \\\"Non-identified ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001241\>\"", ",", 
     "\"\<name: co-eluting ion\>\"", ",", 
     "\"\<def: \\\"Co-eluting ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001242\>\"", ",", 
     "\"\<name: SEQUEST out folder\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was a SEQUEST folder with \
its out files.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001243\>\"", ",", 
     "\"\<name: SEQUEST summary\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was a SEQUEST summary page \
(proteins).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001245\>\"", ",", 
     "\"\<name: PerSeptive PKS format\>\"", ",", 
     "\"\<def: \\\"PerSeptive peak list file format.\\\" \
[http://www.matrixscience.com/help/data_file_help.html#PKS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001246\>\"", ",", 
     "\"\<name: SCIEX API III format\>\"", ",", 
     "\"\<def: \\\"PE SCIEX peak list file format.\\\" \
[http://www.matrixscience.com/help/data_file_help.html#API]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001247\>\"", ",", 
     "\"\<name: Bruker XML format\>\"", ",", 
     "\"\<def: \\\"Bruker data exchange XML format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001249\>\"", ",", 
     "\"\<name: search input details\>\"", ",", 
     "\"\<def: \\\"Details describing the search input.\\\" [PSI:PI]\>\"", 
     ",", "\"\<relationship: part_of MS:1001000 ! spectrum \
interpretation\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001250\>\"", ",", "\"\<name: local FDR\>\"", ",", 
     "\"\<def: \\\"Result of quality estimation: the local FDR at the current \
position of a sorted list.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001251\>\"", 
     ",", "\"\<name: Trypsin\>\"", ",", 
     "\"\<def: \\\"Enzyme trypsin.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001176 ! (?<=[KR])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001252\>\"", ",", 
     "\"\<name: DB source EBI\>\"", ",", 
     "\"\<def: \\\"Database source EBI.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001012 ! database source\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001253\>\"", ",", 
     "\"\<name: DB source NCBI\>\"", ",", 
     "\"\<def: \\\"Database source NCBI.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001012 ! database source\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001254\>\"", ",", 
     "\"\<name: DB source UniProt\>\"", ",", 
     "\"\<def: \\\"Database source UniProt.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001012 ! database source\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001255\>\"", ",", 
     "\"\<name: fragment mass type average\>\"", ",", 
     "\"\<def: \\\"Mass type setting for fragment mass was average \
isotopic.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001210 ! mass type settings\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001256\>\"", ",", 
     "\"\<name: fragment mass type mono\>\"", ",", 
     "\"\<def: \\\"Mass type setting for fragment mass was monoisotopic.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001210 ! mass type settings\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001257\>\"", ",", 
     "\"\<name: param: v ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: side chain loss v \
ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001258\>\"", ",", 
     "\"\<name: param: d ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: side chain loss d \
ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001259\>\"", ",", 
     "\"\<name: param: immonium ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: immonium ion.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001260\>\"", ",", 
     "\"\<name: param: w ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: side chain loss w \
ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001261\>\"", ",", 
     "\"\<name: param: x ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: x ion with charge \
on the C-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001262\>\"", ",", 
     "\"\<name: param: y ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: y ion with charge \
on the C-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001263\>\"", ",", 
     "\"\<name: param: z ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: z ion with charge \
on the C-terminal side.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001266\>\"", ",", 
     "\"\<name: role type\>\"", ",", 
     "\"\<def: \\\"Role of a Person or Organization.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001267\>\"", ",", 
     "\"\<name: software vendor\>\"", ",", 
     "\"\<def: \\\"Software vendor role.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001266 ! role type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001268\>\"", ",", 
     "\"\<name: programmer\>\"", ",", 
     "\"\<def: \\\"Programmer role.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001266 ! role type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001269\>\"", ",", 
     "\"\<name: instrument vendor\>\"", ",", 
     "\"\<def: \\\"Instrument vendor role.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001266 ! role type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001270\>\"", ",", 
     "\"\<name: lab personnel\>\"", ",", 
     "\"\<def: \\\"Lab personnel role.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001266 ! role type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001271\>\"", ",", 
     "\"\<name: researcher\>\"", ",", 
     "\"\<def: \\\"Researcher role.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001266 ! role type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001272\>\"", ",", 
     "\"\<name: (?<=R)(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for Arg-C.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001273\>\"", ",", 
     "\"\<name: (?=[BD])\>\"", ",", 
     "\"\<def: \\\"Regular expression for Asp-N.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001274\>\"", ",", 
     "\"\<name: (?=[DE])\>\"", ",", 
     "\"\<def: \\\"Regular expression for Asp-N-ambic.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001275\>\"", 
     ",", "\"\<name: ProteinScape SearchEvent\>\"", ",", 
     "\"\<def: \\\"Source data for this mzIdentML was a ProteinScape \
SearchEvent.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001276\>\"", ",", 
     "\"\<name: ProteinScape Gel\>\"", ",", 
     "\"\<def: \\\"Source data for this mzIdentML was a ProteinScape Gel.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001283\>\"", 
     ",", "\"\<name: decoy DB accession regexp\>\"", ",", 
     "\"\<def: \\\"Specify the regular expression for decoy accession \
numbers.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001284\>\"", ",", 
     "\"\<name: decoy DB derived from\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The name of the database, the search database was \
derived from.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001285\>\"", ",", "\"\<name: database IPI_mouse\>\"", 
     ",", "\"\<def: \\\"International Protein Index database for Mus musculus \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001286\>\"", 
     ",", "\"\<name: database IPI_rat\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Rattus norvegicus \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001287\>\"", 
     ",", "\"\<name: database IPI_zebrafish\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Danio rerio \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001288\>\"", 
     ",", "\"\<name: database IPI_chicken\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Gallus gallus \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001289\>\"", 
     ",", "\"\<name: database IPI_cow\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Bos taurus \
sequences.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001290\>\"", 
     ",", "\"\<name: database IPI_arabidopsis\>\"", ",", 
     "\"\<def: \\\"International Protein Index database for Arabidopsis \
thaliana sequences.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001013 ! database name\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001291\>\"", ",", 
     "\"\<name: decoy DB from nr\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a non-redundant GenBank \
sequence database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001292\>\"", ",", 
     "\"\<name: decoy DB from IPI_rat\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Rattus norvegicus.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001293\>\"", ",", 
     "\"\<name: decoy DB from IPI_mouse\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Mus musculus.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001294\>\"", ",", 
     "\"\<name: decoy DB from IPI_arabidopsis\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Arabidopsis thaliana.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001295\>\"", ",", "\"\<name: decoy DB from EST\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Decoy database from an expressed sequence \
tag nucleotide sequence database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001296\>\"", ",", 
     "\"\<name: decoy DB from IPI_zebrafish\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Danio rerio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001297\>\"", ",", 
     "\"\<name: decoy DB from UniProtKB/Swiss-Prot\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a Swiss-Prot protein sequence \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001298\>\"", ",", 
     "\"\<name: decoy DB from IPI_chicken\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Gallus gallus.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001299\>\"", ",", 
     "\"\<name: decoy DB from IPI_cow\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Bos taurus.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001300\>\"", ",", 
     "\"\<name: decoy DB from IPI_human\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a International Protein Index \
database for Homo sapiens.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001301\>\"", ",", "\"\<name: protein rank\>\"", ",", 
     "\"\<def: \\\"The rank of the protein in a list sorted by the search \
engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001085 ! protein-level identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001302\>\"", 
     ",", "\"\<name: search engine specific input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine specific input parameters.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1002093 ! search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001303\>\"", ",", 
     "\"\<name: Arg-C\>\"", ",", 
     "\"\<def: \\\"Endoproteinase Arg-C.\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"Clostripain\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001272 ! (?<=R)(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001304\>\"", ",", 
     "\"\<name: Asp-N\>\"", ",", 
     "\"\<def: \\\"Endoproteinase Asp-N.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001273 ! (?=[BD])\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001305\>\"", ",", 
     "\"\<name: Asp-N_ambic\>\"", ",", 
     "\"\<def: \\\"Enzyme Asp-N, Ammonium Bicarbonate (AmBic).\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001274 ! (?=[DE])\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001306\>\"", ",", 
     "\"\<name: Chymotrypsin\>\"", ",", 
     "\"\<def: \\\"Enzyme chymotrypsin.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001332 ! (?<=[FYWL])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001307\>\"", ",", 
     "\"\<name: CNBr\>\"", ",", 
     "\"\<def: \\\"Cyanogen bromide.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001333 ! (?<=M)\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001308\>\"", ",", 
     "\"\<name: Formic_acid\>\"", ",", 
     "\"\<def: \\\"Formic acid.\\\" [PubChem_Compound:284]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001334 ! ((?<=D))|((?=D))\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001309\>\"", ",", 
     "\"\<name: Lys-C\>\"", ",", 
     "\"\<def: \\\"Endoproteinase Lys-C.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001335 ! (?<=K)(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001310\>\"", ",", 
     "\"\<name: Lys-C/P\>\"", ",", 
     "\"\<def: \\\"Proteinase Lys-C/P.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001336 ! (?<=K)\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001311\>\"", ",", 
     "\"\<name: PepsinA\>\"", ",", 
     "\"\<def: \\\"PepsinA proteinase.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001337 ! (?<=[FL])\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001312\>\"", ",", 
     "\"\<name: TrypChymo\>\"", ",", 
     "\"\<def: \\\"Cleavage agent TrypChymo.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001338 ! (?<=[FYWLKR])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001313\>\"", ",", 
     "\"\<name: Trypsin/P\>\"", ",", 
     "\"\<def: \\\"Cleavage agent Trypsin/P.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001339 ! (?<=[KR])\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001314\>\"", ",", 
     "\"\<name: V8-DE\>\"", ",", 
     "\"\<def: \\\"Cleavage agent V8-DE.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001340 ! (?<=[BDEZ])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001315\>\"", ",", 
     "\"\<name: V8-E\>\"", ",", 
     "\"\<def: \\\"Cleavage agent V8-E.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001341 ! (?<=[EZ])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001316\>\"", ",", 
     "\"\<name: Mascot:SigThreshold\>\"", ",", 
     "\"\<def: \\\"Significance threshold below which the p-value of a \
peptide match must lie to be considered statistically significant (default \
0.05).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001317\>\"", 
     ",", "\"\<name: Mascot:MaxProteinHits\>\"", ",", 
     "\"\<def: \\\"The number of protein hits to display in the report. If \
'Auto', all protein hits that have a protein score exceeding the average \
peptide identity threshold are reported. Otherwise an integer at least 1.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001318\>\"", 
     ",", "\"\<name: Mascot:ProteinScoringMethod\>\"", ",", 
     "\"\<def: \\\"Mascot protein scoring method; either 'Standard' or \
'MudPIT'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001319\>\"", 
     ",", "\"\<name: Mascot:MinMSMSThreshold\>\"", ",", 
     "\"\<def: \\\"Mascot peptide match ion score threshold. If between 0 and \
1, then peptide matches whose expect value exceeds the thresholds are \
suppressed; if at least 1, then peptide matches whose ion score is below the \
threshold are suppressed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001320\>\"", 
     ",", "\"\<name: Mascot:ShowHomologousProteinsWithSamePeptides\>\"", ",", 
     "\"\<def: \\\"If true, show (sequence or spectrum) same-set proteins. \
Otherwise they are suppressed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001321\>\"", ",", 
     "\"\<name: Mascot:ShowHomologousProteinsWithSubsetOfPeptides\>\"", ",", 
     "\"\<def: \\\"If true, show (sequence or spectrum) sub-set and \
subsumable proteins. Otherwise they are suppressed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001322\>\"", ",", 
     "\"\<name: Mascot:RequireBoldRed\>\"", ",", 
     "\"\<def: \\\"Only used in Peptide Summary and Select Summary reports. \
If true, a peptide match must be 'bold red' to be included in the report; \
bold red means the peptide is a top ranking match in a query and appears for \
the first time (in linear order) in the list of protein hits.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001323\>\"", ",", 
     "\"\<name: Mascot:UseUnigeneClustering\>\"", ",", 
     "\"\<def: \\\"If true, then the search results are against a nucleic \
acid database and Unigene clustering is enabled. Otherwise UniGene clustering \
is not in use.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001324\>\"", ",", 
     "\"\<name: Mascot:IncludeErrorTolerantMatches\>\"", ",", 
     "\"\<def: \\\"If true, then the search results are error tolerant and \
peptide matches from the second pass are included in search results. \
Otherwise no error tolerant peptide matches are included.\\\" \
[http://www.matrixscience.com/help/error_tolerant_help.html]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001325\>\"", ",", 
     "\"\<name: Mascot:ShowDecoyMatches\>\"", ",", 
     "\"\<def: \\\"If true, then the search results are against an \
automatically generated decoy database and the reported peptide matches and \
protein hits come from the decoy database. Otherwise peptide matches and \
protein hits come from the original database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001326\>\"", ",", 
     "\"\<name: add_others\>\"", ",", 
     "\"\<def: \\\"OBSOLETE.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This former purgatory term was made obsolete.\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001328\>\"", ",", "\"\<name: OMSSA:evalue\>\"", ",", 
     "\"\<def: \\\"OMSSA E-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001329\>\"", 
     ",", "\"\<name: OMSSA:pvalue\>\"", ",", 
     "\"\<def: \\\"OMSSA p-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001330\>\"", 
     ",", "\"\<name: X\\\\!Tandem:expect\>\"", ",", 
     "\"\<def: \\\"The X!Tandem expectation value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001331\>\"", 
     ",", "\"\<name: X\\\\!Tandem:hyperscore\>\"", ",", 
     "\"\<def: \\\"The X!Tandem hyperscore.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001332\>\"", 
     ",", "\"\<name: (?<=[FYWL])(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for Chymotrypsin.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001333\>\"", 
     ",", "\"\<name: (?<=M)\>\"", ",", 
     "\"\<def: \\\"Regular expression for CNBr.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001334\>\"", ",", 
     "\"\<name: ((?<=D))|((?=D))\>\"", ",", 
     "\"\<def: \\\"Regular expression for formic acid.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001335\>\"", 
     ",", "\"\<name: (?<=K)(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for Lys-C.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001336\>\"", ",", 
     "\"\<name: (?<=K)\>\"", ",", 
     "\"\<def: \\\"Regular expression for Lys-C/P.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001337\>\"", ",", 
     "\"\<name: (?<=[FL])\>\"", ",", 
     "\"\<def: \\\"Regular expression for PepsinA.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001338\>\"", ",", 
     "\"\<name: (?<=[FYWLKR])(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for TrypChymo.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001339\>\"", ",", 
     "\"\<name: (?<=[KR])\>\"", ",", 
     "\"\<def: \\\"Regular expression for Trypsin/P.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001340\>\"", ",", 
     "\"\<name: (?<=[BDEZ])(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for V8-DE.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001341\>\"", ",", 
     "\"\<name: (?<=[EZ])(?\\\\!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for V8-E.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001342\>\"", ",", 
     "\"\<name: database sequence details\>\"", ",", 
     "\"\<def: \\\"Details about a single database sequence.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001343\>\"", 
     ",", "\"\<name: NA sequence\>\"", ",", 
     "\"\<def: \\\"The sequence is a nucleic acid sequence.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1001342 ! database sequence details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001344\>\"", ",", 
     "\"\<name: AA sequence\>\"", ",", 
     "\"\<def: \\\"The sequence is a amino acid sequence.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001342 ! database sequence details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001345\>\"", ",", 
     "\"\<name: mass table source\>\"", ",", 
     "\"\<def: \\\"Children of this term specify the source of the mass table \
used.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001354 ! mass table options\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001346\>\"", 
     ",", "\"\<name: AAIndex mass table\>\"", ",", 
     "\"\<def: \\\"The masses used in the mass table are taken from \
AAIndex.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001345 ! mass table source\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001347\>\"", ",", 
     "\"\<name: database file formats\>\"", ",", 
     "\"\<def: \\\"The children of this term define file formats of the \
sequence database used.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001348\>\"", ",", 
     "\"\<name: FASTA format\>\"", ",", 
     "\"\<def: \\\"The sequence database was stored in the FASTA format.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001349\>\"", ",", 
     "\"\<name: ASN.1\>\"", ",", 
     "\"\<def: \\\"The sequence database was stored in the Abstract Syntax \
Notation 1 format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001350\>\"", ",", 
     "\"\<name: NCBI *.p*\>\"", ",", 
     "\"\<def: \\\"The sequence database was stored in the NCBI formatdb \
(*.p*) format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001351\>\"", ",", 
     "\"\<name: clustal aln\>\"", ",", 
     "\"\<def: \\\"ClustalW ALN (multiple alignment) format.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001352\>\"", ",", 
     "\"\<name: embl em\>\"", ",", 
     "\"\<def: \\\"EMBL entry format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001353\>\"", ",", 
     "\"\<name: NBRF PIR\>\"", ",", 
     "\"\<def: \\\"The NBRF PIR was used as format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001354\>\"", ",", 
     "\"\<name: mass table options\>\"", ",", 
     "\"\<def: \\\"Root node for options for the mass table used.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001355\>\"", 
     ",", "\"\<name: peptide descriptions\>\"", ",", 
     "\"\<def: \\\"Descriptions of peptides.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001356\>\"", ",", "\"\<name: spectrum descriptions\>\"", 
     ",", "\"\<def: \\\"Descriptions of the input spectra.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001357\>\"", ",", 
     "\"\<name: spectrum quality descriptions\>\"", ",", 
     "\"\<def: \\\"Description of the quality of the input spectrum.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001356 ! spectrum descriptions\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001358\>\"", ",", 
     "\"\<name: msmsEval quality\>\"", ",", 
     "\"\<def: \\\"This term reports the quality of the spectrum assigned by \
msmsEval.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001357 ! spectrum quality descriptions\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001359\>\"", ",", 
     "\"\<name: ambiguous residues\>\"", ",", 
     "\"\<def: \\\"Children of this term describe ambiguous residues.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001360\>\"", 
     ",", "\"\<name: alternate single letter codes\>\"", ",", 
     "\"\<def: \\\"List of standard residue one letter codes which are used \
to replace a non-standard.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001359 ! ambiguous residues\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001361\>\"", ",", 
     "\"\<name: alternate mass\>\"", ",", 
     "\"\<def: \\\"List of masses a non-standard letter code is replaced \
with.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001359 ! ambiguous residues\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001362\>\"", ",", 
     "\"\<name: number of unmatched peaks\>\"", ",", 
     "\"\<def: \\\"The number of unmatched peaks.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002345 ! PSM-level attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001363\>\"", ",", 
     "\"\<name: peptide unique to one protein\>\"", ",", 
     "\"\<def: \\\"A peptide matching only one.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001127 ! peptide sharing details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001364\>\"", ",", 
     "\"\<name: peptide sequence-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate for distinct \
peptides once redundant identifications of the same peptide have been removed \
(id est multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002703 ! peptide sequence-level result list \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001365\>\"", ",", "\"\<name: frag: internal yb ion\>\"", 
     ",", "\"\<def: \\\"Fragmentation information, type of product: internal \
yb ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001366\>\"", ",", 
     "\"\<name: frag: internal ya ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: internal ya \
ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001367\>\"", ",", 
     "\"\<name: frag: z+1 ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: z+1 ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001368\>\"", ",", 
     "\"\<name: frag: z+2 ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: z+2 ion.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001369\>\"", ",", 
     "\"\<name: text format\>\"", ",", 
     "\"\<def: \\\"Simple text file format of \\\\\\\"m/z [intensity]\\\\\\\" \
values for a PMF (or single MS2) search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001370\>\"", ",", 
     "\"\<name: Mascot:homology threshold\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'homology threshold'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001371\>\"", 
     ",", "\"\<name: Mascot:identity threshold\>\"", ",", 
     "\"\<def: \\\"The Mascot result 'identity threshold'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001372\>\"", 
     ",", "\"\<name: SEQUEST:Sequences\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001373\>\"", 
     ",", "\"\<name: SEQUEST:TIC\>\"", ",", 
     "\"\<def: \\\"SEQUEST total ion current.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001374\>\"", 
     ",", "\"\<name: SEQUEST:Sum\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001375\>\"", 
     ",", "\"\<name: Phenyx:Instrument Type\>\"", ",", 
     "\"\<def: \\\"The instrument type parameter value in Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001376\>\"", 
     ",", "\"\<name: Phenyx:Scoring Model\>\"", ",", 
     "\"\<def: \\\"The selected scoring model in Phenyx.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001377\>\"", ",", 
     "\"\<name: Phenyx:Default Parent Charge\>\"", ",", 
     "\"\<def: \\\"The default parent charge value in Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001378\>\"", 
     ",", "\"\<name: Phenyx:Trust Parent Charge\>\"", ",", 
     "\"\<def: \\\"The parameter in Phenyx that specifies if the experimental \
charge state is to be considered as correct.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001379\>\"", 
     ",", "\"\<name: Phenyx:Turbo\>\"", ",", 
     "\"\<def: \\\"The turbo mode parameter in Phenyx.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001380\>\"", ",", 
     "\"\<name: Phenyx:Turbo:ErrorTol\>\"", ",", 
     "\"\<def: \\\"The maximal allowed fragment m/z error filter considered \
in the turbo mode of Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001381\>\"", 
     ",", "\"\<name: Phenyx:Turbo:Coverage\>\"", ",", 
     "\"\<def: \\\"The minimal peptide sequence coverage value, expressed in \
percent, considered in the turbo mode of Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001382\>\"", 
     ",", "\"\<name: Phenyx:Turbo:Series\>\"", ",", 
     "\"\<def: \\\"The list of ion series considered in the turbo mode of \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001383\>\"", 
     ",", "\"\<name: Phenyx:MinPepLength\>\"", ",", 
     "\"\<def: \\\"The minimal number of residues for a peptide to be \
considered for a valid identification in Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001384\>\"", ",", 
     "\"\<name: Phenyx:MinPepzscore\>\"", ",", 
     "\"\<def: \\\"The minimal peptide z-score for a peptide to be considered \
for a valid identification in Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001385\>\"", 
     ",", "\"\<name: Phenyx:MaxPepPvalue\>\"", ",", 
     "\"\<def: \\\"The maximal peptide p-value for a peptide to be considered \
for a valid identification in Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001386\>\"", 
     ",", "\"\<name: Phenyx:AC Score\>\"", ",", 
     "\"\<def: \\\"The minimal protein score required for a protein database \
entry to be displayed in the list of identified proteins in Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001387\>\"", 
     ",", "\"\<name: Phenyx:Conflict Resolution\>\"", ",", 
     "\"\<def: \\\"The parameter in Phenyx that specifies if the conflict \
resolution algorithm is to be used.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002097 ! Phenyx input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001388\>\"", ",", 
     "\"\<name: Phenyx:AC\>\"", ",", 
     "\"\<def: \\\"The primary sequence database identifier of a protein in \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001389\>\"", 
     ",", "\"\<name: Phenyx:ID\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<def: \\\"A secondary sequence database identifier of a protein in \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001390\>\"", 
     ",", "\"\<name: Phenyx:Score\>\"", ",", 
     "\"\<def: \\\"The protein score of a protein match in Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001391\>\"", 
     ",", "\"\<name: Phenyx:Peptides1\>\"", ",", 
     "\"\<def: \\\"First number of phenyx result \\\\\\\"#Peptides\\\\\\\".\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001392\>\"", 
     ",", "\"\<name: Phenyx:Peptides2\>\"", ",", 
     "\"\<def: \\\"Second number of phenyx result \
\\\\\\\"#Peptides\\\\\\\".\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001393\>\"", 
     ",", "\"\<name: Phenyx:Auto\>\"", ",", 
     "\"\<def: \\\"The value of the automatic peptide acceptance filter in \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001394\>\"", 
     ",", "\"\<name: Phenyx:User\>\"", ",", 
     "\"\<def: \\\"The value of the user-defined peptide acceptance filter in \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\
\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001395\>\"", 
     ",", "\"\<name: Phenyx:Pepzscore\>\"", ",", 
     "\"\<def: \\\"The z-score value of a peptide sequence match in Phenyx.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001396\>\"", 
     ",", "\"\<name: Phenyx:PepPvalue\>\"", ",", 
     "\"\<def: \\\"The p-value of a peptide sequence match in Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1002358 ! search engine specific peptide \
sequence-level identification statistic\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001397\>\"", ",", 
     "\"\<name: Phenyx:NumberOfMC\>\"", ",", 
     "\"\<def: \\\"The number of missed cleavages of a peptide sequence in \
Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001398\>\"", 
     ",", "\"\<name: Phenyx:Modif\>\"", ",", 
     "\"\<def: \\\"The expression of the nature and position(s) of modified \
residue(s) on a matched peptide sequence in Phenyx.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\
\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001399\>\"", 
     ",", "\"\<name: OMSSA csv format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in OMSSA csv file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001400\>\"", ",", 
     "\"\<name: OMSSA xml format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in OMSSA xml file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001401\>\"", ",", 
     "\"\<name: X\\\\!Tandem xml format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in X!Tandem xml file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001405\>\"", ",", 
     "\"\<name: spectrum identification result details\>\"", ",", 
     "\"\<def: \\\"This subsection describes terms which can describe details \
of spectrum identification results.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001406\>\"", 
     ",", "\"\<name: param: internal yb ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: internal yb ion.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001407\>\"", ",", 
     "\"\<name: param: internal ya ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: internal ya ion.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001408\>\"", ",", 
     "\"\<name: param: z+1 ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: z+1 ion.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001409\>\"", ",", 
     "\"\<name: param: z+2 ion\>\"", ",", 
     "\"\<def: \\\"Parameter information, type of product: z+2 ion.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001410\>\"", ",", 
     "\"\<name: translation start codons\>\"", ",", 
     "\"\<def: \\\"The translation start codons used to translate the \
nucleotides to amino acids.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001411\>\"", 
     ",", "\"\<name: search tolerance specification\>\"", ",", 
     "\"\<def: \\\"Specification of the search tolerance.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001412\>\"", ",", 
     "\"\<name: search tolerance plus value\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001411 ! search tolerance specification\>\"", ",", 
     "\"\<relationship: has_units UO:0000166 ! parts per notation unit\>\"", 
     ",", "\"\<relationship: has_units UO:0000169 ! parts per million\>\"", 
     ",", "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001413\>\"", ",", 
     "\"\<name: search tolerance minus value\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001411 ! search tolerance specification\>\"", ",", 
     "\"\<relationship: has_units UO:0000166 ! parts per notation unit\>\"", 
     ",", "\"\<relationship: has_units UO:0000169 ! parts per million\>\"", 
     ",", "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001414\>\"", ",", 
     "\"\<name: MGF scans\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: replaced by MS:1000797 (peak list scans): This \
term can hold the scans attribute from an MGF input file.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1000797\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001415\>\"", 
     ",", "\"\<name: MGF raw scans\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: replaced by MS:1000798 (peak list raw scans): \
This term can hold the raw scans attribute from an MGF input file.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1000798\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001416\>\"", 
     ",", "\"\<name: spectrum title\>\"", ",", 
     "\"\<def: \\\"OBSOLETE: replaced by MS:1000796 (spectrum title): Holds \
the spectrum title from different input file formats, e.g. MGF TITLE.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<replaced_by: MS:1000796\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001417\>\"", 
     ",", "\"\<name: SpectraST:dot\>\"", ",", 
     "\"\<def: \\\"SpectraST dot product of two spectra, measuring spectral \
similarity.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001418\>\"", 
     ",", "\"\<name: SpectraST:dot_bias\>\"", ",", 
     "\"\<def: \\\"SpectraST measure of how much of the dot product is \
dominated by a few peaks.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001419\>\"", 
     ",", "\"\<name: SpectraST:discriminant score F\>\"", ",", 
     "\"\<def: \\\"SpectraST spectrum score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001420\>\"", 
     ",", "\"\<name: SpectraST:delta\>\"", ",", 
     "\"\<def: \\\"SpectraST normalised difference between dot product of top \
hit and runner-up.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001421\>\"", 
     ",", "\"\<name: pepXML format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in a pepXML file \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001422\>\"", ",", 
     "\"\<name: protXML format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in protXML file format.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001423\>\"", ",", 
     "\"\<name: translation table description\>\"", ",", 
     "\"\<def: \\\"A URL that describes the translation table used to \
translate the nucleotides to amino acids.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001424\>\"", 
     ",", "\"\<name: ProteinExtractor:Methodname\>\"", ",", 
     "\"\<def: \\\"Name of the used method in the ProteinExtractor algorithm.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001425\>\"", ",", 
     "\"\<name: ProteinExtractor:GenerateNonRedundant\>\"", ",", 
     "\"\<def: \\\"Flag indicating if a non redundant scoring should be \
generated.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001426\>\"", ",", 
     "\"\<name: ProteinExtractor:IncludeIdentified\>\"", ",", 
     "\"\<def: \\\"Flag indicating if identified proteins should be included.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001427\>\"", ",", 
     "\"\<name: ProteinExtractor:MaxNumberOfProteins\>\"", ",", 
     "\"\<def: \\\"The maximum number of proteins to consider.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001428\>\"", ",", 
     "\"\<name: ProteinExtractor:MaxProteinMass\>\"", ",", 
     "\"\<def: \\\"The maximum considered mass for a protein.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001429\>\"", ",", 
     "\"\<name: ProteinExtractor:MinNumberOfPeptides\>\"", ",", 
     "\"\<def: \\\"The minimum number of proteins to consider.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001430\>\"", ",", 
     "\"\<name: ProteinExtractor:UseMascot\>\"", ",", 
     "\"\<def: \\\"Flag indicating to include Mascot scoring for calculation \
of the ProteinExtractor meta score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001431\>\"", ",", 
     "\"\<name: ProteinExtractor:MascotPeptideScoreThreshold\>\"", ",", 
     "\"\<def: \\\"Only peptides with scores higher than that threshold are \
taken into account in Mascot scoring for calculation of the ProteinExtractor \
meta score.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001432\>\"", ",", 
     "\"\<name: ProteinExtractor:MascotUniqueScore\>\"", ",", 
     "\"\<def: \\\"In the final result each protein must have at least one \
peptide above this Mascot score threshold in ProteinExtractor meta score \
calculation.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001433\>\"", ",", 
     "\"\<name: ProteinExtractor:MascotUseIdentityScore\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001434\>\"", ",", 
     "\"\<name: ProteinExtractor:MascotWeighting\>\"", ",", 
     "\"\<def: \\\"Influence of Mascot search engine in the process of \
merging the search engine specific protein lists into the global protein list \
of ProteinExtractor.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001435\>\"", ",", 
     "\"\<name: ProteinExtractor:UseSequest\>\"", ",", 
     "\"\<def: \\\"Flag indicating to include SEQUEST scoring for calculation \
of the ProteinExtractor meta score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001436\>\"", ",", 
     "\"\<name: ProteinExtractor:SequestPeptideScoreThreshold\>\"", ",", 
     "\"\<def: \\\"Only peptides with scores higher than that threshold are \
taken into account in SEQUEST scoring for calculation of the ProteinExtractor \
meta score.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001437\>\"", ",", 
     "\"\<name: ProteinExtractor:SequestUniqueScore\>\"", ",", 
     "\"\<def: \\\"In the final result each protein must have at least one \
peptide above this SEQUEST score threshold in ProteinExtractor meta score \
calculation.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001438\>\"", ",", 
     "\"\<name: ProteinExtractor:SequestWeighting\>\"", ",", 
     "\"\<def: \\\"Influence of SEQUEST search engine in the process of \
merging the search engine specific protein lists into the global protein list \
of ProteinExtractor.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001439\>\"", ",", 
     "\"\<name: ProteinExtractor:UseProteinSolver\>\"", ",", 
     "\"\<def: \\\"Flag indicating to include ProteinSolver scoring for \
calculation of the ProteinExtractor meta score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001440\>\"", ",", 
     "\"\<name: ProteinExtractor:ProteinSolverPeptideScoreThreshold\>\"", 
     ",", "\"\<def: \\\"Only peptides with scores higher than that threshold \
are taken into account in ProteinSolver scoring for calculation of the \
ProteinExtractor meta score.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001441\>\"", ",", 
     "\"\<name: ProteinExtractor:ProteinSolverUniqueScore\>\"", ",", 
     "\"\<def: \\\"In the final result each protein must have at least one \
peptide above this ProteinSolver score threshold in ProteinExtractor meta \
score calculation.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001442\>\"", ",", 
     "\"\<name: ProteinExtractor:ProteinSolverWeighting\>\"", ",", 
     "\"\<def: \\\"Influence of ProteinSolver search engine in the process of \
merging the search engine specific protein lists into the global protein list \
of ProteinExtractor.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001443\>\"", ",", 
     "\"\<name: ProteinExtractor:UsePhenyx\>\"", ",", 
     "\"\<def: \\\"Flag indicating to include Phenyx scoring for calculation \
of the ProteinExtractor meta score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001444\>\"", ",", 
     "\"\<name: ProteinExtractor:PhenyxPeptideScoreThreshold\>\"", ",", 
     "\"\<def: \\\"Only peptides with scores higher than that threshold are \
taken into account in Phenyx scoring for calculation of the ProteinExtractor \
meta score.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001445\>\"", ",", 
     "\"\<name: ProteinExtractor:PhenyxUniqueScore\>\"", ",", 
     "\"\<def: \\\"In the final result each protein must have at least one \
peptide above this Phenyx score threshold in ProteinExtractor meta score \
calculation.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001446\>\"", ",", 
     "\"\<name: ProteinExtractor:PhenyxWeighting\>\"", ",", 
     "\"\<def: \\\"Influence of Phenyx search engine in the process of \
merging the search engine specific protein lists into the global protein list \
of ProteinExtractor.\\\" [DOI:10.4172/jpb.1000056]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001447\>\"", ",", 
     "\"\<name: prot:FDR threshold\>\"", ",", 
     "\"\<def: \\\"False-discovery rate threshold for proteins.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002485 ! protein-level statistical threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001448\>\"", ",", 
     "\"\<name: pep:FDR threshold\>\"", ",", 
     "\"\<def: \\\"False-discovery rate threshold for peptides.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002484 ! peptide-level statistical threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001449\>\"", ",", 
     "\"\<name: OMSSA e-value threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for OMSSA e-value for quality estimation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002099 ! OMSSA input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001450\>\"", 
     ",", "\"\<name: decoy DB details\>\"", ",", 
     "\"\<def: \\\"Details of decoy generation and database structure.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001011 ! search database details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001451\>\"", 
     ",", "\"\<name: decoy DB generation algorithm\>\"", ",", 
     "\"\<def: \\\"Name of algorithm used for decoy generation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001452\>\"", ",", 
     "\"\<name: decoy DB type shuffle\>\"", ",", 
     "\"\<def: \\\"Decoy type: Amino acids of protein sequences are used in a \
random order.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001453\>\"", ",", 
     "\"\<name: DB composition only decoy\>\"", ",", 
     "\"\<def: \\\"Decoy database composition: database contains only decoy \
entries.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001450 ! decoy DB details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001454\>\"", ",", 
     "\"\<name: quality estimation with implicite decoy sequences\>\"", ",", 
     "\"\<def: \\\"Decoy entries are generated during the search, not \
explicitly stored in a database (like Mascot Decoy).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001060 ! quality estimation method details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001455\>\"", ",", 
     "\"\<name: acquisition software\>\"", ",", 
     "\"\<def: \\\"Acquisition software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001456\>\"", ",", 
     "\"\<name: analysis software\>\"", ",", 
     "\"\<def: \\\"Analysis software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001457\>\"", ",", 
     "\"\<name: data processing software\>\"", ",", 
     "\"\<def: \\\"Data processing software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001458\>\"", ",", 
     "\"\<name: spectrum generation information\>\"", ",", 
     "\"\<def: \\\"Vocabularies describing the spectrum generation \
information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001459\>\"", ",", "\"\<name: file format\>\"", ",", 
     "\"\<def: \\\"Format of data files.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001460\>\"", ",", "\"\<name: unknown modification\>\"",
      ",", "\"\<def: \\\"This term should be given if the modification was \
unknown.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001461\>\"", ",", 
     "\"\<name: greylag\>\"", ",", 
     "\"\<def: \\\"Greylag identification software.\\\" [http://greylag.org/]\
\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001462\>\"", ",", 
     "\"\<name: PEFF format\>\"", ",", 
     "\"\<def: \\\"The sequence database was stored in the PEFF (PSI enhanced \
FastA file) format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001463\>\"", ",", 
     "\"\<name: Phenyx XML format\>\"", ",", 
     "\"\<def: \\\"Phenyx open XML file format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001464\>\"", ",", 
     "\"\<name: DTASelect format\>\"", ",", 
     "\"\<def: \\\"DTASelect file format.\\\" [PMID:12643522, \
http://www.scripps.edu/cravatt/protomap/dtaselect_instructions.html]\>\"", 
     ",", "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001466\>\"", ",", 
     "\"\<name: MS2 format\>\"", ",", 
     "\"\<def: \\\"MS2 file format for MS2 spectral data.\\\" [PMID:15317041, \
DOI:10.1002/rcm.1603, http://fields.scripps.edu/sequest/SQTFormat.html]\>\"", 
     ",", "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001467\>\"", ",", 
     "\"\<name: taxonomy: NCBI TaxID\>\"", ",", 
     "\"\<def: \\\"This term is used if a NCBI TaxID is specified, e.g. 9606 \
for Homo sapiens.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001089 ! molecule taxonomy\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001468\>\"", ",", 
     "\"\<name: taxonomy: common name\>\"", ",", 
     "\"\<def: \\\"This term is used if a common name is specified, e.g. \
human. Recommend using MS:1001467 (taxonomy: NCBI TaxID) where possible.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001089 ! molecule taxonomy\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001469\>\"", ",", 
     "\"\<name: taxonomy: scientific name\>\"", ",", 
     "\"\<def: \\\"This term is used if a scientific name is specified, e.g. \
Homo sapiens. Recommend using MS:1001467 (taxonomy: NCBI TaxID) where \
possible.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001089 ! molecule taxonomy\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001470\>\"", ",", 
     "\"\<name: taxonomy: Swiss-Prot ID\>\"", ",", 
     "\"\<def: \\\"This term is used if a swiss prot taxonomy id is \
specified, e.g. Human. Recommend using MS:1001467 (taxonomy: NCBI TaxID) \
where possible.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001089 ! molecule taxonomy\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001471\>\"", ",", 
     "\"\<name: peptide modification details\>\"", ",", 
     "\"\<def: \\\"The children of this term can be used to describe \
modifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001472\>\"", 
     ",", "\"\<name: selected ion monitoring chromatogram\>\"", ",", 
     "\"\<def: \\\"Chromatogram created by creating an array of the \
measurements of a selectively monitored ion at each time point.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"SIM chromatogram\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001473\>\"", ",", 
     "\"\<name: selected reaction monitoring chromatogram\>\"", ",", 
     "\"\<def: \\\"Chromatogram created by creating an array of the \
measurements of a selectively monitored reaction at each time point.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"SRM chromatogram\\\" EXACT []\>\"", 
     ",", "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001474\>\"", ",", 
     "\"\<name: consecutive reaction monitoring chromatogram\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Chromatogram created by creating an array of the \
measurements of a series of monitored reactions at each time point.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because, by design, it can't \
be properly represented in mzML 1.1. CRM experiments must be represented in a \
spectrum-centric way.\>\"", ",", 
     "\"\<synonym: \\\"CRM chromatogram\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000524 ! data file content\>\"", ",", 
     "\"\<is_a: MS:1000810 ! mass chromatogram\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001475\>\"", ",", "\"\<name: OMSSA\>\"", ",", 
     "\"\<def: \\\"Open Mass Spectrometry Search Algorithm was used to \
analyze the spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001476\>\"", ",", 
     "\"\<name: X\\\\!Tandem\>\"", ",", 
     "\"\<def: \\\"X!Tandem was used to analyze the spectra.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001477\>\"", ",", 
     "\"\<name: SpectraST\>\"", ",", 
     "\"\<def: \\\"SpectraST was used to analyze the spectra.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001478\>\"", ",", 
     "\"\<name: Mascot Parser\>\"", ",", 
     "\"\<def: \\\"Mascot Parser was used to analyze the spectra.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001479\>\"", ",", 
     "\"\<name: null-terminated ASCII string\>\"", ",", 
     "\"\<def: \\\"Sequence of zero or more non-zero ASCII characters \
terminated by a single null (0) byte.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000518 ! binary data type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001480\>\"", ",", 
     "\"\<name: SCIEX TOF/TOF nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by jobRun=xsd:nonNegativeInteger \
spotLabel=xsd:string spectrum=xsd:nonNegativeInteger.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001481\>\"", ",", 
     "\"\<name: SCIEX TOF/TOF database\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS Analytical Technologies TOF/TOF \
instrument database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001482\>\"", ",", 
     "\"\<name: 5800 TOF/TOF\>\"", ",", 
     "\"\<def: \\\"SCIEX 5800 TOF-TOF Analyzer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001483\>\"", ",", 
     "\"\<name: SCIEX TOF/TOF Series Explorer Software\>\"", ",", 
     "\"\<def: \\\"SCIEX or Applied Biosystems software for TOF/TOF data \
acquisition and analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000690 ! SCIEX software\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001484\>\"", ",", 
     "\"\<name: intensity normalization\>\"", ",", 
     "\"\<def: \\\"Normalization of data point intensities.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001485\>\"", ",", 
     "\"\<name: m/z calibration\>\"", ",", 
     "\"\<def: \\\"Calibration of data point m/z positions.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001486\>\"", ",", 
     "\"\<name: data filtering\>\"", ",", 
     "\"\<def: \\\"Filtering out part of the data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000543 ! data processing action\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001487\>\"", ",", 
     "\"\<name: ProteinExtractor\>\"", ",", 
     "\"\<def: \\\"An algorithm for protein determination/assembly integrated \
into Bruker's ProteinScape.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000692 ! Bruker software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001488\>\"", ",", 
     "\"\<name: Mascot Distiller\>\"", ",", 
     "\"\<def: \\\"Mascot Distiller.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001489\>\"", ",", 
     "\"\<name: Mascot Integra\>\"", ",", 
     "\"\<def: \\\"Mascot Integra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001490\>\"", ",", 
     "\"\<name: Percolator\>\"", ",", 
     "\"\<def: \\\"Percolator.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001491\>\"", ",", 
     "\"\<name: percolator:Q value\>\"", ",", 
     "\"\<def: \\\"Percolator:Q value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001492\>\"", 
     ",", "\"\<name: percolator:score\>\"", ",", 
     "\"\<def: \\\"Percolator:score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001493\>\"", 
     ",", "\"\<name: percolator:PEP\>\"", ",", 
     "\"\<def: \\\"Posterior error probability.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001494\>\"", 
     ",", "\"\<name: no threshold\>\"", ",", 
     "\"\<def: \\\"In case no threshold was used.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002482 ! statistical threshold\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001495\>\"", ",", 
     "\"\<name: ProteinScape:SearchResultId\>\"", ",", 
     "\"\<def: \\\"The SearchResultId of this peptide as SearchResult in the \
ProteinScape database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001496\>\"", 
     ",", "\"\<name: ProteinScape:SearchEventId\>\"", ",", 
     "\"\<def: \\\"The SearchEventId of the SearchEvent in the ProteinScape \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001497\>\"", 
     ",", "\"\<name: ProteinScape:ProfoundProbability\>\"", ",", 
     "\"\<def: \\\"The Profound probability score stored by ProteinScape.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001498\>\"", 
     ",", "\"\<name: Profound:z value\>\"", ",", 
     "\"\<def: \\\"The Profound z value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001499\>\"", 
     ",", "\"\<name: Profound:Cluster\>\"", ",", 
     "\"\<def: \\\"The Profound cluster score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001500\>\"", 
     ",", "\"\<name: Profound:ClusterRank\>\"", ",", 
     "\"\<def: \\\"The Profound cluster rank.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001501\>\"", 
     ",", "\"\<name: MSFit:Mowse score\>\"", ",", 
     "\"\<def: \\\"The MSFit Mowse score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001502\>\"", 
     ",", "\"\<name: Sonar:Score\>\"", ",", 
     "\"\<def: \\\"The Sonar score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001503\>\"", 
     ",", "\"\<name: ProteinScape:PFFSolverExp\>\"", ",", 
     "\"\<def: \\\"The ProteinSolver exp value stored by ProteinScape.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001504\>\"", 
     ",", "\"\<name: ProteinScape:PFFSolverScore\>\"", ",", 
     "\"\<def: \\\"The ProteinSolver score stored by ProteinScape.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001505\>\"", 
     ",", "\"\<name: ProteinScape:IntensityCoverage\>\"", ",", 
     "\"\<def: \\\"The intensity coverage of the identified peaks in the \
spectrum calculated by ProteinScape.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001506\>\"", 
     ",", "\"\<name: ProteinScape:SequestMetaScore\>\"", ",", 
     "\"\<def: \\\"The SEQUEST meta score calculated by ProteinScape from the \
original SEQUEST scores.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001507\>\"", 
     ",", "\"\<name: ProteinExtractor:Score\>\"", ",", 
     "\"\<def: \\\"The score calculated by ProteinExtractor.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001508\>\"", 
     ",", "\"\<name: Agilent MassHunter nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by \
scanId=xsd:nonNegativeInteger.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001509\>\"", ",", 
     "\"\<name: Agilent MassHunter format\>\"", ",", 
     "\"\<def: \\\"A data file format found in an Agilent MassHunter \
directory which contains raw data acquired by an Agilent mass spectrometer.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001510\>\"", ",", 
     "\"\<name: TSQ Vantage\>\"", ",", 
     "\"\<def: \\\"TSQ Vantage.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001511\>\"", ",", 
     "\"\<name: Sequence database filter types\>\"", ",", 
     "\"\<def: \\\"Filter types which are used to filter a sequence database.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001019 ! database filtering\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001512\>\"", 
     ",", "\"\<name: Sequence database filters\>\"", ",", 
     "\"\<def: \\\"Sequence database filters which actually can contains \
values, e.g. to limit PI value of the sequences used to search.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001019 ! database filtering\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001513\>\"", ",", 
     "\"\<name: DB sequence filter pattern\>\"", ",", 
     "\"\<def: \\\"DB sequence filter pattern.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001514\>\"", ",", 
     "\"\<name: DB accession filter string\>\"", ",", 
     "\"\<def: \\\"DB accession filter string.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001512 ! Sequence database filters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001515\>\"", ",", 
     "\"\<name: frag: c ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: c ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001516\>\"", ",", 
     "\"\<name: frag: c ion - NH3\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: c ion without \
ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001517\>\"", ",", 
     "\"\<name: frag: z ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: z ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001518\>\"", ",", 
     "\"\<name: frag: z ion - NH3\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: z ion without \
ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001519\>\"", ",", 
     "\"\<name: frag: x ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: x ion without \
water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001520\>\"", ",", 
     "\"\<name: frag: x ion - NH3\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: x ion without \
ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001521\>\"", ",", 
     "\"\<name: frag: precursor ion - H2O\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: precursor ion \
without water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001522\>\"", ",", 
     "\"\<name: frag: precursor ion - NH3\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: precursor ion \
without ammonia.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001523\>\"", ",", 
     "\"\<name: frag: precursor ion\>\"", ",", 
     "\"\<def: \\\"Fragmentation information, type of product: precursor ion.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001524\>\"", 
     ",", "\"\<name: fragment neutral loss\>\"", ",", 
     "\"\<def: \\\"This term can describe a neutral loss m/z value that is \
lost from an ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001525\>\"", ",", 
     "\"\<name: precursor neutral loss\>\"", ",", 
     "\"\<def: \\\"This term can describe a neutral loss m/z value that is \
lost from an ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001526\>\"", ",", 
     "\"\<name: spectrum from database integer nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by databasekey=xsd:long.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: A unique identifier of a spectrum stored in a database \
(e.g. a PRIMARY KEY identifier).\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001527\>\"", ",", 
     "\"\<name: Proteinscape spectra\>\"", ",", 
     "\"\<def: \\\"Spectra from Bruker/Protagen Proteinscape database.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001528\>\"", ",", 
     "\"\<name: Mascot query number\>\"", ",", 
     "\"\<def: \\\"Native format defined by query=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: The spectrum (query) number in a Mascot results file, \
starting from 1.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001529\>\"", 
     ",", "\"\<name: spectra data details\>\"", ",", 
     "\"\<def: \\\"Child-terms contain information to map the results back to \
spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001530\>\"", ",", 
     "\"\<name: mzML unique identifier\>\"", ",", 
     "\"\<def: \\\"Native format defined by mzMLid=xsd:IDREF.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: A unique identifier of a spectrum stored in an mzML \
file.\>\"", ",", "\"\<is_a: MS:1001529 ! spectra data details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001531\>\"", ",", 
     "\"\<name: spectrum from ProteinScape database nativeID format\>\"", 
     ",", "\"\<def: \\\"Native format defined by databasekey=xsd:long.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: A unique identifier of a spectrum stored in a ProteinScape \
database.\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<is_a: MS:1001529 ! spectra data details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001532\>\"", ",", 
     "\"\<name: spectrum from database string nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by databasekey=xsd:string.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: A unique identifier of a spectrum stored in a database \
(e.g. a PRIMARY KEY identifier).\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<is_a: MS:1001529 ! spectra data details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001533\>\"", ",", 
     "\"\<name: Bruker Daltonics esquire series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' esquire series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001534\>\"", ",", 
     "\"\<name: Bruker Daltonics flex series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' flex series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001535\>\"", ",", 
     "\"\<name: Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' BioTOF series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001536\>\"", ",", 
     "\"\<name: Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001537\>\"", ",", 
     "\"\<name: BioTOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' BioTOF: ESI TOF.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001535 ! Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001538\>\"", ",", 
     "\"\<name: BioTOF III\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' BioTOF III: ESI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001535 ! Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001539\>\"", ",", 
     "\"\<name: UltroTOF-Q\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' UltroTOF-Q: ESI Q-TOF (MALDI \
optional).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001535 ! Bruker Daltonics BioTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001540\>\"", ",", 
     "\"\<name: micrOTOF II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF II: ESI TOF, Nanospray, APCI, \
APPI.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001541\>\"", ",", 
     "\"\<name: maXis\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' maXis: ESI Q-TOF, Nanospray, APCI, APPI.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001547 ! Bruker Daltonics maXis series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001542\>\"", ",", 
     "\"\<name: amaZon ETD\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' amaZon ETD: ESI quadrupole ion trap, \
Nanospray, APCI, APPI, ETD, PTR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001545 ! Bruker Daltonics amaZon series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001543\>\"", ",", 
     "\"\<name: microflex LRF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' microflex LRF: MALDI TOF.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001544\>\"", ",", 
     "\"\<name: ultrafleXtreme\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' ultrafleXtreme: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001545\>\"", 
     ",", "\"\<name: Bruker Daltonics amaZon series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' amaZon series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001546\>\"", ",", 
     "\"\<name: amaZon X\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' amaZon X: ESI quadrupole ion trap, APCI, \
APPI, ETD, PTR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001545 ! Bruker Daltonics amaZon series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001547\>\"", ",", 
     "\"\<name: Bruker Daltonics maXis series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' maXis series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001548\>\"", ",", 
     "\"\<name: Bruker Daltonics solarix series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' solarix: ESI quadrupole ion trap, APCI, \
APPI, ETD, PTR.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001549\>\"", ",", 
     "\"\<name: solariX\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' solariX: ESI, MALDI, Qh-FT_ICR.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001548 ! Bruker Daltonics solarix series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001550\>\"", ",", 
     "\"\<name: microflex II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' microflex II: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001553\>\"", 
     ",", "\"\<name: autoflex II TOF/TOF\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex II TOF/TOF: MALDI TOF.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001554\>\"", 
     ",", "\"\<name: autoflex III TOF/TOF smartbeam\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex III TOF/TOF smartbeam: MALDI \
TOF.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001555\>\"", ",", 
     "\"\<name: autoflex\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' autoflex: MALDI TOF.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001534 ! Bruker Daltonics flex series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001556\>\"", ",", 
     "\"\<name: Bruker Daltonics apex series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' apex series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001557\>\"", ",", 
     "\"\<name: Shimadzu Corporation software\>\"", ",", 
     "\"\<def: \\\"Shimadzu Corporation software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001558\>\"", ",", 
     "\"\<name: MALDI Solutions\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech software for data acquisition, \
processing, and analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<is_a: MS:1001557 ! Shimadzu Corporation software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001559\>\"", ",", 
     "\"\<name: SCIEX TOF/TOF T2D nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by file=xsd:IDREF.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001560\>\"", 
     ",", "\"\<name: SCIEX TOF/TOF T2D format\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS Analytical Technologies TOF/TOF \
instrument export format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001561\>\"", ",", 
     "\"\<name: Scaffold\>\"", ",", 
     "\"\<def: \\\"Scaffold analysis software.\\\" \
[http://www.proteomesoftware.com]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001562\>\"", ",", 
     "\"\<name: Scaffold nativeID format\>\"", ",", 
     "\"\<def: \\\"Scaffold native ID format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001563\>\"", ",", 
     "\"\<name: SEQUEST SQT format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in SEQUEST SQT \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001564\>\"", ",", 
     "\"\<name: Discoverer MSF format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in Thermo Scientific \
Discoverer MSF format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001565\>\"", ",", 
     "\"\<name: IdentityE XML format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in Waters IdentityE XML \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001566\>\"", ",", 
     "\"\<name: ProteinLynx XML format\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in Waters ProteinLynx \
XML format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001567\>\"", ",", 
     "\"\<name: SpectrumMill directories\>\"", ",", 
     "\"\<def: \\\"Source file for this mzIdentML was in Agilent SpectrumMill \
directory format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001568\>\"", ",", 
     "\"\<name: Scaffold:Peptide Probability\>\"", ",", 
     "\"\<def: \\\"Scaffold peptide probability score.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001569\>\"", 
     ",", "\"\<name: IdentityE Score\>\"", ",", 
     "\"\<def: \\\"Waters IdentityE peptide score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001570\>\"", 
     ",", "\"\<name: ProteinLynx:Log Likelihood\>\"", ",", 
     "\"\<def: \\\"ProteinLynx log likelihood score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001571\>\"", 
     ",", "\"\<name: ProteinLynx:Ladder Score\>\"", ",", 
     "\"\<def: \\\"Waters ProteinLynx Ladder score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001572\>\"", 
     ",", "\"\<name: SpectrumMill:Score\>\"", ",", 
     "\"\<def: \\\"Spectrum mill peptide score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001573\>\"", 
     ",", "\"\<name: SpectrumMill:SPI\>\"", ",", 
     "\"\<def: \\\"SpectrumMill SPI score (%).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001574\>\"", 
     ",", "\"\<name: report only spectra assigned to identified proteins\>\"",
      ",", "\"\<def: \\\"Flag indicating to report only the spectra assigned \
to identified proteins.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001060 ! quality estimation method details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001575\>\"", ",", 
     "\"\<name: Scaffold: Minimum Peptide Count\>\"", ",", 
     "\"\<def: \\\"Minimum number of peptides a protein must have to be \
accepted.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002106 ! Scaffold input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001576\>\"", ",", 
     "\"\<name: Scaffold: Minimum Protein Probability\>\"", ",", 
     "\"\<def: \\\"Minimum protein probability a protein must have to be \
accepted.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002106 ! Scaffold input parameter\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001577\>\"", 
     ",", "\"\<name: Scaffold: Minimum Peptide Probability\>\"", ",", 
     "\"\<def: \\\"Minimum probability a peptide must have to be accepted for \
protein scoring.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002106 ! Scaffold input parameter\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001578\>\"", 
     ",", "\"\<name: minimum number of enzymatic termini\>\"", ",", 
     "\"\<def: \\\"Minimum number of enzymatic termini a peptide must have to \
be accepted.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002094 ! common search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001579\>\"", ",", 
     "\"\<name: Scaffold:Protein Probability\>\"", ",", 
     "\"\<def: \\\"Scaffold protein probability score.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001580\>\"", 
     ",", "\"\<name: SpectrumMill:Discriminant Score\>\"", ",", 
     "\"\<def: \\\"Discriminant score from Agilent SpectrumMill software.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001581\>\"", 
     ",", "\"\<name: FAIMS compensation voltage\>\"", ",", 
     "\"\<def: \\\"The DC potential applied to the asymmetric waveform in \
FAIMS that compensates for the difference between high and low field mobility \
of an ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"FAIMS CV\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001582\>\"", ",", 
     "\"\<name: XCMS\>\"", ",", 
     "\"\<def: \\\"Bioconductor package XCMS for preprocessing \
high-throughput, untargeted analyte profiling data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001583\>\"", ",", 
     "\"\<name: MaxQuant\>\"", ",", 
     "\"\<def: \\\"MaxQuant is a quantitative proteomics software package \
designed for analyzing large mass spectrometric data sets. It is specifically \
aimed at high resolution MS data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001584\>\"", ",", 
     "\"\<name: combined pmf + ms-ms search\>\"", ",", 
     "\"\<def: \\\"Search that includes data from Peptide Mass Fingerprint \
(PMF) and MS2 (aka Peptide Fragment Fingerprint - PFF).\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001080 ! search type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001585\>\"", ",", 
     "\"\<name: MyriMatch\>\"", ",", 
     "\"\<def: \\\"Tabb Lab software for directly comparing peptides in a \
database to tandem mass spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001586\>\"", ",", 
     "\"\<name: DirecTag\>\"", ",", 
     "\"\<def: \\\"Tabb Lab software for generating sequence tags from tandem \
mass spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001587\>\"", ",", 
     "\"\<name: TagRecon\>\"", ",", 
     "\"\<def: \\\"Tabb Lab software for reconciling sequence tags to a \
protein database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001588\>\"", ",", 
     "\"\<name: Pepitome\>\"", ",", 
     "\"\<def: \\\"Tabb Lab software for spectral library searches on tandem \
mass spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001589\>\"", ",", 
     "\"\<name: MyriMatch:MVH\>\"", ",", 
     "\"\<def: \\\"Using the multivariate hypergeometric distribution and a \
peak list divided into several intensity classes, this score is the negative \
natural log probability that the predicted peaks matched to experimental \
peaks by random chance.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Pepitome:MVH\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"TagRecon:MVH\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001590\>\"", 
     ",", "\"\<name: MyriMatch:mzFidelity\>\"", ",", 
     "\"\<def: \\\"The negative natural log probability that predicted peaks \
match to experimental peaks by random chance by scoring the m/z delta of the \
matches in a multinomial distribution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"Pepitome:mzFidelity\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"TagRecon:mzFidelity\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001591\>\"", 
     ",", "\"\<name: anchor protein\>\"", ",", 
     "\"\<def: \\\"A representative protein selected from a set of sequence \
same-set or spectrum same-set proteins.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001592\>\"", ",", 
     "\"\<name: family member protein\>\"", ",", 
     "\"\<def: \\\"A protein with significant homology to another protein, \
but some distinguishing peptide matches.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001593\>\"", ",", 
     "\"\<name: group member with undefined relationship OR ortholog \
protein\>\"", ",", 
     "\"\<def: \\\"TO ENDETAIL: a really generic relationship OR ortholog \
protein.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001594\>\"", ",", 
     "\"\<name: sequence same-set protein\>\"", ",", 
     "\"\<def: \\\"A protein which is indistinguishable or equivalent to \
another protein, having matches to an identical set of peptide sequences.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001595\>\"", ",", 
     "\"\<name: spectrum same-set protein\>\"", ",", 
     "\"\<def: \\\"A protein which is indistinguishable or equivalent to \
another protein, having matches to a set of peptide sequences that cannot be \
distinguished using the evidence in the mass spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001596\>\"", ",", 
     "\"\<name: sequence sub-set protein\>\"", ",", 
     "\"\<def: \\\"A protein with a sub-set of the peptide sequence matches \
for another protein, and no distinguishing peptide matches.\\\" [PSI:MS]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001597\>\"", ",", 
     "\"\<name: spectrum sub-set protein\>\"", ",", 
     "\"\<def: \\\"A protein with a sub-set of the matched spectra for \
another protein, where the matches cannot be distinguished using the evidence \
in the mass spectra, and no distinguishing peptide matches.\\\" [PSI:MS]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001598\>\"", ",", 
     "\"\<name: sequence subsumable protein\>\"", ",", 
     "\"\<def: \\\"A sequence same-set or sequence sub-set protein where the \
matches are distributed across two or more proteins.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001599\>\"", ",", 
     "\"\<name: spectrum subsumable protein\>\"", ",", 
     "\"\<def: \\\"A spectrum same-set or spectrum sub-set protein where the \
matches are distributed across two or more proteins.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001600\>\"", ",", 
     "\"\<name: protein inference confidence category\>\"", ",", 
     "\"\<def: \\\"Confidence category of inferred protein (conclusive, non \
conclusive, ambiguous group or indistinguishable).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001601\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Files:Raw File names\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Name and location of the .raw file or files.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use one of the 'mass spectrometer file format' terms (MS:1000560) \
instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001602\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SRF File Selector:SRF File Path\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Path and name of the .srf (SEQUEST Result Format) \
file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete. Use attribute in mzIdentML / \
mzQuantML instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001603\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Ionization Source\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Ionization source (electro-, nano-, \
thermospray, electron impact, APCI, MALDI, FAB etc).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use one of the 'inlet type' (MS:1000007) or 'ionization type' (MS:1000008) \
terms instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001604\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Activation Type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Fragmentation method used (CID, MPD, ECD, PQD, \
ETD, HCD, Any).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use one of the 'ionization type' terms (MS:1000008) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001605\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Lower RT Limit\>\"", 
     ",", "\"\<def: \\\"Lower retention-time limit.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001606\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mass Analyzer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Type of mass spectrometer used (ITMS, FTMS, \
TOFMS, SQMS, TQMS, SectorMS).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use mass analyzer type (MS:1000443) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001607\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Max Precursor Mass\>\"", ",", 
     "\"\<def: \\\"Maximum mass limit of a singly charged precursor ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001608\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Min Precursor Mass\>\"", ",", 
     "\"\<def: \\\"Minimum mass limit of a singly charged precursor ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001609\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Minimum Peak Count\>\"", 
     ",", "\"\<def: \\\"Minimum number of peaks in a tandem mass spectrum \
that is allowed to pass the filter and to be subjected to further processing \
in the workflow.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001610\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:MS Order\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Level of the mass spectrum (MS2 ... MS10).\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use MS1 spectrum (MS:1000579) or MSn spectrum (MS:1000580) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001611\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Polarity Mode\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Polarity mode (positive or negative).\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use scan polarity (MS:1000465) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001612\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Precursor Selection\>\"",
      ",", "\"\<def: \\\"Determines which precursor mass to use for a given \
MSn scan. This option applies only to higher-order MSn scans (n >= 3).\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001613\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SN Threshold\>\"", ",", 
     "\"\<def: \\\"Signal-to-Noise ratio below which peaks are removed.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001614\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Scan Type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Scan type for the precursor ion (full, Single Ion \
Monitoring (SIM), Single Reaction Monitoring (SRM)).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use MS1 spectrum (MS:1000579), MSn spectrum (MS:1000580), CRM spectrum \
(MS:1000581), SIM spectrum (MS:1000582) or SRM spectrum (MS:1000583) instead.\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001615\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Total Intensity \
Threshold\>\"", ",", 
     "\"\<def: \\\"Used to filter out tandem mass spectra that have a total \
intensity current(sum of the intensities of all peaks in a spectrum) below \
the specified value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001616\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Unrecognized Activation \
Type Replacements\>\"", ",", 
     "\"\<def: \\\"Specifies the fragmentation method to use in the search \
algorithm if it is not included in the scan header.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001617\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Unrecognized Charge \
Replacements\>\"", ",", 
     "\"\<def: \\\"Specifies the charge state of the precursor ions, if it is \
not defined in the scan header.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001618\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Unrecognized Mass \
Analyzer Replacements\>\"", ",", 
     "\"\<def: \\\"Specifies the mass spectrometer to use to produce the \
spectra, if it is not included in the scan header.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001619\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Unrecognized MS Order \
Replacements\>\"", ",", 
     "\"\<def: \\\"Specifies the MS scan order used to produce the product \
spectra, if it is not included in the scan header.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001620\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Unrecognized Polarity \
Replacements\>\"", ",", 
     "\"\<def: \\\"Specifies the polarity of the ions monitored if it is not \
included in the scan header.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001621\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Upper RT Limit\>\"", 
     ",", "\"\<def: \\\"Upper retention-time limit.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001622\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Mass Window \
Offset\>\"", ",", 
     "\"\<def: \\\"Specifies the size of the mass-to-charge ratio (m/z) \
window in daltons used to remove precursors.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001623\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Maximum Neutral Loss \
Mass\>\"", ",", 
     "\"\<def: \\\"Maximum allowed mass of a neutral loss.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001624\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Remove Charge Reduced \
Precursor\>\"", ",", 
     "\"\<def: \\\"Determines whether the charge-reduced precursor peaks \
found in an ETD or ECD spectrum are removed.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001625\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Remove Neutral Loss \
Peaks\>\"", ",", 
     "\"\<def: \\\"Determines whether neutral loss peaks are removed from ETD \
and ECD spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001626\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Remove Only Known \
Masses\>\"", ",", 
     "\"\<def: \\\"Determines whether overtone peaks are removed from LTQ FT \
or LTQ FT Ultra ECD spectra.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001627\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Remove Precursor \
Overtones\>\"", ",", 
     "\"\<def: \\\"Determines whether precursor overtone peaks in the \
spectrum are removed from the input spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001628\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Non-Fragment Filter:Remove Precursor \
Peak\>\"", ",", 
     "\"\<def: \\\"Determines whether precursor artifact peaks from the MS2 \
input spectra are removed.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001629\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Grouper:Allow Mass Analyzer \
Mismatch\>\"", ",", 
     "\"\<def: \\\"Determines whether the fragment spectrum for scans with \
the same precursor mass is grouped, regardless of mass analyzer and \
activation type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001630\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Grouper:Allow MS Order Mismatch\>\
\"", ",", 
     "\"\<def: \\\"Determines whether spectra from different MS order scans \
can be grouped together.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001631\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Grouper:Max RT Difference\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Chromatographic window where precursors to \
be grouped must reside to be considered the same species.\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use retention time window width (MS:1001907) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001632\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Grouper:Precursor Mass \
Criterion\>\"", ",", 
     "\"\<def: \\\"Groups spectra measured within the given mass and \
retention-time tolerances into a single spectrum for analysis.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001633\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Highest Charge\>\"", ",", 
     "\"\<def: \\\"Highest charge state that is allowed for the deconvolution \
of multiply charged data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001634\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Highest MZ\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Highest mass-to-charge (mz) value for spectral \
peaks in the measured spectrum that are considered for Xtract.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use scan window upper limit (MS:1000500) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001635\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Lowest Charge\>\"", ",", 
     "\"\<def: \\\"Lowest charge state that is allowed for the deconvolution \
of multiply charged data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001636\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Lowest MZ\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Lowest mass-to-charge (mz) value for spectral \
peaks in the measured spectrum that are considered for Xtract.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use scan window lower limit (MS:1000501) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001637\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Monoisotopic Mass Only\>\"", ",", 
     "\"\<def: \\\"Determines whether the isotopic pattern, i.e. all isotopes \
of a mass are removed from the spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001638\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Overlapping Remainder\>\"", ",", 
     "\"\<def: \\\"Fraction of the more abundant peak that an overlapping \
multiplet must exceed in order to be processed (deconvoluted).\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001639\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Required Fitting Accuracy\>\"", 
     ",", "\"\<def: \\\"Accuracy required for a pattern fit to be considered \
valid.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001640\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Xtract:Resolution At 400\>\"", ",", 
     "\"\<def: \\\"Resolution at mass 400.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001641\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Lowest Charge State\>\"", ",", 
     "\"\<def: \\\"Minimum charge state below which peptides are filtered \
out.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001642\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Highest Charge State\>\"", ",", 
     "\"\<def: \\\"Maximum charge above which peptides are filtered out.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001643\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Score Filter:Let Pass Above \
Scores\>\"", ",", 
     "\"\<def: \\\"Determines whether spectra with scores above the threshold \
score are retained rather than filtered out.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001644\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"Determine dynamic post-translational modifications (PTMs).\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001645\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Static Modification\>\"", ",", 
     "\"\<def: \\\"Static Modification to all occurrences of a named amino \
acid.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001646\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Decoy Search\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Determines whether the Proteome Discoverer \
application searches an additional decoy database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use quality estimation with decoy database (MS:1001194) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001647\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Error tolerant Search\>\"", ",", 
     "\"\<def: \\\"Determines whether to search error-tolerant.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001648\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Max MGF File Size\>\"", ",", 
     "\"\<def: \\\"Maximum size of the .mgf (Mascot Generic Format) file in \
MByte.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001649\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Mascot Server URL\>\"", ",", 
     "\"\<def: \\\"URL (Uniform resource Locator) of the Mascot server.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001650\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Number of attempts to submit the \
search\>\"", ",", 
     "\"\<def: \\\"Number of attempts to submit the Mascot search.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001651\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:X Static Modification\>\"", ",", 
     "\"\<def: \\\"Number of attempts to submit the Mascot search.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001652\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:User Name\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Name of the user submitting the Mascot \
search.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use researcher (MS:1001271) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001653\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Time interval between attempts to \
submit a search\>\"", ",", 
     "\"\<def: \\\"Time interval between attempts to submit a search in \
seconds.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001654\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Enzyme Name\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Specifies the enzyme reagent used for protein \
digestion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use cleavage agent name (MS:1001045) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001655\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Fragment Mass Tolerance\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Mass tolerance used for matching fragment peaks \
in Da or mmu.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use search tolerance minus value (MS:1001413) or search tolerance plus value \
(MS:1001412) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001656\>\"", ",", "\"\<name: Mascot:Instrument\>\"", 
     ",", "\"\<def: \\\"Type of instrument used to acquire the data in the \
raw file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001657\>\"", 
     ",", "\"\<name: ProteomeDiscoverer:Maximum Missed Cleavage Sites\>\"", 
     ",", "\"\<def: \\\"Maximum number of missed cleavage sites to consider \
during the digest.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001658\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Peptide CutOff Score\>\"", ",", 
     "\"\<def: \\\"Minimum score in the IonScore column that each peptide \
must exceed in order to be reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001659\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Precursor Mass Tolerance\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Mass window for which precursor ions are \
considered to be the same species.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use search tolerance minus value (MS:1001413) or search tolerance plus value \
(MS:1001412) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001660\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Protein CutOff Score\>\"", ",", 
     "\"\<def: \\\"Minimum protein score in the IonScore column that each \
protein must exceed in order to be reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001661\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Protein Database\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Database to use in the search (configured on the \
Mascot server).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use database name (MS:1001013) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001662\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Protein Relevance Factor\>\"", ",", 
     "\"\<def: \\\"Specifies a factor that is used in calculating a threshold \
that determines whether a protein appears in the results report.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001663\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Target FDR Relaxed\>\"", ",", 
     "\"\<def: \\\"Specifies the relaxed target false discovery rate (FDR, \
0.0 - 1.0) for peptide hits with moderate confidence.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001664\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Target FDR Strict\>\"", ",", 
     "\"\<def: \\\"Specifies the strict target false discovery rate (FDR, 0.0 \
- 1.0) for peptide hits with high confidence.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001665\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Taxonomy\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Limits searches to entries from a particular \
species or group of species.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use taxonomy: scientific name (MS:1001469) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001666\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Use Average Precursor Mass\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Use average mass for the precursor.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use parent mass type average (MS:1001212) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001667\>\"", ",", 
     "\"\<name: Mascot:use MudPIT scoring\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Determines whether to use MudPIT or normal \
scoring.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use Mascot:ProteinScoringMethod (MS:1001318) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001668\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Absolute XCorr Threshold\>\"", ",", 
     "\"\<def: \\\"Minimum cross-correlation threshold that determines \
whether peptides in an .srf file are imported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001669\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Calculate Probability Score\>\"", 
     ",", "\"\<def: \\\"Determines whether to calculate a probability score \
for every peptide match.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001670\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:CTerminal Modification\>\"", ",", 
     "\"\<def: \\\"Dynamic C-terminal modification that is used during the \
search.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001671\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Fragment Ion Cutoff \
Percentage\>\"", ",", 
     "\"\<def: \\\"Percentage of the theoretical ions that must be found in \
order for a peptide to be scored and retained.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001672\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Max Identical Modifications Per \
Peptide\>\"", ",", 
     "\"\<def: \\\"Maximum number of identical modifications that a single \
peptide can have.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001673\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Max Modifications Per Peptide\>\"", ",", 
     "\"\<def: \\\"Maximum number of different modifications that a peptide \
can have, e.g. because of steric hindrance.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001674\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Maximum Peptides Considered\>\"", 
     ",", "\"\<def: \\\"Maximum number of peptides that are searched and \
scored per spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001675\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Maximum Peptides Output\>\"", ",", 
     "\"\<def: \\\"Maximum number of peptide matches reported per spectrum.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001676\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Maximum Protein References Per \
Peptide\>\"", ",", 
     "\"\<def: \\\"Maximum number of proteins that a single identified \
peptide can be associated with during protein assembly.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001677\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:NTerminal Modification\>\"", ",", 
     "\"\<def: \\\"Dynamic N-terminal modification that is used during the \
search.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001678\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Peptide CTerminus\>\"", ",", 
     "\"\<def: \\\"Static modification for the C terminal of the peptide used \
during the search.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001679\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Peptide NTerminus\>\"", ",", 
     "\"\<def: \\\"Static modification for the N terminal of the peptide used \
during the search.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001680\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Peptide Relevance Factor\>\"", 
     ",", "\"\<def: \\\"Specifies a factor to apply to the protein score.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001681\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Protein Relevance Threshold\>\"", ",", 
     "\"\<def: \\\"Specifies a peptide threshold that determines whether the \
protein that it is a part of is scored and retained in the report.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001682\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Search Against Decoy Database\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Determines whether the Proteome Discoverer \
application searches against a decoy database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use quality estimation with decoy database (MS:1001194) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001683\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Use Average Fragment Masses\>\"", 
     ",", "\"\<def: \\\"Use average masses for the fragments.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001684\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Use Neutral Loss a Ions\>\"", ",", 
     "\"\<def: \\\"Determines whether a ions with neutral loss are used for \
spectrum matching.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001685\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Use Neutral Loss b Ions\>\"", ",", 
     "\"\<def: \\\"Determines whether b ions with neutral loss are used for \
spectrum matching.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001686\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Use Neutral Loss y Ions\>\"", ",", 
     "\"\<def: \\\"Determines whether y ions with neutral loss are used for \
spectrum matching.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001687\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Use Neutral Loss z Ions\>\"", ",", 
     "\"\<def: \\\"Determines whether z ions with neutral loss are used for \
spectrum matching.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001688\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of a Ions\>\"", ",", 
     "\"\<def: \\\"Uses a ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001689\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of b Ions\>\"", ",", 
     "\"\<def: \\\"Uses b ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001690\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of c Ions\>\"", ",", 
     "\"\<def: \\\"Uses c ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001691\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of d Ions\>\"", ",", 
     "\"\<def: \\\"Uses c ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001692\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of v Ions\>\"", ",", 
     "\"\<def: \\\"Uses c ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001693\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of w Ions\>\"", ",", 
     "\"\<def: \\\"Uses c ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001694\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of x Ions\>\"", ",", 
     "\"\<def: \\\"Uses x ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001695\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of y Ions\>\"", ",", 
     "\"\<def: \\\"Uses y ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001696\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Weight of z Ions\>\"", ",", 
     "\"\<def: \\\"Uses z ions for spectrum matching with this relative \
factor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001697\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:ZCore:Protein Score Cutoff\>\"", ",", 
     "\"\<def: \\\"Sets a minimum protein score that each protein must exceed \
in order to be reported.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001698\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Reporter Ions Quantizer:Integration Method\
\>\"", ",", 
     "\"\<def: \\\"Specifies which peak to select if more than one peak is \
found inside the integration window.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001699\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Reporter Ions Quantizer:Integration Window \
Tolerance\>\"", ",", 
     "\"\<def: \\\"Specifies the mass-to-charge window that enables one to \
look for the reporter peaks.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001700\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Reporter Ions Quantizer:Quantitation \
Method\>\"", ",", 
     "\"\<def: \\\"Quantitation method for isobarically labeled quantitation.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001701\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Exporter:Export Format\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Format of the exported spectra (dta, mgf or \
mzData).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use one of the 'mass spectrometer file format' terms (MS:1000560) \
instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001702\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Exporter:File name\>\"", ",", 
     "\"\<def: \\\"Name of the output file that contains the exported data.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001703\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Search Modifications Only For Identified \
Proteins\>\"", ",", 
     "\"\<def: \\\"Influences the modifications search.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001704\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std High Confidence XCorr \
Charge1\>\"", ",", 
     "\"\<def: \\\"Standard high confidence XCorr parameter for charge = 1.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001705\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std High Confidence XCorr \
Charge2\>\"", ",", 
     "\"\<def: \\\"Standard high confidence XCorr parameter for charge = 2.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001706\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std High Confidence XCorr \
Charge3\>\"", ",", 
     "\"\<def: \\\"Standard high confidence XCorr parameter for charge = 3.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001707\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std High Confidence XCorr \
Charge4\>\"", ",", 
     "\"\<def: \\\"Standard high confidence XCorr parameter for charge >= \
4.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001708\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std Medium Confidence XCorr \
Charge1\>\"", ",", 
     "\"\<def: \\\"Standard medium confidence XCorr parameter for charge = 1.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001709\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std Medium Confidence XCorr \
Charge2\>\"", ",", 
     "\"\<def: \\\"Standard medium confidence XCorr parameter for charge = 2.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001710\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std Medium Confidence XCorr \
Charge3\>\"", ",", 
     "\"\<def: \\\"Standard medium confidence XCorr parameter for charge = 3.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001711\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Std Medium Confidence XCorr \
Charge4\>\"", ",", 
     "\"\<def: \\\"Standard medium confidence XCorr parameter for charge >= \
4.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001712\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT High Confidence XCorr Charge1\>\
\"", ",", 
     "\"\<def: \\\"FT high confidence XCorr parameter for charge = 1.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001713\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT High Confidence XCorr Charge2\>\
\"", ",", 
     "\"\<def: \\\"FT high confidence XCorr parameter for charge = 2.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001714\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT High Confidence XCorr Charge3\>\
\"", ",", 
     "\"\<def: \\\"FT high confidence XCorr parameter for charge = 3.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001715\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT High Confidence XCorr Charge4\>\
\"", ",", 
     "\"\<def: \\\"FT high confidence XCorr parameter for charge >= 4.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001716\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT Medium Confidence XCorr Charge1\
\>\"", ",", 
     "\"\<def: \\\"FT medium confidence XCorr parameter for charge = 1.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001717\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT Medium Confidence XCorr Charge2\
\>\"", ",", 
     "\"\<def: \\\"FT medium confidence XCorr parameter for charge = 2.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001718\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT Medium Confidence XCorr Charge3\
\>\"", ",", 
     "\"\<def: \\\"FT medium confidence XCorr parameter for charge = 3.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001719\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:FT Medium Confidence XCorr Charge4\
\>\"", ",", 
     "\"\<def: \\\"FT medium confidence XCorr parameter for charge >= 4.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001720\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:1. Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 1st dynamic \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Dynamic Modification (MS:1001644) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001721\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:2. Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 2nd dynamic \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Dynamic Modification (MS:1001644) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001722\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:3. Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 3rd dynamic \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Dynamic Modification (MS:1001644) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001723\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:4. Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 4th dynamic \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Dynamic Modification (MS:1001644) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001724\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Static Modification for X\>\"", ",", 
     "\"\<def: \\\"Static Modification for X.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001725\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Initial minimal peptide probability\>\"", 
     ",", "\"\<def: \\\"Minimal initial peptide probability to contribute to \
analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001726\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Minimal peptide probability\>\"", ",", 
     "\"\<def: \\\"Minimum adjusted peptide probability contributing to \
protein probability.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001727\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Minimal peptide weight\>\"", ",", 
     "\"\<def: \\\"Minimum peptide weight contributing to protein \
probability.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001728\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of input1 spectra\>\"", ",", 
     "\"\<def: \\\"Number of spectra from 1+ precursor ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001729\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of input2 spectra\>\"", ",", 
     "\"\<def: \\\"Number of spectra from 2+ precursor ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001730\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of input3 spectra\>\"", ",", 
     "\"\<def: \\\"Number of spectra from 3+ precursor ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001731\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of input4 spectra\>\"", ",", 
     "\"\<def: \\\"Number of spectra from 4+ precursor ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001732\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of input5 spectra\>\"", ",", 
     "\"\<def: \\\"Number of spectra from 5+ precursor ions.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001733\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of predicted correct proteins\>\"", 
     ",", "\"\<def: \\\"Total number of predicted correct protein ids (sum of \
probabilities).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001734\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Organism\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Sample organism (used for annotation purposes).\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use taxonomy: scientific name (MS:1001469) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001735\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Reference Database\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Full path database name.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete. Use attribute in mzIdentML / \
mzQuantML instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001736\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Residue substitution list\>\"", ",", 
     "\"\<def: \\\"Residues considered equivalent when comparing \
peptides.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001737\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Source file extension\>\"", ",", 
     "\"\<def: \\\"OBSOLETE File type (if not pepXML).\\\" [PSI:MS]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use mass spectrometer file format (MS:1000560) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001738\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Source Files\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Input pepXML files.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use pepXML file (MS:1001421) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001739\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Source Files old\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Input pepXML files (old).\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it's recommended to \
use pepXML file (MS:1001421) instead.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001740\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:WinCyg reference database\>\"", ",", 
     "\"\<def: \\\"Windows full path for database.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001741\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:WinCyg source files\>\"", ",", 
     "\"\<def: \\\"Windows pepXML file names.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001742\>\"", ",", 
     "\"\<name: LTQ Orbitrap Velos\>\"", ",", 
     "\"\<def: \\\"Finnigan LTQ Orbitrap Velos MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001743\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of A Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use A ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001744\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of B Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use B ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001745\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of C Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use C ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001746\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of D Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use D ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001747\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of V Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use V ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001748\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of W Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use W ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001749\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of X Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use X ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001750\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of Y Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use Y ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001751\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Weight of Z Ions\>\"", ",", 
     "\"\<def: \\\"Determines if to use z ions for spectrum matching.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001752\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Use New Precursor \
Reevaluation\>\"", ",", 
     "\"\<def: \\\"Determines if to use precursor reevaluation.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001753\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:SN Threshold FTonly\>\"",
      ",", "\"\<def: \\\"Signal-to-Noise ratio below which peaks are removed \
(in FT mode only).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001754\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Please Do not Touch this\>\"", ",", 
     "\"\<def: \\\"Unknown Mascot parameter which ProteomeDiscoverer uses for \
mascot searches.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001755\>\"", ",", 
     "\"\<name: contact phone number\>\"", ",", 
     "\"\<def: \\\"Phone number of the contact person or organization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001756\>\"", ",", 
     "\"\<name: contact fax number\>\"", ",", 
     "\"\<def: \\\"Fax number for the contact person or organization.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001757\>\"", ",", 
     "\"\<name: contact toll-free phone number\>\"", ",", 
     "\"\<def: \\\"Toll-free phone number of the contact person or \
organization.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001758\>\"", ",", 
     "\"\<name: Mascot:SigThresholdType\>\"", ",", 
     "\"\<def: \\\"Significance threshold type used in Mascot reporting \
(either 'identity' or 'homology').\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001759\>\"", 
     ",", "\"\<name: Mascot:ProteinGrouping\>\"", ",", 
     "\"\<def: \\\"Strategy used by Mascot to group proteins with same \
peptide matches (one of 'none', 'Occam's razor' or 'family clustering').\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001760\>\"", 
     ",", "\"\<name: Percolator:features\>\"", ",", 
     "\"\<def: \\\"List of Percolator features that were used in processing \
the peptide matches. Typical Percolator features are 'retentionTime', 'dM', \
'mScore', 'lgDScore', 'mrCalc', 'charge' and 'dMppm'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002107 ! Percolator input parameter\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001761\>\"", ",", 
     "\"\<name: ACQUITY UPLC\>\"", ",", 
     "\"\<def: \\\"Waters LC-system ACQUITY UPLC.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001762\>\"", ",", 
     "\"\<name: ACQUITY UPLC H-Class\>\"", ",", 
     "\"\<def: \\\"Waters LC-system ACQUITY UPLC H-Class.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001763\>\"", ",", 
     "\"\<name: ACQUITY UPLC H-Class Bio\>\"", ",", 
     "\"\<def: \\\"Waters LC-system ACQUITY UPLC H-Class Bio.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001764\>\"", 
     ",", "\"\<name: ACQUITY UPLC I-Class\>\"", ",", 
     "\"\<def: \\\"Waters LC-system ACQUITY UPLC I-Class.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001765\>\"", ",", 
     "\"\<name: ACQUITY UPLC Systems with 2D Technology\>\"", ",", 
     "\"\<def: \\\"Waters LC-system ACQUITY UPLC Systems with 2D \
Technology.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001766\>\"", ",", 
     "\"\<name: nanoACQUITY UPLC\>\"", ",", 
     "\"\<def: \\\"Waters LC-system nanoACQUITY UPLC.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001767\>\"", ",", 
     "\"\<name: nanoACQUITY UPLC System with 1D Technology\>\"", ",", 
     "\"\<def: \\\"Waters LC-system nanoACQUITY UPLC System with 1D \
Technology.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001768\>\"", ",", 
     "\"\<name: nanoACQUITY UPLC with HDX Technology\>\"", ",", 
     "\"\<def: \\\"Waters LC-system nanoACQUITY UPLC with HDX Technology.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001769\>\"", 
     ",", "\"\<name: TRIZAIC UPLC nanoTile\>\"", ",", 
     "\"\<def: \\\"Waters LC-system TRIZAIC UPLC nanoTile.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001770\>\"", ",", 
     "\"\<name: GCT Premier\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based GCT Premier.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001771\>\"", ",", 
     "\"\<name: MALDI Synapt G2 HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt G2 HDMS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001772\>\"", 
     ",", "\"\<name: MALDI Synapt G2 MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt G2 MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001773\>\"", ",", 
     "\"\<name: MALDI Synapt G2-S HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt G2 MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001774\>\"", ",", 
     "\"\<name: MALDI Synapt G2-S MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt G2-S MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001775\>\"", 
     ",", "\"\<name: MALDI Synapt HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt HDMS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001776\>\"", ",", 
     "\"\<name: MALDI Synapt MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based MALDI Synapt MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001777\>\"", ",", 
     "\"\<name: Synapt G2 HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt G2 HDMS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001778\>\"", ",", 
     "\"\<name: Synapt G2 MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt G2 MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001779\>\"", ",", 
     "\"\<name: Synapt G2-S HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt G2-S HDMS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001780\>\"", ",", 
     "\"\<name: Synapt G2-S MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt G2-S MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001781\>\"", ",", 
     "\"\<name: Synapt HDMS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt HDMS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001782\>\"", ",", 
     "\"\<name: Synapt MS\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Synapt MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001783\>\"", ",", 
     "\"\<name: Xevo G2 Q-Tof\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Xevo G2 Q-Tof.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001784\>\"", ",", 
     "\"\<name: Xevo G2 Tof\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Xevo G2 Tof.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001785\>\"", ",", 
     "\"\<name: Xevo Q-Tof\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Xevo Q-Tof.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001786\>\"", ",", 
     "\"\<name: 3100\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based 3100.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001787\>\"", ",", 
     "\"\<name: Acquity SQD\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based Acquity SQD.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001788\>\"", ",", 
     "\"\<name: Acquity TQD\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based Acquity TQD.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001789\>\"", ",", 
     "\"\<name: Quattro micro GC\>\"", ",", 
     "\"\<def: \\\"Waters (triple) quadrupole based Quattro micro GC.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001790\>\"", 
     ",", "\"\<name: Xevo TQ MS\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based Xevo TQ MS.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001791\>\"", ",", 
     "\"\<name: Xevo TQD\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based Xevo TQD.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001792\>\"", ",", 
     "\"\<name: Xevo TQ-S\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based Xevo TQ-S.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001793\>\"", ",", 
     "\"\<name: Mascot:PreferredTaxonomy\>\"", ",", 
     "\"\<def: \\\"NCBI TaxID taxonomy ID to prefer when two or more proteins \
match the same set of peptides or when protein entry in database represents \
multiple sequences.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001795\>\"", 
     ",", "\"\<name: Empower\>\"", ",", 
     "\"\<def: \\\"Waters Empower software for liquid chromatography and mass \
spectrometry acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000694 ! Waters software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001796\>\"", ",", 
     "\"\<name: UNIFY\>\"", ",", 
     "\"\<def: \\\"Waters UNIFY software for liquid chromatography and mass \
spectrometry acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000694 ! Waters software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001797\>\"", ",", 
     "\"\<name: travelling wave ion mobility mass spectrometer\>\"", ",", 
     "\"\<def: \\\"OBSOLETE An ion mobility mass spectrometry technique based \
on the superimposition of travelling voltage waves on a radially-confining RF \
voltage in a gas-filled, stacked-ring ion guide.\\\" [PSI:MS]\>\"", ",", 
     "\"\<comment: This child of the former purgatory term ion mobility \
spectrometry was made obsolete.\>\"", ",", 
     "\"\<synonym: \\\"TWIMS\\\" EXACT []\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001798\>\"", ",", "\"\<name: LECO software\>\"", ",", 
     "\"\<def: \\\"LECO software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001799\>\"", ",", 
     "\"\<name: ChromaTOF software\>\"", ",", 
     "\"\<def: \\\"Software for acquisition, processing and analysis of data \
for LECO instruments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<is_a: MS:1001798 ! LECO software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001800\>\"", ",", 
     "\"\<name: LECO instrument model\>\"", ",", 
     "\"\<def: \\\"LECO instrument model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000031 ! instrument model\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001801\>\"", ",", 
     "\"\<name: Pegasus HRT\>\"", ",", 
     "\"\<def: \\\"LECO high resolution time-of-flight GC mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001802\>\"", ",", 
     "\"\<name: Citius HRT\>\"", ",", 
     "\"\<def: \\\"LECO high resolution time-of-flight LC mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001803\>\"", ",", 
     "\"\<name: Pegasus\>\"", ",", 
     "\"\<def: \\\"LECO GC time-of-flight mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001804\>\"", ",", 
     "\"\<name: TruTOF\>\"", ",", 
     "\"\<def: \\\"LECO bench-top GC time-of-flight mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001805\>\"", ",", 
     "\"\<name: quantification datatype\>\"", ",", 
     "\"\<def: \\\"The data type of the value reported in a QuantLayer for a \
feature, peptide, protein, protein group.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001129 ! quantification information\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001806\>\"", ",", 
     "\"\<name: quantification object attribute\>\"", ",", 
     "\"\<def: \\\"Attributes describing the details of an object relevant \
for reporting quantification workflows or values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001129 ! quantification information\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001807\>\"", ",", 
     "\"\<name: study variable attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a study variable.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001808\>\"", ",", 
     "\"\<name: technical replicate\>\"", ",", 
     "\"\<def: \\\"The study variable is 'technical replicate'. The string \
value denotes the category of technical replicate, e.g. 'run generated from \
same sample'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001807 ! study variable attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001809\>\"", 
     ",", "\"\<name: biological replicate\>\"", ",", 
     "\"\<def: \\\"The study variable is 'biological replicate'. This means, \
the run was generated from another individual or sample.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001810\>\"", ",", 
     "\"\<name: experimental condition 'case'\>\"", ",", 
     "\"\<def: \\\"The experimental condition is 'case' in contrast to \
'control'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001811\>\"", ",", 
     "\"\<name: experimental condition 'control'\>\"", ",", 
     "\"\<def: \\\"The experimental condition is 'control' in contrast to \
'case'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001812\>\"", ",", 
     "\"\<name: experimental condition 'disease'\>\"", ",", 
     "\"\<def: \\\"The experimental condition is 'disease' in contrast to \
'healthy'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001813\>\"", ",", 
     "\"\<name: experimental condition 'healthy'\>\"", ",", 
     "\"\<def: \\\"The experimental condition is 'healthy' in contrast to \
'disease'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001814\>\"", ",", 
     "\"\<name: generic experimental condition\>\"", ",", 
     "\"\<def: \\\"The experimental condition is given in the value of this \
term.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001807 ! study variable attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001815\>\"", 
     ",", "\"\<name: time series, time point X\>\"", ",", 
     "\"\<def: \\\"The experimental design followed a time series design. The \
time point of this run is given in the value of this term.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001807 ! study variable attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001816\>\"", ",", 
     "\"\<name: dilution series, concentration X\>\"", ",", 
     "\"\<def: \\\"The experimental design followed a dilution series design. \
The concentration of this run is given in the value of this term.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001807 ! study variable attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001817\>\"", 
     ",", "\"\<name: raw file attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a raw file.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001818\>\"", ",", 
     "\"\<name: one sample run\>\"", ",", 
     "\"\<def: \\\"The raw file contains the run of one sample (e.g. spectral \
counting, LC-MS label-free).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001817 ! raw file attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001819\>\"", ",", 
     "\"\<name: two sample run\>\"", ",", 
     "\"\<def: \\\"The raw file contains the run of two samples (e.g. SILAC, \
metabolic labelling).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001817 ! raw file attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001820\>\"", ",", 
     "\"\<name: three sample run\>\"", ",", 
     "\"\<def: \\\"The raw file contains the run of three samples (e.g. \
3-plex SILAC).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001817 ! raw file attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001821\>\"", ",", 
     "\"\<name: four sample run\>\"", ",", 
     "\"\<def: \\\"The raw file contains the run of four samples (e.g. 4-plex \
iTraq).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001817 ! raw file attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001822\>\"", ",", 
     "\"\<name: eight sample run\>\"", ",", 
     "\"\<def: \\\"The raw file contains the run of eight samples (e.g. \
8-plex iTraq).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001817 ! raw file attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001823\>\"", ",", 
     "\"\<name: raw files group attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing, how raw files build a raw file \
group.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001824\>\"", ",", 
     "\"\<name: merge of runs of 1D gel bands\>\"", ",", 
     "\"\<def: \\\"Attribute describing, how raw files build a raw file \
group.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001823 ! raw files group attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001825\>\"", ",", 
     "\"\<name: feature list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a feature list.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001826\>\"", ",", 
     "\"\<name: mass trace reporting: rectangles\>\"", ",", 
     "\"\<def: \\\"The mass trace of the features of this feature list \
specifies rectangles. Each mass trace has the syntax \
(RT_start,MZ_start,RT_end,MZ_end), i.e. opposite corners are given.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001825 ! feature list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001827\>\"", ",", 
     "\"\<name: mass trace reporting: polygons\>\"", ",", 
     "\"\<def: \\\"The mass trace of the features of this feature list \
specifies polygons. Each mass trace has the syntax (RT_1, MZ_1, RT_2, MZ_2, \
... , RT_i, MZ_i, ... , RT_n, MZ_n), where the line (RT_n, MZ_n)->(RT_1, \
MZ_1) is implicit.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001825 ! feature list attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001828\>\"", ",", 
     "\"\<name: feature attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a feature.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001829\>\"", ",", 
     "\"\<name: SRM transition ID\>\"", ",", 
     "\"\<def: \\\"Identifier for an SRM transition in an external document \
describing additional information about the transition.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001828 ! feature attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001830\>\"", 
     ",", "\"\<name: Progenesis LC-MS\>\"", ",", 
     "\"\<def: \\\"Software from Nonlinear Dynamics for LC-MS label-free \
workflow.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001831\>\"", ",", 
     "\"\<name: SILACAnalyzer\>\"", ",", 
     "\"\<def: \\\"Software for SILAC workflow.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001832\>\"", ",", 
     "\"\<name: quantitation software comment or customizations\>\"", ",", 
     "\"\<def: \\\"Quantitation software comment or any customizations to the \
default setup of the software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001129 ! quantification information\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001833\>\"", ",", 
     "\"\<name: quantitation analysis summary\>\"", ",", 
     "\"\<def: \\\"The overall workflow of this quantitation report.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001129 ! quantification information\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001834\>\"", 
     ",", "\"\<name: LC-MS label-free quantitation analysis\>\"", ",", 
     "\"\<def: \\\"LC-MS label-free workflow (RT m/z map).\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001835\>\"", ",", 
     "\"\<name: SILAC quantitation analysis\>\"", ",", 
     "\"\<def: \\\"SILAC workflow (heavy, light, and sometimes medium \
peak).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001836\>\"", ",", 
     "\"\<name: spectral counting quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Spectral counting workflow (number of identified MS2 \
spectra as approximation of peptide / protein quant).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001837\>\"", ",", 
     "\"\<name: iTRAQ quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Quantification analysis using the SCIEX iTRAQ isobaric \
labelling workflow, wherein 2-8 reporter ions are measured in MS2 spectra \
near 114 m/z.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002009 ! isobaric label quantitation analysis\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001838\>\"", ",", 
     "\"\<name: SRM quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Selected Reaction Monitoring workflow (XIC quantitation of \
precursor / fragment mass pair).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001839\>\"", ",", 
     "\"\<name: metabolic labeling 14N / 15N quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Metabolic labeling workflow (heavy and light versions of \
peptides, depending on number of nitrogens).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001840\>\"", ",", 
     "\"\<name: LC-MS feature intensity\>\"", ",", 
     "\"\<def: \\\"Maximum peak intensity of the LC-MS feature.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001841\>\"", 
     ",", "\"\<name: LC-MS feature volume\>\"", ",", 
     "\"\<def: \\\"Real (intensity times area) volume of the LC-MS feature.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001842\>\"", 
     ",", "\"\<name: peptide PSM count\>\"", ",", 
     "\"\<def: \\\"The number of MS2 spectra identified for this peptide in \
spectral counting.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001843\>\"", 
     ",", "\"\<name: MS1 feature maximum intensity\>\"", ",", 
     "\"\<def: \\\"Maximum intensity of MS1 feature.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001844\>\"", 
     ",", "\"\<name: MS1 feature area\>\"", ",", 
     "\"\<def: \\\"Area of MS1 feature.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001845\>\"", 
     ",", "\"\<name: peak area\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Area of MS1 peak (e.g. SILAC, 15N).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was a duplication \
of MS:1001844.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001846\>\"", ",", 
     "\"\<name: isotopic pattern area\>\"", ",", 
     "\"\<def: \\\"Area of all peaks belonging to the isotopic pattern of \
light or heavy peak (e.g. 15N).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001847\>\"", 
     ",", "\"\<name: reporter ion intensity\>\"", ",", 
     "\"\<def: \\\"Intensity of MS2 reporter ion (e.g. iTraq).\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001848\>\"", 
     ",", "\"\<name: simple ratio of two values\>\"", ",", 
     "\"\<def: \\\"Simple ratio of two values (enumerator and denominator).\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002066 ! ratio calculation method\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001849\>\"", 
     ",", "\"\<name: sum of MatchedFeature values\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Peptide quantification value calculated as sum of \
MatchedFeature quantification values.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete because the concept \
MatchedFeature was dropped.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1001850\>\"", ",", 
     "\"\<name: normalized peptide value\>\"", ",", 
     "\"\<def: \\\"Normalized peptide value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001851\>\"", 
     ",", "\"\<name: protein value: sum of peptide values\>\"", ",", 
     "\"\<def: \\\"Protein quantification value calculated as sum of peptide \
values.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001852\>\"", 
     ",", "\"\<name: normalized protein value\>\"", ",", 
     "\"\<def: \\\"Normalized protein value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001853\>\"", 
     ",", "\"\<name: max fold change\>\"", ",", 
     "\"\<def: \\\"Global datatype: Maximum of all pair-wise fold changes of \
group means (e.g. Progenesis).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001854\>\"", 
     ",", "\"\<name: ANOVA p-value\>\"", ",", 
     "\"\<def: \\\"Global datatype: p-value of ANOVA of group means (e.g. \
Progenesis).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002072 ! p-value\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001855\>\"", ",", 
     "\"\<name: t-test p-value\>\"", ",", 
     "\"\<def: \\\"P-value of t-Test of two groups.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002072 ! p-value\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001856\>\"", ",", 
     "\"\<name: reporter ion raw value\>\"", ",", 
     "\"\<def: \\\"Intensity (or area) of MS2 reporter ion (e.g. iTraq).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001857\>\"", 
     ",", "\"\<name: reporter ion normalized value\>\"", ",", 
     "\"\<def: \\\"Normalized value of MS2 reporter ion (e.g. iTraq).\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001858\>\"", 
     ",", "\"\<name: XIC area\>\"", ",", 
     "\"\<def: \\\"Area of the extracted ion chromatogram (e.g. of a \
transition in SRM).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001859\>\"", 
     ",", "\"\<name: normalized XIC area\>\"", ",", 
     "\"\<def: \\\"Normalized area of the extracted ion chromatogram (e.g. of \
a transition in SRM).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001860\>\"", 
     ",", "\"\<name: protein value: mean of peptide ratios\>\"", ",", 
     "\"\<def: \\\"Protein quantification value calculated as mean of peptide \
ratios.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001861\>\"", 
     ",", "\"\<name: quantification data processing\>\"", ",", 
     "\"\<def: \\\"Terms used to describe types of quantification data \
processing.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001862\>\"", 
     ",", "\"\<name: normalization to mean of sum of all proteins\>\"", ",", 
     "\"\<def: \\\"Normalization of protein values to the mean of the sum of \
all protein PSM counts (e.g. spectral counting).\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001863\>\"", ",", 
     "\"\<name: quantile normalization, proteins\>\"", ",", 
     "\"\<def: \\\"Normalization of protein values to approach the same \
distribution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001864\>\"", ",", 
     "\"\<name: quantile normalization, peptides\>\"", ",", 
     "\"\<def: \\\"Normalization of peptide values to approach the same \
distribution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001865\>\"", ",", 
     "\"\<name: Progenesis automatic alignment\>\"", ",", 
     "\"\<def: \\\"Automatic RT alignment of Progenesis software.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001866\>\"", ",", 
     "\"\<name: Progenesis manual alignment\>\"", ",", 
     "\"\<def: \\\"RT alignment of Progenesis software using automatic and \
manual vectors.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001867\>\"", ",", 
     "\"\<name: Progenesis normalization\>\"", ",", 
     "\"\<def: \\\"Normalization as performed by Progenesis LC-MS.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001868\>\"", ",", 
     "\"\<name: distinct peptide-level q-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the q-value for distinct peptides once \
redundant identifications of the same peptide have been removed (id est \
multiple PSMs, possibly with different mass modifications, mapping to the \
same sequence have been collapsed to one entry).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002484 ! peptide-level statistical threshold\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001869\>\"", ",", "\"\<name: protein-level q-value\>\"", 
     ",", "\"\<def: \\\"Estimation of the q-value for proteins.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001870\>\"", ",", 
     "\"\<name: peptide sequence-level p-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the p-value for distinct peptides once \
redundant identifications of the same peptide have been removed (id est \
multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001871\>\"", ",", "\"\<name: protein-level p-value\>\"", 
     ",", "\"\<def: \\\"Estimation of the p-value for proteins.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001872\>\"", ",", 
     "\"\<name: peptide sequence-level e-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the e-value for distinct peptides once \
redundant identifications of the same peptide have been removed (id est \
multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002306 ! value greater than zero\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001873\>\"", 
     ",", "\"\<name: protein-level e-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the e-value for proteins.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<relationship: has_domain MS:1002306 ! value greater than \
zero\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001874\>\"", ",", "\"\<name: FDRScore\>\"", ",", 
     "\"\<def: \\\"OBSOLETE A smoothing of the distribution of q-values \
calculated for PSMs from individual search engines, such that ordering of \
result quality is maintained and all FDRScore values are guaranteed to have a \
value > 0.\\\" [PMID:19253293]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was split into the \
more specific terms for PSM-level FDRScore (1002355), distinct peptide-level \
FDRScore (MS:1002360), protein-level FDRScore (MS:1002365) and protein \
group-level FDRScore (MS:1002374).\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001875\>\"", ",", "\"\<name: modification motif\>\"", 
     ",", "\"\<def: \\\"The regular expression describing the sequence motif \
for a modification.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001876\>\"", ",", 
     "\"\<name: modification probability\>\"", ",", 
     "\"\<def: \\\"The a priori probability of a modification.\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001877\>\"", ",", 
     "\"\<name: ChromaTOF HRT software\>\"", ",", 
     "\"\<def: \\\"Software for acquisition, processing and analysis of data \
for LECO instruments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<is_a: MS:1001798 ! LECO software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001878\>\"", ",", 
     "\"\<name: MALDI Solutions Microbial Identification\>\"", ",", 
     "\"\<def: \\\"Shimadzu Biotech software for data acquisition, \
processing, and analysis.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<is_a: MS:1001558 ! MALDI Solutions\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001879\>\"", ",", 
     "\"\<name: offset voltage\>\"", ",", 
     "\"\<def: \\\"The potential difference between two adjacent interface \
voltages affecting in-source collision induced dissociation.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001880\>\"", ",", 
     "\"\<name: in-source collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"The dissociation of an ion as a result of collisional \
excitation during ion transfer from an atmospheric pressure ion source and \
the mass spectrometer vacuum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001881\>\"", ",", 
     "\"\<name: mz5 format\>\"", ",", 
     "\"\<def: \\\"mz5 file format, modelled after mzML.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001882\>\"", ",", 
     "\"\<name: transition validation attribute\>\"", ",", 
     "\"\<def: \\\"Attributes of the quality of a transition that affect its \
selection as appropriate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000908 ! transition\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001883\>\"", ",", 
     "\"\<name: coefficient of variation\>\"", ",", 
     "\"\<def: \\\"Variation of a set of signal measurements calculated as \
the standard deviation relative to the mean.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001882 ! transition validation attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001884\>\"", ",", 
     "\"\<name: signal-to-noise ratio\>\"", ",", 
     "\"\<def: \\\"Unitless number providing the ratio of the total measured \
intensity of a signal relative to the estimated noise level for that \
signal.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001882 ! transition validation attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001885\>\"", ",", 
     "\"\<name: command-line parameters\>\"", ",", 
     "\"\<def: \\\"Parameters string passed to a command-line interface \
software application, omitting the executable name.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001886\>\"", ",", 
     "\"\<name: SQID\>\"", ",", 
     "\"\<def: \\\"Software for data analysis of peptides and proteins.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001887\>\"", ",", 
     "\"\<name: SQID:score\>\"", ",", 
     "\"\<def: \\\"The SQID result 'Score'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001888\>\"", 
     ",", "\"\<name: SQID:deltaScore\>\"", ",", 
     "\"\<def: \\\"The SQID result 'deltaScore'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001889\>\"", 
     ",", "\"\<name: SQID:protein score\>\"", ",", 
     "\"\<def: \\\"The SQID result 'protein score'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001890\>\"", 
     ",", "\"\<name: Progenesis:protein normalised abundance\>\"", ",", 
     "\"\<def: \\\"The data type normalised abundance for proteins produced \
by Progenesis LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001891\>\"", 
     ",", "\"\<name: Progenesis:peptide normalised abundance\>\"", ",", 
     "\"\<def: \\\"The data type normalised abundance for peptides produced \
by Progenesis LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001892\>\"", 
     ",", "\"\<name: Progenesis:protein raw abundance\>\"", ",", 
     "\"\<def: \\\"The data type raw abundance for proteins produced by \
Progenesis LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001893\>\"", 
     ",", "\"\<name: Progenesis:peptide raw abundance\>\"", ",", 
     "\"\<def: \\\"The data type raw abundance for peptide produced by \
Progenesis LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001894\>\"", 
     ",", "\"\<name: Progenesis:confidence score\>\"", ",", 
     "\"\<def: \\\"The data type confidence score produced by Progenesis \
LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001895\>\"", 
     ",", "\"\<name: Progenesis:peptide count\>\"", ",", 
     "\"\<def: \\\"The data type peptide count produced by Progenesis \
LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001896\>\"", 
     ",", "\"\<name: Progenesis:feature intensity\>\"", ",", 
     "\"\<def: \\\"The data type feature intensity produced by Progenesis \
LC-MS.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001897\>\"", 
     ",", "\"\<name: MaxQuant:peptide counts (unique)\>\"", ",", 
     "\"\<def: \\\"The data type peptide counts (unique) produced by \
MaxQuant.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001898\>\"", 
     ",", "\"\<name: MaxQuant:peptide counts (all)\>\"", ",", 
     "\"\<def: \\\"The data type peptide counts (all) produced by MaxQuant.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001899\>\"", 
     ",", "\"\<name: MaxQuant:peptide counts (razor+unique)\>\"", ",", 
     "\"\<def: \\\"The data type peptide counts (razor+unique) produced by \
MaxQuant.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001900\>\"", 
     ",", "\"\<name: MaxQuant:sequence length\>\"", ",", 
     "\"\<def: \\\"The data type sequence length produced by MaxQuant.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001901\>\"", 
     ",", "\"\<name: MaxQuant:PEP\>\"", ",", 
     "\"\<def: \\\"The data type PEP (posterior error probability) produced \
by MaxQuant.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001902\>\"", 
     ",", "\"\<name: MaxQuant:LFQ intensity\>\"", ",", 
     "\"\<def: \\\"The data type LFQ intensity produced by MaxQuant.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001903\>\"", 
     ",", "\"\<name: MaxQuant:feature intensity\>\"", ",", 
     "\"\<def: \\\"The data type feature intensity produced by MaxQuant.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001904\>\"", 
     ",", "\"\<name: MaxQuant:MS/MS count\>\"", ",", 
     "\"\<def: \\\"The data type MS2 count produced by MaxQuant.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001905\>\"", 
     ",", "\"\<name: emPAI value\>\"", ",", 
     "\"\<def: \\\"The emPAI value of protein abundance, produced from the \
emPAI algorithm.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001906\>\"", 
     ",", "\"\<name: APEX value\>\"", ",", 
     "\"\<def: \\\"The APEX value of protein abundance, produced from the \
APEX software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001907\>\"", 
     ",", "\"\<name: retention time window width\>\"", ",", 
     "\"\<def: \\\"The full width of a retention time window for a \
chromatographic peak.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000915 ! retention time window attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001908\>\"", ",", 
     "\"\<name: ISQ\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific ISQ single quadrupole MS with the \
ExtractraBrite source.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001909\>\"", ",", 
     "\"\<name: Velos Plus\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific second generation Velos.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001910\>\"", ",", 
     "\"\<name: LTQ Orbitrap Elite\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific second generation Velos and \
Orbitrap.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001911\>\"", ",", 
     "\"\<name: Q Exactive\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Q Exactive.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001912\>\"", ",", 
     "\"\<name: PinPoint\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific PinPoint SRM analysis software.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000693 ! Thermo Finnigan software\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001913\>\"", ",", 
     "\"\<name: S-lens voltage\>\"", ",", 
     "\"\<def: \\\"Potential difference setting of the Thermo Scientific \
S-lens stacked-ring ion guide in volts.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001914\>\"", ",", 
     "\"\<name: pymzML\>\"", ",", 
     "\"\<def: \\\"Python module to interface mzML Data.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001915\>\"", ",", 
     "\"\<name: leukocyte elastase\>\"", ",", 
     "\"\<def: \\\"Enzyme leukocyte elastase (EC 3.4.21.37).\\\" \
[BRENDA:3.4.21.37]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001957 ! (?<=[ALIV])(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001916\>\"", ",", 
     "\"\<name: proline endopeptidase\>\"", ",", 
     "\"\<def: \\\"Enzyme proline endopeptidase (EC 3.4.21.26).\\\" \
[BRENDA:3.4.21.26]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001958 ! (?<=[HKR]P)(?!P)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001917\>\"", ",", 
     "\"\<name: glutamyl endopeptidase\>\"", ",", 
     "\"\<def: \\\"Enzyme glutamyl endopeptidase (EC 3.4.21.19).\\\" \
[BRENDA:3.4.21.19]\>\"", ",", 
     "\"\<synonym: \\\"staphylococcal protease\\\" EXACT []\>\"", ",", 
     "\"\<synonym: \\\"Glu-C\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001959 ! (?<=[^E]E)\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001918\>\"", ",", 
     "\"\<name: 2-iodobenzoate\>\"", ",", 
     "\"\<def: \\\"Chemical iodobenzoate. Cleaves after W.\\\" \
[PubChem_Compound:4739928]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", 
     "\"\<relationship: has_regexp MS:1001960 ! (?<=W)\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001919\>\"", ",", 
     "\"\<name: ProteomeXchange accession number\>\"", ",", 
     "\"\<def: \\\"Main identifier of a ProteomeXchange dataset.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001921\>\"", ",", 
     "\"\<name: ProteomeXchange accession number version number\>\"", ",", 
     "\"\<def: \\\"Version number of a ProteomeXchange accession number.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001922\>\"", ",", 
     "\"\<name: Digital Object Identifier (DOI)\>\"", ",", 
     "\"\<def: \\\"DOI unique identifier of a publication.\\\" [PSI:PI, \
http://dx.doi.org]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<synonym: \\\"doi\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002480 ! \
(10[.][0-9]\\\\{4,\\\\}(?:[.][0-9]+)*/(?:(?![\\\\\\\"&\\\\'<>])[^ \\\\t\\\\\\\
\\r\\\\n\\\\\\\\v\\\\\\\\f])+)\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1001923\>\"", ",", 
     "\"\<name: external reference keyword\>\"", ",", 
     "\"\<def: \\\"Free text attribute that can enrich the information about \
an entity.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001924\>\"", ",", 
     "\"\<name: journal article keyword\>\"", ",", 
     "\"\<def: \\\"Keyword present in a scientific publication.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001923 ! external reference keyword\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001925\>\"", ",", 
     "\"\<name: submitter keyword\>\"", ",", 
     "\"\<def: \\\"Keyword assigned by the data submitter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001923 ! external reference keyword\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001926\>\"", ",", 
     "\"\<name: curator keyword\>\"", ",", 
     "\"\<def: \\\"Keyword assigned by a data curator.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001923 ! external reference keyword\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001927\>\"", ",", 
     "\"\<name: Tranche file hash\>\"", ",", 
     "\"\<def: \\\"Hash assigned by the Tranche resource to an individual \
file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001928\>\"", ",", 
     "\"\<name: Tranche project hash\>\"", ",", 
     "\"\<def: \\\"Hash assigned by the Tranche resource to a whole \
project.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001929\>\"", ",", 
     "\"\<name: PRIDE experiment URI\>\"", ",", 
     "\"\<def: \\\"URI that allows the access to one experiment in the PRIDE \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001930\>\"", ",", 
     "\"\<name: PRIDE project URI\>\"", ",", 
     "\"\<def: \\\"URI that allows the access to one project in the PRIDE \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001931\>\"", ",", 
     "\"\<name: source interface\>\"", ",", 
     "\"\<def: \\\"The source interface.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001932\>\"", ",", 
     "\"\<name: source interface model\>\"", ",", 
     "\"\<def: \\\"The source interface model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001931 ! source interface\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001933\>\"", ",", 
     "\"\<name: source sprayer\>\"", ",", 
     "\"\<def: \\\"The source sprayer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<relationship: part_of MS:1000458 ! source\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001934\>\"", 
     ",", "\"\<name: source sprayer type\>\"", ",", 
     "\"\<def: \\\"The source sprayer type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001933 ! source sprayer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001935\>\"", ",", 
     "\"\<name: source sprayer manufacturer\>\"", ",", 
     "\"\<def: \\\"The source sprayer manufacturer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001933 ! source sprayer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001936\>\"", ",", 
     "\"\<name: source sprayer model\>\"", ",", 
     "\"\<def: \\\"The source sprayer model.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001933 ! source sprayer\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001937\>\"", ",", 
     "\"\<name: sample plate\>\"", ",", 
     "\"\<def: \\\"Plate where the sample solution is spotted in a MALDI or \
similar instrument.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001938\>\"", ",", 
     "\"\<name: sample plate type\>\"", ",", 
     "\"\<def: \\\"The sample plate type.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1001937 ! sample plate\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001939\>\"", ",", 
     "\"\<name: stainless steel plate\>\"", ",", 
     "\"\<def: \\\"Stainless steel plate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001938 ! sample plate type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001940\>\"", ",", 
     "\"\<name: coated glass plate\>\"", ",", 
     "\"\<def: \\\"Coated glass plate.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001938 ! sample plate type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001941\>\"", ",", 
     "\"\<name: electrospray supply type\>\"", ",", 
     "\"\<def: \\\"Whether the sprayer is fed or is loaded with sample \
once.\\\" [PSI:MS]\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001942\>\"", ",", 
     "\"\<name: static supply electrospray\>\"", ",", 
     "\"\<def: \\\"The sprayer is loaded with sample once.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1001941 ! electrospray supply type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001943\>\"", ",", 
     "\"\<name: fed supply electrospray\>\"", ",", 
     "\"\<def: \\\"The sprayer is continuously fed with sample.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001941 ! electrospray supply type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001944\>\"", 
     ",", "\"\<name: Collision cell exit potential\>\"", ",", 
     "\"\<def: \\\"Potential difference between Q2 and Q3 in a triple \
quadrupole instrument in volts.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", 
     "\"\<synonym: \\\"CXP\\\" EXACT []\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001945\>\"", ",", 
     "\"\<name: Pegasus 4D\>\"", ",", 
     "\"\<def: \\\"LECO nominal mass resolution time-of-flight GCxGC mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001946\>\"", ",", 
     "\"\<name: PEAKS Studio\>\"", ",", 
     "\"\<def: \\\"PEAKS Studio software for data analysis.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001947\>\"", ",", 
     "\"\<name: PEAKS Online\>\"", ",", 
     "\"\<def: \\\"PEAKS Online software for high throughput data analysis.\\\
\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001948\>\"", ",", 
     "\"\<name: PEAKS Node\>\"", ",", 
     "\"\<def: \\\"PEAKS Node software for high throughput data analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1001139 ! quantitation software name\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001949\>\"", ",", 
     "\"\<name: BSI software\>\"", ",", 
     "\"\<def: \\\"Bioinformatics Solutions Inc. Software for data processing \
and analysis.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001950\>\"", 
     ",", "\"\<name: PEAKS:peptideScore\>\"", ",", 
     "\"\<def: \\\"The PEAKS peptide '-10lgP Score'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001951\>\"", 
     ",", "\"\<name: PEAKS:proteinScore\>\"", ",", 
     "\"\<def: \\\"The PEAKS protein '-10lgP Score'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001952\>\"", 
     ",", "\"\<name: ZCore:probScore\>\"", ",", 
     "\"\<def: \\\"The ZCore probability score.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001953\>\"", 
     ",", "\"\<name: source interface manufacturer\>\"", ",", 
     "\"\<def: \\\"The source interface manufacturer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001931 ! source interface\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001954\>\"", ",", 
     "\"\<name: acquisition parameter\>\"", ",", 
     "\"\<def: \\\"Parameters used in the mass spectrometry acquisition.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001955\>\"", ",", "\"\<name: no cleavage\>\"", ",", 
     "\"\<def: \\\"No cleavage.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001956\>\"", ",", 
     "\"\<name: unspecific cleavage\>\"", ",", 
     "\"\<def: \\\"Unspecific cleavage.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001045 ! cleavage agent name\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001957\>\"", ",", 
     "\"\<name: (?<=[ALIV])(?!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for leukocyte elastase.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001958\>\"", ",", 
     "\"\<name: (?<=[HKR]P)(?!P)\>\"", ",", 
     "\"\<def: \\\"Regular expression for proline endopeptidase.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001959\>\"", 
     ",", "\"\<name: (?<=[^E]E)\>\"", ",", 
     "\"\<def: \\\"Regular expression for glutamyl endopeptidase.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001960\>\"", ",", 
     "\"\<name: (?<=W)\>\"", ",", 
     "\"\<def: \\\"Regular expression for 2-iodobenzoate.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001180 ! Cleavage agent regular expression\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001961\>\"", 
     ",", "\"\<name: peptide spectrum match scoring algorithm\>\"", ",", 
     "\"\<def: \\\"Algorithm used to score the match between a spectrum and a \
peptide ion.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<relationship: part_of MS:1001458 ! spectrum generation \
information\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1001962\>\"", ",", "\"\<name: Mascot:C13 counts\>\"", ",", 
     "\"\<def: \\\"C13 peaks to use in peak detection.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002095 ! Mascot input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001963\>\"", ",", 
     "\"\<name: ProteinExtractor:Weighting\>\"", ",", 
     "\"\<def: \\\"Weighting factor for protein list compilation by \
ProteinExtractor.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002098 ! ProteinExtractor input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001964\>\"", ",", 
     "\"\<name: ProteinScape:second round Mascot\>\"", ",", 
     "\"\<def: \\\"Flag indicating a second round search with Mascot.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002100 ! ProteinScape input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001965\>\"", ",", 
     "\"\<name: ProteinScape:second round Phenyx\>\"", ",", 
     "\"\<def: \\\"Flag indicating a second round search with Phenyx.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002100 ! ProteinScape input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001966\>\"", ",", 
     "\"\<name: product ion mobility\>\"", ",", 
     "\"\<def: \\\"The mobility of an MS2 product ion, as measured by ion \
mobility mass spectrometry.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001967\>\"", ",", 
     "\"\<name: product ion drift time\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The ion drift time of an MS2 product ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002222 ! SRM transition attribute\>\"",
      ",", "\"\<relationship: has_units UO:0000028 ! millisecond\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was replaced by ion \
mobility drift time (MS:1002476).\>\"", ",", "\"\<is_obsolete: true\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001968\>\"", 
     ",", "\"\<name: PTM localization PSM-level statistic\>\"", ",", 
     "\"\<def: \\\"Statistic to convey the confidence of the localization of \
an amino acid modification on a peptide sequence at the PSM-level.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002689 ! PTM localization single result statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001969\>\"", 
     ",", "\"\<name: phosphoRS score\>\"", ",", 
     "\"\<def: \\\"phosphoRS score for PTM site location at the \
PSM-level.\\\" [DOI:10.1021/pr200611n, PMID:22073976]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001970\>\"", ",", 
     "\"\<name: phosphoRS sequence probability\>\"", ",", 
     "\"\<def: \\\"Probability that the respective isoform is correct.\\\" \
[DOI:10.1021/pr200611n, PMID:22073976]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001971\>\"", ",", 
     "\"\<name: phosphoRS site probability\>\"", ",", 
     "\"\<def: \\\"Estimate of the probability that the respective site is \
truly phosphorylated.\\\" [DOI:10.1021/pr200611n, PMID:22073976]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001972\>\"", ",", 
     "\"\<name: PTM scoring algorithm version\>\"", ",", 
     "\"\<def: \\\"Version of the post-translational modification scoring \
algorithm.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001973\>\"", ",", 
     "\"\<name: DeBunker\>\"", ",", 
     "\"\<def: \\\"DeBunker software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001974\>\"", ",", 
     "\"\<name: DeBunker:score\>\"", ",", 
     "\"\<def: \\\"Score specific to DeBunker.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001975\>\"", ",", 
     "\"\<name: delta m/z\>\"", ",", 
     "\"\<def: \\\"The difference between a theoretically calculated m/z and \
the corresponding experimentally measured m/z. It can be expressed as \
absolute or relative value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"m/z difference\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<relationship: has_units UO:0000166 ! parts per notation unit\>\
\"", ",", "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001976\>\"", ",", 
     "\"\<name: delta M\>\"", ",", 
     "\"\<def: \\\"The difference between a theoretically calculated \
molecular mass M and the corresponding experimentally measured M. It can be \
expressed as absolute or relative value.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"mass difference\\\" EXACT []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<relationship: has_units UO:0000166 ! parts per notation unit\>\
\"", ",", "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001977\>\"", ",", 
     "\"\<name: MSQuant\>\"", ",", 
     "\"\<def: \\\"MSQuant software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001978\>\"", ",", 
     "\"\<name: MSQuant:PTM-score\>\"", ",", 
     "\"\<def: \\\"The PTM score from MSQuant software.\\\" \
[DOI:10.1021/pr900721e, PMID:19888749]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001979\>\"", ",", 
     "\"\<name: MaxQuant:PTM Score\>\"", ",", 
     "\"\<def: \\\"The PTM score from MaxQuant software.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001980\>\"", ",", 
     "\"\<name: MaxQuant:Phospho (STY) Probabilities\>\"", ",", 
     "\"\<def: \\\"The Phospho (STY) Probabilities from MaxQuant \
software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001981\>\"", ",", 
     "\"\<name: MaxQuant:Phospho (STY) Score Diffs\>\"", ",", 
     "\"\<def: \\\"The Phospho (STY) Score Diffs from MaxQuant software.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001982\>\"", ",", 
     "\"\<name: MaxQuant:P-site localization probability\>\"", ",", 
     "\"\<def: \\\"The P-site localization probability value from MaxQuant \
software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001983\>\"", ",", 
     "\"\<name: MaxQuant:PTM Delta Score\>\"", ",", 
     "\"\<def: \\\"The PTM Delta Score value from MaxQuant software \
(Difference between highest scoring site and second highest).\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001984\>\"", ",", 
     "\"\<name: Ascore software\>\"", ",", 
     "\"\<def: \\\"Ascore software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001985\>\"", ",", 
     "\"\<name: Ascore\>\"", ",", 
     "\"\<def: \\\"A-score for PTM site location at the PSM-level.\\\" \
[DOI:10.1038/nbt1240, PMID:16964243]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001986\>\"", ",", 
     "\"\<name: H-Score\>\"", ",", 
     "\"\<def: \\\"H-Score for peptide phosphorylation site location.\\\" \
[DOI:10.1021/pr1006813, PMID:20836569]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001987\>\"", ",", 
     "\"\<name: vacuum drying MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Vacuum-drying MALDI sample preparation crystallization \
method.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001988\>\"", ",", 
     "\"\<name: crushed crystal MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Crushed-crystal MALDI sample preparation method.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000833 ! matrix application type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001989\>\"", 
     ",", "\"\<name: fast evaporation MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Fast-evaporation MALDI sample preparation method.\\\" \
[DOI:10.1021/ac00091a044]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001990\>\"", ",", 
     "\"\<name: overlayer MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Overlayer method combining features of the crushed-crystal \
method and the fast-evaporation method.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001991\>\"", ",", 
     "\"\<name: sandwich MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Sandwich MALDI sample preparation method.\\\" \
[DOI:10.1002/(SICI)1096-9888(199706)32:6<593::AID-JMS511>3.3.CO;2-4]\>\"", 
     ",", "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001992\>\"", ",", 
     "\"\<name: spin coating MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Spin coating MALDI sample preparation method.\\\" \
[DOI:10.1021/cc0500710, PMID:16283807]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001993\>\"", ",", 
     "\"\<name: quick and dirty MALDI sample preparation\>\"", ",", 
     "\"\<def: \\\"Quick & dirty (Q&D) sample preparation separating matrix \
handling from sample handling.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000833 ! matrix application type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001994\>\"", ",", 
     "\"\<name: top hat baseline reduction\>\"", ",", 
     "\"\<def: \\\"Top-hat morphological filter based on the basic \
morphological operations 'erosion' and 'dilatation'.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000593 ! baseline reduction\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001995\>\"", ",", 
     "\"\<name: convex hull baseline reduction\>\"", ",", 
     "\"\<def: \\\"Constructs the baseline by fitting multiple parabolas to \
the spectrum starting with the large scale structures.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000593 ! baseline reduction\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001996\>\"", ",", 
     "\"\<name: median baseline reduction\>\"", ",", 
     "\"\<def: \\\"The spectrum that will be baseline subtracted is divided \
into a number of segments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000593 ! baseline reduction\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001997\>\"", ",", 
     "\"\<name: wavelet transformation smoothing\>\"", ",", 
     "\"\<def: \\\"The random noise is removed by using the undecimated \
wavelet transform.\\\" [DOI:10.1093/bioinformatics/btl355, \
PMID:16820428]\>\"", ",", "\"\<is_a: MS:1000592 ! smoothing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1001998\>\"", ",", 
     "\"\<name: sophisticated numerical annotation procedure\>\"", ",", 
     "\"\<def: \\\"It searches for known patterns in the measured spectrum.\\\
\" [DOI:10.1021/ac951158i, PMID:21619291]\>\"", ",", 
     "\"\<synonym: \\\"SNAP\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000801 ! area peak picking\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1001999\>\"", ",", 
     "\"\<name: area normalization\>\"", ",", 
     "\"\<def: \\\"Normalization of areas below the curves.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1001484 ! intensity normalization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002000\>\"", ",", 
     "\"\<name: LIFT\>\"", ",", 
     "\"\<def: \\\"A Bruker's proprietary technique where molecular ions are \
initially accelerated at lower energy, then collide with inert gas in a \
collision cell that is then 'lifted' to high potential. The use of inert gas \
is optional, as it could lift also fragments provided by LID.\\\" \
[DOI:10.1007/s00216-003-2057-0 , PMID:12830354]\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002001\>\"", ",", 
     "\"\<name: MS1 label-based raw feature quantitation\>\"", ",", 
     "\"\<def: \\\"MS1 label-based raw feature quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002018 ! MS1 label-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002002\>\"", ",", 
     "\"\<name: MS1 label-based peptide level quantitation\>\"", ",", 
     "\"\<def: \\\"MS1 label-based peptide level quantitation.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002018 ! MS1 label-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002003\>\"", ",", 
     "\"\<name: MS1 label-based protein level quantitation\>\"", ",", 
     "\"\<def: \\\"MS1 label-based protein level quantitation.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002018 ! MS1 label-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002004\>\"", ",", 
     "\"\<name: MS1 label-based proteingroup level quantitation\>\"", ",", 
     "\"\<def: \\\"MS1 label-based proteingroup level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002018 ! MS1 label-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002005\>\"", ",", 
     "\"\<name: iRT retention time normalization standard\>\"", ",", 
     "\"\<def: \\\"A de facto standard providing the retention times at which \
a specific set of 10 reference peptides exit the reference chromatographic \
column. The kit may be obtain from Biognosys.\\\" \
[DOI:10.1002/pmic.201100463, \
http://www.biognosys.ch/products/rt-kit.html]\>\"", ",", 
     "\"\<is_a: MS:1000901 ! retention time normalization standard\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002006\>\"", ",", 
     "\"\<name: SRM transition type\>\"", ",", 
     "\"\<def: \\\"The type of the transitions, e.g. target or decoy.\\\" \
[PSI:MS]\>\"", ",", "\"\<synonym: \\\"MRM transition type\\\" EXACT []\>\"", 
     ",", "\"\<relationship: part_of MS:1000908 ! transition\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002007\>\"", ",", 
     "\"\<name: target SRM transition\>\"", ",", 
     "\"\<def: \\\"A transition used to target a specific compound that may \
be in the sample.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"target MRM transition\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1002006 ! SRM transition type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002008\>\"", ",", 
     "\"\<name: decoy SRM transition\>\"", ",", 
     "\"\<def: \\\"A transition not expected to be present in the sample and \
used to calculate statistical confidence of target transition detections in \
some workflows.\\\" [PSI:MS]\>\"", ",", 
     "\"\<synonym: \\\"decoy MRM transition\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1002006 ! SRM transition type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002009\>\"", ",", 
     "\"\<name: isobaric label quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Quantitation analysis using an isobaric labelling \
workflow.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002010\>\"", ",", 
     "\"\<name: TMT quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Quantitation analysis using the Thermo Fisher tandem mass \
tag (TMT) labelling workflow.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<is_a: MS:1002009 ! isobaric label quantitation analysis\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002011\>\"", ",", 
     "\"\<name: desorption electrospray ionization\>\"", ",", 
     "\"\<def: \\\"Combination of electrospray and desorption ionization \
method that ionizes gases, liquids and solids in open air under atmospheric \
pressure.\\\" [DOI:10.1126/science.1104404, PMID:15486296]\>\"", ",", 
     "\"\<synonym: \\\"DESI\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000240 ! atmospheric pressure ionization\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002012\>\"", ",", 
     "\"\<name: Mascot:PTM site assignment confidence\>\"", ",", 
     "\"\<def: \\\"Relative probability that PTM site assignment is correct, \
derived from the Mascot score difference between matches to the same spectrum \
(Mascot Delta Score).\\\" \
[http://www.matrixscience.com/help/pt_mods_help.html#SITE]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002013\>\"", ",", 
     "\"\<name: collision energy ramp start\>\"", ",", 
     "\"\<def: \\\"Collision energy at the start of the collision energy \
ramp.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000045 ! collision energy\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002014\>\"", ",", 
     "\"\<name: collision energy ramp end\>\"", ",", 
     "\"\<def: \\\"Collision energy at the end of the collision energy \
ramp.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000045 ! collision energy\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002015\>\"", ",", 
     "\"\<name: spectral count peptide level quantitation\>\"", ",", 
     "\"\<def: \\\"Spectral count peptide level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001836 ! spectral counting quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002016\>\"", 
     ",", "\"\<name: spectral count protein level quantitation\>\"", ",", 
     "\"\<def: \\\"Spectral count protein level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001836 ! spectral counting quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002017\>\"", 
     ",", "\"\<name: spectral count proteingroup level quantitation\>\"", 
     ",", "\"\<def: \\\"Spectral count proteingroup level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001836 ! spectral counting quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002018\>\"", 
     ",", "\"\<name: MS1 label-based analysis\>\"", ",", 
     "\"\<def: \\\"MS1 label-based analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002019\>\"", ",", 
     "\"\<name: label-free raw feature quantitation\>\"", ",", 
     "\"\<def: \\\"Label-free raw feature quantitation.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001834 ! LC-MS label-free quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002020\>\"", 
     ",", "\"\<name: label-free peptide level quantitation\>\"", ",", 
     "\"\<def: \\\"Label-free peptide level quantitation.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001834 ! LC-MS label-free quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002021\>\"", 
     ",", "\"\<name: label-free protein level quantitation\>\"", ",", 
     "\"\<def: \\\"Label-free protein level quantitation.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001834 ! LC-MS label-free quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002022\>\"", 
     ",", "\"\<name: label-free proteingroup level quantitation\>\"", ",", 
     "\"\<def: \\\"Label-free proteingroup level quantitation.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001834 ! LC-MS label-free quantitation analysis\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002023\>\"", 
     ",", "\"\<name: MS2 tag-based analysis\>\"", ",", 
     "\"\<def: \\\"MS2 tag-based analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002024\>\"", ",", 
     "\"\<name: MS2 tag-based feature level quantitation\>\"", ",", 
     "\"\<def: \\\"MS2 tag-based feature level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002023 ! MS2 tag-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002025\>\"", ",", 
     "\"\<name: MS2 tag-based peptide level quantitation\>\"", ",", 
     "\"\<def: \\\"MS2 tag-based peptide level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002023 ! MS2 tag-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002026\>\"", ",", 
     "\"\<name: MS2 tag-based protein level quantitation\>\"", ",", 
     "\"\<def: \\\"MS2 tag-based protein level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002023 ! MS2 tag-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002027\>\"", ",", 
     "\"\<name: MS2 tag-based proteingroup level quantitation\>\"", ",", 
     "\"\<def: \\\"MS2 tag-based proteingroup level quantitation.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002023 ! MS2 tag-based analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002028\>\"", ",", 
     "\"\<name: nucleic acid base modification\>\"", ",", 
     "\"\<def: \\\"Nucleic acid base modification (substitution, insertion or \
deletion).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002029\>\"", ",", 
     "\"\<name: original nucleic acid sequence\>\"", ",", 
     "\"\<def: \\\"Specification of the original nucleic acid sequence, prior \
to a modification. The value slot should hold the DNA or RNA sequence.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002030\>\"", ",", 
     "\"\<name: modified nucleic acid sequence\>\"", ",", 
     "\"\<def: \\\"Specification of the modified nucleic acid sequence. The \
value slot should hold the DNA or RNA sequence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001471 ! peptide modification details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002031\>\"", ",", 
     "\"\<name: PASSEL transition group browser URI\>\"", ",", 
     "\"\<def: \\\"URI to retrieve transition group data for a PASSEL \
(PeptideAtlas SRM Experiment Library) experiment.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002032\>\"", ",", 
     "\"\<name: PeptideAtlas dataset URI\>\"", ",", 
     "\"\<def: \\\"URI that allows access to a PeptideAtlas dataset.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002033\>\"", ",", 
     "\"\<name: contact role\>\"", ",", 
     "\"\<def: \\\"Role of the contact person.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000585 ! contact attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002034\>\"", ",", 
     "\"\<name: first author\>\"", ",", 
     "\"\<def: \\\"The first of a set of authors associated with a \
publication or release. There may be more than one first author in cases \
where several authors share primary attribution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002033 ! contact role\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002035\>\"", ",", 
     "\"\<name: senior author\>\"", ",", 
     "\"\<def: \\\"The last of a set of authors associated with a publication \
or release. There may be more than one senior author in cases where several \
authors share senior attribution.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002033 ! contact role\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002036\>\"", ",", 
     "\"\<name: co-author\>\"", ",", 
     "\"\<def: \\\"One of a set of authors associated with a publication or \
release.\\\" [PSI:MS]\>\"", ",", "\"\<is_a: MS:1002033 ! contact role\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002037\>\"", 
     ",", "\"\<name: dataset submitter\>\"", ",", 
     "\"\<def: \\\"A person who submits a dataset to a repository.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1002033 ! contact role\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002038\>\"", ",", 
     "\"\<name: unlabeled sample\>\"", ",", 
     "\"\<def: \\\"A sample that has not been labelled or modified. This is \
often referred to as \\\\\\\"light\\\\\\\" to distinguish from \
\\\\\\\"heavy\\\\\\\".\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"light labeled sample\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002039\>\"", ",", 
     "\"\<name: inlet attribute\>\"", ",", 
     "\"\<def: \\\"Inlet properties that are associated with a value.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000547 ! object attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000458 ! source\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002040\>\"", ",", 
     "\"\<name: inlet temperature\>\"", ",", 
     "\"\<def: \\\"The temperature of the inlet of a mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<is_a: MS:1002039 ! inlet attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000012 ! kelvin\>\"", ",", 
     "\"\<relationship: has_units UO:0000027 ! degree Celsius\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002041\>\"", ",", 
     "\"\<name: source temperature\>\"", ",", 
     "\"\<def: \\\"The temperature of the source of a mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000482 ! source attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000012 ! kelvin\>\"", ",", 
     "\"\<relationship: has_units UO:0000027 ! degree Celsius\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002042\>\"", ",", 
     "\"\<name: modulation time\>\"", ",", 
     "\"\<def: \\\"The duration of a complete cycle of modulation in a \
comprehensive two-dimensional separation system, equals the length of a \
second dimension chromatogram, i.e., the time between two successive \
injections into the second column.\\\" \
[http://chromatographyonline.findanalytichem.com/lcgc/Column:+Coupling+\
Matters/Nomenclature-and-Conventions-in-Comprehensive-Mult/ArticleStandard/\
Article/detail/58429]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000857 ! run attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002043\>\"", ",", 
     "\"\<name: ProteinProspector\>\"", ",", 
     "\"\<def: \\\"ProteinProspector software for data acquisition and \
analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002044\>\"", ",", 
     "\"\<name: ProteinProspector:score\>\"", ",", 
     "\"\<def: \\\"The ProteinProspector result 'Score'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002045\>\"", 
     ",", "\"\<name: ProteinProspector:expectation value\>\"", ",", 
     "\"\<def: \\\"The ProteinProspector result 'Expectation value'.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002046\>\"", 
     ",", "\"\<name: native source path\>\"", ",", 
     "\"\<def: \\\"The original source path used for directory-based sources.\
\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001458 ! spectrum generation information\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002047\>\"", ",", 
     "\"\<name: MS-GF\>\"", ",", 
     "\"\<def: \\\"MS-GF software used to re-score the peptide-spectrum \
matches.\\\" [DOI:10.1074/mcp.M110.003731, PMID:20829449]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002048\>\"", ",", 
     "\"\<name: MS-GF+\>\"", ",", "\"\<synonym: \\\"MS-GFDB\\\" EXACT []\>\"",
      ",", "\"\<def: \\\"MS-GF+ software used to analyze the spectra.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002049\>\"", ",", 
     "\"\<name: MS-GF:RawScore\>\"", ",", 
     "\"\<def: \\\"MS-GF raw score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002050\>\"", 
     ",", "\"\<name: MS-GF:DeNovoScore\>\"", ",", 
     "\"\<def: \\\"MS-GF de novo score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002051\>\"", 
     ",", "\"\<name: MS-GF:Energy\>\"", ",", 
     "\"\<def: \\\"MS-GF energy score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:nonNegativeInteger \\\"The allowed \
value-type for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002052\>\"", 
     ",", "\"\<name: MS-GF:SpecEValue\>\"", ",", 
     "\"\<def: \\\"MS-GF spectral E-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002353 ! PSM-level e-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002053\>\"", 
     ",", "\"\<name: MS-GF:EValue\>\"", ",", 
     "\"\<def: \\\"MS-GF E-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002353 ! PSM-level e-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002054\>\"", 
     ",", "\"\<name: MS-GF:QValue\>\"", ",", 
     "\"\<def: \\\"MS-GF Q-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002354 ! PSM-level q-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002055\>\"", 
     ",", "\"\<name: MS-GF:PepQValue\>\"", ",", 
     "\"\<def: \\\"MS-GF peptide-level Q-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002056\>\"", 
     ",", "\"\<name: MS-GF:PEP\>\"", ",", 
     "\"\<def: \\\"MS-GF posterior error probability.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002057\>\"", 
     ",", "\"\<name: modification specificity protein N-term\>\"", ",", 
     "\"\<def: \\\"As parameter for search engine: apply the modification \
only at the N-terminus of a protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002058\>\"", ",", 
     "\"\<name: modification specificity protein C-term\>\"", ",", 
     "\"\<def: \\\"As parameter for search engine: apply the modification \
only at the C-terminus of a protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001056 ! modification specificity rule\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002059\>\"", ",", 
     "\"\<name: Microsoft Excel\>\"", ",", 
     "\"\<def: \\\"Microsoft Excel (can be used for spectral counting).\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001139 ! quantitation software name\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002060\>\"", 
     ",", "\"\<name: database UniProtKB/TrEMBL\>\"", ",", 
     "\"\<def: \\\"The name of the UniProtKB/TrEMBL database.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002126 ! database UniProtKB\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002061\>\"", ",", 
     "\"\<name: decoy DB from UniProtKB/TrEMBL\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Decoy database from a TrEMBL protein sequence \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was made obsolete, because a combination of \
database name, DB composition , decoy DB type , decoy DB generation \
algorithm, decoy DB accession regexp and decoy DB details suffices.\>\"", 
     ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"",
      ",", "\"\<id: MS:1002062\>\"", ",", 
     "\"\<name: metabolic labelling: natural N (mainly 14N)\>\"", ",", 
     "\"\<def: \\\"Metabolic labelling: natural N (mainly 14N).\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001055 ! modification parameters\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002063\>\"", 
     ",", "\"\<name: FindPairs\>\"", ",", 
     "\"\<def: \\\"Software e.g. for SILAC and 14N/15N workflow, part of the \
PeakQuant suite.\\\" \
[http://www.medizinisches-proteom-center.de/software]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002064\>\"", ",", 
     "\"\<name: peptide consensus RT\>\"", ",", 
     "\"\<def: \\\"Peptide consensus retention time.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002065\>\"", 
     ",", "\"\<name: peptide consensus m/z\>\"", ",", 
     "\"\<def: \\\"Peptide consensus mass/charge ratio.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001805 ! quantification datatype\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002066\>\"", ",", 
     "\"\<name: ratio calculation method\>\"", ",", 
     "\"\<def: \\\"Method used to calculate the ratio.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001805 ! quantification datatype\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002067\>\"", ",", 
     "\"\<name: protein value: median of peptide ratios\>\"", ",", 
     "\"\<def: \\\"Protein quantification value calculated as median of \
peptide ratios.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002068\>\"", 
     ",", "\"\<name: metabolic labelling: heavy N (mainly 15N)\>\"", ",", 
     "\"\<def: \\\"Metabolic labelling: heavy N (mainly 15N).\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001055 ! modification parameters\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002069\>\"", 
     ",", "\"\<name: metabolic labelling purity\>\"", ",", 
     "\"\<def: \\\"Metabolic labelling: Description of labelling purity. \
Usually the purity of feeding material (e.g. 95%), or the inclusion rate \
derived from isotopic peak pattern shape.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001055 ! modification parameters\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002070\>\"", 
     ",", "\"\<name: t-test\>\"", ",", 
     "\"\<def: \\\"Perform a t-test (two groups). Specify in string value, \
whether paired / unpaired, variance equal / different, one- / two-sided \
version is performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002071\>\"", ",", 
     "\"\<name: ANOVA-test\>\"", ",", 
     "\"\<def: \\\"Perform an ANOVA-test (more than two groups). Specify in \
string value, which version is performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002072\>\"", ",", 
     "\"\<name: p-value\>\"", ",", 
     "\"\<def: \\\"P-value as result of one of the processing steps \
described. Specify in the description, which processing step it was.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002073\>\"", ",", "\"\<name: mzIdentML format\>\"", ",", 
     "\"\<def: \\\"The mzIdentML format for peptide and protein \
identification data from the PSI. File extension '.mzid'.\\\" [PSI:PI, \
http://www.psidev.info/mzidentml]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002074\>\"", ",", 
     "\"\<name: quantification file format\>\"", ",", 
     "\"\<def: \\\"File format containing quantification results.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001459 ! file format\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002075\>\"", ",", 
     "\"\<name: mzQuantML format\>\"", ",", 
     "\"\<def: \\\"The mzQuantML format for quantification data from the PSI. \
File extension '.mzq'.\\\" [PSI:PI, http://www.psidev.info/mzquantml]\>\"", 
     ",", "\"\<is_a: MS:1002074 ! quantification file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002076\>\"", ",", 
     "\"\<name: PAnalyzer\>\"", ",", 
     "\"\<def: \\\"PAnalyzer software for getting protein evidence \
categories.\\\" [http://code.google.com/p/ehu-bio/wiki/PAnalyzer]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002077\>\"", ",", 
     "\"\<name: impact\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' impact: ESI Q-TOF, Nanospray, APCI, \
APPI, GC-APCI, CaptiveSpray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002078\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:1. Static Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 1st static \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Static Modification (MS:1001645) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002079\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:2. Static Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 2nd static \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Static Modification (MS:1001645) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002080\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Precursor Clipping Range \
Before\>\"", ",", 
     "\"\<def: \\\"Precursor clipping range before.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002081\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Spectrum Selector:Precursor Clipping Range \
After\>\"", ",", 
     "\"\<def: \\\"Precursor clipping range after.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<relationship: has_units UO:0000221 ! dalton\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002082\>\"", ",", 
     "\"\<name: first column elution time\>\"", ",", 
     "\"\<def: \\\"The time of elution from the first chromatographic column \
in the chromatographic separation step, relative to the start of \
chromatography on the first column.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002083\>\"", ",", 
     "\"\<name: second column elution time\>\"", ",", 
     "\"\<def: \\\"The time of elution from the second chromatographic column \
in the chromatographic separation step, relative to the start of the \
chromatography on the second column.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", 
     "\"\<relationship: has_units UO:0000031 ! minute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002084\>\"", ",", 
     "\"\<name: multidimensional chromatography modulation description\>\"", 
     ",", "\"\<def: \\\"Multidimensional chromatography modulation \
description.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000857 ! run attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002085\>\"", ",", 
     "\"\<name: two-dimensional gas chromatography with fixed modulation time\
\>\"", ",", 
     "\"\<def: \\\"Two-dimensional gas chromatography where a single \
modulation time is used throughout the acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002084 ! multidimensional chromatography modulation \
description\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002086\>\"", ",", 
     "\"\<name: two-dimensional gas chromatography with discrete modulation \
time steps\>\"", ",", 
     "\"\<def: \\\"Two-dimensional gas chromatography where the acquisition \
is divided into steps, each with a different modulation time.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002084 ! multidimensional chromatography modulation \
description\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002087\>\"", ",", 
     "\"\<name: two-dimensional liquid chromatography with fixed modulation \
time\>\"", ",", 
     "\"\<def: \\\"Two-dimensional liquid chromatography where a single \
modulation time is used throughout the acquisition.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002084 ! multidimensional chromatography modulation \
description\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002088\>\"", ",", 
     "\"\<name: two-dimensional liquid chromatography with discrete \
modulation time steps\>\"", ",", 
     "\"\<def: \\\"Two-dimensional liquid chromatography where the \
acquisition is divided into steps, each with a different modulation time.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002084 ! multidimensional chromatography modulation \
description\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002089\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Peptide Without Protein XCorr \
Threshold\>\"", ",", 
     "\"\<def: \\\"XCorr threshold for storing peptides that do not belong to \
a protein.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002090\>\"", ",", 
     "\"\<name: Calculate Probability Scores\>\"", ",", 
     "\"\<def: \\\"Flag indicating that a probability score for the \
assessment that a reported peptide match is a random occurrence is \
calculated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002094 ! common search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002091\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Maximum Delta Cn\>\"", ",", 
     "\"\<def: \\\"Delta Cn threshold for filtering out PSM's.\\\" [PSI:MS]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002092\>\"", ",", 
     "\"\<name: Percolator:Validation based on\>\"", ",", 
     "\"\<def: \\\"Algorithm (e.g. q-value or PEP) used for calculation of \
the validation score using Percolator.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002107 ! Percolator input parameter\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002093\>\"", ",", 
     "\"\<name: search engine input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameter.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002094\>\"", ",", 
     "\"\<name: common search engine input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameter that is shared by more than \
one search engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002093 ! search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002095\>\"", ",", 
     "\"\<name: Mascot input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to Mascot.\\\" \
[PSI:PI, source:http://www.matrixscience.com/help/search_field_help.html]\>\"\
", ",", "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002096\>\"", 
     ",", "\"\<name: SEQUEST input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to SEQUEST.\\\" \
[PSI:PI, source:http://fields.scripps.edu/sequest/parameters.html]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002097\>\"", 
     ",", "\"\<name: Phenyx input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to Phenyx.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002098\>\"", 
     ",", "\"\<name: ProteinExtractor input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to \
ProteinExtractor.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002099\>\"", 
     ",", "\"\<name: OMSSA input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to OMSSA.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002100\>\"", 
     ",", "\"\<name: ProteinScape input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to ProteinScape.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002101\>\"", 
     ",", "\"\<name: ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to \
ProteomeDiscoverer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002103\>\"", 
     ",", "\"\<name: software input parameter\>\"", ",", 
     "\"\<def: \\\"Software input parameters.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002104\>\"", ",", 
     "\"\<name: common software input parameter\>\"", ",", 
     "\"\<def: \\\"Software input parameter that is shared by more than one \
software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002103 ! software input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002105\>\"", ",", 
     "\"\<name: software specific input parameter\>\"", ",", 
     "\"\<def: \\\"Software specific input parameter.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002103 ! software input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002106\>\"", ",", 
     "\"\<name: Scaffold input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to Scaffold.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002105 ! software specific input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002107\>\"", ",", 
     "\"\<name: Percolator input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to Percolator.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002105 ! software specific input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002108\>\"", ",", 
     "\"\<name: higher score better\>\"", ",", 
     "\"\<def: \\\"Indicates that a higher score is better.\\\" [PSI:PI]\>\"",
      ",", "\"\<relationship: part_of MS:1001153 ! search engine specific \
score\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002109\>\"", ",", "\"\<name: lower score better\>\"", ",", 
     "\"\<def: \\\"Indicates that a lower score is better.\\\" [PSI:PI]\>\"", 
     ",", "\"\<relationship: part_of MS:1001153 ! search engine specific \
score\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002110\>\"", ",", "\"\<name: assay attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing an assay.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002111\>\"", ",", 
     "\"\<name: assay label attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing an assay label.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002112\>\"", ",", 
     "\"\<name: protein group list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a protein group list.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002113\>\"", ",", 
     "\"\<name: protein group attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a protein group.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002114\>\"", ",", 
     "\"\<name: protein list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a protein list.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002115\>\"", ",", 
     "\"\<name: peptide consensus list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a peptide consensus list.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002116\>\"", ",", 
     "\"\<name: peptide consensus attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a peptide consensus.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002117\>\"", ",", 
     "\"\<name: small molecule list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a small molecule list.\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002118\>\"", ",", 
     "\"\<name: small molecule attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a small molecule.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002119\>\"", ",", 
     "\"\<name: small molecule modification attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing a small molecule modification.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002120\>\"", ",", 
     "\"\<name: experiment name\>\"", ",", 
     "\"\<def: \\\"The name for identifying an experiment.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002121\>\"", ",", 
     "\"\<name: spectral count feature\>\"", ",", 
     "\"\<def: \\\"Dummy decribing a spectral count feature.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001828 ! feature attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002122\>\"", ",", 
     "\"\<name: counts reporting\>\"", ",", 
     "\"\<def: \\\"FeatureList of spectral counts.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001825 ! feature list attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002123\>\"", ",", 
     "\"\<name: x-Tracker\>\"", ",", 
     "\"\<def: \\\"X-Tracker generic tool for quantitative proteomics.\\\" \
[https://bessantlab.org/software/x-tracker/]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002124\>\"", ",", 
     "\"\<name: ProteoSuite\>\"", ",", 
     "\"\<def: \\\"ProteoSuite software for the analysis of quantitative \
proteomics data.\\\" [DOI:10.1089/omi.2012.0022, PMID:22804616, \
http://www.proteosuite.org/]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002125\>\"", ",", 
     "\"\<name: combined FDRScore\>\"", ",", 
     "\"\<def: \\\"OBSOLETE FDRScore values specifically obtained for \
distinct combinations of single, pairs or triplets of search engines making a \
given PSM, used for integrating results from these distinct pools.\\\" \
[PMID:19253293]\>\"", ",", 
     "\"\<comment: This term was made obsolete because it was split into the \
more specific terms for PSM-level combined FDRScore (MS:1002356), distinct \
peptide-level combined FDRScore (MS:1002361), protein-level combined FDRScore \
(MS:1002366) and protein group-level combined FDRScore (MS:1002375).\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002126\>\"", ",", "\"\<name: database UniProtKB\>\"", 
     ",", "\"\<def: \\\"The name of the UniProtKB knowledgebase.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001013 ! database name\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002127\>\"", ",", 
     "\"\<name: identification file attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing an identification file.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002128\>\"", ",", 
     "\"\<name: method file format\>\"", ",", 
     "\"\<def: \\\"Attribute describing a method file format.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001459 ! file format\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002129\>\"", ",", 
     "\"\<name: ITRAQAnalyzer\>\"", ",", 
     "\"\<def: \\\"Software for iTRAQ workflow. Extracts and normalizes iTRAQ \
information from an MS experiment.\\\" \
[http://www-bs2.informatik.uni-tuebingen.de/services/OpenMS/OpenMS-release/\
html/TOPP__ITRAQAnalyzer.html]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002130\>\"", ",", 
     "\"\<name: identification file format\>\"", ",", 
     "\"\<def: \\\"Attribute describing an identification file format.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001459 ! file format\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002131\>\"", ",", 
     "\"\<name: TOPP noise filter\>\"", ",", 
     "\"\<def: \\\"Noise filter component of the TOPP software.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002132\>\"", ",", 
     "\"\<name: TOPP NoiseFilterGaussian\>\"", ",", 
     "\"\<def: \\\"Removes noise from profile spectra by using a gaussian \
smoothing.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002131 ! TOPP noise filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002133\>\"", ",", 
     "\"\<name: TOPP NoiseFilterSGolay\>\"", ",", 
     "\"\<def: \\\"Removes noise from profile spectra by using a \
Savitzky-Golay smoothing.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002131 ! TOPP noise filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002134\>\"", ",", 
     "\"\<name: TOPP peak picker\>\"", ",", 
     "\"\<def: \\\"Peak picker component of the TOPP software.\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002135\>\"", ",", 
     "\"\<name: TOPP PeakPickerHiRes\>\"", ",", 
     "\"\<def: \\\"Finds mass spectrometric peaks in high-resoluted profile \
mass spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002134 ! TOPP peak picker\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002136\>\"", ",", 
     "\"\<name: TOPP PeakPickerWavelet\>\"", ",", 
     "\"\<def: \\\"Finds mass spectrometric peaks with a wavelet algorithm in \
low-resoluted profile mass spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002134 ! TOPP peak picker\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002137\>\"", ",", 
     "\"\<name: TOPP spectra filter\>\"", ",", 
     "\"\<def: \\\"Spectra filter component of the TOPP software.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002138\>\"", ",", 
     "\"\<name: TOPP SpectraFilterBernNorm\>\"", ",", 
     "\"\<def: \\\"Applies a Bern et al normalization to peak spectra.\\\" \
[PMID:15262780, DOI:10.1093/bioinformatics/bth947]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002139\>\"", ",", 
     "\"\<name: TOPP SpectraFilterMarkerMower\>\"", ",", 
     "\"\<def: \\\"Applies a filter to peak spectra for marked peaks.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002140\>\"", ",", 
     "\"\<name: TOPP SpectraFilterNLargest\>\"", ",", 
     "\"\<def: \\\"Retains the n largest peaks of a peak spectra.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002141\>\"", ",", 
     "\"\<name: TOPP SpectraFilterNormalizer\>\"", ",", 
     "\"\<def: \\\"Applies a TIC/maximal intensity normalization to peak \
spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002142\>\"", ",", 
     "\"\<name: TOPP SpectraFilterParentPeakMower\>\"", ",", 
     "\"\<def: \\\"Filters putative unfragmented precursor ions from tandem \
spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002143\>\"", ",", 
     "\"\<name: TOPP SpectraFilterScaler\>\"", ",", 
     "\"\<def: \\\"Applies a filter to peak spectra after intensity scaling \
according to rank.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002144\>\"", ",", 
     "\"\<name: TOPP SpectraFilterSqrtMower\>\"", ",", 
     "\"\<def: \\\"Applies a filter to peak spectra after intensity scaling \
to the square root.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002145\>\"", ",", 
     "\"\<name: TOPP SpectraFilterThresholdMower\>\"", ",", 
     "\"\<def: \\\"Applies a filter of peaks below a given threshold to peak \
spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002146\>\"", ",", 
     "\"\<name: TOPP SpectraFilterWindowMower\>\"", ",", 
     "\"\<def: \\\"Applies a filter of the largest peaks in a sliding window \
over a peak spectrum.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002137 ! TOPP spectra filter\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002147\>\"", ",", 
     "\"\<name: TOPP map aligner\>\"", ",", 
     "\"\<def: \\\"Map aligner component of the TOPP software.\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002148\>\"", ",", 
     "\"\<name: TOPP MapAlignerIdentification\>\"", ",", 
     "\"\<def: \\\"Corrects retention time distortions between maps based on \
common peptide identifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002147 ! TOPP map aligner\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002149\>\"", ",", 
     "\"\<name: TOPP MapAlignerPoseClustering\>\"", ",", 
     "\"\<def: \\\"Corrects retention time distortions between maps using a \
pose clustering approach.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002147 ! TOPP map aligner\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002150\>\"", ",", 
     "\"\<name: TOPP MapAlignerSpectrum\>\"", ",", 
     "\"\<def: \\\"Corrects retention time distortions between maps by \
spectrum alignment.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002147 ! TOPP map aligner\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002151\>\"", ",", 
     "\"\<name: numerator data type attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing the data type of the numerator of a \
ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002152\>\"", ",", 
     "\"\<name: denominator data type attribute\>\"", ",", 
     "\"\<def: \\\"Attribute describing the data type of the denominator of a \
ratio.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001806 ! quantification object attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002153\>\"", ",", 
     "\"\<name: protein level PSM counts\>\"", ",", 
     "\"\<def: \\\"The number of spectra identified for this protein in \
spectral counting.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002154\>\"", 
     ",", "\"\<name: TOPP DTAExtractor\>\"", ",", 
     "\"\<def: \\\"Extracts spectra of an MS run file to several files in DTA \
format.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002155\>\"", 
     ",", "\"\<name: TOPP IDMerger\>\"", ",", 
     "\"\<def: \\\"Merges several protein/peptide identification files into \
one file.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002156\>\"", 
     ",", "\"\<name: TOPP IDFileConverter\>\"", ",", 
     "\"\<def: \\\"Converts identification engine file formats.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002157\>\"", ",", 
     "\"\<name: TOPP SpectraMerger\>\"", ",", 
     "\"\<def: \\\"Merges spectra from an LC/MS map, either by precursor or \
by RT blocks.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002158\>\"", ",", 
     "\"\<name: TOPP MzTabExporter\>\"", ",", 
     "\"\<def: \\\"Exports various XML formats to an mzTab file.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002159\>\"", ",", 
     "\"\<name: TOPP MassTraceExtractor\>\"", ",", 
     "\"\<def: \\\"Annotates mass traces in centroided LC/MS maps.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002160\>\"", ",", 
     "\"\<name: TOPP PrecursorMassCorrector\>\"", ",", 
     "\"\<def: \\\"Correct the precursor entries of tandem MS scans.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002161\>\"", ",", 
     "\"\<name: TOPP HighResPrecursorMassCorrector\>\"", ",", 
     "\"\<def: \\\"Performs precursor mz correction on centroided high \
resolution data.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002162\>\"", ",", 
     "\"\<name: TOPP AdditiveSeries\>\"", ",", 
     "\"\<def: \\\"Computes an additive series to quantify a peptide in a set \
of samples.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002163\>\"", ",", 
     "\"\<name: TOPP Decharger\>\"", ",", 
     "\"\<def: \\\"Decharges and merges different feature charge variants of \
the same chemical entity.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002164\>\"", ",", 
     "\"\<name: TOPP EICExtractor\>\"", ",", 
     "\"\<def: \\\"Quantifies signals at given positions in (raw or picked) \
LC/MS maps.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002165\>\"", ",", 
     "\"\<name: TOPP feature finder\>\"", ",", 
     "\"\<def: \\\"Feature finder component of the TOPP software.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002166\>\"", ",", 
     "\"\<name: TOPP FeatureFinderCentroided\>\"", ",", 
     "\"\<def: \\\"Detects two-dimensional features in centroided LC-MS data.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002165 ! TOPP feature finder\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002167\>\"", 
     ",", "\"\<name: TOPP FeatureFinderRaw\>\"", ",", 
     "\"\<def: \\\"Detects two-dimensional features in uncentroided LC-MS \
data.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002165 ! TOPP feature finder\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002168\>\"", ",", 
     "\"\<name: TOPP FeatureFinderIsotopeWavelet\>\"", ",", 
     "\"\<def: \\\"Detects two-dimensional features in uncentroided LC-MS \
data with a wavelet algorithm.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002165 ! TOPP feature finder\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002169\>\"", ",", 
     "\"\<name: TOPP FeatureFinderMetabo\>\"", ",", 
     "\"\<def: \\\"Detects two-dimensional features in centroided LC-MS data \
of metabolites.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002165 ! TOPP feature finder\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002170\>\"", ",", 
     "\"\<name: TOPP FeatureFinderMRM\>\"", ",", 
     "\"\<def: \\\"Quantifies features LC-MS/MS MRM data.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002165 ! TOPP feature finder\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002171\>\"", ",", 
     "\"\<name: TOPP ProteinQuantifier\>\"", ",", 
     "\"\<def: \\\"Computes protein abundances from annotated \
feature/consensus maps.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002172\>\"", ",", 
     "\"\<name: TOPP ConsensusMapNormalizer\>\"", ",", 
     "\"\<def: \\\"Normalizes maps of one consensus XML file (after linking).\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002173\>\"", ",", 
     "\"\<name: TOPP MapRTTransformer\>\"", ",", 
     "\"\<def: \\\"Applies retention time transformations to maps.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002174\>\"", ",", 
     "\"\<name: TOPP feature linker\>\"", ",", 
     "\"\<def: \\\"Feature linker component of the TOPP software.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002175\>\"", ",", 
     "\"\<name: TOPP FeatureLinkerLabeled\>\"", ",", 
     "\"\<def: \\\"Groups corresponding isotope-labeled features in a feature \
map.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002174 ! TOPP feature linker\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002176\>\"", 
     ",", "\"\<name: TOPP FeatureLinkerUnlabeled\>\"", ",", 
     "\"\<def: \\\"Groups corresponding features from multiple maps.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002174 ! TOPP feature linker\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002177\>\"", ",", 
     "\"\<name: TOPP FeatureLinkerUnlabeledQT\>\"", ",", 
     "\"\<def: \\\"Groups corresponding features from multiple maps using a \
quality threshold clustering approach.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002174 ! TOPP feature linker\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002178\>\"", ",", 
     "\"\<name: TOPP CompNovo\>\"", ",", 
     "\"\<def: \\\"Performs a peptide/protein identification with the \
CompNovo engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002179\>\"", ",", 
     "\"\<name: TOPP CompNovoCID\>\"", ",", 
     "\"\<def: \\\"Performs a peptide/protein identification with the \
CompNovo engine in collision-induced dissociation (CID) mode.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002180\>\"", ",", 
     "\"\<name: TOPP software adaptor\>\"", ",", 
     "\"\<def: \\\"Software adaptor to an external program in the TOPP \
software.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002181\>\"", 
     ",", "\"\<name: TOPP InspectAdapter\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the external program Inspect.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002182\>\"", 
     ",", "\"\<name: TOPP MascotAdapter\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the external program \
Mascot.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002183\>\"", ",", 
     "\"\<name: TOPP MascotAdapterOnline\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the online version of the \
external program Mascot.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002184\>\"", ",", 
     "\"\<name: TOPP OMSSAAdapter\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the external program OMSSA.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002185\>\"", 
     ",", "\"\<name: TOPP PepNovoAdapter\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the external program PepNovo.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002186\>\"", 
     ",", "\"\<name: TOPP XTandemAdapter\>\"", ",", 
     "\"\<def: \\\"Identifies MS2 spectra using the external program XTandem.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002180 ! TOPP software adaptor\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002187\>\"", 
     ",", "\"\<name: TOPP SpecLibSearcher\>\"", ",", 
     "\"\<def: \\\"Identifies peptide MS2 spectra by spectral matching with a \
searchable spectral library.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002188\>\"", ",", 
     "\"\<name: TOPP ConsensusID\>\"", ",", 
     "\"\<def: \\\"Computes a consensus identification from peptide \
identifications of several identification engines.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002189\>\"", ",", 
     "\"\<name: TOPP IDConflictResolver\>\"", ",", 
     "\"\<def: \\\"Resolves ambiguous annotations of features with peptide \
identifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002190\>\"", ",", 
     "\"\<name: TOPP IDFilter\>\"", ",", 
     "\"\<def: \\\"Filters results from protein or peptide identification \
engines based on different criteria.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002191\>\"", ",", 
     "\"\<name: TOPP IDMapper\>\"", ",", 
     "\"\<def: \\\"Assigns protein/peptide identifications to feature or \
consensus features.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002192\>\"", ",", 
     "\"\<name: TOPP IDPosteriorErrorProbability\>\"", ",", 
     "\"\<def: \\\"Estimates posterior error probabilities using a mixture \
model.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002193\>\"", 
     ",", "\"\<name: TOPP IDRTCalibration\>\"", ",", 
     "\"\<def: \\\"Calibrate Retention times of peptide hits to \
standards.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002194\>\"", 
     ",", "\"\<name: TOPP PeptideIndexer\>\"", ",", 
     "\"\<def: \\\"Refreshes the protein references for all peptide hits.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002195\>\"", ",", 
     "\"\<name: TOPP PrecursorIonSelector\>\"", ",", 
     "\"\<def: \\\"A tool for precursor ion selection based on identification \
results.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002196\>\"", 
     ",", "\"\<name: TOPP MRMMapper\>\"", ",", 
     "\"\<def: \\\"MRMMapper maps measured chromatograms (mzML) and the \
transitions used (TraML).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002197\>\"", ",", 
     "\"\<name: TOPP OpenSwath component\>\"", ",", 
     "\"\<def: \\\"OpenSwath component of the TOPP software.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002198\>\"", ",", 
     "\"\<name: TOPP OpenSwathAnalyzer\>\"", ",", 
     "\"\<def: \\\"Picks peaks and finds features in an SRM experiment.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002197 ! TOPP OpenSwath component\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002199\>\"", 
     ",", "\"\<name: TOPP OpenSwathChromatogramExtractor\>\"", ",", 
     "\"\<def: \\\"Extract chromatograms (XIC) from a MS2 map file.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002197 ! TOPP OpenSwath component\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002200\>\"", 
     ",", "\"\<name: TOPP OpenSwathDecoyGenerator\>\"", ",", 
     "\"\<def: \\\"Generates decoys according to different models for a \
specific TraML.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002197 ! TOPP OpenSwath component\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002201\>\"", ",", 
     "\"\<name: TOPP OpenSwathFeatureXMLToTSV\>\"", ",", 
     "\"\<def: \\\"Converts a featureXML to a mProphet tsv (tab separated \
values).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002197 ! TOPP OpenSwath component\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002202\>\"", ",", 
     "\"\<name: TOPP OpenSwathRTNormalizer\>\"", ",", 
     "\"\<def: \\\"Generates a transformation file for retention time space \
into normalized space.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002197 ! TOPP OpenSwath component\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002203\>\"", ",", 
     "\"\<name: TOPP ProteinInference\>\"", ",", 
     "\"\<def: \\\"Infer proteins from a list of (high-confidence) \
peptides.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000752 ! TOPP software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002204\>\"", 
     ",", "\"\<name: TOPP FalseDiscoveryRate\>\"", ",", 
     "\"\<def: \\\"Estimates the false discovery rate on peptide and protein \
level using decoy searches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002205\>\"", ",", 
     "\"\<name: ProteoWizard msconvert\>\"", ",", 
     "\"\<def: \\\"Converts, filters, and processes mass spectrometry data in \
variety of formats.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000615 ! ProteoWizard software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002206\>\"", ",", 
     "\"\<name: ProteoWizard idconvert\>\"", ",", 
     "\"\<def: \\\"Converts, filters, and processes identifications from \
shotgun proteomics experiments.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000615 ! ProteoWizard software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002207\>\"", ",", 
     "\"\<name: ProteoWizard chainsaw\>\"", ",", 
     "\"\<def: \\\"Filters and processes protein sequence databases.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000615 ! ProteoWizard software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002208\>\"", ",", 
     "\"\<name: ProteoWizard msaccess\>\"", ",", 
     "\"\<def: \\\"Filters, processes, and displays mass spectrometry data in \
a variety of ways.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000615 ! ProteoWizard software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002209\>\"", ",", 
     "\"\<name: ProteoWizard SeeMS\>\"", ",", 
     "\"\<def: \\\"An interactive GUI application to view and filter mass \
spectrometry data in a variety of formats.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000615 ! ProteoWizard software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002210\>\"", ",", 
     "\"\<name: IsobariQ\>\"", ",", 
     "\"\<def: \\\"A quantitative software package designed for analysis of \
IPTL, TMT and iTRAQ data.\\\" [PMID:21067241, DOI:10.1021/pr1009977, \
http://folk.uio.no/magnusar/isobariq]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002211\>\"", ",", 
     "\"\<name: Variance stabilizing normalization\>\"", ",", 
     "\"\<def: \\\"The model incorporates data calibration (normalization), a \
model for the dependence of the variance on the mean intensity, and a \
variance stabilizing data transformation.\\\" [PMID:16646781]\>\"", ",", 
     "\"\<is_a: MS:1001861 ! quantification data processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002212\>\"", ",", 
     "\"\<name: IPTL quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Quantification analysis using a labelling strategy where \
both peptide termini are labelled so that the peptides from different \
labelling schema are isobaric.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002009 ! isobaric label quantitation analysis\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002213\>\"", ",", 
     "\"\<name: PAnalyzer:conclusive protein\>\"", ",", 
     "\"\<def: \\\"A protein identified by at least one unique (distinct, \
discrete) peptide (peptides are considered different only if they can be \
distinguished by evidence in mass spectrum).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001600 ! protein inference confidence category\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002214\>\"", ",", 
     "\"\<name: PAnalyzer:indistinguishable protein\>\"", ",", 
     "\"\<def: \\\"A member of a group of proteins sharing all peptides that \
are exclusive to the group (peptides are considered different only if they \
can be distinguished by evidence in mass spectrum).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001600 ! protein inference confidence category\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002215\>\"", ",", 
     "\"\<name: PAnalyzer:non-conclusive protein\>\"", ",", 
     "\"\<def: \\\"A protein sharing all its matched peptides with either \
conclusive or indistinguishable proteins (peptides are considered different \
only if they can be distinguished by evidence in mass spectrum).\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001600 ! protein inference confidence category\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002216\>\"", ",", 
     "\"\<name: PAnalyzer:ambiguous group member\>\"", ",", 
     "\"\<def: \\\"A protein sharing at least one peptide not matched to \
either conclusive or indistinguishable proteins (peptides are considered \
different only if they can be distinguished by evidence in mass \
spectrum).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001600 ! protein inference confidence category\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002217\>\"", ",", 
     "\"\<name: decoy peptide\>\"", ",", 
     "\"\<def: \\\"A putative identified peptide issued from a decoy sequence \
database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002218\>\"", ",", 
     "\"\<name: percent collision energy ramp start\>\"", ",", 
     "\"\<def: \\\"Collision energy at the start of the collision energy ramp \
in percent, normalized to the mass of the ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000138 ! normalized collision energy\>\"", ",", 
     "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002219\>\"", ",", 
     "\"\<name: percent collision energy ramp end\>\"", ",", 
     "\"\<def: \\\"Collision energy at the end of the collision energy ramp \
in percent, normalized to the mass of the ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000138 ! normalized collision energy\>\"", ",", 
     "\"\<relationship: has_units UO:0000187 ! percent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002220\>\"", ",", 
     "\"\<name: MRMaid\>\"", ",", 
     "\"\<def: \\\"A web-based SRM assay design tool whose transitions are \
generated by mining the millions of identified peptide spectra held in the \
EBI's PRIDE database.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002221\>\"", ",", 
     "\"\<name: MRMaid:peptide score\>\"", ",", 
     "\"\<def: \\\"Score in MRMaid to indicate the expected performance of \
the peptide in SRM.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002222\>\"", 
     ",", "\"\<name: SRM transition attribute\>\"", ",", 
     "\"\<def: \\\"Attribute associated with a SRM transition.\\\" [PSI:MS]\>\
\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", ",", 
     "\"\<relationship: part_of MS:1000908 ! transition\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002223\>\"", ",", 
     "\"\<name: precursor ion detection probability\>\"", ",", 
     "\"\<def: \\\"Probability of detecting precursor when parent protein is \
present.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002222 ! SRM transition attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002224\>\"", 
     ",", "\"\<name: product ion detection probability\>\"", ",", 
     "\"\<def: \\\"Probability of detecting product ion when precursor ion is \
present.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002222 ! SRM transition attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002225\>\"", 
     ",", "\"\<name: average product ion intensity\>\"", ",", 
     "\"\<def: \\\"Average value of product ion intensity in a collection of \
identified spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001226 ! product ion intensity\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002226\>\"", 
     ",", "\"\<name: product ion intensity standard deviation\>\"", ",", 
     "\"\<def: \\\"Standard deviation of product ion intensity in a \
collection of identified spectra.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001226 ! product ion intensity\>\"", ",", 
     "\"\<relationship: has_units MS:1000131 ! number of detector counts\>\"",
      ",", "\"\<relationship: has_units MS:1000132 ! percent of base \
peak\>\"", ",", 
     "\"\<relationship: has_units MS:1000814 ! counts per second\>\"", ",", 
     "\"\<relationship: has_units MS:1000905 ! percent of base peak times 100\
\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002227\>\"", 
     ",", "\"\<name: number of product ion observations\>\"", ",", 
     "\"\<def: \\\"The number of times the specific product ion has been \
observed in a series of SRM experiments.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002222 ! SRM transition attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002228\>\"", 
     ",", "\"\<name: number of precursor ion observations\>\"", ",", 
     "\"\<def: \\\"The number of times the specific precursor ion has been \
observed in a series of SRM experiments.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002222 ! SRM transition attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002229\>\"", 
     ",", "\"\<name: ProteomeDiscoverer:Mascot:Significance Middle\>\"", ",", 
     "\"\<def: \\\"Calculated relaxed significance when performing a decoy \
search for high-confidence peptides.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002230\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Mascot:Significance High\>\"", ",", 
     "\"\<def: \\\"Calculated relaxed significance when performing a decoy \
search for medium-confidence peptides.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002231\>\"", ",", 
     "\"\<name: regular expressions for a GUID\>\"", ",", 
     "\"\<def: \
\\\"([A-Fa-f0-9]\\\\{8\\\\}-([A-Fa-f0-9]\\\\{4\\\\}-)\\\\{3\\\\}[A-Fa-f0-9]\\\
\\{12\\\\}).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002479 ! regular expression\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002232\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Default FDR calculator\>\"", ",", 
     "\"\<def: \\\"The default FDR calculator as globally unique identifier \
(GUID).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002231 ! regular expressions for a \
GUID\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002233\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:SEQUEST:Low resolution spectra contained\>\
\"", ",", 
     "\"\<def: \\\"Flag indicating if low-resolution spectra are taken into \
consideration.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002234\>\"", ",", 
     "\"\<name: selected precursor m/z\>\"", ",", 
     "\"\<def: \\\"Mass-to-charge ratio of a precursor ion selected for \
fragmentation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"selected ion m/z\\\" RELATED []\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", 
     ",", "\"\<relationship: has_units MS:1000040 ! m/z\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002235\>\"", ",", 
     "\"\<name: ProteoGrouper:PDH score\>\"", ",", 
     "\"\<def: \\\"A score assigned to a single protein accession (modelled \
as ProteinDetectionHypothesis in mzIdentML), based on summed peptide level \
scores.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002236\>\"", 
     ",", "\"\<name: ProteoGrouper:PAG score\>\"", ",", 
     "\"\<def: \\\"A score assigned to a protein group (modelled as \
ProteinAmbiguityGroup in mzIdentML), based on all summed peptide level scores \
that have been assigned to the group as unique or razor peptides.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002237\>\"", ",", "\"\<name: mzidLib\>\"", ",", 
     "\"\<def: \\\"A library of Java routines for manipulating mzIdentML \
files.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002238\>\"", 
     ",", "\"\<name: mzidLib:Omssa2Mzid\>\"", ",", 
     "\"\<def: \\\"A converter for OMSSA OMX to mzIdentML.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002239\>\"", ",", 
     "\"\<name: mzidLib:Tandem2Mzid\>\"", ",", 
     "\"\<def: \\\"A converter for Tandem XML to mzIdentML.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002240\>\"", ",", 
     "\"\<name: mzidLib:Csv2Mzid\>\"", ",", 
     "\"\<def: \\\"A converter for CSV files (following OMSSA CSV style) to \
mzIdentML.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002241\>\"", ",", 
     "\"\<name: mzidLib:ProteoGrouper\>\"", ",", 
     "\"\<def: \\\"A generic and parameterizable protein inference algorithm \
for mzIdentML files.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002242\>\"", ",", 
     "\"\<name: mzidLib:Thresholder\>\"", ",", 
     "\"\<def: \\\"A routine for keeping only identifications passing a given \
threshold or setting passThreshold to true or false for \
SpectrumIdentificationItem or ProteinDetectionHypothesis in mzIdentML \
files.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002243\>\"", ",", 
     "\"\<name: mzidLib:Perform emPAI on mzid\>\"", ",", 
     "\"\<def: \\\"A routine for adding emPAI quantitative values to an \
mzIdentML file.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002244\>\"", 
     ",", "\"\<name: mzidLib:FalseDiscoveryRate\>\"", ",", 
     "\"\<def: \\\"A routine for calculating local FDR, q-value and FDRScore \
for mzIdentML files, based on a decoy search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002245\>\"", ",", 
     "\"\<name: mzidLib:Mzidentml2Csv\>\"", ",", 
     "\"\<def: \\\"A tool for converting mzIdentML files to CSV format.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002246\>\"", ",", 
     "\"\<name: mzidLib:CombineSearchEngines\>\"", ",", 
     "\"\<def: \\\"A tool for combining results analysed in parallel in two \
or three search engines into a single mzIdentML file.\\\" \
[PMID:19253293]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002247\>\"", ",", 
     "\"\<name: mzidLib:InsertMetaDataFromFasta\>\"", ",", 
     "\"\<def: \\\"A tool for adding additional meta data from a FASTA file \
to DBSequence entries (sequence and description) in mzIdentML files.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002237 ! mzidLib\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002248\>\"", ",", 
     "\"\<name: SEQUEST:spscore\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'SpScore'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002249\>\"", 
     ",", "\"\<name: SEQUEST:sprank\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'SpRank'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002250\>\"", 
     ",", "\"\<name: SEQUEST:deltacnstar\>\"", ",", 
     "\"\<def: \\\"The SEQUEST result 'DeltaCnStar'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002251\>\"", 
     ",", "\"\<name: Comet\>\"", ",", 
     "\"\<def: \\\"Comet open-source sequence search engine developed at the \
University of Washington.\\\" [PMID:23148064]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002252\>\"", ",", 
     "\"\<name: Comet:xcorr\>\"", ",", 
     "\"\<def: \\\"The Comet result 'XCorr'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002253\>\"", 
     ",", "\"\<name: Comet:deltacn\>\"", ",", 
     "\"\<def: \\\"The Comet result 'DeltaCn'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002254\>\"", 
     ",", "\"\<name: Comet:deltacnstar\>\"", ",", 
     "\"\<def: \\\"The Comet result 'DeltaCnStar'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002255\>\"", 
     ",", "\"\<name: Comet:spscore\>\"", ",", 
     "\"\<def: \\\"The Comet result 'SpScore'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002256\>\"", 
     ",", "\"\<name: Comet:sprank\>\"", ",", 
     "\"\<def: \\\"The Comet result 'SpRank'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002257\>\"", 
     ",", "\"\<name: Comet:expectation value\>\"", ",", 
     "\"\<def: \\\"The Comet result 'Expectation value'.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002258\>\"", ",", 
     "\"\<name: Comet:matched ions\>\"", ",", 
     "\"\<def: \\\"The Comet result 'Matched Ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002259\>\"", 
     ",", "\"\<name: Comet:total ions\>\"", ",", 
     "\"\<def: \\\"The Comet result 'Total Ions'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002260\>\"", 
     ",", "\"\<name: PSM:FDR threshold\>\"", ",", 
     "\"\<def: \\\"False-discovery rate threshold for peptide-spectrum \
matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002483 ! PSM-level statistical threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002261\>\"", ",", 
     "\"\<name: Byonic\>\"", ",", 
     "\"\<def: \\\"Byonic search engine from Protein Metrics.\\\" \
[PMID:23255153]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002262\>\"", 
     ",", "\"\<name: Byonic:Score\>\"", ",", 
     "\"\<def: \\\"The Byonic score is the primary indicator of PSM \
correctness. The Byonic score reflects the absolute quality of the \
peptide-spectrum match, not the relative quality compared to other candidate \
peptides. Byonic scores range from 0 to about 1000, with 300 a good score, \
400 a very good score, and PSMs with scores over 500 almost sure to be \
correct.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002263\>\"", 
     ",", "\"\<name: Byonic:Delta Score\>\"", ",", 
     "\"\<def: \\\"The drop in Byonic score from the top-scoring peptide to \
the next peptide with distinct sequence. In this computation, the same \
peptide with different modifications is not considered distinct.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002264\>\"", 
     ",", "\"\<name: Byonic:DeltaMod Score\>\"", ",", 
     "\"\<def: \\\"The drop in Byonic score from the top-scoring peptide to \
the next peptide different in any way, including placement of modifications. \
DeltaMod gives an indication of whether modifications are confidently \
localized; DeltaMod over 10.0 means that there is high likelihood that all \
modification placements are correct.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002265\>\"", 
     ",", "\"\<name: Byonic:PEP\>\"", ",", 
     "\"\<def: \\\"Byonic posterior error probability.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002266\>\"", 
     ",", "\"\<name: Byonic:Peptide LogProb\>\"", ",", 
     "\"\<def: \\\"The log p-value of the PSM. This is the log of the \
probability that the PSM with such a score and delta would arise by chance in \
a search of this size (the size of the protein database, as expanded by the \
modification rules). A log p-value of -3.0 should happen by chance on only \
one of a thousand spectra. Caveat: it is very hard to compute a p-value that \
works for all searches and all spectra, so read Byonic p-values with a \
certain amount of skepticism.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002267\>\"", 
     ",", "\"\<name: Byonic:Protein LogProb\>\"", ",", 
     "\"\<def: \\\"The log p-value of the protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\
\"", ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002268\>\"", 
     ",", "\"\<name: Byonic:Best LogProb\>\"", ",", 
     "\"\<def: \\\"Best (most negative) log p-value of an individual PSM.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein result details\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002269\>\"", ",", 
     "\"\<name: Byonic:Best Score\>\"", ",", 
     "\"\<def: \\\"Best (largest) Byonic score of a PSM.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002270\>\"", 
     ",", "\"\<name: chromatography separation\>\"", ",", 
     "\"\<def: \\\"A technique by which molecules are separated by chemical \
and physical properties such as hydrophobicity or vapour pressure.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000857 ! run attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002271\>\"", ",", 
     "\"\<name: liquid chromatography separation\>\"", ",", 
     "\"\<def: \\\"Liquid chromatography (LC) is a separation technique in \
which the mobile phase is a liquid.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002270 ! chromatography separation\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002272\>\"", ",", 
     "\"\<name: gas chromatography separation\>\"", ",", 
     "\"\<def: \\\"Gas chromatography (GC) is a separation technique in which \
the mobile phase is a gas.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002270 ! chromatography separation\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002273\>\"", ",", 
     "\"\<name: detector potential\>\"", ",", 
     "\"\<def: \\\"Detector potential difference in volts.\\\" [PSI:MS]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000481 ! detector attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000218 ! volt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002274\>\"", ",", 
     "\"\<name: SQ Detector 2\\t\>\"", ",", 
     "\"\<def: \\\"Waters quadrupole based SQ Detector 2.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002275\>\"", ",", 
     "\"\<name: Xevo G2-S Tof\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Xevo G2-S Tof.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002276\>\"", ",", 
     "\"\<name: Xevo G2-S QTof\>\"", ",", 
     "\"\<def: \\\"Waters oa-ToF based Xevo G2-S QTof.\\\" [PSI:MS]\>\"", 
     ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002277\>\"", ",", 
     "\"\<name: AutoSpec Premier\>\"", ",", 
     "\"\<def: \\\"Waters AutoSpec Premier magnetic sector instrument.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002278\>\"", 
     ",", "\"\<name: Pegasus III\>\"", ",", 
     "\"\<def: \\\"LECO nominal mass resolution time-of-flight GC mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002279\>\"", ",", 
     "\"\<name: maXis 4G\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' maXis 4G: ESI Q-TOF, Nanospray, APCI, \
APPI, GC-APCI, CaptiveSpray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001547 ! Bruker Daltonics maXis series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002280\>\"", ",", 
     "\"\<name: compact\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' compact: ESI Q-TOF, Nanospray, APCI, \
APPI, GC-APCI, CaptiveSpray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002281\>\"", ",", 
     "\"\<name: SRM feature level quantitation\>\"", ",", 
     "\"\<def: \\\"Selected Reaction Monitoring feature level quantitation.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001838 ! SRM quantitation analysis\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002282\>\"", 
     ",", "\"\<name: SRM peptide level quantitation\>\"", ",", 
     "\"\<def: \\\"Selected Reaction Monitoring peptide level quantitation.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001838 ! SRM quantitation analysis\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002283\>\"", 
     ",", "\"\<name: SRM protein level quantitation\>\"", ",", 
     "\"\<def: \\\"Selected Reaction Monitoring protein level quantitation.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001838 ! SRM quantitation analysis\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002284\>\"", 
     ",", "\"\<name: SRM proteingroup level quantitation\>\"", ",", 
     "\"\<def: \\\"Selected Reaction Monitoring proteingroup level \
quantitation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001838 ! SRM quantitation analysis\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002285\>\"", ",", 
     "\"\<name: Trans-Proteomic Pipeline\>\"", ",", 
     "\"\<def: \\\"A suite of open source tools for the processing of MS2 \
proteomics data developed by the Seattle Proteome Center at the Institute for \
Systems Biology.\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"TPP\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002286\>\"", ",", 
     "\"\<name: Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<def: \\\"A software program that is a component of the \
Trans-Proteomic Pipeline.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<relationship: part_of MS:1002285 ! Trans-Proteomic Pipeline\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002287\>\"", 
     ",", "\"\<name: PeptideProphet\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates PSM probabilities for \
MS2 proteomics data searched with any of the supported sequence or spectral \
library search engines via the pepXML format.\\\" [PMID:12403597, \
PMID:23176103]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002288\>\"", ",", 
     "\"\<name: iProphet\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates distinct peptide \
probabilities based on several lines of corroborating evidence including \
search results from multiple search engines via the pepXML format.\\\" \
[PMID:21876204]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002289\>\"", ",", 
     "\"\<name: ProteinProphet\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates protein-level \
probabilities based on input PSM or peptide-level probabilities from \
PeptideProphet or iProphet. The output is written in the protXML format.\\\" \
[PMID:14632076]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002290\>\"", ",", 
     "\"\<name: XPRESS\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates PSM-level abundances \
based on 2-channel isotope-labelled data such as ICAT, SILAC, etc.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002291\>\"", ",", 
     "\"\<name: Libra\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates PSM, peptide, and \
protein-level abundances based on N-channel isobaric label peptide data such \
as iTRAQ, TMT, etc.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002292\>\"", ",", 
     "\"\<name: PTMProphet\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates PTM localization \
probabilities by re-analyzing the peaks that are available to distinguish \
between possible modification sites.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002293\>\"", ",", 
     "\"\<name: Bruker Daltonics SCION series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' SCION series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002294\>\"", ",", 
     "\"\<name: Bruker Daltonics EVOQ series\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' EVOQ series.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000122 ! Bruker Daltonics instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002295\>\"", ",", 
     "\"\<name: SCION SQ\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' SCION SQ: GC-single quadrupole.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002293 ! Bruker Daltonics SCION series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002296\>\"", ",", 
     "\"\<name: SCION TQ\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' SCION TQ: GC-triple quadrupole.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002293 ! Bruker Daltonics SCION series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002297\>\"", ",", 
     "\"\<name: EVOQ Elite\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' EVOQ Elite: LC-triple quadrupole.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1002294 ! Bruker Daltonics EVOQ series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002298\>\"", 
     ",", "\"\<name: EVOQ Qube\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' EVOQ Qube: LC-triple quadrupole.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1002294 ! Bruker Daltonics EVOQ series\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002299\>\"", 
     ",", "\"\<name: micrOTOF-Q III\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' micrOTOF-Q III: ESI Q-TOF, Nanospray, \
APCI, APPI, GC-APCI, CaptiveSpray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002300\>\"", ",", 
     "\"\<name: amaZon Speed ETD\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' amaZon Speed ETD: ESI quadrupole ion \
trap, Nanospray, APCI, APPI, ETD, PTR, GC-APCI, CaptiveSpray.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001545 ! Bruker Daltonics amaZon series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002301\>\"", ",", 
     "\"\<name: amaZon Speed\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' amaZon ETD: ESI quadrupole ion trap, \
Nanospray, APCI, APPI, GC-APCI, CaptiveSpray.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001545 ! Bruker Daltonics amaZon series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002302\>\"", ",", 
     "\"\<name: Bruker Container format\>\"", ",", 
     "\"\<def: \\\"Bruker Container raw file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002303\>\"", ",", 
     "\"\<name: Bruker Container nativeID format\>\"", ",", 
     "\"\<def: \\\"Native identifier (UUID).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002304\>\"", ",", 
     "\"\<name: domain range\>\"", ",", 
     "\"\<def: \\\"Domain range of a numerical value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002305\>\"", ",", 
     "\"\<name: value between 0 and 1 inclusive\>\"", ",", 
     "\"\<def: \\\"Value range for probabilities.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002304 ! domain range\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002306\>\"", ",", 
     "\"\<name: value greater than zero\>\"", ",", 
     "\"\<def: \\\"Positive value range.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002304 ! domain range\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002307\>\"", ",", 
     "\"\<name: fragmentation ion type\>\"", ",", 
     "\"\<def: \\\"Type of fragment ion based on where the backbone breaks, \
such as a y ion or a c ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001221 ! product ion attribute\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002308\>\"", ",", 
     "\"\<name: fluorescence detector\>\"", ",", 
     "\"\<def: \\\"A detector using a fluorescent signal after excitation \
with light.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000026 ! detector type\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002309\>\"", ",", 
     "\"\<name: Byonic: Peptide AbsLogProb\>\"", ",", 
     "\"\<def: \\\"The absolute value of the log-base10 of the Byonic \
posterior error probability (PEP) of the PSM.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002310\>\"", 
     ",", "\"\<name: Byonic: Protein AbsLogProb\>\"", ",", 
     "\"\<def: \\\"The absolute value of the log-base10 of the Byonic \
posterior error probability (PEP) of the protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002311\>\"", 
     ",", "\"\<name: Byonic: Peptide AbsLogProb2D\>\"", ",", 
     "\"\<def: \\\"The absolute value of the log-base10 Byonic \
two-dimensional posterior error probability (PEP) of the PSM. The \
two-dimensional PEP takes into account protein ranking information as well as \
PSM information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002312\>\"", 
     ",", "\"\<name: MS-Numpress linear prediction compression\>\"", ",", 
     "\"\<def: \\\"Compression using MS-Numpress linear prediction \
compression.\\\" [https://github.com/fickludd/ms-numpress]\>\"", ",", 
     "\"\<is_a: MS:1000572 ! binary data compression type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002313\>\"", ",", 
     "\"\<name: MS-Numpress positive integer compression\>\"", ",", 
     "\"\<def: \\\"Compression using MS-Numpress positive integer \
compression.\\\" [https://github.com/fickludd/ms-numpress]\>\"", ",", 
     "\"\<is_a: MS:1000572 ! binary data compression type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002314\>\"", ",", 
     "\"\<name: MS-Numpress short logged float compression\>\"", ",", 
     "\"\<def: \\\"Compression using MS-Numpress short logged float \
compression.\\\" [https://github.com/fickludd/ms-numpress]\>\"", ",", 
     "\"\<is_a: MS:1000572 ! binary data compression type\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002315\>\"", ",", 
     "\"\<name: consensus result\>\"", ",", 
     "\"\<def: \\\"Indicates a consensus result from several search engine \
runs.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002316\>\"", 
     ",", "\"\<name: ProteomeDiscoverer:Amanda:high confidence threshold\>\"",
      ",", "\"\<def: \\\"Strict confidence probability score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002317\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Amanda:middle confidence threshold\>\"", 
     ",", "\"\<def: \\\"Relaxed confidence probability score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002318\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:automatic workload\>\"", ",", 
     "\"\<def: \\\"Flag indicating automatic estimation of the workload \
level.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002319\>\"", ",", 
     "\"\<name: Amanda:AmandaScore\>\"", ",", 
     "\"\<def: \\\"The Amanda score of the scoring function for a PSM.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002320\>\"", 
     ",", "\"\<name: ProteomeDiscoverer:max differential modifications\>\"", 
     ",", "\"\<def: \\\"Maximum dynamic modifications per PSM.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002321\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:max equal modifications\>\"", ",", 
     "\"\<def: \\\"Maximum equal modifications per PSM.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002322\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:min peptide length\>\"", ",", 
     "\"\<def: \\\"Minimum peptide length.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002323\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:max peptide length\>\"", ",", 
     "\"\<def: \\\"Maximum peptide length.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002324\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:max number neutral loss\>\"", ",", 
     "\"\<def: \\\"Maximum number of same neutral losses.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002325\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:max number neutral loss modifications\>\"",
      ",", "\"\<def: \\\"Max number of same neutral losses of \
modifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002326\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:use flanking ions\>\"", ",", 
     "\"\<def: \\\"Flag for usage of flanking ions.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002327\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:max number of same modifs\>\"", ",", 
     "\"\<def: \\\"The maximum number of possible equal modifications per \
PSM.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002328\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:perform deisotoping\>\"", ",", 
     "\"\<def: \\\"Defines whether a simple deisotoping shall be performed.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002329\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:ion settings\>\"", ",", 
     "\"\<def: \\\"Specifies the fragment ions and neutral losses that are \
calculated.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002330\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:3. Static Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 3rd static \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Static Modification (MS:1001645) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002331\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:5. Dynamic Modification\>\"", ",", 
     "\"\<def: \\\"OBSOLETE ProteomeDiscoverer's 5th dynamic \
post-translational modification (PTM) input parameter.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was made obsolete because it's recommended \
to use ProteomeDiscoverer:Dynamic Modification (MS:1001644) instead.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002332\>\"", ",", "\"\<name: lab head\>\"", ",", 
     "\"\<def: \\\"The scientist responsible for personnel, grants, and \
instrumentation in a functional laboratory group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002033 ! contact role\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002333\>\"", ",", 
     "\"\<name: conversion software\>\"", ",", 
     "\"\<def: \\\"Computer software primarily designed to convert data \
represented in one format to another format, sometimes with minor data \
alterations in the process.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002334\>\"", ",", 
     "\"\<name: ProCon\>\"", ",", 
     "\"\<def: \\\"Java software designed to convert one of several \
proteomics identification results formats into mzIdentML or PRIDE XML.\\\" \
[PSI:PI, http://www.medizinisches-proteom-center.de/procon]\>\"", ",", 
     "\"\<is_a: MS:1002333 ! conversion software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002335\>\"", ",", 
     "\"\<name: PRIDE Converter2\>\"", ",", 
     "\"\<def: \\\"Java software designed to convert one of several \
proteomics identification results formats into PRIDE XML.\\\" [PMID:22949509]\
\>\"", ",", "\"\<is_a: MS:1002333 ! conversion software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002336\>\"", ",", 
     "\"\<name: Amanda\>\"", ",", 
     "\"\<def: \\\"Amanda scoring system for PSM identification.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002337\>\"", ",", 
     "\"\<name: Andromeda\>\"", ",", 
     "\"\<def: \\\"Andromeda is a peptide search engine.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002338\>\"", ",", 
     "\"\<name: Andromeda:score\>\"", ",", 
     "\"\<def: \\\"The probability based score of the Andromeda search \
engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002339\>\"", 
     ",", "\"\<name: site:global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of global false discovery rate of peptides with \
a post-translational modification.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002340\>\"", 
     ",", "\"\<name: ProteomeXchange project tag\>\"", ",", 
     "\"\<def: \\\"Tag that can be added to a ProteomeXchange dataset, to \
enable the grouping of datasets. One tag can be used for indicating that a \
given dataset is part of a bigger project, like e.g. the Human Proteome \
Project.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002341\>\"", ",", 
     "\"\<name: second-pass peptide identification\>\"", ",", 
     "\"\<def: \\\"A putative identified peptide found in a second-pass \
search of protein sequences selected from a first-pass search.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002342\>\"", ",", "\"\<name: MZmine\>\"", ",", 
     "\"\<def: \\\"A framework for differential analysis of mass spectrometry \
data.\\\" [PMID:16403790, PMID:20650010]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002343\>\"", ",", 
     "\"\<name: ion stability type\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Stability type of the ion.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This child of the former purgatory term ion? was made \
obsolete.\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002344\>\"", ",", 
     "\"\<name: Maltcms\>\"", ",", 
     "\"\<def: \\\"Modular Application Toolkit for Chromatography \
Mass-Spectrometry is an application framework mainly for developers.\\\" \
[PSI:PI, http://maltcms.sf.net]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002345\>\"", ",", 
     "\"\<name: PSM-level attribute\>\"", ",", 
     "\"\<def: \\\"Attribute of a single peptide-spectrum match.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002346\>\"", 
     ",", "\"\<name: protein group-level identification attribute\>\"", ",", 
     "\"\<def: \\\"Protein group level information.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002347\>\"", 
     ",", "\"\<name: PSM-level identification statistic\>\"", ",", 
     "\"\<def: \\\"Identification confidence metric for a peptide spectrum \
match.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002345 ! PSM-level attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002348\>\"", ",", 
     "\"\<name: protein group-level identification statistic\>\"", ",", 
     "\"\<def: \\\"Identification confidence metric for a protein group.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002346 ! protein group-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002349\>\"", ",", 
     "\"\<name: value greater than zero but less than or equal to one\>\"", 
     ",", "\"\<def: \\\"Positive value range less than or equal to 1.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002304 ! domain range\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002350\>\"", ",", 
     "\"\<name: PSM-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate of peptide \
spectrum matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002701 ! PSM-level result list statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002351\>\"", ",", "\"\<name: PSM-level local FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the local false discovery rate of peptide \
spectrum matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002352\>\"", ",", "\"\<name: PSM-level p-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the p-value for peptide spectrum \
matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002353\>\"", ",", "\"\<name: PSM-level e-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the e-value for peptide spectrum \
matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002306 ! value greater than zero\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002354\>\"", 
     ",", "\"\<name: PSM-level q-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the q-value for peptide spectrum \
matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002355\>\"", ",", "\"\<name: PSM-level FDRScore\>\"", ",", 
     "\"\<def: \\\"mzidLibrary FDRScore for peptide spectrum matches.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\
\"", ",", 
     "\"\<relationship: has_domain MS:1002349 ! value greater than zero but \
less than or equal to 1\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002356\>\"", ",", 
     "\"\<name: PSM-level combined FDRScore\>\"", ",", 
     "\"\<def: \\\"mzidLibrary Combined FDRScore for peptide spectrum matches \
specifically obtained for distinct combinations of single, pairs or triplets \
of search engines making a given PSM, used for integrating results from these \
distinct pools.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\
\"", ",", 
     "\"\<relationship: has_domain MS:1002349 ! value greater than zero but \
less than or equal to 1\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002357\>\"", ",", "\"\<name: PSM-level probability\>\"", 
     ",", "\"\<def: \\\"Probability that the reported peptide ion is truly \
responsible for some or all of the components of the specified mass spectrum.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002358\>\"", ",", 
     "\"\<name: search engine specific peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<def: \\\"Search engine specific distinct peptide score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002359\>\"", ",", 
     "\"\<name: peptide sequence-level local FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the local false discovery rate for distinct \
peptides once redundant identifications of the same peptide have been removed \
(id est multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002360\>\"", ",", 
     "\"\<name: distinct peptide-level FDRScore\>\"", ",", 
     "\"\<def: \\\"mzidLibrary FDRScore for distinct peptides once redundant \
identifications of the same peptide have been removed (id est multiple PSMs \
have been collapsed to one entry).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002358 ! search engine specific peptide sequence-level \
identification statistic\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_domain MS:1002349 ! value greater than zero \
but less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002361\>\"", ",", 
     "\"\<name: distinct peptide-level combined FDRScore\>\"", ",", 
     "\"\<def: \\\"Combined FDRScore for peptides once redundant \
identifications of the same peptide have been removed (id est multiple PSMs \
have been collapsed to one entry) specifically obtained for distinct \
combinations of single, pairs or triplets of search engines making a given \
peptide, used for integrating results from these distinct pools.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002358 ! search engine specific peptide sequence-level \
identification statistic\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_domain MS:1002349 ! value greater than zero \
but less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002362\>\"", ",", 
     "\"\<name: peptide sequence-level probability\>\"", ",", 
     "\"\<def: \\\"Probability that the reported distinct peptide sequence \
(irrespective of mass modifications) has been correctly identified via the \
referenced PSMs.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001092 ! peptide sequence-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002363\>\"", ",", 
     "\"\<name: search engine specific score for proteins\>\"", ",", 
     "\"\<def: \\\"Search engine specific protein scores.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001116 ! single protein identification \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002364\>\"", ",", "\"\<name: protein-level local FDR\>\"", 
     ",", "\"\<def: \\\"Estimation of the local false discovery rate of \
proteins.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002365\>\"", 
     ",", "\"\<name: FDRScore for proteins\>\"", ",", 
     "\"\<def: \\\"mzidLibrary FDRScore for proteins specifically obtained \
for distinct combinations of single, pairs or triplets of search engines \
making a given PSM, used for integrating results from these distinct pools.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_domain MS:1002349 ! value greater than zero \
but less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002366\>\"", ",", 
     "\"\<name: combined FDRScore for proteins\>\"", ",", 
     "\"\<def: \\\"mzidLibrary Combined FDRScore for proteins.\\\" [PSI:PI]\>\
\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_domain MS:1002349 ! value greater than zero \
but less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002367\>\"", ",", 
     "\"\<name: probability for proteins\>\"", ",", 
     "\"\<def: \\\"Probability that a specific protein sequence has been \
correctly identified from the PSM and distinct peptide evidence, and based on \
the available protein sequences presented to the analysis software.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002368\>\"", ",", 
     "\"\<name: search engine specific score for protein groups\>\"", ",", 
     "\"\<def: \\\"Search engine specific protein group scores.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002369\>\"", ",", 
     "\"\<name: protein group-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate of protein \
groups.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002706 ! protein group-level result list statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002370\>\"", 
     ",", "\"\<name: protein group-level local FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the local false discovery rate of protein \
groups.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002371\>\"", ",", 
     "\"\<name: protein group-level p-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the p-value for protein groups.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002372\>\"", ",", 
     "\"\<name: protein group-level e-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the e-value for protein groups.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002306 ! value greater than zero\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002373\>\"", 
     ",", "\"\<name: protein group-level q-value\>\"", ",", 
     "\"\<def: \\\"Estimation of the q-value for protein groups.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002374\>\"", ",", 
     "\"\<name: protein group-level FDRScore\>\"", ",", 
     "\"\<def: \\\"mzidLibrary FDRScore for protein groups.\\\" [PSI:PI]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", 
     "\"\<relationship: has_domain MS:1002349 ! value greater than zero but \
less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002375\>\"", ",", 
     "\"\<name: protein group-level combined FDRScore\>\"", ",", 
     "\"\<def: \\\"mzidLibrary Combined FDRScore for proteins specifically \
obtained for distinct combinations of single, pairs or triplets of search \
engines making a given PSM, used for integrating results from these distinct \
pools.\\\" [PMID:19253293]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", 
     "\"\<relationship: has_domain MS:1002349 ! value greater than zero but \
less than or equal to one\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002376\>\"", ",", 
     "\"\<name: protein group-level probability\>\"", ",", 
     "\"\<def: \\\"Probability that at least one of the members of a group of \
protein sequences has been correctly identified from the PSM and distinct \
peptide evidence, and based on the available protein sequences presented to \
the analysis software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002377\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Relaxed Score Threshold\>\"", ",", 
     "\"\<def: \\\"Specifies the threshold value for relaxed scoring.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002378\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Strict Score Threshold\>\"", ",", 
     "\"\<def: \\\"Specifies the threshold value for strict scoring.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002379\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Peptide Without Protein Cut Off Score\>\"",
      ",", "\"\<def: \\\"Cut off score for storing peptides that do not \
belong to a protein.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002380\>\"", ",", 
     "\"\<name: false localization rate\>\"", ",", 
     "\"\<def: \\\"Estimation of the false localization rate for modification \
site assignment.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002381\>\"", 
     ",", "\"\<name: MALDI Solutions LC-MALDI\>\"", ",", 
     "\"\<def: \\\"Software for automated LC-MALDI analysis and \
reporting.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001455 ! acquisition software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", 
     "\"\<is_a: MS:1001557 ! Shimadzu Corporation software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002382\>\"", ",", 
     "\"\<name: Shimadzu MALDI-7090\>\"", ",", 
     "\"\<def: \\\"Shimadzu MALDI-7090: MALDI-TOF-TOF.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1000602 ! Shimadzu MALDI-TOF instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002383\>\"", 
     ",", "\"\<name: SCiLS software\>\"", ",", 
     "\"\<def: \\\"SCiLS software for data acquisition and analysis.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000531 ! software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002384\>\"", ",", 
     "\"\<name: SCiLS Lab\>\"", ",", 
     "\"\<def: \\\"SCiLS Lab software.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002383 ! SCiLS software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002385\>\"", ",", 
     "\"\<name: SCiLS Lab format\>\"", ",", 
     "\"\<def: \\\"SCiLS Lab file format.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002386\>\"", ",", 
     "\"\<name: preprocessing software\>\"", ",", 
     "\"\<def: \\\"Preprocessing software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002387\>\"", ",", 
     "\"\<name: PIA\>\"", ",", 
     "\"\<def: \\\"PIA - Protein Inference Algorithms, a toolbox for protein \
inference and identification analysis.\\\" [PSI:PI, \
http://www.medizinisches-proteom-center.de/pia]\>\"", ",", 
     "\"\<is_a: MS:1002414 ! postprocessing software\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002388\>\"", ",", 
     "\"\<name: PIA XML format\>\"", ",", 
     "\"\<def: \\\"A compilation of search engine results in the PIA XML \
format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002389\>\"", ",", 
     "\"\<name: PIA workflow parameter\>\"", ",", 
     "\"\<def: \\\"A parameter set for a single PIA analysis.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002105 ! software specific input parameter\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002390\>\"", 
     ",", "\"\<name: PIA:FDRScore calculated\>\"", ",", 
     "\"\<def: \\\"Indicates whether the FDR score was calculated for the \
input file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002391\>\"", ",", 
     "\"\<name: PIA:Combined FDRScore calculated\>\"", ",", 
     "\"\<def: \\\"Indicates whether the combined FDR score was calculated \
for the PIA compilation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002392\>\"", ",", 
     "\"\<name: PIA:PSM sets created\>\"", ",", 
     "\"\<def: \\\"Indicates whether PSM sets were created.\\\" [PSI:PI]\>\"",
      ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002393\>\"", ",", 
     "\"\<name: PIA:used top identifications for FDR\>\"", ",", 
     "\"\<def: \\\"The number of top identifications per spectrum used for \
the FDR calculation, 0 means all.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002394\>\"", ",", 
     "\"\<name: PIA:protein score\>\"", ",", 
     "\"\<def: \\\"The score given to a protein by any protein inference.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002395\>\"", 
     ",", "\"\<name: PIA:protein inference\>\"", ",", 
     "\"\<def: \\\"The used algorithm for the protein inference using \
PIA.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002396\>\"", 
     ",", "\"\<name: PIA:protein inference filter\>\"", ",", 
     "\"\<def: \\\"A filter used by PIA for the protein inference.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002397\>\"", 
     ",", "\"\<name: PIA:protein inference scoring\>\"", ",", 
     "\"\<def: \\\"The used scoring method for the protein inference using \
PIA.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002398\>\"", 
     ",", "\"\<name: PIA:protein inference used score\>\"", ",", 
     "\"\<def: \\\"The used base score for the protein inference using PIA.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002399\>\"", 
     ",", "\"\<name: PIA:protein inference used PSMs\>\"", ",", 
     "\"\<def: \\\"The method to determine the PSMs used for scoring by the \
protein inference.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002400\>\"", 
     ",", "\"\<name: PIA:filter\>\"", ",", 
     "\"\<def: \\\"A filter used for the report generation.\\\" [PSI:PI]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002389 ! PIA workflow parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002401\>\"", ",", 
     "\"\<name: leading protein\>\"", ",", 
     "\"\<def: \\\"At least one protein within each group should be annotated \
as a leading protein to indicate it has the strongest evidence, or \
approximately equal evidence as other group members.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002402\>\"", ",", 
     "\"\<name: non-leading protein\>\"", ",", 
     "\"\<def: \\\"Zero to many proteins within each group should be \
annotated as non-leading to indicate that other proteins have stronger \
evidence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002403\>\"", ",", 
     "\"\<name: group representative\>\"", ",", 
     "\"\<def: \\\"An arbitrary and optional flag applied to exactly one \
protein per group to indicate it can serve as the representative of the \
group, amongst leading proteins, in effect serving as a tiebreaker for \
approaches that require exactly one group representative.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002404\>\"", 
     ",", "\"\<name: count of identified proteins\>\"", ",", 
     "\"\<def: \\\"The number of proteins that have been identified, which \
must match the number of groups that pass the threshold in the file.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002704 ! protein-level result list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002405\>\"", ",", 
     "\"\<name: protein group-level result list attribute\>\"", ",", 
     "\"\<def: \\\"Details describing a protein cluster.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002699 ! result list attribute\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002406\>\"", ",", 
     "\"\<name: count of identified clusters\>\"", ",", 
     "\"\<def: \\\"The number of protein clusters that have been identified, \
which must match the number of clusters that pass the threshold in the \
file.\\\" [DOI:10.1002/pmic.201400080, PMID:25092112]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002405 ! protein group-level result list attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002407\>\"", 
     ",", "\"\<name: cluster identifier\>\"", ",", 
     "\"\<def: \\\"An identifier applied to protein groups to indicate that \
they are linked by shared peptides.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002698 ! protein cluster identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002408\>\"", 
     ",", "\"\<name: number of distinct protein sequences\>\"", ",", 
     "\"\<def: \\\"The number of protein clusters that have been identified, \
which must match the number of clusters that pass the threshold in the \
file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002405 ! protein cluster details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002409\>\"", 
     ",", "\"\<name: marginally distinguished protein\>\"", ",", 
     "\"\<def: \\\"Assigned to a non-leading protein that has some \
independent evidence to support its presence relative to the leading \
protein(s), e.g. the protein may have a unique peptide but not sufficient to \
be promoted as a leading protein of another group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002410\>\"", ",", 
     "\"\<name: Anubis\>\"", ",", 
     "\"\<def: \\\"Anubis software for selected reaction monitoring data.\\\" \
[PSI:PI, http://quantitativeproteomics.org/anubis]\>\"", ",", 
     "\"\<is_a: MS:1000871 ! SRM software\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002411\>\"", ",", 
     "\"\<name: TraML format\>\"", ",", 
     "\"\<def: \\\"The TraML format for transitions in SRM from the PSI. File \
extension '.TraML'.\\\" [PSI:PI,  http://www.psidev.info/traml]\>\"", ",", 
     "\"\<is_a: MS:1002128 ! method file format\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002412\>\"", ",", 
     "\"\<name: total XIC area\>\"", ",", 
     "\"\<def: \\\"Summed area of all the extracted ion chromatogram for the \
peptide (e.g. of all the transitions in SRM).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002413\>\"", 
     ",", "\"\<name: product background\>\"", ",", 
     "\"\<def: \\\"The background area for the quantified transition.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002414\>\"", 
     ",", "\"\<name: postprocessing software\>\"", ",", 
     "\"\<def: \\\"Postprocessing software.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002415\>\"", ",", 
     "\"\<name: protein group passes threshold\>\"", ",", 
     "\"\<def: \\\"A Boolean attribute to determine whether the protein group \
has passed the threshold indicated in the file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002346 ! protein group-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002416\>\"", ",", "\"\<name: Orbitrap Fusion\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Orbitrap Fusion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002417\>\"", ",", 
     "\"\<name: Orbitrap Fusion ETD\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Orbitrap Fusion with ETD.\\\" [PSI:PI]\>\
\"", ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002418\>\"", 
     ",", "\"\<name: TSQ Quantiva\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ Quantiva MS.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002419\>\"", ",", 
     "\"\<name: TSQ Endura\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ Endura MS.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002420\>\"", ",", 
     "\"\<name: PASSEL experiment URI\>\"", ",", 
     "\"\<def: \\\"URI that allows access to a PASSEL experiment.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002421\>\"", ",", 
     "\"\<name: Paragon input parameter\>\"", ",", 
     "\"\<def: \\\"Search engine input parameters specific to Paragon.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001302 ! search engine specific input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002422\>\"", 
     ",", "\"\<name: Paragon: sample type\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting indicating the type of sample \
at the high level, generally meaning the type of quantitation labelling or \
lack thereof. 'Identification' is indicated for samples without any labels \
for quantitation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002423\>\"", 
     ",", "\"\<name: Paragon: cysteine alkylation\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting indicating the actual cysteine \
alkylation agent; 'None' is indicated if there was no cysteine \
alkylation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002424\>\"", 
     ",", "\"\<name: Paragon: instrument setting\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting (translating to a large number \
of lower level settings) indicating the instrument used or a category of \
instrument.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002425\>\"", 
     ",", "\"\<name: Paragon: search effort\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls the two major \
modes of search effort of the Paragon algorithm: the Rapid mode uses a \
conventional database search, while the Thorough mode uses a hybrid search, \
starting with the same approach as the Rapid mode but then follows it with a \
separate tag-based approach enabling a more extensive search.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002426\>\"", 
     ",", "\"\<name: Paragon: ID focus\>\"", ",", 
     "\"\<def: \\\"A Paragon method setting that allows the inclusion of \
large sets of features such as biological modification or substitutions.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002427\>\"", 
     ",", "\"\<name: Paragon: FDR analysis\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls whether FDR \
analysis is conducted.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002428\>\"", ",", 
     "\"\<name: Paragon: quantitation\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls whether \
quantitation analysis is conducted.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002429\>\"", ",", 
     "\"\<name: Paragon: background correction\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls whether the \
'Background Correction' analysis is conducted; this processing estimates a \
correction to the attenuation in extremity ratios that can occur in isobaric \
quantatitation workflows on complex samples.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002430\>\"", ",", 
     "\"\<name: Paragon: bias correction\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls whether 'Bias \
Correction' is invoked in quantitation analysis; this correction is a \
normalization to set the central tendency of protein ratios to unity.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002431\>\"", ",", 
     "\"\<name: Paragon: channel to use as denominator in ratios\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting that controls which label \
channel is used as the denominator in calculating relative expression ratios.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002432\>\"", 
     ",", "\"\<name: search engine specific input metadata\>\"", ",", 
     "\"\<def: \\\"Search engine specific metadata that are not \
user-controlled settings.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001249 ! search input details\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002433\>\"", ",", 
     "\"\<name: Paragon: modified data dictionary or parameter \
translation\>\"", ",", 
     "\"\<def: \\\"This metric detects if any changes have been made to the \
originally installed key control files for the software; if no changes have \
been made, then the software version and settings are sufficient to enable \
exact reproduction; if changes have been made, then the modified \
ParameterTranslation- and ProteinPilot DataDictionary-XML files much also be \
provided in order to exactly reproduce a result.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002432 ! search engine specific input metadata\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002434\>\"", ",", 
     "\"\<name: number of spectra searched\>\"", ",", 
     "\"\<def: \\\"Number of spectra in a search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002435\>\"", ",", 
     "\"\<name: data processing start time\>\"", ",", 
     "\"\<def: \\\"The time that a data processing action was started.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:date \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000630 ! data processing parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002436\>\"", ",", 
     "\"\<name: Paragon: digestion\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting indicating the actual digestion \
agent - unlike other search tools, this setting does not include options that \
control partial specificity like 'semitrypsin'; if trypsin is used, trypsin \
is set, and partially conforming peptides are found in the Thorough mode of \
search; 'None' should be indicated only if there was really no digestion \
done.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001249 ! search input details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002437\>\"", 
     ",", "\"\<name: number of decoy sequences\>\"", ",", 
     "\"\<def: \\\"The number of decoy sequences, if the concatenated \
target-decoy approach is used.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:positiveInteger \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001011 ! search database details\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002438\>\"", ",", 
     "\"\<name: spectrum identification list result details\>\"", ",", 
     "\"\<def: \\\"Information about the list of PSMs \
(SpectrumIdentificationList).\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002439\>\"", 
     ",", "\"\<name: final PSM list\>\"", ",", 
     "\"\<def: \\\"A flag on a list of PSMs (SpectrumIdentificationList) to \
indicate that this is the final set of identifications to be interpreted by \
consuming software. Amongst the set of SpectrumIdentificationList(s) that are \
flagged with the term, each spectrum must not be referenced from more than \
one SpectrumIdentificationResult.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002438 ! spectrum identification list result details\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002440\>\"", 
     ",", "\"\<name: intermediate PSM list\>\"", ",", 
     "\"\<def: \\\"A flag on a list of PSMs (SpectrumIdentificationList) to \
indicate that this is not the final set of identifications to be interpreted \
by consuming software. This term should be used when results are provided \
from multiple search engines for the results from each search engine before \
they are combined to give consensus identifications. Amongst the set of \
SpectrumIdentificationList(s) that are flagged with the term, each spectrum \
may be referenced from more than one SpectrumIdentificationResult.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002438 ! spectrum identification list result details\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002441\>\"", 
     ",", "\"\<name: Andi-MS format\>\"", ",", 
     "\"\<def: \\\"AIA Analytical Data Interchange file format for mass \
spectrometry data.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002442\>\"", ",", 
     "\"\<name: chromatograph file format\>\"", ",", 
     "\"\<def: \\\"The format of the chromatography file being used. This \
could be a instrument or vendor specific proprietary file format or a \
converted open file format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001459 ! file format\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002443\>\"", ",", 
     "\"\<name: Andi-CHROM format\>\"", ",", 
     "\"\<def: \\\"AIA Analytical Data Interchange file format for \
chromatography data.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002442 ! chromatograph file format\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002444\>\"", ",", 
     "\"\<name: 6420 Triple Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6420 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a Agilent triple quadrupole mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002445\>\"", ",", 
     "\"\<name: 6460 Triple Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6460 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a Agilent triple quadrupole mass \
spectrometer. It is similar to the 6420 but adds Agilent Jet Stream (AJS) \
technology to increase sensitivity.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002446\>\"", ",", 
     "\"\<name: 6490 Triple Quadrupole LC/MS\>\"", ",", 
     "\"\<def: \\\"The 6490 Quadrupole LC/MS system is a Agilent liquid \
chromatography instrument combined with a Agilent triple quadrupole mass \
spectrometer. It is similar to the 6420 but adds the Agilent iFunnel \
technology to increase sensitivity.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000490 ! Agilent instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002447\>\"", ",", 
     "\"\<name: Paragon:special factor\>\"", ",", 
     "\"\<def: \\\"The Paragon method setting indicating a list of one or \
more 'special factors', which generally capture secondary effects (relative \
to other settings) as a set of probabilities of modification features that \
override the assumed levels. For example the 'gel-based ID' special factor \
causes an increase probability of oxidation on several resides because of the \
air exposure impact on a gel, in addition to other effects.\\\" [PSI:PI]\>\"",
      ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type \
for this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002421 ! Paragon input parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002448\>\"", ",", 
     "\"\<name: PEAKS:inChorusPeptideScore\>\"", ",", 
     "\"\<def: \\\"The PEAKS inChorus peptide score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002449\>\"", 
     ",", "\"\<name: PEAKS:inChorusProteinScore\>\"", ",", 
     "\"\<def: \\\"The PEAKS inChorus protein score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002450\>\"", 
     ",", "\"\<name: param: b ion-H3PO4 DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion b-H3PO4: b ion with lost phosphoric acid.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002451\>\"", 
     ",", "\"\<name: param: y ion-H3PO4 DEPRECATED\>\"", ",", 
     "\"\<def: \\\"Ion y-H3PO4: y ion with lost phosphoric acid.\\\" [PSI:PI]\
\>\"", ",", "\"\<is_a: MS:1001066 ! ions series considered in search\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002452\>\"", 
     ",", "\"\<name: Maui\>\"", ",", 
     "\"\<def: \\\"The Maltcms Graphical User Interface.\\\" [PSI:PI, \
http://maltcms.sf.net]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002453\>\"", ",", 
     "\"\<name: No fixed modifications searched\>\"", ",", 
     "\"\<def: \\\"No fixed modifications are included as a parameter for the \
search, and therefore they are not reported.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002094 ! common search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002454\>\"", ",", 
     "\"\<name: No variable modifications searched\>\"", ",", 
     "\"\<def: \\\"No variable modifications are included as a parameter for \
the search, and therefore they are not reported.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002094 ! common search engine input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002455\>\"", ",", 
     "\"\<name: H2O neutral loss\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Neutral loss of water.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was obsoleted because it should be replaced by \
MS:1000336 with value H2O.\>\"", ",", 
     "\"\<is_a: MS:1000336 ! neutral loss\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002456\>\"", ",", "\"\<name: NH3 neutral loss\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Neutral loss of ammonia.\\\" [PSI:PI]\>\"", 
     ",", "\"\<comment: This term was obsoleted because it should be replaced \
by MS:1000336 with value NH3.\>\"", ",", 
     "\"\<is_a: MS:1000336 ! neutral loss\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002457\>\"", ",", "\"\<name: H3PO4 neutral loss\>\"", 
     ",", "\"\<def: \\\"OBSOLETE Neutral loss of phosphoric acid.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<comment: This term was obsoleted because it should be replaced by \
MS:1000336 with value H3PO4.\>\"", ",", 
     "\"\<is_a: MS:1000336 ! neutral loss\>\"", ",", 
     "\"\<is_a: MS:1002473 ! ion series considered in search\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002458\>\"", ",", "\"\<name: PeptideShaker\>\"", ",", 
     "\"\<def: \\\"PeptideShaker is a software for the interpretation of \
proteomics identification results.\\\" [PSI:PI, \
http://peptide-shaker.googlecode.com]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002459\>\"", ",", 
     "\"\<name: MS Amanda csv format\>\"", ",", 
     "\"\<def: \\\"MS Amanda csv output format.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002460\>\"", ",", 
     "\"\<name: protein group-level global FNR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false negative rate of protein \
groups.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002706 ! protein group-level result list statistic\>\"", 
     ",", "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002461\>\"", ",", 
     "\"\<name: protein group-level confidence\>\"", ",", 
     "\"\<def: \\\"Estimation of the global confidence of protein groups.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002348 ! protein group-level identification \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002462\>\"", ",", 
     "\"\<name: peptide sequence-level global FNR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false negative rate for distinct \
peptides once redundant identifications of the same peptide have been removed \
(id est multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", 
     ",", 
     "\"\<is_a: MS:1002703 ! peptide sequence-level result list \
statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002463\>\"", ",", 
     "\"\<name: peptide sequence-level global confidence\>\"", ",", 
     "\"\<def: \\\"Estimation of the global confidence for distinct peptides \
once redundant identifications of the same peptide have been removed (id est \
multiple PSMs have been collapsed to one entry).\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002703 ! peptide sequence-level result list \
statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002464\>\"", ",", "\"\<name: PSM-level global FNR\>\"", 
     ",", "\"\<def: \\\"Estimation of the global false negative rate of \
peptide spectrum matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002701 ! PSM-level result list statistic\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002465\>\"", ",", 
     "\"\<name: PSM-level global confidence\>\"", ",", 
     "\"\<def: \\\"Estimation of the global confidence of peptide spectrum \
matches.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002701 ! PSM-level result list statistic\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002466\>\"", ",", 
     "\"\<name: PeptideShaker PSM score\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker PSM score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002467\>\"", 
     ",", "\"\<name: PeptideShaker PSM confidence\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker PSM confidence.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002468\>\"", 
     ",", "\"\<name: PeptideShaker peptide score\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker peptide score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002358 ! search engine specific peptide sequence-level \
identification statistic\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002469\>\"", 
     ",", "\"\<name: PeptideShaker peptide confidence\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker peptide \
confidence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002470\>\"", 
     ",", "\"\<name: PeptideShaker protein group score\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker protein group score.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002471\>\"", ",", 
     "\"\<name: PeptideShaker protein group confidence\>\"", ",", 
     "\"\<def: \\\"The probability based PeptideShaker protein group \
confidence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002472\>\"", 
     ",", "\"\<name: trap-type collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"A collision-induced dissociation process that occurs in a \
trap-type collision cell.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000133 ! collision-induced dissociation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002473\>\"", ",", 
     "\"\<name: ion series considered in search\>\"", ",", 
     "\"\<def: \\\"The description of the ion fragment series (including \
charges and neutral losses) that are considered by the search engine.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001249 ! search input details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002474\>\"", ",", 
     "\"\<name: ProteoAnnotator:non-canonical gene model score\>\"", ",", 
     "\"\<def: \\\"The sum of peptide-level scores for peptides mapped only \
to non-canonical gene models within the group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002475\>\"", ",", 
     "\"\<name: ProteoAnnotator:count alternative peptides\>\"", ",", 
     "\"\<def: \\\"The count of the number of peptide sequences mapped to \
non-canonical gene models only within the group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002476\>\"", ",", "\"\<name: ion mobility drift time\>\"", 
     ",", "\"\<def: \\\"Drift time of an ion or spectrum of ions as measured \
in an ion mobility mass spectrometer. This time might refer to the central \
value of a bin into which all ions within a narrow range of drift time have \
been aggregated.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000455 ! ion selection attribute\>\"", 
     ",", "\"\<relationship: has_units UO:0000028 ! millisecond\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002477\>\"", ",", 
     "\"\<name: mean drift time array\>\"", ",", 
     "\"\<def: \\\"Array of drift times, averaged from a matrix of binned m/z \
and drift time values, corresponding to spectrum of individual peaks encoded \
with an m/z array.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<relationship: has_units UO:0000028 ! millisecond\>\"", ",", 
     "\"\<relationship: has_units UO:0000010 ! second\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002478\>\"", ",", 
     "\"\<name: mean charge array\>\"", ",", 
     "\"\<def: \\\"Array of mean charge values where the mean charge is \
calculated as a weighted mean of the charges of individual peaks that are \
aggregated into a processed spectrum.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002479\>\"", ",", 
     "\"\<name: regular expression\>\"", ",", 
     "\"\<def: \\\"Regular expression.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:0000000 ! Proteomics Standards Initiative \
Mass Spectrometry Vocabularies\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002480\>\"", ",", 
     "\"\<name: regular expression for a digital object identifier (DOI)\>\"",
      ",", "\"\<def: \
\\\"(10[.][0-9]\\\\{4,\\\\}(?:[.][0-9]+)*/(?:(?![\\\\\\\"&\\\\'<>])[^ \\\\t\\\
\\\\\\r\\\\n\\\\\\\\v\\\\\\\\f])+)\\\" [PSI:PI, http://dx.doi.org/]\>\"", 
     ",", "\"\<is_a: MS:1002479 ! regular expression\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002481\>\"", ",", 
     "\"\<name: higher energy beam-type collision-induced dissociation\>\"", 
     ",", "\"\<def: \\\"A collision-induced dissociation process wherein the \
projectile ion has the translational energy higher than approximately 1000 \
eV.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000422 ! beam-type collision-induced dissociation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002482\>\"", 
     ",", "\"\<name: statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001060 ! quality estimation method details\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002483\>\"", ",", 
     "\"\<name: PSM-level statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold at PSM-level.\\\" [PSI:MS]\
\>\"", ",", 
     "\"\<is_a: MS:1002573 ! spectrum identification statistical \
threshold\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002484\>\"", ",", 
     "\"\<name: peptide-level statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold at peptide-level.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002573 ! spectrum identification statistical \
threshold\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002485\>\"", ",", 
     "\"\<name: protein-level statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold at protein-level.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002572 ! protein detection statistical threshold\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002486\>\"", 
     ",", "\"\<name: protein group-level statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold at protein \
group-level.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002572 ! protein detection statistical threshold\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002487\>\"", 
     ",", "\"\<name: MassIVE dataset identifier\>\"", ",", 
     "\"\<def: \\\"Dataset identifier issued by the MassIVE repository. A \
dataset can refer to either a single sample as part of a study, or all \
samples that are part of the study corresponding to a publication.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002488\>\"", ",", 
     "\"\<name: MassIVE dataset URI\>\"", ",", 
     "\"\<def: \\\"URI that allows the access to one dataset in the MassIVE \
repository. A dataset can refer to either a single sample as part of a study, \
or all samples that are part of the study corresponding to a publication.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002489\>\"", ",", 
     "\"\<name: special processing\>\"", ",", 
     "\"\<def: \\\"Details describing a special processing.\\\" [PSI:PI]\>\"",
      ",", "\"\<is_a: MS:1001080 ! search type\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002490\>\"", 
     ",", "\"\<name: peptide-level scoring\>\"", ",", 
     "\"\<def: \\\"Peptide-level scoring performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002489 ! special processing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002491\>\"", ",", 
     "\"\<name: modification localization scoring\>\"", ",", 
     "\"\<def: \\\"Modification localization scoring performed.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002489 ! special processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002492\>\"", ",", 
     "\"\<name: consensus scoring\>\"", ",", 
     "\"\<def: \\\"Consensus multiple search engine approach performed.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002489 ! special processing\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002493\>\"", ",", 
     "\"\<name: sample pre-fractionation\>\"", ",", 
     "\"\<def: \\\"Sample pre-fractionation performed.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002489 ! special processing\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002494\>\"", ",", 
     "\"\<name: cross-linking search\>\"", ",", 
     "\"\<def: \\\"Cross-linking search performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002489 ! special processing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002495\>\"", ",", 
     "\"\<name: no special processing\>\"", ",", 
     "\"\<def: \\\"No special processing performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002489 ! special processing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002496\>\"", ",", 
     "\"\<name: group PSMs by sequence\>\"", ",", 
     "\"\<def: \\\"Group PSMs by distinct peptide sequence ignoring \
modifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002658 ! identification parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002497\>\"", ",", 
     "\"\<name: group PSMs by sequence with modifications\>\"", ",", 
     "\"\<def: \\\"Group PSMs by distinct peptide sequence with taking \
modifications into account.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002658 ! identification parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002498\>\"", ",", 
     "\"\<name: group PSMs by sequence with modifications and charge\>\"", 
     ",", "\"\<def: \\\"Group PSMs by distinct peptide sequence with taking \
modifications and charge into account.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002658 ! identification parameter\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002499\>\"", ",", 
     "\"\<name: peptide level score\>\"", ",", 
     "\"\<def: \\\"OBSOLETE Peptide level score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was obsoleted because it was never intended to \
go in the CV.\>\"", ",", 
     "\"\<is_a: MS:1002358 ! search engine specific score for distinct \
peptides\>\"", ",", "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002500\>\"", ",", 
     "\"\<name: peptide passes threshold\>\"", ",", 
     "\"\<def: \\\"A Boolean attribute to determine whether the peptide has \
passed the threshold indicated in the file.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002501\>\"", ",", "\"\<name: no PSM threshold\>\"", ",", 
     "\"\<def: \\\"Indicating that no PSM threshold was used.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002701 ! PSM-level result list statistic\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002502\>\"", ",", 
     "\"\<name: no peptide-level threshold\>\"", ",", 
     "\"\<def: \\\"Indicating that no peptide-level threshold was used.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002503\>\"", ",", 
     "\"\<name: PSM is used for peptide-level scoring\>\"", ",", 
     "\"\<def: \\\"Flags a PSM that it is used for peptide-level scoring.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002504\>\"", ",", "\"\<name: modification index\>\"", ",", 
     "\"\<def: \\\"The order of modifications to be referenced elsewhere in \
the document.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1001055 ! modification parameters\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002505\>\"", 
     ",", "\"\<name: regular expression for modification localization scoring\
\>\"", ",", 
     "\"\<def: \
\\\"([:digit:]+:[0|1]\\\\{1\\\\}.[:digit:]+[Ee]{0,1}[+-]{0,1}[:digit:]*:[:\
digit:]+[|]\\\\{1\\\\}[:digit:]+:(true|false)\\\\{1\\\\})\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002479 ! regular expression\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002506\>\"", ",", 
     "\"\<name: modification position score\>\"", ",", 
     "\"\<def: \\\"Modification position score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001055 ! modification parameters\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002507\>\"", ",", 
     "\"\<name: modification rescoring:false localization rate\>\"", ",", 
     "\"\<def: \\\"Mod position score: false localization rate.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002506 ! modification position score\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002508\>\"", ",", 
     "\"\<name: cross-linking attribute\>\"", ",", 
     "\"\<def: \\\"Cross-linking attribute.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002509\>\"", 
     ",", "\"\<name: cross-link donor\>\"", ",", 
     "\"\<def: \\\"The Cross-linking donor, assigned according to the \
following rules: the export software SHOULD use the following rules to choose \
the cross-link donor as the: longer peptide, then higher peptide neutral \
mass, then alphabetical order.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002508 ! cross-linking attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002510\>\"", 
     ",", "\"\<name: cross-link acceptor\>\"", ",", 
     "\"\<def: \\\"Cross-linking acceptor, assigned according to the \
following rules: the export software SHOULD use the following rules to choose \
the cross-link donor as the: longer peptide, then higher peptide neutral \
mass, then alphabetical order.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002508 ! cross-linking attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002511\>\"", 
     ",", "\"\<name: cross-link spectrum identification item\>\"", ",", 
     "\"\<def: \\\"Cross-linked spectrum identification item.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002508 ! cross-linking attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002512\>\"", 
     ",", "\"\<name: cross-linking score\>\"", ",", 
     "\"\<def: \\\"Cross-linking scoring value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002363 ! search engine specific score for proteins\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002513\>\"", 
     ",", "\"\<name: molecules per cell \>\"", ",", 
     "\"\<def: \\\"The absolute abundance of protein in a cell.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002514\>\"", 
     ",", "\"\<name: absolute quantitation analysis\>\"", ",", 
     "\"\<def: \\\"Absolute quantitation analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001833 ! quantitation analysis summary\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002515\>\"", ",", 
     "\"\<name: internal peptide reference used\>\"", ",", 
     "\"\<def: \\\"States whether an internal peptide reference is used or \
not in absolute quantitation analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001832 ! quantitation software comment or \
customizations\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002516\>\"", ",", 
     "\"\<name: internal protein reference used\>\"", ",", 
     "\"\<def: \\\"States whether an internal protein reference is used or \
not in absolute quantitation analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:boolean \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001832 ! quantitation software comment or \
customizations\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002517\>\"", ",", 
     "\"\<name: internal reference abundance\>\"", ",", 
     "\"\<def: \\\"The absolute abundance of the spiked in reference peptide \
or protein used for absolute quantitation analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002518\>\"", 
     ",", "\"\<name: Progenesis:protein group normalised abundance\>\"", ",", 
     "\"\<def: \\\"The data type normalised abundance for protein groups \
produced by Progenesis LC-MS.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002519\>\"", 
     ",", "\"\<name: Progenesis:protein group raw abundance\>\"", ",", 
     "\"\<def: \\\"The data type raw abundance for protein groups produced by \
Progenesis LC-MS.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1001805 ! quantification datatype\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002520\>\"", 
     ",", "\"\<name: peptide group ID\>\"", ",", 
     "\"\<def: \\\"Peptide group identifier for peptide-level stats.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002521\>\"", ",", "\"\<name: mass spectrometry imaging\>\"",
      ",", "\"\<def: \\\"A technique in which mass spectra are acquired in a \
spatially resolved manner. This is typically achieved by scanning a laser or \
primary ion beam over a sample and acquiring a mass spectrum at each \
position.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1000857 ! run attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002522\>\"", 
     ",", "\"\<name: ProteomeDiscoverer:1. Static Terminal Modification\>\"", 
     ",", "\"\<def: \\\"Determine 1st static terminal post-translational \
modifications (PTMs).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002523\>\"", ",", 
     "\"\<name: Q Exactive HF\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Q Exactive.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002524\>\"", ",", 
     "\"\<name: PepFinder\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific PepFinder BioPharma analysis software.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001457 ! data processing software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002525\>\"", 
     ",", "\"\<name: TSQ 8000 Evo\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific TSQ 8000 Evo MS.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002526\>\"", ",", 
     "\"\<name: Exactive Plus\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Exactive Plus MS.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002527\>\"", 
     ",", "\"\<name: instrument specific scan attribute\>\"", ",", 
     "\"\<def: \\\"Instrument specific scan properties that are associated \
with a value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000503 ! scan attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002528\>\"", ",", 
     "\"\<name: synchronous prefilter selection\>\"", ",", 
     "\"\<def: \\\"Synchronous prefilter selection.\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"SPS\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1002527 ! instrument specific scan attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002529\>\"", ",", 
     "\"\<name: resolution array\>\"", ",", 
     "\"\<def: \\\"A data array of resolution values.\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002530\>\"", ",", 
     "\"\<name: baseline array\>\"", ",", 
     "\"\<def: \\\"A data array of signal baseline values (the signal in the \
absence of analytes).\\\" [PSI:MS]\>\"", ",", 
     "\"\<xref: binary-data-type:MS\\\\:1000521 \\\"32-bit float\\\"\>\"", 
     ",", "\"\<xref: binary-data-type:MS\\\\:1000523 \\\"64-bit \
float\\\"\>\"", ",", "\"\<is_a: MS:1000513 ! binary data array\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002531\>\"", ",", 
     "\"\<name: UIMF format\>\"", ",", 
     "\"\<def: \\\"SQLite-based file format created at Pacific Northwest \
National Lab. It stores an intermediate analysis of ion-mobility mass \
spectrometry data.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002532\>\"", ",", 
     "\"\<name: UIMF nativeID format\>\"", ",", 
     "\"\<def: \\\"Native format defined by frame=xsd:nonNegativeInteger \
scan=xsd:nonNegativeInteger frameType=xsd:nonNegativeInteger.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000767 ! native spectrum identifier format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002533\>\"", ",", 
     "\"\<name: TripleTOF 6600\>\"", ",", 
     "\"\<def: \\\"SCIEX TripleTOF 6600, a quadrupole - quadrupole - \
time-of-flight mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002534\>\"", ",", 
     "\"\<name: ProLuCID:xcorr\>\"", ",", 
     "\"\<def: \\\"The ProLuCID result 'XCorr'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002535\>\"", 
     ",", "\"\<name: ProLuCID:deltacn\>\"", ",", 
     "\"\<def: \\\"The ProLuCID result 'DeltaCn'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002536\>\"", 
     ",", "\"\<name: D-Score\>\"", ",", 
     "\"\<def: \\\"D-Score for PTM site location at the PSM-level.\\\" \
[DOI:10.1002/pmic.201200408, PMID:23307401]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002537\>\"", ",", 
     "\"\<name: MD-Score\>\"", ",", 
     "\"\<def: \\\"MD-Score for PTM site location at the PSM-level.\\\" \
[DOI:10.1074/mcp.M110.003830\[Dash]1, PMID:21057138]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001968 ! PTM localization PSM-level statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002538\>\"", ",", 
     "\"\<name: PTM localization confidence metric\>\"", ",", 
     "\"\<def: \\\"Localization confidence metric for a post translational \
modification (PTM).\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002539\>\"", 
     ",", "\"\<name: PeptideShaker PTM confidence type\>\"", ",", 
     "\"\<def: \\\"PeptideShaker quality criteria for the confidence of PTM \
localizations.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002538 ! PTM localization confidence metric\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002540\>\"", ",", 
     "\"\<name: PeptideShaker PSM confidence type\>\"", ",", 
     "\"\<def: \\\"PeptideShaker quality criteria for the confidence of \
PSM's.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002347 ! PSM-level identification statistic\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002541\>\"", ",", 
     "\"\<name: PeptideShaker peptide confidence type\>\"", ",", 
     "\"\<def: \\\"PeptideShaker quality criteria for the confidence of \
peptide identifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002358 ! search engine specific peptide sequence-level \
identification statistic\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002542\>\"", ",", 
     "\"\<name: PeptideShaker protein confidence type\>\"", ",", 
     "\"\<def: \\\"PeptideShaker quality criteria for the confidence of \
protein identifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001116 ! single protein identification statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002543\>\"", 
     ",", "\"\<name: xiFDR\>\"", ",", 
     "\"\<def: \\\"Target/Decoy based FDR estimation for cross-linking \
peptide-identifications.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002544\>\"", ",", "\"\<name: xi\>\"",
      ",", "\"\<def: \\\"Search engine for cross-linked peptides.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002545\>\"", ",", 
     "\"\<name: xi:score\>\"", ",", 
     "\"\<def: \\\"The xi result 'Score'.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002546\>\"", 
     ",", "\"\<name: Skyline mzQuantML converter \>\"", ",", 
     "\"\<def: \\\"A software package to convert Skyline report to mzQuantML.\
\\\" [PSI:PI, http://code.google.com/p/srm-mzquantml-convertor/]\>\"", ",", 
     "\"\<is_a: MS:1001139 ! quantitation software name\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002547\>\"", ",", 
     "\"\<name: normalized spectral abundance factor\>\"", ",", 
     "\"\<def: \\\"A normalized spectral abundance factor (NSAF).\\\" \
[DOI:10.1021/pr060161n, PMID:16944946]\>\"", ",", 
     "\"\<is_a: MS:1001805 ! quantification datatype\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002548\>\"", ",", 
     "\"\<name: distributed normalized spectral abundance factor\>\"", ",", 
     "\"\<def: \\\"A distributed normalized spectral abundance factor (dNSAF.\
\\\" [DOI:10.1021/ac9023999, PMID:20166708] \>\"", ",", 
     "\"\<is_a: MS:1001805 ! quantification datatype\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002549\>\"", ",", 
     "\"\<name: PTM localization distinct peptide-level statistic\>\"", ",", 
     "\"\<def: \\\"Statistic to convey the confidence of the localization of \
an amino acid modification on a peptide sequence.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002689 ! PTM localization single result statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002550\>\"", 
     ",", "\"\<name: peptide:phosphoRS score\>\"", ",", 
     "\"\<def: \\\"phosphoRS score for PTM site location at the \
peptide-level.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002549 ! PTM localization distinct peptide-level \
statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002551\>\"", ",", 
     "\"\<name: peptide:Ascore\>\"", ",", 
     "\"\<def: \\\"A-score for PTM site location at the peptide-level.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002549 ! PTM localization distinct peptide-level \
statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002552\>\"", ",", 
     "\"\<name: peptide:H-Score\>\"", ",", 
     "\"\<def: \\\"H-Score for peptide phosphorylation site location at the \
peptide-level.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002549 ! PTM localization distinct peptide-level \
statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002553\>\"", ",", 
     "\"\<name: peptide:D-Score\>\"", ",", 
     "\"\<def: \\\"D-Score for PTM site location at the peptide-level.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002549 ! PTM localization distinct peptide-level \
statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002554\>\"", ",", 
     "\"\<name: peptide:MD-Score\>\"", ",", 
     "\"\<def: \\\"MD-Score for PTM site location at the peptide-level.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002549 ! PTM localization distinct peptide-level \
statistic\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002505 ! regular expression for \
modification localization scoring\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002555\>\"", ",", 
     "\"\<name: PTM localization score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for PTM site location score.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002556\>\"", 
     ",", "\"\<name: Ascore threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for Ascore PTM site location score.\\\" [PSI:PI]\
\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002557\>\"", ",", 
     "\"\<name: D-Score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for D-score PTM site location score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002558\>\"", ",", 
     "\"\<name: MD-Score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MD-score PTM site location score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002559\>\"", ",", 
     "\"\<name: H-Score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for H-score PTM site location score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002560\>\"", ",", 
     "\"\<name: DeBunker:score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for DeBunker PTM site location score.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002561\>\"", ",", 
     "\"\<name: Mascot:PTM site assignment confidence threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for Mascot PTM site assignment confidence.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002562\>\"", ",", 
     "\"\<name: MSQuant:PTM-score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MSQuant:PTM-score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002563\>\"", ",", 
     "\"\<name: MaxQuant:PTM Score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MaxQuant:PTM Score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002564\>\"", ",", 
     "\"\<name: MaxQuant:P-site localization probability threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MaxQuant:P-site localization \
probability.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002565\>\"", ",", 
     "\"\<name: MaxQuant:PTM Delta Score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MaxQuant:PTM Delta Score.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002566\>\"", ",", 
     "\"\<name: MaxQuant:Phospho (STY) Probabilities threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for MaxQuant:Phospho (STY) Probabilities.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002567\>\"", ",", 
     "\"\<name: phosphoRS score threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for phosphoRS score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002568\>\"", ",", 
     "\"\<name: phosphoRS site probability threshold\>\"", ",", 
     "\"\<def: \\\"Threshold for phosphoRS site probability.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002569\>\"", ",", 
     "\"\<name: ProteomeDiscoverer:Number of Spectra Processed At Once\>\"", 
     ",", "\"\<def: \\\"Number of spectra processed at once in a \
ProteomeDiscoverer search.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002101 ! ProteomeDiscoverer input parameter\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002570\>\"", ",", 
     "\"\<name: sequence multiply subsumable protein\>\"", ",", 
     "\"\<def: \\\"A protein for which the matched peptide sequences are the \
same, or a subset of, the matched peptide sequences for two or more other \
proteins combined. These other proteins need not all be in the same \
group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002571\>\"", ",", 
     "\"\<name: spectrum multiply subsumable protein\>\"", ",", 
     "\"\<def: \\\"A protein for which the matched spectra are the same, or a \
subset of, the matched spectra for two or more other proteins combined. These \
other proteins need not all be in the same group.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001101 ! protein group or subset relationship\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002572\>\"", ",", 
     "\"\<name: protein detection statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold used for protein \
detection.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002482 ! statistical threshold\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002573\>\"", ",", 
     "\"\<name: spectrum identification statistical threshold\>\"", ",", 
     "\"\<def: \\\"Estimated statistical threshold used for spectrum \
identification.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1002482 ! statistical threshold\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002574\>\"", ",", 
     "\"\<name: ASAPRatio\>\"", ",", 
     "\"\<def: \\\"A program in the TPP that calculates PSM, peptide, and \
protein-level abundances based on 2-channel isotope-labelled data such as \
ICAT, SILAC, etc.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002286 ! Trans-Proteomic Pipeline software\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002575\>\"", ",", 
     "\"\<name: Tide\>\"", ",", 
     "\"\<def: \\\"Tide open-source sequence search program developed at the \
University of Washington.\\\" [PMID:21761931]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002576\>\"", ",", 
     "\"\<name: Andromeda result file\>\"", ",", 
     "\"\<def: \\\"Andromeda result file output format.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001040 ! intermediate analysis format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002577\>\"", ",", 
     "\"\<name: 2000 QTRAP\>\"", ",", 
     "\"\<def: \\\"SCIEX 2000 QTRAP.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002578\>\"", ",", 
     "\"\<name: 2500 QTRAP\>\"", ",", 
     "\"\<def: \\\"SCIEX 2500 QTRAP.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002579\>\"", ",", 
     "\"\<name: 3500 QTRAP\>\"", ",", 
     "\"\<def: \\\"SCIEX 3500 QTRAP.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002580\>\"", ",", 
     "\"\<name: QTRAP 4500\>\"", ",", 
     "\"\<def: \\\"SCIEX QTRAP 4500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002581\>\"", ",", 
     "\"\<name: QTRAP 6500\>\"", ",", 
     "\"\<def: \\\"SCIEX QTRAP 6500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002582\>\"", ",", 
     "\"\<name: QTRAP 6500+\>\"", ",", 
     "\"\<def: \\\"SCIEX QTRAP 6500+.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002583\>\"", ",", 
     "\"\<name: TripleTOF 4600\>\"", ",", 
     "\"\<def: \\\"SCIEX TripleTOF 4600 time-of-flight mass spectrometer.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002584\>\"", ",", 
     "\"\<name: TripleTOF 5600+\>\"", ",", 
     "\"\<def: \\\"SCIEX TripleTOF 5600+ time-of-flight mass \
spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002585\>\"", ",", 
     "\"\<name: API 100\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 100 MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002586\>\"", ",", 
     "\"\<name: API 100LC\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 100LC MS.\\\" \
[PSI:MS]\>\"", ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002587\>\"", ",", 
     "\"\<name: API 165\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 165 MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002588\>\"", ",", 
     "\"\<name: API 300\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 300 MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002589\>\"", ",", 
     "\"\<name: API 350\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 350 MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002590\>\"", ",", 
     "\"\<name: API 365\>\"", ",", 
     "\"\<def: \\\"Applied Biosystems/MDS SCIEX API 365 MS.\\\" [PSI:MS]\>\"",
      ",", "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002591\>\"", ",", 
     "\"\<name: Triple Quad 3500\>\"", ",", 
     "\"\<def: \\\"SCIEX Triple Quad 3500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002592\>\"", ",", 
     "\"\<name: Triple Quad 4500\>\"", ",", 
     "\"\<def: \\\"SCIEX Triple Quad 4500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002593\>\"", ",", 
     "\"\<name: Triple Quad 5500\>\"", ",", 
     "\"\<def: \\\"SCIEX Triple Quad 5500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002594\>\"", ",", 
     "\"\<name: Triple Quad 6500\>\"", ",", 
     "\"\<def: \\\"SCIEX Triple Quad 6500.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002595\>\"", ",", 
     "\"\<name: Triple Quad 6500+\>\"", ",", 
     "\"\<def: \\\"SCIEX Triple Quad 6500+.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002596\>\"", ",", 
     "\"\<name: ProLuCID\>\"", ",", 
     "\"\<def: \\\"The SEQUEST-like sequence search engine ProLuCID, \
developed in the Yates Lab at the Scripps Research Institute.\\\" \
[PMID:26171723]\>\"", ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002597\>\"", 
     ",", "\"\<name: MS1 format\>\"", ",", 
     "\"\<def: \\\"MS1 file format for MS1 spectral data.\\\" [PMID:15317041, \
DOI:10.1002/rcm.1603]\>\"", ",", 
     "\"\<is_a: MS:1000560 ! mass spectrometer file format\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002598\>\"", ",", 
     "\"\<name: DTASelect\>\"", ",", 
     "\"\<def: \\\"Analysis software designed to reassemble the SEQUEST \
peptide identifications and to highlight the most significant matches.\\\" \
[PMID:12643522, http://fields.scripps.edu/DTASelect/]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002599\>\"", ",", 
     "\"\<name: splash key\>\"", ",", 
     "\"\<def: \\\"The Splash, is an unique identifier for Spectra, as the \
InChI Key is an unique identifier for chemical compounds.\\\" \
[http://splash.fiehnlab.ucdavis.edu/]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002600\>\"", 
     ",", "\"\<name: PRIDE XML\>\"", ",", 
     "\"\<def: \\\"Internal data and submission format of the PRIDE database.\
\\\" [http://ftp.pride.ebi.ac.uk/pride/resources/schema/pride/pride.xsd]\>\"",
      ",", "\"\<is_a: MS:1002130 ! identification file format\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002601\>\"", 
     ",", "\"\<name: mzTab\>\"", ",", 
     "\"\<def: \\\"Tabular result format for proteomics and metabolomics \
experiments.\\\" [PMID:24980485, http://www.psidev.info/mztab/]\>\"", ",", 
     "\"\<is_a: MS:1000914 ! tab delimited text format\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002602\>\"", ",", 
     "\"\<name: quantification reagent\>\"", ",", 
     "\"\<def: \\\"Reagent used in labeled quantification methods.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002111 ! assay label attribute\>\"", ",", 
     "\"\<is_a: MS:1000548 ! sample attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002603\>\"", ",", 
     "\"\<name: ICAT reagent\>\"", ",", 
     "\"\<def: \\\"Isotope coded affinity tag reagent.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002602 ! quantification reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002604\>\"", ",", 
     "\"\<name: ICAT heavy reagent\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the heavy ICAT label.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002603 ! ICAT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002605\>\"", ",", 
     "\"\<name: ICAT light reagent\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the light ICAT label.\
\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002603 ! ICAT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002606\>\"", ",", 
     "\"\<name: ICPL reagent\>\"", ",", 
     "\"\<def: \\\"Isotope coded protein labeling reagent.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002602 ! quantification reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002607\>\"", ",", 
     "\"\<name: ICPL reagent 0\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the ICPL reagent 0.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002606 ! ICPL reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002608\>\"", ",", 
     "\"\<name: ICPL reagent 4\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the ICPL reagent 4.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002606 ! ICPL reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002609\>\"", ",", 
     "\"\<name: ICPL reagent 6\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the ICPL reagent 6.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002606 ! ICPL reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002610\>\"", ",", 
     "\"\<name: ICPL reagent 10\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the ICPL reagent \
10.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002606 ! ICPL reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002611\>\"", ",", 
     "\"\<name: SILAC reagent\>\"", ",", 
     "\"\<def: \\\"Stable isotope labeling with amino acids in cell culture \
reagent.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002602 ! quantification reagent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002612\>\"", ",", 
     "\"\<name: SILAC heavy reagent\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the heavy SILAC \
label.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002611 ! SILAC reagent\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002613\>\"", 
     ",", "\"\<name: SILAC medium reagent\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the medium SILAC \
label.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002611 ! SILAC reagent\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002614\>\"", 
     ",", "\"\<name: SILAC light reagent\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the light SILAC \
label.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002611 ! SILAC reagent\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002615\>\"", 
     ",", "\"\<name: TMT reagent\>\"", ",", 
     "\"\<def: \\\"Tandem mass tag reagent.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002602 ! quantification reagent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002616\>\"", ",", 
     "\"\<name: TMT reagent 126\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
126.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002617\>\"", ",", 
     "\"\<name: TMT reagent 127\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
127.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002618\>\"", ",", 
     "\"\<name: TMT reagent 128\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
128.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002619\>\"", ",", 
     "\"\<name: TMT reagent 129\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
129.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002620\>\"", ",", 
     "\"\<name: TMT reagent 130\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
130.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002621\>\"", ",", 
     "\"\<name: TMT reagent 131\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the TMT reagent \
131.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002615 ! TMT reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002622\>\"", ",", 
     "\"\<name: iTRAQ reagent\>\"", ",", 
     "\"\<def: \\\"Isobaric tag for relative and absolute quantitation \
reagent.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002602 ! quantification reagent\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002623\>\"", ",", 
     "\"\<name: iTRAQ reagent 113\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
113.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002624\>\"", ",", 
     "\"\<name: iTRAQ reagent 114\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
114.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002625\>\"", ",", 
     "\"\<name: iTRAQ reagent 115\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
115.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002626\>\"", ",", 
     "\"\<name: iTRAQ reagent 116\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
116.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002627\>\"", ",", 
     "\"\<name: iTRAQ reagent 117\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
117.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002628\>\"", ",", 
     "\"\<name: iTRAQ reagent 118\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
118.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002629\>\"", ",", 
     "\"\<name: iTRAQ reagent 119\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
119.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002630\>\"", ",", 
     "\"\<name: iTRAQ reagent 121\>\"", ",", 
     "\"\<def: \\\"The name of the sample labelled with the iTRAQ reagent \
121.\\\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1002622 ! iTRAQ reagent\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002631\>\"", ",", 
     "\"\<name: Electron-Transfer/Higher-Energy Collision Dissociation \
(EThcD)\>\"", ",", 
     "\"\<def: \\\"A dissociation process combining electron-transfer and \
higher-energy collision dissociation (EThcD). It combines ETD (reaction time) \
followed by HCD (activation energy).\\\" [PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"EThcD\\\" EXACT []\>\"", ",", 
     "\"\<is_a: MS:1000044 ! dissociation method\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002632\>\"", ",", 
     "\"\<name: jPOST dataset identifier\>\"", ",", 
     "\"\<def: \\\"Dataset identifier issued by the jPOST repository. A \
dataset can refer to either a single sample as part of a study, or all \
samples that are part of the study corresponding to a publication.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002633\>\"", ",", 
     "\"\<name: jPOST dataset URI\>\"", ",", 
     "\"\<def: \\\"URI that allows the access to one dataset in the jPOST \
repository. A dataset can refer to either a single sample as part of a study, \
or all samples that are part of the study corresponding to a publication.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:anyURI \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000878 ! external reference identifier\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002634\>\"", ",", 
     "\"\<name: Q Exactive Plus\>\"", ",", 
     "\"\<def: \\\"Thermo Scientific Q Exactive Plus.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000494 ! Thermo Scientific instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002635\>\"", ",", 
     "\"\<name: proteogenomics search\>\"", ",", 
     "\"\<def: \\\"Proteogenomics search performed.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002489 ! special processing\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002636\>\"", ",", 
     "\"\<name: proteogenomics attribute\>\"", ",", 
     "\"\<def: \\\"Proteogenomics attribute.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001105 ! peptide sequence-level identification \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002637\>\"", ",", "\"\<name: chromosome name\>\"", ",", 
     "\"\<def: \\\"The name or number of the chromosome to which a given \
peptide has been mapped.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002638\>\"", 
     ",", "\"\<name: chromosome strand\>\"", ",", 
     "\"\<def: \\\"The strand (+ or -) to which the peptide has been \
mapped.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002639\>\"", 
     ",", "\"\<name: peptide start on chromosome\>\"", ",", 
     "\"\<def: \\\"OBSOLETE The overall start position on the chromosome to \
which a peptide has been mapped i.e. the position of the first base of the \
first codon, using a zero-based counting system.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: This term was obsoleted because it contains redundant info \
contained in term MS:1002643 - peptide start positions on chromosome.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"", ",", 
     "\"\<is_obsolete: true\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", 
     ",", "\"\<id: MS:1002640\>\"", ",", 
     "\"\<name: peptide end on chromosome\>\"", ",", 
     "\"\<def: \\\"The overall end position on the chromosome to which a \
peptide has been mapped i.e. the position of the third base of the last \
codon, using a zero-based counting system.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002641\>\"", 
     ",", "\"\<name: peptide exon count\>\"", ",", 
     "\"\<def: \\\"The number of exons to which the peptide has been \
mapped.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002642\>\"", 
     ",", "\"\<name: peptide exon nucleotide sizes\>\"", ",", 
     "\"\<def: \\\"A comma separated list of the number of DNA bases within \
each exon to which a peptide has been mapped. Assuming standard operation of \
a search engine, the peptide exon sizes should sum to exactly three times the \
peptide length.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002643\>\"", 
     ",", "\"\<name: peptide start positions on chromosome\>\"", ",", 
     "\"\<def: \\\"A comma separated list of start positions within exons to \
which the peptide has been mapped, relative to peptide-chromosome start, \
assuming a zero-based counting system. The first value MUST match the value \
in peptide start on chromosome.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002644\>\"", 
     ",", "\"\<name: genome reference version\>\"", ",", 
     "\"\<def: \\\"The reference genome and versioning string as used for \
mapping. All coordinates are within this frame of reference.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002636 ! proteogenomics attribute\>\"",
      ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002645\>\"", 
     ",", "\"\<name: MSDK\>\"", ",", 
     "\"\<def: \\\"Mass Spectrometry Development Kit (MSDK) is a Java library \
of algorithms for processing of mass spectrometry data.\\\" [PSI:PI, \
http://msdk.github.io/]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", 
     "\"\<is_a: MS:1001457 ! data processing software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002646\>\"", ",", 
     "\"\<name: native spectrum identifier format, combined spectra\>\"", 
     ",", "\"\<def: \\\"Describes how the native spectrum identifiers that \
have been combined prior to searching or interpretation are formated.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<synonym: \\\"nativeID format, combined spectra\\\" EXACT []\>\"", 
     ",", "\"\<relationship: part_of MS:1000577 ! raw data file\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002647\>\"", ",", 
     "\"\<name: Thermo nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Thermo comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002648\>\"", ",", 
     "\"\<name: Waters nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Waters comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002649\>\"", ",", 
     "\"\<name: WIFF nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"WIFF comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002650\>\"", ",", 
     "\"\<name: Bruker/Agilent YEP nativeID format, combined spectra\>\"", 
     ",", "\"\<def: \\\"Bruker/Agilent comma separated list of spectra that \
have been combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002651\>\"", ",", 
     "\"\<name: Bruker BAF nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Bruker BAF comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002652\>\"", ",", 
     "\"\<name: Bruker FID nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Bruker FID comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: The nativeID must be the same as the source file ID.\>\"", 
     ",", "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for \
this CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002653\>\"", ",", 
     "\"\<name: multiple peak list nativeID format, combined spectra\>\"", 
     ",", "\"\<def: \\\"Comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: Used for conversion of peak list files with multiple \
spectra, i.e. MGF, PKL, merged DTA files. Index is the spectrum number in the \
file, starting from 0.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002654\>\"", ",", 
     "\"\<name: single peak list nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Comma separated list of spectra that have been combined \
prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: The nativeID must be the same as the source file ID. Used \
for conversion of peak list files with one spectrum per file, typically \
folder of PKL or DTAs, each sourceFileRef is different.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002655\>\"", ",", 
     "\"\<name: scan number only nativeID format, combined spectra\>\"", ",", 
     "\"\<def: \\\"Comma separated list of spectra that have been combined \
prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: Used for conversion from mzXML, or DTA folder where native \
scan numbers can be derived.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002656\>\"", ",", 
     "\"\<name: spectrum identifier nativeID format, combined spectra\>\"", 
     ",", "\"\<def: \\\"Comma separated list of spectra that have been \
combined prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: Used for conversion from mzData. The spectrum id attribute \
is referenced.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002657\>\"", ",", 
     "\"\<name: mzML unique identifier, combined spectra\>\"", ",", 
     "\"\<def: \\\"Comma separated list of spectra that have been combined \
prior to searching or interpretation.\\\" [PSI:PI]\>\"", ",", 
     "\"\<comment: A unique identifier of a spectrum stored in an mzML \
file.\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002646 ! native spectrum identifier format, combined \
spectra\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002658\>\"", ",", "\"\<name: identification parameter\>\"", 
     ",", "\"\<def: \\\"Identification parameter for the search engine run.\\\
\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002659\>\"", 
     ",", "\"\<name: UniProtKB text sequence format\>\"", ",", 
     "\"\<def: \\\"Text-based format used by UniProtKB for sequence \
entries.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: SWO:http://edamontology.org/format_2187\>\"", ",", 
     "\"\<is_a: MS:1001347 ! database file formats\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002660\>\"", ",", 
     "\"\<name: UniProtKB XML sequence format\>\"", ",", 
     "\"\<def: \\\"XML-based format used by UniProtKB for sequence entries.\\\
\" [PSI:PI]\>\"", ",", "\"\<is_a: MS:1001347 ! database file formats\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002661\>\"", 
     ",", "\"\<name: Morpheus\>\"", ",", 
     "\"\<def: \\\"Morpheus search engine.\\\" [PMID:23323968]\>\"", ",", 
     "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002662\>\"", ",", 
     "\"\<name: Morpheus:Morpheus score\>\"", ",", 
     "\"\<def: \\\"Morpheus score for PSMs.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002663\>\"", 
     ",", "\"\<name: Morpheus:summed Morpheus score\>\"", ",", 
     "\"\<def: \\\"Summed Morpheus score for protein groups.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002368 ! search engine specific score for protein \
groups\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002664\>\"", ",", 
     "\"\<name: interaction score derived from cross-linking\>\"", ",", 
     "\"\<def: \\\"Parent term for interaction scores derived from \
cross-linking.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002675 ! cross-linking result details\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002665 ! \
([:digit:]+[.][a|b]:[:digit:]+:[:digit:]+[.][:digit:]+([Ee][+-][0-9]+)*:(true|\
false]\\\\{1\\\\}))\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002665\>\"", ",", 
     "\"\<name: regular expression for interaction scores derived from \
cross-linking\>\"", ",", 
     "\"\<def: \
\\\"([:digit:]+[.][a|b]:([:digit:]+|null):[:digit:]+[.][:digit:]+([Ee][+-][0-\
9]+)*:(true|false]\\\\{1\\\\}))\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002479 ! regular expression\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002666\>\"", ",", 
     "\"\<name: impact II\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' impact II.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002667\>\"", ",", 
     "\"\<name: impact HD\>\"", ",", 
     "\"\<def: \\\"Bruker Daltonics' impact HD.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1001536 ! Bruker Daltonics micrOTOF series\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002668\>\"", ",", 
     "\"\<name: frag: iTRAQ 4plex reporter ion\>\"", ",", 
     "\"\<def: \\\"Standard reporter ion for iTRAQ 4Plex. The value slot \
holds the integer mass of the iTRAQ 4Plex reporter ion, e.g. 114.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002669\>\"", 
     ",", "\"\<name: frag: iTRAQ 8plex reporter ion\>\"", ",", 
     "\"\<def: \\\"Standard reporter ion for iTRAQ 8Plex. The value slot \
holds the integer mass of the iTRAQ 8Plex reporter ion, e.g. 113.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:int \\\"The allowed value-type for this CV \
term.\\\"\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002670\>\"", 
     ",", "\"\<name: frag: TMT reporter ion\>\"", ",", 
     "\"\<def: \\\"Standard reporter ion for TMT. The value slot holds the \
integer mass of the TMT reporter ion and can be suffixed with either N or C, \
indicating whether the mass difference is encoded at a Nitrogen or Carbon \
atom, e.g. 127N.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002671\>\"", 
     ",", "\"\<name: frag: TMT ETD reporter ion\>\"", ",", 
     "\"\<def: \\\"Standard reporter ion for TMT with ETD fragmentation. The \
value slot holds the integer mass of the TMT ETD reporter ion and can be \
suffixed with either N or C, indicating whether the mass difference is \
encoded at a Nitrogen or Carbon atom, e.g. 127C.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:string \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002672\>\"", 
     ",", "\"\<name: no modification threshold\>\"", ",", 
     "\"\<def: \\\"No statistical threshold for accepting or rejecting that a \
modification position.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002555 ! PTM localization score threshold\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002673\>\"", ",", 
     "\"\<name: OpenXQuest\>\"", ",", 
     "\"\<def: \\\"Cross-Linking MS search engine.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000752 ! TOPP software\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002674\>\"", ",", 
     "\"\<name: X500R QTOF\>\"", ",", 
     "\"\<def: \\\"SCIEX X500R QTOF, a quadrupole - quadrupole - \
time-of-flight mass spectrometer.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000121 ! SCIEX instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002675\>\"", ",", 
     "\"\<name: cross-linking result details\>\"", ",", 
     "\"\<def: \\\"This subsection describes terms which can describe details \
of cross-linking results.\\\" [PSI:PI]\>\"", ",", 
     "\"\<relationship: part_of MS:1001000 ! spectrum interpretation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002676\>\"", 
     ",", "\"\<name: protein-pair-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate of \
proteins-pairs in cross-linking experiments.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002664 ! interaction score derived from \
cross-linking\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002665 ! \
([:digit:]+[.][a|b]:[:digit:]+:[:digit:]+[.][:digit:]+([Ee][+-][0-9]+)*:(true|\
false]\\\\{1\\\\}))\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002677\>\"", ",", 
     "\"\<name: residue-pair-level global FDR\>\"", ",", 
     "\"\<def: \\\"Estimation of the global false discovery rate of \
residue-pairs in cross-linking experiments.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1002664 ! interaction score derived from \
cross-linking\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", 
     "\"\<relationship: has_regexp MS:1002665 ! \
([:digit:]+[.][a|b]:[:digit:]+:[:digit:]+[.][:digit:]+([Ee][+-][0-9]+)*:(true|\
false]\\\\{1\\\\}))\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002678\>\"", ",", 
     "\"\<name: supplemental beam-type collision-induced dissociation\>\"", 
     ",", "\"\<def: \\\"A supplemental collision-induced dissociation process \
that occurs in a beam-type collision cell in addition to another primary type \
of dissociation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000422 ! beam-type collision-induced dissociation\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002679\>\"", 
     ",", "\"\<name: supplemental collision-induced dissociation\>\"", ",", 
     "\"\<def: \\\"The dissociation of an ion after supplemental collisional \
excitation.\\\" [PSI:MS]\>\"", ",", 
     "\"\<is_a: MS:1000133 ! collision-induced dissociation\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002680\>\"", ",", 
     "\"\<name: supplemental collision energy\>\"", ",", 
     "\"\<def: \\\"Energy for an ion experiencing supplemental collision with \
a stationary gas particle resulting in dissociation of the ion.\\\" \
[PSI:MS]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:float \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1000510 ! precursor activation attribute\>\"", ",", 
     "\"\<relationship: has_units UO:0000266 ! electronvolt\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002681\>\"", ",", 
     "\"\<name: OpenXQuest:combined score\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's combined score for a cross-link spectrum \
match.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002682\>\"", ",", 
     "\"\<name: OpenXQuest:xcorr xlink\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's cross-correlation of cross-linked ions \
subscore.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002683\>\"", ",", 
     "\"\<name: OpenXQuest:xcorr common\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's cross-correlation of unlinked ions \
subscore.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002684\>\"", ",", 
     "\"\<name: OpenXQuest:match-odds\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's match-odds subscore.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<relationship: has_domain MS:1002306 ! value greater than zero\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002685\>\"", 
     ",", "\"\<name: OpenXQuest:intsum\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's sum of matched peak intensity subscore.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<relationship: has_domain MS:1002306 ! value greater than zero\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002686\>\"", 
     ",", "\"\<name: OpenXQuest:wTIC\>\"", ",", 
     "\"\<def: \\\"OpenXQuest's weighted percent of total ion current \
subscore.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! search engine specific score for PSMs\>\"", ",", 
     "\"\<is_a: MS:1001153 ! search engine specific score\>\"", ",", 
     "\"\<relationship: has_order MS:1002108 ! higher score better\>\"", ",", 
     "\"\<relationship: has_domain MS:1002305 ! value between 0 and 1 \
inclusive\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002687\>\"", ",", "\"\<name: analysis attribute\>\"", ",", 
     "\"\<def: \\\"Attribute of an item in the result of mass spectrometry \
proteomics data analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1001405 ! spectrum identification result details\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002688\>\"", 
     ",", "\"\<name: PTM localization attribute\>\"", ",", 
     "\"\<def: \\\"Statistic derived from a post-translational modification \
localization analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002687 ! analysis attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002689\>\"", ",", 
     "\"\<name: PTM localization single result statistic\>\"", ",", 
     "\"\<def: \\\"Statistic for a single item derived from a \
post-translational modification localization analysis.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002688 ! PTM localization attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002690\>\"", ",", 
     "\"\<name: PTM localization result list statistic\>\"", ",", 
     "\"\<def: \\\"Statistic for all items derived from a post-translational \
modification localization analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002688 ! PTM localization attribute\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002691\>\"", ",", 
     "\"\<name: global FLR\>\"", ",", 
     "\"\<def: \\\"Global false localization rate for all localizations in a \
dataset.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002690 ! PTM localization result list statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002692\>\"", 
     ",", "\"\<name: local FLR at threshold\>\"", ",", 
     "\"\<def: \\\"Local false localization rate for the bottom item in list \
of localizations sorted from most to least confident.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002690 ! PTM localization result list statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002693\>\"", 
     ",", "\"\<name: identification attribute\>\"", ",", 
     "\"\<def: \\\"Attribute of an identification item in the result of mass \
spectrometry proteomics data analysis.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002687 ! analysis attribute\>\"", ",", "\"\<\>\"", ",", 
     "\"\<[Term]\>\"", ",", "\"\<id: MS:1002694\>\"", ",", 
     "\"\<name: single identification result attribute\>\"", ",", 
     "\"\<def: \\\"Attribute of a single identification item (as opposed to a \
list) in the result of mass spectrometry proteomics data analysis.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002693 ! identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002695\>\"", 
     ",", "\"\<name: frag: isobaric label ion\>\"", ",", 
     "\"\<def: \\\"Fragment ion corresponding to an isobaric label \
artifact.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002697\>\"", ",", 
     "\"\<name: secondary isotope peak\>\"", ",", 
     "\"\<def: \\\"Fragment ion is an isotopic peak other than that \
monoisotopic peak. This is used in conjuction with another ion type, such as \
frag: y ion.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002307 ! fragmentation ion type\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002698\>\"", ",", 
     "\"\<name: protein cluster identification attribute\>\"", ",", 
     "\"\<def: \\\"An attribute of the protein cluster concept as used in \
mzIdentML.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002694 ! single identification result attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002699\>\"", 
     ",", "\"\<name: result list attribute\>\"", ",", 
     "\"\<def: \\\"General property of an entire result list.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002693 ! identification attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002700\>\"", 
     ",", "\"\<name: PSM-level result list attribute\>\"", ",", 
     "\"\<def: \\\"General property of the list of all PSMs.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002699 ! result list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002701\>\"", ",", 
     "\"\<name: PSM-level result list statistic\>\"", ",", 
     "\"\<def: \\\"Statistic pertaining to the full list of all PSMs.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002700 ! PSM-level result list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002702\>\"", ",", 
     "\"\<name: peptide sequence-level result list attribute\>\"", ",", 
     "\"\<def: \\\"General property of all peptide sequences in the list.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1002699 ! result list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002703\>\"", ",", 
     "\"\<name: peptide sequence-level result list statistic\>\"", ",", 
     "\"\<def: \\\"Statistic pertaining to all peptide sequences in the list.\
\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002702 ! peptide sequence-level result list \
attribute\>\"", ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", 
     "\"\<id: MS:1002704\>\"", ",", 
     "\"\<name: protein-level result list attribute\>\"", ",", 
     "\"\<def: \\\"Attribute of an entire protein list.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1002699 ! result list attribute\>\"", ",", "\"\<\>\"",
      ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002705\>\"", ",", 
     "\"\<name: protein-level result list statistic\>\"", ",", 
     "\"\<def: \\\"A statistical metric of an entire protein list.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002704 ! protein-level result list attribute\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002706\>\"", ",", 
     "\"\<name: protein group-level result list statistic\>\"", ",", 
     "\"\<def: \\\"Attrbiute of an entire list of protein groups.\\\" \
[PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1002405 ! protein group-level result list attribute\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002719\>\"", 
     ",", "\"\<name: Pegasus BT\>\"", ",", 
     "\"\<def: \\\"LECO bench-top GC time-of-flight mass spectrometer.\\\" \
[PSI:PI]\>\"", ",", "\"\<is_a: MS:1001800 ! LECO instrument model\>\"", ",", 
     "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002720\>\"", ",", 
     "\"\<name: MSPathFinder\>\"", ",", 
     "\"\<def: \\\"PNNL top-down/bottom-up analysis software for identifying \
peptides and proteoforms in fragmentation mass spectra.\\\" [PSI:PI]\>\"", 
     ",", "\"\<is_a: MS:1001456 ! analysis software\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002721\>\"", ",", 
     "\"\<name: MSPathFinder:SpecEValue\>\"", ",", 
     "\"\<def: \\\"MSPathFinder spectral E-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002353 ! PSM-level e-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002722\>\"", 
     ",", "\"\<name: MSPathFinder:EValue\>\"", ",", 
     "\"\<def: \\\"MSPathFinder E-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002353 ! PSM-level e-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<relationship: has_order MS:1002109 ! lower score better\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002723\>\"", 
     ",", "\"\<name: MSPathFinder:QValue\>\"", ",", 
     "\"\<def: \\\"MSPathFinder Q-value.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", "\"\<is_a: MS:1002354 ! PSM-level q-value\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002724\>\"", 
     ",", "\"\<name: MSPathFinder:PepQValue\>\"", ",", 
     "\"\<def: \\\"MSPathFinder peptide-level Q-value.\\\" [PSI:PI]\>\"", 
     ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002725\>\"", 
     ",", "\"\<name: MSPathFinder:RawScore\>\"", ",", 
     "\"\<def: \\\"MSPathFinder raw score.\\\" [PSI:PI]\>\"", ",", 
     "\"\<xref: value-type:xsd\\\\:double \\\"The allowed value-type for this \
CV term.\\\"\>\"", ",", 
     "\"\<is_a: MS:1001143 ! PSM-level search engine specific statistic\>\"", 
     ",", "\"\<\>\"", ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002726\>\"", 
     ",", "\"\<name: SYNAPT G2-Si\>\"", ",", 
     "\"\<def: \\\"Waters Corporation SYNAPT G2-Si orthogonal acceleration \
time-of-flight mass spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002727\>\"", ",", 
     "\"\<name: MALDI SYNAPT G2-Si\>\"", ",", 
     "\"\<def: \\\"Waters Corporation MALDI SYNAPT G2-Si orthogonal \
acceleration time-of-flight mass spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002728\>\"", ",", 
     "\"\<name: Vion IMS QTof\>\"", ",", 
     "\"\<def: \\\"Waters Corporation Vion IMS QTof orthogonal acceleration \
time-of-flight mass spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002729\>\"", ",", 
     "\"\<name: Xevo G2 XS Tof\>\"", ",", 
     "\"\<def: \\\"Waters Corporation Xevo G2 XS Tof orthogonal acceleration \
time-of-flight mass spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002730\>\"", ",", 
     "\"\<name: Xevo TQ-XS\>\"", ",", 
     "\"\<def: \\\"Waters Corporation Xevo TQ-XS triple quadrupole mass \
spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\"", ",", "\"\<\>\"", 
     ",", "\"\<[Term]\>\"", ",", "\"\<id: MS:1002731\>\"", ",", 
     "\"\<name: Xevo TQ-S micro\>\"", ",", 
     "\"\<def: \\\"Waters Corporation Xevo TQ-S micro triple quadrupole mass \
spectrometer.\\\" [PSI:PI]\>\"", ",", 
     "\"\<is_a: MS:1000126 ! Waters instrument model\>\""}], "}"}]}], 
  ";"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowGroupOpener->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648920311769219*^9, 3.648920332225586*^9}, {
   3.648927795247035*^9, 3.648927804580627*^9}, 3.65266199754414*^9, {
   3.686942061075663*^9, 3.6869420655120687`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
The Function I.1 \
\[OpenCurlyDoubleQuote]MzmlDictionaryAssociationForAccessionNumberAndNames\
\[CloseCurlyDoubleQuote] :\
\>", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64044932348818*^9, 3.6404493280642223`*^9}, {
   3.64044997196801*^9, 3.640449983518734*^9}, {3.6409067730137367`*^9, 
   3.640906776131999*^9}, {3.640907337014654*^9, 3.640907338286037*^9}, {
   3.641433795044916*^9, 3.641433797965899*^9}, {3.643365494620718*^9, 
   3.6433654979471817`*^9}, 3.646149892089183*^9, 3.647583659154714*^9, {
   3.6490834920100317`*^9, 3.649083492130188*^9}, {3.6490835927117987`*^9, 
   3.6490836132147293`*^9}, 3.649964892054833*^9, 3.652661923715732*^9, {
   3.652662593685495*^9, 3.65266259382657*^9}}],

Cell["\<\
MzmlDictionaryAssociationForAccessionNumberAndNames [mzmlControlledVocabulary] 

One specified input mzmlControlledVocabulary to make association between mzML \
attributes: accession number \[OpenCurlyDoubleQuote]string\
\[CloseCurlyDoubleQuote] -  id in the controlled vocabulariese file - e.g. \
MS:1000511\[CloseCurlyDoubleQuote] and mzML attribute: name \
\[OpenCurlyDoubleQuote]string\[CloseCurlyDoubleQuote] - the preferred name \
associated with the specified accession number. The association is between \
keys \[OpenCurlyDoubleQuote]accessions (id)\[CloseCurlyDoubleQuote] and \
values \[OpenCurlyDoubleQuote]names\[CloseCurlyDoubleQuote] \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.636813139090507*^9, 3.636813273682273*^9}, {
   3.6374139539769373`*^9, 3.637413993423032*^9}, {3.63741504351372*^9, 
   3.6374150436657133`*^9}, 3.6374304205652246`*^9, {3.640437713119268*^9, 
   3.64043774985246*^9}, {3.640442863080371*^9, 3.6404429735150433`*^9}, {
   3.6404430381300573`*^9, 3.64044320860422*^9}, {3.640443255616143*^9, 
   3.640443440072316*^9}, {3.6415925746927977`*^9, 3.641592581027302*^9}, {
   3.641601741897973*^9, 3.641601823860434*^9}, {3.6416018932720013`*^9, 
   3.641601937010312*^9}, {3.641605128085538*^9, 3.641605237366733*^9}, 
   3.641920673799118*^9, {3.649073635792149*^9, 3.6490736534338703`*^9}, {
   3.652646051026572*^9, 3.652646082639615*^9}, 3.652646169624669*^9, {
   3.652646240421843*^9, 3.652646445161869*^9}, {3.652661949677669*^9, 
   3.652661957416507*^9}, {3.652662058443181*^9, 3.652662063936982*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "dictionary", " ", "takes", " ", "one", " ", "\"\<string\>\"", " ", 
    "input", " ", "and", " ", "that", " ", "is", " ", "the", " ", "file", " ",
     "name", " ", "constant"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
   "MzmlDictionaryAssociationForAccessionNumberAndNames", "[", 
    "mzmlControlledVocabulary_", "]"}], ":=", "\[IndentingNewLine]", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"inputString", "=", "mzmlControlledVocabulary"}], ",", 
       "\[IndentingNewLine]", "msDictionary"}], "}"}], ",", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"inputString", ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
        "find", " ", "keys", " ", "\"\<accessions (id):\>\"", " ", "and", 
         " ", "\"\<name:\>\"", " ", "but", " ", "extract", " ", "their", " ", 
         "corresponding", " ", "values", " ", "in", " ", "a", " ", "list", 
         " ", "and", " ", "map", " ", "them", " ", "to", " ", "their", " ", 
         RowBox[{"corresponding", " ", "[", "Term", "]"}], " ", "positions"}],
         ",", " ", 
        RowBox[{
        "once", " ", "the", " ", "\"\<accessions (id):\>\"", " ", "and", " ", 
         "its", " ", "corresponding", " ", "\"\<name:\>\"", " ", "in", " ", 
         "a", " ", "list"}], ",", " ", 
        RowBox[{
        "make", " ", "an", " ", "association", " ", "between", " ", "them", 
         " ", "so", " ", "you", " ", "can", " ", "serch", " ", "this", " ", 
         "association", " ", "using", " ", "the", " ", "key", " ", 
         "\"\<accessions (id):\>\"", " ", "to", " ", "get", " ", "the", " ", 
         "value", " ", "\"\<name:\>\""}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"msDictionary", "=", 
       RowBox[{"Association", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "&"}], "/@", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"StringTrim", "[", 
             RowBox[{
              RowBox[{"inputString", "[", 
               RowBox[{"[", "#", "]"}], "]"}], ",", 
              RowBox[{"\"\<id: \>\"", "|", "\"\<name: \>\""}]}], "]"}], "&"}],
            "/@", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "1"}], ",", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "+", "2"}]}], "}"}], "&"}], 
             "/@", 
             RowBox[{"Position", "[", 
              RowBox[{"inputString", ",", "\"\<[Term]\>\""}], "]"}]}], 
            ")"}]}], ")"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "msDictionary", "]"}]}]}], "]"}]}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.630768735628234*^9, 3.630768896195472*^9}, {
   3.630768960769299*^9, 3.630769053858021*^9}, {3.63076914048273*^9, 
   3.630769160650798*^9}, {3.630769313667046*^9, 3.630769356257764*^9}, {
   3.630769386790225*^9, 3.630769423093029*^9}, 3.6307695677448683`*^9, {
   3.6307695978516912`*^9, 3.6307695997605877`*^9}, {3.630769819000371*^9, 
   3.630769834883333*^9}, {3.630770788277739*^9, 3.630770818026758*^9}, {
   3.6307709346069508`*^9, 3.630770949006051*^9}, {3.630771093351821*^9, 
   3.630771140970161*^9}, {3.630771287695157*^9, 3.630771352747341*^9}, {
   3.630771404993305*^9, 3.630771409987403*^9}, {3.63077144102708*^9, 
   3.630771454168702*^9}, {3.6307715081295853`*^9, 3.630771516948008*^9}, {
   3.630771682255878*^9, 3.6307717094443407`*^9}, 3.630771780103882*^9, {
   3.6307721153936577`*^9, 3.630772121320827*^9}, {3.635078247419347*^9, 
   3.6350782537531776`*^9}, {3.636812979697916*^9, 3.63681302255226*^9}, {
   3.636813311476598*^9, 3.6368133823317833`*^9}, {3.636813419790822*^9, 
   3.636813449755163*^9}, {3.637414001764267*^9, 3.637414005008377*^9}, 
   3.64044345454462*^9, {3.6404500629923553`*^9, 3.640450078678701*^9}, {
   3.6409870372414618`*^9, 3.640987054145475*^9}, {3.6409907804312153`*^9, 
   3.64099078206879*^9}, {3.641911610196007*^9, 3.641911610456852*^9}, {
   3.6419170970298862`*^9, 3.641917130971549*^9}, {3.641917168299094*^9, 
   3.6419171884233828`*^9}, {3.641917241159731*^9, 3.641917257899921*^9}, 
   3.6419173800558558`*^9, 3.643365501416863*^9, {3.6457500984397984`*^9, 
   3.6457501001233673`*^9}, 3.648934265939741*^9, 3.6490736133848352`*^9, {
   3.649073681217499*^9, 3.6490737020641737`*^9}, {3.649082959489148*^9, 
   3.649082959663537*^9}, 3.649083651673769*^9, 3.6526619289711723`*^9, {
   3.652662049669128*^9, 3.652662051388678*^9}, {3.6572319347629423`*^9, 
   3.657231941081205*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["The Function I.2 \[OpenCurlyDoubleQuote]MzmlDictionaryMSUOLabeling\
\[CloseCurlyDoubleQuote]:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.649083508157775*^9, 3.6490835154030046`*^9}, {
   3.649083616422599*^9, 3.6490836187268953`*^9}, {3.649456780304791*^9, 
   3.649456798489436*^9}, 3.649964900069799*^9, {3.652662596522195*^9, 
   3.652662597490177*^9}, 3.657232906731413*^9}],

Cell["\<\
MzmlDictionaryMSUOLabeling [mzmlControlledVocabulary] 

One specified input mzmlControlledVocabulary to make association between mzML \
attributes: accession number \[OpenCurlyDoubleQuote]string\
\[CloseCurlyDoubleQuote] -  id in the controlled vocabulariese file - e.g. \
MS:1000511\[CloseCurlyDoubleQuote] and mzML attribute: name \
\[OpenCurlyDoubleQuote]string\[CloseCurlyDoubleQuote] - the preferred name \
associated with the specified accession number. The association is between \
keys \[OpenCurlyDoubleQuote]accessions (id)\[CloseCurlyDoubleQuote] and \
values \[OpenCurlyDoubleQuote]names\[CloseCurlyDoubleQuote] \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.636813139090507*^9, 3.636813273682273*^9}, {
   3.6374139539769373`*^9, 3.637413993423032*^9}, {3.63741504351372*^9, 
   3.6374150436657133`*^9}, 3.6374304205652246`*^9, {3.640437713119268*^9, 
   3.64043774985246*^9}, {3.640442863080371*^9, 3.6404429735150433`*^9}, {
   3.6404430381300573`*^9, 3.64044320860422*^9}, {3.640443255616143*^9, 
   3.640443440072316*^9}, {3.6415925746927977`*^9, 3.641592581027302*^9}, {
   3.641601741897973*^9, 3.641601823860434*^9}, {3.6416018932720013`*^9, 
   3.641601937010312*^9}, {3.641605128085538*^9, 3.641605237366733*^9}, 
   3.641920673799118*^9, {3.649073635792149*^9, 3.6490736534338703`*^9}, {
   3.652646051026572*^9, 3.652646082639615*^9}, 3.652646169624669*^9, {
   3.652646240421843*^9, 3.652646445161869*^9}, {3.652661949677669*^9, 
   3.652661957416507*^9}, {3.652662058443181*^9, 3.652662063936982*^9}, {
   3.65723213473136*^9, 3.657232140503193*^9}, 3.657232451664915*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzmlDictionaryMSUOLabeling", "[", "mzmlControlledVocabulary_", "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"inputString", "=", "mzmlControlledVocabulary"}], ",", 
      "\[IndentingNewLine]", "msDictionary"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Cases", " ", "will", " ", "first", " ", "find", " ", "all", " ", "the",
        " ", 
       RowBox[{"\"\<has_units\>\"", ".", " ", "StringCases"}], " ", "will", 
       " ", "find", " ", "all", " ", "Accession", " ", "Numbers", " ", "with",
        " ", "\"\<MS:\>\"", " ", "or", " ", "\"\<UO:\>\"", " ", "and", " ", 
       "assign", " ", "them", " ", "to", " ", "\"\<x\>\"", " ", "and", " ", 
       "then", " ", "we", " ", "map", " ", "to", " ", 
       RowBox[{"Cases", ".", " ", "Union"}], " ", "will", " ", "get", " ", 
       "ready", " ", "of", " ", "all", " ", "the", " ", "repeats", " ", "for",
        " ", "each", " ", "Accession", " ", 
       RowBox[{"Number", ".", " ", "Finaly"}]}], ",", " ", 
      RowBox[{
      "make", " ", "an", " ", "association", " ", "between", " ", "each", " ",
        "Accession", " ", "Number", " ", "and", " ", "its", " ", 
       "definition"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"msDictionary", "=", 
      RowBox[{"Association", "[", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{"DeleteCases", "[", 
          RowBox[{
           RowBox[{"Union", "[", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"StringCases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"x", ":", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"\"\<MS:\>\"", "|", "\"\<UO:\>\""}], "~~", 
                    "NumberString"}], ")"}]}], "~~", "\"\< ! \>\"", "~~", 
                   RowBox[{"y", ":", "__"}]}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"x", "->", "y"}], "}"}]}]}], "]"}], "&"}], "/@", 
              RowBox[{"(", 
               RowBox[{"Cases", "[", 
                RowBox[{"inputString", ",", 
                 RowBox[{"x_", "/;", 
                  RowBox[{
                   RowBox[{"StringCases", "[", 
                    RowBox[{"x", ",", "\"\<has_units\>\""}], "]"}], 
                   "\[NotEqual]", 
                   RowBox[{"{", "}"}]}]}]}], "]"}], ")"}]}], ")"}], "]"}], 
           ",", 
           RowBox[{"{", "}"}]}], "]"}], ",", "1"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "msDictionary", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64574431158335*^9, 3.6457443149537487`*^9}, {
   3.6457501154054117`*^9, 3.645750116089704*^9}, 3.646149933857666*^9, {
   3.648915927793275*^9, 3.648915932960951*^9}, 3.6489192171580343`*^9, 
   3.649073726752849*^9, {3.649073782812069*^9, 3.649073808067934*^9}, {
   3.649083148113577*^9, 3.649083171722781*^9}, {3.6490832306508512`*^9, 
   3.649083306662525*^9}, {3.649083352008295*^9, 3.6490833980508327`*^9}, 
   3.649083484197259*^9, 3.649083531360701*^9, 3.6490836482359324`*^9, {
   3.6572320707875643`*^9, 3.6572320727069597`*^9}, {3.657232116785301*^9, 
   3.657232122056396*^9}, 3.657232157273142*^9, {3.657232434370006*^9, 
   3.657232437249756*^9}, {3.657232871482071*^9, 3.657232886445428*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["The Function I.3 \[OpenCurlyDoubleQuote]MzmlTimeAndMassLabeling\
\[CloseCurlyDoubleQuote]:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.649456810368856*^9, 3.649456825664495*^9}, 
   3.6499649084052467`*^9, {3.652662598801943*^9, 3.652662599937809*^9}, 
   3.657233757171756*^9}],

Cell["\<\
MzmlTimeAndMassLabeling [mzMLFilePath, mzMLdictionaryUO]

mzMLfilePath is a constant that is set equel to mzML file path. And \
mzMLdictionaryUO is a constant that is set equal to \
MzmlDictionaryMSUOLabeling[mzmlControlledVocabulary]. MzmlTimeAndMassLabeling \
the time unit used by the mass spectrometry for scan retention time.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.636813139090507*^9, 3.636813273682273*^9}, {
   3.6374139539769373`*^9, 3.637413993423032*^9}, {3.63741504351372*^9, 
   3.6374150436657133`*^9}, 3.6374304205652246`*^9, {3.640437713119268*^9, 
   3.64043774985246*^9}, {3.640442863080371*^9, 3.6404429735150433`*^9}, {
   3.6404430381300573`*^9, 3.64044320860422*^9}, {3.640443255616143*^9, 
   3.640443440072316*^9}, {3.6415925746927977`*^9, 3.641592581027302*^9}, {
   3.641601741897973*^9, 3.641601823860434*^9}, {3.6416018932720013`*^9, 
   3.641601937010312*^9}, {3.641605128085538*^9, 3.641605237366733*^9}, 
   3.641920673799118*^9, {3.649073635792149*^9, 3.6490736534338703`*^9}, {
   3.652646051026572*^9, 3.652646082639615*^9}, 3.652646169624669*^9, {
   3.652646240421843*^9, 3.652646445161869*^9}, {3.652661949677669*^9, 
   3.652661957416507*^9}, {3.652662058443181*^9, 3.652662063936982*^9}, {
   3.65723213473136*^9, 3.657232140503193*^9}, 3.657232451664915*^9, {
   3.6572335970206203`*^9, 3.6572337440607224`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlTimeAndMassLabeling", "[", 
   RowBox[{"mzMLFilePath_", ",", "mzMLdictionaryUO_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"inputFile", "=", "mzMLFilePath"}], ",", "emptyList", ",", 
      "filePath", ",", "allMetaData", ",", "testXML", ",", "scanElement", ",",
       "unitAccession", ",", "unitAccessionValues", ",", 
      RowBox[{"labelingUO", "=", "mzMLdictionaryUO"}]}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"open", " ", "and", " ", "read", " ", "your", " ", "file"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"inputFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Set", " ", "the", " ", "data", " ", "streaming", " ", "position", " ", 
       "to", " ", "0", " ", "to", " ", "stream", " ", "from", " ", "the", " ",
        "begining", " ", "of", " ", "the", " ", "file"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "0"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"allMetaData", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"filePath", ",", "String"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{"Using", " ", "<", "StringCases", ">", " ", 
            RowBox[{"to", " ", "search", " ", "\"\<scan\>\"", " ", "and"}], 
            " ", "<"}], ".."}], ">", " ", 
          RowBox[{
          "is", " ", "to", " ", "keep", " ", "keep", " ", "representing", 
           " ", "\"\<scan\>\"", " ", "until", " ", "it", " ", "matches", " ", 
           "and", " ", "while", " ", "it", " ", 
           RowBox[{"doesn", "'"}], "t", " ", "match", " ", "keep", " ", 
           "appending"}], " ", "<", "AppendTo", ">", " ", 
          RowBox[{"into", " ", "the", " ", 
           RowBox[{"emptylist", ".", " ", "Using"}]}], " ", "<", "If", ">", 
          " ", "and", " ", "<", 
          RowBox[{"Break", "[", "]"}], ">", " ", 
          RowBox[{"to", " ", "stop", " ", "onc", " ", "\"\<scan\>\"", " ", 
           RowBox[{"matchs", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCases", "[", 
             RowBox[{"allMetaData", ",", 
              RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
           "\"\<binaryDataArrayList\>\""}], ",", 
          RowBox[{"Break", "[", "]"}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", "allMetaData"}], "]"}]}], "]"}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"<", 
       RowBox[{"/", "mzML"}], ">", " ", 
       RowBox[{
       "as", " ", "closing", " ", "tags", " ", "for", " ", "the", " ", 
        "\"\<XML\>\"", " ", 
        RowBox[{"format", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"AppendTo", "[", 
       RowBox[{
       "emptyList", ",", 
        "\"\<</spectrum></spectrumList></run></mzML></indexedmzML>\>\""}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"Import", " ", "as", " ", "\"\<XML\>\""}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"testXML", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", "emptyList", "]"}], ",", "\"\<XML\>\""}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"scanElement", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"testXML", ",", "\[IndentingNewLine]", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<scan\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"testXML", ",", "\[IndentingNewLine]", 
          RowBox[{"XMLElement", "[", 
           RowBox[{"\"\<scan\>\"", ",", "_", ",", "_"}], "]"}], ",", 
          "Infinity"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"unitAccession", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<unitAccession\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
               "&"}], "/@", "#"}], "]"}], "\[Equal]", 
            RowBox[{"{", "}"}]}], ",", 
           RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
           RowBox[{"First", "[", 
            RowBox[{"Flatten", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<unitAccession\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
               "&"}], "/@", "#"}], "]"}], "]"}]}], "]"}], "&"}], "@", 
        "scanElement"}], "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"unitAccessionValues", "=", 
      RowBox[{
       RowBox[{"Values", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"labelingUO", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "&"}], "@", "unitAccession"}], 
        "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "unitAccessionValues", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6536874194963093`*^9, 3.653687841992106*^9, 3.653697989780774*^9, {
   3.6572330766481*^9, 3.65723308233423*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 2 \[OpenCurlyDoubleQuote]MzmlSpectrumBinaryDecoder\
\[CloseCurlyDoubleQuote] :", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6306925963714523`*^9, 3.63069260915199*^9}, {
   3.643365288030438*^9, 3.643365322395034*^9}, {3.643365476327112*^9, 
   3.643365478559516*^9}, 3.645750030115569*^9, {3.64821910904493*^9, 
   3.648219109940262*^9}, 3.652662140292303*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["\<\
The MzmlSpectrumBinaryDecoder [binary data, binary data type, enocoding \
formate, -1, compression status] 

The MzmlSpectrumBinaryDecoder takes five inputs, 1: (string_): the binary \
data in string format, 2: (inputAccuracy_): the binary data type either bit \
flot or bit integer, 3: (form_): the binary data enocoding formate (Base64) \
in the String format, 4: (endian_): the convention used to interpret the \
bytes making up the data word as little endian correspond to (-1), 5: \
(compression_): test for if the binary data is compressed or not. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6374138503661413`*^9, {3.63741404359088*^9, 3.6374141228783607`*^9}, {
   3.637414156162768*^9, 3.637414283969853*^9}, {3.637414318705132*^9, 
   3.6374143514833393`*^9}, 3.6433656595012083`*^9, 3.652647175574543*^9, {
   3.6526472935637608`*^9, 3.652647480564247*^9}, {3.6551211251051702`*^9, 
   3.6551211259983253`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumBinaryDecoder", "[", 
   RowBox[{
   "string_", ",", "inputAccuracy_", ",", "form_", ",", "endian_", ",", 
    "compression_"}], "]"}], ":=", " ", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"1", "st", " ", "input"}], ",", " ", 
       RowBox[{
       "the", " ", "user", " ", "selected", " ", "spectrum", " ", "binary", 
        " ", "data"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"inputString", "=", "string"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"2", "nd", " ", "input"}], ",", " ", 
        RowBox[{"spectrum", " ", "input", " ", "bit", " ", "accuracy"}]}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"binaryFormat", "=", "inputAccuracy"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"3", "rd", " ", "input"}], ",", " ", 
        RowBox[{"data", " ", "enocoding", " ", "formate", " ", 
         RowBox[{"(", "Base64", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"inFormat", "=", "form"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"4", "th", " ", "input"}], ",", " ", 
        RowBox[{
        "interpret", " ", "the", " ", "bytes", " ", "making", " ", "up", " ", 
         "the", " ", "data", " ", "word", " ", "as", " ", "little", " ", 
         "endian", " ", "correspond", " ", "to", " ", 
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"inputEndian", "=", "endian"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"5", "th", " ", "input"}], ",", " ", 
        RowBox[{
        "binary", " ", "data", " ", "is", " ", "compressed", " ", "or", " ", 
         "not"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"compressionStatus", "=", "compression"}], ",", 
      "\[IndentingNewLine]", "result", ",", "str", ",", 
      "returnListNoCompression", ",", "returnListZLIPCompression", ",", 
      "characterList", ",", "intensities"}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"result", "=", "\[IndentingNewLine]", 
      RowBox[{"If", " ", "[", 
       RowBox[{"(*", 
        RowBox[{
        "check", " ", "the", " ", "spectrum", " ", "compression", " ", 
         "status"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"compressionStatus", "==", "\"\<no compression\>\""}], ",", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"imports", " ", "binary", " ", "data", " ", 
           RowBox[{"(", "inputString", ")"}], " ", "in", " ", "Base64", " ", 
           "format", " ", "from", " ", "a", " ", "string"}], ",", " ", 
          RowBox[{
          "and", " ", "StringToStream", " ", "is", " ", "to", " ", "open", 
           " ", "a", " ", "stream", " ", "for", " ", "reading", " ", "from", 
           " ", "a", " ", 
           RowBox[{"string", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"str", "=", 
          RowBox[{"StringToStream", "[", 
           RowBox[{"ImportString", "[", 
            RowBox[{"inputString", " ", ",", "inFormat"}], "]"}], "]"}]}], 
         ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"str", ":", " ", 
           RowBox[{
           "is", " ", "the", " ", "imported", " ", "spectrum", " ", "binary", 
            " ", 
            RowBox[{"data", ".", " ", "binaryFormat"}]}], ":", " ", 
           RowBox[{"spectrum", " ", "input", " ", "bit", " ", 
            RowBox[{"accuracy", ".", " ", "\[IndentingNewLine]", 
             RowBox[{"ByteOrdering", ":", " ", 
              RowBox[{
              "is", " ", "an", " ", "option", " ", "BinaryReadList", " ", 
               "that", " ", "specifies", " ", "the", " ", "ordering", " ", 
               "of", " ", "bytes", " ", "should", " ", "be", " ", "assumed", 
               " ", "for", " ", "your", " ", "computer", " ", 
               "system"}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"returnListNoCompression", "=", 
          RowBox[{"BinaryReadList", "[", 
           RowBox[{"str", ",", "binaryFormat", ",", 
            RowBox[{"ByteOrdering", "\[Rule]", " ", "inputEndian"}]}], 
           "]"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"returnListZLIPCompression", "=", 
          RowBox[{"BinaryReadList", "[", 
           RowBox[{
            RowBox[{"StringToStream", "[", 
             RowBox[{"ImportString", "[", 
              RowBox[{"inputString", " ", ",", 
               RowBox[{"{", 
                RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}]}], 
              "]"}], "]"}], ",", "\"\<Byte\>\"", ",", 
            RowBox[{"ByteOrdering", "\[Rule]", " ", 
             RowBox[{"-", "1"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         "\[IndentingNewLine]", 
         RowBox[{"characterList", "=", 
          RowBox[{"FromCharacterCode", "[", 
           RowBox[{
           "Developer`RawUncompress", "[", "returnListZLIPCompression", "]"}],
            "]"}]}], ";", 
         RowBox[{"intensities", "=", 
          RowBox[{"ImportString", "[", 
           RowBox[{"characterList", ",", "binaryFormat"}], "]"}]}]}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "result", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.629514096370667*^9, 3.629514099815044*^9}, {
   3.629514960564515*^9, 3.629514964257133*^9}, {3.6306920572616787`*^9, 
   3.63069205893361*^9}, {3.63069211441219*^9, 3.6306921459290867`*^9}, {
   3.63069244475756*^9, 3.6306924754021893`*^9}, {3.630692510397421*^9, 
   3.630692511533091*^9}, 3.63069261200343*^9, {3.635134440600752*^9, 
   3.635134440668707*^9}, 3.637414520556348*^9, {3.6409907656463747`*^9, 
   3.640990770355609*^9}, {3.6419208234372683`*^9, 3.641920823788089*^9}, {
   3.641920939902602*^9, 3.641920942286872*^9}, 3.643365612836135*^9, {
   3.6433656857428503`*^9, 3.643365704199029*^9}, {3.645750123333292*^9, 
   3.645750124369317*^9}, 3.652662162472706*^9, {3.6572355411100903`*^9, 
   3.6572355595781593`*^9}, {3.657283067105133*^9, 3.657283123454186*^9}, {
   3.657283172783934*^9, 3.657283176819351*^9}, {3.657283320264789*^9, 
   3.657283452278459*^9}, {3.657283483232047*^9, 3.6572836108083973`*^9}, {
   3.657283659569491*^9, 3.657283661446677*^9}, {3.657283825283598*^9, 
   3.6572838261362133`*^9}, 3.657285275545643*^9, {3.657290973661153*^9, 
   3.657291035840029*^9}, {3.6572933103840227`*^9, 3.6572934893417397`*^9}, {
   3.657293556972157*^9, 3.6572936189356537`*^9}, {3.657293692823566*^9, 
   3.65729380472515*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 3 \[OpenCurlyDoubleQuote]", "Subsection"],
 "MzmlOffSetListCounter",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786160267218*^9, 3.6417861879608107`*^9}, 
   3.643365849013267*^9, {3.6457500222920523`*^9, 3.645750025972068*^9}, {
   3.648219111852404*^9, 3.648219112060206*^9}, 3.65430630417768*^9, {
   3.654310569414341*^9, 3.65431057157996*^9}, {3.655218494800693*^9, 
   3.6552184951963663`*^9}, 3.655218598958235*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6417861209175367`*^9, 3.641786133591012*^9}}],

Cell["\<\
MzmlOffSetListCounter [mzMLfilePath] 

mzMLfilePath is a constant that is set equel to mzML file path. \
MzmlOffSetListCounter output a list of offsets for {spectrum index, ms level, \
base peak m/z, scan start time, precursor, selected ion m/z, chromatogram \
index}. This list is latter used as an input for downstream functions.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.655221206030198*^9, 
   3.65522120904395*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlOffSetListCounter", "[", "mzMLfilePath_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"inputFile", "=", "mzMLfilePath"}], ",", "openFile", ",", 
      "filePath", ",", "streamingFile", ",", "spectrumIndex", ",", "msLevel", 
      ",", "massInfo", ",", "scanStartTime", ",", "preCursor", ",", 
      "selectedIon", ",", "chromatogramIndex", ",", "emptyList", ",", 
      "foundTagsAndAttributesOfIntrest", ",", "getThePosition", ",", 
      "processedInfo", ",", "masterList", ",", "offsetReturned"}], "}"}], ",",
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Make", " ", "an", " ", "empty", " ", "list", " ", "to", " ", "ppend", 
      " ", "to"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "setting", " ", "the", " ", "input", " ", "directory", " ", "to", " ", 
       "the", " ", "file", " ", "path"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "OpenRead", " ", "will", " ", "open", " ", "the", " ", "file", " ", 
        "that", " ", "its", " ", "path", " ", "is", " ", "set", " ", "to", 
        " ", "filePath"}], ",", " ", 
       RowBox[{
       "and", " ", "returns", " ", "an", " ", "input", " ", "stream", " ", 
        "object"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"streamingFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for", " ", 
        RowBox[{"an", " ", "'"}], "\"\<<spectrum index=\>\""}], ",", " ", 
       "\"\<ms level\>\"", ",", " ", "\"\<base peak m/z\>\"", ",", " ", 
       "\"\<scan start time\>\"", ",", " ", "\"\<scan start time\>\"", ",", 
       " ", "\"\<<precursor \>\"", ",", " ", "\"\<selected ion m/z\>\"", ",", 
       " ", 
       RowBox[{
        RowBox[{"\"\<<chromatogram index\>\"", "'"}], " ", "in", " ", "every",
         " ", "scan", " ", "and", " ", "\"\<<chromatogram index\>\"", " ", 
        "in", " ", "the", " ", 
        RowBox[{"file", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"spectrumIndex", "=", "\"\<<spectrum index=\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"msLevel", "=", "\"\<ms level\>\""}], ";", "\[IndentingNewLine]", 
     RowBox[{"massInfo", "=", "\"\<base peak m/z\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"scanStartTime", "=", "\"\<scan start time\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"preCursor", "=", "\"\<<precursor \>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"selectedIon", "=", "\"\<selected ion m/z\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"chromatogramIndex", "=", "\"\<<chromatogram index\>\""}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Sets", " ", "the", " ", "current", " ", "point", " ", "in", " ", "the",
        " ", "open", " ", "stream", " ", "to", " ", "the", " ", "integer", 
       " ", "1", " ", 
       "\"\<1 correspond to the beginning of the stream - 1st character in \
our file.\>\""}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "1"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", " ", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"While", " ", "test"}], "=", "True"}], ",", " ", 
       RowBox[{"evaluate", " ", "the", " ", "body"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "Find", " ", "takes", " ", "two", " ", "input", " ", "elements"}], 
         ",", " ", 
         RowBox[{"1", 
          RowBox[{"st", ":", " ", 
           RowBox[{"input", " ", "stream"}]}]}], ",", " ", 
         RowBox[{"2", 
          RowBox[{"nd", ":", " ", 
           RowBox[{
            RowBox[{
             RowBox[{"tags", "/", "attributes"}], " ", "of", " ", "intrest", 
             " ", "in", " ", "file"}], " ", "-", " ", 
            RowBox[{"givin", " ", "in", " ", "a", " ", "list"}], " ", "-", 
            " ", 
            RowBox[{
            "and", " ", "IgnoreCase", " ", "set", " ", "to", " ", "True", " ",
              "as", " ", "an", " ", 
             RowBox[{"option", "."}]}]}]}]}]}], "*)"}], 
       RowBox[{
        RowBox[{"foundTagsAndAttributesOfIntrest", "=", 
         RowBox[{"Find", "[", 
          RowBox[{"mzMLfilePath", ",", 
           RowBox[{"{", 
            RowBox[{
            "spectrumIndex", ",", "msLevel", ",", "massInfo", ",", 
             "scanStartTime", ",", "preCursor", ",", "selectedIon", ",", 
             "chromatogramIndex"}], "}"}], ",", 
           RowBox[{"IgnoreCase", "\[Rule]", "True"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"StreamPosition", "[", "mzMLfilePath", "]"}], " ", "to", 
          " ", "return", " ", "an", " ", "integer", " ", "that", " ", 
          "specifies", " ", "the", " ", "position", " ", "of", " ", "the", 
          " ", "found", " ", 
          RowBox[{"tags", "/", "attributes"}], " ", "of", " ", "intrest", " ",
           "in", " ", "the", " ", "open", " ", 
          RowBox[{"stream", "."}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"getThePosition", "=", 
         RowBox[{"StreamPosition", "[", "mzMLfilePath", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "If", " ", "statement", " ", "used", " ", "to", " ", "indicate", 
           " ", "one", " ", "end", " ", "of", " ", "file", " ", "is", " ", 
           "reached"}], ",", " ", 
          RowBox[{"then", " ", "break"}], ",", " ", 
          RowBox[{
          "otherwise", " ", "append", " ", "to", " ", "emptyList", " ", "a", 
           " ", "list", " ", "with", " ", "both", " ", "found", " ", "found", 
           " ", 
           RowBox[{"tags", "/", "attributes"}], " ", "of", " ", "intrest", 
           " ", "with", " ", "thier", " ", "position", " ", "in", " ", 
           "file"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
          "foundTagsAndAttributesOfIntrest", "\[Equal]", "EndOfFile"}], ",", 
          RowBox[{"Break", "[", "]"}], ",", ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", 
            RowBox[{"{", 
             RowBox[{
             "foundTagsAndAttributesOfIntrest", ",", "getThePosition"}], 
             "}"}]}], "]"}]}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "the", " ", "processedInfo", " ", "function", " ", "uses", " ", 
        "pattarn", " ", "matching", " ", "to", " ", "match", " ", "the", " ", 
        "fallowing", " ", "for", " ", "each", " ", "spactram", " ", "in", " ",
         "a", " ", "given", " ", 
        RowBox[{"file", ":", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{"\"\<Index\>\"", ",", " ", "\"\<Scan\>\""}], ")"}]}]}], ",",
        " ", 
       RowBox[{"(", "\"\<MS Level\>\"", ")"}], ",", " ", 
       RowBox[{"(", "\"\<BasePeakMass\>\"", ")"}], ",", " ", 
       RowBox[{"(", "\"\<Scan Start Time\>\"", ")"}], ",", " ", 
       RowBox[{"(", "\"\<PrecursorScan\>\"", ")"}], ",", " ", 
       RowBox[{
        RowBox[{"(", "\"\<SelectedIonMass\>\"", ")"}], " ", "and", " ", 
        RowBox[{"(", "\"\<Chromatogram index\>\"", ")"}], " ", "into", " ", 
        "the", " ", "extracted", " ", "elements", " ", "from", " ", "the", 
        " ", "while", " ", "loop", " ", "that", " ", "was", " ", "appended", 
        " ", "to", " ", "the", " ", "variable", " ", 
        RowBox[{"emptyList", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"processedInfo", "=", 
      RowBox[{"MapIndexed", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", 
            RowBox[{"(", 
             RowBox[{"StringCases", "[", 
              RowBox[{
               RowBox[{"#1", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<index=\\\"\>\"", "~~", 
                   RowBox[{"x", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<id=\\\"\>\"", "~~", 
                   RowBox[{"b", ":", 
                    RowBox[{"Shortest", "[", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "___", "~~", "\"\<\\\"\>\""}], ")"}], 
                    "]"}]}], "~~", "___"}], "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{
                   "\"\<index\>\"", ",", "x", ",", "\"\<id\>\"", ",", 
                    RowBox[{"\"\<\\\"\>\"", "~~", "b"}]}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<ms level\\\" value=\\\"\>\"", "~~", 
                   RowBox[{"c", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<ms level value\>\"", ",", "c"}], "}"}]}], ",",
                  "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                  "___", "~~", "\"\<base peak m/z\\\" value=\\\"\>\"", "~~", 
                   RowBox[{"d", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<base peak m/z value\>\"", ",", "d"}], "}"}]}],
                  ",", 
                 RowBox[{
                  RowBox[{
                  "___", "~~", "\"\<scan start time\\\" value=\\\"\>\"", "~~", 
                   RowBox[{"e", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<scan start time value\>\"", ",", "e"}], 
                   "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<precursor \>\"", "~~", 
                   RowBox[{"f", ":", 
                    RowBox[{"Longest", "[", 
                    RowBox[{"(", 
                    RowBox[{"__", "~~", "___", "~~", "\"\<\\\"\>\""}], ")"}], 
                    "]"}]}], "~~", "___"}], "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<precursor\>\"", ",", "f"}], "}"}]}], ",", 
                 RowBox[{
                  RowBox[{
                  "___", "~~", "\"\<selected ion m/z\\\" value=\\\"\>\"", "~~", 
                   RowBox[{"g", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\""}], "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<selected ion m/z value\>\"", ",", "g"}], 
                   "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<chromatogram index=\\\"\>\"", "~~", 
                   RowBox[{"h", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<chromatogram index\>\"", ",", "h"}], 
                   "}"}]}]}], "}"}]}], "]"}], ")"}], ",", "#2"}], "}"}], 
          "]"}], "&"}], ",", "emptyList"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"processedInfo", ",", "\"\<index\>\""}], "]"}], ":", " ", 
        RowBox[{
        "Find", " ", "each", " ", "scan", " ", "index", " ", "position", " ", 
         "in", " ", "every", " ", "list", " ", "of", " ", "lists", " ", "in", 
         " ", "the", " ", "processedInfo"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ":", " ", 
        RowBox[{
        "subtract", " ", "1", " ", "to", " ", "make", " ", "the", " ", "scan",
          " ", "index", " ", "position", " ", "that", " ", "is", " ", "one", 
         " ", "less", " ", "and", " ", "put", " ", "it", " ", "in", " ", "a", 
         " ", "list", " ", "with", " ", "its", " ", "original", " ", 
         "position"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"processedInfo", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"-", "1"}], "]"}], "]"}], ";;"}], "]"}], "]"}], ":", " ", 
        RowBox[{
        "to", " ", "account", " ", "for", " ", "the", " ", "total", " ", 
         "ion", " ", "chromatogram"}]}], ",", " ", 
       RowBox[{"we", " ", "take", " ", "it", " ", 
        RowBox[{"using", " ", "[", 
         RowBox[{"[", 
          RowBox[{"-", "1"}], "]"}], "]"}], " ", "since", " ", "TIC", " ", 
        "is", " ", "at", " ", "the", " ", "end", " ", "of", " ", "the", " ", 
        "list"}], " ", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Partition", "[", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"2", ";;", 
             RowBox[{"-", "2"}]}], "]"}], "]"}], ",", "2"}], "]"}], ":", " ", 
        
        RowBox[{
        "Partition", " ", "to", " ", "make", " ", "a", " ", "list", " ", "of",
          " ", "lists", " ", "that", " ", "each", " ", "one", " ", "of", " ", 
         "those", " ", "sublists", " ", "has", " ", "2", " ", "elements"}]}], 
       ",", " ", 
       RowBox[{
       "the", " ", "1", "st", " ", "one", " ", "correspond", " ", "to", " ", 
        "the", " ", "scan", " ", "index", " ", "position"}], ",", " ", 
       RowBox[{
       "and", " ", "the", " ", "2", "nd", " ", "one", " ", "is", " ", "the", 
        " ", "one", " ", "element", " ", "that", " ", "is", " ", "befor", " ",
         "the", " ", "next", " ", "scan", " ", "index"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Take", "[", 
         RowBox[{"processedInfo", ",", "#"}], "]"}], ":", " ", 
        RowBox[{
        "maping", " ", "all", " ", "the", " ", "partitioned", " ", "list", 
         " ", "of", " ", "lists", " ", "into", " ", 
         RowBox[{"processedInfo", "."}]}]}]}], "\[IndentingNewLine]", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"masterList", "=", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"Take", "[", 
                RowBox[{"processedInfo", ",", "#"}], "]"}], ")"}], "&"}], "/@", 
             RowBox[{"(", 
              RowBox[{"Partition", "[", 
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", 
                  RowBox[{"2", ";;", 
                   RowBox[{"-", "2"}]}], "]"}], "]"}], ",", "2"}], "]"}], 
              ")"}]}], ")"}], ",", 
           RowBox[{"{", 
            RowBox[{"processedInfo", "[", 
             RowBox[{"[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", 
                 RowBox[{"-", "1"}], "]"}], "]"}], ";;"}], "]"}], "]"}], 
            "}"}]}], "]"}], "&"}], "@", 
        RowBox[{"Flatten", "[", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ",", 
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], ")"}], "/@", 
           RowBox[{"Position", "[", 
            RowBox[{"processedInfo", ",", "\"\<index\>\""}], "]"}]}], ")"}], 
         "]"}]}], ")"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     
     RowBox[{"offsetReturned", "=", 
      RowBox[{"DeleteCases", "[", " ", 
       RowBox[{"masterList", ",", 
        RowBox[{"x_", "/;", 
         RowBox[{"MemberQ", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "5", ",", "7"}], "}"}], ",", 
           RowBox[{"Length", "[", "x", "]"}]}], "]"}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "offsetReturned", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.627747278667232*^9, 3.627747325927692*^9}, {
   3.6277473567558317`*^9, 3.6277473677301617`*^9}, {3.627747397754718*^9, 
   3.6277476665495987`*^9}, {3.627748133585965*^9, 3.62774817979379*^9}, {
   3.627748232049865*^9, 3.627748350989931*^9}, {3.627748591429089*^9, 
   3.627748611646343*^9}, {3.6277488822745857`*^9, 3.627748883328269*^9}, {
   3.6277489605929193`*^9, 3.627748965164798*^9}, {3.6277489988796*^9, 
   3.627749058696603*^9}, {3.627749093983308*^9, 3.627749127240272*^9}, {
   3.627749158023519*^9, 3.627749170556643*^9}, {3.627749207847104*^9, 
   3.627749256727154*^9}, 3.627750400083887*^9, {3.627750728285963*^9, 
   3.627750763991809*^9}, {3.627750798575696*^9, 3.627750840346032*^9}, {
   3.6277508721607924`*^9, 3.6277508932529287`*^9}, 3.627750928789721*^9, {
   3.62775098600203*^9, 3.627750993969741*^9}, 3.6277510566115723`*^9, {
   3.62775110837997*^9, 3.62775114781666*^9}, {3.627751181680369*^9, 
   3.6277511903121758`*^9}, {3.627751221057547*^9, 3.627751241326446*^9}, {
   3.627751930192397*^9, 3.627752035337366*^9}, {3.6277520656631603`*^9, 
   3.627752296788372*^9}, {3.627752392127283*^9, 3.627752392293893*^9}, 
   3.627752558144164*^9, {3.627752608540559*^9, 3.627752608666237*^9}, {
   3.627752908842143*^9, 3.6277529389745092`*^9}, {3.627753023421774*^9, 
   3.6277530743867817`*^9}, {3.627753113885611*^9, 3.627753187583187*^9}, {
   3.62775322642564*^9, 3.627753257765953*^9}, {3.627753302667329*^9, 
   3.627753382634591*^9}, {3.627753488099243*^9, 3.627753514388008*^9}, {
   3.627753579393242*^9, 3.627753624312179*^9}, {3.6277536923639803`*^9, 
   3.627753692724902*^9}, {3.62775375627582*^9, 3.627753817240335*^9}, {
   3.627753929759184*^9, 3.627753967382103*^9}, {3.627754006434103*^9, 
   3.627754079101746*^9}, {3.627754177226046*^9, 3.6277542263045464`*^9}, {
   3.627754262058517*^9, 3.627754354765163*^9}, {3.627754587601535*^9, 
   3.6277547402909822`*^9}, {3.627754836696471*^9, 3.6277549110399837`*^9}, {
   3.627754952743751*^9, 3.627755024918647*^9}, {3.627755688108924*^9, 
   3.627755727651559*^9}, {3.627755954125823*^9, 3.627755955011237*^9}, {
   3.627756201087592*^9, 3.627756210873559*^9}, {3.6277640569521303`*^9, 
   3.62776407504672*^9}, {3.6277641842087183`*^9, 3.627764204814386*^9}, {
   3.627764239029675*^9, 3.627764241836688*^9}, {3.6277643220444393`*^9, 
   3.627764322176712*^9}, {3.6277643740842447`*^9, 3.627764396218726*^9}, {
   3.627764571620582*^9, 3.627764601601492*^9}, {3.6277646601299763`*^9, 
   3.627764723194079*^9}, {3.6277648533361597`*^9, 3.627764889944496*^9}, {
   3.6277651515897617`*^9, 3.627765222245161*^9}, {3.627765286623219*^9, 
   3.6277653138695183`*^9}, {3.627765353735694*^9, 3.62776545574415*^9}, {
   3.627765497313817*^9, 3.627765588287428*^9}, {3.627765635045163*^9, 
   3.6277656355727673`*^9}, {3.627765689586771*^9, 3.627765734421113*^9}, {
   3.6277659270035677`*^9, 3.6277659387855186`*^9}, {3.627766006666588*^9, 
   3.627766093545775*^9}, {3.6277661377794943`*^9, 3.627766139533236*^9}, 
   3.62776639219118*^9, {3.627768703149043*^9, 3.62776870355781*^9}, {
   3.627770112279194*^9, 3.6277701555968513`*^9}, {3.627770259437545*^9, 
   3.627770274998067*^9}, {3.627770419906577*^9, 3.6277705374881907`*^9}, {
   3.62777111416101*^9, 3.627771139973752*^9}, {3.627771211083042*^9, 
   3.627771214342057*^9}, {3.627780696326034*^9, 3.627780710498592*^9}, {
   3.627929729759828*^9, 3.6279297897054977`*^9}, {3.6279298627697983`*^9, 
   3.627929868533709*^9}, {3.627930828903078*^9, 3.6279308922806873`*^9}, {
   3.627930970849401*^9, 3.627930975525693*^9}, {3.627932862283083*^9, 
   3.627932863008909*^9}, {3.6279329203238983`*^9, 3.6279329424278793`*^9}, 
   3.62793323607701*^9, {3.6279332776627903`*^9, 3.6279333715288877`*^9}, {
   3.627997961004217*^9, 3.627997977298276*^9}, {3.628008108208662*^9, 
   3.6280081087668457`*^9}, {3.6280117029206877`*^9, 3.628011704077536*^9}, {
   3.628052647552145*^9, 3.628052651686798*^9}, {3.628053861588161*^9, 
   3.628053862896493*^9}, {3.628053949024209*^9, 3.628053949770279*^9}, 
   3.6280539934483747`*^9, 3.62805405507876*^9, {3.628054199154152*^9, 
   3.628054206543016*^9}, {3.628055373218685*^9, 3.628055373652995*^9}, {
   3.628055408779812*^9, 3.628055423743228*^9}, {3.6280554785540257`*^9, 
   3.628055554133074*^9}, {3.628055624781679*^9, 3.628055625560557*^9}, {
   3.6280556977739162`*^9, 3.6280557023984013`*^9}, 3.628055779966208*^9, {
   3.628055848404956*^9, 3.628055958674559*^9}, {3.628137888594636*^9, 
   3.628138010740637*^9}, {3.628138192785269*^9, 3.628138223120942*^9}, {
   3.628138264300795*^9, 3.628138333285429*^9}, {3.628138382899026*^9, 
   3.628138401048593*^9}, {3.6281384335558977`*^9, 3.6281385096435966`*^9}, {
   3.628138583935178*^9, 3.6281386038623867`*^9}, 3.628307055515129*^9, {
   3.628307158859974*^9, 3.62830715958724*^9}, {3.628308344080266*^9, 
   3.628308369843899*^9}, {3.628308555906456*^9, 3.628308644348659*^9}, {
   3.628308751900082*^9, 3.628308853556856*^9}, {3.6283088957847567`*^9, 
   3.628308955112154*^9}, {3.6283090242615967`*^9, 3.628309029240237*^9}, {
   3.628309070794417*^9, 3.628309078836116*^9}, 3.628309116550334*^9, {
   3.6283091531321287`*^9, 3.628309209744596*^9}, {3.628309266402643*^9, 
   3.628309290725746*^9}, {3.6283114861361732`*^9, 3.628311501501075*^9}, 
   3.628311554616385*^9, {3.628338902088517*^9, 3.628339286058579*^9}, 
   3.6283393251832027`*^9, {3.628339971739215*^9, 3.628339995187051*^9}, 
   3.6283562985786*^9, {3.628708612990963*^9, 3.628708622971485*^9}, {
   3.628708676465392*^9, 3.628708830974894*^9}, {3.628708862407447*^9, 
   3.628708951702973*^9}, {3.62870906259518*^9, 3.628709167706359*^9}, {
   3.628709201195435*^9, 3.628709209402885*^9}, {3.628709650127871*^9, 
   3.628709665438053*^9}, {3.628709809470632*^9, 3.628709852129202*^9}, {
   3.628709979773717*^9, 3.62871001385557*^9}, {3.6287101091093693`*^9, 
   3.6287101223765593`*^9}, {3.628710408979165*^9, 3.628710429255238*^9}, {
   3.62871046801448*^9, 3.6287105621956673`*^9}, {3.62871063404208*^9, 
   3.628710637897387*^9}, 3.628755962173972*^9, {3.628755992844152*^9, 
   3.628755993128417*^9}, 3.6287606925431004`*^9, {3.62887737780481*^9, 
   3.628877460927297*^9}, 3.628881645347126*^9, {3.6295490775410633`*^9, 
   3.62954913385844*^9}, {3.630693463156122*^9, 3.6306934739382267`*^9}, {
   3.630693547191306*^9, 3.6306935561605873`*^9}, {3.636810709249291*^9, 
   3.6368107349840813`*^9}, {3.636810769294565*^9, 3.636810845400298*^9}, {
   3.6368109877856607`*^9, 3.6368109967611637`*^9}, {3.636811063388886*^9, 
   3.6368111173725452`*^9}, {3.636811153929241*^9, 3.636811159457423*^9}, 
   3.6368112298629932`*^9, 3.636811368444399*^9, {3.6368190792244463`*^9, 
   3.6368191029724493`*^9}, {3.636819157354682*^9, 3.636819158123653*^9}, 
   3.63682408925159*^9, {3.636824316221581*^9, 3.636824318244425*^9}, {
   3.6368243643189163`*^9, 3.636824365180868*^9}, {3.636824569722516*^9, 
   3.636824588911626*^9}, 3.636826100692071*^9, {3.636847557957163*^9, 
   3.636847564698825*^9}, 3.636847599771306*^9, {3.637344564963276*^9, 
   3.63734460639373*^9}, {3.637344645296133*^9, 3.63734480791759*^9}, {
   3.6373448722357264`*^9, 3.637344876218234*^9}, {3.637344908362648*^9, 
   3.6373449503278522`*^9}, {3.637344983376977*^9, 3.6373450095917053`*^9}, 
   3.6373450764508553`*^9, {3.6374309995465603`*^9, 3.637431006191403*^9}, 
   3.637431195206541*^9, {3.6374494781380587`*^9, 3.637449482295804*^9}, {
   3.637451347148786*^9, 3.637451381668365*^9}, {3.637503074347003*^9, 
   3.637503082284328*^9}, {3.637503198577961*^9, 3.6375032345706873`*^9}, {
   3.63750330438975*^9, 3.63750331312488*^9}, {3.637503421780498*^9, 
   3.63750343742141*^9}, {3.637503489704317*^9, 3.6375035035821447`*^9}, {
   3.6375037623459578`*^9, 3.637503850077681*^9}, {3.637503882027625*^9, 
   3.63750391365516*^9}, {3.637503974478552*^9, 3.637503994853121*^9}, {
   3.637504045472088*^9, 3.6375040459371653`*^9}, 3.637504119077553*^9, {
   3.637504154297599*^9, 3.637504154479189*^9}, 3.6375041853546743`*^9, {
   3.637506057968438*^9, 3.6375061033321333`*^9}, {3.637506165615684*^9, 
   3.637506174801764*^9}, {3.637510281632327*^9, 3.637510293274625*^9}, {
   3.637510513294001*^9, 3.6375105453171377`*^9}, 3.637510583861999*^9, {
   3.637518438390667*^9, 3.63751844122928*^9}, {3.637519121079273*^9, 
   3.6375191749195547`*^9}, 3.640987273426853*^9, {3.640987550807917*^9, 
   3.6409875525639353`*^9}, {3.64098758745009*^9, 3.640987666959745*^9}, {
   3.6409877183049507`*^9, 3.640987768492832*^9}, {3.640987830315311*^9, 
   3.6409878455462914`*^9}, {3.6409881511217203`*^9, 3.640988174371232*^9}, {
   3.640988244839283*^9, 3.640988317492799*^9}, {3.64098923534299*^9, 
   3.640989241220972*^9}, {3.640989282079752*^9, 3.640989347860464*^9}, {
   3.640989573332642*^9, 3.640989638972066*^9}, {3.6409906443135023`*^9, 
   3.6409906613344173`*^9}, {3.640990725192821*^9, 3.6409907253227053`*^9}, {
   3.640990809526963*^9, 3.640990813413456*^9}, {3.640996873231715*^9, 
   3.640996888361876*^9}, 3.641407718678255*^9, {3.641920931341277*^9, 
   3.641920931731062*^9}, {3.64192098818384*^9, 3.6419209951377277`*^9}, {
   3.6427810047849073`*^9, 3.642781011926365*^9}, {3.6427810498679323`*^9, 
   3.6427810672909527`*^9}, {3.642861157949458*^9, 3.642861158369893*^9}, {
   3.6457457106831284`*^9, 3.645745714112064*^9}, {3.6457501310962057`*^9, 
   3.645750131355979*^9}, {3.647585127248138*^9, 3.6475851369842243`*^9}, 
   3.649509117831203*^9, {3.654310141641322*^9, 3.6543101455523033`*^9}, {
   3.654353891954783*^9, 3.654353910998074*^9}, {3.654354117166553*^9, 
   3.654354121601976*^9}, {3.654354217125924*^9, 3.654354313348216*^9}, {
   3.654354348231291*^9, 3.6543543786623087`*^9}, 3.6545334848696127`*^9, {
   3.6545355263294563`*^9, 3.654535551611204*^9}, 3.655221211029591*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 4 ", "Subsection"],
 "\[OpenCurlyDoubleQuote]",
 "MzmlSpectrumSelector",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6417862159116087`*^9, 3.641786230632104*^9}, {
   3.648219113852263*^9, 3.6482191140041924`*^9}, 3.6554040666679277`*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641769240276496*^9, 3.6417693142481337`*^9}, 
   3.6417862378214607`*^9}],

Cell["\<\
MzmlSpectrumSelector [fileNameI, ScanMSLevel, \[OpenCurlyDoubleQuote]Yes/No \
precursor-ion\[CloseCurlyDoubleQuote], ScanTimeMin, ScanTimeMax, ScanMassMin, \
ScanMassMax] 

fileNameI is a constant that is set equel to function 3 \
\[OpenCurlyDoubleQuote]MzmlOffSetListCounter\[CloseCurlyDoubleQuote]. \
MzmlSpectrumSelector output a list of selected spectra based on user inputs. \
User will then selected any spectra of intrest from the output list of \
spectras.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.655221206030198*^9, 
   3.65522120904395*^9}, {3.655416029427524*^9, 3.6554160711976767`*^9}, {
   3.655416136179695*^9, 3.65541636917528*^9}, {3.655416481299302*^9, 
   3.65541655558216*^9}, {3.655417762979504*^9, 3.6554177633795357`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumSelector", "[", 
   RowBox[{
   "fileNameI_", ",", "msLevel_", ",", "preCursor_", ",", "timeMin_", ",", 
    "timeMax_", ",", "massMin_", ",", "massMax_"}], "]"}], ":=", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"spectraMSLevel", "=", "msLevel"}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"spectramPRECursor", "=", "preCursor"}], ",", 
      "\[IndentingNewLine]", "basePeakOrPrecursorMass", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"N", "[", "expr", "]"}], "gives", " ", "a", " ", "machine"}],
         "\[Hyphen]", 
        RowBox[{"precision", " ", "number"}], ",", 
        RowBox[{
         RowBox[{
         "so", " ", "long", " ", "as", " ", "its", " ", "magnitude", " ", 
          "is", " ", "between", " ", "$MinMachineNumber", " ", "and", " ", 
          RowBox[{"$MaxMachineNumber", ".", " ", "$MinMachineNumber"}], " ", 
          "is", " ", "the", " ", "smallest", " ", "hardware", " ", 
          "floating"}], "-", 
         RowBox[{"point", " ", "number", " ", 
          RowBox[{"(", 
           RowBox[{"10", "^", 
            RowBox[{"-", "308"}]}], ")"}]}]}], ",", " ", 
        RowBox[{
        "and", " ", "$MaxMachineNumber", " ", "is", " ", "the", " ", 
         "largest", " ", "hardware", " ", "floating", " ", "point", " ", 
         "number", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"10", "^", "308"}], ")"}], "."}]}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"scanTimeMin", "=", 
       RowBox[{"N", "[", "timeMin", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"scanTimeMax", "=", 
       RowBox[{"N", "[", "timeMax", "]"}]}], ",", "\[IndentingNewLine]", 
      "scanLocator", ",", "mapPositions", ",", "scanTimeLocator", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"spectramassMin", "=", 
       RowBox[{"N", "[", "massMin", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"spectramassMax", "=", 
       RowBox[{"N", "[", "massMax", "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"inputFile", "=", "fileNameI"}], ",", "offsetLimited", ",", 
      "specMin"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Searching", " ", "by", " ", "Spectrum", " ", "MS", " ", "Level"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "\"\<spectraMSLevel\>\"", " ", "is", " ", "the", " ", "spectrum", " ", 
       "ms", " ", "level"}], ",", " ", 
      RowBox[{"it", " ", "can", " ", "be", " ", "0"}], ",", "1", ",", "2", 
      ",", "3", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"...", ".", " ", "\"\<spectramPRECursor\>\""}], " ", "is", 
        " ", "the", " ", "spectrum", " ", "pre"}], "-", 
       RowBox[{
       "cursor", " ", "meaning", " ", "that", " ", "is", " ", "the", " ", 
        "parent", " ", "spectrum", " ", "for", " ", "a", " ", "selected", " ", 
        RowBox[{"spectrum", ".", " ", "\"\<spectramPRECursor\>\""}], " ", 
        "should", " ", "always", " ", "be", " ", "set", " ", "to", " ", 
        "\"\<No precursor-ion\>\"", " ", "unless", " ", "spectraMSLevel", " ",
         "is", " ", "set", " ", "to", " ", "2", " ", "or", " ", 
        RowBox[{
        "higher", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "Using"}], " ", "Which", " ", "statment", " ", "to", " ", "evalute", 
        " ", "the", " ", "the", " ", "user", " ", 
        RowBox[{"inputs", ".", " ", "Spectrum"}], " ", "with", " ", "ms", " ",
         "level"}], " ", "-", 
       RowBox[{"user", " ", "input"}], " ", "-", " ", 
       RowBox[{"less", " ", "than", " ", "2"}]}], ",", " ", 
      RowBox[{"\"\<No precursor-ion\>\"", " ", "is", " ", "used"}], ",", " ", 
      
      RowBox[{
       RowBox[{
       "since", " ", "any", " ", "ms", " ", "level", " ", "less", " ", "than",
         " ", "2", " ", "has", " ", "no", " ", "parent", " ", 
        RowBox[{"spectrum", ".", " ", "And"}], " ", "we", " ", "search", " ", 
        "for", " ", "them", " ", "by", " ", "base", " ", "peak", " ", 
        "mass"}], " ", "-", " ", 
       RowBox[{"inputed", " ", "by", " ", "the", " ", "user"}], "-", "  ", 
       RowBox[{"hint", ":", " ", 
        RowBox[{
         RowBox[{
          RowBox[{"\"\<base peak m/z value\>\"", ".", " ", "Spectrum"}], " ", 
          "with", " ", "ms", " ", "level"}], " ", "-", " ", 
         RowBox[{"user", " ", "input"}], " ", "-", " ", 
         RowBox[{"more", " ", "or", " ", "equal", " ", "to", " ", "2"}]}]}]}],
       ",", " ", 
      RowBox[{"\"\<Yes precursor-ion\>\"", " ", "is", " ", "used"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"instead", ".", " ", "Any"}], " ", "ms", " ", "level", " ", 
        "greater", " ", "than", " ", "2", " ", "will", " ", "have", " ", "a", 
        " ", "parent", " ", "spectrum", " ", "that", " ", "it", " ", "came", 
        " ", 
        RowBox[{"from", " ", "'"}], 
        RowBox[{
         RowBox[{"fragmentation", "'"}], ".", " ", "We"}], " ", "then", " ", 
        "search", " ", "by", " ", "selected", " ", "ion", " ", "mass"}], " ", 
       "-", " ", 
       RowBox[{"user", " ", "input"}], " ", "-", " ", 
       RowBox[{"correspond", " ", "to", " ", "the", " ", 
        RowBox[{"\"\<selected ion m/z value\>\"", "."}]}]}]}], "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"spectraMSLevel", "\[Equal]", "0"}], "&&", 
          RowBox[{
          "spectramPRECursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}], "||", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"spectraMSLevel", "\[Equal]", "1"}], "&&", 
          RowBox[{
          "spectramPRECursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}], "||", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"spectraMSLevel", "\[GreaterEqual]", "2"}], "&&", 
          RowBox[{
          "spectramPRECursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}]}], ",", 
       RowBox[{
       "basePeakOrPrecursorMass", "=", "\"\<base peak m/z value\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"spectraMSLevel", "\[GreaterEqual]", "2"}], "&&", 
         RowBox[{
         "spectramPRECursor", "\[Equal]", "\"\<Yes precursor-ion\>\""}]}], 
        ")"}], ",", 
       RowBox[{
       "basePeakOrPrecursorMass", "=", "\"\<selected ion m/z value\>\""}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "If", " ", "user", " ", "sets", " ", "minimal", " ", "spectrum", " ", 
        "mass", " ", "to", " ", "0"}], ",", " ", 
       RowBox[{
        RowBox[{"replace", " ", "\"\<spectramassMin\>\"", " ", "to", " ", 
         RowBox[{"specMin", ".", " ", "specMin"}]}], "=", 
        RowBox[{"10", "^", 
         RowBox[{"-", "300"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"specMin", "=", 
      RowBox[{"10", "^", 
       RowBox[{"-", "300"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Search", " ", "by", " ", "scan", " ", "time", " ", "only", " ", 
       "given", " ", "the", " ", "MS", " ", "level", " ", "preference"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"spectramassMin", "==", "0."}], ",", 
       RowBox[{"spectramassMin", "=", "specMin"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"1", "st", " ", "searching", " ", "by", " ", "scan", " ", 
         RowBox[{"time", ":", " ", 
          RowBox[{
          "user", " ", "input", " ", "for", " ", "time", " ", "range", " ", 
           "while", " ", "the", " ", "mass", " ", "range", " ", "is", " ", 
           "unchanging"}]}]}], ",", " ", 
        RowBox[{
        "search", " ", "by", " ", "unchanged", " ", "mass", " ", "followed", 
         " ", "by", " ", "user", " ", "time", " ", 
         RowBox[{"input", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"scan", " ", "'"}], 
         RowBox[{"minimal", "'"}], " ", "time", " ", "not", " ", "equal", " ",
          "to", " ", "0", " ", "and", " ", 
         RowBox[{"scan", " ", "'"}], 
         RowBox[{"maximal", "'"}], " ", "time", " ", "not", " ", "equal", " ",
          "to", " ", "1000000"}], ")"}], "*)"}], 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"!", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"scanTimeMin", "==", "0."}], "&&", 
            RowBox[{"scanTimeMax", "==", "1000000."}]}], ")"}]}], ")"}], "&&",
         "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"scan", " ", "'"}], 
            RowBox[{"minimal", "'"}], " ", "mass", " ", "equal", " ", "to", 
            " ", "specMin"}], " ", "-", " ", "specMin"}], "=", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"-", "300"}]}], " ", "-", " ", 
           RowBox[{"and", " ", 
            RowBox[{"scan", " ", "'"}], 
            RowBox[{"maximal", "'"}], " ", "mass", " ", "equal", " ", "to", 
            " ", "1000000"}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"spectramassMin", "==", "specMin"}], "&&", 
          RowBox[{"spectramassMax", "==", "1000000."}]}], ")"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"offsetLimited", "=", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{"(*", 
           RowBox[{
           "Mapping", " ", "the", " ", "\"\<base peak m/z value\>\"", " ", 
            "positions", " ", "into", " ", "the", " ", "list", " ", "of", " ",
             "offsets"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"inputFile", "[", 
             RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
             RowBox[{"\"\<base peak m/z value\>\"", "."}]}], " ", "*)"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Position", "[", 
               RowBox[{"inputFile", ",", 
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                   "basePeakOrPrecursorMass"}]}]}], ",", "2", ",", 
                RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}], ")"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{"(*", 
           RowBox[{
           "Mapping", " ", "the", " ", "\"\<scan start time value\>\"", " ", 
            RowBox[{"(", 
             RowBox[{
             "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
              " ", "based", " ", "on", " ", "user", " ", "scan", " ", "time", 
              " ", "input"}], ")"}], " ", "positions", " ", "into", " ", 
            "the", " ", "list", " ", "of", " ", "offsets"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"offsetLimited", "[", 
             RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
             "\"\<scan start time value\>\"", " ", "given", " ", "the", " ", 
             "user", " ", "scanTimeMin", " ", "and", " ", "scanTimeMax", " ", 
             
             RowBox[{"input", "."}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Position", "[", 
               RowBox[{"offsetLimited", ",", 
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                   "\"\<scan start time value\>\""}], "&&", " ", 
                  RowBox[{"(", 
                   RowBox[{"scanTimeMin", "\[LessEqual]", " ", 
                    RowBox[{"ToExpression", "[", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", 
                    " ", "scanTimeMax"}], ")"}]}]}], ",", "2", ",", 
                RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}], ")"}]}]}], 
       ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"2", "nd", " ", "searching", " ", "by", " ", "scan", " ", 
          RowBox[{"mass", ":", " ", 
           RowBox[{
           "user", " ", "input", " ", "for", " ", "mass", " ", "range", " ", 
            "while", " ", "the", " ", "time", " ", "range", " ", "is", " ", 
            "unchanging"}]}]}], ",", " ", 
         RowBox[{
         "search", " ", "by", " ", "unchanged", " ", "time", " ", "followed", 
          " ", "by", " ", "user", " ", "mass", " ", 
          RowBox[{"input", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"minimal", "'"}], " ", "time", " ", "is", " ", "set", " ", 
          "equal", " ", "to", " ", "0", " ", "and", " ", 
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"maximal", "'"}], " ", "time", " ", "is", " ", "set", " ", 
          "equal", " ", "to", " ", "1000000"}], ")"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"scanTimeMin", "==", "0."}], "&&", 
          RowBox[{"scanTimeMax", "==", "1000000."}]}], ")"}], "&&", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"scan", " ", "'"}], 
            RowBox[{"minimal", "'"}], " ", "mass", " ", "not", " ", "equal", 
            " ", "to", " ", "specMin"}], " ", "-", " ", "specMin"}], "=", 
          RowBox[{
           RowBox[{"10", "^", 
            RowBox[{"-", "300"}]}], " ", "-", " ", 
           RowBox[{"and", " ", 
            RowBox[{"scan", " ", "'"}], 
            RowBox[{"maximal", "'"}], " ", "mass", " ", "not", " ", "equal", 
            " ", "to", " ", "1000000"}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{"!", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"spectramassMin", "==", "specMin"}], "&&", 
            RowBox[{"spectramassMax", "==", "1000000."}]}], ")"}]}], ")"}]}], 
       ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Mapping", " ", "the", " ", "basePeakOrPrecursorMass", " ", 
          RowBox[{"(", 
           RowBox[{
           "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
            " ", "based", " ", "on", " ", "user", " ", "mass", " ", "input"}],
            ")"}], " ", "positions", " ", "into", " ", "the", " ", "list", 
          " ", "of", " ", "offsets"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"inputFile", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
           "basePeakOrPrecursorMass", " ", "given", " ", "the", " ", "user", 
           " ", "spectramassMin", " ", "and", " ", "spectramassMax", " ", 
           RowBox[{"input", "."}]}], "*)"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"inputFile", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "basePeakOrPrecursorMass"}], " ", "&&", " ", 
               RowBox[{"spectramassMin", "\[LessEqual]", " ", 
                RowBox[{"ToExpression", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ", 
                "spectramassMax"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "3", "rd", " ", "searching", " ", "by", " ", "both", " ", "scan", " ",
          "mass", " ", "and", " ", 
         RowBox[{"time", ":", " ", 
          RowBox[{
          "user", " ", "input", " ", "mass", " ", "range", " ", "and", " ", 
           "time", " ", 
           RowBox[{"range", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"searching", " ", "by", " ", "a", " ", "mass", " ", "range"}],
         "*)"}], 
       RowBox[{
        RowBox[{"offsetLimited", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"inputFile", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"inputFile", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "basePeakOrPrecursorMass"}], " ", "&&", " ", 
               RowBox[{"(", 
                RowBox[{"spectramassMin", "\[LessEqual]", " ", 
                 RowBox[{"ToExpression", "[", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ",
                  "spectramassMax"}], ")"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "searching", " ", "the", " ", "outcome", " ", "of", " ", "the", " ",
            "mass", " ", "range", " ", "search"}], ",", " ", 
          RowBox[{
          "searching", " ", "by", " ", "a", " ", "time", " ", "range"}]}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"scanLocator", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"offsetLimited", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"offsetLimited", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "\"\<scan start time value\>\""}], "&&", " ", 
               RowBox[{"(", 
                RowBox[{"scanTimeMin", "\[LessEqual]", " ", 
                 RowBox[{"ToExpression", "[", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ",
                  "scanTimeMax"}], ")"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"spectraMSLevel", "\[Equal]", "0"}], ",", "Null", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Mapping", " ", "the", " ", "MS", " ", "Level", " ", 
          RowBox[{"(", 
           RowBox[{
           "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
            " ", "based", " ", "on", " ", "user", " ", "MS", " ", "Level", 
            " ", "input"}], ")"}], " ", "positions", " ", "into", " ", "the", 
          " ", "scanLocator"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"scanLocator", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
           "spectraMSLevel", " ", "given", " ", "the", " ", "user", " ", 
           "scan", " ", "ms", " ", "level", " ", 
           RowBox[{"input", "."}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"scanLocator", ",", " ", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], " ", "&&", " ", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "==", 
                "\"\<ms level value\>\""}], "&&", " ", 
               RowBox[{
                RowBox[{"ToExpression", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "]"}], "==", 
                "spectraMSLevel"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "scanLocator", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641743446782213*^9, 3.64174351988588*^9}, {
   3.641743574222355*^9, 3.641743620774713*^9}, {3.641743679235153*^9, 
   3.641743689868759*^9}, {3.6417437665632753`*^9, 3.641743773113587*^9}, {
   3.64174392389174*^9, 3.641744004401307*^9}, {3.641744084607725*^9, 
   3.6417441099111013`*^9}, {3.64174417738647*^9, 3.6417442128570137`*^9}, 
   3.641744305929069*^9, {3.64174435101723*^9, 3.641744755477147*^9}, {
   3.641744803447239*^9, 3.64174482193242*^9}, 3.641744890031507*^9, {
   3.641744981363821*^9, 3.64174503148678*^9}, {3.641745075183827*^9, 
   3.6417451413660316`*^9}, {3.641745273561163*^9, 3.6417452955184183`*^9}, {
   3.6417456768608503`*^9, 3.641745868374943*^9}, {3.641749940107997*^9, 
   3.6417501146511507`*^9}, {3.641750319649766*^9, 3.641750322117537*^9}, {
   3.6417503971113167`*^9, 3.6417503992181177`*^9}, {3.641750463006051*^9, 
   3.6417504699232607`*^9}, {3.641750590560914*^9, 3.641750622650743*^9}, {
   3.641750748596859*^9, 3.64175075616927*^9}, {3.641750996760996*^9, 
   3.641751013277869*^9}, {3.641751211996821*^9, 3.6417513840690107`*^9}, {
   3.641751478518512*^9, 3.641751488841346*^9}, {3.6417515310001993`*^9, 
   3.6417515460820627`*^9}, {3.641751585220311*^9, 3.6417515887851*^9}, {
   3.641751636315823*^9, 3.641751698156227*^9}, {3.641751730998287*^9, 
   3.6417517352351313`*^9}, 3.6417517672929573`*^9, {3.641751857048582*^9, 
   3.641751900751987*^9}, {3.641751935391432*^9, 3.641751946331193*^9}, {
   3.641752005461399*^9, 3.641752177476638*^9}, {3.6417522871827908`*^9, 
   3.641752417967052*^9}, {3.641752454859408*^9, 3.6417525421753197`*^9}, {
   3.641752587808261*^9, 3.641752599686501*^9}, {3.641752637313158*^9, 
   3.641752643642364*^9}, {3.641752685550335*^9, 3.6417527035573807`*^9}, {
   3.641752736690652*^9, 3.641752886848949*^9}, {3.6417529245845213`*^9, 
   3.641752982734159*^9}, {3.641753030455617*^9, 3.641753135739684*^9}, {
   3.6417531730195427`*^9, 3.64175318569128*^9}, {3.641753299743355*^9, 
   3.641753306454295*^9}, {3.641753337041298*^9, 3.641753363080579*^9}, {
   3.641753436375969*^9, 3.641753540657775*^9}, 3.641753607539525*^9, {
   3.641753637670113*^9, 3.641753679713492*^9}, {3.641753912433942*^9, 
   3.641753960723534*^9}, {3.6417540330675583`*^9, 3.641754060178198*^9}, {
   3.64175415356398*^9, 3.641754160887505*^9}, {3.6417542447132597`*^9, 
   3.641754266365489*^9}, {3.64175432039645*^9, 3.641754338477386*^9}, {
   3.6417543976252947`*^9, 3.641754410785376*^9}, {3.6417544914166117`*^9, 
   3.641754506575511*^9}, {3.641754740954837*^9, 3.6417547600079393`*^9}, {
   3.641754808271146*^9, 3.6417548243193808`*^9}, {3.641754946328576*^9, 
   3.641755064560276*^9}, 3.641755229986133*^9, {3.6417555259033947`*^9, 
   3.641755529687195*^9}, {3.641755570773789*^9, 3.641755579908019*^9}, {
   3.64175569792974*^9, 3.64175572942033*^9}, 3.6417558207219048`*^9, {
   3.641755865420445*^9, 3.6417558698802834`*^9}, {3.6417559902660713`*^9, 
   3.641755991355174*^9}, {3.6417567120030327`*^9, 3.641756725807205*^9}, {
   3.6417567586782503`*^9, 3.641756882937234*^9}, 3.641756944989985*^9, 
   3.641757006793414*^9, {3.641757084707436*^9, 3.641757112189178*^9}, {
   3.641757159300528*^9, 3.64175724109042*^9}, {3.6417572828423653`*^9, 
   3.64175730550846*^9}, {3.641757344998046*^9, 3.6417573727997503`*^9}, 
   3.6417574093983107`*^9, {3.641757764889789*^9, 3.6417578327389936`*^9}, {
   3.6417579497848787`*^9, 3.641757951477078*^9}, {3.641757984372868*^9, 
   3.64175799333602*^9}, {3.6417581476070747`*^9, 3.641758149226162*^9}, {
   3.6417586810936403`*^9, 3.6417587584484777`*^9}, 3.641758825300565*^9, {
   3.641758876186306*^9, 3.6417589762405148`*^9}, {3.6417590175004587`*^9, 
   3.64175903828752*^9}, {3.6417590780852327`*^9, 3.641759086197885*^9}, {
   3.6417591557044687`*^9, 3.6417591818700037`*^9}, {3.641759225884634*^9, 
   3.641759250051436*^9}, {3.641759283499859*^9, 3.641759364188985*^9}, {
   3.641759411065175*^9, 3.641759439435957*^9}, {3.64175952759466*^9, 
   3.641759538892786*^9}, {3.641759579953265*^9, 3.641759588105769*^9}, {
   3.641759687274448*^9, 3.641759688574683*^9}, {3.641759728487832*^9, 
   3.6417597296853857`*^9}, {3.64175981229329*^9, 3.641759840905298*^9}, 
   3.641759897134594*^9, {3.641759952522298*^9, 3.641759991439724*^9}, 
   3.6417600245583563`*^9, {3.6417600879574213`*^9, 3.641760088498938*^9}, {
   3.641760191024633*^9, 3.641760315931613*^9}, 3.641760361984892*^9, {
   3.641760514261723*^9, 3.6417606174779663`*^9}, {3.6417607218888693`*^9, 
   3.641760722295807*^9}, {3.6417607735058317`*^9, 3.64176077384925*^9}, {
   3.641761338581357*^9, 3.641761405719051*^9}, {3.641761580388426*^9, 
   3.641761605817141*^9}, {3.641761758755196*^9, 3.6417617734623747`*^9}, {
   3.64176180899802*^9, 3.6417618111412373`*^9}, {3.641761928722715*^9, 
   3.6417619442766247`*^9}, {3.64176215807235*^9, 3.6417621958953876`*^9}, {
   3.6417625162339783`*^9, 3.641762522709937*^9}, {3.6417625802441063`*^9, 
   3.641762587651051*^9}, {3.6417626895692472`*^9, 3.641762715597393*^9}, {
   3.6417627828663683`*^9, 3.641762820699902*^9}, {3.641762871832899*^9, 
   3.641762872135522*^9}, 3.6417629050796633`*^9, {3.641762942179167*^9, 
   3.641762951068778*^9}, {3.641763010009413*^9, 3.641763068921378*^9}, {
   3.641763107421506*^9, 3.6417631520020247`*^9}, {3.641763227001409*^9, 
   3.6417633508310823`*^9}, {3.6417633833272676`*^9, 3.641763388639381*^9}, {
   3.6417634298031607`*^9, 3.641763526837071*^9}, {3.641763557337974*^9, 
   3.641763563614781*^9}, {3.641763646243547*^9, 3.6417636614191103`*^9}, {
   3.64176385263695*^9, 3.641763857245058*^9}, {3.6417639060224524`*^9, 
   3.6417639214129066`*^9}, {3.641764422716357*^9, 3.641764460993154*^9}, {
   3.641764491519988*^9, 3.641764676302064*^9}, {3.641764725880205*^9, 
   3.6417647571144876`*^9}, {3.641764943457799*^9, 3.641764946430682*^9}, {
   3.6417651706530857`*^9, 3.641765171865705*^9}, {3.641921036166285*^9, 
   3.641921049405775*^9}, {3.642871916409298*^9, 3.642871936807969*^9}, {
   3.645744534321434*^9, 3.645744544356909*^9}, {3.6457457371435747`*^9, 
   3.6457457385733557`*^9}, {3.6482047813778553`*^9, 3.648204786227652*^9}, {
   3.64820482453132*^9, 3.6482048336990633`*^9}, {3.648205105433402*^9, 
   3.648205121159396*^9}, {3.648212008048867*^9, 3.648212096832757*^9}, {
   3.648212127697516*^9, 3.64821215940096*^9}, 3.648212205920548*^9, {
   3.6482123265989122`*^9, 3.648212349589826*^9}, {3.648212411744331*^9, 
   3.648212467547736*^9}, 3.648212510574746*^9, 3.648212656981257*^9, {
   3.648212709690734*^9, 3.64821271233908*^9}, {3.648212747675*^9, 
   3.648212758234908*^9}, 3.648212793706464*^9, {3.6482129120810823`*^9, 
   3.6482129392168837`*^9}, {3.64821299004104*^9, 3.648212996423625*^9}, {
   3.648213120496078*^9, 3.648213147558367*^9}, {3.648213309468932*^9, 
   3.648213340333549*^9}, {3.648213378452832*^9, 3.6482133789406633`*^9}, {
   3.648213419534659*^9, 3.648213435534499*^9}, {3.648213473548683*^9, 
   3.6482134737072973`*^9}, {3.64821361206112*^9, 3.648213614293017*^9}, {
   3.648213742050128*^9, 3.648213770777111*^9}, {3.648213945657332*^9, 
   3.648213947079537*^9}, 3.6482141114005423`*^9, 3.648214172695703*^9, {
   3.648214225662835*^9, 3.6482142317407227`*^9}, {3.6482143051900454`*^9, 
   3.648214316125114*^9}, {3.6482143650759573`*^9, 3.648214379605754*^9}, {
   3.6482144665949*^9, 3.6482144875474453`*^9}, {3.648214896152938*^9, 
   3.648214939018149*^9}, 3.64821584682475*^9, 3.648215882166563*^9, {
   3.6482159433932247`*^9, 3.648215945071363*^9}, {3.648295364741845*^9, 
   3.6482954593112*^9}, 3.649965141429784*^9, {3.6501091229950047`*^9, 
   3.6501091726066427`*^9}, {3.650109274575612*^9, 3.6501092877316647`*^9}, {
   3.650109613570331*^9, 3.650109634768108*^9}, {3.650109716916855*^9, 
   3.650109766489719*^9}, {3.6501104180271273`*^9, 3.650110515079907*^9}, {
   3.650111156607594*^9, 3.650111156839252*^9}, {3.650111248227161*^9, 
   3.650111257778713*^9}, {3.650111386829379*^9, 3.6501113875477*^9}, {
   3.650111667652791*^9, 3.650111677789226*^9}, {3.650111806120933*^9, 
   3.650111821911633*^9}, {3.650111982655953*^9, 3.650111984262779*^9}, {
   3.6553184543744497`*^9, 3.655318472084429*^9}, 3.655336902915011*^9, 
   3.655350465545637*^9, {3.655350526633335*^9, 3.655350601677415*^9}, {
   3.6553506609350967`*^9, 3.655350912864077*^9}, {3.655395248524695*^9, 
   3.655395280305212*^9}, 3.655395326680599*^9, {3.655396508443964*^9, 
   3.6553965248173637`*^9}, 3.655396572102475*^9, 3.6553981037787533`*^9, {
   3.6553982567282133`*^9, 3.655398264982017*^9}, {3.655398414271866*^9, 
   3.655398435885035*^9}, {3.655398492851667*^9, 3.65539853273843*^9}, {
   3.655398566344042*^9, 3.6553985765295153`*^9}, {3.65539863743484*^9, 
   3.655398896151705*^9}, {3.6553998552764263`*^9, 3.655399863538238*^9}, {
   3.655399990397665*^9, 3.6554000689995413`*^9}, {3.6554014658082438`*^9, 
   3.655401670029387*^9}, {3.655401785561142*^9, 3.655401787517809*^9}, {
   3.6554027436125183`*^9, 3.655402811758877*^9}, {3.655403402344586*^9, 
   3.65540348603677*^9}, 3.655403567103863*^9, {3.6554036726583138`*^9, 
   3.655403770457967*^9}, {3.655403815028221*^9, 3.655403846496361*^9}, {
   3.657283141088869*^9, 3.657283145375824*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 5 \[OpenCurlyDoubleQuote]MzmlGetSpectraMSLevel\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786496664751*^9, 3.641786536756065*^9}, {
   3.641786604968555*^9, 3.641786607944331*^9}, {3.6418226962396584`*^9, 
   3.641822697695777*^9}, {3.6418411209665956`*^9, 3.641841124854703*^9}, 
   3.645750008204919*^9, {3.648219115564006*^9, 3.648219115715993*^9}, 
   3.655417125515172*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643365919669235*^9, 3.643365923980094*^9}}],

Cell["\<\
MzmlGetSpectraMSLevel [selected spectrum] 

selected spectrum is a user selected scan that is used as an input for this \
function i. MzmlSpectrumSelector will then return the scan ms level.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.655221206030198*^9, 
   3.65522120904395*^9}, {3.655416029427524*^9, 3.6554160711976767`*^9}, {
   3.655416136179695*^9, 3.65541636917528*^9}, {3.655416481299302*^9, 
   3.65541655558216*^9}, {3.6554176002554903`*^9, 3.655417691195199*^9}, {
   3.6554177313351183`*^9, 3.655417740829039*^9}, {3.6554178361404333`*^9, 
   3.6554179057005787`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlGetSpectraMSLevel", "[", "spectramIndexList_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"outPutMSLevel", ",", "\[IndentingNewLine]", 
      RowBox[{"msLevel", "=", "spectramIndexList"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "find", " ", "\"\<ms level value\>\"", " ", "in", " ", "a", " ", 
      "selected", " ", "scan", " ", "using", " ", "Cases"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"outPutMSLevel", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"msLevel", ",", 
        RowBox[{
         RowBox[{"x_", "/;", 
          RowBox[{
           RowBox[{"x", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "==", 
           "\"\<ms level value\>\""}]}], "\[RuleDelayed]", 
         RowBox[{"x", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"returing", " ", "the", " ", "ms", " ", "level"}], ",", " ", 
       RowBox[{"e", ".", "g", ".", " ", 
        RowBox[{"{", "\"\<1\>\"", "}"}]}], ",", " ", 
       RowBox[{"{", "\"\<2\>\"", "}"}], ",", "..."}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "outPutMSLevel", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6418402459484863`*^9, 3.641840388325573*^9}, 
   3.641841136871498*^9, {3.641921164629537*^9, 3.641921165300231*^9}, 
   3.6425979383276978`*^9, {3.6430680145417213`*^9, 3.64306804003995*^9}, {
   3.6430682025899963`*^9, 3.643068213690062*^9}, {3.645745766965304*^9, 
   3.645745769074026*^9}, 3.655415559497261*^9, 3.655415937184619*^9, {
   3.6554167450955963`*^9, 3.655416841786148*^9}, {3.655416877776471*^9, 
   3.655416906397663*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 6 \[OpenCurlyDoubleQuote]MzmlSpectrumMassTimeAssociation\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786257198228*^9, 3.641786266414279*^9}, {
   3.6433659364636087`*^9, 3.643365943722633*^9}, 3.6433696391319447`*^9, 
   3.6457500035572863`*^9, {3.648219117572057*^9, 3.648219117755994*^9}, 
   3.655474830933302*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641411435039171*^9, 3.6414114375671673`*^9}, {
   3.641416628830303*^9, 3.641416631436202*^9}, {3.64141760888323*^9, 
   3.6414176101551247`*^9}, 3.6417854015954313`*^9, 3.641786296962433*^9, 
   3.642289110995357*^9}],

Cell["\<\
MzmlSpectrumMassTimeAssociation [listOfselectedSpectrums, \
selectedIonMassOrBasePeakMass]

MzmlSpectrumMassTimeAssociation makes an association between the spectra and \
their respacted {\[OpenCurlyDoubleQuote]selected ion m/z value\
\[CloseCurlyDoubleQuote],  \[OpenCurlyDoubleQuote]scan start time value\
\[CloseCurlyDoubleQuote], \[OpenCurlyDoubleQuote]ms level value\
\[CloseCurlyDoubleQuote]} if True used as an input and {\
\[OpenCurlyDoubleQuote]base peak m/z value\[CloseCurlyDoubleQuote],  \
\[OpenCurlyDoubleQuote]scan start time value\[CloseCurlyDoubleQuote], \
\[OpenCurlyDoubleQuote]ms level value\[CloseCurlyDoubleQuote]} if False is \
used, instead. Keep in mind, if no \[OpenCurlyDoubleQuote]selected ion m/z \
value\[CloseCurlyDoubleQuote] in a selected spectrum, yet True is used as an \
input for, the association will be between the spectra and their respacted {\
\[OpenCurlyDoubleQuote]scan start time value\[CloseCurlyDoubleQuote], \
\[OpenCurlyDoubleQuote]ms level value\[CloseCurlyDoubleQuote]} .\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.655467472707732*^9, 3.655467705556078*^9}, {
  3.655467790591708*^9, 3.655467949433461*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumMassTimeAssociation", "[", 
   RowBox[{
   "listOfselectedSpectrums_", ",", "selectedIonMassOrBasePeakMass_"}], "]"}],
   ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"selectInput", ",", "\[IndentingNewLine]", 
      RowBox[{"inputSelectedSpectrums", "=", "listOfselectedSpectrums"}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"TrueOrFalseForInput", "=", "selectedIonMassOrBasePeakMass"}], 
      ",", "\[IndentingNewLine]", "dynamicalyChanging"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"selectInput", "=", "\[IndentingNewLine]", 
     RowBox[{"Association", "@@", "\[IndentingNewLine]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"#", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "->", 
              RowBox[{"#", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "}"}], " ", "is", " ", 
            "reversed", " ", "becasue", " ", "manipulate", " ", "uses", " ", 
            "the", " ", "reversed", " ", "form"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "\[Rule]", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ToExpression", "[", "#", "]"}], "&"}], "/@", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], "&"}], "/@", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Transpose", " ", "the", " ", "above", " ", "three", " ", 
          RowBox[{"together", "."}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Transpose", "[", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"(*", 
               RowBox[{
               "Output", " ", "either", " ", "\"\<selected ion m/z value\>\"",
                 " ", "or", " ", "\"\<base peak m/z value\>\"", " ", "masses", 
                RowBox[{"(", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ")"}], " ", "if", " ", 
                "True", " ", "or", " ", "False", " ", 
                RowBox[{"respectively", "."}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "User", " ", "will", " ", "be", " ", "able", " ", "to", 
                    " ", "navigate", " ", "the", " ", "spectra", " ", "by", 
                    " ", "searching", " ", "using", " ", 
                    "\"\<selected ion m/z value\>\"", " ", "or", " ", 
                    RowBox[{"\"\<base peak m/z value\>\"", ".", " ", "If"}], 
                    " ", "click", " ", "\"\<selected ion m/z value\>\"", " ", 
                    "in", " ", "viewer", " ", "interface"}], ",", " ", 
                    RowBox[{"then", " ", "is", " ", 
                    RowBox[{"True", ".", " ", "If"}], " ", "click", " ", 
                    "\"\<base peak m/z value\>\""}], ",", " ", 
                    RowBox[{"then", " ", "that", " ", "is", " ", 
                    RowBox[{"false", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"TrueOrFalseForInput", "\[Equal]", "True"}], ",", 
                    "\"\<selected ion m/z value\>\"", ",", 
                    "\"\<base peak m/z value\>\""}], "]"}]}]}], 
                  "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], ",", 
               RowBox[{"(*", 
                RowBox[{
                "Output", " ", "the", " ", "\"\<scan start time value\>\""}], 
                "*)"}], "\[IndentingNewLine]", 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\"\<scan start time value\>\""}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{"Output", " ", "the", " ", "\"\<ms level value\>\""}],
                 "*)"}], "\[IndentingNewLine]", 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", 
                    "\"\<ms level value\>\""}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}]}], 
              "}"}], "&"}], "/@", "\[IndentingNewLine]", 
            "inputSelectedSpectrums"}], ",", "inputSelectedSpectrums"}], 
          "}"}], "]"}]}], ")"}]}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.642531396451969*^9, 3.642531407185597*^9}, {
   3.6426059424085417`*^9, 3.642605947899259*^9}, {3.6426061141962557`*^9, 
   3.642606124154831*^9}, 3.642772112266685*^9, 3.642808585466201*^9, {
   3.642873017491021*^9, 3.642873079435275*^9}, {3.642873144325618*^9, 
   3.642873215003083*^9}, {3.642873264061514*^9, 3.642873298008052*^9}, {
   3.6428739551971483`*^9, 3.642873996725904*^9}, {3.642874035418643*^9, 
   3.642874043537528*^9}, {3.642874142194828*^9, 3.642874239728437*^9}, {
   3.642874292846792*^9, 3.642874319363306*^9}, {3.642874378684005*^9, 
   3.642874395558522*^9}, {3.642874745248723*^9, 3.642874763302456*^9}, {
   3.642874816147204*^9, 3.642874858506433*^9}, 3.642874902721312*^9, 
   3.642875002713357*^9, {3.642875042924687*^9, 3.642875043146317*^9}, {
   3.642875112074422*^9, 3.642875132062277*^9}, 3.643365941351014*^9, {
   3.643369644713848*^9, 3.64336964846089*^9}, 3.64336970077455*^9, {
   3.6433847410426273`*^9, 3.643384747243288*^9}, {3.645745787434635*^9, 
   3.645745789695269*^9}, 3.648401725846826*^9, {3.649089447673009*^9, 
   3.6490894497754517`*^9}, 3.655423848171999*^9, 3.655424169468051*^9, {
   3.655465122994891*^9, 3.6554651261288843`*^9}, {3.655465470361199*^9, 
   3.655465482350732*^9}, {3.655465521749503*^9, 3.655465587601573*^9}, {
   3.655465622417408*^9, 3.655465653480588*^9}, 3.655466994156508*^9, {
   3.6554671303564577`*^9, 3.655467132379468*^9}, {3.655467263854445*^9, 
   3.655467345209092*^9}, {3.655467377297023*^9, 3.655467406508984*^9}, {
   3.655467721023789*^9, 3.6554677254774237`*^9}, {3.655474518852397*^9, 
   3.6554745297938023`*^9}, 3.65547456610633*^9, 3.6554784009707947`*^9, {
   3.655478587333075*^9, 3.655478609249839*^9}, 3.6554786659350567`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Function 7 \[OpenCurlyDoubleQuote]MzmlGetChromatogramTIC\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6431288408727007`*^9, 3.643128860424983*^9}, {
   3.6431301391657887`*^9, 3.6431301504843082`*^9}, 3.643366077531563*^9, 
   3.64574997978283*^9, {3.6482191193880577`*^9, 3.648219119604044*^9}, 
   3.65551081814744*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643366081007958*^9, 3.643366083534976*^9}}],

Cell["\<\
MzmlGetChromatogramTIC[offsetListForChromatogram]:

MzmlGetChromatogramTIC takes one input and that is constant mzMLoffsetList. \
It output the \[OpenCurlyDoubleQuote]TIC\[CloseCurlyDoubleQuote] location.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.655510669548345*^9, 3.655510771564794*^9}, 
   3.6555112111755943`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlGetChromatogramTIC", "[", "offsetListForChromatogram_", "]"}], 
  ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"outPut", ",", 
      RowBox[{"chromatogram", "=", "offsetListForChromatogram"}]}], "}"}], 
    ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"outPut", "=", 
      RowBox[{"(*", 
       RowBox[{
       "take", " ", "the", " ", "last", " ", "element", " ", "in", " ", 
        "that", " ", 
        RowBox[{"last", ".", " ", 
         RowBox[{"Indexing", " ", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}]}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Last", "[", "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{"(*", 
          RowBox[{"find", " ", "all", " ", 
           RowBox[{"id", "'"}], "s", " ", "in", " ", "the", " ", "off", " ", 
           "set", " ", "list"}], "*)"}], 
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"#", ",", 
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "4", "]"}], "]"}], "==", "\"\<id\>\""}]}]}], 
             ",", "2"}], "]"}], "&"}], "/@", "chromatogram"}], ")"}], "]"}], 
       "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", 
      RowBox[{"{", "outPut", "}"}], "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643128731579235*^9, 3.643128805309569*^9}, {
   3.643128868445503*^9, 3.6431289209807262`*^9}, {3.643128991002548*^9, 
   3.6431289981858997`*^9}, {3.6431290368010387`*^9, 3.643129074683804*^9}, 
   3.643130163557922*^9, {3.643366073858622*^9, 3.6433660742725286`*^9}, {
   3.645749377436007*^9, 3.6457493789051037`*^9}, {3.645749646067361*^9, 
   3.645749646448636*^9}, {3.655509866168592*^9, 3.6555098916307287`*^9}, {
   3.655510133189834*^9, 3.6555101341082*^9}, {3.655510566741622*^9, 
   3.6555106080290947`*^9}, {3.655510660659371*^9, 3.655510680868704*^9}, {
   3.655510956247938*^9, 3.655510956557288*^9}, {3.655511216334565*^9, 
   3.6555112256684227`*^9}, 3.656550791600548*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 8 \[OpenCurlyDoubleQuote]MzmlTotalIonChromatogram\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.641841054270846*^9, 3.641841092712202*^9, {3.643129465669064*^9, 
   3.64312947013968*^9}, 3.643366104234706*^9, 3.6457499622401943`*^9, {
   3.648219121491946*^9, 3.648219121764065*^9}, 3.655517247458124*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643366116782077*^9, 3.6433661193089743`*^9}}],

Cell["\<\
MzmlTotalIonChromatogram [fileName, selectedChromatogram]

MzmlTotalIonChromatogram takes two inputs and they are constant mzMLfilePath \
and the chromatogram position assigned to ChromatogramTICPosition. It outputs \
the \[OpenCurlyDoubleQuote]TIC\[CloseCurlyDoubleQuote] binary information.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.655510669548345*^9, 3.655510771564794*^9}, {
  3.656551049243621*^9, 3.6565511666282063`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlTotalIonChromatogram", "[", 
   RowBox[{"fileName_", ",", "selectedChromatogram_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"streamingFile", ",", "\[IndentingNewLine]", 
      RowBox[{"inputFile", "=", "fileName"}], ",", "\[IndentingNewLine]", 
      RowBox[{"ChromatogramPosition", "=", 
       RowBox[{"selectedChromatogram", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      "whatIReadIn", ",", "\[IndentingNewLine]", "emptyList", ",", 
      "\[IndentingNewLine]", "joiningListToString", ",", 
      "\[IndentingNewLine]", "binaryDATAArray"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "OpenRead", " ", "will", " ", "open", " ", "the", " ", "file", " ", 
       "that", " ", "its", " ", "path", " ", "set", " ", "to", " ", 
       "filePath"}], ",", " ", 
      RowBox[{
      "and", " ", "return", " ", "an", " ", "input", " ", "stream", " ", 
       "object"}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"streamingFile", "=", 
      RowBox[{"OpenRead", "[", "inputFile", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Setting", " ", "the", " ", "streaming", " ", "position", " ", "to", 
       " ", "the", " ", "chromatogram", " ", "position", " ", "output", " ", 
       "by", " ", 
       RowBox[{"MzmlGetChromatogramTIC", "[", "mzMLoffsetList", "]"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"inputFile", ",", "ChromatogramPosition"}], "]"}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Clossing", " ", "tag", " ", "that", " ", "must", " ", "be", " ", "use",
        " ", "in", " ", "order", " ", "to", " ", "parse", " ", "the", " ", 
       "chromatogram", " ", "in", " ", "mathematica"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"whatIReadIn", "=", "\"\<</chromatogram>\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Opening", " ", "tag", " ", "that", " ", "must", " ", "be", " ", "use", 
       " ", "in", " ", "order", " ", "to", " ", "parse", " ", "the", " ", 
       "chromatogram", " ", "in", " ", "mathematica"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "\"\<<chromatogram>\>\"", "}"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"While", " ", "test"}], "=", "True"}], ",", " ", 
       RowBox[{"evaluate", " ", "the", " ", "body"}]}], "*)"}], "\n", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Read", " ", "takes", " ", "two", " ", "inputs"}], ",", " ", 
         
         RowBox[{"1", 
          RowBox[{"st", ":", " ", 
           RowBox[{"input", " ", "stream"}]}]}], ",", " ", 
         RowBox[{"2", 
          RowBox[{"nd", ":", " ", 
           RowBox[{"specified", " ", "type", " ", "of", " ", "intrest"}]}]}], 
         ",", " ", 
         RowBox[{
         "Record", " ", "represent", " ", "a", " ", "sequence", " ", "of", 
          " ", "characters", " ", "delimited", " ", "by", " ", "record", " ", 
          
          RowBox[{"separators", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"whatIReadIn", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"streamingFile", ",", " ", "Record"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "Append", " ", "every", " ", "line", " ", "to", " ", "the", " ", 
          "emptylist"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"emptyList", ",", "whatIReadIn"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "If", " ", "statement", " ", "used", " ", "so", " ", "when", " ", 
           "chromatogram", " ", "is", " ", "reached"}], ",", " ", 
          RowBox[{"then", " ", "break"}], ",", " ", 
          RowBox[{
          "otherwise", " ", "append", " ", "to", " ", "emptyList", " ", "a", 
           " ", "list", " ", "with", " ", "both", " ", "found", " ", "found", 
           " ", 
           RowBox[{"tags", "/", "attributes"}], " ", "of", " ", "intrest", 
           " ", "with", " ", "thier", " ", "position", " ", "in", " ", 
           "file"}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCases", "[", 
             RowBox[{"whatIReadIn", ",", 
              RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
           "\"\<chromatogram\>\""}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "trims", " ", "whitespace", " ", "from", " ", "the", " ", "beginning", 
        " ", "and", " ", "end", " ", "of", " ", "the", " ", "string"}], ",", 
       " ", 
       RowBox[{
       "join", " ", "and", " ", "then", " ", "import", " ", "the", " ", 
        "data", " ", "in", " ", "the", " ", "\"\<XML\>\"", " ", "format", " ",
         "from", " ", "a", " ", 
        RowBox[{"string", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"joiningListToString", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"StringTrim", "[", "#", "]"}], "&"}], "/@", "emptyList"}], 
         "]"}], ",", "\"\<XML\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
       "Constant", " ", "binaryDATAArray", " ", "serve", " ", "as", " ", "a", 
        " ", "storage", " ", "for", " ", "element"}], " ", "<", 
       "binaryDataArray", ">", " ", 
       RowBox[{"in", " ", "a", " ", "selected", " ", 
        RowBox[{"scan", ".", " ", "Element"}]}], " ", "<", "binaryDataArray", 
       ">", " ", 
       RowBox[{
       "is", " ", "where", " ", "a", " ", "binary", " ", "data", " ", 
        "arrays", " ", "are", " ", "located", " ", "for", " ", "a", " ", 
        "given", " ", "spectrum", " ", 
        RowBox[{"scan", ".", " ", "Data"}], " ", "point", " ", "arrays", " ", 
        "for", " ", "default", " ", "data", " ", "arrays", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"m", "/", "z"}], ",", " ", "intensity"}], ")"}], "."}]}]}],
       "\[IndentingNewLine]", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"binaryDATAArray", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"joiningListToString", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<binaryDataArray\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "binaryDATAArray", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6426000479150743`*^9, 3.642600050254987*^9}, {
   3.642601826283291*^9, 3.6426018280317297`*^9}, {3.6426021529416237`*^9, 
   3.6426021534872828`*^9}, 3.642773652408805*^9, {3.64277370729849*^9, 
   3.642773712332197*^9}, {3.6427737898249807`*^9, 3.642773804206815*^9}, {
   3.643119940952285*^9, 3.643119942237174*^9}, {3.643120272098332*^9, 
   3.643120273076182*^9}, {3.643120429258985*^9, 3.643120449868617*^9}, {
   3.6431294876271667`*^9, 3.64312948812359*^9}, {3.643129519053338*^9, 
   3.643129600130334*^9}, 3.643129717992581*^9, {3.643129845930833*^9, 
   3.643129874817564*^9}, 3.643129939508033*^9, {3.643130003594387*^9, 
   3.643130032198551*^9}, {3.645749388473752*^9, 3.645749403456048*^9}, {
   3.645749493721078*^9, 3.645749502493205*^9}, 3.65551725001834*^9, 
   3.655517282449347*^9, {3.655517313607175*^9, 3.6555173172216682`*^9}, {
   3.655517636587364*^9, 3.655517640123695*^9}, {3.655517692859334*^9, 
   3.655517748100071*^9}, 3.656550820215783*^9, 3.688152951165753*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 9 \[OpenCurlyDoubleQuote]MzmlGetPrecursorSpectraAtMSLevel\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6476591237478857`*^9, 3.647659128133491*^9}, 
   3.6478788003289213`*^9, {3.648219123692058*^9, 3.648219123851894*^9}, 
   3.6571337985295153`*^9, 3.65713384879418*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{3.6476591366033697`*^9}],

Cell["\<\
MzmlGetPrecursorSpectraAtMSLevel [mzMLOffSetList, selectedSpectraOfIntrestII] 

mzMLOffSetList is a constant that is set equel to mzML offset list and \
selectedSpectraOfIntrestII is the user selected spectrum. \
MzmlGetPrecursorSpectraAtMSLevel output a list of spectra. This list is \
latter used as an input for downstream functions.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.6552215300775023`*^9, 
   3.6552215321004963`*^9}, {3.657133523223942*^9, 3.6571336051594257`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlGetPrecursorSpectraAtMSLevel", "[", 
   RowBox[{"mzMLOffSetList_", ",", "selectedSpectraOfIntrestII_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"(*", 
      RowBox[{
      "offSetList", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "1", 
       "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
       "and", " ", "that", " ", "is", " ", "\"\<mzMLoffsetList\>\""}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"offSetList", "=", "mzMLOffSetList"}], ",", 
      "\[IndentingNewLine]", "selectedScanPosition", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "findMS1", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "2", 
        "nd", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"findMS1", "=", "selectedSpectraOfIntrestII"}], ",", 
      "\[IndentingNewLine]", "positionsReturned", ",", "\[IndentingNewLine]", 
      "positionsInListOfLists", ",", "\[IndentingNewLine]", "AllScans"}], 
     "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "add", " ", "user", " ", "selected", " ", "spectum", " ", "to", " ", "a",
       " ", "list"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"positionsReturned", "=", 
      RowBox[{"{", "findMS1", "}"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"selectedScanPosition", "=", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "using", " ", "StringCases", " ", "and", " ", "pattern", " ", 
            "object", " ", "that", " ", "matches", " ", "the", " ", "longest",
             " ", "sequence", " ", "consistent", " ", "with", " ", "the", " ",
             "pattern", " ", "\[IndentingNewLine]", "\"\<\\\"\>\""}], "~~", 
           "__", "~~", 
           RowBox[{
           "\"\<\\\"\>\"", " ", "and", " ", "this", " ", "will", " ", "be", 
            " ", "used", " ", "as", " ", "a", " ", "referance", " ", "to", 
            " ", "search", " ", "the", " ", "of", " ", "1", "st", " ", 
            "input", " ", "\"\<mzMLoffsetList\>\"", " ", "to", " ", "find", 
            " ", "the", " ", "parent", " ", "spectrum"}]}], "*)"}], 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Flatten", "[", 
             RowBox[{"StringCases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"___", "~~", "\"\<=\>\"", "~~", 
                 RowBox[{"pre", ":", 
                  RowBox[{"Longest", "[", 
                   RowBox[{"\"\<\\\"\>\"", "~~", "__", "~~", "\"\<\\\"\>\""}],
                    "]"}]}], "~~", "___"}], "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\<precursor scan number\>\"", ",", "pre"}], 
                 "}"}]}]}], "]"}], "]"}], "[", 
            RowBox[{"[", "2", "]"}], "]"}], "&"}], "@", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "use", " ", "Cases", " ", "to", " ", "find", " ", "the", " ", 
            "\"\<precursor\>\"", " ", "tag", " ", "in", " ", "the", " ", 
            "user", " ", "selected", " ", 
            RowBox[{"spectrum", "."}]}], "*)"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Cases", "[", 
               RowBox[{"#", ",", 
                RowBox[{
                 RowBox[{"x_", "/;", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", 
                   "\"\<precursor\>\""}]}], "\[RuleDelayed]", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
              RowBox[{"[", "1", "]"}], "]"}], "&"}], "@", "findMS1"}], 
           ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"positionsReturned", ",", "selectedScanPosition"}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "find", " ", "the", " ", "position", " ", "of", " ", 
          "selectedScanPosition", " ", "in", " ", "the", " ", "offSetList"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"positionsInListOfLists", "=", 
         RowBox[{
          RowBox[{"Position", "[", 
           RowBox[{"offSetList", ",", "selectedScanPosition"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "find", " ", "the", " ", "parent", " ", "spectrum", " ", "for", " ", 
          "a", " ", "given", " ", "positionsInListOfLists"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"findMS1", "=", 
         RowBox[{"offSetList", "[", 
          RowBox[{"[", "positionsInListOfLists", "]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "if", " ", "no", " ", "\"\<precursor\>\"", " ", "tag", " ", "found", 
          " ", "then", " ", "break"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"(*", 
          RowBox[{
          "using", " ", "Cases", " ", "to", " ", "find", " ", "the", " ", 
           "\"\<precursor\>\"", " ", "tag", " ", "in", " ", "the", " ", 
           "parent", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"findMS1", ",", 
             RowBox[{
              RowBox[{"x_", "/;", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "==", 
                "\"\<precursor\>\""}]}], "\[RuleDelayed]", 
              RowBox[{"x", "[", 
               RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], 
           "\[Equal]", 
           RowBox[{"{", "}"}]}], ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"AllScans", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"offSetList", "[", 
         RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "get", " ", "the", " ", "Position", " ", "of", " ", "both", " ", 
          "the", " ", "user", " ", "selected", " ", "spectrum", " ", "and", 
          " ", "the", " ", "parent", " ", "spectrum", " ", "of", " ", "the", 
          " ", "user", " ", "selected", " ", "spectrum"}], ",", " ", 
         RowBox[{
         "and", " ", "you", " ", "do", " ", "that", " ", "by", " ", "maping", 
          " ", "positionsReturned", " ", "into", " ", "the", " ", 
          "offSetList"}]}], "*)"}], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Position", "[", 
             RowBox[{"offSetList", ",", "#"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ")"}], "&"}], "/@", 
         "positionsReturned"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "AllScans", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.649087154988554*^9, 3.6490871680516243`*^9}, {
   3.649087295243421*^9, 3.6490873279327602`*^9}, {3.6490874999459553`*^9, 
   3.6490875042724867`*^9}, {3.64908947754737*^9, 3.649089500225181*^9}, {
   3.657036431003304*^9, 3.657036459544713*^9}, 3.657036866557683*^9, 
   3.6570415197099657`*^9, 3.6570415688439007`*^9, 3.657041641480925*^9, {
   3.65713226587319*^9, 3.657132377074725*^9}, {3.657132480468624*^9, 
   3.657132545092823*^9}, 3.6571334720027657`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 10 \[OpenCurlyDoubleQuote]MzmlGetMSSpectraLocationAndBinary\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.641841054270846*^9, 3.641841092712202*^9, 3.6433661309444923`*^9, 
   3.645749967015458*^9, {3.648219126675777*^9, 3.6482191270758123`*^9}, 
   3.65721415849479*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433661359249897`*^9, 3.643366138412483*^9}}],

Cell["\<\
MzmlGetMSSpectraLocationAndBinary[fileName, selectedSpectraOfIntrest]

MzmlGetMSSpectraLocationAndBinary function takes two inputs. The first inpout \
is the constant that is set to the file path. The second input is the list \
where the spectrum index location is located.  The function will output the \
entier scan includs all cvParams and binary information. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657214032025425*^9, 3.657214037577135*^9}, {
  3.657214069026415*^9, 3.657214102455497*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlGetMSSpectraLocationAndBinary", "[", 
   RowBox[{"fileName_", ",", "selectedSpectraOfIntrest_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"streamingFile", ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "inputFile", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "1", 
        "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "\"\<mzMLfilePath\>\""}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"inputFile", "=", "fileName"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "findMS", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "2", 
        "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"findMS", "=", 
       RowBox[{"selectedSpectraOfIntrest", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      "whatIReadIn", ",", "emptyList", ",", "joiningListToString", ",", 
      "binaryDATAArray"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{
       "open", " ", "an", " ", "mzML", " ", "file", " ", "that", " ", "is", 
        " ", "set", " ", "equal", " ", "to"}], " ", "<", "mzMLfilePath", ">", 
       " ", 
       RowBox[{"and", " ", "read", " ", "data", " ", "from", " ", "it"}]}], 
      ",", 
      RowBox[{
      "and", " ", "return", " ", "an", " ", "input", " ", "stream", " ", 
       RowBox[{"object", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"streamingFile", "=", 
      RowBox[{"OpenRead", "[", "inputFile", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "set", " ", "the", " ", "steaming", " ", "postion", " ", "to", " ", 
       "the", " ", "location", " ", "of", " ", "the", " ", "selected", " ", 
       "spectrum", " ", "index", " ", "location", " ", "that", " ", "was", 
       " ", "past", " ", "to", " ", "this", " ", "function", " ", "as", " ", 
       "a", " ", "second", " ", "input"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"inputFile", ",", "findMS"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"whatIReadIn", "=", "\"\<</spectrum>\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "list", " ", "with", " ", "the", " ", "spectrum", " ", "closing", " ", 
        "tag"}], " ", "<", "spectrum", ">", " ", 
       RowBox[{
       "in", " ", "order", " ", "to", " ", "convert", " ", "the", " ", 
        "selected", " ", "spectrum", " ", "to", " ", 
        RowBox[{"mathematica", "'"}], "s", " ", "XML", " ", "format"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "\"\<<spectrum>\>\"", "}"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"While", " ", "test"}], "=", "True"}], ",", " ", 
       RowBox[{"evaluate", " ", "the", " ", "body"}]}], "*)"}], "\n", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", 
       RowBox[{
        RowBox[{"whatIReadIn", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"streamingFile", ",", " ", "Record"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"emptyList", ",", "whatIReadIn"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "if", " ", "statment", " ", "to", " ", "break", " ", "the", " ", 
          "loop", " ", "once", " ", "spectrum", " ", "is", " ", "found"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCases", "[", 
             RowBox[{"whatIReadIn", ",", 
              RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<spectrum\>\""}], 
          ",", 
          RowBox[{"Break", "[", "]"}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "import", " ", "the", " ", "scan", " ", "to", " ", "mathematica", " ", 
       "XML", " ", "format"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"joiningListToString", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"StringTrim", "[", "#", "]"}], "&"}], "/@", "emptyList"}], 
         "]"}], ",", "\"\<XML\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "joiningListToString", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6426000479150743`*^9, 3.642600050254987*^9}, {
   3.642601826283291*^9, 3.6426018280317297`*^9}, {3.6426021529416237`*^9, 
   3.6426021534872828`*^9}, 3.642773652408805*^9, {3.64277370729849*^9, 
   3.642773712332197*^9}, {3.6427737898249807`*^9, 3.642773804206815*^9}, {
   3.643119940952285*^9, 3.643119942237174*^9}, {3.643120272098332*^9, 
   3.643120273076182*^9}, {3.643120429258985*^9, 3.643120449868617*^9}, {
   3.643129705045558*^9, 3.643129706212592*^9}, {3.643129808199727*^9, 
   3.643129819157598*^9}, {3.645749531795686*^9, 3.6457495769581842`*^9}, {
   3.64788068422134*^9, 3.6478806854756804`*^9}, {3.647880859388218*^9, 
   3.647880860442168*^9}, {3.6478809664429207`*^9, 3.647880984824342*^9}, {
   3.64821898242592*^9, 3.6482190435203323`*^9}, {3.6490895154766417`*^9, 
   3.6490895163459463`*^9}, 3.651608274031266*^9, {3.65162633373746*^9, 
   3.651626435148389*^9}, {3.651626619210031*^9, 3.651626735657401*^9}, {
   3.651626770079762*^9, 3.651626803461144*^9}, {3.6516288631518*^9, 
   3.651629187672921*^9}, {3.651629255390065*^9, 3.6516292748832006`*^9}, {
   3.657154368661907*^9, 3.657154369542759*^9}, {3.657154650009413*^9, 
   3.6571546682384577`*^9}, {3.657212680520465*^9, 3.657212719560845*^9}, {
   3.657212767157248*^9, 3.657212829969783*^9}, {3.657213722733535*^9, 
   3.657213723037324*^9}, {3.657213797890033*^9, 3.657213860846076*^9}, {
   3.657214177472836*^9, 3.657214178221306*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 11 \[OpenCurlyDoubleQuote]MzmlSpectrumPlotLabels\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6516082987305613`*^9, 3.6516083081691504`*^9}, 
   3.652533366959242*^9, 3.657225097613027*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.651608313641322*^9, 3.651608318672854*^9}}],

Cell["\<\
MzmlSpectrumPlotLabels [fileName, selectedSpectraOfIntrest, dictionaryFunction]

MzmlSpectrumPlotLabels function takes three inputs. The first input is the \
constant that is set to the file path. The second input is the list where the \
spectrum index location is located. Finaly, the last inut is the a dictionary \
constant mzMLDictionary. The function will output spectrum label that will be \
seeing by the user above the spectrum plot. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.6552215300775023`*^9, 
   3.6552215321004963`*^9}, {3.657133523223942*^9, 3.6571336051594257`*^9}, {
   3.65722472469919*^9, 3.6572247769797077`*^9}, {3.657224810217754*^9, 
   3.657224915636635*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumPlotLabels", "[", 
   RowBox[{
   "fileName_", ",", "selectedSpectraOfIntrest_", ",", 
    "dictionaryFunction_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "inputFile", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "1", 
       "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
       "and", " ", "that", " ", "is", " ", "\"\<mzMLfilePath\>\""}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"inputFile", "=", "fileName"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "findMS", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "2", 
        "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"findMS", "=", "selectedSpectraOfIntrest"}], ",", 
      "\[IndentingNewLine]", "entireSelectedScan", ",", 
      "allCvParamsAccessions", ",", "AccessionsOfInterest", ",", 
      "matchedAccessions", ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "mzMLdictionaryFunction", " ", "is", " ", "equal", " ", "to", " ", 
        "the", " ", "3", "rd", " ", "input", " ", "and", " ", "that", " ", 
        "is", " ", "the", " ", "constant", " ", "set", " ", "equal", " ", 
        "to", " ", "the", " ", "dictionary", " ", "function", " ", 
        "MzmlDictionaryAssociationForAccessionNumberAndNames"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"mzMLdictionaryFunction", "=", "dictionaryFunction"}], ",", 
      "\[IndentingNewLine]", "mappedAccessionsToDictionary", ",", 
      "addingTagsToMatchedAccessions", ",", "tagingStuffFromselectedScan", 
      ",", "finalOutPut"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "entireSelectedScan", " ", "is", " ", "equal", " ", "to", " ", 
      "MzmlGetMSSpectraLocationAndBinary", " ", "function", " ", "that", " ", 
      "takes", " ", "two", " ", 
      RowBox[{"inputs", ".", " ", "The"}], " ", "first", " ", "input", " ", 
      "is", " ", "the", " ", "constant", " ", "that", " ", "is", " ", "set", 
      " ", "to", " ", "the", " ", "file", " ", "path", " ", 
      RowBox[{
       RowBox[{"(", "inputFile", ")"}], ".", " ", "The"}], " ", "second", " ",
       "input", " ", "is", " ", "the", " ", "list", " ", "where", " ", "the", 
      " ", "spectrum", " ", "index", " ", "location", " ", "is", " ", 
      "located", " ", 
      RowBox[{
       RowBox[{"(", "findMS", ")"}], ".", " ", "The"}], " ", "function", " ", 
      "will", " ", "output", " ", "the", " ", "entier", " ", "scan", " ", 
      "includ", " ", "all", " ", "cvParams", " ", "and", " ", "binary", " ", 
      RowBox[{"information", "."}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"entireSelectedScan", "=", 
      RowBox[{"MzmlGetMSSpectraLocationAndBinary", "[", 
       RowBox[{"inputFile", ",", 
        RowBox[{"findMS", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "output", " ", "each", " ", "\"\<cvParam\>\"", " ", "accession", " ", 
       "number"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"allCvParamsAccessions", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", 
          RowBox[{"2", ",", "2", ",", "2"}], "]"}], "]"}], "&"}], "/@", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "output", " ", "all", " ", "\"\<cvParam\>\"", " ", "XMLElement", " ", 
         "in", " ", "a", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{"XMLElement", "[", 
             RowBox[{"\"\<cvParam\>\"", ",", "___", ",", "___"}], "]"}], ",", 
            "Infinity"}], "]"}], "&"}], "@", "entireSelectedScan"}], 
        ")"}]}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\"\<MS:1000127\>\"", ",", "\"\<centroid spectrum\>\""}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<MS:1000128\>\"", ",", "\"\<profile spectrum\>\""}], 
         "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"\"\<MS:1000129\>\"", ",", "\"\<negative scan\>\""}], "}"}], 
        ",", 
        RowBox[{"{", 
         RowBox[{"\"\<MS:1000130\>\"", ",", "\"\<positive scan\>\""}], 
         "}"}]}], "}"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"AccessionsOfInterest", "=", 
      RowBox[{"{", 
       RowBox[{
       "\"\<MS:1000127\>\"", ",", "\"\<MS:1000128\>\"", ",", 
        "\"\<MS:1000129\>\"", ",", "\"\<MS:1000130\>\""}], "}"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Matched", " ", "accessions", " ", "numbers", " ", "between", " ", 
       "the", " ", "selected", " ", "spectrum", " ", "and", " ", "constant", 
       " ", "AccessionsOfInterest"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"matchedAccessions", "=", 
      RowBox[{"Flatten", "[", 
       RowBox[{"DeleteCases", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"Cases", "[", 
            RowBox[{"allCvParamsAccessions", ",", "#"}], "]"}], "&"}], "/@", 
          "AccessionsOfInterest"}], ",", 
         RowBox[{"{", "}"}]}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "mapping", " ", "matchedAccessions", " ", "to", " ", "the", " ", 
       "dictionary", " ", "and", " ", "outputting", " ", "the", " ", 
       "corresponding", " ", "values"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"mappedAccessionsToDictionary", "=", 
      RowBox[{"Values", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"mzMLdictionaryFunction", "[", 
          RowBox[{"[", "#", "]"}], "]"}], "&"}], "@", "matchedAccessions"}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "transposing", " ", "the", " ", "matched", " ", "accessions", " ", 
       "numbers", " ", "to", " ", "the", " ", "their", " ", "labels"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"addingTagsToMatchedAccessions", "=", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<spectrum representation\>\"", ",", 
           "\"\<ionization mode \>\""}], "}"}], ",", 
         "mappedAccessionsToDictionary"}], "}"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "extracting", " ", "elements", " ", "from", " ", "the", " ", "selected",
        " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"tagingStuffFromselectedScan", "=", 
      RowBox[{"Union", "[", 
       RowBox[{"findMS", "[", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"2", ",", "3", ",", "4", ",", 
            RowBox[{"-", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"finalOutPut", "=", 
      RowBox[{"Join", "[", 
       RowBox[{
       "tagingStuffFromselectedScan", ",", "addingTagsToMatchedAccessions"}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "finalOutPut", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.65160882813011*^9, 3.651608839809189*^9}, 
   3.65253341523735*^9, 3.657214145537154*^9, {3.657216677040965*^9, 
   3.657216699446454*^9}, {3.657217215172873*^9, 3.657217215826777*^9}, {
   3.657217875487258*^9, 3.65721790288552*^9}, {3.657219481242647*^9, 
   3.657219584957548*^9}, {3.6572196164799356`*^9, 3.657219728084828*^9}, {
   3.657219781547312*^9, 3.657219833103916*^9}, {3.657223526108782*^9, 
   3.657223541584475*^9}, 3.6572237668730164`*^9, {3.65722415431633*^9, 
   3.657224175437574*^9}, {3.6572242535547533`*^9, 3.6572242936601553`*^9}, {
   3.657224650305154*^9, 3.657224660576379*^9}, 3.657224719102681*^9, {
   3.657233969892694*^9, 3.6572339882779016`*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 12 \[OpenCurlyDoubleQuote]MzmlSpectrumPlotter\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6418226751499653`*^9, 3.6418226900479727`*^9}, {
   3.641842552183639*^9, 3.641842556785639*^9}, 3.643366145959406*^9, 
   3.6457499721036577`*^9, {3.648219128659954*^9, 3.6482191291000223`*^9}, {
   3.652533441288403*^9, 3.652533441407002*^9}, 3.652661837019273*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643366149412211*^9, 3.643366152146842*^9}}],

Cell["\<\
MzmlSpectrumPlotter [dictionaryFunction, binaryArray]

dictionaryFunction is a constant that is set equel to the dictionary function \
\[OpenCurlyDoubleQuote]MzmlDictionaryAssociationForAccessionNumberAndNames\
\[CloseCurlyDoubleQuote],  and second is selected scan. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6526452235479603`*^9, 3.652645257004056*^9}, {
   3.6526452945864773`*^9, 3.6526453382532873`*^9}, {3.652645404762869*^9, 
   3.652645426997877*^9}, {3.652645472507249*^9, 3.652645478897525*^9}, {
   3.652646011532721*^9, 3.6526460333793793`*^9}, {3.6526467311058483`*^9, 
   3.6526467489124727`*^9}, {3.652646833682502*^9, 3.652646966158299*^9}, {
   3.652647594170526*^9, 3.652647625976038*^9}, {3.652648405881947*^9, 
   3.652648417078822*^9}, {3.6526618504304047`*^9, 3.652661865667788*^9}, {
   3.653702726771267*^9, 3.653702751457543*^9}, {3.655138364748973*^9, 
   3.655138367202224*^9}, 3.657233973597365*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzmlSpectrumPlotter", "[", 
   RowBox[{
   "dictionaryFunction_", ",", "binaryArray_", ",", 
    "userInputForPeakLabeling_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"binaryDataArrayElement", ",", "\[IndentingNewLine]", 
      RowBox[{"mzMLdictionaryFunction", "=", "dictionaryFunction"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"binaryDATAArray", "=", "binaryArray"}], ",", 
      "\[IndentingNewLine]", "allCvParamsAccession", ",", 
      "\[IndentingNewLine]", "valuesOfAllAccessions", ",", 
      "\[IndentingNewLine]", "allCvParamsAndBinaryData", ",", 
      "\[IndentingNewLine]", "getTheRealBits", ",", "\[IndentingNewLine]", 
      "decodAndTransposeBinaryData", ",", "\[IndentingNewLine]", 
      RowBox[{"trueOrFalseInput", "=", "userInputForPeakLabeling"}], ",", 
      "\[IndentingNewLine]", "final"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
      "Constant", " ", "binaryDataArrayElement", " ", "serve", " ", "as", " ",
        "a", " ", "storage", " ", "for", " ", "element"}], " ", "<", 
      "binaryDataArrayList", ">", " ", 
      RowBox[{"in", " ", "a", " ", "selected", " ", 
       RowBox[{"scan", ".", " ", "Element"}]}], " ", "<", 
      "binaryDataArrayList", ">", " ", 
      RowBox[{
      "is", " ", "where", " ", "a", " ", "list", " ", "of", " ", "binary", 
       " ", "data", " ", "arrays", " ", "are", " ", "located", " ", "for", 
       " ", "a", " ", "given", " ", "spectrum", " ", 
       RowBox[{"scan", ".", " ", "Data"}], " ", "point", " ", "arrays", " ", 
       "for", " ", "default", " ", "data", " ", "arrays", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"m", "/", "z"}], ",", " ", "intensity"}], ")"}], " ", "and", 
       " ", "meta", " ", "data", " ", "arrays", " ", "for", " ", "a", " ", 
       "given", " ", 
       RowBox[{
       "spectrum", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "Cases"}], " ", "here", " ", "takes", " ", "3", " ", 
       RowBox[{"element", ":", " ", "\[IndentingNewLine]", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "1", "st", " ", "element", " ", "in", " ", "an", " ", "expiration",
             " ", "and", " ", "that", " ", "is", " ", "spectrum1"}], " ", "-",
            " ", 
           RowBox[{"selected", " ", "scan"}]}], ",", " ", 
          RowBox[{
          "2", "nd", " ", "element", " ", "is", " ", "XMLElement", " ", 
           "pattern", " ", "matching", " ", "and", " ", "that", " ", 
           RowBox[{"is", "[", "binaryDataArray", "]"}]}], ",", " ", 
          RowBox[{
           RowBox[{
           "3", "rd", " ", "element", " ", "is", " ", "levelspece", " ", 
            "and", " ", "that", " ", "is", " ", "Infinity"}], " ", "-", " ", 
           RowBox[{"all", " ", "levels", " ", 
            RowBox[{"(", 
             RowBox[{"except", " ", "0"}], ")"}]}], " ", "-", " ", 
           RowBox[{
           "to", " ", "give", " ", "a", " ", "list", " ", "of", " ", "all", 
            " ", "parts", " ", "of", " ", "the", " ", "expiration", " ", 
            "\"\<1st\>\"", " ", "on", " ", "this", " ", "specified", " ", 
            "level", " ", "that", " ", "match", " ", "the", " ", "pattern", 
            " ", "\"\<2nd\>\""}]}]}], "]"}]}]}]}], "\[IndentingNewLine]", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"binaryDataArrayElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"binaryDATAArray", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<binaryDataArray\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
       "Constant", " ", "allCvParamsAccession", " ", "serve", " ", "as", " ", 
        "a", " ", "storage", " ", "for", " ", "all", " ", "accessions", " ", 
        "in", " ", "a", " ", "given", " ", "spectrum"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"#", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<cvParam\>\"", ",", "___", ",", "___"}], "]"}], ",", 
           "Infinity"}], "]"}], "&"}], "/@", "binaryDataArrayElement"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Extracting", " ", "all", " ", "of", " ", 
         RowBox[{"XMLElement", "[", "\"\<cvParam\>\"", "]"}], " ", "that", 
         " ", "are", " ", "in", " ", 
         RowBox[{"XMLElement", "[", "\"\<binaryDataArray\>\"", "]"}], " ", 
         "for", " ", "a", " ", "selected", " ", "scan", " ", "for", " ", "a", 
         " ", "given", " ", 
         RowBox[{"spectrum", ".", " ", "Element"}]}], " ", "<", "cvParam", 
        ">", " ", 
        RowBox[{
         RowBox[{"holds", " ", "additional", " ", "data", " ", "or", " ", 
          RowBox[{"annotation", ".", " ", "Only"}], " ", "controlled", " ", 
          "values"}], " ", "-", " ", 
         RowBox[{"in", " ", "the", " ", "dictionary"}], " ", "-", " ", 
         RowBox[{"are", " ", "allowed", " ", "here"}]}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"2", ",", "2", ",", "2"}], "]"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Mapping", " ", "into", " ", 
         RowBox[{"XMLElement", "[", "\"\<cvParam\>\"", "]"}], " ", "to", " ", 
         "output", " ", "all", " ", "accessions", " ", 
         RowBox[{"e", ".", "g", ".", " ", "accession"}]}], " ", "\[Rule]", 
        " ", 
        RowBox[{"MS", ":", "1000576."}]}]}], "\[IndentingNewLine]", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"allCvParamsAccession", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"2", ",", "2", ",", "2"}], "]"}], "]"}], "&"}], "/@", 
         RowBox[{"Cases", "[", 
          RowBox[{"#", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<cvParam\>\"", ",", "___", ",", "___"}], "]"}], ",", 
           "Infinity"}], "]"}]}], "&"}], "/@", "binaryDataArrayElement"}]}], 
     ";", "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
       "Constant", " ", "valuesOfAllAccessions", " ", "serves", " ", "as", 
        " ", "a", " ", "storage", " ", "for", " ", "all", " ", "accessions", 
        " ", "VALUES", " ", "that", " ", "found", " ", "in", " ", 
        "dictionary"}], ";", "\[IndentingNewLine]", 
       RowBox[{
       "We", " ", "mapped", " ", "all", " ", "found", " ", "accessions", " ", 
        "to", " ", "our", " ", "dictionary", " ", "to", " ", "find", " ", 
        "the", " ", "corresponding", " ", 
        RowBox[{"VALUES", "."}]}]}], " ", "\[IndentingNewLine]", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"valuesOfAllAccessions", "=", 
      RowBox[{"Values", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"mzMLdictionaryFunction", "[", 
          RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
        "allCvParamsAccession"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"#", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<binary\>\"", ",", "_", ",", "_"}], "]"}], ",", 
           "Infinity"}], "]"}], "&"}], "/@", "binaryDataArrayElement"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
       "To", " ", "extract", " ", "the", " ", "selected", " ", "spectrum", 
        " ", 
        RowBox[{
         RowBox[{"XMLElement", "[", "\"\<binary\>\"", "]"}], ".", " ", 
         "There"}], " ", "will", " ", "always", " ", "be", " ", "1", " ", 
        "binary", " ", "element", " ", "for", " ", "a", " ", "given", " ", 
        RowBox[{"spectrum", ".", " ", "Two"}], " ", "lists", " ", "in", " ", 
        "a", " ", "given", " ", "binary", " ", 
        RowBox[{
         RowBox[{"element", ".", " ", "m"}], "/", "z"}], " ", "and", " ", 
        "intensity", " ", "for", " ", "1", "st", " ", "and", " ", "2", "nd", 
        " ", "lists", " ", 
        RowBox[{"respectively", ".", " ", "The"}], " ", "binary", " ", "data",
         " ", "is", " ", "base64", " ", "encoded", " ", "binary", " ", "data",
         " ", "and", " ", "the", " ", "byte", " ", "order", " ", "is", " ", 
        RowBox[{"always", " ", "'"}], "little", " ", 
        RowBox[{
         RowBox[{"endian", "'"}], "."}]}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Transposing", " ", "each", " ", "binary", " ", "list", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"m", "/", "z"}], ",", " ", "intensity"}], ")"}], " ", 
        "with", " ", "its", " ", "corresponding", " ", "accessions", " ", 
        "VALUES", " ", "that", " ", "found", " ", "in", " ", "dictionary", 
        " ", "that", " ", "is", " ", "set", " ", "to", " ", 
        RowBox[{"valuesOfAllAccessions", "."}]}]}], "\[IndentingNewLine]", 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"allCvParamsAndBinaryData", "=", 
      RowBox[{"Transpose", "[", 
       RowBox[{"{", 
        RowBox[{"valuesOfAllAccessions", ",", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{"XMLElement", "[", 
               RowBox[{"\"\<binary\>\"", ",", "_", ",", "_"}], "]"}], ",", 
              "Infinity"}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "3", ",", "1"}], "]"}], "]"}], "&"}], "/@", 
          "binaryDataArrayElement"}]}], "}"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"StringCases", "[", 
         RowBox[{"#", ",", 
          RowBox[{
           RowBox[{"x", ":", "NumberString"}], "~~", "\"\<-bit \>\""}]}], 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
         "Using", " ", "StringCases", " ", "to", " ", "find", " ", "the", " ",
           "NumberString"}], " ", "-", " ", 
         RowBox[{
         "represents", " ", "the", " ", "characters", " ", "of", " ", "a", 
          " ", "number", " ", "in", " ", "StringExpression"}], " ", "-", " ", 
         
         RowBox[{
         "that", " ", "is", " ", "corresponds", " ", "to", " ", "the", " ", 
          "precision", " ", "floating"}], "-", 
         RowBox[{"point", " ", 
          RowBox[{"format", ".", " ", "This"}], " ", "number", " ", "is", " ",
           "followed", " ", "by", " ", 
          RowBox[{"\"\<bit\>\"", "."}]}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Switch", "[", 
           RowBox[{
            RowBox[{"ToLowerCase", "[", "y", "]"}], ",", "\"\<float\>\"", 
            ",", "\"\<Real\>\"", ",", "\"\<integer\>\"", ",", 
            "\"\<Integer\>\""}], "]"}], "<>", "x"}], ")"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
        "Using", " ", "Switch", " ", "to", " ", "find", " ", "the", " ", 
         "floating", " ", "point", " ", "that", " ", "follow", " ", 
         "\"\<bit\>\""}]}], ",", " ", 
       RowBox[{
        RowBox[{
        "if", " ", "is", " ", "\"\<float\>\"", " ", "substitute", " ", "by", 
         " ", "\"\<Real\>\"", " ", "and", " ", "if", " ", "\"\<integer\>\"", 
         "substitute", " ", "with", " ", "\"\<Integer\>\"", " ", "then", " ", 
         "join"}], " ", "-", " ", 
        RowBox[{"<>", " ", 
         RowBox[{"-", " ", 
          RowBox[{"number", "."}]}]}]}]}], "\[IndentingNewLine]", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"getTheRealBits", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"Flatten", "[", 
         RowBox[{"StringCases", "[", 
          RowBox[{"#", ",", 
           RowBox[{
            RowBox[{
             RowBox[{"x", ":", "NumberString"}], "~~", "\"\<-bit \>\"", "~~", 
             
             RowBox[{"y", ":", "__"}]}], ":>", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Switch", "[", 
               RowBox[{
                RowBox[{"ToLowerCase", "[", "y", "]"}], ",", "\"\<float\>\"", 
                ",", "\"\<Real\>\"", ",", "\"\<integer\>\"", ",", 
                "\"\<Integer\>\""}], "]"}], "<>", "x"}], ")"}]}]}], "]"}], 
         "]"}], "&"}], "/@", "valuesOfAllAccessions"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "We", " ", "decode", " ", "each", " ", "binary", " ", "data", " ", 
        "separately"}], ",", " ", 
       RowBox[{"then", " ", 
        RowBox[{"Transpose", ".", " ", "Also"}]}], ",", " ", 
       RowBox[{
       "the", " ", "convention", " ", "used", " ", "to", " ", "interpret", 
        " ", "the", " ", "bytes", " ", "making", " ", "up", " ", "the", " ", 
        "data", " ", "is", " ", "little", " ", "endian", " ", "correspond", 
        " ", "to", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"-", "1"}], ")"}], "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"decodAndTransposeBinaryData", "=", 
      RowBox[{"Transpose", "[", "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"MzmlSpectrumBinaryDecoder", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "This", " ", "is", " ", "the", " ", "the", " ", "a", " ", 
            "selected", " ", "spectrum", " ", 
            RowBox[{"m", "/", "z"}], " ", "binary", " ", 
            RowBox[{"data", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"allCvParamsAndBinaryData", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"This", " ", "is", " ", 
             RowBox[{"m", "/", "z"}], " ", "binary", " ", "data", " ", "type",
              " ", "either", " ", "bit", " ", "flot", " ", 
             RowBox[{"(", "#Real", ")"}], " ", "or", " ", "bit", " ", 
             "integer", " ", 
             RowBox[{
              RowBox[{"(", "#Integer", ")"}], "."}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"getTheRealBits", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"m", "/", "z"}], " ", "binary", " ", "data", " ", 
             "enocoding", " ", "formate", " ", 
             RowBox[{"(", "Base64", ")"}], " ", "in", " ", "String", " ", 
             RowBox[{"format", "."}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"-", "1"}], ",", "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"This", " ", "is", " ", 
              RowBox[{"m", "/", "z"}], " ", "binary", " ", "data", " ", 
              "copression", " ", "status"}], ",", " ", 
             RowBox[{
             "binary", " ", "data", " ", "is", " ", "compressed", " ", "or", 
              " ", "not"}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"valuesOfAllAccessions", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
          "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{"MzmlSpectrumBinaryDecoder", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "This", " ", "is", " ", "the", " ", "the", " ", "a", " ", 
            "selected", " ", "spectrum", " ", "intensity", " ", "binary", " ", 
            RowBox[{"data", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"allCvParamsAndBinaryData", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "2", ",", "1"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "This", " ", "is", " ", "intensity", " ", "binary", " ", "data", 
             " ", "type", " ", "either", " ", "bit", " ", "flot", " ", 
             RowBox[{"(", "#Real", ")"}], " ", "or", " ", "bit", " ", 
             "integer", " ", 
             RowBox[{
              RowBox[{"(", "#Integer", ")"}], "."}]}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"getTheRealBits", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "1"}], "]"}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "intensity", " ", "binary", " ", "data", " ", "enocoding", " ", 
             "formate", " ", 
             RowBox[{"(", "Base64", ")"}], " ", "in", " ", "String", " ", 
             RowBox[{"format", "."}]}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"-", "1"}], ",", "\[IndentingNewLine]", 
           RowBox[{"valuesOfAllAccessions", "[", 
            RowBox[{"[", 
             RowBox[{"2", ",", "2"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
          "]"}]}], "\[IndentingNewLine]", "}"}], "\[IndentingNewLine]", 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"final", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"If", " ", "user", " ", "select", " ", "True"}], ",", " ", 
        RowBox[{
        "then", " ", "the", " ", "plot", " ", "will", " ", "have", " ", "a", 
         " ", "labeled", " ", "peaks"}], ",", " ", 
        RowBox[{
        "peaks", " ", "are", " ", "not", " ", "labeled", " ", "otherwise"}]}],
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"trueOrFalseInput", "\[Equal]", "True"}], ",", 
        RowBox[{"Panel", "[", 
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "ListLinePlot", " ", "will", " ", "line", " ", "plot", " ", "the", 
            " ", "decodAndTransposeBinaryData", " ", 
            RowBox[{"values", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ListLinePlot", "[", "\[IndentingNewLine]", 
            RowBox[{"decodAndTransposeBinaryData", ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"(*", 
               RowBox[{
               "Using", " ", "Full", " ", "for", " ", "the", " ", "Plot", " ",
                 "Range", " ", "to", " ", "include", " ", "the", " ", "full", 
                " ", "range", " ", "of", " ", "the", " ", "original", " ", 
                "data"}], "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"valuesOfAllAccessions", "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "3"}], "]"}], "]"}], " ", "=", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{
                   "\"\<m/z array\>\"", " ", "is", " ", "the", " ", "x"}], 
                   "-", 
                   RowBox[{"axis", " ", "and", " ", 
                    RowBox[{"valuesOfAllAccessions", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "3"}], "]"}], "]"}]}]}], " ", "=", 
                  RowBox[{
                   RowBox[{
                   "\"\<intensity array\>\"", " ", "is", " ", "the", " ", 
                    "y"}], "-", 
                   RowBox[{"axis", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"valuesOfAllAccessions", "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], ",", 
                  RowBox[{"valuesOfAllAccessions", "[", 
                   RowBox[{"[", 
                    RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"LabelStyle", "\[Rule]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"AxesStyle", "\[Rule]", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
              "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
             "Tooltip", " ", "displays", " ", "labels", " ", "while", " ", 
              "the", " ", "mouse", " ", "pointer", " ", "is", " ", "in", " ", 
              "the", " ", "area", " ", "where", " ", "the", " ", "expression",
               " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"m", "/", "z"}], " ", "and", " ", "intensity"}], 
               ")"}], " ", "is", " ", 
              RowBox[{"displayed", "."}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Tooltip", "[", "decodAndTransposeBinaryData", "]"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"PlotMarkers", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\<\[FilledCircle]\>\"", ",", "0.01"}], "}"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"valuesOfAllAccessions", "[", 
                   RowBox[{"[", 
                    RowBox[{"1", ",", "3"}], "]"}], "]"}], ",", 
                  RowBox[{"valuesOfAllAccessions", "[", 
                   RowBox[{"[", 
                    RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"LabelStyle", "\[Rule]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"AxesStyle", "\[Rule]", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
              "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], 
          "\[IndentingNewLine]", "]"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"If", " ", "False"}], ",", " ", 
          RowBox[{"peaks", " ", "are", " ", "not", " ", 
           RowBox[{"labeled", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Panel", "[", 
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "ListLinePlot", " ", "will", " ", "line", " ", "plot", " ", "the", 
            " ", "decodAndTransposeBinaryData", " ", 
            RowBox[{"values", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"ListLinePlot", "[", "\[IndentingNewLine]", 
           RowBox[{
           "decodAndTransposeBinaryData", ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"(*", 
              RowBox[{
              "Using", " ", "Full", " ", "for", " ", "the", " ", "Plot", " ", 
               "Range", " ", "to", " ", "include", " ", "the", " ", "full", 
               " ", "range", " ", "of", " ", "the", " ", "original", " ", 
               "data"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
                RowBox[{"valuesOfAllAccessions", "[", 
                 RowBox[{"[", 
                  RowBox[{"1", ",", "3"}], "]"}], "]"}], " ", "=", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{
                  "\"\<m/z array\>\"", " ", "is", " ", "the", " ", "x"}], "-", 
                  RowBox[{"axis", " ", "and", " ", 
                   RowBox[{"valuesOfAllAccessions", "[", 
                    RowBox[{"[", 
                    RowBox[{"2", ",", "3"}], "]"}], "]"}]}]}], " ", "=", 
                 RowBox[{
                  RowBox[{
                  "\"\<intensity array\>\"", " ", "is", " ", "the", " ", 
                   "y"}], "-", 
                  RowBox[{"axis", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
              
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"valuesOfAllAccessions", "[", 
                  RowBox[{"[", 
                   RowBox[{"1", ",", "3"}], "]"}], "]"}], ",", 
                 RowBox[{"valuesOfAllAccessions", "[", 
                  RowBox[{"[", 
                   RowBox[{"2", ",", "3"}], "]"}], "]"}]}], "}"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"LabelStyle", "\[Rule]", 
               RowBox[{"Directive", "[", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"AxesStyle", "\[Rule]", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
             "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], 
          "\[IndentingNewLine]", "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "final", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.649087877177065*^9, 3.649087887024283*^9}, {
   3.6490879461244287`*^9, 3.649087962692482*^9}, {3.651608435648526*^9, 
   3.6516085351401377`*^9}, {3.652542199014538*^9, 3.652542203877512*^9}, 
   3.652546414078869*^9, {3.652546700886694*^9, 3.652546704252625*^9}, {
   3.652546855391267*^9, 3.652546863856683*^9}, {3.652661697690692*^9, 
   3.652661733262562*^9}, {3.652661797008952*^9, 3.652661817235252*^9}, {
   3.652662165241385*^9, 3.652662167250223*^9}, {3.652662209512638*^9, 
   3.652662410711278*^9}, 3.652662456391212*^9, {3.65505444094928*^9, 
   3.6550544657580643`*^9}, {3.655054552552043*^9, 3.655054610260478*^9}, {
   3.655054659505143*^9, 3.655054696250708*^9}, {3.655557613789707*^9, 
   3.655557616898033*^9}, 3.655566792183188*^9, {3.6555670246781263`*^9, 
   3.655567025034851*^9}, {3.655567083805489*^9, 3.655567085218989*^9}, {
   3.688325707894754*^9, 3.688325713531543*^9}, {3.688325791961625*^9, 
   3.688325791982444*^9}, {3.688935197828203*^9, 3.688935210196246*^9}, {
   3.6891044968792152`*^9, 3.68910449689985*^9}, {3.689104580132544*^9, 
   3.689104580152793*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MZML Master Function:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.646154082585865*^9, 3.646154093186428*^9}, {
  3.6489141501700287`*^9, 3.648914158567281*^9}, {3.648914591258628*^9, 
  3.648914592264853*^9}, {3.649089870130323*^9, 3.649089876502096*^9}, {
  3.649961166573124*^9, 3.649961173084437*^9}, {3.650306708931348*^9, 
  3.650306710060817*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "mzMLMaster", "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650306736246619*^9, 3.650306741123941*^9}, 
   3.650307043421562*^9, {3.6581703477818193`*^9, 3.658170348522928*^9}}],

Cell["\<\
mzMLMaster [filePathFromFunctionMzXMLORMzML, labelingTimeOrMassRange]

Function mzMLMaster takes two inputs, first input is mzML uploaded file path \
and second input is the mzML controlled vocabulary constant. The return \
output is visualized spectrum with controls added to allow user interactive \
interaction of the value of mass, time, msLevel, etc. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.658011972287753*^9, 3.6580121488425713`*^9}, {
   3.658012228123095*^9, 3.6580122499288607`*^9}, {3.658012279959643*^9, 
   3.658012344587528*^9}, 3.6580630675966167`*^9, {3.658161031239291*^9, 
   3.658161036974265*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"mzMLMaster", "[", 
    RowBox[{
    "filePathFromFunctionMzXMLORMzML_", ",", "labelingTimeOrMassRange_"}], 
    "]"}], "Input"], 
  StyleBox[":=", "Input"], 
  StyleBox["\[IndentingNewLine]", "Input"], 
  RowBox[{"DynamicModule", 
   StyleBox["[", "Input"], 
   RowBox[{
    StyleBox[
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "The", " ", "first", " ", "input", " ", "is", " ", "set", " ", "equal",
         " ", "to", " ", "the", " ", "inputFile", " ", "and", " ", "that", 
        " ", "is", " ", "the", " ", "user", " ", "uploaded", " ", "file", " ",
         "path"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"inputFile", "=", "filePathFromFunctionMzXMLORMzML"}], ",", 
       "\[IndentingNewLine]", "mzMLOverallRaw", ",", "outputMetaData", ",", 
       "mzMLdictionaryFunction", ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "The", " ", "second", " ", "input", " ", "is", " ", "set", " ", 
         "equal", " ", "to", " ", "the", " ", "controlled", " ", "vocabulary",
          " ", "constant", " ", "and", " ", "that", " ", "is", " ", 
         "\"\<mzmlControlledVocabulary\>\""}], "*)"}], "\[IndentingNewLine]", 
       
       RowBox[{"timeOrMassLabeling", "=", "labelingTimeOrMassRange"}], ",", 
       "\[IndentingNewLine]", "mzMLdictionaryMSUO", ",", "labeling", ",", 
       "mzMLoffsetList", ",", "manipulate"}], "}"}], "Input"], 
    StyleBox[",", "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"**", "**", "**", "**"}], "*", 
       StyleBox[" ", "Input",
        FontSize->24,
        FontColor->RGBColor[0.5, 0, 0.5]], "Constants", " ", 
       "\"\<mzML Back-End\>\""}], " ", "*********)"}], "Input",
     FontSize->24,
     FontColor->RGBColor[0.5, 0, 0.5]], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "mzMLOverallRaw", " ", "is", " ", "equal", " ", "to", " ", 
        "function"}], " ", "<", "MzmlRawMetaData", ">", " ", 
       RowBox[{
       "that", " ", "takes", " ", "the", " ", "first", " ", "input", " ", 
        "which", " ", "is", " ", "the", " ", "user", " ", "uploaded", " ", 
        "file", " ", 
        RowBox[{"path", ".", " ", "The"}], " ", "output", " ", "is", " ", 
        "the", " ", "raw", " ", 
        RowBox[{"metadata", "."}]}]}], "*)"}], "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    RowBox[{
     StyleBox[
      RowBox[{"mzMLOverallRaw", "=", 
       RowBox[{"MzmlRawMetaData", "[", "inputFile", "]"}]}], "Input"], 
     StyleBox[";", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox[
      RowBox[{"(*", 
       RowBox[{
       "outputMetaData", " ", "is", " ", "equal", " ", "to", " ", "function", 
        " ", "MzmlMetaData", " ", "that", " ", "takes", " ", "the", " ", 
        "raw", " ", "metadata", " ", "and", " ", "it", " ", "output", " ", 
        "a", " ", "readable", " ", "metadata", " ", "for", " ", "the", " ", 
        "user"}], "*)"}], "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox[
      RowBox[{"outputMetaData", "=", 
       RowBox[{"MzmlMetaData", "[", "mzMLOverallRaw", "]"}]}], "Input"], 
     StyleBox[";", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     RowBox[{"(*", 
      RowBox[{
      "mzMLdictionaryFunction", " ", "is", " ", "equal", " ", "to", " ", 
       "function", " ", "MzmlDictionaryAssociationForAccessionNumberAndNames",
        " ", "that", " ", "takes", " ", "the", " ", "second", " ", "input", 
       " ", "the", " ", "controlled", " ", "vocabulary", " ", 
       RowBox[{"constant", ".", " ", "Function"}], " ", 
       "MzmlDictionaryAssociationForAccessionNumberAndNames", " ", "will", 
       " ", "make", " ", "an", " ", "association", " ", "between", " ", 
       "keys", " ", "\"\<accessions (id)\>\"", " ", "and", " ", "values", 
       " ", "\"\<names\>\"", " ", "giving", " ", "the", " ", "controlled", 
       " ", "vocabulary", " ", 
       RowBox[{"constant", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"mzMLdictionaryFunction", "=", 
      RowBox[{
      "MzmlDictionaryAssociationForAccessionNumberAndNames", "[", 
       "timeOrMassLabeling", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "mzMLdictionaryMSUO", " ", "is", " ", "set", " ", "equal", " ", "to", 
        " ", "function"}], " ", "<", "MzmlDictionaryMSUOLabeling", ">", " ", 
       RowBox[{
       "that", " ", "takes", " ", "the", " ", "second", " ", "input", " ", 
        "the", " ", "controlled", " ", "vocabulary", " ", 
        RowBox[{"constant", ".", "Function"}], " ", 
        "MzmlDictionaryMSUOLabeling", " ", "will", " ", "make", " ", "an", 
        " ", "association", " ", "between", " ", "keys", " ", 
        "\"\<accessions '\>\"", 
        RowBox[{"MS", ":", 
         RowBox[{"\"\< or \>\"", "UO"}], ":", 
         RowBox[{
         "\"\<' and values \>\"", "its", " ", "definition", " ", 
          "\"\<.\>"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"mzMLdictionaryMSUO", "=", 
      RowBox[{
      "MzmlDictionaryMSUOLabeling", "[", "timeOrMassLabeling", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "labeling", " ", "is", " ", "used", " ", "specifically", " ", "for", 
       " ", "retention", " ", "times", " ", "labeling", " ", "in", " ", "one",
        " ", "of", " ", "the", " ", "controls", " ", "added", " ", "to", " ", 
       "allow", " ", "for", " ", "interactive", " ", "manipulation"}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"labeling", "=", 
      RowBox[{"MzmlTimeAndMassLabeling", "[", 
       RowBox[{"inputFile", ",", "mzMLdictionaryMSUO"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "mzMLoffsetList", " ", "is", " ", "a", " ", "constant", " ", "that", 
        " ", "is", " ", "set", " ", "equel", " ", "to", " ", "function"}], 
       " ", "<", "MzmlOffSetListCounter", ">", 
       RowBox[{"that", " ", "takes", " ", "mzML", " ", "file", " ", 
        RowBox[{"path", ".", " ", "MzmlOffSetListCounter"}], " ", "output", 
        " ", "a", " ", "list", " ", "of", " ", "offsets", " ", "for", " ", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"spectrum", " ", "index"}], ",", " ", 
           RowBox[{"ms", " ", "level"}], ",", " ", 
           RowBox[{"base", " ", "peak", " ", 
            RowBox[{"m", "/", "z"}]}], ",", " ", 
           RowBox[{"scan", " ", "start", " ", "time"}], ",", " ", "precursor",
            ",", " ", 
           RowBox[{"selected", " ", "ion", " ", 
            RowBox[{"m", "/", "z"}]}], ",", " ", 
           RowBox[{"chromatogram", " ", "index"}]}], "}"}], ".", " ", 
         "This"}], " ", "list", " ", "is", " ", "used", " ", "as", " ", "an", 
        " ", "input", " ", "for", " ", "downstream", " ", 
        RowBox[{"functions", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"mzMLoffsetList", "=", 
      RowBox[{"MzmlOffSetListCounter", "[", "inputFile", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     StyleBox["\[IndentingNewLine]", "Input",
      FontSize->24,
      FontColor->RGBColor[0.5, 0, 0.5]], 
     StyleBox[
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"**", "**", "**", "**"}], "*", 
         StyleBox[" ", "Input",
          FontSize->24,
          FontColor->RGBColor[0.5, 0, 0.5]], "Returning", 
         StyleBox[" ", "Input",
          FontSize->24,
          FontColor->RGBColor[0.5, 0, 0.5]], "mzML", 
         StyleBox[" ", "Input",
          FontSize->24,
          FontColor->RGBColor[0.5, 0, 0.5]], "Front"}], 
        StyleBox["-", "Input",
         FontSize->24,
         FontColor->RGBColor[0.5, 0, 0.5]], 
        RowBox[{"End", 
         StyleBox[" ", "Input",
          FontSize->24,
          FontColor->RGBColor[0.5, 0, 0.5]], "Using", 
         StyleBox[" ", "Input",
          FontSize->24,
          FontColor->RGBColor[0.5, 0, 0.5]], "Manipulate"}]}], " ", 
       "*********)"}], "Input",
      FontSize->24,
      FontColor->RGBColor[0.5, 0, 0.5]], "\[IndentingNewLine]", 
     RowBox[{"manipulate", "=", 
      RowBox[{
       StyleBox["Framed", "Input"], 
       StyleBox["[", "Input"], 
       StyleBox["\[IndentingNewLine]", "Input"], 
       RowBox[{
        RowBox[{
         StyleBox["Grid", "Input"], 
         StyleBox["[", "Input"], 
         RowBox[{
          StyleBox["{", "Input"], 
          StyleBox["\[IndentingNewLine]", "Input"], 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
            "This", " ", "is", " ", "the", " ", "metadata", " ", "in", " ", 
             "a", " ", "panel", " ", "form"}], "*)"}], "Input"], 
          StyleBox["\[IndentingNewLine]", "Input"], 
          RowBox[{
           StyleBox[
            RowBox[{"{", 
             RowBox[{"Panel", "[", "outputMetaData", "]"}], "}"}], "Input"], 
           StyleBox[",", "Input"], 
           StyleBox["\[IndentingNewLine]", "Input"], 
           StyleBox["\[IndentingNewLine]", "Input"], 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
             "Using", " ", "manipulate", " ", "to", " ", "generate", " ", "a",
               " ", "version", " ", "with", " ", "controls", " ", "added", 
              " ", "to", " ", "allow", " ", "for", " ", "interactive", " ", 
              "manipulation", " ", "for", " ", "the", " ", "user"}], "*)"}], 
            "Input"], 
           StyleBox["\[IndentingNewLine]", "Input"], 
           RowBox[{
            StyleBox["{", "Input"], 
            RowBox[{
             StyleBox["Manipulate", "Input"], 
             StyleBox["[", "Input"], 
             StyleBox["\[IndentingNewLine]", "Input"], 
             RowBox[{
              RowBox[{
               StyleBox["Grid", "Input"], 
               StyleBox["[", "Input"], 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                  "if", " ", "the", " ", "user", " ", "choose", " ", "to", 
                   " ", "see", " ", "the", " ", "total", " ", "ion", " ", 
                   "chromatogram", " ", "by", " ", "clicking", " ", "on", " ",
                    "a", " ", "radio", " ", "button"}], ",", " ", 
                  RowBox[{"then", " ", "pass", " ", 
                   RowBox[{"True", ".", " ", "Once"}], " ", "True", " ", "is",
                    " ", "passed"}], ",", " ", 
                  RowBox[{
                   RowBox[{
                   "plot", " ", "the", " ", 
                    "\"\<Total Ion Current (TIC) Chromatogram\>\"", " ", 
                    "using", " ", "function"}], " ", "<", 
                   "MzmlSpectrumPlotter", ">"}]}], "*)"}], "Input"], 
               RowBox[{
                StyleBox["{", "Input"], 
                RowBox[{
                 StyleBox[
                  RowBox[{"{", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"mzMLchromatogram", "\[Equal]", "True"}], ",", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    "{", "\"\<Total Ion Current (TIC) Chromatogram\>\"", 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"mzMLchromatogram", "\[Equal]", "True"}], ",", 
                    RowBox[{"MzmlSpectrumPlotter", "[", 
                    RowBox[{"mzMLdictionaryFunction", ",", 
                    RowBox[{"MzmlTotalIonChromatogram", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{
                    "MzmlGetChromatogramTIC", "[", "mzMLoffsetList", "]"}]}], 
                    "]"}], ",", "optionForPlotLabeling"}], "]"}]}], "]"}], 
                    "}"}]}], "}"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", "True", "}"}], "}"}]}], "}"}]}]}], "]"}]}], 
                    "]"}], "}"}], "Input"], 
                 StyleBox[",", "Input"], 
                 StyleBox["\[IndentingNewLine]", "Input"], 
                 RowBox[{
                  StyleBox["{", "Input"], 
                  StyleBox["\[IndentingNewLine]", "Input"], 
                  RowBox[{
                   StyleBox["Manipulate", "Input"], 
                   StyleBox["[", "Input"], 
                   StyleBox["\[IndentingNewLine]", "Input"], 
                   StyleBox["\[IndentingNewLine]", "Input"], 
                   RowBox[{
                    StyleBox[
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    "This", " ", "is", " ", "dummy", " ", "control", " ", 
                    "in", " ", "place", " ", "to", " ", "allow", " ", "for", 
                    " ", "passing", " ", "of", " ", "the", " ", "selected", 
                    " ", 
                    RowBox[{"spectrum", ".", " ", "Is"}], " ", "also", " ", 
                    "worth", " ", "mentioning", " ", "that", " ", 
                    "mzMLmsSpectraSserSelect", " ", "is", " ", "set", " ", 
                    "to", " ", "equal", " ", "to", " ", "any", " ", 
                    "selected", " ", "spectrum", " ", "by", " ", "the", " ", 
                    "user"}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "mzMLmsSpectraSserSelect", "]"}], 
                    "<", "1"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Please Make a Selection....\>\"", ",", "11"}], "]"}],
                     ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"If", "[", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"using", " ", "function"}], " ", "<", 
                    "MzmlGetSpectraMSLevel", ">", " ", 
                    RowBox[{
                    "to", " ", "find", " ", "the", " ", "selected", " ", 
                    "spectrum", " ", "MS", " ", 
                    RowBox[{"level", ".", " ", "If"}], " ", "the", " ", "MS", 
                    " ", "Level"}]}], " ", "=", " ", 
                    RowBox[{
                    RowBox[{
                    "1", " ", "then", " ", "plot", " ", "the", " ", 
                    "spectrum", " ", "using", " ", "function"}], " ", "<", 
                    "MzmlSpectrumPlotter", ">", " ", 
                    RowBox[{
                    "and", " ", "creat", " ", "a", " ", "spectrum", " ", 
                    "note", " ", "card", " ", "label", " ", "using", " ", 
                    "function"}], " ", "<", "MzmlSpectrumPlotLabels", ">"}]}],
                     "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "MzmlGetSpectraMSLevel", "[", "mzMLmsSpectraSserSelect", 
                    "]"}], "==", 
                    RowBox[{"{", "\"\<1\>\"", "}"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"MzmlSpectrumPlotLabels", "[", 
                    RowBox[{
                    "inputFile", ",", "mzMLmsSpectraSserSelect", ",", 
                    "mzMLdictionaryFunction"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"MzmlSpectrumPlotter", "[", 
                    RowBox[{"mzMLdictionaryFunction", ",", 
                    RowBox[{"MzmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzMLmsSpectraSserSelect", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", "\"\<index\>\""}]}],
                     "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
                    
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "optionForPlotLabeling"}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", " ", "the", " ", "MS", " ", "Level"}], " ", 
                    "\[NotEqual]", " ", "1"}], ",", " ", 
                    RowBox[{
                    "using", " ", "a", " ", "Switch", " ", "to", " ", 
                    RowBox[{"find", "/", "locate"}], " ", "the", " ", 
                    "\"\<precursor spectrum\>\"", " ", "for", " ", "any", " ",
                     "selected", " ", "\"\<daughter spectrum\>\""}]}], "*)"}],
                     "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "mzMLprecursorSpectrum", ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"If", " ", "user", " ", 
                    RowBox[{"doesn", "'"}], "t", " ", "want", " ", "to", " ", 
                    "see", " ", "the", " ", "\"\<precursor spectrum\>\"", " ",
                     "and", " ", "False", " ", "is", " ", "selected", " ", 
                    "then", " ", "pass", " ", "\"\<No precursor-ion\>\"", " ",
                     "and", " ", "plot", " ", "the", " ", "spectrum", " ", 
                    "using", " ", "function"}], " ", "<", 
                    "MzmlSpectrumPlotter", ">", " ", 
                    RowBox[{
                    "and", " ", "creat", " ", "a", " ", "spectrum", " ", 
                    "note", " ", "card", " ", "label", " ", "using", " ", 
                    "function"}], " ", "<", "MzmlSpectrumPlotLabels", ">"}], 
                    "*)"}], "\[IndentingNewLine]", "False", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"MzmlSpectrumPlotLabels", "[", 
                    RowBox[{
                    "inputFile", ",", "mzMLmsSpectraSserSelect", ",", 
                    "mzMLdictionaryFunction"}], "]"}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"MzmlSpectrumPlotter", "[", 
                    RowBox[{"mzMLdictionaryFunction", ",", 
                    RowBox[{"MzmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzMLmsSpectraSserSelect", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", "\"\<index\>\""}]}],
                     "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
                    
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "optionForPlotLabeling"}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "If", " ", "user", " ", "does", " ", "want", " ", "to", 
                    " ", "see", " ", "the", " ", "\"\<precursor spectrum\>\"",
                     " ", "and", " ", "True", " ", "is", " ", "selected", " ",
                     "then", " ", "pass", " ", "\"\<Yes precursor-ion\>\"", 
                    " ", "to", " ", "get", " ", "the", " ", 
                    "\"\<precursor spectrum\>\"", " ", "for", " ", "any", " ",
                     "selected", " ", 
                    RowBox[{"\"\<daughter spectrum\>\"", ".", " ", "To"}], 
                    " ", "do", " ", "so"}], ",", " ", 
                    RowBox[{
                    "we", " ", "call", " ", 
                    "MzmlGetPrecursorSpectraAtMSLevel", " ", "function", " ", 
                    "for", " ", "precursor", " ", "scans", " ", 
                    RowBox[{"locations", ".", " ", "We"}], " ", "then", " ", 
                    "map", " ", "into", " ", "it", " ", "the", " ", "binary", 
                    " ", "data", " ", "and", " ", "call", " ", 
                    "MzmlGetMSSpectraLocationAndBinary", " ", "to", " ", 
                    "decode", " ", "and", " ", "plot", " ", "the", " ", 
                    "scan", " ", "binary", " ", 
                    RowBox[{"data", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    "True", ",", "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", "#", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MzmlSpectrumPlotLabels", "[", 
                    RowBox[{
                    "inputFile", ",", "#", ",", "mzMLdictionaryFunction"}], 
                    "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"MzmlGetPrecursorSpectraAtMSLevel", "[", 
                    RowBox[{
                    "mzMLoffsetList", ",", "mzMLmsSpectraSserSelect"}], "]"}],
                     ")"}]}], ")"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MzmlSpectrumPlotter", "[", 
                    RowBox[{
                    "mzMLdictionaryFunction", ",", "#", ",", 
                    "optionForPlotLabeling"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MzmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"MzmlGetPrecursorSpectraAtMSLevel", "[", 
                    RowBox[{
                    "mzMLoffsetList", ",", "mzMLmsSpectraSserSelect"}], "]"}],
                     ")"}]}], ")"}]}], ")"}]}], "}"}], "]"}], "]"}], ",", 
                    "1"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "]"}], "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "This", " ", "is", " ", "one", " ", "of", " ", "the", " ",
                     "controls", " ", "that", " ", "allow", " ", "for", " ", 
                    "an", " ", "interactive", " ", "way", " ", "for", " ", 
                    "the", " ", "user", " ", "to", " ", "select", " ", "a", 
                    " ", "spectrum", " ", "using", " ", "either", " ", 
                    "\"\<Selected Ion m/z Value\>\"", " ", "or", " ", 
                    "\"\<Base Peak m/z Value\>\""}], ",", " ", 
                    RowBox[{
                    RowBox[{"max", "/", "min"}], " ", "retention", " ", 
                    "time", " ", "and", " ", "MS", " ", "Level", " ", "of", 
                    " ", "intrest", " ", "using", " ", "PopupMenu"}]}], 
                    "*)"}], "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    StyleBox[
                    RowBox[{"{", 
                    RowBox[{"mzMLmsSpectraSserSelect", ",", "\"\<\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<Please select: {\>\"", "~~", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"mzMLpreCursor", "\[Equal]", "True"}], ",", 
                    "\"\<Selected Ion m/z Value\>\"", ",", 
                    "\"\<Base Peak m/z Value\>\""}], "]"}], "~~", 
                    "\"\<, retention time, MS Level } : \>\""}], ",", "11"}], 
                    "]"}]}], "}"}], "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox["Dynamic", "Input"], 
                    StyleBox["[", "Input"], 
                    RowBox[{
                    StyleBox["Sort", "Input"], 
                    StyleBox["[", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox["MzmlSpectrumMassTimeAssociation", "Input"], 
                    StyleBox["[", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Which", "Input"], 
                    StyleBox["[", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox[
                    RowBox[{"mzMLpreCursor", "\[Equal]", "True"}], "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox["(", "Input"], 
                    RowBox[{
                    StyleBox["MzmlSpectrumSelector", "Input"], 
                    StyleBox["[", "Input"], 
                    RowBox[{
                    StyleBox["mzMLoffsetList", "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["mzMLmsLevel", "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\"\<Yes precursor-ion\>\"", "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMLtimeMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], "Input"], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{
                    StyleBox["Replace", "Input"], 
                    StyleBox["[", "Input"], 
                    RowBox[{
                    StyleBox["mzMLtimeMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMLmassMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    RowBox[{"Replace", "[", " ", 
                    RowBox[{
                    StyleBox["mzMlmassMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}]}], "]"}], 
                    StyleBox[")", "Input"]}], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"mzMLpreCursor", "\[Equal]", "False"}], "Input"], 
                    
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"(", 
                    RowBox[{"MzmlSpectrumSelector", "[", 
                    RowBox[{
                    "mzMLoffsetList", ",", "mzMLmsLevel", ",", 
                    "\"\<No precursor-ion\>\"", ",", "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMLtimeMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMLtimeMax", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Infinity", "\[Rule]", " ", "1000000"}], ",", 
                    RowBox[{"Null", "\[Rule]", "1000000"}]}], "}"}]}], "]"}], 
                    ",", "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMLmassMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzMlmassMax", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Infinity", "\[Rule]", " ", "1000000"}], ",", 
                    RowBox[{"Null", "\[Rule]", "1000000"}]}], "}"}]}], 
                    "]"}]}], "]"}], ")"}], "Input"]}], 
                    StyleBox["]", "Input"]}], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox["mzMLpreCursor", "Input"]}], 
                    StyleBox["]", "Input"]}], 
                    StyleBox["]", "Input"]}], 
                    StyleBox["]", "Input"]}], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"ControlType", "\[Rule]", "PopupMenu"}], 
                    "Input"]}], 
                    StyleBox["}", "Input"]}], 
                    StyleBox[",", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"(*", 
                    RowBox[{
                    "This", " ", "is", " ", "one", " ", "of", " ", "the", " ",
                     "controls", " ", "that", " ", "allow", " ", "for", " ", 
                    "an", " ", "interactive", " ", "way", " ", "for", " ", 
                    "the", " ", "user", " ", "to", " ", "locate", " ", "the", 
                    " ", "\"\<precursor spectrum\>\"", " ", "for", " ", "any",
                     " ", "selected", " ", "\"\<daughter spectrum\>\"", " ", 
                    "by", " ", "using", " ", "RadioButtonBar"}], "*)"}], 
                    "Input"], 
                    StyleBox["\[IndentingNewLine]", "Input"], 
                    StyleBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"mzMLprecursorSpectrum", ",", "False", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Find precursor spectrum for MS Level > 1: \>\"", ",",
                     "11"}], "]"}]}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"True", "\[Rule]", " ", "\"\<Yes\>\""}], ",", 
                    RowBox[{"False", "\[Rule]", "\"\<No\>\""}]}], "}"}], ",", 
                    
                    RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], 
                    "}"}], "Input"]}], 
                   StyleBox["]", "Input"]}], 
                  StyleBox["}", "Input"]}]}], 
                StyleBox["}", "Input"]}], 
               StyleBox["]", "Input"]}], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", "search", " ", "for", " ", 
                 "different", " ", "spectra", " ", "\"\<MS Level\>\"", " ", 
                 "by", " ", "using", " ", "PopupMenu"}], "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLmsLevel", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<MS Level: \>\"", ",", "11"}], "]"}]}], "}"}],
                  ",", 
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", "\[Rule]", " ", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<All\>\"", ",", "11"}], "]"}]}], "}"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ToExpression", "[", "#", "]"}], "&"}], "/@", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzMLoffsetList", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\"\<ms level value\>\""}], ")"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "2"}], "]"}], 
                    "]"}]}]}], "]"}], ",", 
                 RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], 
               "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", "search", " ", "the", " ", 
                 "spectra", " ", "by", " ", "\"\<Selected Ion m/z Value\>\"", 
                 " ", "or", " ", "\"\<Base Peak m/z Value\>\"", " ", "by", 
                 " ", "using", " ", "RadioButton"}], "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLpreCursor", ",", "False", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Search By: \>\"", ",", "11"}], "]"}]}], 
                  "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "True", "\[Rule]", " ", "\"\<Selected Ion m/z Value\>\""}],
                    ",", 
                   RowBox[{
                   "False", "\[Rule]", "\"\<Base Peak m/z Value\>\""}]}], 
                  "}"}], ",", 
                 RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], 
               "Input"], 
              StyleBox[",", "Input"], "\[IndentingNewLine]", 
              "\[IndentingNewLine]", 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", 
                 RowBox[{"change", "/", "input"}], " ", 
                 "\"\<minimum retention time\>\"", " ", "viewing", " ", "MS", 
                 " ", "spectrum", " ", "by", " ", "using", " ", 
                 "InputField"}], "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLtimeMin", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\< Input \\\"minimum [\[GreaterEqual] 0]\\\" retention \
time \\\"\>\"", "<>", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "&"}], "/@", "labeling"}], ")"}], "<>", 
                    "\"\<\\\": \>\""}], ",", "11", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.4"}], "]"}]}], "]"}]}], "}"}], 
                 ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzMLtimeMin", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", 
                 RowBox[{"change", "/", "input"}], " ", 
                 "\"\<maximum retention time\>\"", " ", "viewing", " ", "MS", 
                 " ", "spectra", " ", "by", " ", "using", " ", "InputField"}],
                 "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLtimeMax", ",", "Infinity", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{
                    "\"\< Input \\\"maximum\\\" retention time \\\"\>\"", "<>", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"#", "&"}], "/@", "labeling"}], ")"}], "<>", 
                    "\"\<\\\": \>\""}], ",", "11", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.4"}], "]"}]}], "]"}]}], "}"}], 
                 ",", "Infinity", ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzMLtimeMax", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", 
                 RowBox[{"change", "/", "input"}], " ", 
                 "\"\<minimum spectra mass\>\"", " ", "by", " ", "using", " ",
                  "InputField"}], "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLmassMin", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"minimum [\[GreaterEqual] 0]\\\" spectra \
mass \\\"m/z\\\": \>\"", ",", "11", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}]}], "]"}]}], "}"}], 
                 ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzMLmassMin", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", 
                 RowBox[{"change", "/", "input"}], " ", 
                 "\"\<maximum spectra mass\>\"", " ", "by", " ", "using", " ",
                  "InputField"}], "*)"}], "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMlmassMax", ",", "Infinity", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"maximum\\\" spectra mass \\\"m/z\\\": \
\>\"", ",", "11", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}]}], "]"}]}], "}"}], 
                 ",", "Infinity", ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzMlmassMax", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", "choose", " ", "viewing", " ", 
                 "the", " ", "\"\<Total Ion Current (TIC) Chromatogram\>\"", 
                 " ", "by", " ", "using", " ", "RadioButton"}], "*)"}], 
               "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzMLchromatogram", ",", "False", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<View Chromatogram: \>\"", ",", "11"}], 
                    "]"}]}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"True", "\[Rule]", " ", "\"\<Yes\>\""}], ",", 
                   RowBox[{"False", "\[Rule]", "\"\<No\>\""}]}], "}"}], ",", 
                 RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], 
               "Input"], 
              StyleBox[",", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                 "controls", " ", "that", " ", "allow", " ", "for", " ", "an",
                  " ", "interactive", " ", "way", " ", "for", " ", "the", " ",
                  "user", " ", "to", " ", "\"\<Peaks label\>\"", " ", "all", 
                 " ", "peaks", " ", "in", " ", "selected", " ", "spectrum", 
                 " ", "by", " ", "using", " ", "RadioButton"}], "*)"}], 
               "Input"], 
              StyleBox["\[IndentingNewLine]", "Input"], 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"optionForPlotLabeling", ",", "False", ",", 
                  RowBox[{"Style", "[", 
                   RowBox[{"\"\<Peaks Labeling: \>\"", ",", "11"}], "]"}]}], 
                 "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"True", "\[Rule]", " ", "\"\<Yes\>\""}], ",", 
                  RowBox[{"False", "\[Rule]", "\"\<No\>\""}]}], "}"}], ",", 
                RowBox[{"ControlType", "\[Rule]", "RadioButton"}], ",", 
                RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], 
             StyleBox["]", "Input"]}], 
            StyleBox["}", "Input"]}]}], 
          StyleBox["}", "Input"]}], 
         StyleBox["]", "Input"]}], 
        StyleBox[",", "Input"], 
        StyleBox["\[IndentingNewLine]", "Input"], 
        StyleBox[
         RowBox[{"RoundingRadius", "\[Rule]", "10"}], "Input"]}], 
       StyleBox["]", "Input"]}]}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6489076011931343`*^9, 3.648907647303932*^9}, {
   3.648907699580121*^9, 3.6489077077073298`*^9}, 3.64890783347581*^9, 
   3.648907928167398*^9, {3.648909163939045*^9, 3.648909214353448*^9}, {
   3.648909267484826*^9, 3.6489093596793633`*^9}, {3.648909639981308*^9, 
   3.648909646185486*^9}, {3.648909784863933*^9, 3.6489098145880632`*^9}, {
   3.6489098448994513`*^9, 3.648909879981112*^9}, {3.648910231740177*^9, 
   3.648910243573844*^9}, {3.6489103703912888`*^9, 3.648910373109136*^9}, {
   3.648910535034245*^9, 3.648910577065137*^9}, 3.648911453704514*^9, {
   3.64891150213111*^9, 3.648911507387501*^9}, {3.6489115753629*^9, 
   3.648911582906251*^9}, {3.648912149226479*^9, 3.648912163265266*^9}, 
   3.648912252158257*^9, {3.6489140547289*^9, 3.648914062612278*^9}, {
   3.648914645462803*^9, 3.648914645860854*^9}, {3.648914698855525*^9, 
   3.648914702566126*^9}, {3.648914738597056*^9, 3.6489147441533613`*^9}, {
   3.64891477694973*^9, 3.648914799921439*^9}, {3.6489148368091497`*^9, 
   3.6489148506370583`*^9}, {3.64891491835778*^9, 3.648915097783506*^9}, {
   3.648915201317506*^9, 3.648915309807897*^9}, {3.648915410129776*^9, 
   3.6489154115903997`*^9}, {3.648915441830369*^9, 3.648915612712006*^9}, {
   3.648915643069223*^9, 3.648915645073963*^9}, {3.6489157930664167`*^9, 
   3.6489158051279583`*^9}, {3.6489159590098677`*^9, 3.6489159764334*^9}, 
   3.6489161493983192`*^9, {3.64891621827124*^9, 3.6489162201638937`*^9}, 
   3.648916287317423*^9, {3.6489163910270348`*^9, 3.648916398170457*^9}, {
   3.648916438215975*^9, 3.6489164393350983`*^9}, {3.6489165015928*^9, 
   3.648916503951107*^9}, 3.648916559510469*^9, {3.648916641582034*^9, 
   3.648916658530072*^9}, {3.648916872032896*^9, 3.648916872171062*^9}, {
   3.6489173085883427`*^9, 3.648917349362987*^9}, {3.648917531082366*^9, 
   3.648917541526219*^9}, {3.648917635240079*^9, 3.648917649324613*^9}, {
   3.648917724040819*^9, 3.648917858080638*^9}, {3.648919194742632*^9, 
   3.6489192083160257`*^9}, {3.648919572803589*^9, 3.6489195822348013`*^9}, {
   3.648919643207972*^9, 3.648919643709836*^9}, {3.64891967596702*^9, 
   3.6489196906236563`*^9}, {3.648919775347415*^9, 3.648919810094296*^9}, {
   3.648927197262848*^9, 3.648927198438517*^9}, {3.6489272732317963`*^9, 
   3.6489272978178883`*^9}, {3.64892733344944*^9, 3.6489273836125927`*^9}, {
   3.6489280502728977`*^9, 3.6489280555173073`*^9}, {3.648934283630529*^9, 
   3.6489342997326612`*^9}, {3.649080672326708*^9, 3.649080677126059*^9}, {
   3.649083679206236*^9, 3.6490837008599987`*^9}, {3.649086657242319*^9, 
   3.649086664354452*^9}, {3.6490867750384083`*^9, 3.649086780944684*^9}, {
   3.6490886903971643`*^9, 3.649088743837356*^9}, {3.649089572956058*^9, 
   3.649089591440261*^9}, {3.6490897767301693`*^9, 3.649089838812448*^9}, {
   3.649092988403219*^9, 3.649092995608406*^9}, {3.649117536498741*^9, 
   3.6491175527047586`*^9}, {3.649456854635927*^9, 3.649456872748827*^9}, 
   3.649456946294883*^9, {3.64945700946727*^9, 3.6494570437757196`*^9}, {
   3.649457084774588*^9, 3.6494571885967083`*^9}, {3.6494572353884583`*^9, 
   3.649457243903912*^9}, {3.649457312974545*^9, 3.6494573130474854`*^9}, {
   3.6494575326196203`*^9, 3.6494575632807913`*^9}, {3.649457651990139*^9, 
   3.649457690650105*^9}, {3.649457733267354*^9, 3.649457739863628*^9}, {
   3.6494578161742153`*^9, 3.6494578202116003`*^9}, {3.6494578559172983`*^9, 
   3.649457916631999*^9}, 3.64945796103475*^9, {3.649457998900107*^9, 
   3.649458036163012*^9}, {3.649458067130925*^9, 3.649458081470652*^9}, {
   3.6494581241585617`*^9, 3.6494581626673822`*^9}, 3.649458224988483*^9, {
   3.6494586226171103`*^9, 3.6494586397881927`*^9}, {3.649504749106613*^9, 
   3.649504760529866*^9}, {3.649510086000217*^9, 3.64951008736068*^9}, {
   3.649510175036319*^9, 3.649510179411447*^9}, {3.649510308489058*^9, 
   3.649510312233706*^9}, {3.64951037431752*^9, 3.649510377756247*^9}, {
   3.64951041290773*^9, 3.649510417667507*^9}, {3.649510510576808*^9, 
   3.6495105116790247`*^9}, {3.649510553618677*^9, 3.64951057337016*^9}, {
   3.649510604746211*^9, 3.649510607584283*^9}, {3.649511430788146*^9, 
   3.649511477441224*^9}, {3.649511516943265*^9, 3.649511537639637*^9}, {
   3.649511721486229*^9, 3.649511733469941*^9}, {3.6495117667085648`*^9, 
   3.649511773299304*^9}, {3.649511807956789*^9, 3.649511874242518*^9}, {
   3.6495119997598257`*^9, 3.6495120012867947`*^9}, {3.6495120469517736`*^9, 
   3.649512047341765*^9}, {3.649512346106789*^9, 3.649512428112844*^9}, {
   3.6495125030847387`*^9, 3.6495125258828793`*^9}, {3.649513169813428*^9, 
   3.649513190021501*^9}, {3.6495133289978933`*^9, 3.649513455827203*^9}, {
   3.649513599953268*^9, 3.6495137120278883`*^9}, {3.649513953996354*^9, 
   3.649513967259824*^9}, {3.649513999341407*^9, 3.6495140445148153`*^9}, {
   3.649514149657392*^9, 3.649514162029797*^9}, {3.649514229318853*^9, 
   3.64951423218064*^9}, {3.649514379400367*^9, 3.64951445309163*^9}, {
   3.6495144942505407`*^9, 3.6495145192164907`*^9}, {3.649514589380938*^9, 
   3.649514591149166*^9}, {3.649515189488482*^9, 3.649515237140278*^9}, {
   3.649515425135208*^9, 3.649515430956152*^9}, {3.6495193126404943`*^9, 
   3.649519340861343*^9}, {3.649519435064102*^9, 3.649519559774042*^9}, {
   3.649519635627181*^9, 3.649519684568781*^9}, 3.649519772919785*^9, {
   3.649519868905924*^9, 3.649519893856786*^9}, {3.6495199724848423`*^9, 
   3.649520010082241*^9}, 3.649963357645453*^9, 3.6499647984849987`*^9, 
   3.649965284613427*^9, 3.64996542338336*^9, 3.649965687464623*^9, {
   3.649965765511238*^9, 3.649965827306065*^9}, {3.649965948801244*^9, 
   3.6499660121158*^9}, {3.649966124849453*^9, 3.64996614103045*^9}, {
   3.649966196506749*^9, 3.649966228240691*^9}, {3.649966288866506*^9, 
   3.6499663281923428`*^9}, 3.649966409361643*^9, {3.6499665547155533`*^9, 
   3.649966596383864*^9}, {3.649966762832212*^9, 3.6499668807729397`*^9}, {
   3.649966945258374*^9, 3.649966986534634*^9}, {3.64996709349925*^9, 
   3.649967119746818*^9}, {3.649967174950638*^9, 3.649967188317232*^9}, {
   3.650108759535768*^9, 3.650108798820011*^9}, {3.650108835588778*^9, 
   3.650108869172213*^9}, {3.650109475732541*^9, 3.6501094940793037`*^9}, {
   3.650109876067849*^9, 3.650109887772236*^9}, {3.650110053746038*^9, 
   3.650110059249704*^9}, {3.6501101556528063`*^9, 3.650110290029319*^9}, {
   3.650110641483801*^9, 3.6501107694862003`*^9}, {3.6516088924903927`*^9, 
   3.651608897693941*^9}, 3.651608930887084*^9, 3.6516090221816893`*^9, 
   3.651609080443594*^9, {3.651609138505568*^9, 3.6516091578163157`*^9}, 
   3.651609217629813*^9, {3.651609299928751*^9, 3.65160930583834*^9}, {
   3.651609354065443*^9, 3.651609385461586*^9}, {3.651614854219109*^9, 
   3.651614868912498*^9}, {3.652533422664226*^9, 3.652533428785277*^9}, {
   3.652661820269197*^9, 3.6526618308402987`*^9}, 3.652661917785488*^9, {
   3.653697337281349*^9, 3.653697387173996*^9}, 3.653697426151578*^9, 
   3.653700827890025*^9, {3.653703406933263*^9, 3.6537034114376717`*^9}, 
   3.65370356195391*^9, 3.6552186110896807`*^9, {3.65540391361795*^9, 
   3.655403915757577*^9}, 3.655417149624331*^9, 3.6554748257736073`*^9, 
   3.655510832107273*^9, 3.6555172524286747`*^9, {3.6555667017896633`*^9, 
   3.6555667528280687`*^9}, {3.655566863007471*^9, 3.655566907439247*^9}, {
   3.6555672086839848`*^9, 3.655567226416609*^9}, {3.65556739687013*^9, 
   3.65556746814783*^9}, {3.65556751581367*^9, 3.655567622788348*^9}, {
   3.657133789542343*^9, 3.6571337935491877`*^9}, {3.657214148941839*^9, 
   3.657214153518043*^9}, {3.657225090402811*^9, 3.657225094931473*^9}, 
   3.657233976014761*^9, 3.6572340140834913`*^9, 3.657234055085911*^9, 
   3.65731528893969*^9, {3.657421577060108*^9, 3.657421582395747*^9}, 
   3.657423673049014*^9, 3.6579226734140673`*^9, {3.657923114803047*^9, 
   3.657923122153008*^9}, {3.65792315641551*^9, 3.657923157923504*^9}, 
   3.657923430930195*^9, 3.6579235304684477`*^9, {3.657923604503005*^9, 
   3.657923637344364*^9}, {3.657923697880671*^9, 3.6579237720536737`*^9}, 
   3.6579947758346033`*^9, {3.6580114533359213`*^9, 3.658011462670464*^9}, {
   3.658011498504455*^9, 3.6580115992596703`*^9}, 3.6580116412009563`*^9, {
   3.658011709619886*^9, 3.658011760050782*^9}, {3.658011874132188*^9, 
   3.6580119639935703`*^9}, {3.6580123607398252`*^9, 3.658012414869598*^9}, {
   3.658012552623456*^9, 3.6580127927851543`*^9}, {3.658012909520228*^9, 
   3.658012969525231*^9}, {3.658013178302384*^9, 3.658013182253434*^9}, {
   3.658013232715706*^9, 3.658013340313201*^9}, {3.6580133956375093`*^9, 
   3.658013540404118*^9}, {3.6580136747325287`*^9, 3.65801371061773*^9}, {
   3.6580137668836813`*^9, 3.658013848086862*^9}, {3.658013929653998*^9, 
   3.658013963961784*^9}, {3.658014061855048*^9, 3.658014063184555*^9}, {
   3.658015206771192*^9, 3.6580152072951937`*^9}, {3.658020652669407*^9, 
   3.658020667424844*^9}, {3.658020757553409*^9, 3.658020774647374*^9}, {
   3.6580208843650513`*^9, 3.658020939650218*^9}, {3.658020969658428*^9, 
   3.658021128480754*^9}, {3.658021185105612*^9, 3.658021200885962*^9}, {
   3.658021246880785*^9, 3.658021323504964*^9}, {3.658021367449136*^9, 
   3.658021406035762*^9}, {3.65802145463026*^9, 3.65802165918023*^9}, {
   3.658021692275366*^9, 3.658021879675664*^9}, 3.658022542035077*^9, {
   3.658023114537719*^9, 3.6580231155606337`*^9}, {3.658055952951313*^9, 
   3.658055954811159*^9}, {3.6580560263528633`*^9, 3.658056030815158*^9}, {
   3.658056060830966*^9, 3.658056128026623*^9}, {3.658056164931539*^9, 
   3.6580562702203913`*^9}, {3.65805634683457*^9, 3.65805635707298*^9}, {
   3.658056434069681*^9, 3.658056543417261*^9}, {3.658056582881674*^9, 
   3.65805665646567*^9}, {3.658056842706972*^9, 3.658057044329301*^9}, {
   3.658057100933536*^9, 3.6580572201256323`*^9}, {3.658057260805307*^9, 
   3.658057455595055*^9}, {3.658057494163472*^9, 3.658057759751515*^9}, {
   3.658057800969619*^9, 3.658057850238611*^9}, {3.658059028550061*^9, 
   3.65805906546351*^9}, {3.6580591775893927`*^9, 3.658059194957733*^9}, {
   3.658060696178484*^9, 3.658060703196415*^9}, {3.6580611728162823`*^9, 
   3.658061221659952*^9}, {3.658061760409884*^9, 3.658062099093631*^9}, {
   3.658062156042284*^9, 3.658062187454831*^9}, {3.658062235079338*^9, 
   3.658062248611953*^9}, {3.658062309547255*^9, 3.658062347567091*^9}, {
   3.658062385195804*^9, 3.658062549811441*^9}, {3.658062586601911*^9, 
   3.658062674575501*^9}, {3.658062786635488*^9, 3.658062994128718*^9}, {
   3.658063426469055*^9, 3.65806343431187*^9}, 3.658064037806418*^9, {
   3.658161045279745*^9, 3.6581611437555017`*^9}, {3.658161263139328*^9, 
   3.658161324594136*^9}, {3.658161354744689*^9, 3.658161520403907*^9}, {
   3.688152757395009*^9, 3.688152757567737*^9}, {3.6881560083100147`*^9, 
   3.688156011435762*^9}, {3.6881560853819103`*^9, 3.6881560859041157`*^9}, {
   3.688322386175647*^9, 3.688322387762869*^9}, {3.6883229268788347`*^9, 
   3.688322928003448*^9}, {3.688323061213464*^9, 3.6883230633837852`*^9}, {
   3.68832329791815*^9, 3.688323306364397*^9}, {3.688323446209126*^9, 
   3.688323472100246*^9}, {3.688323560947907*^9, 3.688323585173864*^9}, {
   3.6883237006063423`*^9, 3.688323727101457*^9}, {3.688325157571691*^9, 
   3.688325167391555*^9}, {3.6883252121074667`*^9, 3.688325212447966*^9}, {
   3.688325317574918*^9, 3.6883253457536163`*^9}, {3.68832538207593*^9, 
   3.688325383416757*^9}, {3.6883254135945187`*^9, 3.6883254146643*^9}, {
   3.6883255293487377`*^9, 3.688325533610495*^9}, {3.689104254863596*^9, 
   3.6891042596852207`*^9}, {3.689104383730629*^9, 3.6891043842330503`*^9}}]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell["MZXML Format:", "Chapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648911112016567*^9, 3.6489111140630608`*^9}, {
  3.650108123559874*^9, 3.650108125856833*^9}}],

Cell[CellGroupData[{

Cell["MZXML MetaData:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.645151974098559*^9, {3.64605866444917*^9, 3.64605866882962*^9}, {
   3.6503068063403263`*^9, 3.650306822801091*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "MzxmlRawMetaData", ",", "MzxmlVersion", ",", "MzxmlMSRun", ",", 
   "MzxmlParentFile", ",", "MzxmlMSInstrument", ",", 
   "MzxmlInstrumentSoftware", ",", "MzxmlDataProcessingSoftware", ",", 
   "MzxmlMetaData"}], "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650306846439364*^9, 3.650306916698613*^9}, 
   3.6579834806175623`*^9, 3.657984277800036*^9, 3.657985645391459*^9, 
   3.657988797010903*^9, 3.657990431844549*^9, 3.657992288610265*^9, 
   3.657993266770303*^9, 3.657993749251624*^9, {3.658170380019745*^9, 
   3.658170380762183*^9}}],

Cell[CellGroupData[{

Cell["Function 1 \[OpenCurlyDoubleQuote]MzxmlRawMetaData\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64514393171447*^9, 3.645143945505776*^9}, 
   3.645143976721138*^9, 3.645888386390369*^9, 3.6472588366175632`*^9, 
   3.657983482635337*^9}],

Cell["\<\
MzxmlRawMetaData [ mzXMLfilePath ]

Function MzxmlRawMetaData takes one input and that is the mzXMLfile file path \
as a string e.g. mzXMLfilePath = \[OpenCurlyDoubleQuote]small.msconvert.mzXML\
\[CloseCurlyDoubleQuote]. MzxmlRawMetaData will extract the mzXML file \
medtadata and will be used as a refrance (downstream) for all other MetaData \
functions. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6451970760180683`*^9, {3.647258840428982*^9, 3.647258948993288*^9}, {
   3.647258983417474*^9, 3.647259044821725*^9}, {3.657423969364234*^9, 
   3.657423971601465*^9}, 3.657983484755455*^9, {3.657983537704265*^9, 
   3.657983542959847*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlRawMetaData", "[", "mzXMLFile_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"inputFile", "=", "mzXMLFile"}], ",", "\[IndentingNewLine]", 
      "emptyList", ",", "filePath", ",", "allMetaData", ",", "testXML"}], 
     "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"open", " ", "and", " ", "read", " ", "mzXML", " ", "file"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"inputFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Set", " ", "the", " ", "the", " ", "streaming", " ", "position", " ", 
       "to", " ", "0.", " ", "This", " ", "will", " ", "stream", " ", 
       "metadata", " ", "from", " ", "the", " ", "begining", " ", "of", " ", 
       "the", " ", "file"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "0"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"while", " ", "loop"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"allMetaData", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"filePath", ",", "String"}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Using", " ", "<", "StringCases", ">", " ", 
             RowBox[{"to", " ", "search", " ", 
              RowBox[{"\"\<scan\>\"", "."}]}], " ", "<"}], ".."}], ">", " ", 
           RowBox[{
           "is", " ", "to", " ", "keep", " ", "repeating", " ", "the", " ", 
            "pattern", " ", "matching", " ", "by", " ", "representing", " ", 
            "\"\<scan\>\"", " ", "until", " ", "it", " ", "matches"}]}], ",", 
          " ", 
          RowBox[{"if", " ", "it", " ", 
           RowBox[{"doesn", "'"}], "t", " ", "match"}], ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"keep", " ", "appending"}], " ", "<", "AppendTo", ">", 
            " ", 
            RowBox[{"to", " ", "the", " ", "emptyList"}]}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"{", "}"}], ".", " ", "Using"}], " ", "<", "If", ">", 
            " ", "and", " ", "<", 
            RowBox[{"Break", "[", "]"}], ">", " ", 
            RowBox[{
            "to", " ", "stop", " ", "while", " ", "loop", " ", "once", " ", 
             "\"\<scan\>\"", " ", 
             RowBox[{"matchs", "."}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"StringCases", "[", 
             RowBox[{"allMetaData", ",", 
              RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<scan\>\""}], ",", 
          RowBox[{"Break", "[", "]"}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", "allMetaData"}], "]"}]}], "]"}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"<", 
       RowBox[{"/", "msRun"}], ">", "<", 
       RowBox[{"/", "mzXML"}], ">", " ", 
       RowBox[{
       "as", " ", "closing", " ", "tags", " ", "for", " ", "the", " ", 
        "\"\<XML\>\"", " ", 
        RowBox[{"format", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"emptyList", ",", "\"\<</msRun></mzXML>\>\""}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"Import", " ", "as", " ", "\"\<XML\>\""}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"testXML", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", "emptyList", "]"}], ",", "\"\<XML\>\""}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "testXML", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6447628546550207`*^9, 3.644762996210917*^9}, {
   3.644763068296026*^9, 3.6447631691727047`*^9}, {3.644763211577642*^9, 
   3.644763212274149*^9}, {3.644763242542943*^9, 3.644763481208117*^9}, {
   3.644764044467108*^9, 3.644764062187825*^9}, {3.6447649933456182`*^9, 
   3.64476501446914*^9}, {3.644765275838953*^9, 3.644765276932578*^9}, {
   3.644765582888794*^9, 3.644765809116547*^9}, {3.644765925663106*^9, 
   3.644765995237475*^9}, {3.644766035225596*^9, 3.6447660384091187`*^9}, {
   3.6447674425774317`*^9, 3.644767472766119*^9}, {3.6447703338873377`*^9, 
   3.644770376410819*^9}, {3.6447704467294188`*^9, 3.644770451511731*^9}, 
   3.644770572960731*^9, {3.644770918088667*^9, 3.644770919778268*^9}, {
   3.644771002682041*^9, 3.644771007431048*^9}, 3.644771048696204*^9, {
   3.6447710811983757`*^9, 3.644771115801388*^9}, {3.6447712975821*^9, 
   3.644771333262453*^9}, {3.6448950638663893`*^9, 3.644895106661681*^9}, {
   3.645044759278908*^9, 3.645044784478283*^9}, {3.6450448569597683`*^9, 
   3.645044858028865*^9}, {3.645044897513955*^9, 3.6450449165929956`*^9}, {
   3.645045164785255*^9, 3.645045211918703*^9}, {3.645045262243972*^9, 
   3.645045608187998*^9}, {3.645045758763103*^9, 3.6450457853945427`*^9}, {
   3.645045821736349*^9, 3.6450458721126223`*^9}, {3.645046180383308*^9, 
   3.645046202153997*^9}, {3.645046251478219*^9, 3.64504628964716*^9}, 
   3.645046322213829*^9, {3.645046433448613*^9, 3.6450464613403387`*^9}, {
   3.645046519026263*^9, 3.6450465783792458`*^9}, {3.645123150855122*^9, 
   3.645123174556814*^9}, {3.645143768556624*^9, 3.645143768993648*^9}, 
   3.645269507791581*^9, {3.645269954060107*^9, 3.645269968683627*^9}, {
   3.645284306617404*^9, 3.64528438434704*^9}, 3.645284474061055*^9, {
   3.645284528376878*^9, 3.6452846247311077`*^9}, {3.645284701153255*^9, 
   3.645284980774201*^9}, 3.645285791791686*^9, {3.6458883507194977`*^9, 
   3.6458883513144293`*^9}, {3.6472587614199667`*^9, 3.647258771107264*^9}, {
   3.647259114975671*^9, 3.647259248551032*^9}, {3.647259409493372*^9, 
   3.6472594854235983`*^9}, {3.647260676083044*^9, 3.647260676980092*^9}, 
   3.6579834868701677`*^9, 3.657983550672647*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 2 \
\[OpenCurlyDoubleQuote]MzxmlVersion\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645179130743287*^9, 3.645179136676832*^9}, 
   3.645888397685547*^9, 3.657984280067175*^9}],

Cell["\<\
MzxmlVersion [mzXMLSchemaVersion]

Function MzxmlVersion takes one input and that is the output of \
MzxmlRawMetaData. And returns the mzXML schema version used to constract the \
data file.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645197150116659*^9, 3.6451973787881117`*^9}, {
   3.645197417783407*^9, 3.645197471024541*^9}, {3.645198560606036*^9, 
   3.645198560845821*^9}, {3.6452009934258127`*^9, 3.645200994809969*^9}, {
   3.647261690051339*^9, 3.647261785717854*^9}, {3.6472618201226597`*^9, 
   3.647261843763743*^9}, {3.647261955546777*^9, 3.647262005458404*^9}, {
   3.64726204152243*^9, 3.6472620995850983`*^9}, {3.6472629461217957`*^9, 
   3.647262964599766*^9}, {3.6473589383516083`*^9, 3.6473589384954653`*^9}, {
   3.6574239788595057`*^9, 3.657423979488768*^9}, 3.6579842679702806`*^9, 
   3.657984297985688*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlVersion", "[", "mzXMLSchemaVersion_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"mzXMLSchema", "=", "mzXMLSchemaVersion"}], ",", 
      "mzXMLSchemaTag", ",", "allTogether"}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "using", " ", "string", " ", "pattern", " ", "matching", " ", "to", " ",
        "look", " ", "for", " ", "\"\<mzXML_\>\"", " ", "and"}], " ", "<", 
      "NumberString", ">", " ", 
      RowBox[{
      "to", " ", "find", " ", "the", " ", "mzXML", " ", "version", " ", 
       RowBox[{"format", ".", " ", "\"\<mzXML_\>\""}], " ", "will", " ", 
       "always", " ", "be", " ", "followed", " ", "by", " ", "a", " ", 
       "number", " ", "that", " ", "corresponds", " ", "to", " ", "the", " ", 
       "mzXML", " ", "schema", " ", 
       RowBox[{"version", ".", " ", "This"}], " ", "will", " ", "be", " ", 
       "output", " ", "in", " ", "the"}], " ", "<", "MetaData", ">", "."}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"mzXMLSchemaTag", "=", 
      RowBox[{"Grid", "[", 
       RowBox[{"StringCases", "[", 
        RowBox[{
         RowBox[{"ToString", "[", "mzXMLSchema", "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"___", "~~", "\"\<mzXML_\>\"", "~~", 
           RowBox[{"x", ":", "NumberString"}], "~~", "___"}], ":>", 
          RowBox[{"{", 
           RowBox[{"\"\<mzXML:\>\"", ",", "x"}], "}"}]}]}], "]"}], "]"}]}], 
     ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<mzXML Schema:\>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "mzXMLSchemaTag", "}"}]}], "}"}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6451789041314983`*^9, 3.645179047062994*^9}, {
   3.645179093592073*^9, 3.645179108046297*^9}, {3.6452849980225983`*^9, 
   3.645285173653984*^9}, {3.645285305178563*^9, 3.645285377137506*^9}, 
   3.645285787168878*^9, {3.645888390876381*^9, 3.645888391388008*^9}, {
   3.646083569742476*^9, 3.64608357799404*^9}, 3.646952208507159*^9, 
   3.64709869714216*^9, {3.647262971531641*^9, 3.647262972065275*^9}, 
   3.649117828742275*^9, 3.657984269846039*^9, 3.657984305137673*^9, 
   3.688152951177465*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 3 \[OpenCurlyDoubleQuote]", "Subsection"],
 "MzxmlMSRun",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{3.645144007381959*^9, 3.645179151901408*^9, 
  3.645888462669389*^9, 3.657985647468684*^9}],

Cell["\<\
MzxmlMSRun [ msRunXMLElement ]

Function MzxmlMSRun takes one input and that is the output of \
MzxmlRawMetaData and it returns <msRun> found in file where scan count, start \
and end time are located .\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645197150116659*^9, 3.6451973787881117`*^9}, {
   3.645197417783407*^9, 3.645197471024541*^9}, {3.645198560606036*^9, 
   3.645198560845821*^9}, {3.6452009934258127`*^9, 3.645200994809969*^9}, {
   3.647261690051339*^9, 3.647261785717854*^9}, {3.6472618201226597`*^9, 
   3.647261843763743*^9}, {3.647261955546777*^9, 3.647262005458404*^9}, {
   3.64726204152243*^9, 3.6472620995850983`*^9}, {3.6472629461217957`*^9, 
   3.647262964599766*^9}, 3.647358869344208*^9, {3.647358929628263*^9, 
   3.647358945686884*^9}, {3.64735899252633*^9, 3.647359172155262*^9}, {
   3.647555052058041*^9, 3.647555052426899*^9}, 3.6574239858268347`*^9, {
   3.6579856357961903`*^9, 3.657985659663179*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlMSRun", "[", "msRunXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"msRunElement", ",", "\[IndentingNewLine]", 
      RowBox[{"msRUN", "=", "msRunXMLElement"}], ",", "\[IndentingNewLine]", 
      "msRunTag1", ",", "msRunTag2", ",", "msRunTag3", ",", "msRunTag4", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "using", " ", "cases", " ", "to", " ", "look", " ", "for", " ", "the"}],
       " ", "<", "msRun", ">", " ", 
      RowBox[{"tag", " ", "in", " ", "the", " ", "data", " ", "file"}]}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"msRunElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"msRUN", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<msRun\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "using", " ", "If", " ", "statments", " ", "to", " ", "look", " ", 
        "for", " ", "the", " ", "attributes", " ", 
        "\"\<scanCount, startTime, endTime\>\"", " ", "since", " ", 
        RowBox[{"they", "'"}], "re", " ", 
        RowBox[{"optional", ".", " ", "If"}], " ", "any", " ", "of", " ", 
        "thema", " ", "are", " ", "not", " ", "found"}], ",", " ", 
       RowBox[{"output", " ", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"msRunTag1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<scanCount\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<scanCount\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<startTime\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<startTime\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                   "\"\<endTime\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", " ", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<endTime\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "msRunElement"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "StringReplace", " ", "to", " ", "get", " ", "rid", " ", "of", " ", 
        "letters", " ", "found", " ", "in", " ", "the", " ", "attributes", 
        " ", "\"\<above\>\""}], ",", " ", 
       RowBox[{
       "only", " ", "numbers", " ", "are", " ", "output", " ", "and", " ", 
        "stored", " ", "in", " ", "msRunTag2"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"msRunTag2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"StringReplace", "[", 
         RowBox[{"#", ",", 
          RowBox[{"LetterCharacter", "\[Rule]", "\"\<\>\""}]}], "]"}], "&"}], 
       "/@", 
       RowBox[{"msRunTag1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "insert", " ", "appropiate", " ", "names", " ", "for", " ", "each", " ",
        "attribute", " ", "in", " ", "msRunTag2"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"msRunTag3", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Scan Count: \>\"", ",",
             "1"}], "]"}], ",", 
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Start Time: \>\"", ",",
             "1"}], "]"}], ",", 
          RowBox[{"StringInsert", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<End Time: \>\"", ",", 
            "1"}], "]"}]}], "}"}], "&"}], "@", "msRunTag2"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"msRunTag4", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", "msRunTag3", "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{"\"\<MS Run:\>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "msRunTag4", "}"}]}], "}"}], "]"}], "]"}], "]"}], 
          ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645123240237939*^9, 3.6451233723197327`*^9}, {
   3.645123420138197*^9, 3.645123519738885*^9}, {3.64512359064775*^9, 
   3.645123808125394*^9}, {3.6451244852914047`*^9, 3.64512449747858*^9}, {
   3.645285389580447*^9, 3.645285627545418*^9}, {3.6452856635742273`*^9, 
   3.645285743020164*^9}, 3.6452857821461687`*^9, {3.645888445509718*^9, 
   3.645888457483184*^9}, {3.646952791744444*^9, 3.646952863157814*^9}, {
   3.6469528964638977`*^9, 3.6469529328664217`*^9}, {3.6469536470468807`*^9, 
   3.6469536502456903`*^9}, {3.6469972417372313`*^9, 3.646997260963911*^9}, 
   3.647011500174149*^9, 3.647011545738473*^9, 3.647097726201023*^9, 
   3.64709781516987*^9, 3.647097937003519*^9, 3.6470980128662558`*^9, {
   3.647098247993264*^9, 3.647098460527993*^9}, {3.647098491666436*^9, 
   3.647098656356982*^9}, {3.647359303060793*^9, 3.6473593312348623`*^9}, {
   3.647359362087852*^9, 3.6473594763222637`*^9}, {3.6473595112602863`*^9, 
   3.647359890495772*^9}, {3.6475550705502453`*^9, 3.6475551063414793`*^9}, {
   3.647555940144326*^9, 3.647555986087069*^9}, {3.657985637829183*^9, 
   3.657985666242935*^9}, 3.688152951189083*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 4 \[OpenCurlyDoubleQuote]", "Subsection"],
 "MzxmlParentFile",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64514399633706*^9, 3.645144014289074*^9}, 
   3.64517915441992*^9, 3.6458884839325542`*^9, 3.657988799168283*^9}],

Cell["\<\
MzxmlParentFile [parentFileXMLElement]

Function MzxmlParentFile takes one input and that is the output of \
MzxmlRawMetaDat. It returns <parentFile> where File name, file type and file \
sha1 are located. This function is not used for the final output since the \
output can vary in size.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645198501417992*^9, 3.6451985500782957`*^9}, {
   3.645198586035232*^9, 3.645198600713854*^9}, {3.6451986453749123`*^9, 
   3.6451986793505697`*^9}, {3.6451987122887707`*^9, 3.645198818278688*^9}, {
   3.6452009621395817`*^9, 3.645200968673964*^9}, 3.657988809015451*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlParentFile", "[", "parentFileXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"parentFileElement", ",", 
      RowBox[{"parentFILE", "=", "parentFileXMLElement"}], ",", 
      "parentFileTag1", ",", "parentFileTag2", ",", "parentFileTag3", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"Use", " ", "Cases", " ", "to", " ", "locate", " ", 
      RowBox[{
       RowBox[{"XMLElement", "[", "\"\<parentFile\>\"", "]"}], "."}]}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"parentFileElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"parentFILE", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<parentFile\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "\"\<parentFile\>\"", " ", "contains", " ", "3", " ", "required", " ", 
        "attributes"}], ",", " ", 
       RowBox[{
        RowBox[{"If", " ", "[", "\"\<parentFile\>\"", "]"}], "\[Equal]", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"output", " ", 
        RowBox[{
         RowBox[{"{", "\"\<Unknown\>\"", "}"}], "."}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"parentFileTag1", "=", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", 
                "\"\<fileName\>\""}]}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", 
                "\"\<fileType\>\""}]}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"Cases", "[", 
           RowBox[{"#", ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "==", 
                "\"\<fileSha1\>\""}]}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], "}"}], 
        "&"}], "/@", "parentFileElement"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"use", " ", "<", "StringReplace", ">", " ", 
        RowBox[{"to", " ", "edit", " ", "the", " ", 
         RowBox[{"attributes", ":", " ", 
          RowBox[{"e", ".", "g", ".", " ", "\"\<file\>\""}]}]}]}], "\[Rule]", 
       
       RowBox[{
        RowBox[{"\"\<File \>\"", " ", "and", " ", "use"}], " ", "<", 
        "Transpose", ">", " ", 
        RowBox[{
        "to", " ", "match", " ", "Keys", " ", "with", " ", "the", " ", 
         "corresponding", " ", "Values"}]}]}], "*)"}], "\[IndentingNewLine]", 
     
     RowBox[{"parentFileTag2", "=", 
      RowBox[{"TableForm", "[", 
       RowBox[{"Transpose", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<File Name: \>\"", 
               ",", "1"}], "]"}], ",", 
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<File Type: \>\"", 
               ",", "1"}], "]"}], ",", 
             RowBox[{"StringInsert", "[", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<File Sha1: \>\"", 
               ",", "1"}], "]"}]}], "}"}], "&"}], "/@", "parentFileTag1"}], 
         ",", 
         RowBox[{"{", 
          RowBox[{"1", ",", "3", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Parent File: \>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "parentFileTag2", "}"}]}], "}"}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645124460143485*^9, 3.645124469887845*^9}, {
   3.6451245230935593`*^9, 3.645124564891032*^9}, {3.645124605581149*^9, 
   3.6451246056878233`*^9}, {3.645124641396397*^9, 3.645124701108714*^9}, {
   3.645129828819376*^9, 3.645129895989481*^9}, {3.645129934526929*^9, 
   3.6451299564686527`*^9}, {3.645130013791469*^9, 3.645130161949703*^9}, {
   3.645133064824438*^9, 3.6451330816654873`*^9}, {3.645285807961279*^9, 
   3.6452858998463373`*^9}, {3.6452860043194237`*^9, 3.645286049947198*^9}, {
   3.645286168980941*^9, 3.645286293761096*^9}, {3.64528641856629*^9, 
   3.6452865383365917`*^9}, {3.645888476340391*^9, 3.645888481195969*^9}, {
   3.646062081914315*^9, 3.646062090527672*^9}, {3.646062199761723*^9, 
   3.646062245110054*^9}, {3.646062381631384*^9, 3.646062383837146*^9}, {
   3.646062416381721*^9, 3.646062426042694*^9}, {3.646062576578925*^9, 
   3.646062627374545*^9}, 3.646062657552904*^9, {3.646062695968433*^9, 
   3.646062741074463*^9}, {3.6460627978745623`*^9, 3.6460628034698257`*^9}, {
   3.646062857084198*^9, 3.646062859247588*^9}, {3.646062900348958*^9, 
   3.646062902741516*^9}, {3.646062943022254*^9, 3.646062947675783*^9}, {
   3.646062979557542*^9, 3.64606302789282*^9}, {3.646997298451744*^9, 
   3.6469973087684717`*^9}, {3.646997344888358*^9, 3.6469974019793997`*^9}, {
   3.6469974904985*^9, 3.6469975386194763`*^9}, {3.646997578400824*^9, 
   3.646997586943141*^9}, 3.647009941712756*^9, 3.647009980889732*^9, 
   3.6470114076951323`*^9, 3.647011552370103*^9, {3.6579887950284758`*^9, 
   3.657988815423677*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 5 \[OpenCurlyDoubleQuote]", "Subsection"],
 "MzxmlMSInstrument",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6451440215176563`*^9, 3.645144026719141*^9}, 
   3.6451791561079283`*^9, 3.6458885035319777`*^9, 3.657990433841591*^9}],

Cell["\<\
MzxmlMSInstrument [msInstrumentXMLElement]

Function MzxmlMSInstrument takes one input and that is the output of \
MzxmlRawMetaDat. And it output general information about the MS instrument.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6452009148859177`*^9, 3.645200948734561*^9}, 
   3.645201014464139*^9, {3.645201095637368*^9, 3.645201300633869*^9}, {
   3.645201360585518*^9, 3.645201383341099*^9}, {3.6452014159448566`*^9, 
   3.645201418960807*^9}, {3.645201517210333*^9, 3.6452015749213533`*^9}, {
   3.645201632438788*^9, 3.645201671830587*^9}, {3.645201815095778*^9, 
   3.64520182526998*^9}, {3.645201893825486*^9, 3.645201967187461*^9}, 
   3.657990447737204*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlMSInstrument", "[", "msInstrumentXMLElement_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"msInstrumentElement", ",", "\[IndentingNewLine]", 
      RowBox[{"msINSTRUMENT", "=", "msInstrumentXMLElement"}], ",", 
      "\[IndentingNewLine]", "msInstrumentTag1", ",", "msInstrumentTag2", ",",
       "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"ues", " ", "Cases", " ", "to", " ", "locate", " ", 
      RowBox[{"XMLElement", "[", "\"\<msInstrument\>\"", "]"}], " ", "in", 
      " ", "the", " ", 
      RowBox[{"MetaData", "."}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"msInstrumentElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"msINSTRUMENT", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<msInstrument\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"msInstrumentTag1", "=", 
      RowBox[{"Transpose", "[", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Cases", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{
                   RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<category\>\""}]}]}], "\[RuleDelayed]", 
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                "\[Equal]", 
                RowBox[{"{", "}"}]}], ",", 
               RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<category\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
              "]"}], ",", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"Cases", "[", 
                 RowBox[{"#", ",", 
                  RowBox[{
                   RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                "\[Equal]", 
                RowBox[{"{", "}"}]}], ",", 
               RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                    "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
              "]"}]}], "}"}], "&"}], "/@", "msInstrumentElement"}], ",", 
         "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
       RowBox[{"Uses", " ", "Cases", " ", "to", " ", "locate", " ", 
        RowBox[{"XMLElement", "[", "\"\<msManufacturer\>\"", "]"}]}], ",", 
       " ", 
       RowBox[{"[", "\"\<msModel\>\"", "]"}], ",", " ", 
       RowBox[{"[", "\"\<msIonisation\>\"", "]"}], ",", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"[", "\"\<msMassAnalyzer\>\"", "]"}], " ", 
         RowBox[{"and", " ", "[", "\"\<msDetector\>\"", "]"}], " ", "in", " ",
          "the"}], " ", "<", "msInstrument", ">", " ", "Element"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"msInstrumentTag2", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"StringReplace", "[", 
            RowBox[{"#", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
               "\"\<msManufacturer\>\"", "\[RuleDelayed]", 
                "\"\<MS-Manufacturer: \>\""}], ",", 
               RowBox[{
               "\"\<msModel\>\"", "\[RuleDelayed]", "\"\<MS-Model: \>\""}], 
               ",", 
               RowBox[{
               "\"\<msIonisation\>\"", "\[RuleDelayed]", 
                "\"\<MS-Ionisation: \>\""}], ",", 
               RowBox[{
               "\"\<msMassAnalyzer\>\"", "\[RuleDelayed]", 
                "\"\<MS-Analyzer: \>\""}], ",", 
               RowBox[{
               "\"\<msDetector\>\"", "\[RuleDelayed]", 
                "\"\<MS-Detector: \>\""}], ",", 
               RowBox[{
               "\"\<msResolution\>\"", "\[RuleDelayed]", 
                "\"\<MS-Resolution: \>\""}]}], "}"}], ",", 
             RowBox[{"IgnoreCase", "\[Rule]", "True"}]}], "]"}], "&"}], "/@", 
          "msInstrumentTag1"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Insert", "[", 
         RowBox[{
          RowBox[{"Grid", "[", 
           RowBox[{"Transpose", "[", 
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"Style", "[", 
                 RowBox[{
                 "\"\<Instrument:\>\"", ",", "Bold", ",", "Underlined"}], 
                 "]"}], "}"}], ",", 
               RowBox[{"{", "msInstrumentTag2", "}"}]}], "}"}], "]"}], "]"}], 
           "]"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], ",", 
        RowBox[{"Spacings", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", 
           RowBox[{"{", 
            RowBox[{"2", ",", 
             RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], "}"}]}], ",", 
        "2"}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"Using", " ", "<", "Return", ">", " ", 
       RowBox[{
        RowBox[{
        "statment", " ", "to", " ", "return", " ", "all", " ", "six", " ", 
         "sub"}], "-", 
        RowBox[{
        "elements", " ", "in", " ", "a", " ", "list", " ", "that", " ", "is", 
         " ", "titled", " ", "\"\<Instrument\>\""}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645131935237214*^9, 3.6451320316137867`*^9}, {
   3.645132065599332*^9, 3.645132104606587*^9}, {3.645132221891219*^9, 
   3.645132267972596*^9}, {3.645132299748467*^9, 3.6451324073802843`*^9}, {
   3.6451324424343367`*^9, 3.645132542464053*^9}, {3.645132593625229*^9, 
   3.645132606150958*^9}, {3.645132703783432*^9, 3.6451327113215857`*^9}, 
   3.645134283913186*^9, {3.6451343171347427`*^9, 3.645134617409566*^9}, {
   3.6451346487241993`*^9, 3.6451347373753138`*^9}, {3.645134876203438*^9, 
   3.645135011504047*^9}, {3.645135053858839*^9, 3.645135154370096*^9}, {
   3.645135193254663*^9, 3.645135218127798*^9}, {3.645135252844308*^9, 
   3.645135371539784*^9}, {3.645135437020936*^9, 3.645135465483149*^9}, {
   3.6451355047247133`*^9, 3.645135588121038*^9}, {3.645135658970092*^9, 
   3.645135666070807*^9}, {3.645135698672059*^9, 3.645135807196521*^9}, 
   3.6451358381990767`*^9, {3.645135869946103*^9, 3.6451359400682697`*^9}, {
   3.6451363727681637`*^9, 3.6451365118651333`*^9}, {3.64513659021266*^9, 
   3.645136615304658*^9}, 3.645136733394249*^9, {3.645136770218645*^9, 
   3.645136826117607*^9}, {3.645136861632977*^9, 3.64513691405904*^9}, {
   3.645136946347969*^9, 3.6451369923092537`*^9}, {3.6451370693361273`*^9, 
   3.645137189013481*^9}, 3.645137224442808*^9, {3.645137268059966*^9, 
   3.645137280691166*^9}, {3.645137317624034*^9, 3.645137456312978*^9}, {
   3.645137565530485*^9, 3.645137636000724*^9}, {3.645137685050906*^9, 
   3.645137727921117*^9}, 3.645137855311605*^9, {3.645137905027725*^9, 
   3.645137928959662*^9}, {3.645137963899171*^9, 3.645137976486353*^9}, {
   3.64514106482518*^9, 3.645141083094358*^9}, {3.645141765678628*^9, 
   3.6451417663025513`*^9}, {3.6451425348524714`*^9, 3.645142601019499*^9}, {
   3.64514263821909*^9, 3.64514267617047*^9}, 3.645144039833158*^9, 
   3.645144332688898*^9, {3.6451449765441837`*^9, 3.6451449982068453`*^9}, 
   3.645146984034504*^9, {3.645147033154358*^9, 3.645147048436445*^9}, {
   3.6451470980751743`*^9, 3.6451471211132402`*^9}, {3.645147163263939*^9, 
   3.645147181648904*^9}, {3.645147215737011*^9, 3.6451473256249943`*^9}, {
   3.6451475158439703`*^9, 3.645147518651724*^9}, {3.645147608631857*^9, 
   3.645147625331464*^9}, {3.64514776073111*^9, 3.645147761585886*^9}, {
   3.645179472066309*^9, 3.645179494634185*^9}, {3.64517961715819*^9, 
   3.645179624693408*^9}, 3.6452008725364017`*^9, {3.6452010989369383`*^9, 
   3.6452011080192947`*^9}, {3.645201586963273*^9, 3.645201590089549*^9}, {
   3.6458884955177507`*^9, 3.645888501067925*^9}, {3.647009503528672*^9, 
   3.647009654525052*^9}, {3.64700971903951*^9, 3.647009719651826*^9}, 
   3.647009991495721*^9, {3.647011569096051*^9, 3.6470115820843163`*^9}, {
   3.647086772710144*^9, 3.647086774484601*^9}, {3.65799042792407*^9, 
   3.657990455347056*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 6 \[OpenCurlyDoubleQuote]MzxmlInstrumentSoftware\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645147407437096*^9, 3.6451474251428823`*^9}, 
   3.645179157571776*^9, 3.645888525506351*^9, 3.6579922907432737`*^9}],

Cell["\<\
MzxmlInstrumentSoftware [instrumentSoftwareXMLElement]

Function MzxmlInstrumentSoftware takes one input and that is the output of \
MzxmlRawMetaDat.  The function will locate the software used by the \
instrument. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645202027032557*^9, 3.6452022476879053`*^9}, {
   3.6452025187953157`*^9, 3.6452025515136433`*^9}, 3.6579922986776543`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzxmlInstrumentSoftware", "[", "instrumentSoftwareXMLElement_", "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"msInstrumentElement", ",", "\[IndentingNewLine]", 
      RowBox[{"instrumentSOFTWARE", "=", "instrumentSoftwareXMLElement"}], 
      ",", "\[IndentingNewLine]", "softwareXMLElement", ",", "softwareTag1", 
      ",", "valuesInAttributesInSoftwareTag", ",", "softwareTag2", ",", 
      "softwareTag3"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{"use", " ", "Cases", " ", "to", " ", "locate", " ", 
      RowBox[{"XMLElement", "[", "\"\<msInstrument\>\"", "]"}], " ", "first", 
      " ", "in", " ", "the", " ", "MetaData"}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"msInstrumentElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"instrumentSOFTWARE", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<msInstrument\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"we", " ", "use", " ", "Cases", " ", "to", " ", "locate", " ", 
       RowBox[{"XMLElement", "[", "\"\<software\>\"", "]"}], " ", "in", " ", 
       "the", " ", 
       RowBox[{"XMLElement", "[", "\"\<msInstrument\>\"", "]"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"softwareXMLElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"msInstrumentElement", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<software\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "the", " ", "software", " ", "element", " ", "contain", " ", "3", " ", 
        "required", " ", "attributes"}], ",", " ", "type", ",", " ", 
       RowBox[{"name", " ", "and", " ", "version", " ", "of", " ", "the", " ", 
        RowBox[{"software", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"softwareTag1", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<type\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<type\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "softwareXMLElement"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"edit", " ", "all", " ", "3", " ", "titels", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\"\<type\>\"", "\[Rule]", "\"\<Type:\>\""}], ",", 
         RowBox[{"\"\<name\>\"", "\[Rule]", "\"\<Name:\>\""}], ",", 
         RowBox[{"\"\<version\>\"", "\[Rule]", "\"\<Version:\>\""}]}], "}"}], 
       " ", "using", " ", "StringInsert"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"softwareTag2", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Type: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<Version: \>\"", 
                 ",", "1"}], "]"}]}], "}"}], "&"}], "/@", "softwareTag1"}], 
           ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"softwareTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<Instrument Software:\>\"", ",", "Bold", ",", 
                "Underlined"}], "]"}], "}"}], ",", 
             RowBox[{"{", "softwareTag2", "}"}]}], "}"}], "]"}], "]"}], "]"}],
         ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "softwareTag3", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645147467807653*^9, 3.645147600146607*^9}, {
   3.645147630583396*^9, 3.645147670114949*^9}, 3.645147848123317*^9, 
   3.645286586015894*^9, {3.645888519584682*^9, 3.6458885225683403`*^9}, 
   3.647012027172365*^9, {3.6470124325538483`*^9, 3.6470125140375557`*^9}, 
   3.6579922847492743`*^9, 3.657992316487669*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 7 \[OpenCurlyDoubleQuote]MzxmlDataProcessingSoftware\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645144046372488*^9, 3.645144058549955*^9}, {
   3.6451478013447227`*^9, 3.645147801608678*^9}, 3.645179159211609*^9, 
   3.6458885407701683`*^9, 3.65799326859934*^9}],

Cell["\<\
MzxmlDataProcessingSoftware [dataProcessingsoftwareXMLElement]

Function MzxmlDataProcessingSoftware takes one input and that is the output \
of MzxmlRawMetaDat to locate the software used for data processing.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645202618201688*^9, 3.645202690076564*^9}, 
   3.6579932346994667`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "MzxmlDataProcessingSoftware", "[", "dataProcessingsoftwareXMLElement_", 
   "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
      "dataPROCESSINGSOFTWARE", "=", "dataProcessingsoftwareXMLElement"}], 
      ",", "\[IndentingNewLine]", "dataProcessingElement", ",", 
      "dataProcessingSoftwareTag1", ",", "dataProcessingSoftwareTag2", ",", 
      "dataProcessingSoftwareTag3", ",", "dataProcessingSoftwareTag4", ",", 
      "processingOperationTag1", ",", "processingOperationTag2", ",", 
      "processingOperationTag3", ",", "processingOperationTag4", ",", 
      "allTogether"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"use", " ", "Cases", " ", "to", " ", "locate", " ", 
      RowBox[{"XMLElement", "[", "\"\<dataProcessing\>\"", "]"}], " ", 
      "first", " ", "in", " ", "the", " ", "MetaData"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dataProcessingElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"dataPROCESSINGSOFTWARE", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<dataProcessing\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "we", " ", "then", " ", "use", " ", "Cases", " ", "again", " ", "to", 
       " ", "locate", " ", 
       RowBox[{"XMLElement", "[", "\"\<software\>\"", "]"}], " ", "in", " ", 
       "the", " ", 
       RowBox[{
        RowBox[{"XMLElement", "[", "\"\<dataProcessing\>\"", "]"}], "."}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dataProcessingSoftwareTag1", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"dataProcessingElement", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<software\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "the", " ", "software", " ", "element", " ", "contain", " ", "3", " ", 
        "required", " ", "attributes"}], ",", " ", "type", ",", " ", 
       RowBox[{"name", " ", "and", " ", "version", " ", "of", " ", "the", " ", 
        RowBox[{"software", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dataProcessingSoftwareTag2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<type\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<type\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<version\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "dataProcessingSoftwareTag1"}]}], ";",
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"edit", " ", "all", " ", "3", " ", "titels", " ", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"\"\<type\>\"", "\[Rule]", "\"\<Type:\>\""}], ",", 
         RowBox[{"\"\<name\>\"", "\[Rule]", "\"\<Name:\>\""}], ",", 
         RowBox[{"\"\<version\>\"", "\[Rule]", "\"\<Version:\>\""}]}], "}"}], 
       " ", "using", " ", "StringInsert"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"dataProcessingSoftwareTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Type: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<Version: \>\"", 
                 ",", "1"}], "]"}]}], "}"}], "&"}], "/@", 
            "dataProcessingSoftwareTag2"}], ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"dataProcessingSoftwareTag4", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<Data Processing Software:\>\"", ",", "Bold", ",", 
                "Underlined"}], "]"}], "}"}], ",", 
             RowBox[{"{", "dataProcessingSoftwareTag3", "}"}]}], "}"}], "]"}],
           "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "The", " ", "subelement", " ", "\"\<processingOperation\>\"", " ", 
        "is", " ", "any", " ", "additional", " ", "manipulation", " ", "not", 
        " ", "included", " ", "elsewhere", " ", "in", " ", "the", " ", 
        "dataProcessing", " ", "element", " ", "located"}], ",", " ", 
       RowBox[{
        RowBox[{"If", " ", "[", "\"\<processingOperation\>\"", "]"}], 
        "\[Equal]", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{"output", " ", 
        RowBox[{
         RowBox[{"{", "\"\<Unknown\>\"", "}"}], "."}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"processingOperationTag1", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"dataProcessingElement", ",", 
           RowBox[{"XMLElement", "[", 
            RowBox[{"\"\<processingOperation\>\"", ",", "_", ",", "_"}], 
            "]"}], ",", "Infinity"}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
        RowBox[{"Cases", "[", 
         RowBox[{"dataProcessingElement", ",", 
          RowBox[{"XMLElement", "[", 
           RowBox[{"\"\<processingOperation\>\"", ",", "_", ",", "_"}], "]"}],
           ",", "Infinity"}], "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "the", " ", "processingOperation", " ", "element", " ", "contain", " ",
         "3", " ", "optional", " ", "attributes"}], ",", " ", "name", ",", 
       " ", 
       RowBox[{
       "value", " ", "and", " ", "type", " ", "of", " ", "the", " ", 
        "processing", " ", 
        RowBox[{"operation", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"processingOperationTag2", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<name\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<name\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", 
                  "\"\<value\>\""}]}]}], "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Cases", "[", 
              RowBox[{"#", ",", 
               RowBox[{
                RowBox[{"x_", "/;", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "==", 
                   "\"\<type\>\""}]}]}], "\[RuleDelayed]", 
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
             "\[Equal]", 
             RowBox[{"{", "}"}]}], ",", 
            RowBox[{"{", "\"\<Unknown\>\"", "}"}], ",", 
            RowBox[{"Cases", "[", 
             RowBox[{"#", ",", 
              RowBox[{
               RowBox[{"x_", "/;", 
                RowBox[{
                 RowBox[{
                  RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                 RowBox[{
                  RowBox[{"x", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<type\>\""}]}]}],
                "\[RuleDelayed]", 
               RowBox[{"x", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}]}], 
           "]"}]}], "}"}], "&"}], "/@", "processingOperationTag1"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"processingOperationTag3", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Flatten", "[", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", "\"\<Name: \>\"", ",", 
                 "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "\"\<Value: \>\"", ",",
                  "1"}], "]"}], ",", 
               RowBox[{"StringInsert", "[", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ",", "\"\<Type: \>\"", ",", 
                 "1"}], "]"}]}], "}"}], "&"}], "/@", 
            "processingOperationTag2"}], ",", "1"}], "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"processingOperationTag4", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<Data Processing Operation:\>\"", ",", "Bold", ",", 
                "Underlined"}], "]"}], "}"}], ",", 
             RowBox[{"{", "processingOperationTag3", "}"}]}], "}"}], "]"}], 
          "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "allTogether", " ", "is", " ", "to", " ", "output", " ", "a", " ", 
       "readable", " ", "mzXML", " ", "schema", " ", "version"}], " ", "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"allTogether", "=", 
      RowBox[{"Insert", "[", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"Transpose", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", "dataProcessingSoftwareTag4", "}"}], ",", 
             RowBox[{"{", "processingOperationTag4", "}"}]}], "}"}], "]"}], 
          "]"}], "]"}], ",", 
        RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "allTogether", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645143743091546*^9, 3.645143743377849*^9}, 
   3.645145034754538*^9, {3.645145123214074*^9, 3.645145156170844*^9}, 
   3.645145350179092*^9, {3.645145382114318*^9, 3.645145397911024*^9}, 
   3.6451454647012377`*^9, 3.64514562938542*^9, 3.645145973935129*^9, 
   3.6451460499803133`*^9, {3.645146159673295*^9, 3.6451461923491163`*^9}, {
   3.6451463076385813`*^9, 3.64514635397805*^9}, 3.6451464716106987`*^9, 
   3.645146502488955*^9, {3.645146672418836*^9, 3.645146788196312*^9}, {
   3.64514683473711*^9, 3.645146934478098*^9}, {3.6451471382393007`*^9, 
   3.645147173370867*^9}, {3.645888535120393*^9, 3.645888537967737*^9}, {
   3.647013607434615*^9, 3.647013976798665*^9}, 3.6579932443011637`*^9, 
   3.689104741441031*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Function 8 \
\[OpenCurlyDoubleQuote]MzxmlMetaData\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648920624147759*^9, 3.648920642711904*^9}, 
   3.657993751441966*^9}],

Cell["\<\
MzxmlMetaData [input]

Function MzxmlMetaData will take the output from MzxmlRawMetaData as the only \
input. This function will output the follwoing: MzxmlVersion, MzxmlMSRun, \
MzxmlMSInstrument, MzxmlInstrumentSoftware, and MzxmlDataProcessingSoftware.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{3.657993717575975*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlMetaData", "[", "input_", "]"}], ":=", "\[IndentingNewLine]", 
  
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "overall", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "only", 
       " ", "input", " ", "to", " ", "this", " ", "function"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"overall", "=", "input"}], ",", "\[IndentingNewLine]", 
      "metaDataOverall"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"metaDataOverall", "=", 
      RowBox[{"Grid", "[", 
       RowBox[{"Partition", "[", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "this", " ", "is", " ", "the", " ", "viewer", " ", "title", " ", 
          "joined", " ", "with", " ", "the", " ", "other", " ", "functions"}],
          "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"Insert", "[", 
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{"Transpose", "[", 
                RowBox[{"Partition", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<MathIOmica-MSViewer\>\"", ",", "38", ",", "Bold"}], 
                    "]"}], ",", 
                    GraphicsBox[
                    TagBox[RasterBox[CompressedData["
1:eJzsXQd4VEXXHgtKkR4gIaRveu+9kd5D+iZAEgIpJCQQeu9KUQQBFVCKiIIf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                    "], {{0, 230}, {230, 
                    0}}, {0, 255},
                    ColorFunction->RGBColor],
                    BoxForm`ImageTag[
                    "Byte", ColorSpace -> "RGB", Interleaving -> True],
                    Selectable->False],
                    BaseStyle->"ImageGraphics",
                    ImageSizeRaw->{230, 230},
                    PlotRange->{{0, 230}, {0, 230}}]}], "}"}], ",", "1"}], 
                 "]"}], "]"}], "]"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Center"}], ",", "2"}], "]"}], 
            "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Insert", "[", 
             RowBox[{
              RowBox[{"Grid", "[", 
               RowBox[{"Partition", "[", 
                RowBox[{
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<MetaData:\>\"", ",", "15", ",", "Underlined", ",", 
                    "Bold"}], "]"}], ",", "\"\<\>\""}], "}"}], "}"}], "]"}], 
                    ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Framed", "[", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"Transpose", "[", 
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "these", " ", "are", " ", "3", " ", "functions", " ", 
                    "that", " ", "are", " ", "output", " ", 
                    RowBox[{"together", ".", " ", "The"}], " ", "3", " ", 
                    "functions", " ", 
                    RowBox[{"are", ":", " ", 
                    RowBox[{"mzXML", " ", "file", " ", "version"}]}]}], ",", 
                    " ", 
                    RowBox[{"MS", " ", "Run"}], ",", " ", 
                    RowBox[{"and", " ", "instrument", " ", 
                    RowBox[{"list", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    
                    RowBox[{
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"MzxmlVersion", "[", "overall", "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"MzxmlMSRun", "[", "overall", "]"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"MzxmlMSInstrument", "[", "overall", "]"}], 
                    "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    
                    RowBox[{"(*", 
                    RowBox[{
                    "these", " ", "are", " ", "2", " ", "other", " ", 
                    "functions", " ", "that", " ", "are", " ", "output", " ", 
                    
                    RowBox[{"together", ".", " ", "The"}], " ", "2", " ", 
                    "functions", " ", 
                    RowBox[{"are", ":", " ", 
                    RowBox[{
                    "mzXML", " ", "file", " ", "instrument", " ", "software", 
                    " ", "and", " ", "data", " ", "processin", " ", 
                    RowBox[{"software", "."}]}]}]}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Join", "[", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"MzxmlInstrumentSoftware", "[", "overall", "]"}], 
                    "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "MzxmlDataProcessingSoftware", "[", "overall", "]"}], 
                    "}"}]}], "]"}], ",", "1"}], "]"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], 
                    "]"}]}], "}"}], ",", "1"}], "]"}], "]"}], ",", 
                    RowBox[{"Dividers", "\[Rule]", "Center"}]}], "]"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Top"}], ",", "2"}], 
                    "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "]"}], "}"}]}], 
                  "]"}], ",", "1"}], "]"}], "]"}], ",", 
              RowBox[{"Alignment", "\[Rule]", "Left"}], ",", "2"}], "]"}], 
            "}"}]}], "]"}], ",", "1"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "metaDataOverall", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648920653584135*^9, 3.6489208612180233`*^9}, 
   3.6489210158012114`*^9, {3.648921064863975*^9, 3.648921065487198*^9}, {
   3.648921250272161*^9, 3.6489212610094976`*^9}, 3.657984273651112*^9, 
   3.657985642741054*^9, 3.6579904296748343`*^9, 3.6579922865327*^9, 
   3.6579932650222282`*^9, 3.657993725035342*^9, {3.688152985792122*^9, 
   3.688152987431031*^9}, {3.688935706980619*^9, 3.688935707442761*^9}}]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MZXML Back-End:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.649092491588338*^9, 3.64909250920298*^9}, {
   3.650306827264628*^9, 3.650306829977851*^9}, 3.650306933352951*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{
  "MzxmlSpectrumBinaryDecoder", ",", "MzxmlOffSetListCounter", ",", 
   "MzxmlSpectrumSelector", ",", "MzxmlGetSpectraMSLevel", ",", 
   "MzxmlSpectrumMassTimeAssociation", ",", 
   "MzxmlGetPrecursorSpectraAtMSLevel", ",", 
   "MzxmlGetMSSpectraLocationAndBinary", ",", "MzxmlSpectrumPlotter"}], 
  "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650306937604876*^9, 3.650307015882104*^9}, 
   3.655121261468293*^9, 3.655137319272201*^9, 3.655229074944528*^9, 
   3.655412981307482*^9, 3.655417237042431*^9, 3.655478807978551*^9, 
   3.657153584465645*^9, 3.657215473252028*^9, {3.658170433067746*^9, 
   3.658170433632818*^9}}],

Cell[CellGroupData[{

Cell["Function 1 \[OpenCurlyDoubleQuote]MzxmlSpectrumBinaryDecoder\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6551208810239573`*^9, 3.655120889171644*^9}, {
  3.655120926254868*^9, 3.6551209385821342`*^9}}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["\<\
The MzxmlSpectrumBinaryDecoder [binary data, binary data type, enocoding \
formate, compression status] 

The MzxmlSpectrumBinaryDecoder takes four inputs, 1: (string_): the binary \
data in string format, 2: (inputAccuracy_): the binary data type either bit \
flot or bit integer, 3: (form_): the binary data enocoding formate (Base64) \
in the String format, 4: (compression_): test for if the binary data is \
compressed or not. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6374138503661413`*^9, {3.63741404359088*^9, 3.6374141228783607`*^9}, {
   3.637414156162768*^9, 3.637414283969853*^9}, {3.637414318705132*^9, 
   3.6374143514833393`*^9}, 3.6433656595012083`*^9, 3.652647175574543*^9, {
   3.6526472935637608`*^9, 3.652647480564247*^9}, 3.655121008000619*^9, {
   3.655121068921082*^9, 3.6551211155509253`*^9}, 3.655121160294402*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlSpectrumBinaryDecoder", "[", 
   RowBox[{
   "string_", ",", "inputAccuracy_", ",", "form_", ",", "compression_"}], 
   "]"}], ":=", "\[IndentingNewLine]", " ", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"1", "st", " ", "input"}], ",", " ", 
       RowBox[{
       "the", " ", "user", " ", "selected", " ", "spectrum", " ", "binary", 
        " ", "data"}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"inputString", "=", "string"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"2", "nd", " ", "input"}], ",", " ", 
        RowBox[{"spectrum", " ", "input", " ", "bit", " ", "accuracy"}]}], 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"binaryFormat", "=", "inputAccuracy"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"3", "rd", " ", "input"}], ",", " ", 
        RowBox[{"data", " ", "enocoding", " ", "formate", " ", 
         RowBox[{"(", "Base64", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"inFormat", "=", "form"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"4", "th", " ", "input"}], ",", " ", 
        RowBox[{
        "binary", " ", "data", " ", "is", " ", "compressed", " ", "or", " ", 
         "not"}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"compressionStatus", "=", "compression"}], ",", 
      "\[IndentingNewLine]", "result", ",", "str", ",", 
      "returnListNoCompression", ",", "returnListZLIPCompression", ",", 
      "characterList", ",", "intensities"}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"result", "=", "\[IndentingNewLine]", 
      RowBox[{"Switch", " ", "[", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "check", " ", "the", " ", "spectrum", " ", "compression", " ", 
         "status"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"compressionStatus", ",", "\[IndentingNewLine]", 
        RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"imports", " ", "binary", " ", "data", " ", 
           RowBox[{"(", "inputString", ")"}], " ", "in", " ", "Base64", " ", 
           "format", " ", "from", " ", "a", " ", "string"}], ",", " ", 
          RowBox[{
          "and", " ", "StringToStream", " ", "is", " ", "to", " ", "open", 
           " ", "a", " ", "stream", " ", "for", " ", "reading", " ", "from", 
           " ", "a", " ", 
           RowBox[{"string", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"str", "=", 
          RowBox[{"StringToStream", "[", 
           RowBox[{"ImportString", "[", 
            RowBox[{"inputString", " ", ",", 
             RowBox[{"{", 
              RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}]}], 
            "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{"str", ":", " ", 
           RowBox[{
           "is", " ", "the", " ", "imported", " ", "spectrum", " ", "binary", 
            " ", 
            RowBox[{"data", ".", " ", "binaryFormat"}]}], ":", " ", 
           RowBox[{"spectrum", " ", "input", " ", "bit", " ", 
            RowBox[{"accuracy", ".", " ", "\[IndentingNewLine]", 
             RowBox[{"ByteOrdering", ":", " ", 
              RowBox[{
              "is", " ", "an", " ", "option", " ", "for", " ", 
               "BinaryReadList", " ", "that", " ", "specifies", " ", "the", 
               " ", "ordering", " ", "of", " ", "bytes", " ", "should", " ", 
               "be", " ", "assumed", " ", "for", " ", "your", " ", "computer",
                " ", "system"}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"returnListNoCompression", "=", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"BinaryReadList", "[", 
             RowBox[{"str", ",", "binaryFormat", ",", 
              RowBox[{"ByteOrdering", "\[Rule]", "1"}]}], "]"}], ",", "2"}], 
           "]"}]}]}], ",", "\[IndentingNewLine]", "\"\<none\>\"", ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"str", "=", 
          RowBox[{"StringToStream", "[", 
           RowBox[{"ImportString", "[", 
            RowBox[{"inputString", " ", ",", 
             RowBox[{"{", 
              RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}]}], 
            "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"returnListNoCompression", "=", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"BinaryReadList", "[", 
             RowBox[{"str", ",", "binaryFormat", ",", 
              RowBox[{"ByteOrdering", "\[Rule]", "1"}]}], "]"}], ",", "2"}], 
           "]"}]}]}], ",", "\[IndentingNewLine]", "\"\<zlib\>\"", ",", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"returnListZLIPCompression", "=", 
          RowBox[{"BinaryReadList", "[", 
           RowBox[{
            RowBox[{"StringToStream", "[", 
             RowBox[{"ImportString", "[", 
              RowBox[{"inputString", " ", ",", "inFormat"}], "]"}], "]"}], 
            ",", "\"\<Byte\>\"", ",", 
            RowBox[{"ByteOrdering", "\[Rule]", " ", 
             RowBox[{"-", "1"}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"characterList", "=", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"ImportString", "[", 
             RowBox[{
              RowBox[{"FromCharacterCode", "[", 
               RowBox[{
               "Developer`RawUncompress", "[", "returnListZLIPCompression", 
                "]"}], "]"}], ",", "binaryFormat", ",", 
              RowBox[{"ByteOrdering", "\[Rule]", " ", "1"}]}], "]"}], ",", 
            "2"}], "]"}]}]}]}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "result", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.629514096370667*^9, 3.629514099815044*^9}, {
   3.629514960564515*^9, 3.629514964257133*^9}, {3.6306920572616787`*^9, 
   3.63069205893361*^9}, {3.63069211441219*^9, 3.6306921459290867`*^9}, {
   3.63069244475756*^9, 3.6306924754021893`*^9}, {3.630692510397421*^9, 
   3.630692511533091*^9}, 3.63069261200343*^9, {3.635134440600752*^9, 
   3.635134440668707*^9}, 3.637414520556348*^9, {3.6409907656463747`*^9, 
   3.640990770355609*^9}, {3.6419208234372683`*^9, 3.641920823788089*^9}, {
   3.641920939902602*^9, 3.641920942286872*^9}, 3.643365612836135*^9, {
   3.6433656857428503`*^9, 3.643365704199029*^9}, 3.6446854135840807`*^9, 
   3.644686059373706*^9, {3.644687211448626*^9, 3.6446872342089977`*^9}, {
   3.6446904197435293`*^9, 3.644690441866025*^9}, {3.644690508014359*^9, 
   3.64469051079853*^9}, {3.6446905450295467`*^9, 3.644690564290903*^9}, {
   3.644690970296186*^9, 3.64469102915473*^9}, 3.644691092694935*^9, 
   3.644691261358684*^9, {3.6446913030365133`*^9, 3.6446913836882*^9}, 
   3.6446916649592037`*^9, 3.644692162769698*^9, {3.6446922046551943`*^9, 
   3.644692208343519*^9}, 3.644692468445031*^9, {3.6446925510628138`*^9, 
   3.6446925574677362`*^9}, {3.6446926395057163`*^9, 
   3.6446926416569242`*^9}, {3.644692780827173*^9, 3.644692859613693*^9}, {
   3.645203862457509*^9, 3.6452038700854387`*^9}, {3.647092626015874*^9, 
   3.647092626889711*^9}, {3.655121042315345*^9, 3.655121054318247*^9}, 
   3.655121230608986*^9, {3.657293997485964*^9, 3.657294120700746*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 2 \[OpenCurlyDoubleQuote]", "Subsection"],
 "MzxmlOffSetListCounter",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786160267218*^9, 3.6417861879608107`*^9}, 
   3.6445878715512333`*^9, {3.644598866221702*^9, 3.6445988663240232`*^9}, 
   3.644679393885181*^9, 3.645889815853342*^9, {3.655228997390415*^9, 
   3.65522900926048*^9}}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["MzxmlOffSetListCounter[mzXMLFileOfIntrest_]", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{3.65366231225583*^9, 3.655229050471787*^9}],

Cell["\<\
mzXMLoffSetCounter function takes the file of intrest that is set to a \
constant as an inut and it outoput a created offset list for all spectras in \
the mzXML file with the requested attributes and their locations.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6457282804288063`*^9, 3.6457283229675913`*^9}, 
   3.653662255837237*^9, {3.653662340266575*^9, 3.6536624277758837`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlOffSetListCounter", "[", "mzXMLFileOfIntrest_", "]"}], ":=", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"inputFile", "=", "mzXMLFileOfIntrest"}], ",", "emptyList", ",",
       "filePath", ",", "\[IndentingNewLine]", "scanNumber", ",", "msLevel", 
      ",", "retentionTime", ",", "basePeakMZ", ",", "precursorIntensity", ",",
       "centroided", ",", "polarity", ",", "\[IndentingNewLine]", 
      "allAttributesOfInterest", ",", "getThePosition", ",", 
      "mapingIntoEmptyList", ",", "masterListOfLists"}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{"empty", " ", "list", " ", "to", " ", "append", " ", "to"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "OpenRead", " ", "will", " ", "read", " ", "the", " ", "data", " ", 
       "from", " ", "the", " ", "file", " ", "to", " ", "reaturn", " ", "an", 
       " ", "InputStream", " ", "object"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"inputFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for", " ", "an", " ", "spectrum"}], " ", "<", 
       RowBox[{"scan", " ", "num"}], ">", " ", 
       RowBox[{"tag", " ", "for", " ", "every", " ", "scan"}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"scanNumber", "=", "\"\<<scan num\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for"}], " ", "<", "mslevel", ">", " ", 
       RowBox[{"attribute", " ", "within", " ", "each", " ", "scan"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"msLevel", "=", "\"\<msLevel\>\""}], ";", "\[IndentingNewLine]", 
     
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for"}], " ", "<", "retentionTime", ">", " ", 
       RowBox[{"attribute", " ", "within", " ", "each", " ", "scan"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"retentionTime", "=", "\"\<retentionTime\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for", " ", "the"}], " ", "<", "basepeakMz", ">", " ", 
       RowBox[{"attribute", " ", "within", " ", "each", " ", "scan"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"basePeakMZ", "=", "\"\<basePeakMz\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for", " ", "the"}], " ", "<", "precursorIntensity", ">",
        " ", 
       RowBox[{"attribute", " ", "for", " ", "every", " ", "scan"}]}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"precursorIntensity", "=", "\"\<precursorIntensity\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for", " ", "the"}], " ", "<", "centroided", ">", " ", 
       RowBox[{"attribute", " ", "for", " ", "every", " ", "scan"}]}], "*)"}],
      "\[IndentingNewLine]", 
     RowBox[{"centroided", "=", "\"\<centroided\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "read", " ", "the", " ", "entire", " ", "file", " ", "and", " ", 
        "look", " ", "for"}], " ", "<", "polarity", ">", " ", 
       RowBox[{"attribute", " ", "within", " ", "each", " ", "scan"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"polarity", "=", "\"\<polarity\>\""}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "set", " ", "the", " ", "streaming", " ", "location", " ", "to", " ", 
        "character"}], " ", "=", " ", 
       RowBox[{"1", " ", "\"\<at the beginning og the file\>\""}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "1"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "while", " ", "loop", " ", "will", " ", "take", " ", "all", " ", 
       "found", " ", "location", " ", "of", " ", "all", " ", "given", " ", 
       "constants", " ", "above", " ", "and", " ", "append", " ", "them", " ",
        "with", " ", "their", " ", "locations", " ", "to", " ", "an", " ", 
       "emptyList", " ", "until", " ", "the", " ", "end", " ", "of", " ", 
       "the", " ", "file"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"allAttributesOfInterest", "=", 
         RowBox[{"Find", "[", 
          RowBox[{"filePath", ",", 
           RowBox[{"{", 
            RowBox[{
            "scanNumber", ",", "msLevel", ",", "retentionTime", ",", 
             "basePeakMZ", ",", "precursorIntensity", ",", "centroided", ",", 
             "polarity"}], "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"getThePosition", "=", 
         RowBox[{"StreamPosition", "[", "filePath", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"allAttributesOfInterest", "\[Equal]", "EndOfFile"}], ",", 
          RowBox[{"Break", "[", "]"}], ",", ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", 
            RowBox[{"{", 
             RowBox[{"allAttributesOfInterest", ",", "getThePosition"}], 
             "}"}]}], "]"}]}], "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "MapIndexed", " ", "applies", " ", "StringCases", " ", "to", " ", "the",
        " ", "elements", " ", "of", " ", "the", " ", "emptyList", " ", "and", 
       " ", "that", " ", "is", " ", "the", " ", "all", " ", "detacted", " ", 
       "attributes", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
           "scanNumber", ",", " ", "msLevel", ",", " ", "retentionTime", ",", 
            " ", "basePeakMZ", ",", " ", "precursorIntensity"}], ")"}], ",", 
          " ", 
          RowBox[{
          "with", " ", "each", " ", "attribute", " ", "detacted", " ", 
           "location"}]}], "}"}], "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"mapingIntoEmptyList", "=", "\[IndentingNewLine]", 
      RowBox[{"MapIndexed", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Flatten", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#1", "[", 
             RowBox[{"[", "2", "]"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"(", 
             RowBox[{"StringCases", "[", 
              RowBox[{
               RowBox[{"#1", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{
                  "detect", " ", "each", " ", "spectrum", " ", 
                   "\"\<<scan num=\>\""}], ",", " ", 
                  RowBox[{
                  "name", " ", "it", " ", "\"\<scan number\>\"", " ", "and", 
                   " ", "place", " ", "it", " ", "in", " ", "a", " ", "list", 
                   " ", "with", " ", "its", " ", "location"}]}], "*)"}], 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<<scan num=\\\"\>\"", "~~", 
                   RowBox[{"sN", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<scan number\>\"", ",", "sN"}], "}"}]}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "detect", " ", "each", " ", "spectrum", " ", 
                    "\"\<msLevel=\>\""}], ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<ms level value\>\"", " ", 
                    "and", " ", "place", " ", "it", " ", "in", " ", "a", " ", 
                    "list", " ", "with", " ", "its", " ", "location"}]}], 
                  "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<msLevel=\\\"\>\"", "~~", 
                   RowBox[{"msL", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<ms level value\>\"", ",", "msL"}], "}"}]}], 
                 ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "detect", " ", "each", " ", "spectrum", " ", 
                    "\"\<retentionTime=\>\""}], ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<scan start time value\>\"", 
                    " ", "and", " ", "place", " ", "it", " ", "in", " ", "a", 
                    " ", "list", " ", "with", " ", "its", " ", "location"}]}],
                   "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<retentionTime=\\\"\>\"", "~~", 
                   RowBox[{"rT", ":", "___"}], "~~", "\"\<\\\"\>\"", "~~", 
                   "___"}], ":>", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<scan start time value\>\"", ",", 
                    RowBox[{"StringReplace", "[", 
                    RowBox[{"rT", ",", 
                    RowBox[{"LetterCharacter", "\[Rule]", "\"\<\>\""}]}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "detect", " ", "each", " ", "spectrum", " ", 
                    "\"\<basePeakMz=\>\""}], ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<base peak m/z value\>\"", " ",
                     "and", " ", "place", " ", "it", " ", "in", " ", "a", " ",
                     "list", " ", "with", " ", "its", " ", "location"}]}], 
                  "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<basePeakMz=\\\"\>\"", "~~", 
                   RowBox[{"bPM", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[Rule]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<base peak m/z value\>\"", ",", "bPM"}], 
                   "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "if", " ", "a", " ", "spectrum", " ", "contains", " ", "a",
                     " ", "precursorMz", " ", "element"}], ",", " ", 
                   RowBox[{
                   "then", " ", "detect", " ", "the", " ", 
                    "\"\<precursorIntensity=\>\"", " ", "as", " ", "well"}], 
                   ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<selected ion m/z value\>\"", 
                    " ", "and", " ", "place", " ", "it", " ", "in", " ", "a", 
                    " ", "list", " ", "with", " ", "its", " ", "location"}]}],
                   "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                  "___", "~~", "\"\<precursorIntensity=\\\"\>\"", "~~", "___",
                    "~~", "\"\<>\>\"", "~~", 
                   RowBox[{"pM", ":", "NumberString"}], "~~", "\"\<<\>\"", "~~",
                    "___"}], "\[Rule]", 
                  RowBox[{"{", 
                   RowBox[{"\"\<selected ion m/z value\>\"", ",", "pM"}], 
                   "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "detect", " ", "each", " ", "spectrum", " ", 
                    "\"\<polarity=\>\""}], ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<ionization mode\>\"", " ", 
                    "and", " ", "place", " ", "it", " ", "in", " ", "a", " ", 
                    "list", " ", "with", " ", "its", " ", "location"}]}], 
                  "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<polarity=\\\"\>\"", "~~", 
                   RowBox[{"pL", ":", "_"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[RuleDelayed]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<ionization mode\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"pL", "==", "\"\<-\>\""}], ",", 
                    "\"\<negative scan\>\"", ",", "\"\<positive scan\>\""}], 
                    "]"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
                 RowBox[{"(*", 
                  RowBox[{
                   RowBox[{
                   "detect", " ", "each", " ", "spectrum", " ", 
                    "\"\<centroided=\>\""}], ",", " ", 
                   RowBox[{
                   "name", " ", "it", " ", "\"\<spectrum representation\>\"", 
                    " ", "and", " ", "place", " ", "it", " ", "in", " ", "a", 
                    " ", "list", " ", "with", " ", "its", " ", "location"}]}],
                   "*)"}], "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"___", "~~", "\"\<centroided=\\\"\>\"", "~~", 
                   RowBox[{"cN", ":", "NumberString"}], "~~", "___", "~~", 
                   "\"\<\\\"\>\"", "~~", "___"}], "\[RuleDelayed]", " ", 
                  RowBox[{"{", 
                   RowBox[{"\"\<spectrum representation\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"cN", "==", "\"\<1\>\""}], ",", 
                    "\"\<centroid spectrum\>\"", ",", 
                    "\"\<profile spectrum\>\""}], "]"}]}], "}"}]}]}], 
                "\[IndentingNewLine]", "}"}]}], "]"}], ")"}], ",", "#2"}], 
           "}"}], "]"}], "&"}], ",", "emptyList"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"mapingIntoEmptyList", ",", "\"\<scan number\>\""}], "]"}], 
        ":", " ", 
        RowBox[{"find", " ", "\"\<scan number\>\"", " ", "position"}]}], ",", 
       " ", 
       RowBox[{
       "this", " ", "will", " ", "give", " ", "you", " ", "a", " ", "list", 
        " ", "with", " ", "2", " ", "indexes"}], ",", " ", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "}"}], ":", " ", 
        RowBox[{
         RowBox[{"take", " ", "the", " ", "first", " ", "index"}], " ", "-", 
         " ", 
         RowBox[{"'", "scan", " ", 
          RowBox[{"number", "'"}], " ", "location"}], " ", "-", " ", 
         RowBox[{
         "and", " ", "subtract", " ", "1", " ", "from", " ", "it"}]}]}], ",", 
       " ", 
       RowBox[{
       "then", " ", "add", " ", "the", " ", "output", " ", "and", " ", "the", 
        " ", "first", " ", "index", " ", "in", " ", "a", " ", "list"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Partition", "[", 
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"2", ";;"}], "]"}], "]"}], ",", "2"}], "]"}], ":", " ", 
        RowBox[{
        "partition", " ", "the", " ", "Flattened", " ", "output", " ", "from",
          " ", "the", " ", "latter", " ", "from", " ", "the", " ", "2", "nd", 
         " ", "index", " ", "until", " ", "the", " ", "end", " ", "of", " ", 
         "the", " ", "list", " ", "in", " ", "a", " ", "nonoverlapping", " ", 
         "sublist", " ", "of", " ", "length", " ", "2"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Take", "[", 
         RowBox[{"mapingIntoEmptyList", ",", "#"}], "]"}], ":", " ", 
        RowBox[{
        "as", " ", "you", " ", "map", " ", "it", " ", "into", " ", "the", " ",
          "partitioned", " ", "list", " ", "of", " ", "lists"}]}], ",", " ", 
       RowBox[{
       "this", " ", "will", " ", "give", " ", "the", " ", "partitioned", " ", 
        "elements", " ", "of", " ", "mapingIntoEmptyList"}]}], 
      "\[IndentingNewLine]", " ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"masterListOfLists", "=", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"Take", "[", 
            RowBox[{"mapingIntoEmptyList", ",", "#"}], "]"}], ")"}], "&"}], "/@", 
         RowBox[{"(", 
          RowBox[{"Partition", "[", 
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", 
              RowBox[{"2", ";;"}], "]"}], "]"}], ",", "2"}], "]"}], ")"}]}], 
        "&"}], "@", 
       RowBox[{"Flatten", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "-", "1"}], ",", 
            RowBox[{"#", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "}"}], "&"}], "/@", " ", 
         RowBox[{"Position", "[", 
          RowBox[{"mapingIntoEmptyList", ",", "\"\<scan number\>\""}], 
          "]"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "masterListOfLists", "]"}]}]}], "]"}]}]], "Input",\

 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643395004662821*^9, 3.643395094865391*^9}, {
   3.643395430746784*^9, 3.643395685911859*^9}, {3.643395717393035*^9, 
   3.6433957400982323`*^9}, {3.6433959591022387`*^9, 
   3.6433959937190523`*^9}, {3.643982247183461*^9, 3.6439822742596893`*^9}, {
   3.643982470926251*^9, 3.643982503861143*^9}, {3.643982872844727*^9, 
   3.6439828887638493`*^9}, {3.6439829468839083`*^9, 3.643983016055435*^9}, {
   3.643983190430245*^9, 3.643983265050761*^9}, {3.643983338456725*^9, 
   3.64398344401661*^9}, {3.6439834924488363`*^9, 3.64398352488442*^9}, {
   3.6439835845209923`*^9, 3.643983595488261*^9}, {3.643983779915509*^9, 
   3.643983780070156*^9}, {3.643984394730274*^9, 3.643984469856963*^9}, {
   3.643984506343319*^9, 3.643984547468245*^9}, {3.643992971152083*^9, 
   3.643992983651558*^9}, {3.643993853338644*^9, 3.64399387948213*^9}, {
   3.643993911282323*^9, 3.6439940394182053`*^9}, {3.6439953964315863`*^9, 
   3.643995397368483*^9}, 3.643995588860127*^9, 3.643995898188306*^9, {
   3.643995971777494*^9, 3.6439959830404673`*^9}, {3.643996025538784*^9, 
   3.643996043872167*^9}, {3.64399609908084*^9, 3.643996104574862*^9}, {
   3.643996140940724*^9, 3.643996173107069*^9}, {3.644344111637129*^9, 
   3.644344112130733*^9}, 3.644437887167632*^9, 3.644438029232523*^9, {
   3.6444381997602386`*^9, 3.644438285484761*^9}, {3.64443831840658*^9, 
   3.644438358413418*^9}, {3.644438411829691*^9, 3.644438465021731*^9}, {
   3.64443887128199*^9, 3.644438873877989*^9}, {3.644438907631535*^9, 
   3.644438909662559*^9}, {3.644438940767129*^9, 3.644438966930696*^9}, {
   3.6444392055615873`*^9, 3.64443926354211*^9}, {3.644439307462178*^9, 
   3.644439337922521*^9}, {3.6444393687975407`*^9, 3.644439374524385*^9}, 
   3.644439518233852*^9, {3.6444401355405827`*^9, 3.644440165847043*^9}, {
   3.644440206547023*^9, 3.644440234987749*^9}, {3.644579387748054*^9, 
   3.644579437665449*^9}, {3.644579685913617*^9, 3.644579824432788*^9}, {
   3.644579957973906*^9, 3.644580043183229*^9}, {3.6445829765092897`*^9, 
   3.644583016408629*^9}, {3.644583060893586*^9, 3.6445830733392143`*^9}, {
   3.644583111801478*^9, 3.644583117039629*^9}, {3.644583363959071*^9, 
   3.6445833656031647`*^9}, {3.644583427154727*^9, 3.6445834340244827`*^9}, {
   3.644583546627734*^9, 3.644583654451199*^9}, {3.644583687174803*^9, 
   3.64458368907722*^9}, 3.6445838186015377`*^9, 3.64458385519656*^9, {
   3.644583892718801*^9, 3.644583894849081*^9}, {3.6445839738877068`*^9, 
   3.644584000438525*^9}, {3.644584124547103*^9, 3.644584141415965*^9}, {
   3.644584189100222*^9, 3.644584349168975*^9}, {3.644584582108303*^9, 
   3.6445846213977222`*^9}, {3.644584925571104*^9, 3.644584942656336*^9}, 
   3.64458502407812*^9, 3.644585160693466*^9, {3.644585197749*^9, 
   3.6445852336533337`*^9}, {3.644585560416911*^9, 3.64458558251027*^9}, {
   3.64458593238571*^9, 3.644585983702971*^9}, 3.644586073590817*^9, {
   3.644591238286707*^9, 3.644591250635315*^9}, {3.644591420643897*^9, 
   3.6445914557920637`*^9}, {3.6445920249936523`*^9, 
   3.6445920255635147`*^9}, {3.644592058723222*^9, 3.6445920779846563`*^9}, {
   3.6445921285992317`*^9, 3.6445921621344833`*^9}, {3.644592261090479*^9, 
   3.64459226149638*^9}, {3.644592308802887*^9, 3.6445923551069117`*^9}, {
   3.644592401296376*^9, 3.64459251570535*^9}, {3.644592592032187*^9, 
   3.644592716568158*^9}, {3.644600421460375*^9, 3.6446004364198427`*^9}, {
   3.645045666573387*^9, 3.6450456671180983`*^9}, {3.645203006147011*^9, 
   3.64520301427605*^9}, {3.645727391743854*^9, 3.6457274112943907`*^9}, {
   3.645727450050894*^9, 3.645727506669076*^9}, {3.645727765794978*^9, 
   3.645728180679243*^9}, {3.645728276171514*^9, 3.6457282773138723`*^9}, {
   3.6458897817746887`*^9, 3.6458897821307697`*^9}, 3.653681235148469*^9, 
   3.6552290538672256`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Function 3 ", "Subsection"],
 "\[OpenCurlyDoubleQuote]",
 "MzxmlSpectrumSelector",
 StyleBox["\[CloseCurlyDoubleQuote]:", "Subsection"]
}], "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.6444340879171762`*^9, 3.6445987808383408`*^9, {3.64459885338069*^9, 
   3.644598867987871*^9}, 3.644679384687392*^9, 3.6458898316691427`*^9, 
   3.655412983377591*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["\<\
MzxmlSpectrumSelector [fileNameI, ScanMSLevel, \[OpenCurlyDoubleQuote]Yes/No \
precursor-ion\[CloseCurlyDoubleQuote], ScanTimeMin, ScanTimeMax, ScanMassMin, \
ScanMassMax] 

fileNameI is a constant that is set equel to function 3 \
\[OpenCurlyDoubleQuote]MzxmlOffSetListCounter\[CloseCurlyDoubleQuote]. \
MzxmlSpectrumSelector output a list of selected spectra based on user inputs. \
User will then can selected any spectra of intrest from the output list of \
spectras.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.655221206030198*^9, 
   3.65522120904395*^9}, {3.655416029427524*^9, 3.6554160711976767`*^9}, {
   3.655416136179695*^9, 3.65541636917528*^9}, {3.655416481299302*^9, 
   3.6554165987506866`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlSpectrumSelector", "[", 
   RowBox[{
   "fileNameI_", ",", "mzXMLmsLevel_", ",", "mzXMLprecursor_", ",", 
    "mzXMLtimeMin_", ",", "mzXMLtimeMax_", ",", "mzXMLmassMin_", ",", 
    "mzXMLmassMax_"}], "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"mzXMLscanMSLevel", "=", "mzXMLmsLevel"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"mzXMLscanPrecursor", "=", "mzXMLprecursor"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"N", "[", 
          StyleBox["expr", "TI"], "]"}], "gives", " ", "a", " ", "machine"}], 
        "\[Hyphen]", 
        RowBox[{"precision", " ", "number"}], ",", 
        RowBox[{
         RowBox[{
         "so", " ", "long", " ", "as", " ", "its", " ", "magnitude", " ", 
          "is", " ", "between", " ", "$MinMachineNumber", " ", "and", " ", 
          RowBox[{"$MaxMachineNumber", ".", " ", "$MinMachineNumber"}], " ", 
          "is", " ", "the", " ", "smallest", " ", "hardware", " ", 
          "floating"}], "-", 
         RowBox[{"point", " ", "number", " ", 
          RowBox[{"(", 
           RowBox[{"10", "^", 
            RowBox[{"-", "308"}]}], ")"}]}]}], ",", " ", 
        RowBox[{
        "and", " ", "$MaxMachineNumber", " ", "is", " ", "the", " ", 
         "largest", " ", "hardware", " ", "floating", " ", "point", " ", 
         "number", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"10", "^", "308"}], ")"}], "."}]}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"mzXMLscanTimeMin", "=", 
       RowBox[{"N", "[", "mzXMLtimeMin", "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"mzXMLscanTimeMax", "=", 
       RowBox[{"N", "[", "mzXMLtimeMax", "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"mzXMLscanMassMin", "=", 
       RowBox[{"N", "[", "mzXMLmassMin", "]"}]}], ",", "\[IndentingNewLine]", 
      
      RowBox[{"mzXMLscanMassMax", "=", 
       RowBox[{"N", "[", "mzXMLmassMax", "]"}]}], ",", "\[IndentingNewLine]", 
      "basePeakOrPrecursorMass", ",", "scanLocator", ",", 
      RowBox[{"inputFile", "=", "fileNameI"}], ",", "offsetLimited", ",", 
      "specMin"}], "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "Searching", " ", "by", " ", "Spectrum", " ", "MS", " ", "Level"}], 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "\"\<mzXMLscanMSLevel\>\"", " ", "is", " ", "the", " ", "spectrum", " ",
        "ms", " ", "level"}], ",", " ", 
      RowBox[{"it", " ", "can", " ", "be", " ", "0"}], ",", "1", ",", "2", 
      ",", "3", ",", 
      RowBox[{
       RowBox[{
        RowBox[{"...", ".", " ", "\"\<mzXMLscanPrecursor\>\""}], " ", "is", 
        " ", "the", " ", "spectrum", " ", "pre"}], "-", 
       RowBox[{
       "cursor", " ", "meaning", " ", "that", " ", "is", " ", "the", " ", 
        "parent", " ", "spectrum", " ", "for", " ", "a", " ", "selected", " ", 
        RowBox[{"spectrum", ".", " ", "\"\<mzXMLscanPrecursor\>\""}], " ", 
        "should", " ", "always", " ", "be", " ", "set", " ", "to", " ", 
        "\"\<No precursor-ion\>\"", " ", "unless", " ", "mzXMLscanMSLevel", 
        " ", "is", " ", "set", " ", "to", " ", "2", " ", "or", " ", 
        RowBox[{
        "higher", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         "Using"}], " ", "Which", " ", "statment", " ", "to", " ", "evalute", 
        " ", "the", " ", "the", " ", "user", " ", 
        RowBox[{"inputs", ".", " ", "Spectrum"}], " ", "with", " ", "ms", " ",
         "level"}], " ", "-", " ", 
       RowBox[{"user", " ", "input"}], " ", "-", " ", 
       RowBox[{"less", " ", "than", " ", "2"}]}], ",", " ", 
      RowBox[{"\"\<No precursor-ion\>\"", " ", "is", " ", "used"}], ",", " ", 
      
      RowBox[{
       RowBox[{
       "since", " ", "any", " ", "ms", " ", "level", " ", "less", " ", "than",
         " ", "2", " ", "has", " ", "no", " ", "parent", " ", 
        RowBox[{"spectrum", ".", " ", "And"}], " ", "we", " ", "search", " ", 
        "for", " ", "them", " ", "by", " ", "base", " ", "peak", " ", 
        "mass"}], " ", "-", " ", 
       RowBox[{"using", " ", "user", " ", "input", " ", 
        RowBox[{"hint", ":", " ", 
         RowBox[{
          RowBox[{
           RowBox[{"\"\<base peak m/z value\>\"", ".", " ", "Spectrum"}], " ",
            "with", " ", "ms", " ", "level"}], " ", "-", " ", 
          RowBox[{"user", " ", "input"}], " ", "-", " ", 
          RowBox[{
          "greater", " ", "than", " ", "or", " ", "equal", " ", "to", " ", 
           "2"}]}]}]}]}], ",", " ", 
      RowBox[{"\"\<Yes precursor-ion\>\"", " ", "is", " ", "used"}], ",", " ", 
      RowBox[{
       RowBox[{
        RowBox[{"instead", ".", " ", "Any"}], " ", "ms", " ", "level", " ", 
        "greater", " ", "than", " ", "2", " ", "will", " ", "have", " ", "a", 
        " ", "parent", " ", "spectrum", " ", "that", " ", "it", " ", "came", 
        " ", 
        RowBox[{"from", " ", "'"}], 
        RowBox[{
         RowBox[{"fragmentation", "'"}], ".", " ", "We"}], " ", "then", " ", 
        "search", " ", "by", " ", "selected", " ", "ion", " ", "mass"}], " ", 
       "-", " ", 
       RowBox[{"user", " ", "input"}], " ", "-", " ", 
       RowBox[{"corresponds", " ", "to", " ", "the", " ", 
        RowBox[{"\"\<selected ion m/z value\>\"", "."}]}]}]}], "*)"}], " ", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mzXMLscanMSLevel", "\[Equal]", "0"}], "&&", 
          RowBox[{
          "mzXMLscanPrecursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}], "||", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mzXMLscanMSLevel", "\[Equal]", "1"}], "&&", 
          RowBox[{
          "mzXMLscanPrecursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}], "||", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mzXMLscanMSLevel", "\[GreaterEqual]", "2"}], "&&", 
          RowBox[{
          "mzXMLscanPrecursor", "\[Equal]", "\"\<No precursor-ion\>\""}]}], 
         ")"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{
       "basePeakOrPrecursorMass", "=", "\"\<base peak m/z value\>\""}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"mzXMLscanMSLevel", "\[GreaterEqual]", "2"}], "&&", 
         RowBox[{
         "mzXMLscanPrecursor", "\[Equal]", "\"\<Yes precursor-ion\>\""}]}], 
        ")"}], ",", 
       RowBox[{
       "basePeakOrPrecursorMass", "=", "\"\<selected ion m/z value\>\""}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "If", " ", "user", " ", "sets", " ", "minimal", " ", "spectrum", " ", 
        "mass", " ", "to", " ", "0"}], ",", " ", 
       RowBox[{
        RowBox[{"replace", " ", "\"\<mzXMLscanMassMin\>\"", " ", "to", " ", 
         RowBox[{"specMin", ".", " ", "specMin"}]}], "=", 
        RowBox[{"10", "^", 
         RowBox[{"-", "300"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"specMin", "=", 
      RowBox[{"10", "^", 
       RowBox[{"-", "300"}]}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Search", " ", "by", " ", "scan", " ", "time", " ", "only", " ", 
       "given", " ", "the", " ", "MS", " ", "level", " ", "preference"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"mzXMLscanMassMin", "==", "0."}], ",", 
       RowBox[{"mzXMLscanMassMin", "=", "specMin"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Which", "[", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"1", "st", " ", "searching", " ", "by", " ", "scan", " ", 
         RowBox[{"time", ":", " ", 
          RowBox[{
          "user", " ", "input", " ", "for", " ", "time", " ", "range", " ", 
           "while", " ", "the", " ", "mass", " ", "range", " ", "is", " ", 
           "unchanging"}]}]}], ",", " ", 
        RowBox[{
        "search", " ", "by", " ", "unchanged", " ", "mass", " ", "followed", 
         " ", "by", " ", "user", " ", "time", " ", 
         RowBox[{"input", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
         RowBox[{"scan", " ", "'"}], 
         RowBox[{"minimal", "'"}], " ", "time", " ", "not", " ", "equal", " ",
          "to", " ", "0", " ", "and", " ", 
         RowBox[{"scan", " ", "'"}], 
         RowBox[{"maximal", "'"}], " ", "time", " ", "not", " ", "equal", " ",
          "to", " ", "1000000."}], ")"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"!", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"mzXMLscanTimeMin", "==", "0."}], "&&", 
            RowBox[{"mzXMLscanTimeMax", "==", "1000000."}]}], ")"}]}], ")"}], 
        "&&", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"minimal", "'"}], " ", "mass", " ", "equal", " ", "to", " ",
           "0.", " ", "and", " ", 
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"maximal", "'"}], " ", "mass", " ", "equal", " ", "to", " ",
           "1000000."}], "*)"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mzXMLscanMassMin", "\[Equal]", "0."}], "&&", 
          RowBox[{"mzXMLscanMassMax", "==", "1000000."}]}], ")"}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"offsetLimited", "=", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "Mapping", " ", "the", " ", "\"\<base peak m/z value\>\"", " ", 
           "positions", " ", "into", " ", "the", " ", "list", " ", "of", " ", 
           "offsets"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"inputFile", "[", 
             RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
             RowBox[{"\"\<base peak m/z value\>\"", "."}]}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Position", "[", 
               RowBox[{"inputFile", ",", 
                RowBox[{"x_", "/;", " ", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                  RowBox[{
                   RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                   "basePeakOrPrecursorMass"}]}]}], ",", "2", ",", 
                RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], ")"}], "[", 
             RowBox[{"[", 
              RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}], ")"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "Mapping", " ", "the", " ", "\"\<scan start time value\>\"", " ", 
           RowBox[{"(", 
            RowBox[{
            "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
             " ", "based", " ", "on", " ", "user", " ", "scan", " ", "time", 
             " ", "input"}], ")"}], " ", "positions", " ", "into", " ", "the",
            " ", "list", " ", "of", " ", "offsets"}], "*)"}], 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"offsetLimited", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
            "\"\<scan start time value\>\"", " ", "given", " ", "the", " ", 
            "user", " ", "mzXMLscanTimeMin", " ", "and", " ", 
            "mzXMLscanTimeMax", " ", 
            RowBox[{"input", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"Position", "[", 
             RowBox[{"offsetLimited", ",", 
              RowBox[{"x_", "/;", " ", 
               RowBox[{
                RowBox[{
                 RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                RowBox[{
                 RowBox[{"x", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                 "\"\<scan start time value\>\""}], "&&", " ", 
                RowBox[{"(", 
                 RowBox[{"mzXMLscanTimeMin", "\[LessEqual]", " ", 
                  RowBox[{"ToExpression", "[", 
                   RowBox[{"x", "[", 
                    RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", 
                  " ", "mzXMLscanTimeMax"}], ")"}]}]}], ",", "2", ",", 
              RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], "[", 
            RowBox[{"[", 
             RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}]}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"2", "nd", " ", "searching", " ", "by", " ", "scan", " ", 
          RowBox[{"mass", ":", " ", 
           RowBox[{
           "user", " ", "input", " ", "for", " ", "mass", " ", "range", " ", 
            "while", " ", "the", " ", "time", " ", "range", " ", "is", " ", 
            "unchanging"}]}]}], ",", " ", 
         RowBox[{
         "search", " ", "by", " ", "unchanged", " ", "time", " ", "followed", 
          " ", "by", " ", "user", " ", "mass", " ", 
          RowBox[{"input", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"minimal", "'"}], " ", "time", " ", "is", " ", "set", " ", 
          "equal", " ", "to", " ", "0", " ", "and", " ", 
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"maximal", "'"}], " ", "time", " ", "is", " ", "set", " ", 
          "equal", " ", "to", " ", "1000000"}], ")"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"mzXMLscanTimeMin", "==", "0."}], "&&", 
          RowBox[{"mzXMLscanTimeMax", "==", "1000000."}]}], ")"}], "&&", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"minimal", "'"}], " ", "mass", " ", "not", " ", "equal", 
          " ", "to", " ", "0", " ", "and", " ", 
          RowBox[{"scan", " ", "'"}], 
          RowBox[{"maximal", "'"}], " ", "mass", " ", "not", " ", "equal", 
          " ", "to", " ", "1000000"}], "*)"}], 
        RowBox[{"(", 
         RowBox[{"!", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"mzXMLscanMassMin", "\[Equal]", "0."}], "&&", 
            RowBox[{"mzXMLscanMassMax", "==", "1000000."}]}], ")"}]}], 
         ")"}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Mapping", " ", "the", " ", "basePeakOrPrecursorMass", " ", 
          RowBox[{"(", 
           RowBox[{
           "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
            " ", "based", " ", "on", " ", "user", " ", "mass", " ", "input"}],
            ")"}], " ", "positions", " ", "into", " ", "the", " ", "list", 
          " ", "of", " ", "offsets"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"inputFile", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
           "basePeakOrPrecursorMass", " ", "given", " ", "the", " ", "user", 
           " ", "mzXMLscanMassMin", " ", "and", " ", "mzXMLscanMassMax", " ", 
           
           RowBox[{"input", "."}]}], "*)"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"inputFile", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "basePeakOrPrecursorMass"}], " ", "&&", " ", 
               RowBox[{"mzXMLscanMassMin", "\[LessEqual]", " ", 
                RowBox[{"ToExpression", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ", 
                "mzXMLscanMassMax"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "3", "rd", " ", "searching", " ", "by", " ", "both", " ", "scan", " ",
          "mass", " ", "and", " ", 
         RowBox[{"time", ":", " ", 
          RowBox[{
          "user", " ", "input", " ", "mass", " ", "range", " ", "and", " ", 
           "time", " ", 
           RowBox[{"range", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "True", ",", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"searching", " ", "by", " ", "a", " ", "mass", " ", "range"}],
         "*)"}], 
       RowBox[{
        RowBox[{"offsetLimited", "=", 
         RowBox[{
          RowBox[{
           RowBox[{"inputFile", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"inputFile", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "basePeakOrPrecursorMass"}], " ", "&&", " ", 
               RowBox[{"(", 
                RowBox[{"mzXMLscanMassMin", "\[LessEqual]", " ", 
                 RowBox[{"ToExpression", "[", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ",
                  "mzXMLscanMassMax"}], ")"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "searching", " ", "the", " ", "outcome", " ", "of", " ", "the", " ",
            "mass", " ", "range", " ", "search"}], ",", " ", 
          RowBox[{
          "searching", " ", "by", " ", "a", " ", "time", " ", "range"}]}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"offsetLimited", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"offsetLimited", ",", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                "\"\<scan start time value\>\""}], "&&", " ", 
               RowBox[{"(", 
                RowBox[{"mzXMLscanTimeMin", "\[LessEqual]", " ", 
                 RowBox[{"ToExpression", "[", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}], "]"}], "\[LessEqual]", " ",
                  "mzXMLscanTimeMax"}], ")"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"mzXMLscanMSLevel", "\[Equal]", "0"}], ",", "Null", ",", 
       "\[IndentingNewLine]", 
       RowBox[{"scanLocator", "=", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Mapping", " ", "the", " ", "MS", " ", "Level", " ", 
          RowBox[{"(", 
           RowBox[{
           "these", " ", "are", " ", "the", " ", "selected", " ", "scans", 
            " ", "based", " ", "on", " ", "user", " ", "MS", " ", "Level", 
            " ", "input"}], ")"}], " ", "positions", " ", "into", " ", "the", 
          " ", "scanLocator"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"scanLocator", "[", 
           RowBox[{"[", "#", "]"}], "]"}], "&"}], "/@", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "find", " ", "the", " ", "position", " ", "of", " ", "all", " ", 
           "spectraMSLevel", " ", "given", " ", "the", " ", "user", " ", 
           "scan", " ", "ms", " ", "level", " ", 
           RowBox[{"input", "."}]}], "*)"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"scanLocator", ",", " ", 
             RowBox[{"x_", "/;", " ", 
              RowBox[{
               RowBox[{
                RowBox[{"Length", "[", "x", "]"}], ">", "1"}], " ", "&&", " ", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "==", 
                "\"\<ms level value\>\""}], "&&", " ", 
               RowBox[{
                RowBox[{"ToExpression", "[", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], "]"}], "==", 
                "mzXMLscanMSLevel"}]}]}], ",", "2", ",", 
             RowBox[{"Heads", "\[Rule]", " ", "False"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"All", ",", "1"}], "]"}], "]"}], ")"}]}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "scanLocator", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6444341011072197`*^9, 3.6444343384008417`*^9}, {
   3.6444343818954268`*^9, 3.644434473520651*^9}, {3.644434551453754*^9, 
   3.644434651865221*^9}, {3.644434692320362*^9, 3.644434737360615*^9}, {
   3.644434774221261*^9, 3.644434839877964*^9}, {3.644579244511611*^9, 
   3.6445792890355*^9}, {3.644579550881839*^9, 3.6445795525129833`*^9}, {
   3.644580149295376*^9, 3.644580149887436*^9}, {3.644580183786414*^9, 
   3.644580300755476*^9}, {3.644580373481545*^9, 3.644580419171137*^9}, {
   3.644580890962331*^9, 3.6445810781146183`*^9}, {3.644581118855978*^9, 
   3.644581141257798*^9}, {3.644581235205739*^9, 3.6445812712924128`*^9}, {
   3.64458130745824*^9, 3.6445814848411007`*^9}, {3.644676944054008*^9, 
   3.644676956835803*^9}, {3.645887805414588*^9, 3.645887815202887*^9}, {
   3.6458878520933847`*^9, 3.645887864220758*^9}, {3.645887904886264*^9, 
   3.6458879050824137`*^9}, {3.6458879459616623`*^9, 
   3.6458879552651587`*^9}, {3.64588810136264*^9, 3.6458881080642033`*^9}, {
   3.6458882020779047`*^9, 3.6458882053904867`*^9}, {3.645889823085938*^9, 
   3.6458898233783703`*^9}, {3.645890297799747*^9, 3.6458903366775723`*^9}, {
   3.648215379026925*^9, 3.648215388910717*^9}, {3.648215522021743*^9, 
   3.6482155498263197`*^9}, {3.648215581947968*^9, 3.648215611634297*^9}, {
   3.648215685211391*^9, 3.648215696191936*^9}, {3.6482157650173807`*^9, 
   3.648215767951438*^9}, {3.648215970441122*^9, 3.648215973063057*^9}, {
   3.6482160877342854`*^9, 3.648216102155705*^9}, {3.6482162009237432`*^9, 
   3.648216201737577*^9}, {3.648217881517353*^9, 3.6482179470482607`*^9}, {
   3.648309177265379*^9, 3.648309213514723*^9}, {3.648309313761615*^9, 
   3.648309329111432*^9}, {3.6501188272941723`*^9, 3.650118830512834*^9}, {
   3.650118927356317*^9, 3.650118934947467*^9}, 3.650278908846632*^9, {
   3.650278989258655*^9, 3.650278996128306*^9}, {3.650279121183791*^9, 
   3.650279202968451*^9}, {3.650279258520192*^9, 3.650279270387185*^9}, {
   3.650279312655026*^9, 3.6502794183101482`*^9}, {3.650279674606544*^9, 
   3.6502796773472652`*^9}, {3.655408643522023*^9, 3.6554086440640097`*^9}, 
   3.655408709985615*^9, {3.6554095024240923`*^9, 3.655409530005764*^9}, {
   3.655410681193636*^9, 3.655410709480095*^9}, {3.6554107668037157`*^9, 
   3.65541089508631*^9}, {3.655410931085247*^9, 3.6554109944728947`*^9}, {
   3.655411038687603*^9, 3.655411143947194*^9}, {3.655412031320318*^9, 
   3.655412035785211*^9}, 3.655412199410564*^9, {3.6554123280765543`*^9, 
   3.655412343489328*^9}, {3.6554124652446833`*^9, 3.6554124922672377`*^9}, {
   3.655412527609603*^9, 3.65541256977779*^9}, {3.655412604846977*^9, 
   3.655412605277957*^9}, {3.655412650084096*^9, 3.655412823941057*^9}, {
   3.6554128560982857`*^9, 3.655412884338613*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 4 \[OpenCurlyDoubleQuote]MzxmlGetSpectraMSLevel\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786496664751*^9, 3.641786536756065*^9}, {
   3.641786604968555*^9, 3.641786607944331*^9}, {3.6418226962396584`*^9, 
   3.641822697695777*^9}, {3.6418411209665956`*^9, 3.641841124854703*^9}, {
   3.645566976957649*^9, 3.6455669771815767`*^9}, 3.645889910810396*^9, 
   3.655417231446763*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643365919669235*^9, 3.643365923980094*^9}}],

Cell["\<\
MzxmlGetSpectraMSLevel [selected spectrum] 

selected spectrum is a user selected scan that is used as an input for this \
function i. MzxmlSpectrumSelector will then return the scan ms level.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.655221206030198*^9, 
   3.65522120904395*^9}, {3.655416029427524*^9, 3.6554160711976767`*^9}, {
   3.655416136179695*^9, 3.65541636917528*^9}, {3.655416481299302*^9, 
   3.65541655558216*^9}, {3.6554176002554903`*^9, 3.655417691195199*^9}, {
   3.6554177313351183`*^9, 3.655417740829039*^9}, {3.6554178361404333`*^9, 
   3.6554179057005787`*^9}, {3.655417948643773*^9, 3.655417958386095*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlGetSpectraMSLevel", "[", "spectramIndexList_", "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"outPutMSLevel", ",", "\[IndentingNewLine]", 
      RowBox[{"msLevel", "=", "spectramIndexList"}]}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
     "find", " ", "\"\<ms level value\>\"", " ", "in", " ", "a", " ", 
      "selected", " ", "scan", " ", "using", " ", "Cases"}], "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"outPutMSLevel", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"msLevel", ",", 
        RowBox[{
         RowBox[{"x_", "/;", 
          RowBox[{
           RowBox[{"x", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "==", 
           "\"\<ms level value\>\""}]}], "\[RuleDelayed]", 
         RowBox[{"x", "[", 
          RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"returing", " ", "the", " ", "ms", " ", "level"}], ",", " ", 
       RowBox[{"e", ".", "g", ".", " ", 
        RowBox[{"{", "\"\<1\>\"", "}"}]}], ",", " ", 
       RowBox[{"{", "\"\<2\>\"", "}"}], ",", "..."}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "outPutMSLevel", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6418402459484863`*^9, 3.641840388325573*^9}, 
   3.641841136871498*^9, {3.641921164629537*^9, 3.641921165300231*^9}, 
   3.6425979383276978`*^9, {3.6430680145417213`*^9, 3.64306804003995*^9}, {
   3.6430682025899963`*^9, 3.643068213690062*^9}, {3.645889878688168*^9, 
   3.645889881700877*^9}, {3.655417010593783*^9, 3.655417028762292*^9}, 
   3.655417072945632*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 5 \[OpenCurlyDoubleQuote]MzxmlSpectrumMassTimeAssociation\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641786257198228*^9, 3.641786266414279*^9}, {
   3.6433659364636087`*^9, 3.643365943722633*^9}, 3.6433696391319447`*^9, 
   3.6445878364737873`*^9, {3.644674519881566*^9, 3.644674520133892*^9}, 
   3.644679385845723*^9, 3.64556698869309*^9, 3.645889922817582*^9, {
   3.655424172979456*^9, 3.655424175056531*^9}}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.641411435039171*^9, 3.6414114375671673`*^9}, {
   3.641416628830303*^9, 3.641416631436202*^9}, {3.64141760888323*^9, 
   3.6414176101551247`*^9}, 3.6417854015954313`*^9, 3.641786296962433*^9, 
   3.642289110995357*^9}],

Cell["\<\
MzxmlSpectrumMassTimeAssociation [listOfselectedSpectrums, \
selectedIonMassOrBasePeakMass]

MzxmlSpectrumMassTimeAssociation makes an association between the spectra and \
their respacted {\[OpenCurlyDoubleQuote]selected ion m/z value\
\[CloseCurlyDoubleQuote],  \[OpenCurlyDoubleQuote]scan start time value\
\[CloseCurlyDoubleQuote], \[OpenCurlyDoubleQuote]ms level value\
\[CloseCurlyDoubleQuote]} if True used as an input and {\
\[OpenCurlyDoubleQuote]base peak m/z value\[CloseCurlyDoubleQuote],  \
\[OpenCurlyDoubleQuote]scan start time value\[CloseCurlyDoubleQuote], \
\[OpenCurlyDoubleQuote]ms level value\[CloseCurlyDoubleQuote]} if False is \
used, instead. Keep in mind, if no \[OpenCurlyDoubleQuote]selected ion m/z \
value\[CloseCurlyDoubleQuote] in a selected spectrum, yet True is used as an \
input for, the association will be between the spectra and their respacted {\
\[OpenCurlyDoubleQuote]scan start time value\[CloseCurlyDoubleQuote], \
\[OpenCurlyDoubleQuote]ms level value\[CloseCurlyDoubleQuote]} .\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.655467472707732*^9, 3.655467705556078*^9}, {
  3.655467790591708*^9, 3.655467949433461*^9}, {3.655478739269479*^9, 
  3.655478756876483*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlSpectrumMassTimeAssociation", "[", 
   RowBox[{
   "listOfselectedSpectrums_", ",", "selectedIonMassOrBasePeakMass_"}], "]"}],
   ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"selectInput", ",", "\[IndentingNewLine]", 
      RowBox[{"inputSelectedSpectrums", "=", "listOfselectedSpectrums"}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"TrueOrFalseForInput", "=", "selectedIonMassOrBasePeakMass"}], 
      ",", "\[IndentingNewLine]", "dynamicalyChanging"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"selectInput", "=", "\[IndentingNewLine]", 
     RowBox[{"Association", "@@", "\[IndentingNewLine]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "\[Rule]", 
           RowBox[{"Flatten", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ToExpression", "[", "#", "]"}], "&"}], "/@", 
             RowBox[{"#", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "}"}], "&"}], "/@", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"Transpose", " ", "the", " ", "above", " ", "three", " ", 
          RowBox[{"together", "."}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Transpose", "[", "\[IndentingNewLine]", 
         RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"{", 
              RowBox[{"(*", 
               RowBox[{
               "Output", " ", "either", " ", "\"\<selected ion m/z value\>\"",
                 " ", "or", " ", "\"\<base peak m/z value\>\"", " ", "masses", 
                RowBox[{"(", 
                 RowBox[{"x", "[", 
                  RowBox[{"[", "3", "]"}], "]"}], ")"}], " ", "if", " ", 
                "True", " ", "or", " ", "False", " ", 
                RowBox[{"respectively", "."}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "User", " ", "will", " ", "be", " ", "able", " ", "to", 
                    " ", "navigate", " ", "the", " ", "spectra", " ", "by", 
                    " ", "searching", " ", "using", " ", 
                    "\"\<selected ion m/z value\>\"", " ", "or", " ", 
                    RowBox[{"\"\<base peak m/z value\>\"", ".", " ", "If"}], 
                    " ", "click", " ", "\"\<selected ion m/z value\>\"", " ", 
                    "in", " ", "viewer", " ", "interface"}], ",", " ", 
                    RowBox[{"then", " ", "is", " ", 
                    RowBox[{"True", ".", " ", "If"}], " ", "click", " ", 
                    "\"\<base peak m/z value\>\""}], ",", " ", 
                    RowBox[{"then", " ", "that", " ", "is", " ", 
                    RowBox[{"false", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"TrueOrFalseForInput", "\[Equal]", "True"}], ",", 
                    "\"\<selected ion m/z value\>\"", ",", 
                    "\"\<base peak m/z value\>\""}], "]"}]}]}], 
                  "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                "Output", " ", "the", " ", "\"\<scan start time value\>\""}], 
                "*)"}], 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\"\<scan start time value\>\""}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{"Output", " ", "the", " ", "\"\<ms level value\>\""}],
                 "*)"}], "\[IndentingNewLine]", 
               RowBox[{"Cases", "[", 
                RowBox[{"#", ",", 
                 RowBox[{
                  RowBox[{"x_", "/;", 
                   RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", 
                    "\"\<ms level value\>\""}]}], "\[RuleDelayed]", 
                  RowBox[{"x", "[", 
                   RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}]}], 
              "}"}], "&"}], "/@", "inputSelectedSpectrums"}], ",", 
           "inputSelectedSpectrums"}], "}"}], "]"}]}], ")"}]}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.642531396451969*^9, 3.642531407185597*^9}, {
   3.6426059424085417`*^9, 3.642605947899259*^9}, {3.6426061141962557`*^9, 
   3.642606124154831*^9}, 3.642772112266685*^9, 3.642808585466201*^9, {
   3.642873017491021*^9, 3.642873079435275*^9}, {3.642873144325618*^9, 
   3.642873215003083*^9}, {3.642873264061514*^9, 3.642873298008052*^9}, {
   3.6428739551971483`*^9, 3.642873996725904*^9}, {3.642874035418643*^9, 
   3.642874043537528*^9}, {3.642874142194828*^9, 3.642874239728437*^9}, {
   3.642874292846792*^9, 3.642874319363306*^9}, {3.642874378684005*^9, 
   3.642874395558522*^9}, {3.642874745248723*^9, 3.642874763302456*^9}, {
   3.642874816147204*^9, 3.642874858506433*^9}, 3.642874902721312*^9, 
   3.642875002713357*^9, {3.642875042924687*^9, 3.642875043146317*^9}, {
   3.642875112074422*^9, 3.642875132062277*^9}, 3.643365941351014*^9, {
   3.643369644713848*^9, 3.64336964846089*^9}, 3.64336970077455*^9, {
   3.6433847410426273`*^9, 3.643384747243288*^9}, {3.64458754025391*^9, 
   3.644587770268005*^9}, 3.644592930090103*^9, {3.644664626102993*^9, 
   3.644664626717712*^9}, 3.645186049307816*^9, {3.645203060745408*^9, 
   3.645203073416033*^9}, {3.6457288362783318`*^9, 3.645728836444498*^9}, {
   3.6458899181520367`*^9, 3.645889918468629*^9}, 3.6484017578144417`*^9, 
   3.655424183939308*^9, {3.655478384398326*^9, 3.655478390603158*^9}, {
   3.655478493407259*^9, 3.655478540077045*^9}, {3.655478596036262*^9, 
   3.655478619250725*^9}, {3.65547865439072*^9, 3.655478748930636*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 6 \[OpenCurlyDoubleQuote]MzxmlGetPrecursorSpectraAtMSLevel\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64184079932913*^9, 3.641840801878694*^9}, {
   3.641841001477111*^9, 3.641841013639908*^9}, {3.643234297773282*^9, 
   3.643234314598538*^9}, {3.643234362135581*^9, 3.643234362967616*^9}, 
   3.643363769886395*^9, {3.643366018564085*^9, 3.6433660424507093`*^9}, {
   3.6446745171177397`*^9, 3.644674522029701*^9}, {3.644677939389448*^9, 
   3.6446779396694593`*^9}, 3.644679387357435*^9, 3.645567046925136*^9, 
   3.6458899679441643`*^9, 3.657153586687554*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.643366024178555*^9, 3.643366026866259*^9}}],

Cell["\<\
MzmlGetPrecursorSpectraAtMSLevel [mzXMLOffSetList, SelectedIonMassOfInterest] 

mzXMLOffSetList is a constant that is set equel to mzXML offset list and \
SelectedIonMassOfInterest is the user selected spectrum. \
MzxmlGetPrecursorSpectraAtMSLevel output a list of spectra. This list is \
latter used as an input for downstream functions.\
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.637413899162662*^9, {3.637414392331904*^9, 3.63741440237593*^9}, {
   3.654309956846775*^9, 3.654309981093341*^9}, {3.654310040442257*^9, 
   3.6543100914602137`*^9}, {3.6543101597490273`*^9, 3.654310237105381*^9}, {
   3.654310267827549*^9, 3.6543103619574842`*^9}, {3.6552215300775023`*^9, 
   3.6552215321004963`*^9}, {3.657133523223942*^9, 3.6571336051594257`*^9}, {
   3.657153425100978*^9, 3.657153460290896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlGetPrecursorSpectraAtMSLevel", "[", 
   RowBox[{"mzXMLOffSetList_", ",", "SelectedIonMassOfInterest_"}], "]"}], ":=",
   "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "offSetList", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "1", 
       "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
       "and", " ", "that", " ", "is", " ", "\"\<mzXMLoffsetList\>\""}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"offSetList", "=", "mzXMLOffSetList"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "findMS1", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "2", 
        "nd", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"findMS1", "=", "SelectedIonMassOfInterest"}], ",", 
      "\[IndentingNewLine]", "findingNumberOfSelectedIoonMassList", ",", 
      "positionInTheOffSetList", ",", "currentMSLevel", ",", "i", ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"empty", " ", "list"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"positionsReturned", "=", 
       RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", "PrecursorScans", 
      ",", "PrecursorScanLabels", ",", 
      "bothPrecursorScanWithPrecursorScanLabels"}], "}"}], ",", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{
       "first", " ", "check", " ", "to", " ", "see", " ", "you", " ", "have", 
        " ", "a"}], " ", "<", 
       RowBox[{"selected", " ", "ion", " ", 
        RowBox[{"m", "/", "z"}], " ", "value"}], ">", " ", 
       RowBox[{"in", " ", "the", " ", "user", " ", "selected", " ", 
        RowBox[{"spectrum", ".", " ", "If"}], " ", "you", " ", "do"}]}], ",", 
      " ", 
      RowBox[{
       RowBox[{
       "that", " ", "mean", " ", "is", " ", "a", " ", "scan", " ", "that", 
        " ", "has", " ", "an", " ", "MSLevel"}], ">", 
       RowBox[{
       "1.", " ", "We", " ", "then", " ", "extract", " ", "the", " ", "4", 
        "th", " ", "element", " ", "in", " ", "the", " ", "list", " ", 
        "where", " ", "the"}], " ", "<", 
       RowBox[{"selected", " ", "ion", " ", 
        RowBox[{"m", "/", "z"}], " ", "value"}], ">", " ", 
       RowBox[{
       "location", " ", "and", " ", "that", " ", "is", " ", "the", " ", 
        "number", " ", "of", " ", "the", " ", 
        RowBox[{"list", "."}]}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{
     "findingNumberOfSelectedIoonMassList", "=", "\[IndentingNewLine]", 
      RowBox[{"If", "[", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "use", " ", "Cases", " ", "to", " ", "find", " ", "the", " ", 
         "\"\<selected ion m/z value\>\"", " ", "tag", " ", "in", " ", "the", 
         " ", "user", " ", "selected", " ", "spectrum"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{"findMS1", ",", 
            RowBox[{"x_", "/;", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              "\"\<selected ion m/z value\>\""}]}], ",", "1"}], "]"}], "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}], "==", 
         "\[IndentingNewLine]", "\"\<selected ion m/z value\>\""}], ",", 
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"findMS1", ",", 
           RowBox[{
            RowBox[{"x_", "/;", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              "\"\<selected ion m/z value\>\""}]}], "\[RuleDelayed]", 
            RowBox[{"x", "[", 
             RowBox[{"[", "4", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{
        "take", " ", "the", " ", "number", " ", "of", " ", "the", " ", "list",
          " ", "where", " ", "the"}], " ", "<", 
        RowBox[{"selected", " ", "ion", " ", 
         RowBox[{"m", "/", "z"}], " ", "value"}], ">", " ", 
        RowBox[{"is", " ", "located", " ", "as", " ", "an", " ", "input"}]}], 
       ",", " ", 
       RowBox[{
        RowBox[{
        "and", " ", "get", " ", "the", " ", "location", " ", "in", " ", "the",
          " ", "offsetList"}], " ", "=", " ", 
        RowBox[{"<", "mzXMLOffsetList", ">"}]}]}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"positionInTheOffSetList", "=", 
      RowBox[{
       RowBox[{"Flatten", "[", 
        RowBox[{"Position", "[", 
         RowBox[{"offSetList", ",", 
          RowBox[{"x_", "/;", 
           RowBox[{
            RowBox[{"x", "[", 
             RowBox[{"[", "4", "]"}], "]"}], "==", 
            "findingNumberOfSelectedIoonMassList"}]}], ",", "2", ",", 
          RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"list", " ", "positionInTheOffSetList"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"positionsReturned", "=", 
      RowBox[{"{", "positionInTheOffSetList", "}"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"currentMSLevel", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "gives", " ", "the", " ", "expression", " ", "obtained", " ", "by", 
        " ", "interpreting", " ", "strings", " ", "as", " ", "Wolfram", " ", 
        "Language", " ", "input", " ", "and", " ", "subtract", " ", "1", " ", 
        "from", " ", "it"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ToExpression", "[", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "find", " ", "the", " ", "msLevel", " ", "of", " ", "the", " ", 
          "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{"findMS1", ",", 
           RowBox[{
            RowBox[{"x_", "/;", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"[", "2", "]"}], "]"}], "==", 
              "\"\<ms level value\>\""}]}], "\[RuleDelayed]", 
            RowBox[{"x", "[", 
             RowBox[{"[", "3", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "]"}], "-", "1"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{"start", ",", "test", ",", "incr", ",", "body"}], "]"}], " ",
         "executes", " ", "start"}], ",", 
       RowBox[{
       "then", " ", "repeatedly", " ", "evaluates", " ", "body", " ", "and", 
        " ", "incr", " ", "until", " ", "test", " ", "fails", " ", "to", " ", 
        "give", " ", 
        RowBox[{"True", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"For", "[", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "i", " ", "equal", " ", "to", " ", "one", " ", "less", " ", "of", " ", 
        "the", " ", "position", " ", "of", " ", "the", " ", "selected", " ", 
        "spectrum", " ", "in", " ", "the", " ", "mzXMLOffsetList"}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"i", "=", 
        RowBox[{"positionInTheOffSetList", "-", "1"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "test", " ", "if", " ", "i", " ", "is", " ", "greater", " ", "than", 
          " ", "0"}], ",", " ", 
         RowBox[{
         "this", " ", "need", " ", "to", " ", "be", " ", "True", " ", "and", 
          " ", "once", " ", "is", " ", "not"}], ",", " ", 
         RowBox[{"the", " ", "For", " ", "loop", " ", "will", " ", "stop"}]}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"i", ">", "0"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"keep", " ", "subtracting", " ", "1", " ", "from", " ", "i"}],
         " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"i", "--"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "if", " ", "currentMSLevel", " ", "which", " ", "is", " ", "one", 
          " ", "less", " ", "the", " ", "selected", " ", "spectrum", " ", 
          "msLevel", " ", "is", " ", "equal", " ", "to", " ", "the", " ", 
          "spectrum", " ", "that", " ", "we", " ", "keep", " ", "subtracting",
           " ", "1", " ", "from", " ", "the", " ", "initial", " ", "spectrum",
           " ", "position"}], ",", " ", 
         RowBox[{
         "then", " ", "append", " ", "to", " ", "the", " ", 
          "positionsReturned"}], ",", " ", 
         RowBox[{"otherwise", " ", 
          RowBox[{"break", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"If", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"currentMSLevel", "\[Equal]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "find", " ", "the", " ", "msLevel", " ", "of", " ", "each", " ", 
            "spectrum", " ", "as", " ", "we", " ", "keep", " ", "subtracting",
             " ", "1", " ", "from", " ", "the", " ", "initial", " ", 
            "spectrum", " ", "position"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Cases", "[", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"indexing", " ", "each", " ", "i", " ", "value"}], 
             "*)"}], " ", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"offSetList", "[", 
              RowBox[{"[", "i", "]"}], "]"}], ",", 
             RowBox[{
              RowBox[{"x_", "/;", 
               RowBox[{
                RowBox[{"x", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "==", 
                "\"\<ms level value\>\""}]}], "\[RuleDelayed]", " ", 
              RowBox[{"ToExpression", "[", 
               RowBox[{"x", "[", 
                RowBox[{"[", "3", "]"}], "]"}], "]"}]}], " ", ",", "1"}], 
            "]"}], "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
           RowBox[{
           "appends", " ", "i", " ", "to", " ", "the", " ", "value", " ", 
            "of", " ", "positionsReturned"}], ",", " ", 
           RowBox[{
           "and", " ", "resets", " ", "positionsReturned", " ", "to", " ", 
            "the", " ", 
            RowBox[{"result", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"positionsReturned", ",", "i"}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "keep", " ", "subtracting", " ", "1", " ", "from", " ", 
            "currentMSLevel"}], " ", "*)"}], "\[IndentingNewLine]", 
          RowBox[{"currentMSLevel", "--"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"(*", 
          RowBox[{
          "break", " ", "once", " ", "MSLevel", " ", "is", " ", "equal", " ", 
           "to", " ", "0"}], "*)"}], "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"currentMSLevel", "\[Equal]", "0"}], ",", 
           RowBox[{"Break", "[", "]"}]}], "]"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "output", " ", "list", " ", "of", " ", "found", " ", "spectra", " ", 
       "including", " ", "the", " ", "selected", " ", "spectrum"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"PrecursorScans", "=", "\[IndentingNewLine]", 
      RowBox[{"offSetList", "[", 
       RowBox[{"[", "positionsReturned", "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "PrecursorScans", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.644673736743161*^9, 3.644673893329879*^9}, {
   3.644674230305881*^9, 3.644674258258526*^9}, {3.644674329288404*^9, 
   3.644674339782567*^9}, {3.64467440487211*^9, 3.644674451622168*^9}, 
   3.644674514956234*^9, {3.644674557301795*^9, 3.644674579944139*^9}, {
   3.64467512955215*^9, 3.644675182800008*^9}, {3.6446759998382893`*^9, 
   3.644676129740696*^9}, {3.644676191252202*^9, 3.644676226562747*^9}, {
   3.6446762936104183`*^9, 3.644676313600767*^9}, {3.644676350456148*^9, 
   3.644676442710928*^9}, 3.6446766907491617`*^9, {3.64467698750486*^9, 
   3.644676991703006*^9}, {3.645186537866208*^9, 3.645186629707987*^9}, 
   3.645186685768035*^9, 3.64518679350513*^9, {3.645186882658287*^9, 
   3.645186887504253*^9}, 3.645193153881703*^9, {3.645193194689344*^9, 
   3.645193194838677*^9}, {3.645193229263069*^9, 3.645193266117795*^9}, {
   3.6451933431191883`*^9, 3.6451933608222218`*^9}, {3.645193402851892*^9, 
   3.645193405912034*^9}, {3.645194143063487*^9, 3.645194181283293*^9}, {
   3.64519421606488*^9, 3.645194278398666*^9}, 3.6451943116478*^9, {
   3.6451957447250834`*^9, 3.6451957452429113`*^9}, {3.645203083508071*^9, 
   3.645203092032166*^9}, {3.645639510964991*^9, 3.645639563811348*^9}, {
   3.6456397153862247`*^9, 3.6456397351120033`*^9}, {3.6456397887313433`*^9, 
   3.645639795007938*^9}, {3.645729125947001*^9, 3.645729191069471*^9}, {
   3.6457292224238787`*^9, 3.645729348204343*^9}, {3.6457295499410677`*^9, 
   3.645729621095841*^9}, {3.645729715516477*^9, 3.6457297165984087`*^9}, {
   3.645729872415485*^9, 3.64573006472866*^9}, {3.6457301943598146`*^9, 
   3.645730200638914*^9}, {3.6457303624173517`*^9, 3.645730421450077*^9}, {
   3.645733037668357*^9, 3.645733040886963*^9}, {3.6457366870514097`*^9, 
   3.645736687712281*^9}, 3.645887552813321*^9, {3.6458899629603157`*^9, 
   3.645889963243898*^9}, {3.649092760558251*^9, 3.649092803608382*^9}, {
   3.657136971741167*^9, 3.657136998166301*^9}, {3.657138214280998*^9, 
   3.657138304141964*^9}, {3.657138359583687*^9, 3.6571383885110817`*^9}, {
   3.657138439227859*^9, 3.657138439460785*^9}, {3.657138470205687*^9, 
   3.657138470471299*^9}, {3.657138535683838*^9, 3.6571385359964314`*^9}, {
   3.6571495953060627`*^9, 3.657149612068144*^9}, 3.657149730953327*^9, {
   3.657149900873124*^9, 3.65714993944982*^9}, {3.657150166382186*^9, 
   3.657150210205983*^9}, 3.6571503223951473`*^9, {3.657153274711009*^9, 
   3.657153278242906*^9}, {3.657153361442255*^9, 3.657153369405985*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 7 \[OpenCurlyDoubleQuote]MzxmlGetMSSpectraLocationAndBinary\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.644344334355332*^9, 3.644344358451652*^9}, {
   3.6446771640218*^9, 3.6446771858827887`*^9}, {3.644678070178233*^9, 
   3.644678070408948*^9}, 3.6446793888455257`*^9, 3.645567048635777*^9, 
   3.6458900160703163`*^9, 3.657215476061047*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["\<\
MzxmlGetMSSpectraLocationAndBinary [fileNameII, selectedSpectraOfIntrestII]

MzxmlGetMSSpectraLocationAndBinary function takes two inputs. The first input \
is the constant that is set to the file path. The second input is the list \
where the spectrum index location is located. The function will output the \
entier scan includs all cvParams and binary information. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657214032025425*^9, 3.657214037577135*^9}, {
  3.657214069026415*^9, 3.657214102455497*^9}, {3.657214604193718*^9, 
  3.657214647855085*^9}, {3.657214685010831*^9, 3.6572146867607594`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlGetMSSpectraLocationAndBinary", "[", 
   RowBox[{"fileNameII_", ",", "selectedSpectraOfIntrestII_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"streamingFile", ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "inputFile", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "1", 
        "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "\"\<mzXMLfilePath\>\""}], "*)"}],
       "\[IndentingNewLine]", 
      RowBox[{"inputFile", "=", "fileNameII"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "findMS", " ", "is", " ", "equal", " ", "to", " ", "the", " ", "2", 
        "st", " ", "input", " ", "to", " ", "this", " ", "function", " ", 
        "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "selected", " ", "spectrum"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"findMS", "=", 
       RowBox[{"selectedSpectraOfIntrestII", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", "\[IndentingNewLine]", 
      "whatIReadIn", ",", "emptyList", ",", "joiningListToString", ",", 
      "peaksElement"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
       RowBox[{
       "open", " ", "an", " ", "mzXML", " ", "file", " ", "that", " ", "is", 
        " ", "set", " ", "equal", " ", "to"}], " ", "<", "mzXMLfilePath", ">",
        " ", 
       RowBox[{"and", " ", "read", " ", "data", " ", "from", " ", "it"}]}], 
      ",", 
      RowBox[{
      "and", " ", "return", " ", "an", " ", "input", " ", "stream", " ", 
       RowBox[{"object", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"streamingFile", "=", 
      RowBox[{"OpenRead", "[", "inputFile", "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "set", " ", "the", " ", "steaming", " ", "position", " ", "to", " ", 
       "the", " ", "location", " ", "of", " ", "the", " ", "selected", " ", 
       "spectrum", " ", "index", " ", "location", " ", "that", " ", "was", 
       " ", "past", " ", "to", " ", "this", " ", "function", " ", "as", " ", 
       "a", " ", "second", " ", "input"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"inputFile", ",", "findMS"}], "]"}], ";", "\[IndentingNewLine]",
      "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "list", " ", "with", " ", "the", " ", "spectrum", " ", "closing", " ", 
        "tag"}], " ", "<", 
       RowBox[{"/", "scan"}], ">", " ", 
       RowBox[{
       "in", " ", "order", " ", "to", " ", "convert", " ", "the", " ", 
        "selected", " ", "spectrum", " ", "to", " ", 
        RowBox[{"mathematica", "'"}], "s", " ", "XML", " ", "format"}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"whatIReadIn", "=", "\"\<</scan>\>\""}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "\"\<<scan \>\"", "}"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
        RowBox[{"While", " ", "test"}], "=", "True"}], ",", " ", 
       RowBox[{"evaluate", " ", "the", " ", "body"}]}], "*)"}], "\n", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", 
       RowBox[{
        RowBox[{"whatIReadIn", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"streamingFile", ",", " ", "Record"}], "]"}]}], ";", 
        RowBox[{"AppendTo", "[", 
         RowBox[{"emptyList", ",", "whatIReadIn"}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "if", " ", "statment", " ", "to", " ", "break", " ", "the", " ", 
          "loop", " ", "once", " ", "spectrum", " ", "is", " ", "found"}], 
         "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"StringTake", "[", 
            RowBox[{
             RowBox[{"StringTrim", "[", "whatIReadIn", "]"}], ",", 
             RowBox[{"-", "8"}]}], "]"}], "\[Equal]", "\"\<</peaks>\>\""}], 
          ",", 
          RowBox[{
           RowBox[{"AppendTo", "[", 
            RowBox[{"emptyList", ",", "\"\<</scan>\>\""}], "]"}], ";", 
           RowBox[{"Break", "[", "]"}]}]}], "]"}]}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "import", " ", "the", " ", "scan", " ", "to", " ", "mathematica", " ", 
       "XML", " ", "format"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"joiningListToString", "=", 
      RowBox[{"ImportString", "[", 
       RowBox[{
        RowBox[{"StringJoin", "[", "emptyList", "]"}], ",", "\"\<XML\>\""}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "joiningListToString", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.644344361757332*^9, 3.6443444657755213`*^9}, {
   3.64434450448531*^9, 3.644344504578949*^9}, {3.644344580188181*^9, 
   3.644344593113112*^9}, {3.64443387505683*^9, 3.6444338763276663`*^9}, 
   3.6446771933639402`*^9, {3.644677283869244*^9, 3.644677283959696*^9}, {
   3.644677371716029*^9, 3.644677404151456*^9}, {3.644677646104567*^9, 
   3.644677692186502*^9}, {3.644677744443218*^9, 3.644677745162795*^9}, {
   3.6446812806595087`*^9, 3.644681293087533*^9}, {3.644681339838769*^9, 
   3.644681363600923*^9}, {3.644682791398217*^9, 3.64468281113552*^9}, 
   3.645185657169553*^9, 3.645185694085779*^9, {3.645185799561503*^9, 
   3.645185845358655*^9}, {3.645185905996654*^9, 3.6451859071475983`*^9}, {
   3.645186097100854*^9, 3.645186121820834*^9}, {3.6451929006758842`*^9, 
   3.645192943951701*^9}, 3.6451930934511747`*^9, 3.6452035309935617`*^9, {
   3.645546037777544*^9, 3.6455460653046637`*^9}, {3.645567254672059*^9, 
   3.6455672553510227`*^9}, {3.645643769919155*^9, 3.645643793229245*^9}, {
   3.645730845185611*^9, 3.645730845317205*^9}, {3.645730881619978*^9, 
   3.645730881890923*^9}, {3.6457309509325943`*^9, 3.645730951037945*^9}, {
   3.645731088727516*^9, 3.645731088915737*^9}, {3.645742444677107*^9, 
   3.6457424865451517`*^9}, {3.645743052024046*^9, 3.645743061205379*^9}, {
   3.645743985640524*^9, 3.6457439879897757`*^9}, 3.6457440353214607`*^9, 
   3.6457440676358128`*^9, {3.645890013108556*^9, 3.64589001339286*^9}, 
   3.648295848634663*^9, {3.648296058863812*^9, 3.6482960928776197`*^9}, {
   3.648296373534239*^9, 3.648296396390271*^9}, 3.648296431085476*^9, {
   3.648296476548102*^9, 3.648296480130087*^9}, 3.648296878890416*^9, {
   3.648296918710815*^9, 3.648296968541956*^9}, {3.648297001295813*^9, 
   3.6482970162617188`*^9}, 3.6482973845139093`*^9, {3.64829742071655*^9, 
   3.648297504249694*^9}, {3.6482975628012*^9, 3.6482975761291227`*^9}, {
   3.648297719631439*^9, 3.6482977548554068`*^9}, {3.648297841265526*^9, 
   3.6482978564542294`*^9}, {3.6482978976481953`*^9, 3.648297899525878*^9}, {
   3.648297931527623*^9, 3.648297934077641*^9}, 3.6482979672964983`*^9, {
   3.648298033726738*^9, 3.648298053068335*^9}, {3.648298099669932*^9, 
   3.6482981023241568`*^9}, 3.648298134959084*^9, {3.648298745734805*^9, 
   3.648298750686158*^9}, {3.6482988267742367`*^9, 3.6482988386295013`*^9}, {
   3.655137611165063*^9, 3.655137617466964*^9}, {3.655137887429318*^9, 
   3.655137888826536*^9}, {3.657154945366518*^9, 3.657154946734057*^9}, 
   3.657214598366623*^9, {3.657214728081275*^9, 3.657214909325259*^9}, {
   3.657214941012698*^9, 3.657214976682351*^9}, {3.657215017802395*^9, 
   3.657215083688085*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["Function 8 \[OpenCurlyDoubleQuote]MzxmlSpectrumPlotter\
\[CloseCurlyDoubleQuote]:", "Subsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6418226751499653`*^9, 3.6418226900479727`*^9}, {
   3.641842552183639*^9, 3.641842556785639*^9}, {3.6446896985926933`*^9, 
   3.644689704814398*^9}, 3.645567090891425*^9, 3.645890054804852*^9, 
   3.655137321648163*^9}],

Cell[CellGroupData[{

Cell["The Function:", "Subsubsection",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6433658579607487`*^9, 3.643365862311577*^9}}],

Cell["\<\
MzxmlSpectrumPlotter [spectrum]

function MzxmlSpectrumPlotter takes one input - spectrum is a constant that \
is set equal to the user selected scan. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6526452235479603`*^9, 3.652645257004056*^9}, {
  3.6526452945864773`*^9, 3.6526453382532873`*^9}, {3.652645404762869*^9, 
  3.652645426997877*^9}, {3.652645472507249*^9, 3.652645478897525*^9}, {
  3.652646011532721*^9, 3.6526460333793793`*^9}, {3.6526467311058483`*^9, 
  3.6526467489124727`*^9}, {3.652646833682502*^9, 3.652646966158299*^9}, {
  3.652647594170526*^9, 3.652647625976038*^9}, {3.652648405881947*^9, 
  3.652648417078822*^9}, {3.6526618504304047`*^9, 3.652661865667788*^9}, {
  3.653702726771267*^9, 3.653702751457543*^9}, {3.655137573726809*^9, 
  3.655137577931628*^9}, {3.655137781536819*^9, 3.6551378581389103`*^9}, {
  3.6551383591815042`*^9, 3.655138371281994*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlSpectrumPlotter", "[", 
   RowBox[{"spectrum_", ",", "userInputForPeakLabeling_"}], "]"}], ":=", 
  "\[IndentingNewLine]", 
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"peaksElement", ",", "\[IndentingNewLine]", 
      RowBox[{"binaryDATAArray", "=", "spectrum"}], ",", 
      "\[IndentingNewLine]", "getTheRealBits", ",", "\[IndentingNewLine]", 
      "binaryDATAString", ",", "\[IndentingNewLine]", "compresiontype", ",", 
      "\[IndentingNewLine]", "decodeBinaryData", ",", "\[IndentingNewLine]", 
      RowBox[{"trueOrFalseInput", "=", "userInputForPeakLabeling"}], ",", 
      "\[IndentingNewLine]", "final"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"(*", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{
       "Constant", " ", "peaksElement", " ", "serve", " ", "as", " ", "a", 
        " ", "storage", " ", "for", " ", "element"}], " ", "<", "peaks", ">", 
       " ", 
       RowBox[{"in", " ", "a", " ", "selected", " ", 
        RowBox[{"scan", ".", " ", "Element"}]}], " ", "<", "peaks", ">", " ", 
       
       RowBox[{
        RowBox[{
        "is", " ", "where", " ", "the", " ", "actual", " ", "data", " ", 
         "encoded", " ", "using", " ", 
         RowBox[{"base64", ".", " ", "Byte"}], " ", "order", " ", "must", " ",
          "be", " ", 
         RowBox[{"network", ".", " ", "The"}], " ", "order", " ", "of", " ", 
         "the", " ", "pairs", " ", "must", " ", "be", " ", 
         RowBox[{"m", "/", "z"}]}], "-", 
        RowBox[{"intensity", "."}]}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"Cases", " ", "here", " ", "takes", " ", "3", " ", 
       RowBox[{"element", ":", " ", "\[IndentingNewLine]", 
        RowBox[{"[", 
         RowBox[{
          RowBox[{
           RowBox[{
           "1", "st", " ", "element", " ", "in", " ", "an", " ", "expiration",
             " ", "is", " ", "spectrum2"}], " ", "-", " ", 
           RowBox[{"selected", " ", "scan"}]}], ",", " ", 
          "\[IndentingNewLine]", 
          RowBox[{
          "2", "nd", " ", "element", " ", "is", " ", "XMLElement", " ", 
           "pattern", " ", "matching", " ", "and", " ", "that", " ", 
           RowBox[{"is", "[", "peaks", "]"}]}], ",", " ", 
          RowBox[{
           RowBox[{
           "3", "rd", " ", "element", " ", "is", " ", "levelspece", " ", 
            "and", " ", "that", " ", "is", " ", "Infinity"}], " ", "-", " ", 
           RowBox[{"all", " ", "levels", " ", 
            RowBox[{"(", 
             RowBox[{"except", " ", "0"}], ")"}]}], " ", "-", " ", 
           RowBox[{
           "to", " ", "give", " ", "a", " ", "list", " ", "of", " ", "all", 
            " ", "parts", " ", "of", " ", "the", " ", "expiration", " ", 
            "\"\<1st\>\"", " ", "on", " ", "this", " ", "specified", " ", 
            "level", " ", "that", " ", "match", " ", "the", " ", "pattern", 
            " ", "\"\<2nd\>\""}]}]}], "]"}]}]}]}], "\[IndentingNewLine]", 
     "*)"}], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"peaksElement", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"binaryDATAArray", ",", 
        RowBox[{"XMLElement", "[", 
         RowBox[{"\"\<peaks\>\"", ",", "_", ",", "_"}], "]"}], ",", 
        "Infinity"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"peaksElement", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "2"}], "]"}], "]"}], " ", "will", " ", "give", 
        " ", "you", " ", "a", " ", "list", " ", "of", " ", "three", " ", 
        "required", " ", "attributes", " ", 
        RowBox[{"e", ".", "g", ".", " ", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\"\<precision\>\"", "\[Rule]", "\"\<32\>\""}], ",", 
           RowBox[{"\"\<byteOrder\>\"", "\[Rule]", "\"\<network\>\""}], ",", 
           RowBox[{"\"\<pairOrder\>\"", "\[Rule]", "\"\<m/z-int\>\""}]}], 
          "}"}]}]}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"precision", ":", " ", 
        RowBox[{
        "number", " ", "of", " ", "bits", " ", "used", " ", "by", " ", "each",
          " ", "component", " ", 
         RowBox[{"e", ".", "g", ".", " ", "32"}], " ", "bit"}]}], ",", " ", 
       RowBox[{"64", " ", "bit"}], ",", "\[IndentingNewLine]", 
       RowBox[{"byteOrder", ":", " ", 
        RowBox[{
        "is", " ", "FIXED", " ", "byte", " ", "order", " ", "of", " ", "the", 
         " ", "encoded", " ", "binary", " ", "information", " ", 
         RowBox[{"(", 
          RowBox[{"must", " ", "be", " ", "network"}], ")"}]}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"pairOrder", ":", " ", 
        RowBox[{
        "is", " ", "FIXED", " ", "order", " ", "of", " ", "the", " ", 
         RowBox[{"m", "/", "z"}], " ", "intensity", " ", "pairs", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"must", " ", "be", " ", 
             RowBox[{"m", "/", "z"}]}], "-", "int"}], ")"}], "."}]}]}]}], 
      "\n", "  ", "*)"}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"precision", ":", " ", 
        RowBox[{
        "number", " ", "of", " ", "bits", " ", "used", " ", "by", " ", "each",
          " ", "component", " ", 
         RowBox[{"e", ".", "g", ".", " ", "32"}], " ", "bit"}]}], ",", " ", 
       RowBox[{"64", " ", 
        RowBox[{"bit", ".", " ", "Take"}], " ", "the", " ", "number", " ", 
        "and", " ", "join", " ", "it", " ", "to", " ", "\"\<Real\>\""}]}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"getTheRealBits", "=", 
      RowBox[{"\"\<Real\>\"", "<>", 
       RowBox[{
        RowBox[{"Cases", "[", 
         RowBox[{
          RowBox[{"peaksElement", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
          RowBox[{"x_", "/;", 
           RowBox[{
            RowBox[{"x", "[", 
             RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
            "\"\<precision\>\""}]}], ",", "1"}], "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "2"}], "]"}], "]"}]}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Actual", " ", "data", " ", "encoded", " ", "using", " ", "base64"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{"binaryDATAString", "=", 
      RowBox[{"peaksElement", "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "3", ",", "1"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "constant", " ", "compresiontype", " ", "checks", " ", "if", " ", 
        "the", " ", "scan", " ", "encoded", " ", "data", " ", "if", " ", 
        "compresed", " ", "or", " ", 
        RowBox[{"not", ".", " ", "If"}], " ", "attribute", " ", 
        "compressionType", " ", "is", " ", "not", " ", "found", " ", "then", 
        " ", "just", " ", "output", " ", "an", " ", "empity", " ", "list", 
        " ", 
        RowBox[{"{", "}"}]}], ",", " ", 
       RowBox[{
       "but", " ", "if", " ", "attribute", " ", "compressionType", " ", "is", 
        " ", "found"}], ",", " ", 
       RowBox[{
       "then", " ", "use", " ", "a", " ", "Switch", " ", "to", " ", "check", 
        " ", "if", " ", "equal", " ", "to", " ", "\"\<none\>\"", " ", "or", 
        " ", 
        RowBox[{"\"\<zlip\>\"", ".", " ", "Pass"}], " ", "compression", " ", 
        "states", " ", "to", " ", "the", " ", 
        RowBox[{"decoder", "."}]}]}], "*)"}], 
     RowBox[{"compresiontype", "=", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Cases", "[", 
          RowBox[{
           RowBox[{"peaksElement", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
           RowBox[{
            RowBox[{"x_", "/;", 
             RowBox[{
              RowBox[{"x", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
              "\"\<compressionType\>\""}]}], "\[RuleDelayed]", 
            RowBox[{"x", "[", 
             RowBox[{"[", "2", "]"}], "]"}]}], ",", "1", ",", 
           RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], "\[Equal]", 
         RowBox[{"{", "}"}]}], ",", 
        RowBox[{"{", "}"}], ",", 
        RowBox[{"Switch", "[", 
         RowBox[{
          RowBox[{"Cases", "[", 
           RowBox[{
            RowBox[{"peaksElement", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "2"}], "]"}], "]"}], ",", 
            RowBox[{
             RowBox[{"x_", "/;", 
              RowBox[{
               RowBox[{"x", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
               "\"\<compressionType\>\""}]}], "\[RuleDelayed]", 
             RowBox[{"x", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ",", "1", ",", 
            RowBox[{"Heads", "\[Rule]", "False"}]}], "]"}], ",", 
          RowBox[{"{", "\"\<none\>\"", "}"}], ",", "\"\<none\>\"", ",", 
          RowBox[{"{", "\"\<zlib\>\"", "}"}], ",", "\"\<zlib\>\""}], "]"}]}], 
       "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Decode", " ", "the", " ", "scan", " ", "binary", " ", "data", " ", 
       "by", " ", "calling", " ", "the", " ", 
       RowBox[{"MzxmlSpectrumBinaryDecoder", "."}]}], "*)"}], 
     RowBox[{"decodeBinaryData", "=", 
      RowBox[{"MzxmlSpectrumBinaryDecoder", "[", 
       RowBox[{"binaryDATAString", ",", "getTheRealBits", ",", 
        RowBox[{"{", 
         RowBox[{"\"\<Base64\>\"", ",", "\"\<String\>\""}], "}"}], ",", 
        "compresiontype"}], "]"}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"final", "=", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"If", " ", "user", " ", "select", " ", "True"}], ",", " ", 
        RowBox[{
        "then", " ", "the", " ", "plot", " ", "will", " ", "have", " ", "a", 
         " ", "labeled", " ", "peaks"}], ",", " ", 
        RowBox[{
        "peaks", " ", "are", " ", "not", " ", "labeled", " ", "otherwise"}]}],
        "*)"}], "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"trueOrFalseInput", "\[Equal]", "True"}], ",", 
        RowBox[{"Panel", "[", 
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "ListLinePlot", " ", "will", " ", "line", " ", "plot", " ", "the", 
            " ", "decodAndTransposeBinaryData", " ", 
            RowBox[{"values", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"ListLinePlot", "[", 
            RowBox[{"decodeBinaryData", ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"(*", 
               RowBox[{
               "Using", " ", "Full", " ", "for", " ", "the", " ", "Plot", " ",
                 "Range", " ", "to", " ", "include", " ", "the", " ", "full", 
                " ", "range", " ", "of", " ", "the", " ", "original", " ", 
                "data"}], "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{
                 RowBox[{"m", "/", "z"}], " ", "array", 
                 "\"\< is the x-axis and \>\"", "intensity", " ", "array", 
                 "\"\< is the y-axis.\>"}], "*)"}], "\[IndentingNewLine]", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<m/z array\>\"", ",", "\"\<Intensity array\>\""}], 
                 "}"}]}], ",", "\[IndentingNewLine]", 
               RowBox[{"LabelStyle", "\[Rule]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"AxesStyle", "\[Rule]", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
              "\[IndentingNewLine]", "}"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], ",", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"ListPlot", "[", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{
             "Tooltip", " ", "displays", " ", "labels", " ", "while", " ", 
              "the", " ", "mouse", " ", "pointer", " ", "is", " ", "in", " ", 
              "the", " ", "area", " ", "where", " ", "the", " ", "expression",
               " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"m", "/", "z"}], " ", "and", " ", "intensity"}], 
               ")"}], " ", "is", " ", 
              RowBox[{"displayed", "."}]}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"Tooltip", "[", "decodeBinaryData", "]"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"PlotMarkers", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"\"\<\[FilledCircle]\>\"", ",", "0.01"}], "}"}]}], 
               ",", "\[IndentingNewLine]", 
               RowBox[{"AxesLabel", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{
                 "\"\<m/z array\>\"", ",", "\"\<Intensity array\>\""}], 
                 "}"}]}], ",", "\[IndentingNewLine]", 
               RowBox[{"LabelStyle", "\[Rule]", 
                RowBox[{"Directive", "[", 
                 RowBox[{"Lighter", "[", 
                  RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"AxesStyle", "\[Rule]", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
              "\[IndentingNewLine]", "}"}], ",", 
             RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], "]"}], "]"}],
         ",", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"If", " ", "False"}], ",", " ", 
          RowBox[{"peaks", " ", "are", " ", "not", " ", 
           RowBox[{"labeled", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Panel", "[", 
         RowBox[{"Show", "[", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "ListLinePlot", " ", "will", " ", "line", " ", "plot", " ", "the", 
            " ", "decodAndTransposeBinaryData", " ", 
            RowBox[{"values", "."}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{"ListLinePlot", "[", 
           RowBox[{"decodeBinaryData", ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
             RowBox[{"(*", 
              RowBox[{
              "Using", " ", "Full", " ", "for", " ", "the", " ", "Plot", " ", 
               "Range", " ", "to", " ", "include", " ", "the", " ", "full", 
               " ", "range", " ", "of", " ", "the", " ", "original", " ", 
               "data"}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{
                RowBox[{"m", "/", "z"}], " ", "array", 
                "\"\< is the x-axis and \>\"", "intensity", " ", "array", 
                "\"\< is the y-axis.\>"}], "*)"}], "\[IndentingNewLine]", 
              RowBox[{"AxesLabel", "\[Rule]", 
               RowBox[{"{", 
                RowBox[{"\"\<m/z array\>\"", ",", "\"\<Intensity array\>\""}],
                 "}"}]}], ",", "\[IndentingNewLine]", 
              RowBox[{"LabelStyle", "\[Rule]", 
               RowBox[{"Directive", "[", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Black", ",", "0.1"}], "]"}], "]"}]}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"AxesStyle", "\[Rule]", 
               RowBox[{"Lighter", "[", 
                RowBox[{"Black", ",", "0.1"}], "]"}]}]}], 
             "\[IndentingNewLine]", "}"}], ",", 
            RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], 
          "\[IndentingNewLine]", "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "final", "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.655131887723042*^9, 3.655131966218644*^9}, 
   3.65513203847922*^9, {3.655132117588292*^9, 3.6551322525769367`*^9}, {
   3.655133146862485*^9, 3.655133149910797*^9}, {3.655134910302898*^9, 
   3.655134965771716*^9}, {3.65513579054183*^9, 3.655135796210771*^9}, {
   3.655136089049032*^9, 3.65513609851225*^9}, {3.655136196370018*^9, 
   3.6551362141635733`*^9}, {3.6555680445536757`*^9, 3.655568202791544*^9}, {
   3.68832570921294*^9, 3.688325712380134*^9}, {3.68832579199778*^9, 
   3.688325792011107*^9}, {3.688935197871065*^9, 3.68893521016776*^9}, {
   3.689104496914249*^9, 3.68910449693045*^9}, {3.689104580169059*^9, 
   3.68910458018521*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MZXMLMaster Function:", "Subchapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.645147966922305*^9, 3.645147970308363*^9}, {
  3.646154099653041*^9, 3.646154101633916*^9}, {3.648914599674365*^9, 
  3.648914601255603*^9}, {3.649090077170079*^9, 3.649090079062896*^9}, {
  3.6503068343281717`*^9, 3.6503068407195673`*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "mzXMLMaster", "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650307026704687*^9, 3.650307058932074*^9}, {
  3.658170468610745*^9, 3.658170469255871*^9}}],

Cell["\<\
mzXMLMaster [filePathFromFunctionMzXMLORMzML]

Function mzXMLMaster takes one input and that is mzXML uploaded file path. \
The return output is visualized spectrum with controls added to allow \
interactive manipulation of the value of mass, time, msLevel, etc. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.658063146116013*^9, 3.6580631864630213`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"mzXMLMaster", "[", "filePathFromFunctionMzXMLORMzML_", "]"}], 
   "Input"], 
  StyleBox[":=", "Input"], 
  StyleBox["\[IndentingNewLine]", "Input"], 
  StyleBox["\[IndentingNewLine]", "Input"], 
  RowBox[{"DynamicModule", 
   StyleBox["[", "Input"], 
   RowBox[{
    StyleBox[
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "The", " ", "the", " ", "only", " ", "input", " ", "and", " ", "is", 
        " ", "set", " ", "equal", " ", "to", " ", "the", " ", "inputFile", 
        " ", "and", " ", "that", " ", "is", " ", "the", " ", "user", " ", 
        "uploaded", " ", "file", " ", "path"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"inputFile", "=", "filePathFromFunctionMzXMLORMzML"}], ",", 
       "\[IndentingNewLine]", "mzXMLOverallRaw", ",", "outputMetaData", ",", 
       "mzXMLoffsetList", ",", "manipulate"}], "}"}], "Input"], 
    StyleBox[",", "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"**", "**", "**", "**"}], "*", 
       StyleBox[" ", "Input",
        FontSize->24,
        FontColor->RGBColor[0.5, 0, 0.5]], "Constants", " ", 
       "\"\<mzXML Back-End\>\""}], " ", "*********)"}], "Input",
     FontSize->24,
     FontColor->RGBColor[0.5, 0, 0.5]], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "mzXMLOverallRaw", " ", "is", " ", "equal", " ", "to", " ", 
        "function"}], " ", "<", "MzxmlRawMetaData", ">", " ", 
       RowBox[{
       "that", " ", "takes", " ", "the", " ", "user", " ", "file", " ", 
        "path", " ", "as", " ", "an", " ", 
        RowBox[{"input", ".", " ", "The"}], " ", "output", " ", "is", " ", 
        "the", " ", "raw", " ", 
        RowBox[{"metadata", "."}]}]}], "*)"}], "Input"], 
    StyleBox["\[IndentingNewLine]", "Input"], 
    RowBox[{
     StyleBox[
      RowBox[{"mzXMLOverallRaw", "=", 
       RowBox[{"MzxmlRawMetaData", "[", "inputFile", "]"}]}], "Input"], 
     StyleBox[";", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox[
      RowBox[{"(*", 
       RowBox[{
       "outputMetaData", " ", "is", " ", "equal", " ", "to", " ", "function", 
        " ", "MzxmlMetaData", " ", "that", " ", "takes", " ", "the", " ", 
        "raw", " ", "metadata", " ", "and", " ", "it", " ", "output", " ", 
        "a", " ", "readable", " ", "metadata", " ", "for", " ", "the", " ", 
        "user"}], "*)"}], "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox[
      RowBox[{"outputMetaData", "=", 
       RowBox[{"MzxmlMetaData", "[", "mzXMLOverallRaw", "]"}]}], "Input"], 
     StyleBox[";", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "mzXMLoffsetList", " ", "is", " ", "a", " ", "constant", " ", "that", 
        " ", "is", " ", "set", " ", "equel", " ", "to", " ", "function"}], 
       " ", "<", "MzxmlOffSetListCounter", ">", 
       RowBox[{"that", " ", "takes", " ", "mzXML", " ", "file", " ", 
        RowBox[{"path", ".", " ", "MzxmlOffSetListCounter"}], " ", "output", 
        " ", "a", " ", "list", " ", "of", " ", "offsets", " ", "for", " ", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"spectrum", " ", "index"}], ",", " ", 
           RowBox[{"ms", " ", "level"}], ",", " ", 
           RowBox[{"base", " ", "peak", " ", 
            RowBox[{"m", "/", "z"}]}], ",", " ", 
           RowBox[{"scan", " ", "start", " ", "time"}], ",", " ", "precursor",
            ",", " ", 
           RowBox[{"selected", " ", "ion", " ", 
            RowBox[{"m", "/", "z"}]}]}], "}"}], ".", " ", "This"}], " ", 
        "list", " ", "is", " ", "used", " ", "as", " ", "an", " ", "input", 
        " ", "for", " ", "downstream", " ", 
        RowBox[{"functions", "."}]}]}], "*)"}], 
     StyleBox["\[IndentingNewLine]", "Input"], 
     RowBox[{"mzXMLoffsetList", "=", 
      RowBox[{"MzxmlOffSetListCounter", "[", "inputFile", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     StyleBox[
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"**", "**", "**", "**"}], "*", 
        StyleBox[" ", "Input",
         FontSize->24,
         FontColor->RGBColor[0.5, 0, 0.5]], "Returning", " ", 
        "\"\<mzXML Front-End\>\""}], " ", "*********)"}], "Input",
      FontSize->24,
      FontColor->RGBColor[0.5, 0, 0.5]], "\[IndentingNewLine]", 
     RowBox[{"manipulate", "=", 
      RowBox[{"Framed", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Grid", "[", 
         RowBox[{"{", "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{"This", " ", "is", " ", "the", " ", "metadata"}], "*)"}], 
           "Input"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"{", "outputMetaData", "}"}], ",", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"{", 
            RowBox[{"Framed", "[", "\[IndentingNewLine]", 
             StyleBox[
              RowBox[{"(*", 
               RowBox[{
               "Using", " ", "manipulate", " ", "to", " ", "generate", " ", 
                "a", " ", "version", " ", "with", " ", "controls", " ", 
                "added", " ", "to", " ", "allow", " ", "for", " ", 
                "interactive", " ", "manipulation", " ", "for", " ", "the", 
                " ", "user"}], "*)"}], "Input"], "\[IndentingNewLine]", 
             RowBox[{
             "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              
              RowBox[{
               RowBox[{
               "Manipulate", "[", "\[IndentingNewLine]", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"If", "[", "\[IndentingNewLine]", 
                  StyleBox[
                   RowBox[{"(*", 
                    RowBox[{
                    "This", " ", "is", " ", "dummy", " ", "control", " ", 
                    "in", " ", "place", " ", "to", " ", "allow", " ", "for", 
                    " ", "passing", " ", "of", " ", "the", " ", "selected", 
                    " ", 
                    RowBox[{"spectrum", ".", " ", "Is"}], " ", "also", " ", 
                    "worth", " ", "mentioning", " ", "that", " ", 
                    "mzXMLmsSpectraSserSelect", " ", "is", " ", "set", " ", 
                    "to", " ", "equal", " ", "to", " ", "any", " ", 
                    "selected", " ", "spectrum", " ", "by", " ", "the", " ", 
                    "user"}], "*)"}], "Input"], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Length", "[", "mzXMLmsSpectraSserSelect", "]"}], 
                    "<", "1"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Please Make a Selection....\>\"", ",", "11"}], "]"}],
                    ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   "\[IndentingNewLine]", "\[IndentingNewLine]", 
                   RowBox[{"If", "[", "\[IndentingNewLine]", 
                    StyleBox[
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"using", " ", "function"}], " ", "<", 
                    "MzxmlGetSpectraMSLevel", ">", " ", 
                    RowBox[{
                    "to", " ", "find", " ", "the", " ", "selected", " ", 
                    "spectrum", " ", "MS", " ", 
                    RowBox[{"level", ".", " ", "If"}], " ", "the", " ", "MS", 
                    " ", "Level"}]}], " ", "=", " ", "1"}], ",", " ", 
                    RowBox[{
                    RowBox[{
                    "then", " ", "plot", " ", "the", " ", "spectrum", " ", 
                    "using", " ", "function"}], " ", "<", 
                    "MzxmlSpectrumPlotter", ">", " ", 
                    RowBox[{
                    "and", " ", "creat", " ", "a", " ", "spectrum", " ", 
                    "note", " ", "card", " ", 
                    RowBox[{"label", "."}]}]}]}], "*)"}], "Input"], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    "MzxmlGetSpectraMSLevel", "[", "mzXMLmsSpectraSserSelect",
                     "]"}], "==", 
                    RowBox[{"{", "\"\<1\>\"", "}"}]}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    "For", " ", "labeling", " ", "the", " ", "scan", " ", 
                    "by", " ", "framming", " ", "the", " ", "scan", " ", 
                    "\"\<ms level value\>\""}], ",", " ", 
                    "\"\<scan start time value\>\"", ",", " ", 
                    RowBox[{"\"\<base peak m/z value\>\"", "."}]}], "*)"}], 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"DeleteCases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<spectrum representation\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "&"}], "/@", 
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], ")"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<spectrum representation\>\"", ",", 
                    "\"\<profile spectrum\>\""}], "}"}], ",", "1"}], "]"}], 
                    ",", 
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", " ", "MSLevel"}], " ", "\[Equal]", " ", 
                    "1"}], ",", " ", 
                    RowBox[{
                    "get", " ", "the", " ", "scan", " ", "location", " ", 
                    "and", " ", "pass", " ", "it", " ", "to", " ", "the", " ",
                     "mzXMLGetMSSpectraLocationAndBinary", " ", "function", 
                    " ", "for", " ", "binary", " ", "data", " ", 
                    RowBox[{"collection", ".", " ", "Call"}], " ", 
                    "mzXMLstreamingAndBinaryAndspectraPlotting", " ", "to", 
                    " ", "decode", " ", "and", " ", "plot", " ", "the", " ", 
                    "scan", " ", "binary", " ", 
                    RowBox[{"data", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    
                    RowBox[{"{", 
                    RowBox[{"MzxmlSpectrumPlotter", "[", 
                    RowBox[{
                    RowBox[{"MzxmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzXMLmsSpectraSserSelect", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", 
                    "\"\<scan number\>\""}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
                    
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "mzXMLOptionForPlotLabeling"}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", " ", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    StyleBox[
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", " ", "the", " ", "MS", " ", "Level"}], " ", 
                    "\[NotEqual]", " ", "1"}], ",", " ", 
                    RowBox[{
                    "using", " ", "a", " ", "Switch", " ", "to", " ", 
                    RowBox[{"find", "/", "locate"}], " ", "the", " ", 
                    "\"\<precursor spectrum\>\"", " ", "for", " ", "any", " ",
                     "selected", " ", "\"\<daughter spectrum\>\""}]}], "*)"}],
                     "Input"], "\[IndentingNewLine]", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "mzXMLprecursorSpectrum", ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", 
                    StyleBox[
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{"If", " ", "user", " ", 
                    RowBox[{"doesn", "'"}], "t", " ", "want", " ", "to", " ", 
                    "see", " ", "the", " ", "\"\<precursor spectrum\>\"", " ",
                     "and", " ", "False", " ", "is", " ", "selected", " ", 
                    "then", " ", "pass", " ", "\"\<No precursor-ion\>\"", " ",
                     "and", " ", "plot", " ", "the", " ", "spectrum", " ", 
                    "using", " ", "function"}], " ", "<", 
                    "MzxmlSpectrumPlotter", ">", " ", 
                    RowBox[{
                    "and", " ", "creat", " ", "a", " ", "spectrum", " ", 
                    "note", " ", "card", " ", 
                    RowBox[{"label", "."}]}]}], "*)"}], "Input"], 
                    "\[IndentingNewLine]", "False", ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"DeleteCases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<spectrum representation\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "&"}], "/@", 
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], ")"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<spectrum representation\>\"", ",", 
                    "\"\<profile spectrum\>\""}], "}"}], ",", "1"}], "]"}], 
                    ",", 
                    RowBox[{"mzXMLmsSpectraSserSelect", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "]"}], 
                    "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "}"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"MzxmlSpectrumPlotter", "[", 
                    RowBox[{
                    RowBox[{"MzxmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"Dynamic", "[", 
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzXMLmsSpectraSserSelect", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "==", 
                    "\"\<scan number\>\""}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], ",", "1"}], "]"}], "[", 
                    
                    RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "]"}], ",", 
                    "mzXMLOptionForPlotLabeling"}], "]"}], "}"}]}], 
                    "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
                    
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}], ",", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"(*", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", " ", "MSLevel"}], " ", "\[NotEqual]", " ", 
                    "1"}], ",", " ", 
                    RowBox[{
                    "use", " ", "a", " ", "switch", " ", "and", " ", "if", 
                    " ", "False", " ", "is", " ", "selected", " ", "then", 
                    " ", "pass", " ", "\"\<No precursor-ion\>\"", " ", "but", 
                    " ", "if", " ", "True", " ", "is", " ", "selected", " ", 
                    "then", " ", "pass", " ", "\"\<Yes precursor-ion\>\"", 
                    " ", "to", " ", "get", " ", "the", " ", "precursor", " ", 
                    "scan", " ", 
                    RowBox[{"AKA", ".", " ", "parant"}], " ", 
                    RowBox[{"scan", ".", " ", "To"}], " ", "do", " ", "so"}], 
                    ",", " ", 
                    RowBox[{
                    "we", " ", "call", " ", 
                    "mzXMLGetPrecursorSpectraAtMSLevel", " ", "function", " ",
                     "for", " ", "precursor", " ", "scans", " ", 
                    RowBox[{"locations", ".", " ", "We"}], " ", "then", " ", 
                    "map", " ", "into", " ", "it", " ", "the", " ", "binary", 
                    " ", "data", " ", "and", " ", "call", " ", 
                    "mzXMLstreamingAndBinaryAndspectraPlotting", " ", "to", 
                    " ", "decode", " ", "and", " ", "plot", " ", "the", " ", 
                    "scan", " ", "binary", " ", 
                    RowBox[{"data", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
                    "True", ",", "\[IndentingNewLine]", 
                    RowBox[{"Panel", "[", 
                    RowBox[{"Grid", "[", 
                    RowBox[{
                    RowBox[{"Partition", "[", 
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"Transpose", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"Grid", "[", 
                    RowBox[{"Transpose", "[", "#", "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Background", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"None", ",", 
                    RowBox[{"{", 
                    RowBox[{"White", ",", 
                    RowBox[{"{", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{
                    RowBox[{"Blend", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightBlue", ",", "0.1"}], "]"}], ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"LightGray", ",", "0.9"}], "]"}]}], "}"}], "]"}], 
                    ",", ".1"}], "]"}], "}"}]}], "}"}]}], "}"}]}], ",", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Black", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", "\[Rule]", "Black"}], "}"}]}], "}"}]}], ",", 
                    
                    RowBox[{"Frame", "\[Rule]", "True"}], ",", 
                    RowBox[{"Spacings", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", 
                    RowBox[{"{", "0.7", "}"}], ",", "0.9"}], "}"}]}], 
                    "}"}]}]}], "}"}], ",", "2"}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Flatten", "[", 
                    RowBox[{"DeleteCases", "[", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Cases", "[", 
                    RowBox[{"#", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], "&&", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
                    "\"\<spectrum representation\>\""}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], ",", "All"}], "]"}], 
                    "&"}], "/@", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], ")"}], 
                    ",", 
                    RowBox[{"{", "}"}]}], "]"}], "]"}], "\[Equal]", 
                    RowBox[{"{", "}"}]}], ",", 
                    RowBox[{"Insert", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<spectrum representation\>\"", ",", 
                    "\"\<profile spectrum\>\""}], "}"}], ",", "1"}], "]"}], 
                    ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"2", ";;"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"2", ",", "3"}], "}"}]}], "]"}], "]"}]}], "]"}], 
                    "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"MzxmlGetPrecursorSpectraAtMSLevel", "[", 
                    RowBox[{
                    "mzXMLoffsetList", ",", "mzXMLmsSpectraSserSelect"}], 
                    "]"}], ")"}]}], ")"}]}], ",", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MzxmlSpectrumPlotter", "[", 
                    RowBox[{"#", ",", "mzXMLOptionForPlotLabeling"}], "]"}], 
                    "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"MzxmlGetMSSpectraLocationAndBinary", "[", 
                    RowBox[{"inputFile", ",", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "&"}], "/@", 
                    RowBox[{"(", 
                    RowBox[{"MzxmlGetPrecursorSpectraAtMSLevel", "[", 
                    RowBox[{
                    "mzXMLoffsetList", ",", "mzXMLmsSpectraSserSelect"}], 
                    "]"}], ")"}]}], ")"}]}], ")"}]}], "}"}], "]"}], "]"}], 
                    ",", "1"}], "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Dividers", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "True"}], "}"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{"True", ",", "False"}], "}"}], "}"}]}], "}"}]}]}],
                     "]"}], "]"}]}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
                  "]"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
                 "\[IndentingNewLine]", 
                 StyleBox[
                  RowBox[{"(*", 
                   RowBox[{
                    RowBox[{
                    "This", " ", "is", " ", "one", " ", "of", " ", "the", " ",
                     "controls", " ", "that", " ", "allow", " ", "for", " ", 
                    "an", " ", "interactive", " ", "way", " ", "for", " ", 
                    "the", " ", "user", " ", "to", " ", "select", " ", "a", 
                    " ", "spectrum", " ", "using", " ", "either", " ", 
                    "\"\<Selected Ion m/z Value\>\"", " ", "or", " ", 
                    "\"\<Base Peak m/z Value\>\""}], ",", " ", 
                    RowBox[{
                    RowBox[{"max", "/", "min"}], " ", "retention", " ", 
                    "time", " ", "and", " ", "MS", " ", "Level", " ", "of", 
                    " ", "intrest", " ", "using", " ", "PopupMenu"}]}], 
                   "*)"}], "Input"], 
                 StyleBox["\[IndentingNewLine]", "Input"], 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{
                    "mzXMLmsSpectraSserSelect", ",", "\"\<\>\"", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"\"\<Please select: {\>\"", "~~", " ", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"mzXMLpreCursor", "\[Equal]", "True"}], ",", 
                    "\"\<Selected Ion m/z Value\>\"", ",", 
                    "\"\<Base Peak m/z Value\>\""}], "]"}], "~~", 
                    "\"\<, retention time, MS Level } : \>\""}], ",", "11"}], 
                    "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"Dynamic", "[", 
                    RowBox[{"Sort", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    "MzxmlSpectrumMassTimeAssociation", "[", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Which", "[", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mzXMLpreCursor", "\[Equal]", "True"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(", 
                    RowBox[{"MzxmlSpectrumSelector", "[", 
                    RowBox[{
                    "mzXMLoffsetList", ",", "mzXMLmsLevel", ",", 
                    "\"\<Yes precursor-ion\>\"", ",", "\[IndentingNewLine]", 
                    StyleBox[
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzXMLtimeMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], "Input"], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    StyleBox["Replace", "Input"], 
                    StyleBox["[", "Input"], 
                    RowBox[{
                    StyleBox["mzXMLtimeMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzXMLmassMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", " ", 
                    RowBox[{
                    StyleBox["mzXMLmassMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}]}], "]"}], ")"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"mzXMLpreCursor", "\[Equal]", "False"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"(", 
                    RowBox[{"MzxmlSpectrumSelector", "[", 
                    RowBox[{
                    "mzXMLoffsetList", ",", "mzXMLmsLevel", ",", 
                    "\"\<No precursor-ion\>\"", ",", "\[IndentingNewLine]", 
                    StyleBox[
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzXMLtimeMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], "Input"], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{
                    StyleBox["Replace", "Input"], 
                    StyleBox["[", "Input"], 
                    RowBox[{
                    StyleBox["mzXMLtimeMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", 
                    RowBox[{"mzXMLmassMin", ",", 
                    RowBox[{"Null", "\[Rule]", "0"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Replace", "[", " ", 
                    RowBox[{
                    StyleBox["mzXMLmassMax", "Input"], 
                    StyleBox[",", "Input"], 
                    RowBox[{
                    StyleBox["{", "Input"], 
                    RowBox[{
                    RowBox[{
                    StyleBox["Infinity", "Input"], 
                    StyleBox["\[Rule]", "Input"], " ", "1000000"}], ",", 
                    RowBox[{
                    StyleBox["Null", "Input"], 
                    StyleBox["\[Rule]", "Input"], "1000000"}]}], "}"}]}], 
                    "]"}]}], "]"}], ")"}]}], "]"}], ",", 
                    "\[IndentingNewLine]", "mzXMLpreCursor"}], "]"}], "]"}], 
                    "]"}], ",", "\[IndentingNewLine]", 
                   RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], 
                 ",", "\[IndentingNewLine]", " ", "\[IndentingNewLine]", 
                 StyleBox[
                  RowBox[{"(*", 
                   RowBox[{
                   "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                    "controls", " ", "that", " ", "allow", " ", "for", " ", 
                    "an", " ", "interactive", " ", "way", " ", "for", " ", 
                    "the", " ", "user", " ", "to", " ", "locate", " ", "the", 
                    " ", "\"\<precursor spectrum\>\"", " ", "for", " ", "any",
                     " ", "selected", " ", "\"\<daughter spectrum\>\"", " ", 
                    "by", " ", "using", " ", "RadioButtonBar"}], "*)"}], 
                  "Input"], 
                 StyleBox["\[IndentingNewLine]", "Input"], 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"mzXMLprecursorSpectrum", ",", "False", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Find precursor spectrum for MS Level > 1: \>\"", ",",
                     "11"}], "]"}]}], "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{
                    RowBox[{"True", "\[Rule]", " ", "\"\<Yes\>\""}], ",", 
                    RowBox[{"False", "\[Rule]", "\"\<No\>\""}]}], "}"}], ",", 
                   
                   RowBox[{"ControlType", "\[Rule]", "RadioButtonBar"}]}], 
                  "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", "search", " ", "for", 
                  " ", "different", " ", "spectra", " ", "\"\<MS Level\>\"", 
                  " ", "by", " ", "using", " ", "PopupMenu"}], "*)"}], 
                "Input"], 
               StyleBox["\[IndentingNewLine]", "Input"], 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLmsLevel", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<MS Level: \>\"", ",", "11"}], "]"}]}], "}"}],
                  ",", 
                 RowBox[{"Join", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"0", "\[Rule]", " ", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<All\>\"", ",", "11"}], "]"}]}], "}"}], ",", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"ToExpression", "[", "#", "]"}], "&"}], "/@", 
                    RowBox[{"Union", "[", 
                    RowBox[{"Cases", "[", 
                    RowBox[{"mzXMLoffsetList", ",", 
                    RowBox[{
                    RowBox[{"x_", "/;", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"Length", "[", "x", "]"}], ">", "1"}], ")"}], "&&", 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"x", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
                    "\"\<ms level value\>\""}], ")"}]}]}], "\[RuleDelayed]", 
                    RowBox[{"x", "[", 
                    RowBox[{"[", "3", "]"}], "]"}]}], ",", "2"}], "]"}], 
                    "]"}]}]}], "]"}], ",", 
                 RowBox[{"ControlType", "\[Rule]", "PopupMenu"}]}], "}"}], 
               ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", "search", " ", "the", 
                  " ", "spectra", " ", "by", " ", 
                  "\"\<Selected Ion m/z Value\>\"", " ", "or", " ", 
                  "\"\<Base Peak m/z Value\>\"", " ", "by", " ", "using", " ",
                   "RadioButton"}], "*)"}], "Input"], "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLpreCursor", ",", "False", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{"\"\<Search By: \>\"", ",", "11"}], "]"}]}], 
                  "}"}], ",", "\[IndentingNewLine]", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{
                   "True", "\[Rule]", " ", "\"\<Selected Ion m/z Value\>\""}],
                    ",", 
                   RowBox[{
                   "False", "\[Rule]", "\"\<Base Peak m/z Value\>\""}]}], 
                  "}"}], ",", 
                 RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], 
               StyleBox[",", "Input"], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", 
                  RowBox[{"change", "/", "input"}], " ", 
                  "\"\<minimum retention time\>\"", " ", "viewing", " ", "MS",
                   " ", "spectrum", " ", "by", " ", "using", " ", 
                  "InputField"}], "*)"}], "Input"], 
               StyleBox["\[IndentingNewLine]", "Input"], 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLtimeMin", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"minimum [\[GreaterEqual] 0]\\\" retention \
time \\\"second\\\": \>\"", ",", "11", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.4"}], "]"}]}], "]"}]}], "}"}], 
                 ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzXMLtimeMin", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", 
                  RowBox[{"change", "/", "input"}], " ", 
                  "\"\<maximum retention time\>\"", " ", "viewing", " ", "MS",
                   " ", "spectra", " ", "by", " ", "using", " ", 
                  "InputField"}], "*)"}], "Input"], 
               StyleBox["\[IndentingNewLine]", "Input"], 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLtimeMax", ",", "Infinity", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"maximum\\\" retention time \
\\\"second\\\": \>\"", ",", "11", ",", 
                    RowBox[{"Darker", "[", 
                    RowBox[{"Green", ",", "0.4"}], "]"}]}], "]"}]}], "}"}], 
                 ",", "Infinity", ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzXMLtimeMax", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", 
                  RowBox[{"change", "/", "input"}], " ", 
                  "\"\<minimum spectra mass\>\"", " ", "by", " ", "using", 
                  " ", "InputField"}], "*)"}], "Input"], 
               StyleBox["\[IndentingNewLine]", "Input"], 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLmassMin", ",", "0", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"minimum [\[GreaterEqual] 0]\\\" spectra \
mass \\\"m/z\\\" : \>\"", ",", "11", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}]}], "]"}]}], "}"}], 
                 ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzXMLmassMin", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], ",", 
               "\[IndentingNewLine]", "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", 
                  RowBox[{"change", "/", "input"}], " ", 
                  "\"\<maximum spectra mass\>\"", " ", "by", " ", "using", 
                  " ", "InputField"}], "*)"}], "Input"], 
               StyleBox["\[IndentingNewLine]", "Input"], 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"mzXMLmassMax", ",", "Infinity", ",", 
                   RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\< Input \\\"maximum\\\" spectra mass \\\"m/z\\\" : \>\
\"", ",", "11", ",", 
                    RowBox[{"Lighter", "[", 
                    RowBox[{"Blue", ",", "0.2"}], "]"}]}], "]"}]}], "}"}], 
                 ",", "Infinity", ",", 
                 RowBox[{"ControlType", "\[Rule]", 
                  RowBox[{"InputField", "[", "mzXMLmassMax", "]"}]}], ",", 
                 RowBox[{"FieldSize", "\[Rule]", "5"}]}], "}"}], ",", 
               "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                 "This", " ", "is", " ", "one", " ", "of", " ", "the", " ", 
                  "controls", " ", "that", " ", "allow", " ", "for", " ", 
                  "an", " ", "interactive", " ", "way", " ", "for", " ", 
                  "the", " ", "user", " ", "to", " ", "\"\<Peaks label\>\"", 
                  " ", "all", " ", "peaks", " ", "in", " ", "selected", " ", 
                  "spectrum", " ", "by", " ", "using", " ", "RadioButton"}], 
                 "*)"}], "Input"], "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"mzXMLOptionForPlotLabeling", ",", "False", ",", 
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Peaks Labeling: \>\"", ",", "11"}], "]"}]}], 
                   "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"True", "\[Rule]", " ", "\"\<Yes\>\""}], ",", 
                    RowBox[{"False", "\[Rule]", "\"\<No\>\""}]}], "}"}], ",", 
                  
                  RowBox[{"ControlType", "\[Rule]", "RadioButton"}]}], "}"}], 
                "Input"], 
               StyleBox[",", "Input"], 
               StyleBox[
                RowBox[{"ControlPlacement", "\[Rule]", "Top"}], "Input"]}], 
              StyleBox["\[IndentingNewLine]", "Input"], "]"}], "]"}], "}"}]}],
           "}"}], "]"}], ",", 
        RowBox[{"RoundingRadius", "\[Rule]", "10"}]}], "]"}]}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.648912518945633*^9, {3.648912594914144*^9, 3.6489126249639473`*^9}, {
   3.648912694293325*^9, 3.6489127143699093`*^9}, {3.6489208848721457`*^9, 
   3.648920995023246*^9}, {3.648921075995956*^9, 3.6489212047461567`*^9}, 
   3.648921268382039*^9, {3.648921324157281*^9, 3.648921374805238*^9}, {
   3.6489214847548428`*^9, 3.6489214910091457`*^9}, 3.648921594884522*^9, {
   3.6489216598764133`*^9, 3.648921681825528*^9}, 3.6489219881154823`*^9, 
   3.648922093381188*^9, {3.648922135977248*^9, 3.648922208997841*^9}, {
   3.648922304929161*^9, 3.648922326781654*^9}, {3.648922551685459*^9, 
   3.64892260769902*^9}, {3.6489231565212812`*^9, 3.648923203955248*^9}, 
   3.648923274610408*^9, {3.6489235809941187`*^9, 3.648923591538579*^9}, {
   3.648926912725671*^9, 3.648926913315721*^9}, {3.648927221845401*^9, 
   3.64892723892642*^9}, {3.648928038130478*^9, 3.648928040775275*^9}, {
   3.649092563686501*^9, 3.649092564278474*^9}, {3.64909260994396*^9, 
   3.649092640567748*^9}, {3.649092823823903*^9, 3.649092867588479*^9}, {
   3.649092926024352*^9, 3.6490929361125517`*^9}, {3.6490930420841713`*^9, 
   3.649093054492692*^9}, {3.649093345741247*^9, 3.6490933537651997`*^9}, {
   3.649093522468028*^9, 3.6490935940783443`*^9}, 3.649117560531521*^9, {
   3.649458317460754*^9, 3.649458326139413*^9}, {3.649458375216803*^9, 
   3.649458544976807*^9}, {3.649510160341062*^9, 3.649510163051635*^9}, {
   3.6495111785492687`*^9, 3.649511202398725*^9}, {3.6495113409901667`*^9, 
   3.6495113885959806`*^9}, {3.649512613620772*^9, 3.649512726662114*^9}, {
   3.649514553403576*^9, 3.649514604521208*^9}, 3.650117937241561*^9, 
   3.650118321248419*^9, {3.6536813998479853`*^9, 3.6536814075674334`*^9}, {
   3.653681485387457*^9, 3.653681488141852*^9}, 3.653681547683668*^9, 
   3.653681723081583*^9, {3.653681767504031*^9, 3.653681771992262*^9}, {
   3.65368212220297*^9, 3.653682152279777*^9}, {3.653704617767131*^9, 
   3.6537046190281076`*^9}, {3.655137310912513*^9, 3.6551373145967712`*^9}, 
   3.655229072070951*^9, {3.655412977461732*^9, 3.655412979146681*^9}, 
   3.6554172343975353`*^9, 3.655478805782299*^9, {3.655568842210705*^9, 
   3.65556884611386*^9}, {3.655568884075595*^9, 3.6555689003148623`*^9}, {
   3.655569095623384*^9, 3.6555691593975554`*^9}, {3.657153578872644*^9, 
   3.657153581991705*^9}, {3.657215464109179*^9, 3.657215469757834*^9}, 
   3.6579834889073267`*^9, 3.657993746724304*^9, {3.658022614008101*^9, 
   3.658022634640299*^9}, {3.658022990956518*^9, 3.6580229965075006`*^9}, 
   3.6580230628694687`*^9, {3.6580232399241257`*^9, 3.658023243162509*^9}, {
   3.658063052560135*^9, 3.658063054910157*^9}, {3.658063216831984*^9, 
   3.65806323115585*^9}, {3.658063274333354*^9, 3.658063404246407*^9}, {
   3.658063449020485*^9, 3.6580634503390007`*^9}, {3.6580635520620823`*^9, 
   3.65806359177164*^9}, {3.6580636273302193`*^9, 3.658063652936461*^9}, {
   3.658063687896616*^9, 3.658063748772674*^9}, {3.65806379044587*^9, 
   3.658063837208967*^9}, {3.658063896534978*^9, 3.6580641203721027`*^9}, {
   3.6580641566266108`*^9, 3.6580642853817472`*^9}, {3.688323815894825*^9, 
   3.688323818426217*^9}, {3.688323890955729*^9, 3.688323919796646*^9}, {
   3.688324065168166*^9, 3.688324089815136*^9}}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["MzxmlOrMzml:", "Chapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.648928098281239*^9, 3.648928099359138*^9}, {
   3.648928167922295*^9, 3.648928178418769*^9}, {3.649090303592719*^9, 
   3.649090304615156*^9}, {3.650307077731954*^9, 3.650307087553822*^9}, 
   3.657995044027866*^9}],

Cell[BoxData[
 RowBox[{"Clear", "[", "MzxmlOrMzml", "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650307074038598*^9, 3.6503071004725*^9}, {
  3.657994802764079*^9, 3.657994806750163*^9}, {3.657994871846827*^9, 
  3.657994874132025*^9}, {3.657998385209242*^9, 3.657998390911759*^9}}],

Cell["\<\
MzxmlOrMzml [XMLFile]

Function MzxmlOrMzml takes one input and that is a mzXML/mzML file path. It \
check the uploaded file format and output either \[OpenCurlyDoubleQuote]mzML\
\[CloseCurlyDoubleQuote]/\[OpenCurlyDoubleQuote]mzXML\[CloseCurlyDoubleQuote].\
 \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.657996630818554*^9, 3.657996777635311*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MzxmlOrMzml", "[", "XMLFile_", "]"}], ":=", "\[IndentingNewLine]", 
  
  RowBox[{"Module", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "inputFile", " ", "is", " ", "equal", " ", "to", " ", "the", " ", 
       "only", " ", "input", " ", "to", " ", "this", " ", "function"}], 
      "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"inputFile", "=", "XMLFile"}], ",", "\[IndentingNewLine]", 
      "emptyList", ",", "filePath", ",", "allMetaData", ",", "testXML", ",", 
      "fileMZXMLorMZMLOutPut"}], "}"}], ",", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"emptyList", "=", 
      RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"filePath", "=", "inputFile"}], ";", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{"open", " ", "and", " ", "read", " ", "file"}], "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{"inputFile", "=", 
      RowBox[{"OpenRead", "[", "filePath", "]"}]}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "Set", " ", "the", " ", "the", " ", "streaming", " ", "position", " ", 
       "to", " ", "0.", " ", "This", " ", "will", " ", "stream", " ", 
       "metadata", " ", "from", " ", "the", " ", "begining", " ", "of", " ", 
       "the", " ", "file"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"SetStreamPosition", "[", 
      RowBox[{"filePath", ",", "0"}], "]"}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"While", "[", 
      RowBox[{"True", ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"allMetaData", "=", 
         RowBox[{"Read", "[", 
          RowBox[{"filePath", ",", "String"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Using", " ", "<", "StringCases", ">", " ", 
             RowBox[{
             "to", " ", "search", " ", "\"\<msRun\>\"", " ", "for", " ", 
              "mzXML", " ", "file", " ", "or", " ", "\"\<cvList\>\"", " ", 
              "for", " ", "mzML", " ", 
              RowBox[{"files", "."}]}], " ", "<"}], ".."}], ">", " ", 
           RowBox[{
           "is", " ", "to", " ", "keep", " ", "repeating", " ", "the", " ", 
            "pattern", " ", "matching", " ", "by", " ", "representing", " ", 
            "\"\<msRun or cvList\>\"", " ", "until", " ", "it", " ", 
            "matches"}]}], ",", " ", 
          RowBox[{"if", " ", "it", " ", 
           RowBox[{"doesn", "'"}], "t", " ", "match"}], ",", " ", 
          RowBox[{
           RowBox[{
            RowBox[{"keep", " ", "appending"}], " ", "<", "AppendTo", ">", 
            " ", 
            RowBox[{"to", " ", "the", " ", "emptyList"}]}], "=", 
           RowBox[{
            RowBox[{
             RowBox[{"{", "}"}], ".", " ", "Using"}], " ", "<", "If", ">", 
            " ", "and", " ", "<", 
            RowBox[{"Break", "[", "]"}], ">", " ", 
            RowBox[{
            "to", " ", "stop", " ", "while", " ", "loop", " ", "once", " ", 
             "\"\<msRun or cvList\>\"", " ", 
             RowBox[{"matchs", "."}]}]}]}]}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"StringCases", "[", 
              RowBox[{"allMetaData", ",", 
               RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "\"\<msRun\>\""}], "||", 
           RowBox[{
            RowBox[{
             RowBox[{"StringCases", "[", 
              RowBox[{"allMetaData", ",", 
               RowBox[{"WordCharacter", ".."}]}], "]"}], "[", 
             RowBox[{"[", "1", "]"}], "]"}], "==", "\"\<cvList\>\""}]}], ",", 
          
          RowBox[{"Break", "[", "]"}], ",", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"emptyList", ",", "allMetaData"}], "]"}]}], "]"}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{
       "If", " ", "either", " ", "mzML", " ", "or", " ", "mzXML", " ", "if", 
        " ", "found", " ", "in", " ", "emptyList"}], ",", " ", 
       RowBox[{
       "then", " ", "use", " ", "Which", " ", "to", " ", "output", " ", 
        "mzML", " ", "if", " ", "mzML", " ", "is", " ", "found", " ", "and", 
        " ", "output", " ", "mzXML", " ", "if", " ", "mzXML", " ", "is", " ", 
        "found"}], ",", " ", 
       RowBox[{"instead", "."}]}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{"fileMZXMLorMZMLOutPut", "=", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Union", "[", "\[IndentingNewLine]", 
           RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
            RowBox[{"StringCases", "[", 
             RowBox[{"emptyList", ",", 
              RowBox[{
               RowBox[{"___", "~~", "\"\<mzML\>\"", "~~", "___"}], ":>", 
               RowBox[{"{", "\"\<mzML\>\"", "}"}]}]}], "]"}], "]"}], "]"}], "==", 
          RowBox[{"{", "\"\<mzML\>\"", "}"}]}], "||", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Union", "[", "\[IndentingNewLine]", 
           RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
            RowBox[{"StringCases", "[", 
             RowBox[{"emptyList", ",", 
              RowBox[{
               RowBox[{"___", "~~", "\"\<mzXML\>\"", "~~", "___"}], ":>", 
               "\"\<mzXML\>\""}]}], "]"}], "]"}], "]"}], "==", 
          RowBox[{"{", "\"\<mzXML\>\"", "}"}]}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Which", "[", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Union", "[", "\[IndentingNewLine]", 
            RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
             RowBox[{"StringCases", "[", 
              RowBox[{"emptyList", ",", 
               RowBox[{
                RowBox[{"___", "~~", "\"\<mzML\>\"", "~~", "___"}], ":>", 
                RowBox[{"{", "\"\<mzML\>\"", "}"}]}]}], "]"}], "]"}], "]"}], "==", 
           RowBox[{"{", "\"\<mzML\>\"", "}"}]}], ",", "\"\<mzML\>\"", ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"Union", "[", "\[IndentingNewLine]", 
            RowBox[{"Flatten", "[", "\[IndentingNewLine]", 
             RowBox[{"StringCases", "[", 
              RowBox[{"emptyList", ",", 
               RowBox[{
                RowBox[{"___", "~~", "\"\<mzXML\>\"", "~~", "___"}], ":>", 
                "\"\<mzXML\>\""}]}], "]"}], "]"}], "]"}], "==", 
           RowBox[{"{", "\"\<mzXML\>\"", "}"}]}], ",", "\"\<mzXML\>\""}], 
         "]"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     
     RowBox[{"Close", "[", "inputFile", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Return", "[", "fileMZXMLorMZMLOutPut", "]"}]}]}], 
   "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.64909015942826*^9, 3.649090207411572*^9}, 
   3.649090251982396*^9, 3.6579948411692343`*^9, 3.65799491143426*^9, 
   3.6579983120024567`*^9}]
}, Closed]],

Cell[CellGroupData[{

Cell["MathIOmicaMSViewer:", "Chapter",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{
  3.648909754022613*^9, {3.648927886403883*^9, 3.648927903103612*^9}, {
   3.64892794872464*^9, 3.648927951649753*^9}, 3.648928239482246*^9, {
   3.6889357115448723`*^9, 3.688935714608384*^9}}],

Cell[BoxData[
 RowBox[{"Clear", "[", "MathIOmicaMSViewer", "]"}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.650307124203589*^9, 3.650307128313611*^9}, {
  3.658170502670703*^9, 3.658170503195799*^9}}],

Cell["\<\
MathIOmicaMSViewer [ ]

Function MathIOmicaMSViewer takes no input. Is called by the user to open the \
MS Viewer. \
\>", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6579986908524857`*^9, 3.6579987485272818`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"MathIOmicaMSViewer", "[", "]"}], ":=", "\[IndentingNewLine]", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"mzMLORmzXMLfilePath", ",", "finalOutPut"}], "}"}], ",", 
    "\[IndentingNewLine]", 
    StyleBox[
     RowBox[{"(*", 
      RowBox[{"**", 
       RowBox[{"*", " ", "File", " ", 
        RowBox[{"Path", ":", " ", 
         RowBox[{"Localy", " ", "Global", " ", "Constant"}]}]}]}], " ", 
      "****)"}],
     FontSize->18], "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"mzMLORmzXMLfilePath", "=", 
      RowBox[{"SystemDialogInput", "[", 
       RowBox[{"\"\<FileOpen\>\"", ",", 
        RowBox[{"SetDirectory", "[", 
         RowBox[{"NotebookDirectory", "[", "]"}], "]"}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"mzMLORmzXMLfilePath", " ", "=!=", " ", "$Canceled"}], " ", "&&",
         " ", 
        RowBox[{"mzMLORmzXMLfilePath", "=!=", " ", "$Failed"}]}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"finalOutPut", "=", 
        RowBox[{"Switch", "[", 
         RowBox[{
          RowBox[{"MzxmlOrMzml", "[", "mzMLORmzXMLfilePath", "]"}], ",", 
          "\"\<mzML\>\"", ",", 
          RowBox[{"mzMLMaster", "[", 
           RowBox[{"mzMLORmzXMLfilePath", ",", "mzmlControlledVocabulary"}], 
           "]"}], " ", ",", "\"\<mzXML\>\"", ",", 
          RowBox[{"mzXMLMaster", "[", "mzMLORmzXMLfilePath", "]"}]}], "]"}]}],
        ",", 
       RowBox[{"Return", "[", "\"\<Please Retry File Selection\>\"", "]"}]}], 
      "]"}]}]}], "]"}]}]], "Input",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowGroupOpener->False,
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True,
 CellChangeTimes->{{3.6483109982158613`*^9, 3.648311076749576*^9}, 
   3.648311187738537*^9, {3.648816969637807*^9, 3.6488170134298887`*^9}, {
   3.64881720613204*^9, 3.648817255581086*^9}, {3.648892653150669*^9, 
   3.648892775947956*^9}, {3.648892810639887*^9, 3.648892833318552*^9}, {
   3.64889287364439*^9, 3.6488928791298*^9}, {3.648892965332137*^9, 
   3.6488930080629272`*^9}, {3.648893041604959*^9, 3.6488931680561857`*^9}, {
   3.648893222269425*^9, 3.64889322263615*^9}, {3.648893279857759*^9, 
   3.64889333929056*^9}, {3.648893396053581*^9, 3.648893483732779*^9}, {
   3.648893531714848*^9, 3.648893606283772*^9}, {3.648893664390606*^9, 
   3.648893837973119*^9}, {3.648893869652433*^9, 3.648894104135889*^9}, {
   3.648894174240842*^9, 3.648894243783095*^9}, {3.6488942935193033`*^9, 
   3.648894344227002*^9}, {3.648894375390689*^9, 3.6488944970614653`*^9}, {
   3.6488945764046717`*^9, 3.648894656109704*^9}, 3.648894692973343*^9, {
   3.648894726864406*^9, 3.648894859167531*^9}, {3.648894928618546*^9, 
   3.648895121581542*^9}, {3.648895213994123*^9, 3.648895239155303*^9}, 
   3.648895269241894*^9, {3.648895344865559*^9, 3.648895345680661*^9}, {
   3.648895460783308*^9, 3.648895490501099*^9}, {3.648895757300641*^9, 
   3.648895790458613*^9}, {3.64889609214216*^9, 3.648896102039229*^9}, {
   3.648896140947707*^9, 3.648896174897403*^9}, {3.648896206221444*^9, 
   3.64889625263708*^9}, {3.6488963044698467`*^9, 3.648896335862801*^9}, {
   3.6488963749398193`*^9, 3.648896392638935*^9}, {3.64889645053957*^9, 
   3.648896479860002*^9}, {3.648896529704314*^9, 3.648896539793706*^9}, {
   3.648896795130796*^9, 3.648896809445793*^9}, 3.648896955603737*^9, {
   3.6488969894485703`*^9, 3.648897071199813*^9}, {3.648897659582213*^9, 
   3.648897677692395*^9}, {3.648897713232381*^9, 3.648897873010255*^9}, {
   3.648897903895649*^9, 3.648898124140954*^9}, {3.648898161576212*^9, 
   3.648898194125352*^9}, {3.6488982317984657`*^9, 3.648898248671464*^9}, {
   3.6488982849233294`*^9, 3.648898287852538*^9}, {3.648898333656527*^9, 
   3.648898347581491*^9}, {3.648898381197139*^9, 3.648898998994842*^9}, {
   3.648899034243177*^9, 3.648899099372938*^9}, {3.648906444683989*^9, 
   3.648906491372559*^9}, {3.648906541424773*^9, 3.648906580966236*^9}, {
   3.64890661957522*^9, 3.648906674719467*^9}, 3.648907665730633*^9, 
   3.6489079352800093`*^9, {3.648909234290064*^9, 3.648909236694997*^9}, 
   3.6489093656098013`*^9, {3.648909405340722*^9, 3.6489094458772163`*^9}, 
   3.6489098219940023`*^9, 3.648909917507339*^9, {3.648911420749145*^9, 
   3.648911423106057*^9}, {3.648912735366366*^9, 3.6489127414697123`*^9}, {
   3.648913240978496*^9, 3.648913267163425*^9}, {3.648913300336804*^9, 
   3.648913325756053*^9}, {3.648913365208235*^9, 3.648913368151577*^9}, 
   3.6489213565006113`*^9, 3.64892142731491*^9, 3.648921467382381*^9, 
   3.6489216199949713`*^9, {3.648921692657756*^9, 3.648921699568082*^9}, 
   3.6489217345965233`*^9, 3.6489217946924763`*^9, {3.648921836349907*^9, 
   3.648921876290941*^9}, {3.6489219939963627`*^9, 3.648922004434268*^9}, {
   3.648923018362863*^9, 3.64892304207677*^9}, {3.64892308538728*^9, 
   3.648923095577896*^9}, {3.648923248318409*^9, 3.648923251963464*^9}, 
   3.64892332957266*^9, {3.648927455277102*^9, 3.648927460435788*^9}, 
   3.648928077168298*^9, {3.6489281234151697`*^9, 3.648928150777891*^9}, {
   3.648928215571231*^9, 3.648928219610278*^9}, 3.6490868027441177`*^9, {
   3.649094694188777*^9, 3.6490947007707644`*^9}, {3.649510116293159*^9, 
   3.649510118823941*^9}, {3.649510183645857*^9, 3.649510185044842*^9}, {
   3.6495152598980093`*^9, 3.649515260105751*^9}, 3.64951547095579*^9, {
   3.6495193861725597`*^9, 3.649519386341036*^9}, 3.6495194180277023`*^9, {
   3.649961901408021*^9, 3.649961936965913*^9}, 3.6526619999832582`*^9, {
   3.6869343659427547`*^9, 3.68693436985679*^9}, {3.686937446670496*^9, 
   3.686937480732234*^9}, {3.686937515885408*^9, 3.686937558398201*^9}, {
   3.686937615941649*^9, 3.686937622244568*^9}, 3.688934852739256*^9, {
   3.689095177311267*^9, 3.689095225226832*^9}, {3.6890952770453053`*^9, 
   3.68909528455739*^9}, {3.689095325579012*^9, 3.689095398574751*^9}, {
   3.689095433097485*^9, 3.689095438063773*^9}, {3.68909639867087*^9, 
   3.689096400751549*^9}, {3.68909741262106*^9, 3.6890974204592667`*^9}, 
   3.6891040641992188`*^9}]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell["MathIOmica-MSViewer", "Title",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellChangeTimes->{{3.689102267210218*^9, 3.6891022697844*^9}, {
  3.689103205672859*^9, 3.689103210207299*^9}}],

Cell["To initiate file selection, please evaluate the following:", "Text",
 Editable->False,
 Selectable->False,
 Deletable->False,
 CellChangeTimes->{{3.6891056711331778`*^9, 3.689105696971286*^9}}],

Cell[BoxData[
 RowBox[{"MathIOmicaMSViewer", "[", "]"}]], "Input",
 Editable->False,
 Deletable->False,
 CellChangeTimes->{{3.689103745426231*^9, 3.68910375290143*^9}}]
}, Open  ]]
},
WindowToolbars->{},
WindowSize->{884, 769},
WindowMargins->{{25, Automatic}, {Automatic, 3}},
PrintingOptions->{"PaperOrientation"->"Landscape",
"PaperSize"->{792, 612}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 286, 8, 42, "Title",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[891, 34, 372, 9, 65, "Chapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1266, 45, 1657, 28, 258, "Text",
 CellOpen->False,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[2960, 78, 278, 8, 54, "Chapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[3263, 90, 378, 10, 63, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[3644, 102, 879, 19, 91, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[4548, 125, 393, 10, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[4944, 137, 1009, 22, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[5956, 161, 7574, 147, 721, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[13567, 313, 360, 9, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[13930, 324, 581, 15, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[14514, 341, 4185, 91, 427, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[18736, 437, 365, 9, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[19104, 448, 740, 17, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[19847, 467, 12180, 286, 910, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[32064, 758, 428, 10, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[32495, 770, 861, 19, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[33359, 791, 13273, 297, 1225, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[46669, 1093, 362, 9, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[47034, 1104, 714, 17, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[47751, 1123, 17142, 385, 1708, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[64930, 1513, 432, 10, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[65365, 1525, 842, 18, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[66210, 1545, 11300, 254, 1078, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[77547, 1804, 465, 11, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[78015, 1817, 797, 18, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[78815, 1837, 13051, 287, 1057, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[91903, 2129, 354, 9, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[92260, 2140, 1323, 25, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[93586, 2167, 40981, 884, 1566, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[134604, 3056, 442, 10, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[135049, 3068, 1272, 24, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[136324, 3094, 11482, 243, 931, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[147843, 3342, 515, 11, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[148361, 3355, 1316, 25, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[149680, 3382, 13560, 285, 1267, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[163277, 3672, 412, 10, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[163692, 3684, 1588, 29, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[165283, 3715, 59479, 1020, 1024, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[224811, 4741, 674, 13, 47, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[225488, 4756, 1324, 25, 154, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[226837, 4785, 621, 12, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[227483, 4801, 354, 9, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[227840, 4812, 1036702, 15988, 216895, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1264579, 20805, 843, 18, 29, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1265425, 20825, 1681, 29, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1267109, 20856, 5146, 104, 234, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1272292, 20965, 512, 11, 29, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1272807, 20978, 1727, 30, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1274537, 21010, 3703, 81, 183, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1278277, 21096, 411, 10, 29, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1278691, 21108, 1488, 27, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1280182, 21137, 7378, 173, 590, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1287609, 21316, 499, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1288133, 21331, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1288372, 21340, 1056, 22, 125, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1289431, 21364, 7013, 143, 590, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1296493, 21513, 641, 15, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1297159, 21532, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1297398, 21541, 826, 19, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1298227, 21562, 27209, 516, 1855, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1325485, 22084, 453, 13, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1325963, 22101, 264, 8, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1326230, 22111, 1153, 24, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1327386, 22137, 32440, 648, 1474, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1359875, 22791, 548, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1360448, 22807, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1360685, 22816, 985, 21, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1361673, 22839, 1973, 48, 148, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1363695, 22893, 486, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1364206, 22908, 409, 10, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1364618, 22920, 1290, 25, 144, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1365911, 22947, 7583, 153, 595, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1373543, 23106, 477, 11, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1374045, 23121, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1374282, 23130, 452, 13, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1374737, 23145, 2486, 60, 175, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1377272, 23211, 471, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1377768, 23226, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1378007, 23235, 563, 14, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1378573, 23251, 8321, 181, 931, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1386943, 23438, 436, 10, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1387404, 23452, 212, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1387619, 23461, 884, 19, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1388506, 23482, 8164, 181, 573, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1396719, 23669, 437, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1397181, 23684, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1397420, 23693, 632, 15, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1398055, 23710, 6551, 138, 454, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1404655, 23854, 354, 9, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1405034, 23867, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1405271, 23876, 1091, 22, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1406365, 23900, 8663, 189, 1057, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1415077, 24095, 523, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1415625, 24110, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1415862, 24119, 1061, 21, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1416926, 24142, 27887, 585, 3409, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1444874, 24734, 483, 11, 63, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1445360, 24747, 337, 9, 48, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1445700, 24758, 754, 17, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1446457, 24777, 66350, 1289, 5022, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Open  ]]
}, Closed]],
Cell[CellGroupData[{
Cell[1512856, 26072, 279, 8, 54, "Chapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1513160, 26084, 308, 9, 63, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1513471, 26095, 717, 17, 70, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1514213, 26116, 392, 10, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1514608, 26128, 777, 19, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1515388, 26149, 6785, 135, 488, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1522210, 26289, 339, 9, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1522552, 26300, 963, 21, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1523518, 26323, 3588, 83, 318, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1527143, 26411, 405, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1527551, 26425, 1066, 22, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1528620, 26449, 10357, 247, 590, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1539014, 26701, 435, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1539452, 26715, 737, 17, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1540192, 26734, 7866, 184, 420, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1548095, 26923, 443, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1548541, 26937, 805, 18, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1549349, 26957, 10752, 231, 505, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1560138, 27193, 376, 9, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1560517, 27204, 515, 14, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1561035, 27220, 9224, 220, 556, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1570296, 27445, 429, 10, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1570728, 27457, 457, 13, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1571188, 27472, 18312, 439, 1750, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[1589537, 27916, 318, 9, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1589858, 27927, 451, 13, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1590312, 27942, 58483, 1009, 835, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1648844, 28957, 304, 8, 63, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1649151, 28967, 799, 19, 91, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1649975, 28990, 358, 9, 44, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1650358, 29003, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1650597, 29012, 976, 21, 106, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1651576, 29035, 7634, 155, 590, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1659259, 29196, 547, 14, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1659831, 29214, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1660070, 29223, 252, 7, 30, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1660325, 29232, 515, 12, 49, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1660843, 29246, 22595, 454, 1423, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1683487, 29706, 502, 15, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1684014, 29725, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1684253, 29734, 1115, 24, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1685371, 29760, 25591, 551, 1780, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1711011, 30317, 551, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1711587, 30333, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1711824, 30342, 1033, 21, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1712860, 30365, 1900, 47, 148, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1714809, 30418, 580, 12, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1715414, 30434, 409, 10, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1715826, 30446, 1341, 26, 125, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1717170, 30474, 6891, 140, 386, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1724110, 30620, 729, 14, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1724864, 30638, 234, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1725101, 30647, 936, 20, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1726040, 30669, 14880, 311, 1066, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1740969, 30986, 509, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1741503, 31001, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1741742, 31010, 734, 16, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1742479, 31028, 7863, 156, 471, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1750391, 31190, 475, 11, 36, "Subsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[CellGroupData[{
Cell[1750891, 31205, 236, 7, 35, "Subsubsection",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1751130, 31214, 1014, 21, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1752147, 31237, 17299, 371, 1897, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[1769507, 31615, 436, 10, 63, "Subchapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1769946, 31627, 313, 9, 48, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1770262, 31638, 485, 13, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1770750, 31653, 54255, 1101, 4467, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1825054, 32760, 399, 10, 54, "Chapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1825456, 32772, 406, 10, 48, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1825865, 32784, 480, 14, 87, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1826348, 32800, 7306, 161, 973, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]],
Cell[CellGroupData[{
Cell[1833691, 32966, 382, 10, 54, "Chapter",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1834076, 32978, 320, 9, 48, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1834399, 32989, 339, 12, 68, "Text",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True],
Cell[1834741, 33003, 6122, 108, 212, "Input",
 CellOpen->False,
 InitializationCell->True,
 InitializationGroup->True]
}, Closed]]
}, Closed]],
Cell[CellGroupData[{
Cell[1840912, 33117, 206, 5, 66, "Title"],
Cell[1841121, 33124, 199, 4, 30, "Text"],
Cell[1841323, 33130, 168, 4, 32, "Input"]
}, Open  ]]
}
]
*)

